package android.support.v4.media.session;

import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;
import java.util.List;

public final class PlaybackStateCompat implements Parcelable {
    public static final Parcelable.Creator<PlaybackStateCompat> CREATOR = new a();
    public final float A;
    public final long C;
    public final int D;
    public final CharSequence F;
    public final long G;
    public List<CustomAction> H;
    public final long I;
    public final Bundle J;
    public final int x;
    public final long y;
    public final long z;

    public static final class CustomAction implements Parcelable {
        public static final Parcelable.Creator<CustomAction> CREATOR = new a();
        public final Bundle A;
        public final String x;
        public final CharSequence y;
        public final int z;

        public static class a implements Parcelable.Creator<CustomAction> {
            /* Return type fixed from 'java.lang.Object' to match base method */
            @Override // android.os.Parcelable.Creator
            public CustomAction createFromParcel(Parcel parcel) {
                return new CustomAction(parcel);
            }

            /* Return type fixed from 'java.lang.Object[]' to match base method */
            @Override // android.os.Parcelable.Creator
            public CustomAction[] newArray(int i2) {
                return new CustomAction[i2];
            }
        }

        public CustomAction(Parcel parcel) {
            this.x = parcel.readString();
            this.y = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
            this.z = parcel.readInt();
            this.A = parcel.readBundle(MediaSessionCompat.class.getClassLoader());
        }

        public int describeContents() {
            return 0;
        }

        public String toString() {
            StringBuilder b2 = b.b.a.a.a.b("Action:mName='");
            b2.append((Object) this.y);
            b2.append(", mIcon=");
            b2.append(this.z);
            b2.append(", mExtras=");
            b2.append(this.A);
            return b2.toString();
        }

        public void writeToParcel(Parcel parcel, int i2) {
            parcel.writeString(this.x);
            TextUtils.writeToParcel(this.y, parcel, i2);
            parcel.writeInt(this.z);
            parcel.writeBundle(this.A);
        }
    }

    public static class a implements Parcelable.Creator<PlaybackStateCompat> {
        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // android.os.Parcelable.Creator
        public PlaybackStateCompat createFromParcel(Parcel parcel) {
            return new PlaybackStateCompat(parcel);
        }

        /* Return type fixed from 'java.lang.Object[]' to match base method */
        @Override // android.os.Parcelable.Creator
        public PlaybackStateCompat[] newArray(int i2) {
            return new PlaybackStateCompat[i2];
        }
    }

    public PlaybackStateCompat(Parcel parcel) {
        this.x = parcel.readInt();
        this.y = parcel.readLong();
        this.A = parcel.readFloat();
        this.G = parcel.readLong();
        this.z = parcel.readLong();
        this.C = parcel.readLong();
        this.F = (CharSequence) TextUtils.CHAR_SEQUENCE_CREATOR.createFromParcel(parcel);
        this.H = parcel.createTypedArrayList(CustomAction.CREATOR);
        this.I = parcel.readLong();
        this.J = parcel.readBundle(MediaSessionCompat.class.getClassLoader());
        this.D = parcel.readInt();
    }

    public int describeContents() {
        return 0;
    }

    public String toString() {
        return "PlaybackState {" + "state=" + this.x + ", position=" + this.y + ", buffered position=" + this.z + ", speed=" + this.A + ", updated=" + this.G + ", actions=" + this.C + ", error code=" + this.D + ", error message=" + this.F + ", custom actions=" + this.H + ", active item id=" + this.I + "}";
    }

    public void writeToParcel(Parcel parcel, int i2) {
        parcel.writeInt(this.x);
        parcel.writeLong(this.y);
        parcel.writeFloat(this.A);
        parcel.writeLong(this.G);
        parcel.writeLong(this.z);
        parcel.writeLong(this.C);
        TextUtils.writeToParcel(this.F, parcel, i2);
        parcel.writeTypedList(this.H);
        parcel.writeLong(this.I);
        parcel.writeBundle(this.J);
        parcel.writeInt(this.D);
    }
}
