package androidx.appcompat.view.menu;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.widget.AbsListView;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RadioButton;
import android.widget.TextView;
import f.b.a;
import f.b.f;
import f.b.h;
import f.b.j;
import f.b.o.d.g;
import f.b.o.d.l;
import f.b.p.j0;
import f.f.j.k;

public class ListMenuItemView extends LinearLayout implements l.a, AbsListView.SelectionBoundsAdjuster {
    public TextView A;
    public CheckBox C;
    public TextView D;
    public ImageView F;
    public ImageView G;
    public LinearLayout H;
    public Drawable I;
    public int J;
    public Context K;
    public boolean M;
    public Drawable O;
    public boolean P;
    public LayoutInflater Q;
    public boolean U;
    public g x;
    public ImageView y;
    public RadioButton z;

    public ListMenuItemView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, a.listMenuViewStyle);
    }

    private LayoutInflater getInflater() {
        if (this.Q == null) {
            this.Q = LayoutInflater.from(getContext());
        }
        return this.Q;
    }

    private void setSubMenuArrowVisible(boolean z2) {
        ImageView imageView = this.F;
        if (imageView != null) {
            imageView.setVisibility(z2 ? 0 : 8);
        }
    }

    @Override // f.b.o.d.l.a
    public void a(g gVar, int i2) {
        CharSequence charSequence;
        String str;
        this.x = gVar;
        int i3 = 0;
        setVisibility(gVar.isVisible() ? 0 : 8);
        if (c()) {
            charSequence = gVar.getTitleCondensed();
        } else {
            charSequence = gVar.f345e;
        }
        setTitle(charSequence);
        setCheckable(gVar.isCheckable());
        boolean f2 = gVar.f();
        gVar.b();
        if (!f2 || !this.x.f()) {
            i3 = 8;
        }
        if (i3 == 0) {
            TextView textView = this.D;
            g gVar2 = this.x;
            char b2 = gVar2.b();
            if (b2 == 0) {
                str = "";
            } else {
                Resources resources = gVar2.n.a.getResources();
                StringBuilder sb = new StringBuilder();
                if (ViewConfiguration.get(gVar2.n.a).hasPermanentMenuKey()) {
                    sb.append(resources.getString(h.abc_prepend_shortcut_label));
                }
                int i4 = gVar2.n.e() ? gVar2.k : gVar2.f349i;
                g.a(sb, i4, 65536, resources.getString(h.abc_menu_meta_shortcut_label));
                g.a(sb, i4, 4096, resources.getString(h.abc_menu_ctrl_shortcut_label));
                g.a(sb, i4, 2, resources.getString(h.abc_menu_alt_shortcut_label));
                g.a(sb, i4, 1, resources.getString(h.abc_menu_shift_shortcut_label));
                g.a(sb, i4, 4, resources.getString(h.abc_menu_sym_shortcut_label));
                g.a(sb, i4, 8, resources.getString(h.abc_menu_function_shortcut_label));
                if (b2 == '\b') {
                    sb.append(resources.getString(h.abc_menu_delete_shortcut_label));
                } else if (b2 == '\n') {
                    sb.append(resources.getString(h.abc_menu_enter_shortcut_label));
                } else if (b2 != ' ') {
                    sb.append(b2);
                } else {
                    sb.append(resources.getString(h.abc_menu_space_shortcut_label));
                }
                str = sb.toString();
            }
            textView.setText(str);
        }
        if (this.D.getVisibility() != i3) {
            this.D.setVisibility(i3);
        }
        setIcon(gVar.getIcon());
        setEnabled(gVar.isEnabled());
        setSubMenuArrowVisible(gVar.hasSubMenu());
        setContentDescription(gVar.q);
    }

    public void adjustListItemSelectionBounds(Rect rect) {
        ImageView imageView = this.G;
        if (imageView != null && imageView.getVisibility() == 0) {
            LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) this.G.getLayoutParams();
            rect.top = this.G.getHeight() + layoutParams.topMargin + layoutParams.bottomMargin + rect.top;
        }
    }

    public final void b() {
        RadioButton radioButton = (RadioButton) getInflater().inflate(f.b.g.abc_list_menu_item_radio, (ViewGroup) this, false);
        this.z = radioButton;
        LinearLayout linearLayout = this.H;
        if (linearLayout != null) {
            linearLayout.addView(radioButton, -1);
        } else {
            addView(radioButton, -1);
        }
    }

    @Override // f.b.o.d.l.a
    public boolean c() {
        return false;
    }

    @Override // f.b.o.d.l.a
    public g getItemData() {
        return this.x;
    }

    public void onFinishInflate() {
        super.onFinishInflate();
        k.a(this, this.I);
        TextView textView = (TextView) findViewById(f.title);
        this.A = textView;
        int i2 = this.J;
        if (i2 != -1) {
            textView.setTextAppearance(this.K, i2);
        }
        this.D = (TextView) findViewById(f.shortcut);
        ImageView imageView = (ImageView) findViewById(f.submenuarrow);
        this.F = imageView;
        if (imageView != null) {
            imageView.setImageDrawable(this.O);
        }
        this.G = (ImageView) findViewById(f.group_divider);
        this.H = (LinearLayout) findViewById(f.content);
    }

    public void onMeasure(int i2, int i3) {
        if (this.y != null && this.M) {
            ViewGroup.LayoutParams layoutParams = getLayoutParams();
            LinearLayout.LayoutParams layoutParams2 = (LinearLayout.LayoutParams) this.y.getLayoutParams();
            int i4 = layoutParams.height;
            if (i4 > 0 && layoutParams2.width <= 0) {
                layoutParams2.width = i4;
            }
        }
        super.onMeasure(i2, i3);
    }

    public void setCheckable(boolean z2) {
        CompoundButton compoundButton;
        CompoundButton compoundButton2;
        if (z2 || this.z != null || this.C != null) {
            if (this.x.e()) {
                if (this.z == null) {
                    b();
                }
                compoundButton2 = this.z;
                compoundButton = this.C;
            } else {
                if (this.C == null) {
                    a();
                }
                compoundButton2 = this.C;
                compoundButton = this.z;
            }
            if (z2) {
                compoundButton2.setChecked(this.x.isChecked());
                if (compoundButton2.getVisibility() != 0) {
                    compoundButton2.setVisibility(0);
                }
                if (compoundButton != null && compoundButton.getVisibility() != 8) {
                    compoundButton.setVisibility(8);
                    return;
                }
                return;
            }
            CheckBox checkBox = this.C;
            if (checkBox != null) {
                checkBox.setVisibility(8);
            }
            RadioButton radioButton = this.z;
            if (radioButton != null) {
                radioButton.setVisibility(8);
            }
        }
    }

    public void setChecked(boolean z2) {
        CompoundButton compoundButton;
        if (this.x.e()) {
            if (this.z == null) {
                b();
            }
            compoundButton = this.z;
        } else {
            if (this.C == null) {
                a();
            }
            compoundButton = this.C;
        }
        compoundButton.setChecked(z2);
    }

    public void setForceShowIcon(boolean z2) {
        this.U = z2;
        this.M = z2;
    }

    public void setGroupDividerEnabled(boolean z2) {
        ImageView imageView = this.G;
        if (imageView != null) {
            imageView.setVisibility((this.P || !z2) ? 8 : 0);
        }
    }

    public void setIcon(Drawable drawable) {
        boolean z2 = this.x.n.s || this.U;
        if (!z2 && !this.M) {
            return;
        }
        if (this.y != null || drawable != null || this.M) {
            if (this.y == null) {
                ImageView imageView = (ImageView) getInflater().inflate(f.b.g.abc_list_menu_item_icon, (ViewGroup) this, false);
                this.y = imageView;
                LinearLayout linearLayout = this.H;
                if (linearLayout != null) {
                    linearLayout.addView(imageView, 0);
                } else {
                    addView(imageView, 0);
                }
            }
            if (drawable != null || this.M) {
                ImageView imageView2 = this.y;
                if (!z2) {
                    drawable = null;
                }
                imageView2.setImageDrawable(drawable);
                if (this.y.getVisibility() != 0) {
                    this.y.setVisibility(0);
                    return;
                }
                return;
            }
            this.y.setVisibility(8);
        }
    }

    public void setTitle(CharSequence charSequence) {
        if (charSequence != null) {
            this.A.setText(charSequence);
            if (this.A.getVisibility() != 0) {
                this.A.setVisibility(0);
            }
        } else if (this.A.getVisibility() != 8) {
            this.A.setVisibility(8);
        }
    }

    public ListMenuItemView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet);
        j0 a = j0.a(getContext(), attributeSet, j.MenuView, i2, 0);
        this.I = a.b(j.MenuView_android_itemBackground);
        this.J = a.e(j.MenuView_android_itemTextAppearance, -1);
        this.M = a.a(j.MenuView_preserveIconSpacing, false);
        this.K = context;
        this.O = a.b(j.MenuView_subMenuArrow);
        TypedArray obtainStyledAttributes = context.getTheme().obtainStyledAttributes(null, new int[]{16843049}, a.dropDownListViewStyle, 0);
        this.P = obtainStyledAttributes.hasValue(0);
        a.f399b.recycle();
        obtainStyledAttributes.recycle();
    }

    public final void a() {
        CheckBox checkBox = (CheckBox) getInflater().inflate(f.b.g.abc_list_menu_item_checkbox, (ViewGroup) this, false);
        this.C = checkBox;
        LinearLayout linearLayout = this.H;
        if (linearLayout != null) {
            linearLayout.addView(checkBox, -1);
        } else {
            addView(checkBox, -1);
        }
    }
}
