package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.ActionMode;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import f.b.f;
import f.b.j;
import f.b.p.b;
import f.b.p.d0;
import f.f.j.k;

public class ActionBarContainer extends FrameLayout {
    public View A;
    public Drawable C;
    public Drawable D;
    public Drawable F;
    public boolean G;
    public boolean H;
    public int I;
    public boolean x;
    public View y;
    public View z;

    public ActionBarContainer(Context context) {
        this(context, null);
    }

    public final int a(View view) {
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) view.getLayoutParams();
        return view.getMeasuredHeight() + layoutParams.topMargin + layoutParams.bottomMargin;
    }

    public final boolean b(View view) {
        return view == null || view.getVisibility() == 8 || view.getMeasuredHeight() == 0;
    }

    public void drawableStateChanged() {
        super.drawableStateChanged();
        Drawable drawable = this.C;
        if (drawable != null && drawable.isStateful()) {
            this.C.setState(getDrawableState());
        }
        Drawable drawable2 = this.D;
        if (drawable2 != null && drawable2.isStateful()) {
            this.D.setState(getDrawableState());
        }
        Drawable drawable3 = this.F;
        if (drawable3 != null && drawable3.isStateful()) {
            this.F.setState(getDrawableState());
        }
    }

    public View getTabContainer() {
        return this.y;
    }

    public void jumpDrawablesToCurrentState() {
        super.jumpDrawablesToCurrentState();
        Drawable drawable = this.C;
        if (drawable != null) {
            drawable.jumpToCurrentState();
        }
        Drawable drawable2 = this.D;
        if (drawable2 != null) {
            drawable2.jumpToCurrentState();
        }
        Drawable drawable3 = this.F;
        if (drawable3 != null) {
            drawable3.jumpToCurrentState();
        }
    }

    public void onFinishInflate() {
        super.onFinishInflate();
        this.z = findViewById(f.action_bar);
        this.A = findViewById(f.action_context_bar);
    }

    public boolean onHoverEvent(MotionEvent motionEvent) {
        super.onHoverEvent(motionEvent);
        return true;
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        return this.x || super.onInterceptTouchEvent(motionEvent);
    }

    public void onLayout(boolean z2, int i2, int i3, int i4, int i5) {
        Drawable drawable;
        super.onLayout(z2, i2, i3, i4, i5);
        View view = this.y;
        boolean z3 = true;
        boolean z4 = false;
        boolean z5 = (view == null || view.getVisibility() == 8) ? false : true;
        if (!(view == null || view.getVisibility() == 8)) {
            int measuredHeight = getMeasuredHeight();
            int i6 = ((FrameLayout.LayoutParams) view.getLayoutParams()).bottomMargin;
            view.layout(i2, (measuredHeight - view.getMeasuredHeight()) - i6, i4, measuredHeight - i6);
        }
        if (this.G) {
            Drawable drawable2 = this.F;
            if (drawable2 != null) {
                drawable2.setBounds(0, 0, getMeasuredWidth(), getMeasuredHeight());
            } else {
                z3 = false;
            }
        } else {
            if (this.C != null) {
                if (this.z.getVisibility() == 0) {
                    this.C.setBounds(this.z.getLeft(), this.z.getTop(), this.z.getRight(), this.z.getBottom());
                } else {
                    View view2 = this.A;
                    if (view2 == null || view2.getVisibility() != 0) {
                        this.C.setBounds(0, 0, 0, 0);
                    } else {
                        this.C.setBounds(this.A.getLeft(), this.A.getTop(), this.A.getRight(), this.A.getBottom());
                    }
                }
                z4 = true;
            }
            this.H = z5;
            if (!z5 || (drawable = this.D) == null) {
                z3 = z4;
            } else {
                drawable.setBounds(view.getLeft(), view.getTop(), view.getRight(), view.getBottom());
            }
        }
        if (z3) {
            invalidate();
        }
    }

    public void onMeasure(int i2, int i3) {
        int i4;
        int i5;
        if (this.z == null && View.MeasureSpec.getMode(i3) == Integer.MIN_VALUE && (i5 = this.I) >= 0) {
            i3 = View.MeasureSpec.makeMeasureSpec(Math.min(i5, View.MeasureSpec.getSize(i3)), Integer.MIN_VALUE);
        }
        super.onMeasure(i2, i3);
        if (this.z != null) {
            int mode = View.MeasureSpec.getMode(i3);
            View view = this.y;
            if (view != null && view.getVisibility() != 8 && mode != 1073741824) {
                if (!b(this.z)) {
                    i4 = a(this.z);
                } else {
                    i4 = !b(this.A) ? a(this.A) : 0;
                }
                setMeasuredDimension(getMeasuredWidth(), Math.min(a(this.y) + i4, mode == Integer.MIN_VALUE ? View.MeasureSpec.getSize(i3) : Integer.MAX_VALUE));
            }
        }
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        super.onTouchEvent(motionEvent);
        return true;
    }

    public void setPrimaryBackground(Drawable drawable) {
        Drawable drawable2 = this.C;
        if (drawable2 != null) {
            drawable2.setCallback(null);
            unscheduleDrawable(this.C);
        }
        this.C = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
            View view = this.z;
            if (view != null) {
                this.C.setBounds(view.getLeft(), this.z.getTop(), this.z.getRight(), this.z.getBottom());
            }
        }
        boolean z2 = true;
        if (!this.G ? !(this.C == null && this.D == null) : this.F != null) {
            z2 = false;
        }
        setWillNotDraw(z2);
        invalidate();
        invalidateOutline();
    }

    public void setSplitBackground(Drawable drawable) {
        Drawable drawable2;
        Drawable drawable3 = this.F;
        if (drawable3 != null) {
            drawable3.setCallback(null);
            unscheduleDrawable(this.F);
        }
        this.F = drawable;
        boolean z2 = false;
        if (drawable != null) {
            drawable.setCallback(this);
            if (this.G && (drawable2 = this.F) != null) {
                drawable2.setBounds(0, 0, getMeasuredWidth(), getMeasuredHeight());
            }
        }
        if (!this.G ? this.C == null && this.D == null : this.F == null) {
            z2 = true;
        }
        setWillNotDraw(z2);
        invalidate();
        invalidateOutline();
    }

    public void setStackedBackground(Drawable drawable) {
        Drawable drawable2;
        Drawable drawable3 = this.D;
        if (drawable3 != null) {
            drawable3.setCallback(null);
            unscheduleDrawable(this.D);
        }
        this.D = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
            if (this.H && (drawable2 = this.D) != null) {
                drawable2.setBounds(this.y.getLeft(), this.y.getTop(), this.y.getRight(), this.y.getBottom());
            }
        }
        boolean z2 = true;
        if (!this.G ? !(this.C == null && this.D == null) : this.F != null) {
            z2 = false;
        }
        setWillNotDraw(z2);
        invalidate();
        invalidateOutline();
    }

    public void setTabContainer(d0 d0Var) {
        View view = this.y;
        if (view != null) {
            removeView(view);
        }
        this.y = d0Var;
        if (d0Var != null) {
            addView(d0Var);
            ViewGroup.LayoutParams layoutParams = d0Var.getLayoutParams();
            layoutParams.width = -1;
            layoutParams.height = -2;
            d0Var.setAllowCollapse(false);
        }
    }

    public void setTransitioning(boolean z2) {
        this.x = z2;
        setDescendantFocusability(z2 ? 393216 : 262144);
    }

    public void setVisibility(int i2) {
        super.setVisibility(i2);
        boolean z2 = i2 == 0;
        Drawable drawable = this.C;
        if (drawable != null) {
            drawable.setVisible(z2, false);
        }
        Drawable drawable2 = this.D;
        if (drawable2 != null) {
            drawable2.setVisible(z2, false);
        }
        Drawable drawable3 = this.F;
        if (drawable3 != null) {
            drawable3.setVisible(z2, false);
        }
    }

    public ActionMode startActionModeForChild(View view, ActionMode.Callback callback) {
        return null;
    }

    public ActionMode startActionModeForChild(View view, ActionMode.Callback callback, int i2) {
        if (i2 != 0) {
            return super.startActionModeForChild(view, callback, i2);
        }
        return null;
    }

    public boolean verifyDrawable(Drawable drawable) {
        return (drawable == this.C && !this.G) || (drawable == this.D && this.H) || ((drawable == this.F && this.G) || super.verifyDrawable(drawable));
    }

    public ActionBarContainer(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        k.a(this, new b(this));
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, j.ActionBar);
        this.C = obtainStyledAttributes.getDrawable(j.ActionBar_background);
        this.D = obtainStyledAttributes.getDrawable(j.ActionBar_backgroundStacked);
        this.I = obtainStyledAttributes.getDimensionPixelSize(j.ActionBar_height, -1);
        boolean z2 = true;
        if (getId() == f.split_action_bar) {
            this.G = true;
            this.F = obtainStyledAttributes.getDrawable(j.ActionBar_backgroundSplit);
        }
        obtainStyledAttributes.recycle();
        if (!this.G ? !(this.C == null && this.D == null) : this.F != null) {
            z2 = false;
        }
        setWillNotDraw(z2);
    }
}
