package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityEvent;
import android.widget.LinearLayout;
import android.widget.TextView;
import f.b.f;
import f.b.g;
import f.b.j;
import f.b.p.a;
import f.b.p.c;
import f.b.p.p0;
import f.f.j.k;
import org.apache.xmlbeans.impl.common.ConcurrentReaderHashMap;

public class ActionBarContextView extends a {
    public CharSequence H;
    public CharSequence I;
    public View J;
    public View K;
    public LinearLayout M;
    public TextView O;
    public TextView P;
    public int Q;
    public int U;
    public boolean V;
    public int W;

    public ActionBarContextView(Context context) {
        this(context, null);
    }

    public final void a() {
        if (this.M == null) {
            LayoutInflater.from(getContext()).inflate(g.abc_action_bar_title_item, this);
            LinearLayout linearLayout = (LinearLayout) getChildAt(getChildCount() - 1);
            this.M = linearLayout;
            this.O = (TextView) linearLayout.findViewById(f.action_bar_title);
            this.P = (TextView) this.M.findViewById(f.action_bar_subtitle);
            if (this.Q != 0) {
                this.O.setTextAppearance(getContext(), this.Q);
            }
            if (this.U != 0) {
                this.P.setTextAppearance(getContext(), this.U);
            }
        }
        this.O.setText(this.H);
        this.P.setText(this.I);
        boolean z = !TextUtils.isEmpty(this.H);
        boolean z2 = !TextUtils.isEmpty(this.I);
        int i2 = 0;
        this.P.setVisibility(z2 ? 0 : 8);
        LinearLayout linearLayout2 = this.M;
        if (!z && !z2) {
            i2 = 8;
        }
        linearLayout2.setVisibility(i2);
        if (this.M.getParent() == null) {
            addView(this.M);
        }
    }

    public ViewGroup.LayoutParams generateDefaultLayoutParams() {
        return new ViewGroup.MarginLayoutParams(-1, -2);
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new ViewGroup.MarginLayoutParams(getContext(), attributeSet);
    }

    @Override // f.b.p.a
    public /* bridge */ /* synthetic */ int getAnimatedVisibility() {
        return super.getAnimatedVisibility();
    }

    @Override // f.b.p.a
    public /* bridge */ /* synthetic */ int getContentHeight() {
        return super.getContentHeight();
    }

    public CharSequence getSubtitle() {
        return this.I;
    }

    public CharSequence getTitle() {
        return this.H;
    }

    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        c cVar = this.A;
        if (cVar != null) {
            cVar.c();
            this.A.d();
        }
    }

    public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        if (accessibilityEvent.getEventType() == 32) {
            accessibilityEvent.setSource(this);
            accessibilityEvent.setClassName(ActionBarContextView.class.getName());
            accessibilityEvent.setPackageName(getContext().getPackageName());
            accessibilityEvent.setContentDescription(this.H);
            return;
        }
        super.onInitializeAccessibilityEvent(accessibilityEvent);
    }

    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        boolean a = p0.a(this);
        int paddingRight = a ? (i4 - i2) - getPaddingRight() : getPaddingLeft();
        int paddingTop = getPaddingTop();
        int paddingTop2 = ((i5 - i3) - getPaddingTop()) - getPaddingBottom();
        View view = this.J;
        if (!(view == null || view.getVisibility() == 8)) {
            ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) this.J.getLayoutParams();
            int i6 = a ? marginLayoutParams.rightMargin : marginLayoutParams.leftMargin;
            int i7 = a ? marginLayoutParams.leftMargin : marginLayoutParams.rightMargin;
            int i8 = a ? paddingRight - i6 : paddingRight + i6;
            int a2 = i8 + a(this.J, i8, paddingTop, paddingTop2, a);
            paddingRight = a ? a2 - i7 : a2 + i7;
        }
        int i9 = paddingRight;
        LinearLayout linearLayout = this.M;
        if (!(linearLayout == null || this.K != null || linearLayout.getVisibility() == 8)) {
            i9 += a(this.M, i9, paddingTop, paddingTop2, a);
        }
        View view2 = this.K;
        if (view2 != null) {
            a(view2, i9, paddingTop, paddingTop2, a);
        }
        int paddingLeft = a ? getPaddingLeft() : (i4 - i2) - getPaddingRight();
        ActionMenuView actionMenuView = this.z;
        if (actionMenuView != null) {
            a(actionMenuView, paddingLeft, paddingTop, paddingTop2, !a);
        }
    }

    public void onMeasure(int i2, int i3) {
        int mode = View.MeasureSpec.getMode(i2);
        int i4 = ConcurrentReaderHashMap.MAXIMUM_CAPACITY;
        if (mode != 1073741824) {
            throw new IllegalStateException(ActionBarContextView.class.getSimpleName() + " can only be used with android:layout_width=\"match_parent\" (or fill_parent)");
        } else if (View.MeasureSpec.getMode(i3) != 0) {
            int size = View.MeasureSpec.getSize(i2);
            int i5 = this.C;
            if (i5 <= 0) {
                i5 = View.MeasureSpec.getSize(i3);
            }
            int paddingBottom = getPaddingBottom() + getPaddingTop();
            int paddingLeft = (size - getPaddingLeft()) - getPaddingRight();
            int i6 = i5 - paddingBottom;
            int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(i6, Integer.MIN_VALUE);
            View view = this.J;
            if (view != null) {
                int a = a(view, paddingLeft, makeMeasureSpec, 0);
                ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) this.J.getLayoutParams();
                paddingLeft = a - (marginLayoutParams.leftMargin + marginLayoutParams.rightMargin);
            }
            ActionMenuView actionMenuView = this.z;
            if (actionMenuView != null && actionMenuView.getParent() == this) {
                paddingLeft = a(this.z, paddingLeft, makeMeasureSpec, 0);
            }
            LinearLayout linearLayout = this.M;
            if (linearLayout != null && this.K == null) {
                if (this.V) {
                    this.M.measure(View.MeasureSpec.makeMeasureSpec(0, 0), makeMeasureSpec);
                    int measuredWidth = this.M.getMeasuredWidth();
                    boolean z = measuredWidth <= paddingLeft;
                    if (z) {
                        paddingLeft -= measuredWidth;
                    }
                    this.M.setVisibility(z ? 0 : 8);
                } else {
                    paddingLeft = a(linearLayout, paddingLeft, makeMeasureSpec, 0);
                }
            }
            View view2 = this.K;
            if (view2 != null) {
                ViewGroup.LayoutParams layoutParams = view2.getLayoutParams();
                int i7 = layoutParams.width != -2 ? ConcurrentReaderHashMap.MAXIMUM_CAPACITY : Integer.MIN_VALUE;
                int i8 = layoutParams.width;
                if (i8 >= 0) {
                    paddingLeft = Math.min(i8, paddingLeft);
                }
                if (layoutParams.height == -2) {
                    i4 = Integer.MIN_VALUE;
                }
                int i9 = layoutParams.height;
                if (i9 >= 0) {
                    i6 = Math.min(i9, i6);
                }
                this.K.measure(View.MeasureSpec.makeMeasureSpec(paddingLeft, i7), View.MeasureSpec.makeMeasureSpec(i6, i4));
            }
            if (this.C <= 0) {
                int childCount = getChildCount();
                int i10 = 0;
                for (int i11 = 0; i11 < childCount; i11++) {
                    int measuredHeight = getChildAt(i11).getMeasuredHeight() + paddingBottom;
                    if (measuredHeight > i10) {
                        i10 = measuredHeight;
                    }
                }
                setMeasuredDimension(size, i10);
                return;
            }
            setMeasuredDimension(size, i5);
        } else {
            throw new IllegalStateException(ActionBarContextView.class.getSimpleName() + " can only be used with android:layout_height=\"wrap_content\"");
        }
    }

    @Override // f.b.p.a
    public void setContentHeight(int i2) {
        this.C = i2;
    }

    public void setCustomView(View view) {
        LinearLayout linearLayout;
        View view2 = this.K;
        if (view2 != null) {
            removeView(view2);
        }
        this.K = view;
        if (!(view == null || (linearLayout = this.M) == null)) {
            removeView(linearLayout);
            this.M = null;
        }
        if (view != null) {
            addView(view);
        }
        requestLayout();
    }

    public void setSubtitle(CharSequence charSequence) {
        this.I = charSequence;
        a();
    }

    public void setTitle(CharSequence charSequence) {
        this.H = charSequence;
        a();
    }

    public void setTitleOptional(boolean z) {
        if (z != this.V) {
            requestLayout();
        }
        this.V = z;
    }

    @Override // f.b.p.a
    public /* bridge */ /* synthetic */ void setVisibility(int i2) {
        super.setVisibility(i2);
    }

    public boolean shouldDelayChildPressedState() {
        return false;
    }

    public ActionBarContextView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, f.b.a.actionModeStyle);
    }

    public ActionBarContextView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        Drawable drawable;
        int resourceId;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, j.ActionMode, i2, 0);
        int i3 = j.ActionMode_background;
        if (!obtainStyledAttributes.hasValue(i3) || (resourceId = obtainStyledAttributes.getResourceId(i3, 0)) == 0) {
            drawable = obtainStyledAttributes.getDrawable(i3);
        } else {
            drawable = f.b.l.a.a.c(context, resourceId);
        }
        k.a(this, drawable);
        this.Q = obtainStyledAttributes.getResourceId(j.ActionMode_titleTextStyle, 0);
        this.U = obtainStyledAttributes.getResourceId(j.ActionMode_subtitleTextStyle, 0);
        this.C = obtainStyledAttributes.getLayoutDimension(j.ActionMode_height, 0);
        this.W = obtainStyledAttributes.getResourceId(j.ActionMode_closeItemLayout, g.abc_action_mode_close_item_material);
        obtainStyledAttributes.recycle();
    }
}
