package androidx.appcompat.widget;

import android.app.PendingIntent;
import android.app.SearchableInfo;
import android.content.ActivityNotFoundException;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.database.Cursor;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.Editable;
import android.text.SpannableStringBuilder;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.text.style.ImageSpan;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.TouchDelegate;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.inputmethod.EditorInfo;
import android.view.inputmethod.InputConnection;
import android.view.inputmethod.InputMethodManager;
import android.widget.AdapterView;
import android.widget.AutoCompleteTextView;
import android.widget.ImageView;
import android.widget.TextView;
import f.b.p.e0;
import f.b.p.j0;
import f.b.p.p0;
import f.b.p.v;
import java.lang.reflect.Method;
import java.util.WeakHashMap;
import org.apache.poi.hssf.usermodel.HSSFShapeTypes;
import org.apache.poi.openxml4j.opc.internal.ZipHelper;
import org.apache.xmlbeans.impl.common.ConcurrentReaderHashMap;

public class SearchView extends v implements f.b.o.a {
    public static final k U0 = new k();
    public CharSequence A0;
    public boolean B0;
    public boolean C0;
    public int D0;
    public boolean E0;
    public CharSequence F0;
    public CharSequence G0;
    public boolean H0;
    public int I0;
    public SearchableInfo J0;
    public Bundle K0;
    public final Runnable L0;
    public Runnable M0;
    public final WeakHashMap<String, Drawable.ConstantState> N0;
    public final View.OnClickListener O0;
    public View.OnKeyListener P0;
    public final SearchAutoComplete Q;
    public final TextView.OnEditorActionListener Q0;
    public final AdapterView.OnItemClickListener R0;
    public final AdapterView.OnItemSelectedListener S0;
    public TextWatcher T0;
    public final View U;
    public final View V;
    public final View W;
    public final ImageView a0;
    public final ImageView b0;
    public final ImageView c0;
    public final ImageView d0;
    public final View e0;
    public p f0;
    public Rect g0;
    public Rect h0;
    public int[] i0;
    public int[] j0;
    public final ImageView k0;
    public final Drawable l0;
    public final int m0;
    public final int n0;
    public final Intent o0;
    public final Intent p0;
    public final CharSequence q0;
    public m r0;
    public l s0;
    public View.OnFocusChangeListener t0;
    public n u0;
    public View.OnClickListener v0;
    public boolean w0;
    public boolean x0;
    public f.g.a.a y0;
    public boolean z0;

    public static class SearchAutoComplete extends f.b.p.d {
        public int A;
        public SearchView C;
        public boolean D;
        public final Runnable F;

        public class a implements Runnable {
            public a() {
            }

            public void run() {
                SearchAutoComplete searchAutoComplete = SearchAutoComplete.this;
                if (searchAutoComplete.D) {
                    ((InputMethodManager) searchAutoComplete.getContext().getSystemService("input_method")).showSoftInput(searchAutoComplete, 0);
                    searchAutoComplete.D = false;
                }
            }
        }

        public SearchAutoComplete(Context context) {
            this(context, null);
        }

        private int getSearchViewTextMinWidthDp() {
            Configuration configuration = getResources().getConfiguration();
            int i2 = configuration.screenWidthDp;
            int i3 = configuration.screenHeightDp;
            if (i2 >= 960 && i3 >= 720 && configuration.orientation == 2) {
                return 256;
            }
            if (i2 >= 600) {
                return HSSFShapeTypes.ActionButtonInformation;
            }
            if (i2 < 640 || i3 < 480) {
                return 160;
            }
            return HSSFShapeTypes.ActionButtonInformation;
        }

        public boolean enoughToFilter() {
            return this.A <= 0 || super.enoughToFilter();
        }

        @Override // f.b.p.d
        public InputConnection onCreateInputConnection(EditorInfo editorInfo) {
            InputConnection onCreateInputConnection = super.onCreateInputConnection(editorInfo);
            if (this.D) {
                removeCallbacks(this.F);
                post(this.F);
            }
            return onCreateInputConnection;
        }

        public void onFinishInflate() {
            super.onFinishInflate();
            setMinWidth((int) TypedValue.applyDimension(1, (float) getSearchViewTextMinWidthDp(), getResources().getDisplayMetrics()));
        }

        public void onFocusChanged(boolean z, int i2, Rect rect) {
            super.onFocusChanged(z, i2, rect);
            SearchView searchView = this.C;
            searchView.b(searchView.x0);
            searchView.post(searchView.L0);
            if (searchView.Q.hasFocus()) {
                searchView.c();
            }
        }

        public boolean onKeyPreIme(int i2, KeyEvent keyEvent) {
            if (i2 == 4) {
                if (keyEvent.getAction() == 0 && keyEvent.getRepeatCount() == 0) {
                    KeyEvent.DispatcherState keyDispatcherState = getKeyDispatcherState();
                    if (keyDispatcherState != null) {
                        keyDispatcherState.startTracking(keyEvent, this);
                    }
                    return true;
                } else if (keyEvent.getAction() == 1) {
                    KeyEvent.DispatcherState keyDispatcherState2 = getKeyDispatcherState();
                    if (keyDispatcherState2 != null) {
                        keyDispatcherState2.handleUpEvent(keyEvent);
                    }
                    if (keyEvent.isTracking() && !keyEvent.isCanceled()) {
                        this.C.clearFocus();
                        setImeVisibility(false);
                        return true;
                    }
                }
            }
            return super.onKeyPreIme(i2, keyEvent);
        }

        public void onWindowFocusChanged(boolean z) {
            Method method;
            super.onWindowFocusChanged(z);
            if (z && this.C.hasFocus() && getVisibility() == 0) {
                this.D = true;
                if (SearchView.a(getContext()) && (method = SearchView.U0.c) != null) {
                    try {
                        method.invoke(this, true);
                    } catch (Exception unused) {
                    }
                }
            }
        }

        public void performCompletion() {
        }

        public void replaceText(CharSequence charSequence) {
        }

        public void setImeVisibility(boolean z) {
            InputMethodManager inputMethodManager = (InputMethodManager) getContext().getSystemService("input_method");
            if (!z) {
                this.D = false;
                removeCallbacks(this.F);
                inputMethodManager.hideSoftInputFromWindow(getWindowToken(), 0);
            } else if (inputMethodManager.isActive(this)) {
                this.D = false;
                removeCallbacks(this.F);
                inputMethodManager.showSoftInput(this, 0);
            } else {
                this.D = true;
            }
        }

        public void setSearchView(SearchView searchView) {
            this.C = searchView;
        }

        public void setThreshold(int i2) {
            super.setThreshold(i2);
            this.A = i2;
        }

        public SearchAutoComplete(Context context, AttributeSet attributeSet) {
            this(context, attributeSet, f.b.a.autoCompleteTextViewStyle);
        }

        public SearchAutoComplete(Context context, AttributeSet attributeSet, int i2) {
            super(context, attributeSet, i2);
            this.F = new a();
            this.A = getThreshold();
        }
    }

    public class a implements TextWatcher {
        public a() {
        }

        public void afterTextChanged(Editable editable) {
        }

        public void beforeTextChanged(CharSequence charSequence, int i2, int i3, int i4) {
        }

        public void onTextChanged(CharSequence charSequence, int i2, int i3, int i4) {
            SearchView searchView = SearchView.this;
            Editable text = searchView.Q.getText();
            searchView.G0 = text;
            boolean z = !TextUtils.isEmpty(text);
            searchView.a(z);
            searchView.c(!z);
            searchView.g();
            searchView.j();
            if (searchView.r0 != null && !TextUtils.equals(charSequence, searchView.F0)) {
                searchView.r0.a(charSequence.toString());
            }
            searchView.F0 = charSequence.toString();
        }
    }

    public class b implements Runnable {
        public b() {
        }

        public void run() {
            SearchView.this.h();
        }
    }

    public class c implements Runnable {
        public c() {
        }

        public void run() {
            f.g.a.a aVar = SearchView.this.y0;
            if (aVar instanceof e0) {
                aVar.a(null);
            }
        }
    }

    public class d implements View.OnFocusChangeListener {
        public d() {
        }

        public void onFocusChange(View view, boolean z) {
            SearchView searchView = SearchView.this;
            View.OnFocusChangeListener onFocusChangeListener = searchView.t0;
            if (onFocusChangeListener != null) {
                onFocusChangeListener.onFocusChange(searchView, z);
            }
        }
    }

    public class e implements View.OnLayoutChangeListener {
        public e() {
        }

        public void onLayoutChange(View view, int i2, int i3, int i4, int i5, int i6, int i7, int i8, int i9) {
            int i10;
            int i11;
            SearchView searchView = SearchView.this;
            if (searchView.e0.getWidth() > 1) {
                Resources resources = searchView.getContext().getResources();
                int paddingLeft = searchView.V.getPaddingLeft();
                Rect rect = new Rect();
                boolean a2 = p0.a(searchView);
                if (searchView.w0) {
                    i10 = resources.getDimensionPixelSize(f.b.d.abc_dropdownitem_text_padding_left) + resources.getDimensionPixelSize(f.b.d.abc_dropdownitem_icon_width);
                } else {
                    i10 = 0;
                }
                searchView.Q.getDropDownBackground().getPadding(rect);
                if (a2) {
                    i11 = -rect.left;
                } else {
                    i11 = paddingLeft - (rect.left + i10);
                }
                searchView.Q.setDropDownHorizontalOffset(i11);
                searchView.Q.setDropDownWidth((((searchView.e0.getWidth() + rect.left) + rect.right) + i10) - paddingLeft);
            }
        }
    }

    public class f implements View.OnClickListener {
        public f() {
        }

        public void onClick(View view) {
            String str;
            SearchView searchView = SearchView.this;
            if (view == searchView.a0) {
                searchView.e();
            } else if (view == searchView.c0) {
                searchView.d();
            } else if (view == searchView.b0) {
                searchView.f();
            } else if (view == searchView.d0) {
                SearchableInfo searchableInfo = searchView.J0;
                if (searchableInfo != null) {
                    try {
                        if (searchableInfo.getVoiceSearchLaunchWebSearch()) {
                            Intent intent = new Intent(searchView.o0);
                            ComponentName searchActivity = searchableInfo.getSearchActivity();
                            if (searchActivity == null) {
                                str = null;
                            } else {
                                str = searchActivity.flattenToShortString();
                            }
                            intent.putExtra("calling_package", str);
                            searchView.getContext().startActivity(intent);
                        } else if (searchableInfo.getVoiceSearchLaunchRecognizer()) {
                            searchView.getContext().startActivity(searchView.a(searchView.p0, searchableInfo));
                        }
                    } catch (ActivityNotFoundException unused) {
                        Log.w("SearchView", "Could not find voice search activity");
                    }
                }
            } else if (view == searchView.Q) {
                searchView.c();
            }
        }
    }

    public class g implements View.OnKeyListener {
        public g() {
        }

        public boolean onKey(View view, int i2, KeyEvent keyEvent) {
            int i3;
            SearchView searchView = SearchView.this;
            if (searchView.J0 == null) {
                return false;
            }
            if (!searchView.Q.isPopupShowing() || SearchView.this.Q.getListSelection() == -1) {
                if ((TextUtils.getTrimmedLength(SearchView.this.Q.getText()) == 0) || !keyEvent.hasNoModifiers() || keyEvent.getAction() != 1 || i2 != 66) {
                    return false;
                }
                view.cancelLongPress();
                SearchView searchView2 = SearchView.this;
                searchView2.a(0, null, searchView2.Q.getText().toString());
                return true;
            }
            SearchView searchView3 = SearchView.this;
            if (searchView3.J0 == null || searchView3.y0 == null || keyEvent.getAction() != 0 || !keyEvent.hasNoModifiers()) {
                return false;
            }
            if (i2 == 66 || i2 == 84 || i2 == 61) {
                return searchView3.b(searchView3.Q.getListSelection());
            }
            if (i2 == 21 || i2 == 22) {
                if (i2 == 21) {
                    i3 = 0;
                } else {
                    i3 = searchView3.Q.length();
                }
                searchView3.Q.setSelection(i3);
                searchView3.Q.setListSelection(0);
                searchView3.Q.clearListSelection();
                k kVar = SearchView.U0;
                SearchAutoComplete searchAutoComplete = searchView3.Q;
                Method method = kVar.c;
                if (method != null) {
                    try {
                        method.invoke(searchAutoComplete, true);
                    } catch (Exception unused) {
                    }
                }
                return true;
            } else if (i2 != 19) {
                return false;
            } else {
                searchView3.Q.getListSelection();
                return false;
            }
        }
    }

    public class h implements TextView.OnEditorActionListener {
        public h() {
        }

        public boolean onEditorAction(TextView textView, int i2, KeyEvent keyEvent) {
            SearchView.this.f();
            return true;
        }
    }

    public class i implements AdapterView.OnItemClickListener {
        public i() {
        }

        @Override // android.widget.AdapterView.OnItemClickListener
        public void onItemClick(AdapterView<?> adapterView, View view, int i2, long j) {
            SearchView.this.b(i2);
        }
    }

    public class j implements AdapterView.OnItemSelectedListener {
        public j() {
        }

        @Override // android.widget.AdapterView.OnItemSelectedListener
        public void onItemSelected(AdapterView<?> adapterView, View view, int i2, long j) {
            SearchView.this.c(i2);
        }

        @Override // android.widget.AdapterView.OnItemSelectedListener
        public void onNothingSelected(AdapterView<?> adapterView) {
        }
    }

    public static class k {
        public Method a;

        /* renamed from: b  reason: collision with root package name */
        public Method f11b;
        public Method c;

        public k() {
            try {
                Method declaredMethod = AutoCompleteTextView.class.getDeclaredMethod("doBeforeTextChanged", new Class[0]);
                this.a = declaredMethod;
                declaredMethod.setAccessible(true);
            } catch (NoSuchMethodException unused) {
            }
            try {
                Method declaredMethod2 = AutoCompleteTextView.class.getDeclaredMethod("doAfterTextChanged", new Class[0]);
                this.f11b = declaredMethod2;
                declaredMethod2.setAccessible(true);
            } catch (NoSuchMethodException unused2) {
            }
            try {
                Method method = AutoCompleteTextView.class.getMethod("ensureImeVisible", Boolean.TYPE);
                this.c = method;
                method.setAccessible(true);
            } catch (NoSuchMethodException unused3) {
            }
        }
    }

    public interface l {
        boolean a();
    }

    public interface m {
        boolean a(String str);

        boolean b(String str);
    }

    public interface n {
        boolean a(int i2);

        boolean b(int i2);
    }

    public static class o extends f.h.a.a {
        public static final Parcelable.Creator<o> CREATOR = new a();
        public boolean z;

        public static class a implements Parcelable.ClassLoaderCreator<o> {
            /* Return type fixed from 'java.lang.Object' to match base method */
            @Override // android.os.Parcelable.ClassLoaderCreator
            public o createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new o(parcel, classLoader);
            }

            @Override // android.os.Parcelable.Creator
            public Object[] newArray(int i2) {
                return new o[i2];
            }

            @Override // android.os.Parcelable.Creator
            public Object createFromParcel(Parcel parcel) {
                return new o(parcel, null);
            }
        }

        public o(Parcelable parcelable) {
            super(parcelable);
        }

        public String toString() {
            StringBuilder b2 = b.b.a.a.a.b("SearchView.SavedState{");
            b2.append(Integer.toHexString(System.identityHashCode(this)));
            b2.append(" isIconified=");
            b2.append(this.z);
            b2.append("}");
            return b2.toString();
        }

        @Override // f.h.a.a
        public void writeToParcel(Parcel parcel, int i2) {
            parcel.writeParcelable(this.x, i2);
            parcel.writeValue(Boolean.valueOf(this.z));
        }

        public o(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.z = ((Boolean) parcel.readValue(null)).booleanValue();
        }
    }

    public static class p extends TouchDelegate {
        public final View a;

        /* renamed from: b  reason: collision with root package name */
        public final Rect f12b = new Rect();
        public final Rect c = new Rect();

        /* renamed from: d  reason: collision with root package name */
        public final Rect f13d = new Rect();

        /* renamed from: e  reason: collision with root package name */
        public final int f14e;

        /* renamed from: f  reason: collision with root package name */
        public boolean f15f;

        public p(Rect rect, Rect rect2, View view) {
            super(rect, view);
            this.f14e = ViewConfiguration.get(view.getContext()).getScaledTouchSlop();
            a(rect, rect2);
            this.a = view;
        }

        public void a(Rect rect, Rect rect2) {
            this.f12b.set(rect);
            this.f13d.set(rect);
            Rect rect3 = this.f13d;
            int i2 = this.f14e;
            rect3.inset(-i2, -i2);
            this.c.set(rect2);
        }

        /* JADX WARNING: Removed duplicated region for block: B:19:0x0041  */
        /* JADX WARNING: Removed duplicated region for block: B:26:? A[RETURN, SYNTHETIC] */
        public boolean onTouchEvent(MotionEvent motionEvent) {
            boolean z;
            boolean z2;
            int x = (int) motionEvent.getX();
            int y = (int) motionEvent.getY();
            int action = motionEvent.getAction();
            boolean z3 = true;
            if (action != 0) {
                if (action == 1 || action == 2) {
                    z2 = this.f15f;
                    if (z2 && !this.f13d.contains(x, y)) {
                        z3 = z2;
                        z = false;
                        if (z3) {
                            return false;
                        }
                        if (!z || this.c.contains(x, y)) {
                            Rect rect = this.c;
                            motionEvent.setLocation((float) (x - rect.left), (float) (y - rect.top));
                        } else {
                            motionEvent.setLocation((float) (this.a.getWidth() / 2), (float) (this.a.getHeight() / 2));
                        }
                        return this.a.dispatchTouchEvent(motionEvent);
                    }
                } else {
                    if (action == 3) {
                        z2 = this.f15f;
                        this.f15f = false;
                    }
                    z = true;
                    z3 = false;
                    if (z3) {
                    }
                }
                z3 = z2;
            } else {
                if (this.f12b.contains(x, y)) {
                    this.f15f = true;
                }
                z = true;
                z3 = false;
                if (z3) {
                }
            }
            z = true;
            if (z3) {
            }
        }
    }

    public SearchView(Context context) {
        this(context, null);
    }

    private int getPreferredHeight() {
        return getContext().getResources().getDimensionPixelSize(f.b.d.abc_search_view_preferred_height);
    }

    private int getPreferredWidth() {
        return getContext().getResources().getDimensionPixelSize(f.b.d.abc_search_view_preferred_width);
    }

    private void setQuery(CharSequence charSequence) {
        this.Q.setText(charSequence);
        this.Q.setSelection(TextUtils.isEmpty(charSequence) ? 0 : charSequence.length());
    }

    @Override // f.b.o.a
    public void a() {
        this.Q.setText("");
        SearchAutoComplete searchAutoComplete = this.Q;
        searchAutoComplete.setSelection(searchAutoComplete.length());
        this.G0 = "";
        clearFocus();
        b(true);
        this.Q.setImeOptions(this.I0);
        this.H0 = false;
    }

    public final void b(boolean z) {
        this.x0 = z;
        int i2 = 0;
        int i3 = z ? 0 : 8;
        boolean z2 = !TextUtils.isEmpty(this.Q.getText());
        this.a0.setVisibility(i3);
        a(z2);
        this.U.setVisibility(z ? 8 : 0);
        if (this.k0.getDrawable() == null || this.w0) {
            i2 = 8;
        }
        this.k0.setVisibility(i2);
        g();
        c(!z2);
        j();
    }

    public final void c(boolean z) {
        int i2 = 8;
        if (this.E0 && !this.x0 && z) {
            this.b0.setVisibility(8);
            i2 = 0;
        }
        this.d0.setVisibility(i2);
    }

    public void clearFocus() {
        this.C0 = true;
        super.clearFocus();
        this.Q.clearFocus();
        this.Q.setImeVisibility(false);
        this.C0 = false;
    }

    public void d() {
        if (!TextUtils.isEmpty(this.Q.getText())) {
            this.Q.setText("");
            this.Q.requestFocus();
            this.Q.setImeVisibility(true);
        } else if (this.w0) {
            l lVar = this.s0;
            if (lVar == null || !lVar.a()) {
                clearFocus();
                b(true);
            }
        }
    }

    public void e() {
        b(false);
        this.Q.requestFocus();
        this.Q.setImeVisibility(true);
        View.OnClickListener onClickListener = this.v0;
        if (onClickListener != null) {
            onClickListener.onClick(this);
        }
    }

    public void f() {
        Editable text = this.Q.getText();
        if (text != null && TextUtils.getTrimmedLength(text) > 0) {
            m mVar = this.r0;
            if (mVar == null || !mVar.b(text.toString())) {
                if (this.J0 != null) {
                    a(0, null, text.toString());
                }
                this.Q.setImeVisibility(false);
                this.Q.dismissDropDown();
            }
        }
    }

    public final void g() {
        boolean z = true;
        boolean z2 = !TextUtils.isEmpty(this.Q.getText());
        int i2 = 0;
        if (!z2 && (!this.w0 || this.H0)) {
            z = false;
        }
        ImageView imageView = this.c0;
        if (!z) {
            i2 = 8;
        }
        imageView.setVisibility(i2);
        Drawable drawable = this.c0.getDrawable();
        if (drawable != null) {
            drawable.setState(z2 ? ViewGroup.ENABLED_STATE_SET : ViewGroup.EMPTY_STATE_SET);
        }
    }

    public int getImeOptions() {
        return this.Q.getImeOptions();
    }

    public int getInputType() {
        return this.Q.getInputType();
    }

    public int getMaxWidth() {
        return this.D0;
    }

    public CharSequence getQuery() {
        return this.Q.getText();
    }

    public CharSequence getQueryHint() {
        CharSequence charSequence = this.A0;
        if (charSequence != null) {
            return charSequence;
        }
        SearchableInfo searchableInfo = this.J0;
        if (searchableInfo == null || searchableInfo.getHintId() == 0) {
            return this.q0;
        }
        return getContext().getText(this.J0.getHintId());
    }

    public int getSuggestionCommitIconResId() {
        return this.n0;
    }

    public int getSuggestionRowLayout() {
        return this.m0;
    }

    public f.g.a.a getSuggestionsAdapter() {
        return this.y0;
    }

    public void h() {
        int[] iArr = this.Q.hasFocus() ? ViewGroup.FOCUSED_STATE_SET : ViewGroup.EMPTY_STATE_SET;
        Drawable background = this.V.getBackground();
        if (background != null) {
            background.setState(iArr);
        }
        Drawable background2 = this.W.getBackground();
        if (background2 != null) {
            background2.setState(iArr);
        }
        invalidate();
    }

    public final void i() {
        SpannableStringBuilder queryHint = getQueryHint();
        SearchAutoComplete searchAutoComplete = this.Q;
        if (queryHint == null) {
            queryHint = "";
        }
        if (this.w0 && this.l0 != null) {
            int textSize = (int) (((double) this.Q.getTextSize()) * 1.25d);
            this.l0.setBounds(0, 0, textSize, textSize);
            SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder("   ");
            spannableStringBuilder.setSpan(new ImageSpan(this.l0), 1, 2, 33);
            spannableStringBuilder.append(queryHint);
            queryHint = spannableStringBuilder;
        }
        searchAutoComplete.setHint(queryHint);
    }

    public final void j() {
        int i2 = 0;
        if (!((this.z0 || this.E0) && !this.x0) || !(this.b0.getVisibility() == 0 || this.d0.getVisibility() == 0)) {
            i2 = 8;
        }
        this.W.setVisibility(i2);
    }

    public void onDetachedFromWindow() {
        removeCallbacks(this.L0);
        post(this.M0);
        super.onDetachedFromWindow();
    }

    @Override // f.b.p.v
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        super.onLayout(z, i2, i3, i4, i5);
        if (z) {
            SearchAutoComplete searchAutoComplete = this.Q;
            Rect rect = this.g0;
            searchAutoComplete.getLocationInWindow(this.i0);
            getLocationInWindow(this.j0);
            int[] iArr = this.i0;
            int i6 = iArr[1];
            int[] iArr2 = this.j0;
            int i7 = i6 - iArr2[1];
            int i8 = iArr[0] - iArr2[0];
            rect.set(i8, i7, searchAutoComplete.getWidth() + i8, searchAutoComplete.getHeight() + i7);
            Rect rect2 = this.h0;
            Rect rect3 = this.g0;
            rect2.set(rect3.left, 0, rect3.right, i5 - i3);
            p pVar = this.f0;
            if (pVar == null) {
                p pVar2 = new p(this.h0, this.g0, this.Q);
                this.f0 = pVar2;
                setTouchDelegate(pVar2);
                return;
            }
            pVar.a(this.h0, this.g0);
        }
    }

    @Override // f.b.p.v
    public void onMeasure(int i2, int i3) {
        int i4;
        if (this.x0) {
            super.onMeasure(i2, i3);
            return;
        }
        int mode = View.MeasureSpec.getMode(i2);
        int size = View.MeasureSpec.getSize(i2);
        if (mode == Integer.MIN_VALUE) {
            int i5 = this.D0;
            size = i5 > 0 ? Math.min(i5, size) : Math.min(getPreferredWidth(), size);
        } else if (mode == 0) {
            size = this.D0;
            if (size <= 0) {
                size = getPreferredWidth();
            }
        } else if (mode == 1073741824 && (i4 = this.D0) > 0) {
            size = Math.min(i4, size);
        }
        int mode2 = View.MeasureSpec.getMode(i3);
        int size2 = View.MeasureSpec.getSize(i3);
        if (mode2 == Integer.MIN_VALUE) {
            size2 = Math.min(getPreferredHeight(), size2);
        } else if (mode2 == 0) {
            size2 = getPreferredHeight();
        }
        super.onMeasure(View.MeasureSpec.makeMeasureSpec(size, ConcurrentReaderHashMap.MAXIMUM_CAPACITY), View.MeasureSpec.makeMeasureSpec(size2, ConcurrentReaderHashMap.MAXIMUM_CAPACITY));
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof o)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        o oVar = (o) parcelable;
        super.onRestoreInstanceState(oVar.x);
        b(oVar.z);
        requestLayout();
    }

    public Parcelable onSaveInstanceState() {
        o oVar = new o(super.onSaveInstanceState());
        oVar.z = this.x0;
        return oVar;
    }

    public void onWindowFocusChanged(boolean z) {
        super.onWindowFocusChanged(z);
        post(this.L0);
    }

    public boolean requestFocus(int i2, Rect rect) {
        if (this.C0 || !isFocusable()) {
            return false;
        }
        if (this.x0) {
            return super.requestFocus(i2, rect);
        }
        boolean requestFocus = this.Q.requestFocus(i2, rect);
        if (requestFocus) {
            b(false);
        }
        return requestFocus;
    }

    public void setAppSearchData(Bundle bundle) {
        this.K0 = bundle;
    }

    public void setIconified(boolean z) {
        if (z) {
            d();
        } else {
            e();
        }
    }

    public void setIconifiedByDefault(boolean z) {
        if (this.w0 != z) {
            this.w0 = z;
            b(z);
            i();
        }
    }

    public void setImeOptions(int i2) {
        this.Q.setImeOptions(i2);
    }

    public void setInputType(int i2) {
        this.Q.setInputType(i2);
    }

    public void setMaxWidth(int i2) {
        this.D0 = i2;
        requestLayout();
    }

    public void setOnCloseListener(l lVar) {
        this.s0 = lVar;
    }

    public void setOnQueryTextFocusChangeListener(View.OnFocusChangeListener onFocusChangeListener) {
        this.t0 = onFocusChangeListener;
    }

    public void setOnQueryTextListener(m mVar) {
        this.r0 = mVar;
    }

    public void setOnSearchClickListener(View.OnClickListener onClickListener) {
        this.v0 = onClickListener;
    }

    public void setOnSuggestionListener(n nVar) {
        this.u0 = nVar;
    }

    public void setQueryHint(CharSequence charSequence) {
        this.A0 = charSequence;
        i();
    }

    public void setQueryRefinementEnabled(boolean z) {
        this.B0 = z;
        f.g.a.a aVar = this.y0;
        if (aVar instanceof e0) {
            ((e0) aVar).V = z ? 2 : 1;
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:30:0x009c, code lost:
        if (getContext().getPackageManager().resolveActivity(r2, 65536) != null) goto L_0x00a0;
     */
    public void setSearchableInfo(SearchableInfo searchableInfo) {
        this.J0 = searchableInfo;
        boolean z = true;
        Intent intent = null;
        if (searchableInfo != null) {
            this.Q.setThreshold(searchableInfo.getSuggestThreshold());
            this.Q.setImeOptions(this.J0.getImeOptions());
            int inputType = this.J0.getInputType();
            if ((inputType & 15) == 1) {
                inputType &= -65537;
                if (this.J0.getSuggestAuthority() != null) {
                    inputType = inputType | 65536 | 524288;
                }
            }
            this.Q.setInputType(inputType);
            f.g.a.a aVar = this.y0;
            if (aVar != null) {
                aVar.a(null);
            }
            if (this.J0.getSuggestAuthority() != null) {
                e0 e0Var = new e0(getContext(), this, this.J0, this.N0);
                this.y0 = e0Var;
                this.Q.setAdapter(e0Var);
                ((e0) this.y0).V = this.B0 ? 2 : 1;
            }
            i();
        }
        SearchableInfo searchableInfo2 = this.J0;
        if (searchableInfo2 != null && searchableInfo2.getVoiceSearchEnabled()) {
            if (this.J0.getVoiceSearchLaunchWebSearch()) {
                intent = this.o0;
            } else if (this.J0.getVoiceSearchLaunchRecognizer()) {
                intent = this.p0;
            }
            if (intent != null) {
            }
        }
        z = false;
        this.E0 = z;
        if (z) {
            this.Q.setPrivateImeOptions("nm");
        }
        b(this.x0);
    }

    public void setSubmitButtonEnabled(boolean z) {
        this.z0 = z;
        b(this.x0);
    }

    public void setSuggestionsAdapter(f.g.a.a aVar) {
        this.y0 = aVar;
        this.Q.setAdapter(aVar);
    }

    public SearchView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, f.b.a.searchViewStyle);
    }

    public SearchView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.g0 = new Rect();
        this.h0 = new Rect();
        this.i0 = new int[2];
        this.j0 = new int[2];
        this.L0 = new b();
        this.M0 = new c();
        this.N0 = new WeakHashMap<>();
        this.O0 = new f();
        this.P0 = new g();
        this.Q0 = new h();
        this.R0 = new i();
        this.S0 = new j();
        this.T0 = new a();
        j0 j0Var = new j0(context, context.obtainStyledAttributes(attributeSet, f.b.j.SearchView, i2, 0));
        LayoutInflater.from(context).inflate(j0Var.e(f.b.j.SearchView_layout, f.b.g.abc_search_view), (ViewGroup) this, true);
        SearchAutoComplete searchAutoComplete = (SearchAutoComplete) findViewById(f.b.f.search_src_text);
        this.Q = searchAutoComplete;
        searchAutoComplete.setSearchView(this);
        this.U = findViewById(f.b.f.search_edit_frame);
        this.V = findViewById(f.b.f.search_plate);
        this.W = findViewById(f.b.f.submit_area);
        this.a0 = (ImageView) findViewById(f.b.f.search_button);
        this.b0 = (ImageView) findViewById(f.b.f.search_go_btn);
        this.c0 = (ImageView) findViewById(f.b.f.search_close_btn);
        this.d0 = (ImageView) findViewById(f.b.f.search_voice_btn);
        this.k0 = (ImageView) findViewById(f.b.f.search_mag_icon);
        f.f.j.k.a(this.V, j0Var.b(f.b.j.SearchView_queryBackground));
        this.W.setBackground(j0Var.b(f.b.j.SearchView_submitBackground));
        this.a0.setImageDrawable(j0Var.b(f.b.j.SearchView_searchIcon));
        this.b0.setImageDrawable(j0Var.b(f.b.j.SearchView_goIcon));
        this.c0.setImageDrawable(j0Var.b(f.b.j.SearchView_closeIcon));
        this.d0.setImageDrawable(j0Var.b(f.b.j.SearchView_voiceIcon));
        this.k0.setImageDrawable(j0Var.b(f.b.j.SearchView_searchIcon));
        this.l0 = j0Var.b(f.b.j.SearchView_searchHintIcon);
        e.a.a.a.a.a(this.a0, getResources().getString(f.b.h.abc_searchview_description_search));
        this.m0 = j0Var.e(f.b.j.SearchView_suggestionRowLayout, f.b.g.abc_search_dropdown_item_icons_2line);
        this.n0 = j0Var.e(f.b.j.SearchView_commitIcon, 0);
        this.a0.setOnClickListener(this.O0);
        this.c0.setOnClickListener(this.O0);
        this.b0.setOnClickListener(this.O0);
        this.d0.setOnClickListener(this.O0);
        this.Q.setOnClickListener(this.O0);
        this.Q.addTextChangedListener(this.T0);
        this.Q.setOnEditorActionListener(this.Q0);
        this.Q.setOnItemClickListener(this.R0);
        this.Q.setOnItemSelectedListener(this.S0);
        this.Q.setOnKeyListener(this.P0);
        this.Q.setOnFocusChangeListener(new d());
        setIconifiedByDefault(j0Var.a(f.b.j.SearchView_iconifiedByDefault, true));
        int b2 = j0Var.b(f.b.j.SearchView_android_maxWidth, -1);
        if (b2 != -1) {
            setMaxWidth(b2);
        }
        this.q0 = j0Var.d(f.b.j.SearchView_defaultQueryHint);
        this.A0 = j0Var.d(f.b.j.SearchView_queryHint);
        int c2 = j0Var.c(f.b.j.SearchView_android_imeOptions, -1);
        if (c2 != -1) {
            setImeOptions(c2);
        }
        int c3 = j0Var.c(f.b.j.SearchView_android_inputType, -1);
        if (c3 != -1) {
            setInputType(c3);
        }
        setFocusable(j0Var.a(f.b.j.SearchView_android_focusable, true));
        j0Var.f399b.recycle();
        Intent intent = new Intent("android.speech.action.WEB_SEARCH");
        this.o0 = intent;
        intent.addFlags(268435456);
        this.o0.putExtra("android.speech.extra.LANGUAGE_MODEL", "web_search");
        Intent intent2 = new Intent("android.speech.action.RECOGNIZE_SPEECH");
        this.p0 = intent2;
        intent2.addFlags(268435456);
        View findViewById = findViewById(this.Q.getDropDownAnchor());
        this.e0 = findViewById;
        if (findViewById != null) {
            findViewById.addOnLayoutChangeListener(new e());
        }
        b(this.w0);
        i();
    }

    public boolean c(int i2) {
        n nVar = this.u0;
        if (nVar != null && nVar.a(i2)) {
            return false;
        }
        Editable text = this.Q.getText();
        Cursor cursor = this.y0.z;
        if (cursor == null) {
            return true;
        }
        if (cursor.moveToPosition(i2)) {
            CharSequence b2 = this.y0.b(cursor);
            if (b2 != null) {
                setQuery(b2);
                return true;
            }
            setQuery(text);
            return true;
        }
        setQuery(text);
        return true;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:14:0x001e, code lost:
        if (r2.E0 == false) goto L_0x0023;
     */
    public final void a(boolean z) {
        boolean z2 = this.z0;
        int i2 = 0;
        if (z2) {
            if ((z2 || this.E0) && !this.x0) {
                if (hasFocus()) {
                    if (!z) {
                    }
                    this.b0.setVisibility(i2);
                }
            }
        }
        i2 = 8;
        this.b0.setVisibility(i2);
    }

    @Override // f.b.o.a
    public void b() {
        if (!this.H0) {
            this.H0 = true;
            int imeOptions = this.Q.getImeOptions();
            this.I0 = imeOptions;
            this.Q.setImeOptions(imeOptions | 33554432);
            this.Q.setText("");
            setIconified(false);
        }
    }

    public void a(CharSequence charSequence) {
        setQuery(charSequence);
    }

    public void a(int i2, String str, String str2) {
        getContext().startActivity(a("android.intent.action.SEARCH", null, null, str2, i2, str));
    }

    public void c() {
        if (Build.VERSION.SDK_INT >= 29) {
            this.Q.refreshAutoCompleteResults();
            return;
        }
        k kVar = U0;
        SearchAutoComplete searchAutoComplete = this.Q;
        Method method = kVar.a;
        if (method != null) {
            try {
                method.invoke(searchAutoComplete, new Object[0]);
            } catch (Exception unused) {
            }
        }
        k kVar2 = U0;
        SearchAutoComplete searchAutoComplete2 = this.Q;
        Method method2 = kVar2.f11b;
        if (method2 != null) {
            try {
                method2.invoke(searchAutoComplete2, new Object[0]);
            } catch (Exception unused2) {
            }
        }
    }

    public final Intent a(String str, Uri uri, String str2, String str3, int i2, String str4) {
        Intent intent = new Intent(str);
        intent.addFlags(268435456);
        if (uri != null) {
            intent.setData(uri);
        }
        intent.putExtra("user_query", this.G0);
        if (str3 != null) {
            intent.putExtra("query", str3);
        }
        if (str2 != null) {
            intent.putExtra("intent_extra_data_key", str2);
        }
        Bundle bundle = this.K0;
        if (bundle != null) {
            intent.putExtra("app_data", bundle);
        }
        if (i2 != 0) {
            intent.putExtra("action_key", i2);
            intent.putExtra("action_msg", str4);
        }
        intent.setComponent(this.J0.getSearchActivity());
        return intent;
    }

    public boolean b(int i2) {
        int i3;
        Uri uri;
        String a2;
        n nVar = this.u0;
        if (nVar != null && nVar.b(i2)) {
            return false;
        }
        Cursor cursor = this.y0.z;
        if (cursor != null && cursor.moveToPosition(i2)) {
            Intent intent = null;
            try {
                String a3 = e0.a(cursor, "suggest_intent_action");
                if (a3 == null) {
                    a3 = this.J0.getSuggestIntentAction();
                }
                if (a3 == null) {
                    a3 = "android.intent.action.SEARCH";
                }
                String a4 = e0.a(cursor, cursor.getColumnIndex("suggest_intent_data"));
                if (a4 == null) {
                    a4 = this.J0.getSuggestIntentData();
                }
                if (!(a4 == null || (a2 = e0.a(cursor, cursor.getColumnIndex("suggest_intent_data_id"))) == null)) {
                    a4 = a4 + ZipHelper.FORWARD_SLASH + Uri.encode(a2);
                }
                if (a4 == null) {
                    uri = null;
                } else {
                    uri = Uri.parse(a4);
                }
                intent = a(a3, uri, e0.a(cursor, cursor.getColumnIndex("suggest_intent_extra_data")), e0.a(cursor, cursor.getColumnIndex("suggest_intent_query")), 0, null);
            } catch (RuntimeException e2) {
                try {
                    i3 = cursor.getPosition();
                } catch (RuntimeException unused) {
                    i3 = -1;
                }
                Log.w("SearchView", "Search suggestions cursor at row " + i3 + " returned exception.", e2);
            }
            if (intent != null) {
                try {
                    getContext().startActivity(intent);
                } catch (RuntimeException e3) {
                    Log.e("SearchView", "Failed launch activity: " + intent, e3);
                }
            }
        }
        this.Q.setImeVisibility(false);
        this.Q.dismissDropDown();
        return true;
    }

    public final Intent a(Intent intent, SearchableInfo searchableInfo) {
        ComponentName searchActivity = searchableInfo.getSearchActivity();
        Intent intent2 = new Intent("android.intent.action.SEARCH");
        intent2.setComponent(searchActivity);
        PendingIntent activity = PendingIntent.getActivity(getContext(), 0, intent2, ConcurrentReaderHashMap.MAXIMUM_CAPACITY);
        Bundle bundle = new Bundle();
        Bundle bundle2 = this.K0;
        if (bundle2 != null) {
            bundle.putParcelable("app_data", bundle2);
        }
        Intent intent3 = new Intent(intent);
        int i2 = 1;
        Resources resources = getResources();
        String string = searchableInfo.getVoiceLanguageModeId() != 0 ? resources.getString(searchableInfo.getVoiceLanguageModeId()) : "free_form";
        String str = null;
        String string2 = searchableInfo.getVoicePromptTextId() != 0 ? resources.getString(searchableInfo.getVoicePromptTextId()) : null;
        String string3 = searchableInfo.getVoiceLanguageId() != 0 ? resources.getString(searchableInfo.getVoiceLanguageId()) : null;
        if (searchableInfo.getVoiceMaxResults() != 0) {
            i2 = searchableInfo.getVoiceMaxResults();
        }
        intent3.putExtra("android.speech.extra.LANGUAGE_MODEL", string);
        intent3.putExtra("android.speech.extra.PROMPT", string2);
        intent3.putExtra("android.speech.extra.LANGUAGE", string3);
        intent3.putExtra("android.speech.extra.MAX_RESULTS", i2);
        if (searchActivity != null) {
            str = searchActivity.flattenToShortString();
        }
        intent3.putExtra("calling_package", str);
        intent3.putExtra("android.speech.extra.RESULTS_PENDINGINTENT", activity);
        intent3.putExtra("android.speech.extra.RESULTS_PENDINGINTENT_BUNDLE", bundle);
        return intent3;
    }

    public static boolean a(Context context) {
        return context.getResources().getConfiguration().orientation == 2;
    }
}
