package com.dreamlive.cn.clog;

import android.content.Context;
import android.content.pm.PackageInfo;
import android.content.pm.PackageManager;
import android.os.Build;
import android.os.Process;
import android.text.TextUtils;
import android.util.Log;
import b.b.a.a.a;
import java.io.File;
import java.io.FileOutputStream;
import java.io.PrintWriter;
import java.io.StringWriter;
import java.lang.Thread;
import java.lang.reflect.Field;
import java.net.UnknownHostException;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

public class CollectLog implements Thread.UncaughtExceptionHandler {
    public static CollectLog INSTANCE = new CollectLog();
    public static final String TAG = CollectLog.class.getCanonicalName();
    public String filePath = "";
    public DateFormat formatter = new SimpleDateFormat("yyyyMMdd_HHmmss");
    public Map<String, String> infos = new HashMap();
    public Context mContext;
    public Thread.UncaughtExceptionHandler mDefaultHandler;

    public static CollectLog getInstance() {
        return INSTANCE;
    }

    public static String getStackTraceString(Throwable th) {
        if (th == null) {
            return "";
        }
        for (Throwable th2 = th; th2 != null; th2 = th2.getCause()) {
            try {
                if (th2 instanceof UnknownHostException) {
                    return "";
                }
            } catch (Exception unused) {
                return "";
            }
        }
        StringWriter stringWriter = new StringWriter();
        th.printStackTrace(new PrintWriter(stringWriter));
        return stringWriter.toString();
    }

    private boolean handleException(Throwable th) {
        if (th == null) {
            return false;
        }
        collectDeviceInfo(this.mContext);
        Log.e(TAG, saveCrashInfo2File(th));
        return false;
    }

    private String saveCrashInfo2File(Throwable th) {
        File file;
        StringBuffer stringBuffer = new StringBuffer();
        for (Map.Entry<String, String> entry : this.infos.entrySet()) {
            stringBuffer.append(a.b("[", entry.getKey(), ", ", entry.getValue(), "]\n"));
        }
        StringBuilder b2 = a.b("\n");
        b2.append(getStackTraceString(th));
        stringBuffer.append(b2.toString());
        try {
            String str = "CRS_" + this.formatter.format(new Date()) + ".txt";
            File absoluteFile = this.mContext.getExternalFilesDir("logs").getAbsoluteFile();
            if (!TextUtils.isEmpty(this.filePath)) {
                File file2 = new File(this.filePath);
                if (!file2.exists()) {
                    file2.mkdirs();
                }
                file = new File(this.filePath + File.separator + str);
            } else {
                file = new File(absoluteFile + File.separator + str);
            }
            FileOutputStream fileOutputStream = new FileOutputStream(file);
            fileOutputStream.write(stringBuffer.toString().getBytes());
            fileOutputStream.close();
            return file.getAbsolutePath();
        } catch (Exception unused) {
            return null;
        }
    }

    public void collectDeviceInfo(Context context) {
        try {
            PackageInfo packageInfo = context.getPackageManager().getPackageInfo(context.getPackageName(), 1);
            if (packageInfo != null) {
                this.infos.put("versionName", packageInfo.versionName == null ? "null" : packageInfo.versionName);
                this.infos.put("versionCode", packageInfo.versionCode + "");
            }
        } catch (PackageManager.NameNotFoundException unused) {
        }
        Field[] declaredFields = Build.class.getDeclaredFields();
        for (Field field : declaredFields) {
            try {
                field.setAccessible(true);
                this.infos.put(field.getName(), field.get(null).toString());
            } catch (Exception unused2) {
            }
        }
    }

    public void init(Context context) {
        this.mContext = context;
        this.mDefaultHandler = Thread.getDefaultUncaughtExceptionHandler();
        Thread.setDefaultUncaughtExceptionHandler(this);
    }

    public void uncaughtException(Thread thread, Throwable th) {
        Thread.UncaughtExceptionHandler uncaughtExceptionHandler;
        if (handleException(th) || (uncaughtExceptionHandler = this.mDefaultHandler) == null) {
            try {
                Thread.sleep(3000);
            } catch (InterruptedException unused) {
            }
            Process.killProcess(Process.myPid());
            System.exit(1);
            return;
        }
        uncaughtExceptionHandler.uncaughtException(thread, th);
    }

    public void init(Context context, String str) {
        init(context);
        this.filePath = str;
    }
}
