package com.fasterxml.aalto.stax;

import b.d.a.a;
import b.d.a.h.b;
import b.d.a.j.e;
import b.d.a.j.g;
import b.d.a.j.v;
import b.d.a.l.h;
import i.b.a.d;
import i.b.a.k.c;
import i.b.a.l.f;
import i.b.a.l.m.p;
import i.b.a.l.m.q;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import java.nio.ByteBuffer;
import javax.xml.transform.Source;
import javax.xml.transform.dom.DOMSource;
import javax.xml.transform.sax.SAXSource;
import javax.xml.transform.stream.StreamSource;
import org.apache.poi.javax.xml.stream.EventFilter;
import org.apache.poi.javax.xml.stream.StreamFilter;
import org.apache.poi.javax.xml.stream.XMLEventReader;
import org.apache.poi.javax.xml.stream.XMLReporter;
import org.apache.poi.javax.xml.stream.XMLResolver;
import org.apache.poi.javax.xml.stream.XMLStreamException;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.poi.javax.xml.stream.util.XMLEventAllocator;
import org.xml.sax.InputSource;

public final class InputFactoryImpl extends a {
    public XMLEventAllocator _allocator = null;
    public final v _config = new v(null, null, null, new v.a(), 7957, 0, null, null, new h());

    @Override // i.b.a.e
    public void configureForConvenience() {
        v vVar = this._config;
        vVar.a(2, true);
        vVar.a(4096, true);
    }

    @Override // i.b.a.e
    public void configureForLowMemUsage() {
        v vVar = this._config;
        vVar.a(2, false);
        vVar.a(4096, false);
    }

    @Override // i.b.a.e
    public void configureForRoundTripping() {
        this._config.a(2, false);
    }

    @Override // i.b.a.e
    public void configureForSpeed() {
        v vVar = this._config;
        vVar.a(2, false);
        vVar.a(4096, false);
    }

    @Override // i.b.a.e
    public void configureForXmlConformance() {
        if (this._config == null) {
            throw null;
        }
    }

    public d constructER(i.b.a.h hVar) {
        return new b(createEventAllocator(), hVar);
    }

    public i.b.a.h constructSR(InputStream inputStream, String str, boolean z) {
        return StreamReaderImpl.construct(new e(getNonSharedConfig(null, null, str, z, false), inputStream));
    }

    public i.b.a.h constructSR2(i.b.a.k.e eVar, boolean z) {
        if (eVar != null) {
            v nonSharedConfig = getNonSharedConfig(null, eVar.a, null, z, true);
            if (eVar instanceof i.b.a.k.b) {
                i.b.a.k.b bVar = (i.b.a.k.b) eVar;
                return StreamReaderImpl.construct(new e(nonSharedConfig, null, 0, 0));
            } else if (eVar instanceof c) {
                c cVar = (c) eVar;
                return StreamReaderImpl.construct(new g(nonSharedConfig, null, 0, 0));
            } else {
                try {
                    InputStream a = eVar.a();
                    if (a != null) {
                        return StreamReaderImpl.construct(new e(nonSharedConfig, a));
                    }
                    Reader b2 = eVar.b();
                    if (b2 != null) {
                        return StreamReaderImpl.construct(new g(nonSharedConfig, b2));
                    }
                    throw new IllegalArgumentException("Can not create stream reader for given Stax2Source: neither InputStream nor Reader available");
                } catch (IOException e2) {
                    throw new b.d.a.i.c(e2);
                }
            }
        } else {
            throw null;
        }
    }

    @Override // b.d.a.a
    public b.d.a.b<b.d.a.f.a> createAsyncFor(byte[] bArr) {
        return createAsyncFor(bArr, 0, bArr.length);
    }

    @Override // b.d.a.a
    public b.d.a.b<b.d.a.f.a> createAsyncForByteArray() {
        v nonSharedConfig = getNonSharedConfig(null, null, null, false, false);
        nonSharedConfig.f185i = "UTF-8";
        return new b.d.a.f.d(new b.d.a.f.a(nonSharedConfig));
    }

    @Override // b.d.a.a
    public b.d.a.b<b.d.a.f.b> createAsyncForByteBuffer() {
        v nonSharedConfig = getNonSharedConfig(null, null, null, false, false);
        nonSharedConfig.f185i = "UTF-8";
        return new b.d.a.f.d(new b.d.a.f.b(nonSharedConfig));
    }

    public XMLEventAllocator createEventAllocator() {
        XMLEventAllocator xMLEventAllocator = this._allocator;
        if (xMLEventAllocator != null) {
            return xMLEventAllocator.newInstance();
        }
        if (this._config.b(4096)) {
            return b.d.a.h.a.z;
        }
        return new b.d.a.h.a(false);
    }

    @Override // org.apache.poi.javax.xml.stream.XMLInputFactory
    public XMLEventReader createFilteredReader(XMLEventReader xMLEventReader, EventFilter eventFilter) {
        d dVar;
        if (xMLEventReader instanceof d) {
            dVar = (d) xMLEventReader;
        } else {
            dVar = new p(xMLEventReader);
        }
        return new q(dVar, eventFilter);
    }

    @Override // org.apache.poi.javax.xml.stream.XMLInputFactory
    public XMLEventReader createXMLEventReader(XMLStreamReader xMLStreamReader) {
        i.b.a.h hVar;
        if (xMLStreamReader instanceof i.b.a.h) {
            hVar = (i.b.a.h) xMLStreamReader;
        } else {
            hVar = new i.b.a.l.g(xMLStreamReader);
        }
        return constructER(hVar);
    }

    @Override // org.apache.poi.javax.xml.stream.XMLInputFactory
    public XMLStreamReader createXMLStreamReader(InputStream inputStream) {
        return constructSR(inputStream, (String) null, false);
    }

    @Override // org.apache.poi.javax.xml.stream.XMLInputFactory
    public XMLEventAllocator getEventAllocator() {
        return this._allocator;
    }

    public v getNonSharedConfig(String str, String str2, String str3, boolean z, boolean z2) {
        v vVar = this._config;
        v vVar2 = new v(str2, str, str3, vVar.f180d, vVar.a, vVar.f124b, vVar.m, vVar.n, vVar.f181e);
        if (z) {
            vVar2.a(256, false);
        }
        if (z2) {
            vVar2.a(8192, true);
        }
        return vVar2;
    }

    @Override // org.apache.poi.javax.xml.stream.XMLInputFactory
    public Object getProperty(String str) {
        return this._config.a(str, true);
    }

    @Override // org.apache.poi.javax.xml.stream.XMLInputFactory
    public XMLReporter getXMLReporter() {
        return this._config.m;
    }

    @Override // org.apache.poi.javax.xml.stream.XMLInputFactory
    public XMLResolver getXMLResolver() {
        return this._config.n;
    }

    @Override // org.apache.poi.javax.xml.stream.XMLInputFactory
    public boolean isPropertySupported(String str) {
        return this._config.a(str);
    }

    @Override // org.apache.poi.javax.xml.stream.XMLInputFactory
    public void setEventAllocator(XMLEventAllocator xMLEventAllocator) {
        this._allocator = xMLEventAllocator;
    }

    @Override // org.apache.poi.javax.xml.stream.XMLInputFactory
    public void setProperty(String str, Object obj) {
        this._config.a(str, obj);
    }

    @Override // org.apache.poi.javax.xml.stream.XMLInputFactory
    public void setXMLReporter(XMLReporter xMLReporter) {
        this._config.m = xMLReporter;
    }

    @Override // org.apache.poi.javax.xml.stream.XMLInputFactory
    public void setXMLResolver(XMLResolver xMLResolver) {
        this._config.n = xMLResolver;
    }

    @Override // b.d.a.a
    public b.d.a.b<b.d.a.f.a> createAsyncFor(byte[] bArr, int i2, int i3) {
        v nonSharedConfig = getNonSharedConfig(null, null, null, false, false);
        nonSharedConfig.f185i = "UTF-8";
        b.d.a.f.a aVar = new b.d.a.f.a(nonSharedConfig);
        if (aVar.k0 < aVar.l0) {
            StringBuilder b2 = b.b.a.a.a.b("Still have ");
            b2.append(aVar.l0 - aVar.k0);
            b2.append(" unread bytes");
            throw new XMLStreamException(b2.toString());
        } else if (!aVar.t0) {
            long j = aVar.e0;
            int i4 = aVar.F0;
            aVar.e0 = j + ((long) i4);
            aVar.g0 -= i4;
            aVar.E0 = bArr;
            aVar.k0 = i2;
            aVar.l0 = i2 + i3;
            aVar.F0 = i3;
            return new b.d.a.f.d(aVar);
        } else {
            throw new XMLStreamException("Already closed, can not feed more input");
        }
    }

    @Override // org.apache.poi.javax.xml.stream.XMLInputFactory
    public XMLStreamReader createXMLStreamReader(InputStream inputStream, String str) {
        return constructSR(inputStream, str, false);
    }

    @Override // org.apache.poi.javax.xml.stream.XMLInputFactory
    public XMLStreamReader createXMLStreamReader(Reader reader) {
        return constructSR((String) null, reader, false);
    }

    public i.b.a.h constructSR(String str, Reader reader, boolean z) {
        return StreamReaderImpl.construct(new g(getNonSharedConfig(null, str, null, z, false), reader));
    }

    @Override // org.apache.poi.javax.xml.stream.XMLInputFactory
    public XMLStreamReader createXMLStreamReader(String str, Reader reader) {
        return constructSR(str, reader, false);
    }

    @Override // org.apache.poi.javax.xml.stream.XMLInputFactory
    public XMLEventReader createXMLEventReader(InputStream inputStream) {
        return createXMLEventReader(inputStream, (String) null);
    }

    @Override // org.apache.poi.javax.xml.stream.XMLInputFactory
    public XMLStreamReader createXMLStreamReader(Source source) {
        return constructSR(source, false);
    }

    @Override // org.apache.poi.javax.xml.stream.XMLInputFactory
    public XMLStreamReader createFilteredReader(XMLStreamReader xMLStreamReader, StreamFilter streamFilter) {
        f fVar = new f(xMLStreamReader, streamFilter);
        if (!streamFilter.accept(fVar)) {
            fVar.next();
        }
        return fVar;
    }

    @Override // org.apache.poi.javax.xml.stream.XMLInputFactory
    public XMLEventReader createXMLEventReader(InputStream inputStream, String str) {
        return constructER(constructSR(inputStream, str, true));
    }

    @Override // org.apache.poi.javax.xml.stream.XMLInputFactory
    public XMLStreamReader createXMLStreamReader(String str, InputStream inputStream) {
        return constructSR(str, inputStream, false);
    }

    public i.b.a.h constructSR(String str, InputStream inputStream, boolean z) {
        return StreamReaderImpl.construct(new e(getNonSharedConfig(null, str, null, z, false), inputStream));
    }

    @Override // org.apache.poi.javax.xml.stream.XMLInputFactory
    public XMLEventReader createXMLEventReader(Reader reader) {
        return createXMLEventReader((String) null, reader);
    }

    @Override // i.b.a.e
    public i.b.a.h createXMLStreamReader(URL url) {
        return constructSR(url, false);
    }

    @Override // org.apache.poi.javax.xml.stream.XMLInputFactory
    public XMLEventReader createXMLEventReader(Source source) {
        return constructER(constructSR(source, true));
    }

    @Override // i.b.a.e
    public i.b.a.h createXMLStreamReader(File file) {
        return constructSR(file, false);
    }

    @Override // org.apache.poi.javax.xml.stream.XMLInputFactory
    public XMLEventReader createXMLEventReader(String str, InputStream inputStream) {
        return constructER(constructSR(str, inputStream, true));
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r2v1, types: [java.io.InputStream] */
    /* JADX WARN: Type inference failed for: r2v2 */
    public i.b.a.h constructSR(Source source, boolean z) {
        String str;
        String str2;
        InputStream inputStream;
        String str3;
        Reader reader;
        if (source instanceof i.b.a.k.e) {
            return constructSR2((i.b.a.k.e) source, z);
        }
        String str4 = null;
        String str5 = null;
        Reader reader2 = null;
        if (source instanceof StreamSource) {
            StreamSource streamSource = (StreamSource) source;
            str3 = streamSource.getSystemId();
            String publicId = streamSource.getPublicId();
            InputStream inputStream2 = streamSource.getInputStream();
            if (inputStream2 == null) {
                reader2 = streamSource.getReader();
            }
            str2 = publicId;
            str = null;
            inputStream = inputStream2;
        } else if (source instanceof SAXSource) {
            SAXSource sAXSource = (SAXSource) source;
            str3 = sAXSource.getSystemId();
            InputSource inputSource = sAXSource.getInputSource();
            if (inputSource != null) {
                str3 = inputSource.getSystemId();
                str4 = inputSource.getPublicId();
                str5 = inputSource.getEncoding();
                InputStream byteStream = inputSource.getByteStream();
                if (byteStream == null) {
                    reader2 = inputSource.getCharacterStream();
                }
                reader = reader2;
                reader2 = byteStream;
            } else {
                reader = null;
            }
            str2 = str4;
            str = str5;
            inputStream = reader2;
            reader2 = reader;
        } else if (source instanceof DOMSource) {
            return new b.d.a.g.c((DOMSource) source, getNonSharedConfig(null, null, null, z, false));
        } else {
            StringBuilder b2 = b.b.a.a.a.b("Can not instantiate StAX reader for XML source type ");
            b2.append(source.getClass());
            b2.append(" (unrecognized type)");
            throw new IllegalArgumentException(b2.toString());
        }
        if (inputStream != 0) {
            return StreamReaderImpl.construct(new e(getNonSharedConfig(str2, str3, str, z, false), inputStream));
        }
        if (reader2 != null) {
            return StreamReaderImpl.construct(new g(getNonSharedConfig(str2, str3, str, z, false), reader2));
        }
        if (str3 == null || str3.length() <= 0) {
            throw new XMLStreamException("Can not create Stax reader for the Source passed -- neither reader, input stream nor system id was accessible; can not use other types of sources (like embedded SAX streams)");
        }
        try {
            return StreamReaderImpl.construct(new e(getNonSharedConfig(str2, str3, str, z, true), e.a.a.a.a.a(e.a.a.a.a.d(str3))));
        } catch (IOException e2) {
            throw new b.d.a.i.c(e2);
        }
    }

    @Override // org.apache.poi.javax.xml.stream.XMLInputFactory
    public XMLEventReader createXMLEventReader(String str, Reader reader) {
        return constructER(constructSR(str, reader, true));
    }

    @Override // i.b.a.e
    public d createXMLEventReader(URL url) {
        return constructER(constructSR(url, true));
    }

    @Override // i.b.a.e
    public d createXMLEventReader(File file) {
        return constructER(constructSR(file, true));
    }

    @Override // b.d.a.a
    public b.d.a.b<b.d.a.f.b> createAsyncFor(ByteBuffer byteBuffer) {
        v nonSharedConfig = getNonSharedConfig(null, null, null, false, false);
        nonSharedConfig.f185i = "UTF-8";
        b.d.a.f.b bVar = new b.d.a.f.b(nonSharedConfig);
        if (bVar.k0 < bVar.l0) {
            StringBuilder b2 = b.b.a.a.a.b("Still have ");
            b2.append(bVar.l0 - bVar.k0);
            b2.append(" unread bytes");
            throw new XMLStreamException(b2.toString());
        } else if (!bVar.t0) {
            long j = bVar.e0;
            int i2 = bVar.F0;
            bVar.e0 = j + ((long) i2);
            bVar.g0 -= i2;
            int position = byteBuffer.position();
            int limit = byteBuffer.limit();
            bVar.E0 = byteBuffer;
            bVar.k0 = position;
            bVar.l0 = limit;
            bVar.F0 = limit - position;
            return new b.d.a.f.d(bVar);
        } else {
            throw new XMLStreamException("Already closed, can not feed more input");
        }
    }

    public i.b.a.h constructSR(URL url, boolean z) {
        try {
            return StreamReaderImpl.construct(new e(getNonSharedConfig(url.toExternalForm(), null, null, z, true), e.a.a.a.a.a(url)));
        } catch (IOException e2) {
            throw new b.d.a.i.c(e2);
        }
    }

    public i.b.a.h constructSR(File file, boolean z) {
        try {
            return StreamReaderImpl.construct(new e(getNonSharedConfig(e.a.a.a.a.a(file).toExternalForm(), null, null, z, true), new FileInputStream(file)));
        } catch (IOException e2) {
            throw new b.d.a.i.c(e2);
        }
    }
}
