package com.fasterxml.aalto.stax;

import b.d.a.j.j;
import b.d.a.j.k;
import b.d.a.j.n;
import b.d.a.j.o;
import b.d.a.j.s;
import b.d.a.j.v;
import b.d.a.j.z;
import b.d.a.l.f;
import i.b.a.a;
import i.b.a.b;
import i.b.a.c;
import i.b.a.g;
import i.b.a.h;
import i.b.a.l.n.c;
import i.b.a.m.d;
import i.b.a.m.e;
import java.io.IOException;
import java.io.Writer;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.Collections;
import java.util.NoSuchElementException;
import org.apache.poi.javax.xml.namespace.NamespaceContext;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.poi.javax.xml.stream.Location;
import org.apache.poi.javax.xml.stream.XMLStreamException;

public class StreamReaderImpl implements h, a, b, c {
    public static final int MASK_GET_ELEMENT_TEXT = 4688;
    public static final int MASK_GET_TEXT = 6768;
    public static final int MASK_GET_TEXT_WITH_WRITER = 6776;
    public static final int MASK_GET_TEXT_XXX = 4208;
    public static final int MASK_TYPED_ACCESS_ARRAY = 4182;
    public static final int MASK_TYPED_ACCESS_BINARY = 4178;
    public static final int STATE_CLOSED = 3;
    public static final int STATE_EPILOG = 2;
    public static final int STATE_PROLOG = 0;
    public static final int STATE_TREE = 1;
    public int _attrCount;
    public i.b.a.l.n.b _base64Decoder = null;
    public final boolean _cfgCoalesceText;
    public final boolean _cfgReportTextAsChars;
    public s _currName;
    public int _currToken;
    public i.b.a.l.n.c _decoderFactory;
    public s _dtdRootName;
    public int _parseState;
    public final z _scanner;

    public StreamReaderImpl(z zVar) {
        this._scanner = zVar;
        this._currToken = 7;
        v vVar = zVar.x;
        this._cfgCoalesceText = vVar.b();
        this._cfgReportTextAsChars = !vVar.b(2048);
    }

    private e _constructTypeException(IllegalArgumentException illegalArgumentException, String str) {
        return new e(str, illegalArgumentException.getMessage(), getStartLocation(), illegalArgumentException);
    }

    private void _handleEmptyValue(d dVar) {
        try {
            dVar.a();
            throw null;
        } catch (IllegalArgumentException e2) {
            throw _constructTypeException(e2, "");
        }
    }

    public static StreamReaderImpl construct(k kVar) {
        return new StreamReaderImpl(kVar.a());
    }

    private void throwNotTextXxx(int i2) {
        StringBuilder b2 = b.b.a.a.a.b("getTextXxx() methods can not be called on ");
        b2.append(b.d.a.i.b.a(this._currToken));
        throw new IllegalStateException(b2.toString());
    }

    private void throwNotTextual(int i2) {
        StringBuilder b2 = b.b.a.a.a.b("Not a textual event (");
        b2.append(b.d.a.i.b.a(this._currToken));
        b2.append(")");
        throw new IllegalStateException(b2.toString());
    }

    public i.b.a.l.n.b _base64Decoder() {
        if (this._base64Decoder == null) {
            this._base64Decoder = new i.b.a.l.n.b();
        }
        return this._base64Decoder;
    }

    public void _closeScanner(boolean z) {
        if (this._parseState != 3) {
            this._parseState = 3;
            if (this._currToken != 8) {
                this._currToken = 8;
            }
        }
        z zVar = this._scanner;
        zVar.b();
        if (z || zVar.x.b(8192)) {
            try {
                zVar.a();
            } catch (IOException e2) {
                throw new b.d.a.i.c(e2);
            }
        }
    }

    public XMLStreamException _constructUnexpectedInTyped(int i2) {
        if (i2 == 1) {
            return _constructTypeException("Element content can not contain child START_ELEMENT when using Typed Access methods", (String) null);
        }
        StringBuilder b2 = b.b.a.a.a.b("Expected a text token, got ");
        b2.append(b.d.a.i.b.a(i2));
        return _constructTypeException(b2.toString(), (String) null);
    }

    public final i.b.a.l.n.c _decoderFactory() {
        if (this._decoderFactory == null) {
            this._decoderFactory = new i.b.a.l.n.c();
        }
        return this._decoderFactory;
    }

    public void _reportNonTextEvent(int i2) {
        StringBuilder b2 = b.b.a.a.a.b("Expected a text token, got ");
        b2.append(b.d.a.i.b.a(i2));
        b2.append(".");
        throwWfe(b2.toString());
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final void close() {
        _closeScanner(false);
    }

    public final void closeCompletely() {
        _closeScanner(true);
    }

    public final int findAttributeIndex(String str, String str2) {
        z zVar = this._scanner;
        if (zVar.d0 < 1) {
            return -1;
        }
        return zVar.c0.a(str, str2);
    }

    public final void getAttributeAs(int i2, d dVar) {
        if (this._currToken == 1) {
            try {
                this._scanner.a(i2, dVar);
            } catch (IllegalArgumentException e2) {
                throw _constructTypeException(e2, getAttributeValue(i2));
            }
        } else {
            throw new IllegalStateException("Current state not START_ELEMENT");
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:19:0x0035, code lost:
        r3 = r2 + 1;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:20:0x0037, code lost:
        if (r3 >= r9) goto L_0x0045;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:23:0x003b, code lost:
        if (r1[r3] <= ' ') goto L_0x0045;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:24:0x003d, code lost:
        r3 = r3 + 1;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:25:0x0040, code lost:
        r9 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:26:0x0041, code lost:
        r3 = r2;
        r2 = r3;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:27:0x0045, code lost:
        r5 = r3 + 1;
        r4 = r4 + 1;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:30:0x004d, code lost:
        if (r10.a(r1, r2, r3) == false) goto L_0x005f;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:32:0x0051, code lost:
        if ((r10 instanceof i.b.a.l.n.c.a) == false) goto L_0x005b;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:33:0x0053, code lost:
        ((i.b.a.l.n.c.a) r10).a();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:34:0x0059, code lost:
        r3 = true;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:35:0x005b, code lost:
        r3 = false;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:36:0x005c, code lost:
        if (r3 != false) goto L_0x005f;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:37:0x005f, code lost:
        r3 = r2;
        r2 = r5;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:38:0x0062, code lost:
        r9 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:39:0x0063, code lost:
        r3 = r2;
        r2 = r5;
     */
    public final int getAttributeAsArray(int i2, i.b.a.m.c cVar) {
        int i3;
        int i4;
        if (this._currToken == 1) {
            z zVar = this._scanner;
            b.d.a.j.a aVar = zVar.c0;
            if (aVar == null) {
                throw null;
            } else if (i2 < 0 || i2 >= aVar.a) {
                throw new IllegalArgumentException(b.b.a.a.a.a(b.b.a.a.a.a("Invalid index ", i2, "; current element has only "), aVar.a, " attributes"));
            } else {
                if (i2 == 0) {
                    i3 = aVar.f129g[0];
                    i4 = 0;
                } else {
                    int[] iArr = aVar.f129g;
                    int i5 = iArr[i2 - 1];
                    i3 = iArr[i2];
                    i4 = i5;
                }
                char[] cArr = aVar.c;
                int i6 = i4;
                int i7 = 0;
                loop0:
                while (i4 < i3) {
                    while (true) {
                        try {
                            if (cArr[i4] > ' ') {
                                break;
                            }
                            i4++;
                            if (i4 >= i3) {
                                break loop0;
                            }
                        } catch (IllegalArgumentException e2) {
                            IllegalArgumentException e3 = e2;
                            throw new e(new String(cArr, i6, i4 - i6), e3.getMessage(), zVar.d(), e3);
                        }
                    }
                }
                return i7;
            }
        } else {
            throw new IllegalStateException("Current state not START_ELEMENT");
        }
    }

    public final byte[] getAttributeAsBinary(int i2) {
        return getAttributeAsBinary(i2, i.b.a.m.b.a);
    }

    public final boolean getAttributeAsBoolean(int i2) {
        i.b.a.l.n.c _decoderFactory2 = _decoderFactory();
        if (_decoderFactory2.a == null) {
            _decoderFactory2.a = new c.b();
        }
        c.b bVar = _decoderFactory2.a;
        getAttributeAs(i2, bVar);
        return bVar.f1665d;
    }

    public final BigDecimal getAttributeAsDecimal(int i2) {
        if (_decoderFactory() != null) {
            c.C0082c cVar = new c.C0082c();
            getAttributeAs(i2, cVar);
            return cVar.f1666d;
        }
        throw null;
    }

    public final double getAttributeAsDouble(int i2) {
        c.f a = _decoderFactory().a();
        getAttributeAs(i2, a);
        return a.f1670d;
    }

    public final double[] getAttributeAsDoubleArray(int i2) {
        c.e eVar = new c.e(_decoderFactory().a());
        getAttributeAsArray(i2, eVar);
        int i3 = eVar.c;
        double[] dArr = new double[i3];
        System.arraycopy(eVar.f1668d, eVar.a, dArr, 0, i3);
        return dArr;
    }

    public final float getAttributeAsFloat(int i2) {
        c.h b2 = _decoderFactory().b();
        getAttributeAs(i2, b2);
        return b2.f1673d;
    }

    public final float[] getAttributeAsFloatArray(int i2) {
        c.g gVar = new c.g(_decoderFactory().b());
        getAttributeAsArray(i2, gVar);
        int i3 = gVar.c;
        float[] fArr = new float[i3];
        System.arraycopy(gVar.f1671d, gVar.a, fArr, 0, i3);
        return fArr;
    }

    public final int getAttributeAsInt(int i2) {
        c.j c = _decoderFactory().c();
        getAttributeAs(i2, c);
        return c.f1676d;
    }

    public final int[] getAttributeAsIntArray(int i2) {
        c.i iVar = new c.i(_decoderFactory().c());
        getAttributeAsArray(i2, iVar);
        int i3 = iVar.c;
        int[] iArr = new int[i3];
        System.arraycopy(iVar.f1674d, iVar.a, iArr, 0, i3);
        return iArr;
    }

    public final BigInteger getAttributeAsInteger(int i2) {
        if (_decoderFactory() != null) {
            c.k kVar = new c.k();
            getAttributeAs(i2, kVar);
            return kVar.f1677d;
        }
        throw null;
    }

    public final long getAttributeAsLong(int i2) {
        c.m d2 = _decoderFactory().d();
        getAttributeAs(i2, d2);
        return d2.f1680d;
    }

    public final long[] getAttributeAsLongArray(int i2) {
        c.l lVar = new c.l(_decoderFactory().d());
        getAttributeAsArray(i2, lVar);
        int i3 = lVar.c;
        long[] jArr = new long[i3];
        System.arraycopy(lVar.f1678d, lVar.a, jArr, 0, i3);
        return jArr;
    }

    public final QName getAttributeAsQName(int i2) {
        i.b.a.l.n.c _decoderFactory2 = _decoderFactory();
        NamespaceContext namespaceContext = getNamespaceContext();
        if (_decoderFactory2 != null) {
            c.n nVar = new c.n(namespaceContext);
            getAttributeAs(i2, nVar);
            return verifyQName(nVar.f1682e);
        }
        throw null;
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final int getAttributeCount() {
        if (this._currToken == 1) {
            return this._attrCount;
        }
        throw new IllegalStateException("Current state not START_ELEMENT");
    }

    public final int getAttributeIndex(String str, String str2) {
        if (this._currToken == 1) {
            return findAttributeIndex(str, str2);
        }
        throw new IllegalStateException("Current state not START_ELEMENT");
    }

    public final a getAttributeInfo() {
        if (this._currToken == 1) {
            return this;
        }
        throw new IllegalStateException("Current state not START_ELEMENT");
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final String getAttributeLocalName(int i2) {
        if (this._currToken == 1) {
            if (i2 >= this._attrCount || i2 < 0) {
                reportInvalidAttrIndex(i2);
            }
            return this._scanner.c0.f125b[i2].c;
        }
        throw new IllegalStateException("Current state not START_ELEMENT");
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final QName getAttributeName(int i2) {
        if (this._currToken == 1) {
            if (i2 >= this._attrCount || i2 < 0) {
                reportInvalidAttrIndex(i2);
            }
            s sVar = this._scanner.c0.f125b[i2];
            String str = sVar.f175b;
            n nVar = sVar.f176d;
            String str2 = nVar == null ? null : nVar.f166b;
            if (str2 == null) {
                str2 = "";
            }
            String str3 = sVar.c;
            if (str == null) {
                str = "";
            }
            return new QName(str2, str3, str);
        }
        throw new IllegalStateException("Current state not START_ELEMENT");
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final String getAttributeNamespace(int i2) {
        if (this._currToken == 1) {
            if (i2 >= this._attrCount || i2 < 0) {
                reportInvalidAttrIndex(i2);
            }
            String b2 = this._scanner.c0.f125b[i2].b();
            return b2 == null ? "" : b2;
        }
        throw new IllegalStateException("Current state not START_ELEMENT");
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final String getAttributePrefix(int i2) {
        if (this._currToken == 1) {
            if (i2 >= this._attrCount || i2 < 0) {
                reportInvalidAttrIndex(i2);
            }
            String str = this._scanner.c0.f125b[i2].f175b;
            return str == null ? "" : str;
        }
        throw new IllegalStateException("Current state not START_ELEMENT");
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final String getAttributeType(int i2) {
        if (this._currToken == 1) {
            if (i2 >= this._attrCount || i2 < 0) {
                reportInvalidAttrIndex(i2);
            }
            if (this._scanner != null) {
                return "CDATA";
            }
            throw null;
        }
        throw new IllegalStateException("Current state not START_ELEMENT");
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final String getAttributeValue(int i2) {
        if (this._currToken == 1) {
            if (i2 >= this._attrCount || i2 < 0) {
                reportInvalidAttrIndex(i2);
            }
            return this._scanner.c0.b(i2);
        }
        throw new IllegalStateException("Current state not START_ELEMENT");
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final String getCharacterEncodingScheme() {
        return this._scanner.x.k;
    }

    public v getConfig() {
        return this._scanner.x;
    }

    public final g getCurrentLocation() {
        return this._scanner.d();
    }

    @Override // i.b.a.h
    public final b getDTDInfo() {
        if (this._currToken != 11) {
            return null;
        }
        return this;
    }

    @Override // i.b.a.b
    public final String getDTDInternalSubset() {
        if (this._currToken != 11) {
            return null;
        }
        try {
            return this._scanner.getText();
        } catch (XMLStreamException e2) {
            throw new b.d.a.c(e2);
        }
    }

    @Override // i.b.a.b
    public final String getDTDPublicId() {
        return this._scanner.O;
    }

    @Override // i.b.a.b
    public final String getDTDRootName() {
        s sVar;
        if (this._currToken == 11 && (sVar = this._currName) != null) {
            return sVar.a;
        }
        return null;
    }

    @Override // i.b.a.b
    public final String getDTDSystemId() {
        return this._scanner.P;
    }

    public final int getDepth() {
        int i2 = this._scanner.F;
        return this._currToken == 2 ? i2 + 1 : i2;
    }

    public final void getElementAs(d dVar) {
        String trim = getElementText().trim();
        if (trim.length() == 0) {
            _handleEmptyValue(dVar);
            return;
        }
        try {
            dVar.a(trim);
        } catch (IllegalArgumentException e2) {
            throw _constructTypeException(e2, trim);
        }
    }

    public final byte[] getElementAsBinary() {
        return getElementAsBinary(i.b.a.m.b.a);
    }

    public final boolean getElementAsBoolean() {
        i.b.a.l.n.c _decoderFactory2 = _decoderFactory();
        if (_decoderFactory2.a == null) {
            _decoderFactory2.a = new c.b();
        }
        c.b bVar = _decoderFactory2.a;
        getElementAs(bVar);
        return bVar.f1665d;
    }

    public final BigDecimal getElementAsDecimal() {
        if (_decoderFactory() != null) {
            c.C0082c cVar = new c.C0082c();
            getElementAs(cVar);
            return cVar.f1666d;
        }
        throw null;
    }

    public final double getElementAsDouble() {
        c.f a = _decoderFactory().a();
        getElementAs(a);
        return a.f1670d;
    }

    public final float getElementAsFloat() {
        c.h b2 = _decoderFactory().b();
        getElementAs(b2);
        return b2.f1673d;
    }

    public final int getElementAsInt() {
        c.j c = _decoderFactory().c();
        getElementAs(c);
        return c.f1676d;
    }

    public final BigInteger getElementAsInteger() {
        if (_decoderFactory() != null) {
            c.k kVar = new c.k();
            getElementAs(kVar);
            return kVar.f1677d;
        }
        throw null;
    }

    public final long getElementAsLong() {
        c.m d2 = _decoderFactory().d();
        getElementAs(d2);
        return d2.f1680d;
    }

    public final QName getElementAsQName() {
        i.b.a.l.n.c _decoderFactory2 = _decoderFactory();
        NamespaceContext namespaceContext = getNamespaceContext();
        if (_decoderFactory2 != null) {
            c.n nVar = new c.n(namespaceContext);
            getElementAs(nVar);
            return verifyQName(nVar.f1682e);
        }
        throw null;
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final String getElementText() {
        if (this._currToken != 1) {
            throwWfe("Current state not START_ELEMENT");
        }
        while (true) {
            int next = next();
            String str = "";
            if (next == 2) {
                return str;
            }
            if (next != 5 && next != 3) {
                if (((1 << next) & MASK_GET_ELEMENT_TEXT) == 0) {
                    _reportNonTextEvent(next);
                }
                String text = this._scanner.getText();
                f fVar = null;
                while (true) {
                    int next2 = next();
                    if (next2 == 2) {
                        break;
                    } else if (((1 << next2) & MASK_GET_ELEMENT_TEXT) != 0) {
                        if (fVar == null) {
                            fVar = new f();
                            fVar.a(text);
                        }
                        fVar.a(getText());
                    } else if (!(next2 == 5 || next2 == 3)) {
                        _reportNonTextEvent(next2);
                    }
                }
                if (fVar == null) {
                    return text;
                }
                String str2 = fVar.a;
                if (str2 != null) {
                    fVar.a = null;
                    str = str2;
                } else {
                    StringBuilder sb = fVar.f223b;
                    if (sb != null) {
                        str = sb.toString();
                        fVar.f223b = null;
                    }
                }
                return str;
            }
        }
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final String getEncoding() {
        return this._scanner.x.f185i;
    }

    public final g getEndLocation() {
        z zVar = this._scanner;
        if (zVar.D) {
            zVar.c();
        }
        return zVar.d();
    }

    public final long getEndingByteOffset() {
        return this._scanner.e();
    }

    public final long getEndingCharOffset() {
        return this._scanner.f();
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final int getEventType() {
        if (this._currToken != 12 || (!this._cfgCoalesceText && !this._cfgReportTextAsChars)) {
            return this._currToken;
        }
        return 4;
    }

    public final Object getFeature(String str) {
        return null;
    }

    public final int getIdAttributeIndex() {
        return -1;
    }

    public Location getLastCharLocation() {
        return this._scanner.d();
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final String getLocalName() {
        int i2 = this._currToken;
        if (i2 == 1 || i2 == 2 || i2 == 9) {
            return this._currName.c;
        }
        throw new IllegalStateException("Current state not START_ELEMENT, END_ELEMENT or ENTITY_REFERENCE");
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final Location getLocation() {
        return getStartLocation();
    }

    public final i.b.a.c getLocationInfo() {
        return this;
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final QName getName() {
        String str;
        int i2 = this._currToken;
        if (i2 == 1 || i2 == 2) {
            z zVar = this._scanner;
            s sVar = zVar.J;
            n nVar = zVar.V;
            String str2 = sVar.f175b;
            String str3 = "";
            if (str2 == null) {
                str2 = str3;
            }
            n nVar2 = sVar.f176d;
            if (nVar2 != null && (str = nVar2.f166b) != null) {
                return new QName(str, sVar.c, str2);
            }
            String str4 = nVar.f166b;
            if (str4 != null) {
                str3 = str4;
            }
            return new QName(str3, sVar.c, str2);
        }
        throw new IllegalStateException("Current state not START_ELEMENT or END_ELEMENT");
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final NamespaceContext getNamespaceContext() {
        return this._scanner;
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final int getNamespaceCount() {
        int i2 = this._currToken;
        if (i2 == 1 || i2 == 2) {
            return this._scanner.g();
        }
        throw new IllegalStateException("Current state not START_ELEMENT or END_ELEMENT");
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final String getNamespacePrefix(int i2) {
        int i3 = this._currToken;
        if (i3 == 1 || i3 == 2) {
            String str = this._scanner.a(i2).a.a;
            return str == null ? "" : str;
        }
        throw new IllegalStateException("Current state not START_ELEMENT or END_ELEMENT");
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final String getNamespaceURI() {
        int i2 = this._currToken;
        if (i2 == 1 || i2 == 2) {
            z zVar = this._scanner;
            String b2 = zVar.J.b();
            if (b2 == null) {
                b2 = zVar.V.f166b;
            }
            return b2 == null ? "" : b2;
        }
        throw new IllegalStateException("Current state not START_ELEMENT or END_ELEMENT");
    }

    @Override // i.b.a.h
    public final NamespaceContext getNonTransientNamespaceContext() {
        j jVar;
        z zVar = this._scanner;
        j jVar2 = zVar.b0;
        o oVar = zVar.Q;
        if (oVar != jVar2.x) {
            if (jVar2 == j.A) {
                ArrayList arrayList = new ArrayList();
                for (o oVar2 = oVar; oVar2 != null; oVar2 = oVar2.c) {
                    arrayList.add(oVar2.a.a);
                    arrayList.add(oVar2.a.f166b);
                }
                jVar = new j(oVar, (String[]) arrayList.toArray(new String[arrayList.size()]));
            } else {
                ArrayList<String> arrayList2 = jVar2.z;
                if (arrayList2 == null) {
                    jVar2.z = new ArrayList<>();
                } else {
                    arrayList2.clear();
                }
                for (o oVar3 = oVar; oVar3 != null; oVar3 = oVar3.c) {
                    jVar2.z.add(oVar3.a.a);
                    jVar2.z.add(oVar3.a.f166b);
                }
                ArrayList<String> arrayList3 = jVar2.z;
                jVar = new j(oVar, (String[]) arrayList3.toArray(new String[arrayList3.size()]));
            }
            jVar2 = jVar;
        }
        zVar.b0 = jVar2;
        return jVar2;
    }

    public final int getNotationAttributeIndex() {
        return -1;
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final String getPIData() {
        if (this._currToken == 3) {
            try {
                return this._scanner.getText();
            } catch (XMLStreamException e2) {
                throw new b.d.a.c(e2);
            }
        } else {
            throw new IllegalStateException("Current state not PROCESSING_INSTRUCTION");
        }
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final String getPITarget() {
        if (this._currToken == 3) {
            return this._currName.c;
        }
        throw new IllegalStateException("Current state not PROCESSING_INSTRUCTION");
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final String getPrefix() {
        int i2 = this._currToken;
        if (i2 == 1 || i2 == 2) {
            String str = this._currName.f175b;
            return str == null ? "" : str;
        }
        throw new IllegalStateException("Current state not START_ELEMENT or END_ELEMENT");
    }

    public final String getPrefixedName() {
        int i2 = this._currToken;
        if (i2 == 1 || i2 == 2) {
            return this._currName.a;
        }
        if (i2 == 3) {
            return getPITarget();
        }
        if (i2 == 9) {
            return getLocalName();
        }
        if (i2 == 11) {
            return getDTDRootName();
        }
        throw new IllegalStateException("Current state not START_ELEMENT, END_ELEMENT, ENTITY_REFERENCE, PROCESSING_INSTRUCTION or DTD");
    }

    @Override // i.b.a.b
    public final Object getProcessedDTD() {
        return null;
    }

    public final i.b.a.n.a getProcessedDTDSchema() {
        return null;
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public Object getProperty(String str) {
        if (str.equals("org.apache.poi.javax.xml.stream.entities")) {
            return Collections.EMPTY_LIST;
        }
        if (str.equals("org.apache.poi.javax.xml.stream.notations")) {
            return Collections.EMPTY_LIST;
        }
        return this._scanner.x.a(str, false);
    }

    public z getScanner() {
        return this._scanner;
    }

    public final g getStartLocation() {
        z zVar = this._scanner;
        int i2 = (int) zVar.i0;
        int i3 = (int) zVar.j0;
        v vVar = zVar.x;
        return b.d.a.i.d.a(vVar.f182f, vVar.f183g, zVar.h0, i2, i3);
    }

    public final long getStartingByteOffset() {
        return this._scanner.h();
    }

    public final long getStartingCharOffset() {
        return this._scanner.i();
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final String getText() {
        int i2 = this._currToken;
        if (((1 << i2) & MASK_GET_TEXT) == 0) {
            throwNotTextual(i2);
        }
        try {
            return this._scanner.getText();
        } catch (XMLStreamException e2) {
            throw new b.d.a.c(e2);
        }
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final char[] getTextCharacters() {
        int i2 = this._currToken;
        if (((1 << i2) & MASK_GET_TEXT_XXX) == 0) {
            throwNotTextXxx(i2);
        }
        try {
            z zVar = this._scanner;
            if (zVar.D) {
                zVar.c();
            }
            b.d.a.l.g gVar = zVar.G;
            ArrayList<char[]> arrayList = gVar.f224b;
            if (arrayList != null) {
                if (arrayList.size() != 0) {
                    return gVar.a();
                }
            }
            char[] cArr = gVar.f228g;
            return cArr != null ? cArr : gVar.f225d;
        } catch (XMLStreamException e2) {
            throw new b.d.a.c(e2);
        }
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final int getTextLength() {
        int i2 = this._currToken;
        if (((1 << i2) & MASK_GET_TEXT_XXX) == 0) {
            throwNotTextXxx(i2);
        }
        try {
            z zVar = this._scanner;
            if (zVar.D) {
                zVar.c();
            }
            return zVar.G.e();
        } catch (XMLStreamException e2) {
            throw new b.d.a.c(e2);
        }
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final int getTextStart() {
        int i2 = this._currToken;
        if (((1 << i2) & MASK_GET_TEXT_XXX) != 0) {
            return 0;
        }
        throwNotTextXxx(i2);
        return 0;
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public String getVersion() {
        return this._scanner.x.j;
    }

    public int handlePrologEoi(boolean z) {
        close();
        if (!z) {
            return 8;
        }
        throwUnexpectedEOI(" in prolog");
        return 8;
    }

    public void handleTreeEoi() {
        this._currToken = 8;
        throwUnexpectedEOI(" in xml document");
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final boolean hasName() {
        int i2 = this._currToken;
        return i2 == 1 || i2 == 2;
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final boolean hasNext() {
        return this._currToken != 8;
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final boolean hasText() {
        return ((1 << this._currToken) & MASK_GET_TEXT) != 0;
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final boolean isAttributeSpecified(int i2) {
        if (this._currToken != 1) {
            throw new IllegalStateException("Current state not START_ELEMENT");
        } else if (this._scanner != null) {
            return true;
        } else {
            throw null;
        }
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final boolean isCharacters() {
        return getEventType() == 4;
    }

    public final boolean isEmptyElement() {
        if (this._currToken == 1) {
            return this._scanner.K;
        }
        return false;
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final boolean isEndElement() {
        return this._currToken == 2;
    }

    public final boolean isPropertySupported(String str) {
        return this._scanner.x.a(str);
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final boolean isStandalone() {
        return this._scanner.x.l == 1;
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final boolean isStartElement() {
        return this._currToken == 1;
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final boolean isWhiteSpace() {
        int i2 = this._currToken;
        if (!(i2 == 4 || i2 == 12)) {
            return i2 == 6;
        }
        try {
            z zVar = this._scanner;
            if (zVar.D) {
                zVar.c();
            }
            b.d.a.l.g gVar = zVar.G;
            if (gVar.l) {
                return true;
            }
            ArrayList<char[]> arrayList = gVar.f224b;
            if (arrayList != null) {
                int size = arrayList.size();
                int i3 = 0;
                loop0:
                while (true) {
                    if (i3 >= size) {
                        break;
                    }
                    for (char c : gVar.f224b.get(i3)) {
                        if (c > ' ') {
                            break loop0;
                        }
                    }
                    i3++;
                }
                return false;
            }
            char[] cArr = gVar.f225d;
            int i4 = gVar.f226e;
            for (int i5 = 0; i5 < i4; i5++) {
                if (cArr[i5] > ' ') {
                    return false;
                }
            }
            return true;
        } catch (XMLStreamException e2) {
            throw new b.d.a.c(e2);
        }
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final int next() {
        int i2;
        int i3 = this._parseState;
        boolean z = true;
        if (i3 == 1) {
            int l = this._scanner.l();
            if (l == -1) {
                handleTreeEoi();
            }
            this._currToken = l;
            if (l != 12) {
                z zVar = this._scanner;
                this._currName = zVar.J;
                if (l == 2) {
                    if (zVar.F != 0) {
                        z = false;
                    }
                    if (z) {
                        this._parseState = 2;
                    }
                } else if (l == 1) {
                    this._attrCount = zVar.d0;
                }
            } else if (this._cfgCoalesceText || this._cfgReportTextAsChars) {
                return 4;
            }
            return l;
        }
        if (i3 == 0) {
            i2 = this._scanner.b(true);
            if (i2 == 1) {
                this._parseState = 1;
                this._attrCount = this._scanner.d0;
            } else if (i2 == 11) {
                if (this._dtdRootName != null) {
                    throwWfe("Duplicate DOCTYPE declaration");
                }
                this._dtdRootName = this._scanner.J;
            }
        } else if (i3 == 2) {
            i2 = this._scanner.b(false);
        } else {
            throw new NoSuchElementException();
        }
        if (i2 < 0) {
            if (this._parseState != 0) {
                z = false;
            }
            return handlePrologEoi(z);
        }
        this._currName = this._scanner.J;
        this._currToken = i2;
        return i2;
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final int nextTag() {
        while (true) {
            int next = next();
            if (next != 12) {
                switch (next) {
                    case 1:
                    case 2:
                        return next;
                    case 3:
                    case 5:
                    case 6:
                        break;
                    case 4:
                        break;
                    default:
                        StringBuilder b2 = b.b.a.a.a.b("Received event ");
                        b2.append(b.d.a.i.b.a(next));
                        b2.append(", instead of START_ELEMENT or END_ELEMENT.");
                        throwWfe(b2.toString());
                        break;
                }
            }
            if (!isWhiteSpace()) {
                throwWfe("Received non-all-whitespace CHARACTERS or CDATA event in nextTag().");
                StringBuilder b22 = b.b.a.a.a.b("Received event ");
                b22.append(b.d.a.i.b.a(next));
                b22.append(", instead of START_ELEMENT or END_ELEMENT.");
                throwWfe(b22.toString());
            }
        }
    }

    public final int readElementAsArray(i.b.a.m.c cVar) {
        boolean z;
        int i2 = this._currToken;
        if (((1 << i2) & MASK_TYPED_ACCESS_ARRAY) != 0) {
            if (i2 != 1) {
                z = false;
            } else if (this._scanner.K) {
                next();
                return -1;
            } else {
                while (true) {
                    i2 = next();
                    if (i2 == 2) {
                        return -1;
                    }
                    if (i2 != 5 && i2 != 3) {
                        if (i2 == 4 || i2 == 12) {
                            z = true;
                        } else {
                            throw _constructUnexpectedInTyped(i2);
                        }
                    }
                }
            }
            int i3 = 0;
            while (i2 != 2) {
                if (i2 == 4 || i2 == 12 || i2 == 6) {
                    z zVar = this._scanner;
                    if (zVar.D) {
                        zVar.c();
                    }
                    try {
                        i3 += zVar.G.a(cVar, z);
                        c.a aVar = (c.a) cVar;
                        if (!(aVar.c < aVar.f1664b)) {
                            break;
                        }
                    } catch (e e2) {
                        throw new e(e2.x, e2.getMessage(), zVar.d(), (IllegalArgumentException) e2.getCause());
                    }
                } else if (!(i2 == 5 || i2 == 3)) {
                    throw _constructUnexpectedInTyped(i2);
                }
                i2 = next();
                z = true;
            }
            if (i3 > 0) {
                return i3;
            }
            return -1;
        }
        throw new IllegalStateException("Current state not START_ELEMENT, CHARACTERS or CDATA");
    }

    public final int readElementAsBinary(byte[] bArr, int i2, int i3) {
        return readElementAsBinary(bArr, i2, i3, i.b.a.m.b.a);
    }

    public final int readElementAsDoubleArray(double[] dArr, int i2, int i3) {
        return readElementAsArray(new c.e(dArr, i2, i3, _decoderFactory().a()));
    }

    public final int readElementAsFloatArray(float[] fArr, int i2, int i3) {
        return readElementAsArray(new c.g(fArr, i2, i3, _decoderFactory().b()));
    }

    public final int readElementAsIntArray(int[] iArr, int i2, int i3) {
        return readElementAsArray(new c.i(iArr, i2, i3, _decoderFactory().c()));
    }

    public final int readElementAsLongArray(long[] jArr, int i2, int i3) {
        return readElementAsArray(new c.l(jArr, i2, i3, _decoderFactory().d()));
    }

    public void reportInvalidAttrIndex(int i2) {
        throw new IllegalArgumentException(b.b.a.a.a.a(b.b.a.a.a.a("Illegal attribute index, ", i2, ", current START_ELEMENT has "), this._attrCount, " attributes"));
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final void require(int i2, String str, String str2) {
        int i3 = this._currToken;
        if (i3 != i2 && i3 == 12 && (this._cfgCoalesceText || this._cfgReportTextAsChars)) {
            i3 = 4;
        }
        if (i2 != i3) {
            StringBuilder b2 = b.b.a.a.a.b("Expected type ");
            b2.append(b.d.a.i.b.a(i2));
            b2.append(", current type ");
            b2.append(b.d.a.i.b.a(i3));
            throwWfe(b2.toString());
        }
        if (str2 != null) {
            if (!(i3 == 1 || i3 == 2 || i3 == 9)) {
                StringBuilder b3 = b.b.a.a.a.b("Expected non-null local name, but current token not a START_ELEMENT, END_ELEMENT or ENTITY_REFERENCE (was ");
                b3.append(b.d.a.i.b.a(this._currToken));
                b3.append(")");
                throwWfe(b3.toString());
            }
            String localName = getLocalName();
            if (localName != str2 && !localName.equals(str2)) {
                throwWfe(b.b.a.a.a.b("Expected local name '", str2, "'; current local name '", localName, "'."));
            }
        }
        if (str != null) {
            if (!(i3 == 1 || i3 == 2)) {
                StringBuilder b4 = b.b.a.a.a.b("Expected non-null NS URI, but current token not a START_ELEMENT or END_ELEMENT (was ");
                b4.append(b.d.a.i.b.a(i3));
                b4.append(")");
                throwWfe(b4.toString());
            }
            String namespaceURI = getNamespaceURI();
            if (str.length() == 0) {
                if (namespaceURI != null && namespaceURI.length() > 0) {
                    throwWfe("Expected empty namespace, instead have '" + namespaceURI + "'.");
                }
            } else if (str != namespaceURI && !str.equals(namespaceURI)) {
                throwWfe(b.b.a.a.a.b("Expected namespace '", str, "'; have '", namespaceURI, "'."));
            }
        }
    }

    public final void setFeature(String str, Object obj) {
    }

    public final boolean setProperty(String str, Object obj) {
        return this._scanner.x.a(str, obj);
    }

    public final i.b.a.n.b setValidationProblemHandler(i.b.a.n.b bVar) {
        return null;
    }

    public final void skipElement() {
        if (this._currToken == 1) {
            int i2 = 1;
            while (true) {
                int next = next();
                if (next == 1) {
                    i2++;
                } else if (next == 2 && i2 - 1 == 0) {
                    return;
                }
            }
        } else {
            throw new IllegalStateException("Current state not START_ELEMENT");
        }
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final boolean standaloneSet() {
        return this._scanner.x.l != 0;
    }

    public final i.b.a.n.e stopValidatingAgainst(i.b.a.n.d dVar) {
        return null;
    }

    public final i.b.a.n.e stopValidatingAgainst(i.b.a.n.e eVar) {
        return null;
    }

    public void throwFromIOE(IOException iOException) {
        throw new b.d.a.i.c(iOException);
    }

    public void throwUnexpectedEOI(String str) {
        throwWfe("Unexpected End-of-input" + str);
    }

    public void throwWfe(String str) {
        throw new b.d.a.e(str, getLastCharLocation());
    }

    public final String toString() {
        StringBuilder b2 = b.b.a.a.a.b("[Aalto stream reader, scanner: ");
        b2.append(this._scanner);
        b2.append("]");
        return b2.toString();
    }

    public final i.b.a.n.e validateAgainst(i.b.a.n.d dVar) {
        return null;
    }

    public QName verifyQName(QName qName) {
        String localPart = qName.getLocalPart();
        int i2 = 0;
        char charAt = localPart.charAt(0);
        int length = localPart.length();
        if (charAt < 55296 || charAt >= 57344) {
            if (b.d.a.l.j.c(charAt)) {
                i2 = 1;
                while (true) {
                    if (i2 >= length) {
                        i2 = -1;
                        break;
                    }
                    char charAt2 = localPart.charAt(i2);
                    if (charAt2 >= 55296 && charAt2 < 57344) {
                        int i3 = i2 + 1;
                        if (i3 < length) {
                            localPart.charAt(i3);
                        }
                    } else if (!b.d.a.l.j.b(charAt2)) {
                        break;
                    } else {
                        i2++;
                    }
                }
            }
        } else if (length >= 2) {
            localPart.charAt(1);
            i2 = 1;
        }
        if (i2 < 0) {
            return qName;
        }
        String prefix = qName.getPrefix();
        String b2 = (prefix == null || prefix.length() <= 0) ? localPart : b.b.a.a.a.b(prefix, ":", localPart);
        throw _constructTypeException("Invalid local name \"" + localPart + "\" (character at #" + i2 + " is invalid)", b2);
    }

    private e _constructTypeException(String str, String str2) {
        return new e(str2, str, getStartLocation());
    }

    public final byte[] getAttributeAsBinary(int i2, i.b.a.m.a aVar) {
        int i3;
        int i4;
        if (this._currToken == 1) {
            z zVar = this._scanner;
            i.b.a.l.n.b _base64Decoder2 = _base64Decoder();
            b.d.a.j.a aVar2 = zVar.c0;
            if (aVar2 == null) {
                throw null;
            } else if (i2 < 0 || i2 >= aVar2.a) {
                throw new IllegalArgumentException(b.b.a.a.a.a(b.b.a.a.a.a("Invalid index ", i2, "; current element has only "), aVar2.a, " attributes"));
            } else {
                if (i2 == 0) {
                    i4 = aVar2.f129g[0];
                    i3 = 0;
                } else {
                    int[] iArr = aVar2.f129g;
                    int i5 = iArr[i2 - 1];
                    i4 = iArr[i2];
                    i3 = i5;
                }
                int i6 = i4 - i3;
                _base64Decoder2.a(aVar, true, aVar2.c, i3, i4, null);
                try {
                    return _base64Decoder2.a();
                } catch (IllegalArgumentException e2) {
                    throw new e(new String(aVar2.c, i3, i6), e2.getMessage(), zVar.d(), e2);
                }
            }
        } else {
            throw new IllegalStateException("Current state not START_ELEMENT");
        }
    }

    public final byte[] getElementAsBinary(i.b.a.m.a aVar) {
        i.b.a.l.n.b _base64Decoder2 = _base64Decoder();
        if (_base64Decoder2.f1655d == null) {
            _base64Decoder2.f1655d = new i.b.a.l.h();
        }
        i.b.a.l.h hVar = _base64Decoder2.f1655d;
        byte[] a = hVar.a();
        while (true) {
            int i2 = 0;
            int length = a.length;
            do {
                int readElementAsBinary = readElementAsBinary(a, i2, length, aVar);
                if (readElementAsBinary < 1) {
                    return hVar.a(a, i2);
                }
                i2 += readElementAsBinary;
                length -= readElementAsBinary;
            } while (length > 0);
            a = hVar.a(a);
        }
    }

    public final int readElementAsBinary(byte[] bArr, int i2, int i3, i.b.a.m.a aVar) {
        int next;
        if (bArr == null) {
            throw new IllegalArgumentException("resultBuffer is null");
        } else if (i2 < 0) {
            throw new IllegalArgumentException(b.b.a.a.a.a(b.b.a.a.a.a("Illegal offset (", i2, "), must be [0, "), bArr.length, "["));
        } else if (i3 >= 1 && i2 + i3 <= bArr.length) {
            i.b.a.l.n.b _base64Decoder2 = _base64Decoder();
            int i4 = this._currToken;
            if (((1 << i4) & MASK_TYPED_ACCESS_BINARY) == 0) {
                if (i4 == 2) {
                    int i5 = _base64Decoder2.f1654b;
                    if (!(i5 >= 4 && i5 <= 6)) {
                        return -1;
                    }
                } else {
                    throw new IllegalStateException("Current state not START_ELEMENT, CHARACTERS or CDATA");
                }
            } else if (i4 == 1) {
                if (this._scanner.K) {
                    next();
                    return -1;
                }
                while (true) {
                    int next2 = next();
                    if (next2 == 2) {
                        return -1;
                    }
                    if (next2 != 5 && next2 != 3) {
                        if (next2 == 4 || next2 == 12) {
                            this._scanner.a(aVar, _base64Decoder2, true);
                        } else {
                            throw _constructUnexpectedInTyped(next2);
                        }
                    }
                }
            }
            int i6 = 0;
            while (true) {
                try {
                    int a = _base64Decoder2.a(bArr, i2, i3);
                    i2 += a;
                    i6 += a;
                    i3 -= a;
                    if (i3 < 1 || this._currToken == 2) {
                        break;
                    }
                    while (true) {
                        next = next();
                        if (next != 5 && next != 3 && next != 6) {
                            break;
                        }
                    }
                    if (next == 2) {
                        int b2 = _base64Decoder2.b();
                        if (b2 >= 0) {
                            if (b2 <= 0) {
                                break;
                            }
                        } else {
                            throw _constructTypeException("Incomplete base64 triplet at the end of decoded content", "");
                        }
                    } else {
                        this._scanner.a(aVar, _base64Decoder2, false);
                    }
                } catch (IllegalArgumentException e2) {
                    throw _constructTypeException(e2.getMessage(), "");
                }
            }
            if (i6 > 0) {
                return i6;
            }
            return -1;
        } else if (i3 == 0) {
            return 0;
        } else {
            StringBuilder a2 = b.b.a.a.a.a("Illegal maxLength (", i3, "), has to be positive number, and offset+maxLength can not exceed");
            a2.append(bArr.length);
            throw new IllegalArgumentException(a2.toString());
        }
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final String getNamespaceURI(int i2) {
        int i3 = this._currToken;
        if (i3 == 1 || i3 == 2) {
            String str = this._scanner.a(i2).a.f166b;
            return str == null ? "" : str;
        }
        throw new IllegalStateException("Current state not START_ELEMENT or END_ELEMENT");
    }

    public final int getText(Writer writer, boolean z) {
        int i2 = this._currToken;
        if (((1 << i2) & MASK_GET_TEXT_WITH_WRITER) == 0) {
            throwNotTextual(i2);
        }
        z zVar = this._scanner;
        if (zVar.D) {
            zVar.c();
        }
        try {
            return zVar.G.a(writer);
        } catch (IOException e2) {
            throw new b.d.a.i.c(e2);
        }
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final String getAttributeValue(String str, String str2) {
        b.d.a.j.a aVar;
        int a;
        if (this._currToken == 1) {
            z zVar = this._scanner;
            if (zVar.d0 >= 1 && (a = (aVar = zVar.c0).a(str, str2)) >= 0) {
                return aVar.b(a);
            }
            return null;
        }
        throw new IllegalStateException("Current state not START_ELEMENT");
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final String getNamespaceURI(String str) {
        int i2 = this._currToken;
        if (i2 == 1 || i2 == 2) {
            return this._scanner.getNamespaceURI(str);
        }
        throw new IllegalStateException("Current state not START_ELEMENT or END_ELEMENT");
    }

    @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
    public final int getTextCharacters(int i2, char[] cArr, int i3, int i4) {
        int i5 = this._currToken;
        if (((1 << i5) & MASK_GET_TEXT_XXX) == 0) {
            throwNotTextXxx(i5);
        }
        try {
            z zVar = this._scanner;
            if (zVar.D) {
                zVar.c();
            }
            b.d.a.l.g gVar = zVar.G;
            ArrayList<char[]> arrayList = gVar.f224b;
            int i6 = 0;
            if (arrayList != null) {
                int size = arrayList.size();
                int i7 = 0;
                for (int i8 = 0; i8 < size; i8++) {
                    char[] cArr2 = gVar.f224b.get(i8);
                    int length = cArr2.length;
                    int i9 = length - i2;
                    if (i9 < 1) {
                        i2 -= length;
                    } else if (i9 >= i4) {
                        System.arraycopy(cArr2, i2, cArr, i3, i4);
                        return i7 + i4;
                    } else {
                        System.arraycopy(cArr2, i2, cArr, i3, i9);
                        i7 += i9;
                        i3 += i9;
                        i4 -= i9;
                        i2 = 0;
                    }
                }
                i6 = i7;
            }
            if (i4 > 0) {
                int i10 = gVar.f226e - i2;
                if (i4 > i10) {
                    i4 = i10;
                }
                if (i4 > 0) {
                    System.arraycopy(gVar.f225d, i2, cArr, i3, i4);
                    i6 += i4;
                }
            }
            return i6;
        } catch (XMLStreamException e2) {
            throw new b.d.a.c(e2);
        }
    }
}
