package i.b.a.l;

import i.b.a.i;
import i.b.a.j.b;
import java.util.Iterator;
import org.apache.poi.javax.xml.namespace.NamespaceContext;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.poi.javax.xml.stream.XMLEventReader;
import org.apache.poi.javax.xml.stream.XMLEventWriter;
import org.apache.poi.javax.xml.stream.XMLStreamConstants;
import org.apache.poi.javax.xml.stream.XMLStreamException;
import org.apache.poi.javax.xml.stream.events.Attribute;
import org.apache.poi.javax.xml.stream.events.Characters;
import org.apache.poi.javax.xml.stream.events.Comment;
import org.apache.poi.javax.xml.stream.events.DTD;
import org.apache.poi.javax.xml.stream.events.EntityReference;
import org.apache.poi.javax.xml.stream.events.Namespace;
import org.apache.poi.javax.xml.stream.events.ProcessingInstruction;
import org.apache.poi.javax.xml.stream.events.StartDocument;
import org.apache.poi.javax.xml.stream.events.StartElement;
import org.apache.poi.javax.xml.stream.events.XMLEvent;

/* compiled from: Stax2EventWriterImpl */
public class e implements XMLEventWriter, XMLStreamConstants {
    public final i x;

    public e(i iVar) {
        this.x = iVar;
    }

    @Override // org.apache.poi.javax.xml.stream.XMLEventWriter, org.apache.poi.javax.xml.stream.util.XMLEventConsumer
    public void add(XMLEvent xMLEvent) {
        switch (xMLEvent.getEventType()) {
            case 1:
                StartElement asStartElement = xMLEvent.asStartElement();
                QName name = asStartElement.getName();
                this.x.writeStartElement(name.getPrefix(), name.getLocalPart(), name.getNamespaceURI());
                Iterator namespaces = asStartElement.getNamespaces();
                while (namespaces.hasNext()) {
                    add((Namespace) namespaces.next());
                }
                Iterator attributes = asStartElement.getAttributes();
                while (attributes.hasNext()) {
                    add((Attribute) attributes.next());
                }
                return;
            case 2:
                this.x.writeEndElement();
                return;
            case 3:
                ProcessingInstruction processingInstruction = (ProcessingInstruction) xMLEvent;
                this.x.writeProcessingInstruction(processingInstruction.getTarget(), processingInstruction.getData());
                return;
            case 4:
                Characters asCharacters = xMLEvent.asCharacters();
                String data = asCharacters.getData();
                if (asCharacters.isCData()) {
                    this.x.writeCData(data);
                    return;
                } else {
                    this.x.writeCharacters(data);
                    return;
                }
            case 5:
                this.x.writeComment(((Comment) xMLEvent).getText());
                return;
            case 6:
            default:
                if (xMLEvent instanceof b) {
                    ((b) xMLEvent).a(this.x);
                    return;
                }
                throw new XMLStreamException("Don't know how to output event " + xMLEvent);
            case 7:
                StartDocument startDocument = (StartDocument) xMLEvent;
                if (!startDocument.encodingSet()) {
                    this.x.writeStartDocument(startDocument.getVersion());
                    return;
                } else {
                    this.x.writeStartDocument(startDocument.getCharacterEncodingScheme(), startDocument.getVersion());
                    return;
                }
            case 8:
                this.x.writeEndDocument();
                return;
            case 9:
                this.x.writeEntityRef(((EntityReference) xMLEvent).getName());
                return;
            case 10:
                Attribute attribute = (Attribute) xMLEvent;
                QName name2 = attribute.getName();
                this.x.writeAttribute(name2.getPrefix(), name2.getNamespaceURI(), name2.getLocalPart(), attribute.getValue());
                return;
            case 11:
                this.x.writeDTD(((DTD) xMLEvent).getDocumentTypeDeclaration());
                return;
            case 12:
                this.x.writeCData(xMLEvent.asCharacters().getData());
                return;
            case 13:
                Namespace namespace = (Namespace) xMLEvent;
                this.x.writeNamespace(namespace.getPrefix(), namespace.getNamespaceURI());
                return;
        }
    }

    @Override // org.apache.poi.javax.xml.stream.XMLEventWriter
    public void close() {
        this.x.close();
    }

    @Override // org.apache.poi.javax.xml.stream.XMLEventWriter
    public void flush() {
        this.x.flush();
    }

    @Override // org.apache.poi.javax.xml.stream.XMLEventWriter
    public NamespaceContext getNamespaceContext() {
        return this.x.getNamespaceContext();
    }

    @Override // org.apache.poi.javax.xml.stream.XMLEventWriter
    public String getPrefix(String str) {
        return this.x.getPrefix(str);
    }

    @Override // org.apache.poi.javax.xml.stream.XMLEventWriter
    public void setDefaultNamespace(String str) {
        this.x.setDefaultNamespace(str);
    }

    @Override // org.apache.poi.javax.xml.stream.XMLEventWriter
    public void setNamespaceContext(NamespaceContext namespaceContext) {
        this.x.setNamespaceContext(namespaceContext);
    }

    @Override // org.apache.poi.javax.xml.stream.XMLEventWriter
    public void setPrefix(String str, String str2) {
        this.x.setPrefix(str, str2);
    }

    @Override // org.apache.poi.javax.xml.stream.XMLEventWriter
    public void add(XMLEventReader xMLEventReader) {
        while (xMLEventReader.hasNext()) {
            add(xMLEventReader.nextEvent());
        }
    }
}
