package i.b.a.l.m;

import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;
import org.apache.poi.javax.xml.namespace.NamespaceContext;
import org.apache.poi.javax.xml.stream.events.Namespace;

/* compiled from: MergedNsContext */
public class j implements NamespaceContext {
    public final NamespaceContext x;
    public final List<Namespace> y;

    public j(NamespaceContext namespaceContext, List<Namespace> list) {
        this.x = namespaceContext;
        this.y = list == null ? Collections.emptyList() : list;
    }

    public <T> ArrayList<T> a(ArrayList<T> arrayList, T t) {
        if (arrayList == null) {
            arrayList = new ArrayList<>();
        }
        arrayList.add(t);
        return arrayList;
    }

    @Override // org.apache.poi.javax.xml.namespace.NamespaceContext
    public String getNamespaceURI(String str) {
        String namespaceURI;
        if (str != null) {
            int size = this.y.size();
            for (int i2 = 0; i2 < size; i2++) {
                Namespace namespace = this.y.get(i2);
                if (str.equals(namespace.getPrefix())) {
                    return namespace.getNamespaceURI();
                }
            }
            NamespaceContext namespaceContext = this.x;
            if (!(namespaceContext == null || (namespaceURI = namespaceContext.getNamespaceURI(str)) == null)) {
                return namespaceURI;
            }
            if (str.equals("xml")) {
                return "http://www.w3.org/XML/1998/namespace";
            }
            if (str.equals("xmlns")) {
                return "http://www.w3.org/2000/xmlns/";
            }
            return null;
        }
        throw new IllegalArgumentException("Illegal to pass null prefix");
    }

    @Override // org.apache.poi.javax.xml.namespace.NamespaceContext
    public String getPrefix(String str) {
        if (str == null || str.length() == 0) {
            throw new IllegalArgumentException("Illegal to pass null/empty prefix as argument.");
        }
        int size = this.y.size();
        for (int i2 = 0; i2 < size; i2++) {
            Namespace namespace = this.y.get(i2);
            if (str.equals(namespace.getNamespaceURI())) {
                return namespace.getPrefix();
            }
        }
        NamespaceContext namespaceContext = this.x;
        if (namespaceContext != null) {
            String prefix = namespaceContext.getPrefix(str);
            if (prefix != null && getNamespaceURI(prefix).equals(str)) {
                return prefix;
            }
            Iterator prefixes = this.x.getPrefixes(str);
            while (prefixes.hasNext()) {
                String str2 = (String) prefixes.next();
                if (!str2.equals(prefix) && getNamespaceURI(str2).equals(str)) {
                    return str2;
                }
            }
        }
        if (str.equals("http://www.w3.org/XML/1998/namespace")) {
            return "xml";
        }
        if (str.equals("http://www.w3.org/2000/xmlns/")) {
            return "xmlns";
        }
        return null;
    }

    @Override // org.apache.poi.javax.xml.namespace.NamespaceContext
    public Iterator<String> getPrefixes(String str) {
        if (str == null || str.length() == 0) {
            throw new IllegalArgumentException("Illegal to pass null/empty prefix as argument.");
        }
        int size = this.y.size();
        ArrayList arrayList = null;
        for (int i2 = 0; i2 < size; i2++) {
            Namespace namespace = this.y.get(i2);
            if (str.equals(namespace.getNamespaceURI())) {
                arrayList = a(arrayList, namespace.getPrefix());
            }
        }
        NamespaceContext namespaceContext = this.x;
        if (namespaceContext != null) {
            Iterator prefixes = namespaceContext.getPrefixes(str);
            while (prefixes.hasNext()) {
                String str2 = (String) prefixes.next();
                if (getNamespaceURI(str2).equals(str)) {
                    arrayList = a(arrayList, str2);
                }
            }
        }
        if (str.equals("http://www.w3.org/XML/1998/namespace")) {
            arrayList = a(arrayList, "xml");
        }
        if (str.equals("http://www.w3.org/2000/xmlns/")) {
            a(arrayList, "xmlns");
        }
        return null;
    }
}
