package javax.xml.datatype;

import b.b.a.a.a;
import java.io.BufferedReader;
import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.PrintStream;
import java.io.UnsupportedEncodingException;
import java.net.URL;
import java.util.Properties;
import org.apache.xerces.impl.xs.SchemaSymbols;
import org.apache.xmlbeans.impl.common.JarHelper;
import org.apache.xmlbeans.impl.common.NameUtil;
import org.apache.xmlbeans.impl.piccolo.util.FactoryServiceFinder;

public final class FactoryFinder {
    public static final String CLASS_NAME = "javax.xml.datatype.FactoryFinder";
    public static final int DEFAULT_LINE_LENGTH = 80;
    public static Properties cacheProps = new Properties();
    public static /* synthetic */ Class class$javax$xml$datatype$FactoryFinder = null;
    public static boolean debug = false;
    public static boolean firstTime = true;

    public static class ConfigurationError extends Error {
        public static final long serialVersionUID = -3644413026244211347L;
        public Exception exception;

        public ConfigurationError(String str, Exception exc) {
            super(str);
            this.exception = exc;
        }

        public Exception getException() {
            return this.exception;
        }
    }

    static {
        boolean z = true;
        try {
            String systemProperty = SecuritySupport.getSystemProperty("jaxp.debug");
            if (systemProperty == null || SchemaSymbols.ATTVAL_FALSE.equals(systemProperty)) {
                z = false;
            }
            debug = z;
        } catch (Exception unused) {
            debug = false;
        }
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw new NoClassDefFoundError(e2.getMessage());
        }
    }

    public static void debugPrintln(String str) {
        if (debug) {
            PrintStream printStream = System.err;
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append("javax.xml.datatype.FactoryFinder:");
            stringBuffer.append(str);
            printStream.println(stringBuffer.toString());
        }
    }

    public static Object find(String str, String str2) {
        ClassLoader findClassLoader = findClassLoader();
        try {
            String systemProperty = SecuritySupport.getSystemProperty(str);
            if (systemProperty != null && systemProperty.length() > 0) {
                if (debug) {
                    StringBuffer stringBuffer = new StringBuffer();
                    stringBuffer.append("found ");
                    stringBuffer.append(systemProperty);
                    stringBuffer.append(" in the system property ");
                    stringBuffer.append(str);
                    debugPrintln(stringBuffer.toString());
                }
                return newInstance(systemProperty, findClassLoader);
            }
        } catch (SecurityException unused) {
        }
        try {
            String systemProperty2 = SecuritySupport.getSystemProperty("java.home");
            StringBuffer stringBuffer2 = new StringBuffer();
            stringBuffer2.append(systemProperty2);
            stringBuffer2.append(File.separator);
            stringBuffer2.append("lib");
            stringBuffer2.append(File.separator);
            stringBuffer2.append("jaxp.properties");
            String stringBuffer3 = stringBuffer2.toString();
            if (firstTime) {
                synchronized (cacheProps) {
                    if (firstTime) {
                        File file = new File(stringBuffer3);
                        firstTime = false;
                        if (SecuritySupport.doesFileExist(file)) {
                            if (debug) {
                                StringBuffer stringBuffer4 = new StringBuffer();
                                stringBuffer4.append("Read properties file ");
                                stringBuffer4.append(file);
                                debugPrintln(stringBuffer4.toString());
                            }
                            cacheProps.load(SecuritySupport.getFileInputStream(file));
                        }
                    }
                }
            }
            String property = cacheProps.getProperty(str);
            if (debug) {
                StringBuffer stringBuffer5 = new StringBuffer();
                stringBuffer5.append("found ");
                stringBuffer5.append(property);
                stringBuffer5.append(" in $java.home/jaxp.properties");
                debugPrintln(stringBuffer5.toString());
            }
            if (property != null) {
                return newInstance(property, findClassLoader);
            }
        } catch (Exception e2) {
            if (debug) {
                e2.printStackTrace();
            }
        }
        Object findJarServiceProvider = findJarServiceProvider(str);
        if (findJarServiceProvider != null) {
            return findJarServiceProvider;
        }
        if (str2 != null) {
            if (debug) {
                StringBuffer stringBuffer6 = new StringBuffer();
                stringBuffer6.append("loaded from fallback value: ");
                stringBuffer6.append(str2);
                debugPrintln(stringBuffer6.toString());
            }
            return newInstance(str2, findClassLoader);
        }
        throw new ConfigurationError(a.a("Provider for ", str, " cannot be found"), null);
    }

    public static ClassLoader findClassLoader() {
        ClassLoader contextClassLoader = SecuritySupport.getContextClassLoader();
        if (debug) {
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append("Using context class loader: ");
            stringBuffer.append(contextClassLoader);
            debugPrintln(stringBuffer.toString());
        }
        if (contextClassLoader == null) {
            Class cls = class$javax$xml$datatype$FactoryFinder;
            if (cls == null) {
                cls = class$(CLASS_NAME);
                class$javax$xml$datatype$FactoryFinder = cls;
            }
            contextClassLoader = cls.getClassLoader();
            if (debug) {
                StringBuffer stringBuffer2 = new StringBuffer();
                stringBuffer2.append("Using the class loader of FactoryFinder: ");
                stringBuffer2.append(contextClassLoader);
                debugPrintln(stringBuffer2.toString());
            }
        }
        return contextClassLoader;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:5:0x0017, code lost:
        if (r0 == null) goto L_0x001e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:7:0x001c, code lost:
        if (r0 == null) goto L_0x001e;
     */
    /* JADX WARNING: Missing exception handler attribute for start block: B:40:0x009f */
    /* JADX WARNING: Removed duplicated region for block: B:12:0x002f A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:13:0x0030  */
    public static Object findJarServiceProvider(String str) {
        InputStream inputStream;
        BufferedReader bufferedReader;
        Class cls;
        String a = a.a(FactoryServiceFinder.SERVICE, str);
        ClassLoader contextClassLoader = SecuritySupport.getContextClassLoader();
        if (contextClassLoader != null) {
            inputStream = SecuritySupport.getResourceAsStream(contextClassLoader, a);
            if (inputStream == null) {
                cls = class$javax$xml$datatype$FactoryFinder;
            }
            if (inputStream != null) {
                return null;
            }
            if (debug) {
                StringBuffer stringBuffer = new StringBuffer();
                stringBuffer.append("found jar resource=");
                stringBuffer.append(a);
                stringBuffer.append(" using ClassLoader: ");
                stringBuffer.append(contextClassLoader);
                debugPrintln(stringBuffer.toString());
            }
            try {
                bufferedReader = new BufferedReader(new InputStreamReader(inputStream, "UTF-8"), 80);
            } catch (UnsupportedEncodingException unused) {
                bufferedReader = new BufferedReader(new InputStreamReader(inputStream), 80);
            }
            try {
                String readLine = bufferedReader.readLine();
                try {
                    bufferedReader.close();
                } catch (IOException unused2) {
                }
                if (readLine == null || "".equals(readLine)) {
                    return null;
                }
                if (debug) {
                    StringBuffer stringBuffer2 = new StringBuffer();
                    stringBuffer2.append("found in resource, value=");
                    stringBuffer2.append(readLine);
                    debugPrintln(stringBuffer2.toString());
                }
                return newInstance(readLine, contextClassLoader);
            } catch (IOException unknown) {
                try {
                    bufferedReader.close();
                } catch (IOException unused3) {
                }
                return null;
            } catch (Throwable th) {
                try {
                    bufferedReader.close();
                } catch (IOException unused4) {
                }
                throw th;
            }
        } else {
            cls = class$javax$xml$datatype$FactoryFinder;
        }
        cls = class$(CLASS_NAME);
        class$javax$xml$datatype$FactoryFinder = cls;
        contextClassLoader = cls.getClassLoader();
        inputStream = SecuritySupport.getResourceAsStream(contextClassLoader, a);
        if (inputStream != null) {
        }
    }

    public static Object newInstance(String str, ClassLoader classLoader) {
        Class<?> cls;
        if (classLoader == null) {
            try {
                cls = Class.forName(str);
            } catch (ClassNotFoundException e2) {
                throw new ConfigurationError(a.a("Provider ", str, " not found"), e2);
            } catch (Exception e3) {
                StringBuffer stringBuffer = new StringBuffer();
                stringBuffer.append("Provider ");
                stringBuffer.append(str);
                stringBuffer.append(" could not be instantiated: ");
                stringBuffer.append(e3);
                throw new ConfigurationError(stringBuffer.toString(), e3);
            }
        } else {
            cls = classLoader.loadClass(str);
        }
        if (debug) {
            StringBuffer stringBuffer2 = new StringBuffer();
            stringBuffer2.append("Loaded ");
            stringBuffer2.append(str);
            stringBuffer2.append(" from ");
            stringBuffer2.append(which(cls));
            debugPrintln(stringBuffer2.toString());
        }
        return cls.newInstance();
    }

    public static String which(Class cls) {
        try {
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append(cls.getName().replace(NameUtil.PERIOD, JarHelper.SEP));
            stringBuffer.append(".class");
            String stringBuffer2 = stringBuffer.toString();
            ClassLoader classLoader = cls.getClassLoader();
            URL resource = classLoader != null ? classLoader.getResource(stringBuffer2) : ClassLoader.getSystemResource(stringBuffer2);
            return resource != null ? resource.toString() : "unknown location";
        } catch (VirtualMachineError e2) {
            throw e2;
        } catch (ThreadDeath e3) {
            throw e3;
        } catch (Throwable th) {
            if (!debug) {
                return "unknown location";
            }
            th.printStackTrace();
            return "unknown location";
        }
    }
}
