package javax.xml.namespace;

import b.b.a.a.a;
import java.io.ObjectInputStream;
import java.io.Serializable;
import java.security.AccessController;
import java.security.PrivilegedAction;

public class QName implements Serializable {
    public static final long compatabilitySerialVersionUID = 4418622981026545151L;
    public static final long defaultSerialVersionUID = -9120448754896609940L;
    public static final long serialVersionUID;
    public final String localPart;
    public final String namespaceURI;
    public String prefix;
    public transient String qNameAsString;

    static {
        String str;
        try {
            str = (String) AccessController.doPrivileged(new PrivilegedAction() {
                /* class javax.xml.namespace.QName.AnonymousClass1 */

                @Override // java.security.PrivilegedAction
                public Object run() {
                    return System.getProperty("org.apache.xml.namespace.QName.useCompatibleSerialVersionUID");
                }
            });
        } catch (Exception unused) {
            str = null;
        }
        serialVersionUID = !"1.0".equals(str) ? defaultSerialVersionUID : compatabilitySerialVersionUID;
    }

    public QName(String str) {
        this("", str, "");
    }

    public QName(String str, String str2) {
        this(str, str2, "");
    }

    public QName(String str, String str2, String str3) {
        this.namespaceURI = str == null ? "" : str;
        if (str2 != null) {
            this.localPart = str2;
            if (str3 != null) {
                this.prefix = str3;
                return;
            }
            throw new IllegalArgumentException("prefix cannot be \"null\" when creating a QName");
        }
        throw new IllegalArgumentException("local part cannot be \"null\" when creating a QName");
    }

    private void readObject(ObjectInputStream objectInputStream) {
        objectInputStream.defaultReadObject();
        if (this.prefix == null) {
            this.prefix = "";
        }
    }

    public static QName valueOf(String str) {
        if (str == null) {
            throw new IllegalArgumentException("cannot create QName from \"null\" or \"\" String");
        } else if (str.length() == 0) {
            return new QName("", str, "");
        } else {
            if (str.charAt(0) != '{') {
                return new QName("", str, "");
            }
            if (!str.startsWith("{}")) {
                int indexOf = str.indexOf(125);
                if (indexOf != -1) {
                    return new QName(str.substring(1, indexOf), str.substring(indexOf + 1), "");
                }
                throw new IllegalArgumentException(a.a("cannot create QName from \"", str, "\", missing closing \"}\""));
            }
            StringBuffer a = a.a("Namespace URI .equals(XMLConstants.NULL_NS_URI), .equals(\"\"), only the local part, \"");
            a.append(str.substring(2));
            a.append("\", ");
            a.append("should be provided.");
            throw new IllegalArgumentException(a.toString());
        }
    }

    public final boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof QName)) {
            return false;
        }
        QName qName = (QName) obj;
        return this.localPart.equals(qName.localPart) && this.namespaceURI.equals(qName.namespaceURI);
    }

    public String getLocalPart() {
        return this.localPart;
    }

    public String getNamespaceURI() {
        return this.namespaceURI;
    }

    public String getPrefix() {
        return this.prefix;
    }

    public final int hashCode() {
        return this.namespaceURI.hashCode() ^ this.localPart.hashCode();
    }

    public String toString() {
        String str = this.qNameAsString;
        if (str == null) {
            int length = this.namespaceURI.length();
            if (length == 0) {
                str = this.localPart;
            } else {
                StringBuffer stringBuffer = new StringBuffer(this.localPart.length() + length + 2);
                stringBuffer.append('{');
                stringBuffer.append(this.namespaceURI);
                stringBuffer.append('}');
                stringBuffer.append(this.localPart);
                str = stringBuffer.toString();
            }
            this.qNameAsString = str;
        }
        return str;
    }
}
