package javax.xml.parsers;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import javax.xml.validation.Schema;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.Document;
import org.xml.sax.EntityResolver;
import org.xml.sax.ErrorHandler;
import org.xml.sax.InputSource;

public abstract class DocumentBuilder {
    public static final boolean DEBUG = false;

    public abstract DOMImplementation getDOMImplementation();

    public Schema getSchema() {
        StringBuffer a = a.a("This parser does not support specification \"");
        a.append(getClass().getPackage().getSpecificationTitle());
        a.append("\" version \"");
        a.append(getClass().getPackage().getSpecificationVersion());
        a.append("\"");
        throw new UnsupportedOperationException(a.toString());
    }

    public abstract boolean isNamespaceAware();

    public abstract boolean isValidating();

    public boolean isXIncludeAware() {
        StringBuffer a = a.a("This parser does not support specification \"");
        a.append(getClass().getPackage().getSpecificationTitle());
        a.append("\" version \"");
        a.append(getClass().getPackage().getSpecificationVersion());
        a.append("\"");
        throw new UnsupportedOperationException(a.toString());
    }

    public abstract Document newDocument();

    public Document parse(File file) {
        if (file != null) {
            return parse(new InputSource(FilePathToURI.filepath2URI(file.getAbsolutePath())));
        }
        throw new IllegalArgumentException("File cannot be null");
    }

    public Document parse(InputStream inputStream) {
        if (inputStream != null) {
            return parse(new InputSource(inputStream));
        }
        throw new IllegalArgumentException("InputStream cannot be null");
    }

    public Document parse(InputStream inputStream, String str) {
        if (inputStream != null) {
            InputSource inputSource = new InputSource(inputStream);
            inputSource.setSystemId(str);
            return parse(inputSource);
        }
        throw new IllegalArgumentException("InputStream cannot be null");
    }

    public Document parse(String str) {
        if (str != null) {
            return parse(new InputSource(str));
        }
        throw new IllegalArgumentException("URI cannot be null");
    }

    public abstract Document parse(InputSource inputSource);

    public void reset() {
        StringBuffer a = a.a("This DocumentBuilder, \"");
        a.append(getClass().getName());
        a.append("\", does not support the reset functionality.");
        a.append("  Specification \"");
        a.append(getClass().getPackage().getSpecificationTitle());
        a.append("\"");
        a.append(" version \"");
        a.append(getClass().getPackage().getSpecificationVersion());
        a.append("\"");
        throw new UnsupportedOperationException(a.toString());
    }

    public abstract void setEntityResolver(EntityResolver entityResolver);

    public abstract void setErrorHandler(ErrorHandler errorHandler);
}
