package javax.xml.parsers;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import javax.xml.validation.Schema;
import org.xml.sax.HandlerBase;
import org.xml.sax.InputSource;
import org.xml.sax.Parser;
import org.xml.sax.XMLReader;
import org.xml.sax.helpers.DefaultHandler;

public abstract class SAXParser {
    public static final boolean DEBUG = false;

    public abstract Parser getParser();

    public abstract Object getProperty(String str);

    public Schema getSchema() {
        StringBuffer a = a.a("This parser does not support specification \"");
        a.append(getClass().getPackage().getSpecificationTitle());
        a.append("\" version \"");
        a.append(getClass().getPackage().getSpecificationVersion());
        a.append("\"");
        throw new UnsupportedOperationException(a.toString());
    }

    public abstract XMLReader getXMLReader();

    public abstract boolean isNamespaceAware();

    public abstract boolean isValidating();

    public boolean isXIncludeAware() {
        StringBuffer a = a.a("This parser does not support specification \"");
        a.append(getClass().getPackage().getSpecificationTitle());
        a.append("\" version \"");
        a.append(getClass().getPackage().getSpecificationVersion());
        a.append("\"");
        throw new UnsupportedOperationException(a.toString());
    }

    public void parse(File file, HandlerBase handlerBase) {
        if (file != null) {
            parse(new InputSource(FilePathToURI.filepath2URI(file.getAbsolutePath())), handlerBase);
            return;
        }
        throw new IllegalArgumentException("File cannot be null");
    }

    public void parse(File file, DefaultHandler defaultHandler) {
        if (file != null) {
            parse(new InputSource(FilePathToURI.filepath2URI(file.getAbsolutePath())), defaultHandler);
            return;
        }
        throw new IllegalArgumentException("File cannot be null");
    }

    public void parse(InputStream inputStream, HandlerBase handlerBase) {
        if (inputStream != null) {
            parse(new InputSource(inputStream), handlerBase);
            return;
        }
        throw new IllegalArgumentException("InputStream cannot be null");
    }

    public void parse(InputStream inputStream, HandlerBase handlerBase, String str) {
        if (inputStream != null) {
            InputSource inputSource = new InputSource(inputStream);
            inputSource.setSystemId(str);
            parse(inputSource, handlerBase);
            return;
        }
        throw new IllegalArgumentException("InputStream cannot be null");
    }

    public void parse(InputStream inputStream, DefaultHandler defaultHandler) {
        if (inputStream != null) {
            parse(new InputSource(inputStream), defaultHandler);
            return;
        }
        throw new IllegalArgumentException("InputStream cannot be null");
    }

    public void parse(InputStream inputStream, DefaultHandler defaultHandler, String str) {
        if (inputStream != null) {
            InputSource inputSource = new InputSource(inputStream);
            inputSource.setSystemId(str);
            parse(inputSource, defaultHandler);
            return;
        }
        throw new IllegalArgumentException("InputStream cannot be null");
    }

    public void parse(String str, HandlerBase handlerBase) {
        if (str != null) {
            parse(new InputSource(str), handlerBase);
            return;
        }
        throw new IllegalArgumentException("uri cannot be null");
    }

    public void parse(String str, DefaultHandler defaultHandler) {
        if (str != null) {
            parse(new InputSource(str), defaultHandler);
            return;
        }
        throw new IllegalArgumentException("uri cannot be null");
    }

    public void parse(InputSource inputSource, HandlerBase handlerBase) {
        if (inputSource != null) {
            Parser parser = getParser();
            if (handlerBase != null) {
                parser.setDocumentHandler(handlerBase);
                parser.setEntityResolver(handlerBase);
                parser.setErrorHandler(handlerBase);
                parser.setDTDHandler(handlerBase);
            }
            parser.parse(inputSource);
            return;
        }
        throw new IllegalArgumentException("InputSource cannot be null");
    }

    public void parse(InputSource inputSource, DefaultHandler defaultHandler) {
        if (inputSource != null) {
            XMLReader xMLReader = getXMLReader();
            if (defaultHandler != null) {
                xMLReader.setContentHandler(defaultHandler);
                xMLReader.setEntityResolver(defaultHandler);
                xMLReader.setErrorHandler(defaultHandler);
                xMLReader.setDTDHandler(defaultHandler);
            }
            xMLReader.parse(inputSource);
            return;
        }
        throw new IllegalArgumentException("InputSource cannot be null");
    }

    public void reset() {
        StringBuffer a = a.a("This SAXParser, \"");
        a.append(getClass().getName());
        a.append("\", does not support the reset functionality.");
        a.append("  Specification \"");
        a.append(getClass().getPackage().getSpecificationTitle());
        a.append("\"");
        a.append(" version \"");
        a.append(getClass().getPackage().getSpecificationVersion());
        a.append("\"");
        throw new UnsupportedOperationException(a.toString());
    }

    public abstract void setProperty(String str, Object obj);
}
