package javax.xml.stream;

public class XMLStreamException extends Exception {
    public static final long serialVersionUID = 2018819321811497362L;
    public Location location;
    public Throwable nested;

    public XMLStreamException() {
    }

    public XMLStreamException(String str) {
        super(str);
    }

    public XMLStreamException(String str, Throwable th) {
        super(str);
        this.nested = th;
    }

    public XMLStreamException(String str, Location location2) {
        super(str);
        this.location = location2;
    }

    public XMLStreamException(String str, Location location2, Throwable th) {
        super(str);
        this.location = location2;
        this.nested = th;
    }

    public XMLStreamException(Throwable th) {
        this.nested = th;
    }

    public Location getLocation() {
        return this.location;
    }

    public Throwable getNestedException() {
        return this.nested;
    }
}
