package javax.xml.transform;

import b.b.a.a.a;
import java.io.BufferedReader;
import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.PrintStream;
import java.io.UnsupportedEncodingException;
import java.util.Properties;
import org.apache.xerces.impl.xs.SchemaSymbols;
import org.apache.xmlbeans.impl.piccolo.util.FactoryServiceFinder;

public final class FactoryFinder {
    public static final int DEFAULT_LINE_LENGTH = 80;
    public static Properties cacheProps = new Properties();
    public static /* synthetic */ Class class$javax$xml$transform$FactoryFinder = null;
    public static boolean debug = false;
    public static boolean firstTime = true;

    public static class ConfigurationError extends Error {
        public Exception exception;

        public ConfigurationError(String str, Exception exc) {
            super(str);
            this.exception = exc;
        }

        public Exception getException() {
            return this.exception;
        }
    }

    static {
        boolean z = true;
        try {
            String systemProperty = SecuritySupport.getSystemProperty("jaxp.debug");
            if (systemProperty == null || SchemaSymbols.ATTVAL_FALSE.equals(systemProperty)) {
                z = false;
            }
            debug = z;
        } catch (SecurityException unused) {
            debug = false;
        }
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw new NoClassDefFoundError(e2.getMessage());
        }
    }

    public static void dPrint(String str) {
        if (debug) {
            PrintStream printStream = System.err;
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append("JAXP: ");
            stringBuffer.append(str);
            printStream.println(stringBuffer.toString());
        }
    }

    public static Object find(String str, String str2) {
        ClassLoader contextClassLoader = SecuritySupport.getContextClassLoader();
        if (contextClassLoader == null) {
            Class cls = class$javax$xml$transform$FactoryFinder;
            if (cls == null) {
                cls = class$("javax.xml.transform.FactoryFinder");
                class$javax$xml$transform$FactoryFinder = cls;
            }
            contextClassLoader = cls.getClassLoader();
        }
        if (debug) {
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append("find factoryId =");
            stringBuffer.append(str);
            dPrint(stringBuffer.toString());
        }
        try {
            String systemProperty = SecuritySupport.getSystemProperty(str);
            if (systemProperty != null && systemProperty.length() > 0) {
                if (debug) {
                    StringBuffer stringBuffer2 = new StringBuffer();
                    stringBuffer2.append("found system property, value=");
                    stringBuffer2.append(systemProperty);
                    dPrint(stringBuffer2.toString());
                }
                return newInstance(systemProperty, contextClassLoader, true);
            }
        } catch (SecurityException unused) {
        }
        try {
            String systemProperty2 = SecuritySupport.getSystemProperty("java.home");
            StringBuffer stringBuffer3 = new StringBuffer();
            stringBuffer3.append(systemProperty2);
            stringBuffer3.append(File.separator);
            stringBuffer3.append("lib");
            stringBuffer3.append(File.separator);
            stringBuffer3.append("jaxp.properties");
            String stringBuffer4 = stringBuffer3.toString();
            if (firstTime) {
                synchronized (cacheProps) {
                    if (firstTime) {
                        File file = new File(stringBuffer4);
                        firstTime = false;
                        if (SecuritySupport.doesFileExist(file)) {
                            if (debug) {
                                StringBuffer stringBuffer5 = new StringBuffer();
                                stringBuffer5.append("Read properties file ");
                                stringBuffer5.append(file);
                                dPrint(stringBuffer5.toString());
                            }
                            cacheProps.load(SecuritySupport.getFileInputStream(file));
                        }
                    }
                }
            }
            String property = cacheProps.getProperty(str);
            if (property != null) {
                if (debug) {
                    StringBuffer stringBuffer6 = new StringBuffer();
                    stringBuffer6.append("found in $java.home/jaxp.properties, value=");
                    stringBuffer6.append(property);
                    dPrint(stringBuffer6.toString());
                }
                return newInstance(property, contextClassLoader, true);
            }
        } catch (Exception e2) {
            if (debug) {
                e2.printStackTrace();
            }
        }
        Object findJarServiceProvider = findJarServiceProvider(str);
        if (findJarServiceProvider != null) {
            return findJarServiceProvider;
        }
        if (str2 != null) {
            if (debug) {
                StringBuffer stringBuffer7 = new StringBuffer();
                stringBuffer7.append("loaded from fallback value: ");
                stringBuffer7.append(str2);
                dPrint(stringBuffer7.toString());
            }
            return newInstance(str2, contextClassLoader, true);
        }
        throw new ConfigurationError(a.a("Provider for ", str, " cannot be found"), null);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:5:0x0017, code lost:
        if (r0 == null) goto L_0x001e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:7:0x001c, code lost:
        if (r0 == null) goto L_0x001e;
     */
    /* JADX WARNING: Missing exception handler attribute for start block: B:40:0x00a0 */
    /* JADX WARNING: Removed duplicated region for block: B:12:0x002f A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:13:0x0030  */
    public static Object findJarServiceProvider(String str) {
        InputStream inputStream;
        BufferedReader bufferedReader;
        Class cls;
        String a = a.a(FactoryServiceFinder.SERVICE, str);
        ClassLoader contextClassLoader = SecuritySupport.getContextClassLoader();
        if (contextClassLoader != null) {
            inputStream = SecuritySupport.getResourceAsStream(contextClassLoader, a);
            if (inputStream == null) {
                cls = class$javax$xml$transform$FactoryFinder;
            }
            if (inputStream != null) {
                return null;
            }
            if (debug) {
                StringBuffer stringBuffer = new StringBuffer();
                stringBuffer.append("found jar resource=");
                stringBuffer.append(a);
                stringBuffer.append(" using ClassLoader: ");
                stringBuffer.append(contextClassLoader);
                dPrint(stringBuffer.toString());
            }
            try {
                bufferedReader = new BufferedReader(new InputStreamReader(inputStream, "UTF-8"), 80);
            } catch (UnsupportedEncodingException unused) {
                bufferedReader = new BufferedReader(new InputStreamReader(inputStream), 80);
            }
            try {
                String readLine = bufferedReader.readLine();
                try {
                    bufferedReader.close();
                } catch (IOException unused2) {
                }
                if (readLine == null || "".equals(readLine)) {
                    return null;
                }
                if (debug) {
                    StringBuffer stringBuffer2 = new StringBuffer();
                    stringBuffer2.append("found in resource, value=");
                    stringBuffer2.append(readLine);
                    dPrint(stringBuffer2.toString());
                }
                return newInstance(readLine, contextClassLoader, false);
            } catch (IOException unknown) {
                try {
                    bufferedReader.close();
                } catch (IOException unused3) {
                }
                return null;
            } catch (Throwable th) {
                try {
                    bufferedReader.close();
                } catch (IOException unused4) {
                }
                throw th;
            }
        } else {
            cls = class$javax$xml$transform$FactoryFinder;
        }
        cls = class$("javax.xml.transform.FactoryFinder");
        class$javax$xml$transform$FactoryFinder = cls;
        contextClassLoader = cls.getClassLoader();
        inputStream = SecuritySupport.getResourceAsStream(contextClassLoader, a);
        if (inputStream != null) {
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:19:0x0051, code lost:
        r5 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:24:0x0056, code lost:
        r1 = new java.lang.StringBuffer();
        r1.append("Provider ");
        r1.append(r4);
        r1.append(" could not be instantiated: ");
        r1.append(r5);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:25:0x0072, code lost:
        throw new javax.xml.transform.FactoryFinder.ConfigurationError(r1.toString(), r5);
     */
    /* JADX WARNING: Removed duplicated region for block: B:17:0x0034 A[Catch:{ ClassNotFoundException -> 0x000a, Exception -> 0x0051, ClassNotFoundException -> 0x0053, Exception -> 0x0051 }] */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x0051 A[Catch:{ ClassNotFoundException -> 0x000a, Exception -> 0x0051, ClassNotFoundException -> 0x0053, Exception -> 0x0051 }, ExcHandler: Exception (r5v5 'e' java.lang.Exception A[CUSTOM_DECLARE, Catch:{  }]), Splitter:B:2:0x0005] */
    public static Object newInstance(String str, ClassLoader classLoader, boolean z) {
        Class<?> cls;
        Class cls2;
        if (classLoader != null) {
            try {
                cls = classLoader.loadClass(str);
            } catch (ClassNotFoundException e2) {
                if (z) {
                    if (class$javax$xml$transform$FactoryFinder == null) {
                        cls2 = class$("javax.xml.transform.FactoryFinder");
                        class$javax$xml$transform$FactoryFinder = cls2;
                    } else {
                        cls2 = class$javax$xml$transform$FactoryFinder;
                    }
                    classLoader = cls2.getClassLoader();
                    if (classLoader != null) {
                        cls = classLoader.loadClass(str);
                    }
                } else {
                    throw e2;
                }
            } catch (Exception e3) {
            } catch (ClassNotFoundException e4) {
                throw new ConfigurationError(a.a("Provider ", str, " not found"), e4);
            }
            Object newInstance = cls.newInstance();
            if (debug) {
                StringBuffer stringBuffer = new StringBuffer();
                stringBuffer.append("created new instance of ");
                stringBuffer.append(cls);
                stringBuffer.append(" using ClassLoader: ");
                stringBuffer.append(classLoader);
                dPrint(stringBuffer.toString());
            }
            return newInstance;
        }
        cls = Class.forName(str);
        Object newInstance2 = cls.newInstance();
        if (debug) {
        }
        return newInstance2;
    }
}
