package javax.xml.transform.stream;

import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import javax.xml.transform.Source;

public class StreamSource implements Source {
    public static final String FEATURE = "http://javax.xml.transform.stream.StreamSource/feature";
    public InputStream inputStream;
    public String publicId;
    public Reader reader;
    public String systemId;

    public StreamSource() {
    }

    public StreamSource(File file) {
        setSystemId(file);
    }

    public StreamSource(InputStream inputStream2) {
        setInputStream(inputStream2);
    }

    public StreamSource(InputStream inputStream2, String str) {
        setInputStream(inputStream2);
        setSystemId(str);
    }

    public StreamSource(Reader reader2) {
        setReader(reader2);
    }

    public StreamSource(Reader reader2, String str) {
        setReader(reader2);
        setSystemId(str);
    }

    public StreamSource(String str) {
        this.systemId = str;
    }

    public InputStream getInputStream() {
        return this.inputStream;
    }

    public String getPublicId() {
        return this.publicId;
    }

    public Reader getReader() {
        return this.reader;
    }

    @Override // javax.xml.transform.Source
    public String getSystemId() {
        return this.systemId;
    }

    public void setInputStream(InputStream inputStream2) {
        this.inputStream = inputStream2;
    }

    public void setPublicId(String str) {
        this.publicId = str;
    }

    public void setReader(Reader reader2) {
        this.reader = reader2;
    }

    public void setSystemId(File file) {
        this.systemId = FilePathToURI.filepath2URI(file.getAbsolutePath());
    }

    @Override // javax.xml.transform.Source
    public void setSystemId(String str) {
        this.systemId = str;
    }
}
