package javax.xml.validation;

import java.io.File;
import java.net.URL;
import javax.xml.transform.Source;
import javax.xml.transform.stream.StreamSource;
import org.w3c.dom.ls.LSResourceResolver;
import org.xml.sax.ErrorHandler;
import org.xml.sax.SAXNotRecognizedException;

public abstract class SchemaFactory {
    public static /* synthetic */ Class class$javax$xml$validation$SchemaFactory;

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw new NoClassDefFoundError(e2.getMessage());
        }
    }

    public static final SchemaFactory newInstance(String str) {
        ClassLoader contextClassLoader = SecuritySupport.getContextClassLoader();
        if (contextClassLoader == null) {
            Class cls = class$javax$xml$validation$SchemaFactory;
            if (cls == null) {
                cls = class$("javax.xml.validation.SchemaFactory");
                class$javax$xml$validation$SchemaFactory = cls;
            }
            contextClassLoader = cls.getClassLoader();
        }
        SchemaFactory newFactory = new SchemaFactoryFinder(contextClassLoader).newFactory(str);
        if (newFactory != null) {
            return newFactory;
        }
        throw new IllegalArgumentException(str);
    }

    public static SchemaFactory newInstance(String str, String str2, ClassLoader classLoader) {
        if (str == null) {
            throw null;
        } else if (str2 != null) {
            if (classLoader == null) {
                classLoader = SecuritySupport.getContextClassLoader();
            }
            SchemaFactory createInstance = new SchemaFactoryFinder(classLoader).createInstance(str2);
            if (createInstance != null && createInstance.isSchemaLanguageSupported(str)) {
                return createInstance;
            }
            throw new IllegalArgumentException(str);
        } else {
            throw new IllegalArgumentException("factoryClassName cannot be null.");
        }
    }

    public abstract ErrorHandler getErrorHandler();

    public boolean getFeature(String str) {
        if (str == null) {
            throw new NullPointerException("the name parameter is null");
        }
        throw new SAXNotRecognizedException(str);
    }

    public Object getProperty(String str) {
        if (str == null) {
            throw new NullPointerException("the name parameter is null");
        }
        throw new SAXNotRecognizedException(str);
    }

    public abstract LSResourceResolver getResourceResolver();

    public abstract boolean isSchemaLanguageSupported(String str);

    public abstract Schema newSchema();

    public Schema newSchema(File file) {
        return newSchema(new StreamSource(file));
    }

    public Schema newSchema(URL url) {
        return newSchema(new StreamSource(url.toExternalForm()));
    }

    public Schema newSchema(Source source) {
        return newSchema(new Source[]{source});
    }

    public abstract Schema newSchema(Source[] sourceArr);

    public abstract void setErrorHandler(ErrorHandler errorHandler);

    public void setFeature(String str, boolean z) {
        if (str == null) {
            throw new NullPointerException("the name parameter is null");
        }
        throw new SAXNotRecognizedException(str);
    }

    public void setProperty(String str, Object obj) {
        if (str == null) {
            throw new NullPointerException("the name parameter is null");
        }
        throw new SAXNotRecognizedException(str);
    }

    public abstract void setResourceResolver(LSResourceResolver lSResourceResolver);
}
