package javax.xml.xpath;

import b.b.a.a.a;

public abstract class XPathFactory {
    public static final String DEFAULT_OBJECT_MODEL_URI = "http://java.sun.com/jaxp/xpath/dom";
    public static final String DEFAULT_PROPERTY_NAME = "javax.xml.xpath.XPathFactory";
    public static /* synthetic */ Class class$javax$xml$xpath$XPathFactory;

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw new NoClassDefFoundError(e2.getMessage());
        }
    }

    public static final XPathFactory newInstance() {
        try {
            return newInstance("http://java.sun.com/jaxp/xpath/dom");
        } catch (XPathFactoryConfigurationException e2) {
            StringBuffer a = a.a("XPathFactory#newInstance() failed to create an XPathFactory for the default object model: http://java.sun.com/jaxp/xpath/dom with the XPathFactoryConfigurationException: ");
            a.append(e2.toString());
            throw new RuntimeException(a.toString());
        }
    }

    public static final XPathFactory newInstance(String str) {
        if (str == null) {
            throw new NullPointerException("XPathFactory#newInstance(String uri) cannot be called with uri == null");
        } else if (str.length() != 0) {
            ClassLoader contextClassLoader = SecuritySupport.getContextClassLoader();
            if (contextClassLoader == null) {
                Class cls = class$javax$xml$xpath$XPathFactory;
                if (cls == null) {
                    cls = class$(DEFAULT_PROPERTY_NAME);
                    class$javax$xml$xpath$XPathFactory = cls;
                }
                contextClassLoader = cls.getClassLoader();
            }
            XPathFactory newFactory = new XPathFactoryFinder(contextClassLoader).newFactory(str);
            if (newFactory != null) {
                return newFactory;
            }
            throw new XPathFactoryConfigurationException(a.a("No XPathFctory implementation found for the object model: ", str));
        } else {
            throw new IllegalArgumentException("XPathFactory#newInstance(String uri) cannot be called with uri == \"\"");
        }
    }

    public static XPathFactory newInstance(String str, String str2, ClassLoader classLoader) {
        if (str == null) {
            throw new NullPointerException("XPathFactory#newInstance(String uri) cannot be called with uri == null");
        } else if (str.length() == 0) {
            throw new IllegalArgumentException("XPathFactory#newInstance(String uri) cannot be called with uri == \"\"");
        } else if (str2 != null) {
            if (classLoader == null) {
                classLoader = SecuritySupport.getContextClassLoader();
            }
            XPathFactory createInstance = new XPathFactoryFinder(classLoader).createInstance(str2);
            if (createInstance != null && createInstance.isObjectModelSupported(str)) {
                return createInstance;
            }
            throw new XPathFactoryConfigurationException(a.a("No XPathFctory implementation found for the object model: ", str));
        } else {
            throw new XPathFactoryConfigurationException("factoryClassName cannot be null.");
        }
    }

    public abstract boolean getFeature(String str);

    public abstract boolean isObjectModelSupported(String str);

    public abstract XPath newXPath();

    public abstract void setFeature(String str, boolean z);

    public abstract void setXPathFunctionResolver(XPathFunctionResolver xPathFunctionResolver);

    public abstract void setXPathVariableResolver(XPathVariableResolver xPathVariableResolver);
}
