package org.apache.lucene.analysis;

import i.a.b.f.a;
import i.a.b.g.p;
import java.io.Closeable;
import java.io.Reader;
import java.util.HashMap;
import java.util.Map;

public abstract class Analyzer implements Closeable {
    public static final ReuseStrategy A = new PerFieldReuseStrategy();
    public static final ReuseStrategy z = new GlobalReuseStrategy();
    public final ReuseStrategy x;
    public p<Object> y = new p<>();

    public static abstract class ReuseStrategy {
        public final Object a(Analyzer analyzer) {
            p<Object> pVar = analyzer.y;
            if (pVar != null) {
                return pVar.a();
            }
            throw new a("this Analyzer is closed");
        }

        public abstract TokenStreamComponents a(Analyzer analyzer, String str);

        public abstract void a(Analyzer analyzer, String str, TokenStreamComponents tokenStreamComponents);
    }

    public Analyzer() {
        ReuseStrategy reuseStrategy = z;
        this.x = reuseStrategy;
    }

    public int a(String str) {
        return 1;
    }

    public abstract TokenStreamComponents a(String str, Reader reader);

    public final TokenStream a(String str, String str2) {
        ReusableStringReader reusableStringReader;
        TokenStreamComponents a = this.x.a(this, str);
        if (a == null || (reusableStringReader = a.c) == null) {
            reusableStringReader = new ReusableStringReader();
        }
        reusableStringReader.z = str2;
        reusableStringReader.y = str2.length();
        reusableStringReader.x = 0;
        Reader b2 = b(str, reusableStringReader);
        if (a == null) {
            a = a(str, b2);
            this.x.a(this, str, a);
        } else {
            a.a(b2);
        }
        a.c = reusableStringReader;
        return a.f1771b;
    }

    public int b(String str) {
        return 0;
    }

    public Reader b(String str, Reader reader) {
        return reader;
    }

    public final TokenStream c(String str, Reader reader) {
        TokenStreamComponents a = this.x.a(this, str);
        Reader b2 = b(str, reader);
        if (a == null) {
            a = a(str, b2);
            this.x.a(this, str, a);
        } else {
            a.a(b2);
        }
        return a.f1771b;
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        p<Object> pVar = this.y;
        if (pVar != null) {
            pVar.close();
            this.y = null;
        }
    }

    @Deprecated
    public static class PerFieldReuseStrategy extends ReuseStrategy {
        @Override // org.apache.lucene.analysis.Analyzer.ReuseStrategy
        public TokenStreamComponents a(Analyzer analyzer, String str) {
            Map map = (Map) a(analyzer);
            if (map != null) {
                return (TokenStreamComponents) map.get(str);
            }
            return null;
        }

        @Override // org.apache.lucene.analysis.Analyzer.ReuseStrategy
        public void a(Analyzer analyzer, String str, TokenStreamComponents tokenStreamComponents) {
            Map map = (Map) a(analyzer);
            if (map == null) {
                map = new HashMap();
                p<Object> pVar = analyzer.y;
                if (pVar != null) {
                    pVar.a(map);
                } else {
                    throw new a("this Analyzer is closed");
                }
            }
            map.put(str, tokenStreamComponents);
        }
    }

    @Deprecated
    public static final class GlobalReuseStrategy extends ReuseStrategy {
        @Override // org.apache.lucene.analysis.Analyzer.ReuseStrategy
        public void a(Analyzer analyzer, String str, TokenStreamComponents tokenStreamComponents) {
            p<Object> pVar = analyzer.y;
            if (pVar != null) {
                pVar.a(tokenStreamComponents);
                return;
            }
            throw new a("this Analyzer is closed");
        }

        @Override // org.apache.lucene.analysis.Analyzer.ReuseStrategy
        public TokenStreamComponents a(Analyzer analyzer, String str) {
            return (TokenStreamComponents) a(analyzer);
        }
    }

    public static class TokenStreamComponents {
        public final Tokenizer a;

        /* renamed from: b  reason: collision with root package name */
        public final TokenStream f1771b;
        public transient ReusableStringReader c;

        public TokenStreamComponents(Tokenizer tokenizer, TokenStream tokenStream) {
            this.a = tokenizer;
            this.f1771b = tokenStream;
        }

        public void a(Reader reader) {
            Tokenizer tokenizer = this.a;
            if (tokenizer == null) {
                throw null;
            } else if (reader == null) {
                throw new NullPointerException("input must not be null");
            } else if (tokenizer.D == Tokenizer.G) {
                tokenizer.F = reader;
            } else {
                throw new IllegalStateException("TokenStream contract violation: close() call missing");
            }
        }

        public TokenStreamComponents(Tokenizer tokenizer) {
            this.a = tokenizer;
            this.f1771b = tokenizer;
        }
    }

    public Analyzer(ReuseStrategy reuseStrategy) {
        this.x = reuseStrategy;
    }
}
