package org.apache.lucene.analysis;

import java.io.Reader;

public final class ReusableStringReader extends Reader {
    public int x = 0;
    public int y = 0;
    public String z = null;

    @Override // java.io.Closeable, java.io.Reader, java.lang.AutoCloseable
    public void close() {
        this.x = this.y;
        this.z = null;
    }

    @Override // java.io.Reader
    public int read() {
        int i2 = this.x;
        if (i2 < this.y) {
            String str = this.z;
            this.x = i2 + 1;
            return str.charAt(i2);
        }
        this.z = null;
        return -1;
    }

    @Override // java.io.Reader
    public int read(char[] cArr, int i2, int i3) {
        int i4 = this.x;
        int i5 = this.y;
        if (i4 < i5) {
            int min = Math.min(i3, i5 - i4);
            String str = this.z;
            int i6 = this.x;
            str.getChars(i6, i6 + min, cArr, i2);
            this.x += min;
            return min;
        }
        this.z = null;
        return -1;
    }
}
