package org.apache.lucene.analysis.cz;

import org.apache.lucene.analysis.TokenFilter;
import org.apache.lucene.analysis.tokenattributes.CharTermAttribute;
import org.apache.lucene.analysis.tokenattributes.KeywordAttribute;
import org.apache.lucene.analysis.util.StemmerUtil;
import org.apache.poi.hssf.record.UnknownRecord;

public final class CzechStemFilter extends TokenFilter {
    public final CzechStemmer F;
    public final CharTermAttribute G;
    public final KeywordAttribute H;

    @Override // org.apache.lucene.analysis.TokenStream
    public boolean g() {
        if (!this.D.g()) {
            return false;
        }
        if (!this.H.c()) {
            CzechStemmer czechStemmer = this.F;
            char[] f2 = this.G.f();
            int length = this.G.length();
            if (czechStemmer != null) {
                if (length > 7 && StemmerUtil.a(f2, length, "atech")) {
                    length -= 5;
                } else if (length > 6 && (StemmerUtil.a(f2, length, "ětem") || StemmerUtil.a(f2, length, "etem") || StemmerUtil.a(f2, length, "atům"))) {
                    length -= 4;
                } else if (length > 5 && (StemmerUtil.a(f2, length, "ech") || StemmerUtil.a(f2, length, "ich") || StemmerUtil.a(f2, length, "ích") || StemmerUtil.a(f2, length, "ého") || StemmerUtil.a(f2, length, "ěmi") || StemmerUtil.a(f2, length, "emi") || StemmerUtil.a(f2, length, "ému") || StemmerUtil.a(f2, length, "ěte") || StemmerUtil.a(f2, length, "ete") || StemmerUtil.a(f2, length, "ěti") || StemmerUtil.a(f2, length, "eti") || StemmerUtil.a(f2, length, "ího") || StemmerUtil.a(f2, length, "iho") || StemmerUtil.a(f2, length, "ími") || StemmerUtil.a(f2, length, "ímu") || StemmerUtil.a(f2, length, "imu") || StemmerUtil.a(f2, length, "ách") || StemmerUtil.a(f2, length, "ata") || StemmerUtil.a(f2, length, "aty") || StemmerUtil.a(f2, length, "ých") || StemmerUtil.a(f2, length, "ama") || StemmerUtil.a(f2, length, "ami") || StemmerUtil.a(f2, length, "ové") || StemmerUtil.a(f2, length, "ovi") || StemmerUtil.a(f2, length, "ými"))) {
                    length -= 3;
                } else if (length <= 4 || (!StemmerUtil.a(f2, length, "em") && !StemmerUtil.a(f2, length, "es") && !StemmerUtil.a(f2, length, "ém") && !StemmerUtil.a(f2, length, "ím") && !StemmerUtil.a(f2, length, "ům") && !StemmerUtil.a(f2, length, "at") && !StemmerUtil.a(f2, length, "ám") && !StemmerUtil.a(f2, length, "os") && !StemmerUtil.a(f2, length, "us") && !StemmerUtil.a(f2, length, "ým") && !StemmerUtil.a(f2, length, "mi") && !StemmerUtil.a(f2, length, "ou"))) {
                    if (length > 3) {
                        int i2 = length - 1;
                        switch (f2[i2]) {
                            case 'a':
                            case 'e':
                            case 'i':
                            case 'o':
                            case 'u':
                            case 'y':
                            case 225:
                            case UnknownRecord.BITMAP_00E9 /*{ENCODED_INT: 233}*/:
                            case 237:
                            case 253:
                            case 283:
                            case 367:
                                length = i2;
                                break;
                        }
                    }
                } else {
                    length -= 2;
                }
                if (length > 5 && (StemmerUtil.a(f2, length, "ov") || StemmerUtil.a(f2, length, "in") || StemmerUtil.a(f2, length, "ův"))) {
                    length -= 2;
                }
                if (length > 0) {
                    if (StemmerUtil.a(f2, length, "čt")) {
                        f2[length - 2] = 'c';
                        f2[length - 1] = 'k';
                    } else if (StemmerUtil.a(f2, length, "št")) {
                        f2[length - 2] = 's';
                        f2[length - 1] = 'k';
                    } else {
                        int i3 = length - 1;
                        char c = f2[i3];
                        if (c != 'c') {
                            if (c != 'z') {
                                if (c != 269) {
                                    if (c != 382) {
                                        if (length > 1) {
                                            int i4 = length - 2;
                                            if (f2[i4] == 'e') {
                                                f2[i4] = f2[i3];
                                                length = i3;
                                            }
                                        }
                                        if (length > 2) {
                                            int i5 = length - 2;
                                            if (f2[i5] == 367) {
                                                f2[i5] = 'o';
                                            }
                                        }
                                    }
                                }
                            }
                            f2[i3] = 'h';
                        }
                        f2[i3] = 'k';
                    }
                }
                this.G.setLength(length);
            } else {
                throw null;
            }
        }
        return true;
    }
}
