package org.apache.lucene.analysis.fr;

import org.apache.lucene.analysis.TokenFilter;
import org.apache.lucene.analysis.tokenattributes.CharTermAttribute;
import org.apache.lucene.analysis.tokenattributes.KeywordAttribute;
import org.apache.lucene.analysis.util.StemmerUtil;

public final class FrenchLightStemFilter extends TokenFilter {
    public final FrenchLightStemmer F;
    public final CharTermAttribute G;
    public final KeywordAttribute H;

    @Override // org.apache.lucene.analysis.TokenStream
    public boolean g() {
        int i2;
        if (!this.D.g()) {
            return false;
        }
        if (this.H.c()) {
            return true;
        }
        FrenchLightStemmer frenchLightStemmer = this.F;
        char[] f2 = this.G.f();
        int length = this.G.length();
        if (frenchLightStemmer != null) {
            if (length > 5) {
                int i3 = length - 1;
                if (f2[i3] == 'x') {
                    if (f2[length - 3] == 'a') {
                        int i4 = length - 2;
                        if (f2[i4] == 'u' && f2[length - 4] != 'e') {
                            f2[i4] = 'l';
                        }
                    }
                    length = i3;
                }
            }
            if (length > 3) {
                int i5 = length - 1;
                if (f2[i5] == 'x') {
                    length = i5;
                }
            }
            if (length > 3) {
                int i6 = length - 1;
                if (f2[i6] == 's') {
                    length = i6;
                }
            }
            if (length > 9 && StemmerUtil.a(f2, length, "issement")) {
                int i7 = length - 6;
                f2[i7 - 1] = 'r';
                i2 = frenchLightStemmer.a(f2, i7);
            } else if (length > 8 && StemmerUtil.a(f2, length, "issant")) {
                int i8 = length - 4;
                f2[i8 - 1] = 'r';
                i2 = frenchLightStemmer.a(f2, i8);
            } else if (length > 6 && StemmerUtil.a(f2, length, "ement")) {
                int i9 = length - 4;
                if (i9 > 3 && StemmerUtil.a(f2, i9, "ive")) {
                    i9--;
                    f2[i9 - 1] = 'f';
                }
                i2 = frenchLightStemmer.a(f2, i9);
            } else if (length > 11 && StemmerUtil.a(f2, length, "ficatrice")) {
                int i10 = length - 5;
                f2[i10 - 2] = 'e';
                f2[i10 - 1] = 'r';
                i2 = frenchLightStemmer.a(f2, i10);
            } else if (length > 10 && StemmerUtil.a(f2, length, "ficateur")) {
                int i11 = length - 4;
                f2[i11 - 2] = 'e';
                f2[i11 - 1] = 'r';
                i2 = frenchLightStemmer.a(f2, i11);
            } else if (length > 9 && StemmerUtil.a(f2, length, "catrice")) {
                int i12 = length - 3;
                f2[i12 - 4] = 'q';
                f2[i12 - 3] = 'u';
                f2[i12 - 2] = 'e';
                i2 = frenchLightStemmer.a(f2, i12);
            } else if (length > 8 && StemmerUtil.a(f2, length, "cateur")) {
                int i13 = length - 2;
                f2[i13 - 4] = 'q';
                f2[i13 - 3] = 'u';
                f2[i13 - 2] = 'e';
                f2[i13 - 1] = 'r';
                i2 = frenchLightStemmer.a(f2, i13);
            } else if (length > 8 && StemmerUtil.a(f2, length, "atrice")) {
                int i14 = length - 4;
                f2[i14 - 2] = 'e';
                f2[i14 - 1] = 'r';
                i2 = frenchLightStemmer.a(f2, i14);
            } else if (length <= 7 || !StemmerUtil.a(f2, length, "ateur")) {
                if (length > 6 && StemmerUtil.a(f2, length, "trice")) {
                    length--;
                    f2[length - 3] = 'e';
                    f2[length - 2] = 'u';
                    f2[length - 1] = 'r';
                }
                if (length > 5 && StemmerUtil.a(f2, length, "ième")) {
                    i2 = frenchLightStemmer.a(f2, length - 4);
                } else if (length > 7 && StemmerUtil.a(f2, length, "teuse")) {
                    int i15 = length - 2;
                    f2[i15 - 1] = 'r';
                    i2 = frenchLightStemmer.a(f2, i15);
                } else if (length > 6 && StemmerUtil.a(f2, length, "teur")) {
                    int i16 = length - 1;
                    f2[i16 - 1] = 'r';
                    i2 = frenchLightStemmer.a(f2, i16);
                } else if (length > 5 && StemmerUtil.a(f2, length, "euse")) {
                    i2 = frenchLightStemmer.a(f2, length - 2);
                } else if (length > 8 && StemmerUtil.a(f2, length, "ère")) {
                    int i17 = length - 1;
                    f2[i17 - 2] = 'e';
                    i2 = frenchLightStemmer.a(f2, i17);
                } else if (length > 7 && StemmerUtil.a(f2, length, "ive")) {
                    int i18 = length - 1;
                    f2[i18 - 1] = 'f';
                    i2 = frenchLightStemmer.a(f2, i18);
                } else if (length > 4 && (StemmerUtil.a(f2, length, "folle") || StemmerUtil.a(f2, length, "molle"))) {
                    int i19 = length - 2;
                    f2[i19 - 1] = 'u';
                    i2 = frenchLightStemmer.a(f2, i19);
                } else if (length > 9 && StemmerUtil.a(f2, length, "nnelle")) {
                    i2 = frenchLightStemmer.a(f2, length - 5);
                } else if (length <= 9 || !StemmerUtil.a(f2, length, "nnel")) {
                    if (length > 4 && StemmerUtil.a(f2, length, "ète")) {
                        length--;
                        f2[length - 2] = 'e';
                    }
                    if (length > 8 && StemmerUtil.a(f2, length, "ique")) {
                        length -= 4;
                    }
                    if (length > 8 && StemmerUtil.a(f2, length, "esse")) {
                        i2 = frenchLightStemmer.a(f2, length - 3);
                    } else if (length > 7 && StemmerUtil.a(f2, length, "inage")) {
                        i2 = frenchLightStemmer.a(f2, length - 3);
                    } else if (length > 9 && StemmerUtil.a(f2, length, "isation")) {
                        int i20 = length - 7;
                        if (i20 > 5 && StemmerUtil.a(f2, i20, "ual")) {
                            f2[i20 - 2] = 'e';
                        }
                        i2 = frenchLightStemmer.a(f2, i20);
                    } else if (length > 9 && StemmerUtil.a(f2, length, "isateur")) {
                        i2 = frenchLightStemmer.a(f2, length - 7);
                    } else if (length > 8 && StemmerUtil.a(f2, length, "ation")) {
                        i2 = frenchLightStemmer.a(f2, length - 5);
                    } else if (length <= 8 || !StemmerUtil.a(f2, length, "ition")) {
                        i2 = frenchLightStemmer.a(f2, length);
                    } else {
                        i2 = frenchLightStemmer.a(f2, length - 5);
                    }
                } else {
                    i2 = frenchLightStemmer.a(f2, length - 3);
                }
            } else {
                int i21 = length - 3;
                f2[i21 - 2] = 'e';
                f2[i21 - 1] = 'r';
                i2 = frenchLightStemmer.a(f2, i21);
            }
            this.G.setLength(i2);
            return true;
        }
        throw null;
    }
}
