package org.apache.lucene.analysis.hi;

import org.apache.lucene.analysis.TokenFilter;
import org.apache.lucene.analysis.tokenattributes.CharTermAttribute;
import org.apache.lucene.analysis.tokenattributes.KeywordAttribute;
import org.apache.lucene.analysis.util.StemmerUtil;

public final class HindiStemFilter extends TokenFilter {
    public final CharTermAttribute F;
    public final KeywordAttribute G;
    public final HindiStemmer H;

    @Override // org.apache.lucene.analysis.TokenStream
    public boolean g() {
        if (!this.D.g()) {
            return false;
        }
        if (this.G.c()) {
            return true;
        }
        CharTermAttribute charTermAttribute = this.F;
        HindiStemmer hindiStemmer = this.H;
        char[] f2 = charTermAttribute.f();
        int length = this.F.length();
        if (hindiStemmer != null) {
            int i2 = 5;
            if (length <= 6 || (!StemmerUtil.a(f2, length, "ाएंगी") && !StemmerUtil.a(f2, length, "ाएंगे") && !StemmerUtil.a(f2, length, "ाऊंगी") && !StemmerUtil.a(f2, length, "ाऊंगा") && !StemmerUtil.a(f2, length, "ाइयाँ") && !StemmerUtil.a(f2, length, "ाइयों") && !StemmerUtil.a(f2, length, "ाइयां"))) {
                int i3 = 4;
                if (length <= 5 || (!StemmerUtil.a(f2, length, "ाएगी") && !StemmerUtil.a(f2, length, "ाएगा") && !StemmerUtil.a(f2, length, "ाओगी") && !StemmerUtil.a(f2, length, "ाओगे") && !StemmerUtil.a(f2, length, "एंगी") && !StemmerUtil.a(f2, length, "ेंगी") && !StemmerUtil.a(f2, length, "एंगे") && !StemmerUtil.a(f2, length, "ेंगे") && !StemmerUtil.a(f2, length, "ूंगी") && !StemmerUtil.a(f2, length, "ूंगा") && !StemmerUtil.a(f2, length, "ातीं") && !StemmerUtil.a(f2, length, "नाओं") && !StemmerUtil.a(f2, length, "नाएं") && !StemmerUtil.a(f2, length, "ताओं") && !StemmerUtil.a(f2, length, "ताएं") && !StemmerUtil.a(f2, length, "ियाँ") && !StemmerUtil.a(f2, length, "ियों") && !StemmerUtil.a(f2, length, "ियां"))) {
                    i2 = 3;
                    if (length <= 4 || (!StemmerUtil.a(f2, length, "ाकर") && !StemmerUtil.a(f2, length, "ाइए") && !StemmerUtil.a(f2, length, "ाईं") && !StemmerUtil.a(f2, length, "ाया") && !StemmerUtil.a(f2, length, "ेगी") && !StemmerUtil.a(f2, length, "ेगा") && !StemmerUtil.a(f2, length, "ोगी") && !StemmerUtil.a(f2, length, "ोगे") && !StemmerUtil.a(f2, length, "ाने") && !StemmerUtil.a(f2, length, "ाना") && !StemmerUtil.a(f2, length, "ाते") && !StemmerUtil.a(f2, length, "ाती") && !StemmerUtil.a(f2, length, "ाता") && !StemmerUtil.a(f2, length, "तीं") && !StemmerUtil.a(f2, length, "ाओं") && !StemmerUtil.a(f2, length, "ाएं") && !StemmerUtil.a(f2, length, "ुओं") && !StemmerUtil.a(f2, length, "ुएं") && !StemmerUtil.a(f2, length, "ुआं"))) {
                        i3 = 2;
                        if (length <= 3 || (!StemmerUtil.a(f2, length, "कर") && !StemmerUtil.a(f2, length, "ाओ") && !StemmerUtil.a(f2, length, "िए") && !StemmerUtil.a(f2, length, "ाई") && !StemmerUtil.a(f2, length, "ाए") && !StemmerUtil.a(f2, length, "ने") && !StemmerUtil.a(f2, length, "नी") && !StemmerUtil.a(f2, length, "ना") && !StemmerUtil.a(f2, length, "ते") && !StemmerUtil.a(f2, length, "ीं") && !StemmerUtil.a(f2, length, "ती") && !StemmerUtil.a(f2, length, "ता") && !StemmerUtil.a(f2, length, "ाँ") && !StemmerUtil.a(f2, length, "ां") && !StemmerUtil.a(f2, length, "ों") && !StemmerUtil.a(f2, length, "ें"))) {
                            if (length > 2 && (StemmerUtil.a(f2, length, "ो") || StemmerUtil.a(f2, length, "े") || StemmerUtil.a(f2, length, "ू") || StemmerUtil.a(f2, length, "ु") || StemmerUtil.a(f2, length, "ी") || StemmerUtil.a(f2, length, "ि") || StemmerUtil.a(f2, length, "ा"))) {
                                length--;
                            }
                            charTermAttribute.setLength(length);
                            return true;
                        }
                    }
                }
                length -= i3;
                charTermAttribute.setLength(length);
                return true;
            }
            length -= i2;
            charTermAttribute.setLength(length);
            return true;
        }
        throw null;
    }
}
