package org.apache.lucene.analysis.lv;

import org.apache.lucene.analysis.TokenFilter;
import org.apache.lucene.analysis.lv.LatvianStemmer;
import org.apache.lucene.analysis.tokenattributes.CharTermAttribute;
import org.apache.lucene.analysis.tokenattributes.KeywordAttribute;
import org.apache.lucene.analysis.util.StemmerUtil;

public final class LatvianStemFilter extends TokenFilter {
    public final LatvianStemmer F;
    public final CharTermAttribute G;
    public final KeywordAttribute H;

    @Override // org.apache.lucene.analysis.TokenStream
    public boolean g() {
        int i2 = 0;
        if (!this.D.g()) {
            return false;
        }
        if (this.H.c()) {
            return true;
        }
        LatvianStemmer latvianStemmer = this.F;
        char[] f2 = this.G.f();
        int length = this.G.length();
        if (latvianStemmer != null) {
            int i3 = 0;
            for (int i4 = 0; i4 < length; i4++) {
                char c = f2[i4];
                if (c == 'a' || c == 'e' || c == 'i' || c == 'o' || c == 'u' || c == 257 || c == 275 || c == 299 || c == 363) {
                    i3++;
                }
            }
            while (true) {
                LatvianStemmer.Affix[] affixArr = LatvianStemmer.a;
                if (i2 >= affixArr.length) {
                    break;
                }
                LatvianStemmer.Affix affix = affixArr[i2];
                if (i3 > affix.f1819b) {
                    char[] cArr = affix.a;
                    if (length >= cArr.length + 3 && StemmerUtil.a(f2, length, cArr)) {
                        length -= affix.a.length;
                        if (affix.c) {
                            if (f2[length] == 'u') {
                                if (StemmerUtil.a(f2, length, "kš")) {
                                    length++;
                                    f2[length - 2] = 's';
                                    f2[length - 1] = 't';
                                } else if (StemmerUtil.a(f2, length, "ņņ")) {
                                    f2[length - 2] = 'n';
                                    f2[length - 1] = 'n';
                                }
                            }
                            if (StemmerUtil.a(f2, length, "pj") || StemmerUtil.a(f2, length, "bj") || StemmerUtil.a(f2, length, "mj") || StemmerUtil.a(f2, length, "vj")) {
                                length--;
                            } else if (StemmerUtil.a(f2, length, "šņ")) {
                                f2[length - 2] = 's';
                                f2[length - 1] = 'n';
                            } else if (StemmerUtil.a(f2, length, "žņ")) {
                                f2[length - 2] = 'z';
                                f2[length - 1] = 'n';
                            } else if (StemmerUtil.a(f2, length, "šļ")) {
                                f2[length - 2] = 's';
                                f2[length - 1] = 'l';
                            } else if (StemmerUtil.a(f2, length, "žļ")) {
                                f2[length - 2] = 'z';
                                f2[length - 1] = 'l';
                            } else if (StemmerUtil.a(f2, length, "ļņ")) {
                                f2[length - 2] = 'l';
                                f2[length - 1] = 'n';
                            } else if (StemmerUtil.a(f2, length, "ļļ")) {
                                f2[length - 2] = 'l';
                                f2[length - 1] = 'l';
                            } else {
                                int i5 = length - 1;
                                if (f2[i5] == 269) {
                                    f2[i5] = 'c';
                                } else if (f2[i5] == 316) {
                                    f2[i5] = 'l';
                                } else if (f2[i5] == 326) {
                                    f2[i5] = 'n';
                                }
                            }
                        }
                    }
                }
                i2++;
            }
            this.G.setLength(length);
            return true;
        }
        throw null;
    }
}
