package org.apache.lucene.analysis.miscellaneous;

import i.a.b.g.b1;
import java.io.Reader;
import java.io.StringReader;
import java.util.Arrays;
import java.util.Collection;
import java.util.Locale;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import org.apache.lucene.analysis.Analyzer;
import org.apache.lucene.analysis.Tokenizer;
import org.apache.lucene.analysis.core.StopAnalyzer;
import org.apache.lucene.analysis.core.StopFilter;
import org.apache.lucene.analysis.tokenattributes.CharTermAttribute;
import org.apache.lucene.analysis.tokenattributes.OffsetAttribute;
import org.apache.lucene.analysis.util.CharArraySet;
import org.apache.lucene.codecs.lucene3x.Lucene3xNormsProducer;
import org.apache.poi.ss.formula.functions.Complex;

@Deprecated
public final class PatternAnalyzer extends Analyzer {
    public static final Pattern H = Pattern.compile("\\W+");
    public static final Pattern I = Pattern.compile("\\s+");
    public static final CharArraySet J = CharArraySet.a(new CharArraySet(b1.LUCENE_CURRENT, (Collection<?>) Arrays.asList("a", "about", "above", "across", "adj", "after", "afterwards", "again", "against", "albeit", "all", "almost", "alone", "along", "already", "also", "although", "always", "among", "amongst", "an", "and", "another", "any", "anyhow", "anyone", "anything", "anywhere", "are", "around", "as", "at", "be", "became", "because", "become", "becomes", "becoming", "been", "before", "beforehand", "behind", "being", "below", "beside", "besides", "between", "beyond", "both", "but", "by", "can", "cannot", "co", "could", "down", "during", "each", "eg", "either", "else", "elsewhere", "enough", "etc", "even", "ever", "every", "everyone", "everything", "everywhere", "except", "few", "first", "for", "former", "formerly", "from", "further", "had", "has", "have", "he", "hence", "her", "here", "hereafter", "hereby", "herein", "hereupon", "hers", "herself", "him", "himself", "his", "how", "however", Complex.DEFAULT_SUFFIX, "ie", "if", "in", "inc", "indeed", "into", "is", "it", "its", "itself", "last", "latter", "latterly", "least", "less", "ltd", "many", "may", "me", "meanwhile", "might", "more", "moreover", "most", "mostly", "much", "must", "my", "myself", "namely", "neither", "never", "nevertheless", "next", "no", "nobody", "none", "noone", "nor", "not", "nothing", "now", "nowhere", "of", "off", "often", "on", "once one", "only", "onto", "or", "other", "others", "otherwise", "our", "ours", "ourselves", "out", "over", "own", "per", "perhaps", "rather", Lucene3xNormsProducer.SEPARATE_NORMS_EXTENSION, "same", "seem", "seemed", "seeming", "seems", "several", "she", "should", "since", "so", "some", "somehow", "someone", "something", "sometime", "sometimes", "somewhere", "still", "such", "t", "than", "that", "the", "their", "them", "themselves", "then", "thence", "there", "thereafter", "thereby", "therefor", "therein", "thereupon", "these", "they", "this", "those", "though", "through", "throughout", "thru", "thus", "to", "together", "too", "toward", "towards", "under", "until", "up", "upon", "us", "very", "via", "was", "we", "well", "were", "what", "whatever", "whatsoever", "when", "whence", "whenever", "whensoever", "where", "whereafter", "whereas", "whereat", "whereby", "wherefrom", "wherein", "whereinto", "whereof", "whereon", "whereto", "whereunto", "whereupon", "wherever", "wherewith", "whether", "which", "whichever", "whichsoever", "while", "whilst", "whither", "who", "whoever", "whole", "whom", "whomever", "whomsoever", "whose", "whosoever", "why", "will", "with", "within", "without", "would", "xsubj", "xcal", "xauthor", "xother ", "xnote", "yet", "you", "your", "yours", "yourself", "yourselves"), true));
    public static final PatternAnalyzer K = new PatternAnalyzer(b1.LUCENE_CURRENT, H, true, StopAnalyzer.C);
    public static final PatternAnalyzer M = new PatternAnalyzer(b1.LUCENE_CURRENT, H, true, J);
    public final Pattern C;
    public final boolean D;
    public final CharArraySet F;
    public final b1 G;

    public static final class FastStringReader extends StringReader {
        public final String x;

        public FastStringReader(String str) {
            super(str);
            this.x = str;
        }
    }

    public static final class FastStringTokenizer extends Tokenizer {
        public static final Locale Q = Locale.getDefault();
        public String H;
        public int I;
        public final boolean J;
        public final boolean K;
        public final CharArraySet M;
        public final CharTermAttribute O = ((CharTermAttribute) a(CharTermAttribute.class));
        public final OffsetAttribute P = ((OffsetAttribute) a(OffsetAttribute.class));

        public FastStringTokenizer(Reader reader, boolean z, boolean z2, CharArraySet charArraySet) {
            super(reader);
            this.J = z;
            this.K = z2;
            this.M = charArraySet;
        }

        public final boolean a(char c, boolean z) {
            if (z) {
                return Character.isLetter(c);
            }
            return !Character.isWhitespace(c);
        }

        @Override // org.apache.lucene.analysis.Tokenizer, org.apache.lucene.analysis.TokenStream, java.io.Closeable, java.lang.AutoCloseable
        public void close() {
            super.close();
            this.H = null;
        }

        @Override // org.apache.lucene.analysis.TokenStream
        public final void f() {
            super.f();
            int length = this.H.length();
            this.P.a(a(length), a(length));
        }

        @Override // org.apache.lucene.analysis.TokenStream
        public boolean g() {
            String str;
            boolean z;
            if (this.H != null) {
                b();
                String str2 = this.H;
                int length = str2.length();
                int i2 = this.I;
                boolean z2 = this.J;
                int i3 = 0;
                do {
                    str = null;
                    while (i2 < length && !a(str2.charAt(i2), z2)) {
                        i2++;
                    }
                    if (i2 < length) {
                        int i4 = i2;
                        while (i4 < length && a(str2.charAt(i4), z2)) {
                            i4++;
                        }
                        str = str2.substring(i2, i4);
                        if (this.K) {
                            str = str.toLowerCase(Q);
                        }
                        i3 = i2;
                        i2 = i4;
                    }
                    if (str == null) {
                        break;
                    }
                    CharArraySet charArraySet = this.M;
                    if (charArraySet == null || !charArraySet.x.a(str)) {
                        z = false;
                        continue;
                    } else {
                        z = true;
                        continue;
                    }
                } while (z);
                this.I = i2;
                if (str == null) {
                    return false;
                }
                this.O.g().append(str);
                this.P.a(a(i3), a(i2));
                return true;
            }
            throw new IllegalStateException("Consumer did not call reset().");
        }

        @Override // org.apache.lucene.analysis.Tokenizer, org.apache.lucene.analysis.TokenStream
        public void h() {
            super.h();
            this.H = PatternAnalyzer.a(this.D);
            this.I = 0;
        }
    }

    public static final class PatternTokenizer extends Tokenizer {
        public static final Locale U = Locale.getDefault();
        public final Pattern H;
        public String I;
        public final boolean J;
        public Matcher K;
        public int M = 0;
        public boolean O = false;
        public final CharTermAttribute P = ((CharTermAttribute) a(CharTermAttribute.class));
        public final OffsetAttribute Q = ((OffsetAttribute) a(OffsetAttribute.class));

        public PatternTokenizer(Reader reader, Pattern pattern, boolean z) {
            super(reader);
            this.H = pattern;
            this.K = pattern.matcher("");
            this.J = z;
        }

        @Override // org.apache.lucene.analysis.Tokenizer, org.apache.lucene.analysis.TokenStream, java.io.Closeable, java.lang.AutoCloseable
        public void close() {
            super.close();
            this.O = false;
        }

        @Override // org.apache.lucene.analysis.TokenStream
        public final void f() {
            super.f();
            int a = a(this.I.length());
            this.Q.a(a, a);
        }

        @Override // org.apache.lucene.analysis.TokenStream
        public final boolean g() {
            boolean find;
            int i2;
            if (!this.O) {
                throw new IllegalStateException("Consumer did not call reset().");
            } else if (this.K == null) {
                return false;
            } else {
                b();
                do {
                    int i3 = this.M;
                    find = this.K.find();
                    if (find) {
                        i2 = this.K.start();
                        this.M = this.K.end();
                    } else {
                        i2 = this.I.length();
                        this.K = null;
                    }
                    if (i3 != i2) {
                        String substring = this.I.substring(i3, i2);
                        if (this.J) {
                            substring = substring.toLowerCase(U);
                        }
                        this.P.g().append(substring);
                        this.Q.a(a(i3), a(i2));
                        return true;
                    }
                } while (find);
                return false;
            }
        }

        @Override // org.apache.lucene.analysis.Tokenizer, org.apache.lucene.analysis.TokenStream
        public void h() {
            super.h();
            String a = PatternAnalyzer.a(this.D);
            this.I = a;
            this.K = this.H.matcher(a);
            this.M = 0;
            this.O = true;
        }
    }

    public PatternAnalyzer(b1 b1Var, Pattern pattern, boolean z, CharArraySet charArraySet) {
        if (pattern != null) {
            if (a(H, pattern)) {
                pattern = H;
            } else if (a(I, pattern)) {
                pattern = I;
            }
            if (charArraySet != null && charArraySet.x.z == 0) {
                charArraySet = null;
            }
            this.C = pattern;
            this.D = z;
            this.F = charArraySet;
            this.G = b1Var;
            return;
        }
        throw new IllegalArgumentException("pattern must not be null");
    }

    @Override // org.apache.lucene.analysis.Analyzer
    public Analyzer.TokenStreamComponents a(String str, Reader reader) {
        if (reader == null) {
            reader = new FastStringReader(null);
        }
        Pattern pattern = this.C;
        if (pattern == H) {
            return new Analyzer.TokenStreamComponents(new FastStringTokenizer(reader, true, this.D, this.F));
        }
        if (pattern == I) {
            return new Analyzer.TokenStreamComponents(new FastStringTokenizer(reader, false, this.D, this.F));
        }
        PatternTokenizer patternTokenizer = new PatternTokenizer(reader, this.C, this.D);
        return new Analyzer.TokenStreamComponents(patternTokenizer, this.F != null ? new StopFilter(this.G, patternTokenizer, this.F) : patternTokenizer);
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (this == K && obj == M) {
            return false;
        }
        if ((obj == K && this == M) || !(obj instanceof PatternAnalyzer)) {
            return false;
        }
        PatternAnalyzer patternAnalyzer = (PatternAnalyzer) obj;
        if (this.D == patternAnalyzer.D && a(this.C, patternAnalyzer.C)) {
            CharArraySet charArraySet = this.F;
            CharArraySet charArraySet2 = patternAnalyzer.F;
            if (charArraySet == charArraySet2 || (charArraySet != null && charArraySet.equals(charArraySet2))) {
                return true;
            }
        }
        return false;
    }

    public int hashCode() {
        if (this == K) {
            return -1218418418;
        }
        if (this == M) {
            return 1303507063;
        }
        int flags = (((this.C.flags() + ((this.C.pattern().hashCode() + 31) * 31)) * 31) + (this.D ? 1231 : 1237)) * 31;
        CharArraySet charArraySet = this.F;
        return flags + (charArraySet != null ? charArraySet.hashCode() : 0);
    }

    public static boolean a(Pattern pattern, Pattern pattern2) {
        return pattern == pattern2 || (pattern.flags() == pattern2.flags() && pattern.pattern().equals(pattern2.pattern()));
    }

    public static /* synthetic */ String a(Reader reader) {
        if (reader instanceof FastStringReader) {
            return ((FastStringReader) reader).x;
        }
        try {
            char[] cArr = new char[256];
            char[] cArr2 = new char[256];
            int i2 = 0;
            while (true) {
                int read = reader.read(cArr);
                if (read < 0) {
                    return new String(cArr2, 0, i2);
                }
                int i3 = i2 + read;
                if (i3 > cArr2.length) {
                    char[] cArr3 = new char[Math.max(cArr2.length << 1, i3)];
                    System.arraycopy(cArr2, 0, cArr3, 0, i2);
                    System.arraycopy(cArr, 0, cArr3, i2, read);
                    cArr = cArr2;
                    cArr2 = cArr3;
                } else {
                    System.arraycopy(cArr, 0, cArr2, i2, read);
                }
                i2 = i3;
            }
        } finally {
            reader.close();
        }
    }
}
