package org.apache.lucene.analysis.ngram;

import org.apache.lucene.analysis.Tokenizer;
import org.apache.lucene.analysis.tokenattributes.CharTermAttribute;
import org.apache.lucene.analysis.tokenattributes.OffsetAttribute;
import org.apache.lucene.analysis.tokenattributes.PositionIncrementAttribute;
import org.apache.lucene.analysis.tokenattributes.PositionLengthAttribute;
import org.apache.lucene.analysis.util.CharacterUtils;

public class NGramTokenizer extends Tokenizer {
    public CharacterUtils H;
    public CharacterUtils.CharacterBuffer I;
    public int[] J;
    public int K;
    public int M;
    public int O;
    public int P;
    public int Q;
    public int U;
    public boolean V;
    public int W;
    public int Y;
    public boolean Z;
    public final CharTermAttribute a0;
    public final PositionIncrementAttribute b0;
    public final PositionLengthAttribute c0;
    public final OffsetAttribute d0;

    @Override // org.apache.lucene.analysis.TokenStream
    public final void f() {
        super.f();
        int i2 = this.O;
        for (int i3 = this.K; i3 < this.M; i3++) {
            i2 += Character.charCount(this.J[i3]);
        }
        int a = a(i2);
        this.d0.a(a, a);
    }

    @Override // org.apache.lucene.analysis.TokenStream
    public final boolean g() {
        b();
        while (true) {
            int i2 = this.K;
            int i3 = this.M;
            if (i2 >= (i3 - this.U) - 1 && !this.V) {
                int[] iArr = this.J;
                System.arraycopy(iArr, i2, iArr, 0, i3 - i2);
                int i4 = this.M;
                int i5 = this.K;
                int i6 = i4 - i5;
                this.M = i6;
                this.W -= i5;
                this.Y -= i5;
                this.K = 0;
                this.V = !this.H.a(this.I, this.D, this.J.length - i6);
                int i7 = this.M;
                CharacterUtils characterUtils = this.H;
                CharacterUtils.CharacterBuffer characterBuffer = this.I;
                char[] cArr = characterBuffer.a;
                int i8 = characterBuffer.f1922b;
                int[] iArr2 = this.J;
                if (characterUtils == null) {
                    throw null;
                } else if (i8 >= 0) {
                    int i9 = 0;
                    int i10 = 0;
                    while (i9 < i8) {
                        int a = characterUtils.a(cArr, 0 + i9, 0 + i8);
                        int charCount = Character.charCount(a);
                        iArr2[i10 + i7] = a;
                        i9 += charCount;
                        i10++;
                    }
                    this.M = i7 + i10;
                } else {
                    throw new IllegalArgumentException("srcLen must be >= 0");
                }
            }
            int i11 = this.P;
            if (i11 > this.U || this.K + i11 > this.M) {
                if (this.K + 1 + this.Q > this.M) {
                    return false;
                }
                i();
                this.P = this.Q;
            }
            int i12 = (this.K + this.P) - 1;
            if (i12 > this.W) {
                for (int i13 = i12; i13 > this.W; i13--) {
                    int i14 = this.J[i13];
                }
                this.W = i12;
            }
            int i15 = this.Y;
            int i16 = this.K;
            boolean z = i15 >= i16 && i15 < i16 + this.P;
            boolean z2 = this.Z && this.Y != this.K - 1;
            if (z || z2) {
                i();
                this.P = this.Q;
            } else {
                CharacterUtils characterUtils2 = this.H;
                int[] iArr3 = this.J;
                int i17 = this.K;
                int i18 = this.P;
                char[] f2 = this.a0.f();
                if (characterUtils2 == null) {
                    throw null;
                } else if (i18 >= 0) {
                    int i19 = 0;
                    for (int i20 = 0; i20 < i18; i20++) {
                        i19 += Character.toChars(iArr3[i17 + i20], f2, 0 + i19);
                    }
                    this.a0.setLength(i19);
                    this.b0.b(1);
                    this.c0.a(1);
                    this.d0.a(a(this.O), a(this.O + i19));
                    this.P++;
                    return true;
                } else {
                    throw new IllegalArgumentException("srcLen must be >= 0");
                }
            }
        }
    }

    @Override // org.apache.lucene.analysis.Tokenizer, org.apache.lucene.analysis.TokenStream
    public final void h() {
        super.h();
        int length = this.J.length;
        this.M = length;
        this.K = length;
        int i2 = length - 1;
        this.W = i2;
        this.Y = i2;
        this.O = 0;
        this.P = this.Q;
        this.V = false;
        CharacterUtils.CharacterBuffer characterBuffer = this.I;
        characterBuffer.f1922b = 0;
        characterBuffer.c = 0;
    }

    public final void i() {
        int i2 = this.O;
        int[] iArr = this.J;
        int i3 = this.K;
        this.K = i3 + 1;
        this.O = Character.charCount(iArr[i3]) + i2;
    }
}
