package org.apache.lucene.analysis.pattern;

import java.io.Reader;
import java.util.regex.Matcher;
import org.apache.lucene.analysis.Tokenizer;
import org.apache.lucene.analysis.tokenattributes.CharTermAttribute;
import org.apache.lucene.analysis.tokenattributes.OffsetAttribute;

public final class PatternTokenizer extends Tokenizer {
    public final CharTermAttribute H;
    public final OffsetAttribute I;
    public final StringBuilder J;
    public int K;
    public final int M;
    public final Matcher O;
    public final char[] P;

    @Override // org.apache.lucene.analysis.TokenStream
    public void f() {
        super.f();
        int a = a(this.J.length());
        this.I.a(a, a);
    }

    @Override // org.apache.lucene.analysis.TokenStream
    public boolean g() {
        if (this.K >= this.J.length()) {
            return false;
        }
        b();
        if (this.M >= 0) {
            while (this.O.find()) {
                this.K = this.O.start(this.M);
                int end = this.O.end(this.M);
                if (this.K != end) {
                    this.H.g().append((CharSequence) this.J, this.K, end);
                    this.I.a(a(this.K), a(end));
                    return true;
                }
            }
            this.K = Integer.MAX_VALUE;
            return false;
        }
        while (this.O.find()) {
            if (this.O.start() - this.K > 0) {
                this.H.g().append((CharSequence) this.J, this.K, this.O.start());
                this.I.a(a(this.K), a(this.O.start()));
                this.K = this.O.end();
                return true;
            }
            this.K = this.O.end();
        }
        if (this.J.length() - this.K == 0) {
            this.K = Integer.MAX_VALUE;
            return false;
        }
        CharTermAttribute g2 = this.H.g();
        StringBuilder sb = this.J;
        g2.append((CharSequence) sb, this.K, sb.length());
        this.I.a(a(this.K), a(this.J.length()));
        this.K = Integer.MAX_VALUE;
        return true;
    }

    @Override // org.apache.lucene.analysis.Tokenizer, org.apache.lucene.analysis.TokenStream
    public void h() {
        super.h();
        StringBuilder sb = this.J;
        Reader reader = this.D;
        sb.setLength(0);
        while (true) {
            int read = reader.read(this.P);
            if (read > 0) {
                sb.append(this.P, 0, read);
            } else {
                this.O.reset(this.J);
                this.K = 0;
                return;
            }
        }
    }
}
