package org.apache.lucene.analysis.pt;

import org.apache.lucene.analysis.TokenFilter;
import org.apache.lucene.analysis.tokenattributes.CharTermAttribute;
import org.apache.lucene.analysis.tokenattributes.KeywordAttribute;
import org.apache.lucene.analysis.util.StemmerUtil;
import org.apache.poi.hssf.record.UnknownRecord;

public final class PortugueseLightStemFilter extends TokenFilter {
    public final PortugueseLightStemmer F;
    public final CharTermAttribute G;
    public final KeywordAttribute H;

    @Override // org.apache.lucene.analysis.TokenStream
    public boolean g() {
        int i2;
        char c;
        char c2;
        if (!this.D.g()) {
            return false;
        }
        if (this.H.c()) {
            return true;
        }
        PortugueseLightStemmer portugueseLightStemmer = this.F;
        char[] f2 = this.G.f();
        int length = this.G.length();
        if (portugueseLightStemmer != null) {
            if (length >= 4) {
                if (length <= 4 || !StemmerUtil.a(f2, length, "es") || !((c2 = f2[length - 3]) == 'l' || c2 == 'z' || c2 == 'r' || c2 == 's')) {
                    if (length > 3 && StemmerUtil.a(f2, length, "ns")) {
                        f2[length - 2] = 'm';
                    } else if (length > 4 && (StemmerUtil.a(f2, length, "eis") || StemmerUtil.a(f2, length, "éis"))) {
                        f2[length - 3] = 'e';
                        f2[length - 2] = 'l';
                    } else if (length > 4 && StemmerUtil.a(f2, length, "ais")) {
                        f2[length - 2] = 'l';
                    } else if (length > 4 && StemmerUtil.a(f2, length, "óis")) {
                        f2[length - 3] = 'o';
                        f2[length - 2] = 'l';
                    } else if (length > 4 && StemmerUtil.a(f2, length, "is")) {
                        f2[length - 1] = 'l';
                    } else if (length > 3 && (StemmerUtil.a(f2, length, "ões") || StemmerUtil.a(f2, length, "ães"))) {
                        length--;
                        f2[length - 2] = 227;
                        f2[length - 1] = 'o';
                    } else if (length > 6 && StemmerUtil.a(f2, length, "mente")) {
                        length -= 5;
                    } else if (length > 3) {
                        int i3 = length - 1;
                        if (f2[i3] == 's') {
                            length = i3;
                        }
                    }
                    length--;
                } else {
                    length -= 2;
                }
                if (length > 3) {
                    int i4 = length - 1;
                    if (f2[i4] == 'a') {
                        if (length > 7 && (StemmerUtil.a(f2, length, "inha") || StemmerUtil.a(f2, length, "iaca") || StemmerUtil.a(f2, length, "eira"))) {
                            f2[i4] = 'o';
                        } else if (length > 6) {
                            if (StemmerUtil.a(f2, length, "osa") || StemmerUtil.a(f2, length, "ica") || StemmerUtil.a(f2, length, "ida") || StemmerUtil.a(f2, length, "ada") || StemmerUtil.a(f2, length, "iva") || StemmerUtil.a(f2, length, "ama")) {
                                f2[i4] = 'o';
                            } else {
                                if (StemmerUtil.a(f2, length, "ona")) {
                                    f2[length - 3] = 227;
                                    f2[length - 2] = 'o';
                                } else if (!StemmerUtil.a(f2, length, "ora")) {
                                    if (StemmerUtil.a(f2, length, "esa")) {
                                        f2[length - 3] = 234;
                                    } else if (StemmerUtil.a(f2, length, "na")) {
                                        f2[i4] = 'o';
                                    }
                                }
                                length = i4;
                            }
                        }
                    }
                }
                if (length > 4 && ((c = f2[length - 1]) == 'a' || c == 'e' || c == 'o')) {
                    length = i2;
                }
                for (int i5 = 0; i5 < length; i5++) {
                    switch (f2[i5]) {
                        case 224:
                        case 225:
                        case 226:
                        case 227:
                        case 228:
                            f2[i5] = 'a';
                            break;
                        case 231:
                            f2[i5] = 'c';
                            break;
                        case 232:
                        case UnknownRecord.BITMAP_00E9 /*{ENCODED_INT: 233}*/:
                        case 234:
                        case 235:
                            f2[i5] = 'e';
                            break;
                        case 236:
                        case 237:
                        case 238:
                        case UnknownRecord.PHONETICPR_00EF /*{ENCODED_INT: 239}*/:
                            f2[i5] = 'i';
                            break;
                        case 242:
                        case 243:
                        case 244:
                        case 245:
                        case 246:
                            f2[i5] = 'o';
                            break;
                        case 249:
                        case 250:
                        case 251:
                        case 252:
                            f2[i5] = 'u';
                            break;
                    }
                }
            }
            this.G.setLength(length);
            return true;
        }
        throw null;
    }
}
