package org.apache.lucene.analysis.standard;

import i.a.b.g.b1;
import java.io.Reader;
import org.apache.lucene.analysis.Tokenizer;
import org.apache.lucene.analysis.standard.std31.StandardTokenizerImpl31;
import org.apache.lucene.analysis.standard.std34.StandardTokenizerImpl34;
import org.apache.lucene.analysis.standard.std40.StandardTokenizerImpl40;
import org.apache.lucene.analysis.tokenattributes.CharTermAttribute;
import org.apache.lucene.analysis.tokenattributes.OffsetAttribute;
import org.apache.lucene.analysis.tokenattributes.PositionIncrementAttribute;
import org.apache.lucene.analysis.tokenattributes.TypeAttribute;

public final class StandardTokenizer extends Tokenizer {
    public static final String[] Q = {"<ALPHANUM>", "<APOSTROPHE>", "<ACRONYM>", "<COMPANY>", "<EMAIL>", "<HOST>", "<NUM>", "<CJ>", "<ACRONYM_DEP>", "<SOUTHEAST_ASIAN>", "<IDEOGRAPHIC>", "<HIRAGANA>", "<KATAKANA>", "<HANGUL>"};
    public StandardTokenizerInterface H;
    public int I;
    public int J = 255;
    public final CharTermAttribute K = ((CharTermAttribute) a(CharTermAttribute.class));
    public final OffsetAttribute M = ((OffsetAttribute) a(OffsetAttribute.class));
    public final PositionIncrementAttribute O = ((PositionIncrementAttribute) a(PositionIncrementAttribute.class));
    public final TypeAttribute P = ((TypeAttribute) a(TypeAttribute.class));

    public StandardTokenizer(b1 b1Var, Reader reader) {
        super(reader);
        a(b1Var);
    }

    public final void a(b1 b1Var) {
        if (b1Var.a(b1.LUCENE_47)) {
            this.H = new StandardTokenizerImpl(this.D);
        } else if (b1Var.a(b1.LUCENE_40)) {
            this.H = new StandardTokenizerImpl40(this.D);
        } else if (b1Var.a(b1.LUCENE_34)) {
            this.H = new StandardTokenizerImpl34(this.D);
        } else if (b1Var.a(b1.LUCENE_31)) {
            this.H = new StandardTokenizerImpl31(this.D);
        } else {
            this.H = new ClassicTokenizerImpl(this.D);
        }
    }

    @Override // org.apache.lucene.analysis.Tokenizer, org.apache.lucene.analysis.TokenStream, java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        super.close();
        this.H.a(this.D);
    }

    @Override // org.apache.lucene.analysis.TokenStream
    public final void f() {
        super.f();
        int a = a(this.H.c() + this.H.b());
        this.M.a(a, a);
        PositionIncrementAttribute positionIncrementAttribute = this.O;
        positionIncrementAttribute.b(positionIncrementAttribute.a() + this.I);
    }

    @Override // org.apache.lucene.analysis.TokenStream
    public final boolean g() {
        b();
        this.I = 0;
        while (true) {
            int a = this.H.a();
            if (a == -1) {
                return false;
            }
            if (this.H.c() <= this.J) {
                this.O.b(this.I + 1);
                this.H.a(this.K);
                int b2 = this.H.b();
                this.M.a(a(b2), a(this.K.length() + b2));
                if (a == 8) {
                    this.P.setType(Q[5]);
                    CharTermAttribute charTermAttribute = this.K;
                    charTermAttribute.setLength(charTermAttribute.length() - 1);
                } else {
                    this.P.setType(Q[a]);
                }
                return true;
            }
            this.I++;
        }
    }

    @Override // org.apache.lucene.analysis.Tokenizer, org.apache.lucene.analysis.TokenStream
    public void h() {
        super.h();
        this.H.a(this.D);
        this.I = 0;
    }
}
