package org.apache.lucene.analysis.tr;

import java.io.IOException;
import java.io.Reader;
import org.apache.lucene.analysis.Analyzer;
import org.apache.lucene.analysis.core.StopFilter;
import org.apache.lucene.analysis.standard.StandardFilter;
import org.apache.lucene.analysis.standard.StandardTokenizer;
import org.apache.lucene.analysis.util.StopwordAnalyzerBase;
import org.apache.poi.ss.usermodel.DataFormatter;

public final class TurkishAnalyzer extends StopwordAnalyzerBase {

    public static class DefaultSetHolder {
        static {
            try {
                StopwordAnalyzerBase.a(false, TurkishAnalyzer.class, "stopwords.txt", DataFormatter.defaultFractionWholePartFormat);
            } catch (IOException unused) {
                throw new RuntimeException("Unable to load default stopword set");
            }
        }
    }

    @Override // org.apache.lucene.analysis.Analyzer
    public Analyzer.TokenStreamComponents a(String str, Reader reader) {
        new StopFilter(null, new TurkishLowerCaseFilter(new StandardFilter(null, new StandardTokenizer(null, reader))), null);
        throw null;
    }
}
