package org.apache.lucene.analysis.util;

import i.a.b.g.b1;
import java.util.AbstractMap;
import java.util.AbstractSet;
import java.util.Arrays;
import java.util.Iterator;
import java.util.Map;
import java.util.Set;
import org.apache.xerces.impl.dv.util.Base64;

public class CharArrayMap<V> extends AbstractMap<Object, V> {
    public static final CharArrayMap<?> H = new EmptyCharArrayMap();
    public final b1 A;
    public char[][] C;
    public V[] D;
    public CharArrayMap<V>.EntrySet F = null;
    public CharArraySet G = null;
    public final CharacterUtils x;
    public boolean y;
    public int z;

    public static final class EmptyCharArrayMap<V> extends UnmodifiableCharArrayMap<V> {
        public EmptyCharArrayMap() {
            super(new CharArrayMap(b1.LUCENE_CURRENT, 0, false));
        }

        @Override // org.apache.lucene.analysis.util.CharArrayMap
        public boolean a(char[] cArr, int i2, int i3) {
            if (cArr != null) {
                return false;
            }
            throw null;
        }

        @Override // org.apache.lucene.analysis.util.CharArrayMap
        public V b(char[] cArr, int i2, int i3) {
            if (cArr != null) {
                return null;
            }
            throw null;
        }

        @Override // org.apache.lucene.analysis.util.CharArrayMap
        public boolean containsKey(Object obj) {
            if (obj != null) {
                return false;
            }
            throw null;
        }

        @Override // java.util.AbstractMap, java.util.Map, org.apache.lucene.analysis.util.CharArrayMap
        public V get(Object obj) {
            if (obj != null) {
                return null;
            }
            throw null;
        }

        @Override // org.apache.lucene.analysis.util.CharArrayMap
        public boolean a(CharSequence charSequence) {
            if (charSequence != null) {
                return false;
            }
            throw null;
        }

        @Override // org.apache.lucene.analysis.util.CharArrayMap
        public V b(CharSequence charSequence) {
            if (charSequence != null) {
                return null;
            }
            throw null;
        }
    }

    public class EntryIterator implements Iterator<Map.Entry<Object, V>> {
        public int x = -1;
        public int y;
        public final boolean z;

        public /* synthetic */ EntryIterator(boolean z2, AnonymousClass1 r3) {
            this.z = z2;
            a();
        }

        public final void a() {
            int i2 = this.x;
            this.y = i2;
            this.x = i2 + 1;
            while (true) {
                int i3 = this.x;
                char[][] cArr = CharArrayMap.this.C;
                if (i3 < cArr.length && cArr[i3] == null) {
                    this.x = i3 + 1;
                } else {
                    return;
                }
            }
        }

        public boolean hasNext() {
            return this.x < CharArrayMap.this.C.length;
        }

        @Override // java.util.Iterator
        public Object next() {
            a();
            return new MapEntry(this.y, this.z, null);
        }

        public void remove() {
            throw new UnsupportedOperationException();
        }
    }

    public final class EntrySet extends AbstractSet<Map.Entry<Object, V>> {
        public final boolean x;

        public /* synthetic */ EntrySet(boolean z, AnonymousClass1 r3) {
            this.x = z;
        }

        public void clear() {
            if (this.x) {
                CharArrayMap.this.clear();
                return;
            }
            throw new UnsupportedOperationException();
        }

        public boolean contains(Object obj) {
            if (!(obj instanceof Map.Entry)) {
                return false;
            }
            Map.Entry entry = (Map.Entry) obj;
            Object key = entry.getKey();
            Object value = entry.getValue();
            Object obj2 = CharArrayMap.this.get(key);
            if (obj2 != null) {
                return obj2.equals(value);
            }
            if (value == null) {
                return true;
            }
            return false;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator iterator() {
            return new EntryIterator(this.x, null);
        }

        public boolean remove(Object obj) {
            throw new UnsupportedOperationException();
        }

        public int size() {
            return CharArrayMap.this.z;
        }
    }

    public final class MapEntry implements Map.Entry<Object, V> {
        public final int x;
        public final boolean y;

        public /* synthetic */ MapEntry(int i2, boolean z2, AnonymousClass1 r4) {
            this.x = i2;
            this.y = z2;
        }

        @Override // java.util.Map.Entry
        public Object getKey() {
            return CharArrayMap.this.C[this.x].clone();
        }

        @Override // java.util.Map.Entry
        public V getValue() {
            return CharArrayMap.this.D[this.x];
        }

        @Override // java.util.Map.Entry
        public V setValue(V v) {
            if (this.y) {
                V[] vArr = CharArrayMap.this.D;
                int i2 = this.x;
                V v2 = vArr[i2];
                vArr[i2] = v;
                return v2;
            }
            throw new UnsupportedOperationException();
        }

        public String toString() {
            StringBuilder sb = new StringBuilder();
            sb.append(CharArrayMap.this.C[this.x]);
            sb.append(Base64.PAD);
            CharArrayMap charArrayMap = CharArrayMap.this;
            String[] strArr = charArrayMap.D;
            int i2 = this.x;
            sb.append((Object) (strArr[i2] == charArrayMap ? "(this Map)" : strArr[i2]));
            return sb.toString();
        }
    }

    public static class UnmodifiableCharArrayMap<V> extends CharArrayMap<V> {
        public UnmodifiableCharArrayMap(CharArrayMap<V> charArrayMap) {
            super(charArrayMap, null);
        }

        @Override // org.apache.lucene.analysis.util.CharArrayMap
        public V a(char[] cArr, V v) {
            throw new UnsupportedOperationException();
        }

        @Override // org.apache.lucene.analysis.util.CharArrayMap
        public void clear() {
            throw new UnsupportedOperationException();
        }

        @Override // java.util.AbstractMap, java.util.Map, org.apache.lucene.analysis.util.CharArrayMap, org.apache.lucene.analysis.util.CharArrayMap
        public /* bridge */ /* synthetic */ Set entrySet() {
            return CharArrayMap.super.entrySet();
        }

        /* Return type fixed from 'java.util.Set' to match base method */
        @Override // java.util.AbstractMap, java.util.Map, org.apache.lucene.analysis.util.CharArrayMap
        public Set<Object> keySet() {
            if (this.G == null) {
                this.G = new CharArraySet(this, this) {
                    /* class org.apache.lucene.analysis.util.CharArrayMap.AnonymousClass1 */

                    @Override // org.apache.lucene.analysis.util.CharArraySet
                    public boolean a(String str) {
                        throw new UnsupportedOperationException();
                    }

                    @Override // java.util.AbstractCollection, java.util.Collection, org.apache.lucene.analysis.util.CharArraySet, java.util.Set
                    public boolean add(Object obj) {
                        throw new UnsupportedOperationException();
                    }
                };
            }
            return this.G;
        }

        @Override // java.util.AbstractMap, java.util.Map, org.apache.lucene.analysis.util.CharArrayMap
        public V put(Object obj, V v) {
            throw new UnsupportedOperationException();
        }

        @Override // java.util.AbstractMap, java.util.Map, org.apache.lucene.analysis.util.CharArrayMap
        public V remove(Object obj) {
            throw new UnsupportedOperationException();
        }

        @Override // org.apache.lucene.analysis.util.CharArrayMap
        public V a(String str, V v) {
            throw new UnsupportedOperationException();
        }

        @Override // org.apache.lucene.analysis.util.CharArrayMap
        public CharArrayMap<V>.EntrySet a() {
            return new EntrySet(false, null);
        }
    }

    public CharArrayMap(b1 b1Var, int i2, boolean z2) {
        this.y = z2;
        int i3 = 8;
        while ((i2 >> 2) + i2 > i3) {
            i3 <<= 1;
        }
        this.C = new char[i3][];
        this.D = (V[]) new Object[i3];
        this.x = CharacterUtils.a(b1Var);
        this.A = b1Var;
    }

    public boolean a(char[] cArr, int i2, int i3) {
        return this.C[c(cArr, i2, i3)] != null;
    }

    public V b(char[] cArr, int i2, int i3) {
        return this.D[c(cArr, i2, i3)];
    }

    public final int c(char[] cArr, int i2, int i3) {
        int length;
        char[] cArr2;
        if (cArr != null) {
            int i4 = 0;
            int i5 = i3 + i2;
            if (this.y) {
                int i6 = i2;
                while (i6 < i5) {
                    int a = this.x.a(cArr, i6, i5);
                    i4 = (i4 * 31) + Character.toLowerCase(a);
                    i6 += Character.charCount(a);
                }
            } else {
                for (int i7 = i2; i7 < i5; i7++) {
                    i4 = (i4 * 31) + cArr[i7];
                }
            }
            char[][] cArr3 = this.C;
            int length2 = (cArr3.length - 1) & i4;
            char[] cArr4 = cArr3[length2];
            if (cArr4 == null || a(cArr, i2, i3, cArr4)) {
                return length2;
            }
            int i8 = ((i4 >> 8) + i4) | 1;
            do {
                i4 += i8;
                char[][] cArr5 = this.C;
                length = (cArr5.length - 1) & i4;
                cArr2 = cArr5[length];
                if (cArr2 == null) {
                    break;
                }
            } while (!a(cArr, i2, i3, cArr2));
            return length;
        }
        throw null;
    }

    public void clear() {
        this.z = 0;
        Arrays.fill(this.C, (Object) null);
        Arrays.fill(this.D, (Object) null);
    }

    public boolean containsKey(Object obj) {
        if (!(obj instanceof char[])) {
            return a(obj.toString());
        }
        char[] cArr = (char[]) obj;
        return a(cArr, 0, cArr.length);
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V get(Object obj) {
        if (!(obj instanceof char[])) {
            return b(obj.toString());
        }
        char[] cArr = (char[]) obj;
        return b(cArr, 0, cArr.length);
    }

    /* Return type fixed from 'java.util.Set' to match base method */
    @Override // java.util.AbstractMap, java.util.Map
    public Set<Object> keySet() {
        if (this.G == null) {
            this.G = new CharArraySet(this, this) {
                /* class org.apache.lucene.analysis.util.CharArrayMap.AnonymousClass1 */

                @Override // org.apache.lucene.analysis.util.CharArraySet
                public boolean a(String str) {
                    throw new UnsupportedOperationException();
                }

                @Override // java.util.AbstractCollection, java.util.Collection, org.apache.lucene.analysis.util.CharArraySet, java.util.Set
                public boolean add(Object obj) {
                    throw new UnsupportedOperationException();
                }
            };
        }
        return this.G;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V put(Object obj, V v) {
        if (obj instanceof char[]) {
            return a((char[]) obj, v);
        }
        return a(obj.toString(), v);
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V remove(Object obj) {
        throw new UnsupportedOperationException();
    }

    public int size() {
        return this.z;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder("{");
        Iterator it = entrySet().iterator();
        while (true) {
            EntryIterator entryIterator = (EntryIterator) it;
            if (entryIterator.hasNext()) {
                Map.Entry entry = (Map.Entry) entryIterator.next();
                if (sb.length() > 1) {
                    sb.append(", ");
                }
                sb.append(entry);
            } else {
                sb.append('}');
                return sb.toString();
            }
        }
    }

    public boolean a(CharSequence charSequence) {
        return this.C[c(charSequence)] != null;
    }

    public V b(CharSequence charSequence) {
        return this.D[c(charSequence)];
    }

    @Override // java.util.AbstractMap, java.util.Map
    public final CharArrayMap<V>.EntrySet entrySet() {
        if (this.F == null) {
            this.F = a();
        }
        return this.F;
    }

    public V a(String str, V v) {
        return a(str.toCharArray(), v);
    }

    public final Set<Object> b() {
        return super.keySet();
    }

    public V a(char[] cArr, V v) {
        if (this.y) {
            this.x.b(cArr, 0, cArr.length);
        }
        int c = c(cArr, 0, cArr.length);
        char[][] cArr2 = this.C;
        if (cArr2[c] != null) {
            V[] vArr = this.D;
            V v2 = vArr[c];
            vArr[c] = v;
            return v2;
        }
        cArr2[c] = cArr;
        V[] vArr2 = this.D;
        vArr2[c] = v;
        int i2 = this.z + 1;
        this.z = i2;
        if (i2 + (i2 >> 2) <= cArr2.length) {
            return null;
        }
        int length = cArr2.length * 2;
        this.C = new char[length][];
        this.D = (V[]) new Object[length];
        for (int i3 = 0; i3 < cArr2.length; i3++) {
            char[] cArr3 = cArr2[i3];
            if (cArr3 != null) {
                int c2 = c(cArr3, 0, cArr3.length);
                this.C[c2] = cArr3;
                this.D[c2] = vArr2[i3];
            }
        }
        return null;
    }

    public /* synthetic */ CharArrayMap(CharArrayMap charArrayMap, AnonymousClass1 r2) {
        this.C = charArrayMap.C;
        this.D = charArrayMap.D;
        this.y = charArrayMap.y;
        this.z = charArrayMap.z;
        this.x = charArrayMap.x;
        this.A = charArrayMap.A;
    }

    public final int c(CharSequence charSequence) {
        int i2;
        int length;
        char[] cArr;
        if (charSequence != null) {
            int length2 = charSequence.length();
            int i3 = 0;
            if (this.y) {
                i2 = 0;
                while (i3 < length2) {
                    int a = this.x.a(charSequence, i3);
                    i2 = (i2 * 31) + Character.toLowerCase(a);
                    i3 += Character.charCount(a);
                }
            } else {
                i2 = 0;
                while (i3 < length2) {
                    i2 = (i2 * 31) + charSequence.charAt(i3);
                    i3++;
                }
            }
            char[][] cArr2 = this.C;
            int length3 = (cArr2.length - 1) & i2;
            char[] cArr3 = cArr2[length3];
            if (cArr3 == null || a(charSequence, cArr3)) {
                return length3;
            }
            int i4 = ((i2 >> 8) + i2) | 1;
            do {
                i2 += i4;
                char[][] cArr4 = this.C;
                length = (cArr4.length - 1) & i2;
                cArr = cArr4[length];
                if (cArr == null) {
                    break;
                }
            } while (!a(charSequence, cArr));
            return length;
        }
        throw null;
    }

    public final boolean a(char[] cArr, int i2, int i3, char[] cArr2) {
        if (i3 != cArr2.length) {
            return false;
        }
        int i4 = i2 + i3;
        if (this.y) {
            int i5 = 0;
            while (i5 < i3) {
                int a = this.x.a(cArr, i2 + i5, i4);
                if (Character.toLowerCase(a) != this.x.a(cArr2, i5, cArr2.length)) {
                    return false;
                }
                i5 += Character.charCount(a);
            }
            return true;
        }
        for (int i6 = 0; i6 < i3; i6++) {
            if (cArr[i2 + i6] != cArr2[i6]) {
                return false;
            }
        }
        return true;
    }

    public final boolean a(CharSequence charSequence, char[] cArr) {
        int length = charSequence.length();
        if (length != cArr.length) {
            return false;
        }
        if (this.y) {
            int i2 = 0;
            while (i2 < length) {
                int a = this.x.a(charSequence, i2);
                if (Character.toLowerCase(a) != this.x.a(cArr, i2, cArr.length)) {
                    return false;
                }
                i2 += Character.charCount(a);
            }
            return true;
        }
        for (int i3 = 0; i3 < length; i3++) {
            if (charSequence.charAt(i3) != cArr[i3]) {
                return false;
            }
        }
        return true;
    }

    public CharArrayMap<V>.EntrySet a() {
        return new EntrySet(true, null);
    }
}
