package org.apache.lucene.analysis.wikipedia;

import i.a.b.g.h;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.Set;
import org.apache.lucene.analysis.Tokenizer;
import org.apache.lucene.analysis.tokenattributes.CharTermAttribute;
import org.apache.lucene.analysis.tokenattributes.FlagsAttribute;
import org.apache.lucene.analysis.tokenattributes.OffsetAttribute;
import org.apache.lucene.analysis.tokenattributes.PositionIncrementAttribute;
import org.apache.lucene.analysis.tokenattributes.TypeAttribute;
import org.apache.poi.ss.formula.functions.Complex;

public final class WikipediaTokenizer extends Tokenizer {
    public static final String[] W = {"<ALPHANUM>", "<APOSTROPHE>", "<ACRONYM>", "<COMPANY>", "<EMAIL>", "<HOST>", "<NUM>", "<CJ>", "il", "el", "ci", "c", "b", Complex.DEFAULT_SUFFIX, "bi", "h", "sh", "elu"};
    public final WikipediaTokenizerImpl H;
    public int I;
    public Set<String> J;
    public Iterator<h.b> K;
    public final OffsetAttribute M;
    public final TypeAttribute O;
    public final PositionIncrementAttribute P;
    public final CharTermAttribute Q;
    public final FlagsAttribute U;
    public boolean V;

    @Override // org.apache.lucene.analysis.Tokenizer, org.apache.lucene.analysis.TokenStream, java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        super.close();
        this.H.a(this.D);
    }

    @Override // org.apache.lucene.analysis.TokenStream
    public void f() {
        super.f();
        WikipediaTokenizerImpl wikipediaTokenizerImpl = this.H;
        int a = a(wikipediaTokenizerImpl.b() + wikipediaTokenizerImpl.f1929i);
        this.M.a(a, a);
    }

    @Override // org.apache.lucene.analysis.TokenStream
    public final boolean g() {
        int a;
        int a2;
        Iterator<h.b> it = this.K;
        if (it == null || !it.hasNext()) {
            b();
            int a3 = this.H.a();
            if (a3 == -1) {
                return false;
            }
            String str = WikipediaTokenizerImpl.w[a3];
            if (this.I == 0 || !this.J.contains(str)) {
                i();
            } else if (this.I == 1 && this.J.contains(str)) {
                StringBuilder sb = new StringBuilder(32);
                WikipediaTokenizerImpl wikipediaTokenizerImpl = this.H;
                int i2 = wikipediaTokenizerImpl.f1925e;
                int i3 = wikipediaTokenizerImpl.f1927g;
                int i4 = i2 - i3;
                sb.append(wikipediaTokenizerImpl.f1924d, i3, i4);
                int i5 = this.H.f1929i;
                int i6 = i4 + i5;
                int i7 = 0;
                while (true) {
                    a2 = this.H.a();
                    if (a2 == -1 || a2 != a3) {
                        break;
                    }
                    WikipediaTokenizerImpl wikipediaTokenizerImpl2 = this.H;
                    if (wikipediaTokenizerImpl2.o <= i7) {
                        break;
                    }
                    int i8 = wikipediaTokenizerImpl2.f1929i;
                    for (int i9 = 0; i9 < i8 - i6; i9++) {
                        sb.append(' ');
                    }
                    WikipediaTokenizerImpl wikipediaTokenizerImpl3 = this.H;
                    int i10 = wikipediaTokenizerImpl3.f1925e;
                    int i11 = wikipediaTokenizerImpl3.f1927g;
                    int i12 = i10 - i11;
                    sb.append(wikipediaTokenizerImpl3.f1924d, i11, i12);
                    i7++;
                    i6 = i8 + i12;
                }
                String trim = sb.toString().trim();
                this.Q.g().append(trim);
                this.M.a(a(i5), a(trim.length() + i5));
                this.U.c(1);
                if (a2 != -1) {
                    WikipediaTokenizerImpl wikipediaTokenizerImpl4 = this.H;
                    wikipediaTokenizerImpl4.a(wikipediaTokenizerImpl4.b());
                } else {
                    this.K = null;
                }
            } else if (this.I == 2) {
                StringBuilder sb2 = new StringBuilder(32);
                WikipediaTokenizerImpl wikipediaTokenizerImpl5 = this.H;
                int i13 = wikipediaTokenizerImpl5.f1925e;
                int i14 = wikipediaTokenizerImpl5.f1927g;
                int i15 = i13 - i14;
                sb2.append(wikipediaTokenizerImpl5.f1924d, i14, i15);
                int i16 = this.H.f1929i;
                int i17 = i15 + i16;
                ArrayList arrayList = new ArrayList();
                i();
                this.P.b(0);
                this.O.setType(str);
                arrayList.add(a());
                int i18 = 0;
                while (true) {
                    a = this.H.a();
                    if (a == -1 || a != a3) {
                        break;
                    }
                    WikipediaTokenizerImpl wikipediaTokenizerImpl6 = this.H;
                    if (wikipediaTokenizerImpl6.o <= i18) {
                        break;
                    }
                    int i19 = wikipediaTokenizerImpl6.f1929i;
                    for (int i20 = 0; i20 < i19 - i17; i20++) {
                        sb2.append(' ');
                    }
                    WikipediaTokenizerImpl wikipediaTokenizerImpl7 = this.H;
                    int i21 = wikipediaTokenizerImpl7.f1925e;
                    int i22 = wikipediaTokenizerImpl7.f1927g;
                    int i23 = i21 - i22;
                    sb2.append(wikipediaTokenizerImpl7.f1924d, i22, i23);
                    int i24 = this.H.m;
                    i();
                    this.P.b(i24);
                    this.O.setType(str);
                    arrayList.add(a());
                    i18++;
                    i17 = i19 + i23;
                }
                String trim2 = sb2.toString().trim();
                this.Q.g().append(trim2);
                this.M.a(a(i16), a(trim2.length() + i16));
                this.U.c(1);
                if (a != -1) {
                    WikipediaTokenizerImpl wikipediaTokenizerImpl8 = this.H;
                    wikipediaTokenizerImpl8.a(wikipediaTokenizerImpl8.b());
                }
                this.K = arrayList.iterator();
            }
            int i25 = this.H.m;
            if (this.V && i25 == 0) {
                i25 = 1;
            }
            this.P.b(i25);
            this.O.setType(str);
            this.V = false;
            return true;
        }
        a(this.K.next());
        return true;
    }

    @Override // org.apache.lucene.analysis.Tokenizer, org.apache.lucene.analysis.TokenStream
    public void h() {
        super.h();
        this.H.a(this.D);
        this.K = null;
        WikipediaTokenizerImpl wikipediaTokenizerImpl = this.H;
        wikipediaTokenizerImpl.k = 0;
        wikipediaTokenizerImpl.l = 0;
        wikipediaTokenizerImpl.m = 1;
        wikipediaTokenizerImpl.n = 0;
        wikipediaTokenizerImpl.o = 0;
        this.V = true;
    }

    public final void i() {
        WikipediaTokenizerImpl wikipediaTokenizerImpl = this.H;
        CharTermAttribute charTermAttribute = this.Q;
        char[] cArr = wikipediaTokenizerImpl.f1924d;
        int i2 = wikipediaTokenizerImpl.f1927g;
        charTermAttribute.a(cArr, i2, wikipediaTokenizerImpl.f1925e - i2);
        int i3 = this.H.f1929i;
        this.M.a(a(i3), a(this.Q.length() + i3));
    }
}
