package org.apache.lucene.codecs;

import i.a.b.c.a1;
import i.a.b.c.k0;
import i.a.b.c.l0;
import i.a.b.c.w2;
import i.a.b.f.i0;
import i.a.b.f.v;
import i.a.b.g.c0;
import i.a.b.g.f1.a;
import i.a.b.g.f1.b;
import i.a.b.g.f1.c;
import i.a.b.g.f1.e;
import i.a.b.g.f1.h;
import i.a.b.g.f1.m;
import i.a.b.g.g1.x0;
import i.a.b.g.l;
import i.a.b.g.x;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Comparator;
import java.util.Iterator;
import java.util.List;

public class BlockTreeTermsWriter extends FieldsConsumer {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public static final int DEFAULT_MAX_BLOCK_SIZE = 48;
    public static final int DEFAULT_MIN_BLOCK_SIZE = 25;
    public static final int OUTPUT_FLAGS_MASK = 3;
    public static final int OUTPUT_FLAGS_NUM_BITS = 2;
    public static final int OUTPUT_FLAG_HAS_TERMS = 2;
    public static final int OUTPUT_FLAG_IS_FLOOR = 1;
    public static final String TERMS_CODEC_NAME = "BLOCK_TREE_TERMS_DICT";
    public static final String TERMS_EXTENSION = "tim";
    public static final String TERMS_INDEX_CODEC_NAME = "BLOCK_TREE_TERMS_INDEX";
    public static final String TERMS_INDEX_EXTENSION = "tip";
    public static final int TERMS_INDEX_VERSION_APPEND_ONLY = 1;
    public static final int TERMS_INDEX_VERSION_CURRENT = 2;
    public static final int TERMS_INDEX_VERSION_META_ARRAY = 2;
    public static final int TERMS_INDEX_VERSION_START = 0;
    public static final int TERMS_VERSION_APPEND_ONLY = 1;
    public static final int TERMS_VERSION_CURRENT = 2;
    public static final int TERMS_VERSION_META_ARRAY = 2;
    public static final int TERMS_VERSION_START = 0;
    public k0 currentField;
    public final l0 fieldInfos;
    public final List<FieldMetaData> fields = new ArrayList();
    public final v indexOut;
    public final int maxItemsInBlock;
    public final int minItemsInBlock;
    public final v out;
    public final PostingsWriterBase postingsWriter;
    public final i0 scratchBytes = new i0();

    public static class FieldMetaData {
        public static final /* synthetic */ boolean $assertionsDisabled = false;
        public final int docCount;
        public final k0 fieldInfo;
        public final long indexStartFP;
        public final int longsSize;
        public final long numTerms;
        public final l rootCode;
        public final long sumDocFreq;
        public final long sumTotalTermFreq;

        public FieldMetaData(k0 k0Var, l lVar, long j, long j2, long j3, long j4, int i2, int i3) {
            this.fieldInfo = k0Var;
            this.rootCode = lVar;
            this.indexStartFP = j2;
            this.numTerms = j;
            this.sumTotalTermFreq = j3;
            this.sumDocFreq = j4;
            this.docCount = i2;
            this.longsSize = i3;
        }
    }

    public static final class PendingBlock extends PendingEntry {
        public static final /* synthetic */ boolean $assertionsDisabled = false;
        public final int floorLeadByte;
        public final long fp;
        public final boolean hasTerms;
        public e<l> index;
        public final boolean isFloor;
        public final l prefix;
        public final c0 scratchIntsRef = new c0();
        public List<e<l>> subIndices;

        public PendingBlock(l lVar, long j, boolean z, boolean z2, int i2, List<e<l>> list) {
            super(false);
            this.prefix = lVar;
            this.fp = j;
            this.hasTerms = z;
            this.isFloor = z2;
            this.floorLeadByte = i2;
            this.subIndices = list;
        }

        private void append(a<l> aVar, e<l> eVar) {
            c cVar = new c(eVar);
            while (true) {
                c.a e2 = cVar.e();
                if (e2 != null) {
                    l lVar = e2.a;
                    c0 c0Var = this.scratchIntsRef;
                    m.a(lVar, c0Var);
                    aVar.a(c0Var, e2.f1429b);
                } else {
                    return;
                }
            }
        }

        public void compileIndex(List<PendingBlock> list, i0 i0Var) {
            i0Var.b(BlockTreeTermsWriter.encodeOutput(this.fp, this.hasTerms, this.isFloor));
            if (this.isFloor) {
                i0Var.b(list.size());
                for (PendingBlock pendingBlock : list) {
                    i0Var.a((byte) pendingBlock.floorLeadByte);
                    i0Var.b(((pendingBlock.fp - this.fp) << 1) | (pendingBlock.hasTerms ? 1 : 0));
                }
            }
            a<l> aVar = new a<>(e.c.BYTE1, 0, 0, true, false, Integer.MAX_VALUE, b.f1426b, null, false, 0.0f, true, 15);
            int a = (int) i0Var.a();
            byte[] bArr = new byte[a];
            i0Var.a(bArr, 0);
            l lVar = this.prefix;
            c0 c0Var = this.scratchIntsRef;
            m.a(lVar, c0Var);
            aVar.a(c0Var, new l(bArr, 0, a));
            i0Var.c();
            List<e<l>> list2 = this.subIndices;
            if (list2 != null) {
                for (e<l> eVar : list2) {
                    append(aVar, eVar);
                }
            }
            if (list != null) {
                for (PendingBlock pendingBlock2 : list) {
                    List<e<l>> list3 = pendingBlock2.subIndices;
                    if (list3 != null) {
                        for (e<l> eVar2 : list3) {
                            append(aVar, eVar2);
                        }
                    }
                    pendingBlock2.subIndices = null;
                }
            }
            this.index = aVar.a();
            this.subIndices = null;
        }

        public String toString() {
            StringBuilder b2 = b.b.a.a.a.b("BLOCK: ");
            b2.append(this.prefix.a());
            return b2.toString();
        }
    }

    public static class PendingEntry {
        public final boolean isTerm;

        public PendingEntry(boolean z) {
            this.isTerm = z;
        }
    }

    public static final class PendingTerm extends PendingEntry {
        public final BlockTermState state;
        public final l term;

        public PendingTerm(l lVar, BlockTermState blockTermState) {
            super(true);
            this.term = lVar;
            this.state = blockTermState;
        }

        public String toString() {
            return this.term.a();
        }
    }

    public class TermsWriter extends TermsConsumer {
        public static final /* synthetic */ boolean $assertionsDisabled = false;
        public final a<Object> blockBuilder;
        public final i0 bytesWriter = new i0();
        public int docCount;
        public final k0 fieldInfo;
        public long indexStartFP;
        public int lastBlockIndex = -1;
        public final int longsSize;
        public final i0 metaWriter = new i0();
        public final h noOutputs;
        public long numTerms;
        public final List<PendingEntry> pending = new ArrayList();
        public final c0 scratchIntsRef = new c0();
        public final i0 statsWriter = new i0();
        public int[] subBytes = new int[10];
        public int[] subSubCounts = new int[10];
        public int[] subTermCountSums = new int[10];
        public int[] subTermCounts = new int[10];
        public final i0 suffixWriter = new i0();
        public long sumDocFreq;
        public long sumTotalTermFreq;

        public class FindBlocks extends a.c<Object> {
            public FindBlocks() {
            }

            @Override // i.a.b.g.f1.a.c
            public void freeze(a.e<Object>[] eVarArr, int i2, c0 c0Var) {
                for (int i3 = c0Var.z; i3 >= i2; i3--) {
                    a.e<Object> eVar = eVarArr[i3];
                    long j = 0;
                    if (eVar.f1423e) {
                        j = 1;
                    }
                    for (int i4 = 0; i4 < eVar.f1421b; i4++) {
                        a.e eVar2 = (a.e) eVar.c[i4].f1418b;
                        j += eVar2.f1424f;
                        eVar2.a();
                        eVar.c[i4].f1418b = null;
                    }
                    eVar.f1421b = 0;
                    if (j >= ((long) BlockTreeTermsWriter.this.minItemsInBlock) || i3 == 0) {
                        TermsWriter.this.writeBlocks(c0Var, i3, (int) j);
                        eVar.f1424f = 1;
                    } else {
                        eVar.f1424f = j;
                    }
                    eVarArr[i3] = new a.e<>(TermsWriter.this.blockBuilder, i3);
                }
            }
        }

        public TermsWriter(k0 k0Var) {
            this.fieldInfo = k0Var;
            h hVar = h.f1449b;
            this.noOutputs = hVar;
            this.blockBuilder = new a<>(e.c.BYTE1, 0, 0, true, true, Integer.MAX_VALUE, hVar, new FindBlocks(), false, 0.0f, true, 15);
            this.longsSize = BlockTreeTermsWriter.this.postingsWriter.setField(k0Var);
        }

        private String toString(l lVar) {
            try {
                return lVar.a() + " " + lVar;
            } catch (Throwable unused) {
                return lVar.toString();
            }
        }

        /* JADX WARNING: Removed duplicated region for block: B:15:0x006a  */
        /* JADX WARNING: Removed duplicated region for block: B:28:0x00ec  */
        /* JADX WARNING: Removed duplicated region for block: B:47:0x020a  */
        /* JADX WARNING: Removed duplicated region for block: B:52:0x0218  */
        private PendingBlock writeBlock(c0 c0Var, int i2, int i3, int i4, int i5, int i6, boolean z, int i7, boolean z2) {
            int i8;
            l lVar;
            ArrayList arrayList;
            int i9;
            int i10;
            Iterator<PendingEntry> it;
            BlockTermState blockTermState;
            l lVar2;
            int size = this.pending.size() - i4;
            int i11 = size + i5;
            List<PendingEntry> subList = this.pending.subList(size, i11);
            long a = BlockTreeTermsWriter.this.out.a();
            l lVar3 = new l(i3);
            for (int i12 = 0; i12 < i3; i12++) {
                lVar3.x[i12] = (byte) c0Var.x[i12];
            }
            lVar3.z = i3;
            BlockTreeTermsWriter.this.out.b((i5 << 1) | (z2 ? 1 : 0));
            if (this.lastBlockIndex >= size) {
                if (z) {
                    Iterator<PendingEntry> it2 = subList.iterator();
                    while (true) {
                        if (it2.hasNext()) {
                            if (!it2.next().isTerm) {
                                break;
                            }
                        } else {
                            break;
                        }
                    }
                } else {
                    i8 = 0;
                }
                i8 = 0;
                long[] jArr = new long[this.longsSize];
                if (i8 == 0) {
                    Iterator<PendingEntry> it3 = subList.iterator();
                    boolean z3 = true;
                    while (it3.hasNext()) {
                        PendingTerm pendingTerm = (PendingTerm) it3.next();
                        BlockTermState blockTermState2 = pendingTerm.state;
                        int i13 = pendingTerm.term.z - i2;
                        this.suffixWriter.b(i13);
                        this.suffixWriter.a(pendingTerm.term.x, i2, i13);
                        this.statsWriter.b(blockTermState2.docFreq);
                        if (this.fieldInfo.f954h != k0.b.DOCS_ONLY) {
                            lVar2 = lVar3;
                            this.statsWriter.b(blockTermState2.totalTermFreq - ((long) blockTermState2.docFreq));
                        } else {
                            lVar2 = lVar3;
                        }
                        BlockTreeTermsWriter.this.postingsWriter.encodeTerm(jArr, this.bytesWriter, this.fieldInfo, blockTermState2, z3);
                        for (int i14 = 0; i14 < this.longsSize; i14++) {
                            this.metaWriter.b(jArr[i14]);
                        }
                        this.bytesWriter.a(this.metaWriter);
                        this.bytesWriter.c();
                        lVar3 = lVar2;
                        z3 = false;
                    }
                    lVar = lVar3;
                    i9 = i5;
                    arrayList = null;
                } else {
                    lVar = lVar3;
                    ArrayList arrayList2 = new ArrayList();
                    Iterator<PendingEntry> it4 = subList.iterator();
                    i9 = 0;
                    boolean z4 = true;
                    while (it4.hasNext()) {
                        PendingEntry next = it4.next();
                        if (next.isTerm) {
                            PendingTerm pendingTerm2 = (PendingTerm) next;
                            BlockTermState blockTermState3 = pendingTerm2.state;
                            int i15 = pendingTerm2.term.z - i2;
                            it = it4;
                            this.suffixWriter.b(i15 << 1);
                            this.suffixWriter.a(pendingTerm2.term.x, i2, i15);
                            this.statsWriter.b(blockTermState3.docFreq);
                            if (this.fieldInfo.f954h != k0.b.DOCS_ONLY) {
                                blockTermState = blockTermState3;
                                this.statsWriter.b(blockTermState3.totalTermFreq - ((long) blockTermState3.docFreq));
                            } else {
                                blockTermState = blockTermState3;
                            }
                            BlockTreeTermsWriter.this.postingsWriter.encodeTerm(jArr, this.bytesWriter, this.fieldInfo, blockTermState, z4);
                            for (int i16 = 0; i16 < this.longsSize; i16++) {
                                this.metaWriter.b(jArr[i16]);
                            }
                            this.bytesWriter.a(this.metaWriter);
                            this.bytesWriter.c();
                            i9++;
                            z4 = false;
                        } else {
                            it = it4;
                            PendingBlock pendingBlock = (PendingBlock) next;
                            int i17 = pendingBlock.prefix.z - i2;
                            this.suffixWriter.b((i17 << 1) | 1);
                            this.suffixWriter.a(pendingBlock.prefix.x, i2, i17);
                            this.suffixWriter.b(a - pendingBlock.fp);
                            arrayList2.add(pendingBlock.index);
                        }
                        it4 = it;
                    }
                    arrayList = arrayList2;
                }
                boolean z5 = true;
                BlockTreeTermsWriter.this.out.b(i8 | ((int) (this.suffixWriter.a() << 1)));
                this.suffixWriter.a(BlockTreeTermsWriter.this.out);
                this.suffixWriter.c();
                BlockTreeTermsWriter.this.out.b((int) this.statsWriter.a());
                this.statsWriter.a(BlockTreeTermsWriter.this.out);
                this.statsWriter.c();
                BlockTreeTermsWriter.this.out.b((int) this.metaWriter.a());
                this.metaWriter.a(BlockTreeTermsWriter.this.out);
                this.metaWriter.c();
                subList.clear();
                i10 = this.lastBlockIndex;
                if (i10 >= size) {
                    if (i10 < i11) {
                        this.lastBlockIndex = size;
                    } else {
                        this.lastBlockIndex = i10 - i5;
                    }
                }
                if (i9 == 0) {
                    z5 = false;
                }
                return new PendingBlock(lVar, a, z5, z, i7, arrayList);
            }
            i8 = 1;
            long[] jArr2 = new long[this.longsSize];
            if (i8 == 0) {
            }
            boolean z52 = true;
            BlockTreeTermsWriter.this.out.b(i8 | ((int) (this.suffixWriter.a() << 1)));
            this.suffixWriter.a(BlockTreeTermsWriter.this.out);
            this.suffixWriter.c();
            BlockTreeTermsWriter.this.out.b((int) this.statsWriter.a());
            this.statsWriter.a(BlockTreeTermsWriter.this.out);
            this.statsWriter.c();
            BlockTreeTermsWriter.this.out.b((int) this.metaWriter.a());
            this.metaWriter.a(BlockTreeTermsWriter.this.out);
            this.metaWriter.c();
            subList.clear();
            i10 = this.lastBlockIndex;
            if (i10 >= size) {
            }
            if (i9 == 0) {
            }
            return new PendingBlock(lVar, a, z52, z, i7, arrayList);
        }

        @Override // org.apache.lucene.codecs.TermsConsumer
        public void finish(long j, long j2, int i2) {
            if (this.numTerms > 0) {
                this.blockBuilder.a();
                this.sumTotalTermFreq = j;
                this.sumDocFreq = j2;
                this.docCount = i2;
                this.indexStartFP = BlockTreeTermsWriter.this.indexOut.a();
                e<l> eVar = ((PendingBlock) this.pending.get(0)).index;
                v vVar = BlockTreeTermsWriter.this.indexOut;
                if (eVar.f1432e == -1) {
                    throw new IllegalStateException("call finish first");
                } else if (eVar.p != null) {
                    throw new IllegalStateException("cannot save an FST pre-packed FST; it must first be packed");
                } else if (!eVar.l || (eVar.m instanceof x0.f)) {
                    CodecUtil.writeHeader(vVar, "FST", 4);
                    byte b2 = 1;
                    if (eVar.l) {
                        vVar.a((byte) 1);
                    } else {
                        vVar.a((byte) 0);
                    }
                    if (eVar.c != null) {
                        vVar.a((byte) 1);
                        i0 i0Var = new i0();
                        eVar.f1433f.a((Object) eVar.c, (i.a.b.f.m) i0Var);
                        int a = (int) i0Var.a();
                        byte[] bArr = new byte[a];
                        i0Var.a(bArr, 0);
                        if (!eVar.l) {
                            int i3 = a / 2;
                            for (int i4 = 0; i4 < i3; i4++) {
                                byte b3 = bArr[i4];
                                int i5 = (a - i4) - 1;
                                bArr[i4] = bArr[i5];
                                bArr[i5] = b3;
                            }
                        }
                        vVar.b(a);
                        vVar.a(bArr, 0, a);
                    } else {
                        vVar.a((byte) 0);
                    }
                    e.c cVar = eVar.a;
                    if (cVar == e.c.BYTE1) {
                        b2 = 0;
                    } else if (cVar != e.c.BYTE2) {
                        b2 = 2;
                    }
                    vVar.a(b2);
                    if (eVar.l) {
                        ((x0.f) eVar.m).a(vVar);
                    }
                    vVar.b(eVar.f1432e);
                    vVar.b(eVar.f1436i);
                    vVar.b(eVar.j);
                    vVar.b(eVar.k);
                    vVar.b(eVar.f1431d.getPosition());
                    for (byte[] bArr2 : eVar.f1431d.y) {
                        vVar.a(bArr2, 0, bArr2.length);
                    }
                    BlockTreeTermsWriter.this.fields.add(new FieldMetaData(this.fieldInfo, ((PendingBlock) this.pending.get(0)).index.c, this.numTerms, this.indexStartFP, j, j2, i2, this.longsSize));
                } else {
                    throw new IllegalStateException("cannot save a FST which has been loaded from disk ");
                }
            }
        }

        @Override // org.apache.lucene.codecs.TermsConsumer
        public void finishTerm(l lVar, TermStats termStats) {
            a<Object> aVar = this.blockBuilder;
            c0 c0Var = this.scratchIntsRef;
            m.a(lVar, c0Var);
            if (this.noOutputs != null) {
                aVar.a(c0Var, h.a);
                BlockTermState newTermState = BlockTreeTermsWriter.this.postingsWriter.newTermState();
                newTermState.docFreq = termStats.docFreq;
                newTermState.totalTermFreq = termStats.totalTermFreq;
                BlockTreeTermsWriter.this.postingsWriter.finishTerm(newTermState);
                this.pending.add(new PendingTerm(l.d(lVar), newTermState));
                this.numTerms++;
                return;
            }
            throw null;
        }

        @Override // org.apache.lucene.codecs.TermsConsumer
        public Comparator<l> getComparator() {
            return l.C;
        }

        @Override // org.apache.lucene.codecs.TermsConsumer
        public PostingsConsumer startTerm(l lVar) {
            BlockTreeTermsWriter.this.postingsWriter.startTerm();
            return BlockTreeTermsWriter.this.postingsWriter;
        }

        /* JADX WARN: Multi-variable type inference failed */
        /* JADX WARN: Type inference failed for: r17v0 */
        /* JADX WARNING: Removed duplicated region for block: B:20:0x0072  */
        /* JADX WARNING: Removed duplicated region for block: B:24:0x009d  */
        /* JADX WARNING: Removed duplicated region for block: B:25:0x00a0  */
        public void writeBlocks(c0 c0Var, int i2, int i3) {
            ArrayList arrayList;
            int i4;
            int i5;
            int i6;
            int[] iArr;
            byte b2;
            if (i2 == 0 || i3 <= BlockTreeTermsWriter.this.maxItemsInBlock) {
                PendingBlock writeBlock = writeBlock(c0Var, i2, i2, i3, i3, 0, false, -1, true);
                writeBlock.compileIndex(null, BlockTreeTermsWriter.this.scratchBytes);
                this.pending.add(writeBlock);
            } else {
                int i7 = c0Var.x[c0Var.y + i2];
                List<PendingEntry> list = this.pending;
                int i8 = -1;
                int i9 = 0;
                int i10 = -1;
                int i11 = 0;
                int i12 = 0;
                for (PendingEntry pendingEntry : list.subList(list.size() - i3, this.pending.size())) {
                    if (pendingEntry.isTerm) {
                        l lVar = ((PendingTerm) pendingEntry).term;
                        if (lVar.z == i2) {
                            i6 = -1;
                            if (!(i6 == i10 || i11 + i12 == 0)) {
                                iArr = this.subBytes;
                                if (iArr.length == i9) {
                                    this.subBytes = i.a.b.g.c.a(iArr);
                                    this.subTermCounts = i.a.b.g.c.a(this.subTermCounts);
                                    this.subSubCounts = i.a.b.g.c.a(this.subSubCounts);
                                }
                                this.subBytes[i9] = i10;
                                this.subTermCounts[i9] = i11;
                                this.subSubCounts[i9] = i12;
                                i9++;
                                i10 = i6;
                                i11 = 0;
                                i12 = 0;
                            }
                            if (!pendingEntry.isTerm) {
                                i11++;
                            } else {
                                i12++;
                            }
                        } else {
                            b2 = lVar.x[lVar.y + i2];
                        }
                    } else {
                        l lVar2 = ((PendingBlock) pendingEntry).prefix;
                        b2 = lVar2.x[lVar2.y + i2];
                    }
                    i6 = b2 & 255;
                    iArr = this.subBytes;
                    if (iArr.length == i9) {
                    }
                    this.subBytes[i9] = i10;
                    this.subTermCounts[i9] = i11;
                    this.subSubCounts[i9] = i12;
                    i9++;
                    i10 = i6;
                    i11 = 0;
                    i12 = 0;
                    if (!pendingEntry.isTerm) {
                    }
                }
                int[] iArr2 = this.subBytes;
                if (iArr2.length == i9) {
                    this.subBytes = i.a.b.g.c.a(iArr2);
                    this.subTermCounts = i.a.b.g.c.a(this.subTermCounts);
                    this.subSubCounts = i.a.b.g.c.a(this.subSubCounts);
                }
                this.subBytes[i9] = i10;
                this.subTermCounts[i9] = i11;
                this.subSubCounts[i9] = i12;
                int i13 = i9 + 1;
                int[] iArr3 = this.subTermCountSums;
                if (iArr3.length < i13) {
                    this.subTermCountSums = i.a.b.g.c.a(iArr3, i13);
                }
                int i14 = 0;
                for (int i15 = i13 - 1; i15 >= 0; i15--) {
                    i14 += this.subTermCounts[i15];
                    this.subTermCountSums[i15] = i14;
                }
                int i16 = this.subBytes[0];
                ArrayList arrayList2 = new ArrayList();
                int i17 = i16;
                int i18 = i3;
                int i19 = 0;
                int i20 = 0;
                PendingBlock pendingBlock = 0;
                while (true) {
                    if (i20 >= i13) {
                        arrayList = arrayList2;
                        break;
                    }
                    int i21 = this.subTermCounts[i20] + this.subSubCounts[i20] + i19;
                    if (i21 >= BlockTreeTermsWriter.this.minItemsInBlock) {
                        if (i17 == i8) {
                            i5 = i2;
                        } else {
                            c0Var.x[c0Var.y + i2] = i17;
                            i5 = i2 + 1;
                        }
                        int i22 = i20 + 1;
                        i4 = i20;
                        arrayList = arrayList2;
                        PendingBlock writeBlock2 = writeBlock(c0Var, i2, i5, i18, i21, this.subTermCountSums[i22], true, i17, i18 == i21);
                        if (pendingBlock == null) {
                            pendingBlock = writeBlock2;
                        } else {
                            arrayList.add(writeBlock2);
                        }
                        int i23 = i18 - i21;
                        int i24 = this.subBytes[i22];
                        if (i23 == 0) {
                            break;
                        } else if (i23 <= BlockTreeTermsWriter.this.maxItemsInBlock) {
                            c0Var.x[c0Var.y + i2] = i24;
                            arrayList.add(writeBlock(c0Var, i2, i2 + 1, i23, i23, 0, true, i24, true));
                            break;
                        } else {
                            i18 = i23;
                            i17 = i24;
                            i19 = 0;
                        }
                    } else {
                        i4 = i20;
                        arrayList = arrayList2;
                        i19 = i21;
                    }
                    i20 = i4 + 1;
                    arrayList2 = arrayList;
                    i8 = -1;
                    pendingBlock = pendingBlock;
                }
                c0Var.x[c0Var.y + i2] = i7;
                pendingBlock.compileIndex(arrayList, BlockTreeTermsWriter.this.scratchBytes);
                this.pending.add(pendingBlock);
            }
            this.lastBlockIndex = this.pending.size() - 1;
        }
    }

    public BlockTreeTermsWriter(w2 w2Var, PostingsWriterBase postingsWriterBase, int i2, int i3) {
        Throwable th;
        if (i2 <= 1) {
            throw new IllegalArgumentException(b.b.a.a.a.c("minItemsInBlock must be >= 2; got ", i2));
        } else if (i3 <= 0) {
            throw new IllegalArgumentException(b.b.a.a.a.c("maxItemsInBlock must be >= 1; got ", i3));
        } else if (i2 > i3) {
            throw new IllegalArgumentException(b.b.a.a.a.a("maxItemsInBlock must be >= minItemsInBlock; got maxItemsInBlock=", i3, " minItemsInBlock=", i2));
        } else if ((i2 - 1) * 2 <= i3) {
            v a = w2Var.f1083b.a(a1.a(w2Var.c.a, w2Var.f1088h, TERMS_EXTENSION), w2Var.j);
            this.out = a;
            v vVar = null;
            try {
                this.fieldInfos = w2Var.f1084d;
                this.minItemsInBlock = i2;
                this.maxItemsInBlock = i3;
                writeHeader(a);
                v a2 = w2Var.f1083b.a(a1.a(w2Var.c.a, w2Var.f1088h, TERMS_INDEX_EXTENSION), w2Var.j);
                try {
                    writeIndexHeader(a2);
                    this.currentField = null;
                    this.postingsWriter = postingsWriterBase;
                    postingsWriterBase.init(this.out);
                    this.indexOut = a2;
                } catch (Throwable th2) {
                    th = th2;
                    vVar = a2;
                    x.b(this.out, vVar);
                    throw th;
                }
            } catch (Throwable th3) {
                th = th3;
                x.b(this.out, vVar);
                throw th;
            }
        } else {
            throw new IllegalArgumentException(b.b.a.a.a.a("maxItemsInBlock must be at least 2*(minItemsInBlock-1); got maxItemsInBlock=", i3, " minItemsInBlock=", i2));
        }
    }

    public static long encodeOutput(long j, boolean z, boolean z2) {
        int i2 = 2;
        long j2 = j << 2;
        if (!z) {
            i2 = 0;
        }
        return j2 | ((long) i2) | (z2 ? 1 : 0);
    }

    @Override // org.apache.lucene.codecs.FieldsConsumer
    public TermsConsumer addField(k0 k0Var) {
        this.currentField = k0Var;
        return new TermsWriter(k0Var);
    }

    @Override // java.io.Closeable, org.apache.lucene.codecs.FieldsConsumer, java.lang.AutoCloseable
    public void close() {
        try {
            long a = this.out.a();
            long a2 = this.indexOut.a();
            this.out.b(this.fields.size());
            for (FieldMetaData fieldMetaData : this.fields) {
                this.out.b(fieldMetaData.fieldInfo.f949b);
                this.out.b(fieldMetaData.numTerms);
                this.out.b(fieldMetaData.rootCode.z);
                this.out.a(fieldMetaData.rootCode.x, fieldMetaData.rootCode.y, fieldMetaData.rootCode.z);
                if (fieldMetaData.fieldInfo.f954h != k0.b.DOCS_ONLY) {
                    this.out.b(fieldMetaData.sumTotalTermFreq);
                }
                this.out.b(fieldMetaData.sumDocFreq);
                this.out.b(fieldMetaData.docCount);
                this.out.b(fieldMetaData.longsSize);
                this.indexOut.b(fieldMetaData.indexStartFP);
            }
            writeTrailer(this.out, a);
            writeIndexTrailer(this.indexOut, a2);
            x.a((Exception) null, this.out, this.indexOut, this.postingsWriter);
        } catch (IOException e2) {
            x.a(e2, this.out, this.indexOut, this.postingsWriter);
        } catch (Throwable th) {
            x.a((Exception) null, this.out, this.indexOut, this.postingsWriter);
            throw th;
        }
    }

    public void writeHeader(v vVar) {
        CodecUtil.writeHeader(vVar, TERMS_CODEC_NAME, 2);
    }

    public void writeIndexHeader(v vVar) {
        CodecUtil.writeHeader(vVar, TERMS_INDEX_CODEC_NAME, 2);
    }

    public void writeIndexTrailer(v vVar, long j) {
        vVar.a((int) (j >> 32));
        vVar.a((int) j);
    }

    public void writeTrailer(v vVar, long j) {
        vVar.a((int) (j >> 32));
        vVar.a((int) j);
    }
}
