package org.apache.lucene.codecs;

import i.a.b.g.i0;
import java.util.Set;

public abstract class Codec implements i0.a {
    public static Codec defaultCodec = forName("Lucene46");
    public static final i0<Codec> loader = new i0<>(Codec.class);
    public final String name;

    public Codec(String str) {
        i0.b(str);
        this.name = str;
    }

    public static Set<String> availableCodecs() {
        i0<Codec> i0Var = loader;
        if (i0Var != null) {
            return i0Var.a();
        }
        throw new IllegalStateException("You called Codec.availableCodecs() before all Codecs could be initialized. This likely happens if you call it from a Codec's ctor.");
    }

    public static Codec forName(String str) {
        i0<Codec> i0Var = loader;
        if (i0Var != null) {
            return i0Var.a(str);
        }
        throw new IllegalStateException("You called Codec.forName() before all Codecs could be initialized. This likely happens if you call it from a Codec's ctor.");
    }

    public static Codec getDefault() {
        return defaultCodec;
    }

    public static void reloadCodecs(ClassLoader classLoader) {
        loader.a(classLoader);
    }

    public static void setDefault(Codec codec) {
        defaultCodec = codec;
    }

    public abstract DocValuesFormat docValuesFormat();

    public abstract FieldInfosFormat fieldInfosFormat();

    @Override // i.a.b.g.i0.a
    public final String getName() {
        return this.name;
    }

    public abstract LiveDocsFormat liveDocsFormat();

    public abstract NormsFormat normsFormat();

    public abstract PostingsFormat postingsFormat();

    public abstract SegmentInfoFormat segmentInfoFormat();

    public abstract StoredFieldsFormat storedFieldsFormat();

    public abstract TermVectorsFormat termVectorsFormat();

    public String toString() {
        return this.name;
    }
}
