package org.apache.lucene.codecs;

import i.a.b.c.a;
import i.a.b.c.b3;
import i.a.b.c.e;
import i.a.b.c.e2;
import i.a.b.c.k0;
import i.a.b.c.o3;
import i.a.b.c.p0;
import i.a.b.c.t1;
import i.a.b.c.w1;
import i.a.b.c.y2;
import i.a.b.g.c;
import i.a.b.g.d0;
import i.a.b.g.j;
import i.a.b.g.l;
import java.io.Closeable;
import java.util.Iterator;
import java.util.List;
import java.util.NoSuchElementException;

public abstract class DocValuesConsumer implements Closeable {

    public static class BitsFilteredTermsEnum extends p0 {
        public static final /* synthetic */ boolean $assertionsDisabled = false;
        public final d0 liveTerms;

        public BitsFilteredTermsEnum(o3 o3Var, d0 d0Var) {
            super(o3Var, false);
            this.liveTerms = d0Var;
        }

        @Override // i.a.b.c.p0
        public p0.a accept(l lVar) {
            d0 d0Var = this.liveTerms;
            long ord = ord();
            if (((1 << ((int) (ord & 63))) & d0Var.a[(int) (ord >> 6)]) != 0) {
                return p0.a.YES;
            }
            return p0.a.NO;
        }
    }

    public abstract void addBinaryField(k0 k0Var, Iterable<l> iterable);

    public abstract void addNumericField(k0 k0Var, Iterable<Number> iterable);

    public abstract void addSortedField(k0 k0Var, Iterable<l> iterable, Iterable<Number> iterable2);

    public abstract void addSortedSetField(k0 k0Var, Iterable<l> iterable, Iterable<Number> iterable2, Iterable<Number> iterable3);

    public void mergeBinaryField(k0 k0Var, final t1 t1Var, final List<e> list, final List<j> list2) {
        addBinaryField(k0Var, new Iterable<l>() {
            /* class org.apache.lucene.codecs.DocValuesConsumer.AnonymousClass2 */

            @Override // java.lang.Iterable
            public Iterator<l> iterator() {
                return new Iterator<l>() {
                    /* class org.apache.lucene.codecs.DocValuesConsumer.AnonymousClass2.AnonymousClass1 */
                    public static final /* synthetic */ boolean $assertionsDisabled = false;
                    public j currentDocsWithField;
                    public j currentLiveDocs;
                    public a currentReader;
                    public e currentValues;
                    public int docIDUpto;
                    public boolean nextIsSet;
                    public l nextPointer;
                    public l nextValue = new l(l.A);
                    public int readerUpto = -1;

                    private boolean setNext() {
                        while (this.readerUpto != list.size()) {
                            a aVar = this.currentReader;
                            if (aVar == null || this.docIDUpto == aVar.e()) {
                                int i2 = this.readerUpto + 1;
                                this.readerUpto = i2;
                                if (i2 < list.size()) {
                                    this.currentReader = t1Var.c.get(this.readerUpto);
                                    this.currentValues = (e) list.get(this.readerUpto);
                                    this.currentDocsWithField = (j) list2.get(this.readerUpto);
                                    this.currentLiveDocs = this.currentReader.k();
                                }
                                this.docIDUpto = 0;
                            } else {
                                j jVar = this.currentLiveDocs;
                                if (jVar == null || jVar.get(this.docIDUpto)) {
                                    this.nextIsSet = true;
                                    if (this.currentDocsWithField.get(this.docIDUpto)) {
                                        this.currentValues.get(this.docIDUpto, this.nextValue);
                                        this.nextPointer = this.nextValue;
                                    } else {
                                        this.nextPointer = null;
                                    }
                                    this.docIDUpto++;
                                    return true;
                                }
                                this.docIDUpto++;
                            }
                        }
                        return false;
                    }

                    public boolean hasNext() {
                        return this.nextIsSet || setNext();
                    }

                    public void remove() {
                        throw new UnsupportedOperationException();
                    }

                    @Override // java.util.Iterator
                    public l next() {
                        if (hasNext()) {
                            this.nextIsSet = false;
                            return this.nextPointer;
                        }
                        throw new NoSuchElementException();
                    }
                };
            }
        });
    }

    public void mergeNumericField(k0 k0Var, final t1 t1Var, final List<e2> list, final List<j> list2) {
        addNumericField(k0Var, new Iterable<Number>() {
            /* class org.apache.lucene.codecs.DocValuesConsumer.AnonymousClass1 */

            @Override // java.lang.Iterable
            public Iterator<Number> iterator() {
                return new Iterator<Number>() {
                    /* class org.apache.lucene.codecs.DocValuesConsumer.AnonymousClass1.AnonymousClass1 */
                    public static final /* synthetic */ boolean $assertionsDisabled = false;
                    public j currentDocsWithField;
                    public j currentLiveDocs;
                    public a currentReader;
                    public e2 currentValues;
                    public int docIDUpto;
                    public boolean nextIsSet;
                    public Long nextValue;
                    public int readerUpto = -1;

                    private boolean setNext() {
                        while (this.readerUpto != list.size()) {
                            a aVar = this.currentReader;
                            if (aVar == null || this.docIDUpto == aVar.e()) {
                                int i2 = this.readerUpto + 1;
                                this.readerUpto = i2;
                                if (i2 < list.size()) {
                                    this.currentReader = t1Var.c.get(this.readerUpto);
                                    this.currentValues = (e2) list.get(this.readerUpto);
                                    this.currentLiveDocs = this.currentReader.k();
                                    this.currentDocsWithField = (j) list2.get(this.readerUpto);
                                }
                                this.docIDUpto = 0;
                            } else {
                                j jVar = this.currentLiveDocs;
                                if (jVar == null || jVar.get(this.docIDUpto)) {
                                    this.nextIsSet = true;
                                    if (this.currentDocsWithField.get(this.docIDUpto)) {
                                        this.nextValue = Long.valueOf(this.currentValues.get(this.docIDUpto));
                                    } else {
                                        this.nextValue = null;
                                    }
                                    this.docIDUpto++;
                                    return true;
                                }
                                this.docIDUpto++;
                            }
                        }
                        return false;
                    }

                    public boolean hasNext() {
                        return this.nextIsSet || setNext();
                    }

                    public void remove() {
                        throw new UnsupportedOperationException();
                    }

                    @Override // java.util.Iterator
                    public Number next() {
                        if (hasNext()) {
                            this.nextIsSet = false;
                            return this.nextValue;
                        }
                        throw new NoSuchElementException();
                    }
                };
            }
        });
    }

    public void mergeSortedField(k0 k0Var, t1 t1Var, List<y2> list) {
        int ord;
        final a[] aVarArr = (a[]) t1Var.c.toArray(new a[list.size()]);
        final y2[] y2VarArr = (y2[]) list.toArray(new y2[list.size()]);
        int length = y2VarArr.length;
        o3[] o3VarArr = new o3[length];
        for (int i2 = 0; i2 < length; i2++) {
            a aVar = aVarArr[i2];
            y2 y2Var = y2VarArr[i2];
            j k = aVar.k();
            if (k == null) {
                o3VarArr[i2] = y2Var.termsEnum();
            } else {
                d0 d0Var = new d0((long) y2Var.getValueCount());
                for (int i3 = 0; i3 < aVar.e(); i3++) {
                    if (k.get(i3) && (ord = y2Var.getOrd(i3)) >= 0) {
                        d0Var.a((long) ord);
                    }
                }
                o3VarArr[i2] = new BitsFilteredTermsEnum(y2Var.termsEnum(), d0Var);
            }
        }
        final w1 w1Var = new w1(this, o3VarArr);
        addSortedField(k0Var, new Iterable<l>() {
            /* class org.apache.lucene.codecs.DocValuesConsumer.AnonymousClass3 */

            @Override // java.lang.Iterable
            public Iterator<l> iterator() {
                return new Iterator<l>() {
                    /* class org.apache.lucene.codecs.DocValuesConsumer.AnonymousClass3.AnonymousClass1 */
                    public int currentOrd;
                    public final l scratch = new l(l.A);

                    public boolean hasNext() {
                        return ((long) this.currentOrd) < w1Var.f1081b.e();
                    }

                    public void remove() {
                        throw new UnsupportedOperationException();
                    }

                    @Override // java.util.Iterator
                    public l next() {
                        if (hasNext()) {
                            int i2 = (int) w1Var.c.get((long) this.currentOrd);
                            w1 w1Var = w1Var;
                            long j = (long) this.currentOrd;
                            y2VarArr[i2].lookupOrd((int) (j - w1Var.f1081b.get(j)), this.scratch);
                            this.currentOrd++;
                            return this.scratch;
                        }
                        throw new NoSuchElementException();
                    }
                };
            }
        }, new Iterable<Number>() {
            /* class org.apache.lucene.codecs.DocValuesConsumer.AnonymousClass4 */

            @Override // java.lang.Iterable
            public Iterator<Number> iterator() {
                return new Iterator<Number>() {
                    /* class org.apache.lucene.codecs.DocValuesConsumer.AnonymousClass4.AnonymousClass1 */
                    public static final /* synthetic */ boolean $assertionsDisabled = false;
                    public j currentLiveDocs;
                    public a currentReader;
                    public int docIDUpto;
                    public boolean nextIsSet;
                    public int nextValue;
                    public int readerUpto = -1;

                    private boolean setNext() {
                        while (this.readerUpto != aVarArr.length) {
                            a aVar = this.currentReader;
                            if (aVar == null || this.docIDUpto == aVar.e()) {
                                int i2 = this.readerUpto + 1;
                                this.readerUpto = i2;
                                a[] aVarArr = aVarArr;
                                if (i2 < aVarArr.length) {
                                    a aVar2 = aVarArr[i2];
                                    this.currentReader = aVar2;
                                    this.currentLiveDocs = aVar2.k();
                                }
                                this.docIDUpto = 0;
                            } else {
                                j jVar = this.currentLiveDocs;
                                if (jVar == null || jVar.get(this.docIDUpto)) {
                                    this.nextIsSet = true;
                                    int ord = y2VarArr[this.readerUpto].getOrd(this.docIDUpto);
                                    int i3 = -1;
                                    if (ord != -1) {
                                        long j = (long) ord;
                                        i3 = (int) (w1Var.f1082d[this.readerUpto].get(j) + j);
                                    }
                                    this.nextValue = i3;
                                    this.docIDUpto++;
                                    return true;
                                }
                                this.docIDUpto++;
                            }
                        }
                        return false;
                    }

                    public boolean hasNext() {
                        return this.nextIsSet || setNext();
                    }

                    public void remove() {
                        throw new UnsupportedOperationException();
                    }

                    @Override // java.util.Iterator
                    public Number next() {
                        if (hasNext()) {
                            this.nextIsSet = false;
                            return Integer.valueOf(this.nextValue);
                        }
                        throw new NoSuchElementException();
                    }
                };
            }
        });
    }

    public void mergeSortedSetField(k0 k0Var, t1 t1Var, List<b3> list) {
        final a[] aVarArr = (a[]) t1Var.c.toArray(new a[list.size()]);
        final b3[] b3VarArr = (b3[]) list.toArray(new b3[list.size()]);
        int length = b3VarArr.length;
        o3[] o3VarArr = new o3[length];
        for (int i2 = 0; i2 < length; i2++) {
            a aVar = aVarArr[i2];
            b3 b3Var = b3VarArr[i2];
            j k = aVar.k();
            if (k == null) {
                o3VarArr[i2] = b3Var.termsEnum();
            } else {
                d0 d0Var = new d0(b3Var.getValueCount());
                for (int i3 = 0; i3 < aVar.e(); i3++) {
                    if (k.get(i3)) {
                        b3Var.setDocument(i3);
                        while (true) {
                            long nextOrd = b3Var.nextOrd();
                            if (nextOrd == -1) {
                                break;
                            }
                            d0Var.a(nextOrd);
                        }
                    }
                }
                o3VarArr[i2] = new BitsFilteredTermsEnum(b3Var.termsEnum(), d0Var);
            }
        }
        final w1 w1Var = new w1(this, o3VarArr);
        addSortedSetField(k0Var, new Iterable<l>() {
            /* class org.apache.lucene.codecs.DocValuesConsumer.AnonymousClass5 */

            @Override // java.lang.Iterable
            public Iterator<l> iterator() {
                return new Iterator<l>() {
                    /* class org.apache.lucene.codecs.DocValuesConsumer.AnonymousClass5.AnonymousClass1 */
                    public long currentOrd;
                    public final l scratch = new l(l.A);

                    public boolean hasNext() {
                        return this.currentOrd < w1Var.f1081b.e();
                    }

                    public void remove() {
                        throw new UnsupportedOperationException();
                    }

                    @Override // java.util.Iterator
                    public l next() {
                        if (hasNext()) {
                            int i2 = (int) w1Var.c.get(this.currentOrd);
                            w1 w1Var = w1Var;
                            long j = this.currentOrd;
                            b3VarArr[i2].lookupOrd(j - w1Var.f1081b.get(j), this.scratch);
                            this.currentOrd++;
                            return this.scratch;
                        }
                        throw new NoSuchElementException();
                    }
                };
            }
        }, new Iterable<Number>() {
            /* class org.apache.lucene.codecs.DocValuesConsumer.AnonymousClass6 */

            @Override // java.lang.Iterable
            public Iterator<Number> iterator() {
                return new Iterator<Number>() {
                    /* class org.apache.lucene.codecs.DocValuesConsumer.AnonymousClass6.AnonymousClass1 */
                    public static final /* synthetic */ boolean $assertionsDisabled = false;
                    public j currentLiveDocs;
                    public a currentReader;
                    public int docIDUpto;
                    public boolean nextIsSet;
                    public int nextValue;
                    public int readerUpto = -1;

                    private boolean setNext() {
                        while (this.readerUpto != aVarArr.length) {
                            a aVar = this.currentReader;
                            if (aVar == null || this.docIDUpto == aVar.e()) {
                                int i2 = this.readerUpto + 1;
                                this.readerUpto = i2;
                                a[] aVarArr = aVarArr;
                                if (i2 < aVarArr.length) {
                                    a aVar2 = aVarArr[i2];
                                    this.currentReader = aVar2;
                                    this.currentLiveDocs = aVar2.k();
                                }
                                this.docIDUpto = 0;
                            } else {
                                j jVar = this.currentLiveDocs;
                                if (jVar == null || jVar.get(this.docIDUpto)) {
                                    this.nextIsSet = true;
                                    b3 b3Var = b3VarArr[this.readerUpto];
                                    b3Var.setDocument(this.docIDUpto);
                                    this.nextValue = 0;
                                    while (b3Var.nextOrd() != -1) {
                                        this.nextValue++;
                                    }
                                    this.docIDUpto++;
                                    return true;
                                }
                                this.docIDUpto++;
                            }
                        }
                        return false;
                    }

                    public boolean hasNext() {
                        return this.nextIsSet || setNext();
                    }

                    public void remove() {
                        throw new UnsupportedOperationException();
                    }

                    @Override // java.util.Iterator
                    public Number next() {
                        if (hasNext()) {
                            this.nextIsSet = false;
                            return Integer.valueOf(this.nextValue);
                        }
                        throw new NoSuchElementException();
                    }
                };
            }
        }, new Iterable<Number>() {
            /* class org.apache.lucene.codecs.DocValuesConsumer.AnonymousClass7 */

            @Override // java.lang.Iterable
            public Iterator<Number> iterator() {
                return new Iterator<Number>() {
                    /* class org.apache.lucene.codecs.DocValuesConsumer.AnonymousClass7.AnonymousClass1 */
                    public static final /* synthetic */ boolean $assertionsDisabled = false;
                    public j currentLiveDocs;
                    public a currentReader;
                    public int docIDUpto;
                    public boolean nextIsSet;
                    public long nextValue;
                    public int ordLength;
                    public int ordUpto;
                    public long[] ords = new long[8];
                    public int readerUpto = -1;

                    private boolean setNext() {
                        while (this.readerUpto != aVarArr.length) {
                            int i2 = this.ordUpto;
                            if (i2 < this.ordLength) {
                                this.nextValue = this.ords[i2];
                                this.ordUpto = i2 + 1;
                                this.nextIsSet = true;
                                return true;
                            }
                            a aVar = this.currentReader;
                            if (aVar == null || this.docIDUpto == aVar.e()) {
                                int i3 = this.readerUpto + 1;
                                this.readerUpto = i3;
                                a[] aVarArr = aVarArr;
                                if (i3 < aVarArr.length) {
                                    a aVar2 = aVarArr[i3];
                                    this.currentReader = aVar2;
                                    this.currentLiveDocs = aVar2.k();
                                }
                                this.docIDUpto = 0;
                            } else {
                                j jVar = this.currentLiveDocs;
                                if (jVar == null || jVar.get(this.docIDUpto)) {
                                    b3 b3Var = b3VarArr[this.readerUpto];
                                    b3Var.setDocument(this.docIDUpto);
                                    this.ordLength = 0;
                                    this.ordUpto = 0;
                                    while (true) {
                                        long nextOrd = b3Var.nextOrd();
                                        if (nextOrd == -1) {
                                            break;
                                        }
                                        int i4 = this.ordLength;
                                        long[] jArr = this.ords;
                                        if (i4 == jArr.length) {
                                            this.ords = c.a(jArr, i4 + 1);
                                        }
                                        this.ords[this.ordLength] = w1Var.f1082d[this.readerUpto].get(nextOrd) + nextOrd;
                                        this.ordLength++;
                                    }
                                    this.docIDUpto++;
                                } else {
                                    this.docIDUpto++;
                                }
                            }
                        }
                        return false;
                    }

                    public boolean hasNext() {
                        return this.nextIsSet || setNext();
                    }

                    public void remove() {
                        throw new UnsupportedOperationException();
                    }

                    @Override // java.util.Iterator
                    public Number next() {
                        if (hasNext()) {
                            this.nextIsSet = false;
                            return Long.valueOf(this.nextValue);
                        }
                        throw new NoSuchElementException();
                    }
                };
            }
        });
    }
}
