package org.apache.lucene.codecs;

public abstract class FilterCodec extends Codec {
    public final Codec delegate;

    public FilterCodec(String str, Codec codec) {
        super(str);
        this.delegate = codec;
    }

    @Override // org.apache.lucene.codecs.Codec
    public DocValuesFormat docValuesFormat() {
        return this.delegate.docValuesFormat();
    }

    @Override // org.apache.lucene.codecs.Codec
    public FieldInfosFormat fieldInfosFormat() {
        return this.delegate.fieldInfosFormat();
    }

    @Override // org.apache.lucene.codecs.Codec
    public LiveDocsFormat liveDocsFormat() {
        return this.delegate.liveDocsFormat();
    }

    @Override // org.apache.lucene.codecs.Codec
    public NormsFormat normsFormat() {
        return this.delegate.normsFormat();
    }

    @Override // org.apache.lucene.codecs.Codec
    public PostingsFormat postingsFormat() {
        return this.delegate.postingsFormat();
    }

    @Override // org.apache.lucene.codecs.Codec
    public SegmentInfoFormat segmentInfoFormat() {
        return this.delegate.segmentInfoFormat();
    }

    @Override // org.apache.lucene.codecs.Codec
    public StoredFieldsFormat storedFieldsFormat() {
        return this.delegate.storedFieldsFormat();
    }

    @Override // org.apache.lucene.codecs.Codec
    public TermVectorsFormat termVectorsFormat() {
        return this.delegate.termVectorsFormat();
    }
}
