package org.apache.lucene.codecs;

import h.g;
import i.a.b.f.c;
import i.a.b.f.u;
import java.io.Closeable;
import java.util.Arrays;

public abstract class MultiLevelSkipListReader implements Closeable {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public long[] childPointer;
    public int docCount;
    public boolean haveSkipped;
    public boolean inputIsBuffered;
    public long lastChildPointer;
    public int lastDoc;
    public int maxNumberOfSkipLevels;
    public int[] numSkipped;
    public int numberOfLevelsToBuffer;
    public int numberOfSkipLevels;
    public int[] skipDoc;
    public int[] skipInterval;
    public final int skipMultiplier;
    public long[] skipPointer;
    public u[] skipStream;

    public static final class SkipBuffer extends u {
        public byte[] data;
        public long pointer;
        public int pos;

        public SkipBuffer(u uVar, int i2) {
            super("SkipBuffer on " + uVar);
            this.data = new byte[i2];
            this.pointer = uVar.getFilePointer();
            uVar.readBytes(this.data, 0, i2);
        }

        @Override // i.a.b.f.u, java.io.Closeable, java.lang.AutoCloseable
        public void close() {
            this.data = null;
        }

        @Override // i.a.b.f.u
        public long getFilePointer() {
            return this.pointer + ((long) this.pos);
        }

        @Override // i.a.b.f.u
        public long length() {
            return (long) this.data.length;
        }

        @Override // i.a.b.f.l
        public byte readByte() {
            byte[] bArr = this.data;
            int i2 = this.pos;
            this.pos = i2 + 1;
            return bArr[i2];
        }

        @Override // i.a.b.f.l
        public void readBytes(byte[] bArr, int i2, int i3) {
            System.arraycopy(this.data, this.pos, bArr, i2, i3);
            this.pos += i3;
        }

        @Override // i.a.b.f.u
        public void seek(long j) {
            this.pos = (int) (j - this.pointer);
        }
    }

    public MultiLevelSkipListReader(u uVar, int i2, int i3, int i4) {
        this.numberOfLevelsToBuffer = 1;
        u[] uVarArr = new u[i2];
        this.skipStream = uVarArr;
        this.skipPointer = new long[i2];
        this.childPointer = new long[i2];
        this.numSkipped = new int[i2];
        this.maxNumberOfSkipLevels = i2;
        int[] iArr = new int[i2];
        this.skipInterval = iArr;
        this.skipMultiplier = i4;
        uVarArr[0] = uVar;
        this.inputIsBuffered = uVar instanceof c;
        iArr[0] = i3;
        for (int i5 = 1; i5 < i2; i5++) {
            int[] iArr2 = this.skipInterval;
            iArr2[i5] = iArr2[i5 - 1] * i4;
        }
        this.skipDoc = new int[i2];
    }

    private boolean loadNextSkip(int i2) {
        setLastSkipData(i2);
        int[] iArr = this.numSkipped;
        iArr[i2] = iArr[i2] + this.skipInterval[i2];
        if (iArr[i2] > this.docCount) {
            this.skipDoc[i2] = Integer.MAX_VALUE;
            if (this.numberOfSkipLevels <= i2) {
                return false;
            }
            this.numberOfSkipLevels = i2;
            return false;
        }
        int[] iArr2 = this.skipDoc;
        iArr2[i2] = readSkipData(i2, this.skipStream[i2]) + iArr2[i2];
        if (i2 == 0) {
            return true;
        }
        this.childPointer[i2] = this.skipStream[i2].readVLong() + this.skipPointer[i2 - 1];
        return true;
    }

    private void loadSkipLevels() {
        int i2 = this.docCount;
        int[] iArr = this.skipInterval;
        if (i2 <= iArr[0]) {
            this.numberOfSkipLevels = 1;
        } else {
            this.numberOfSkipLevels = g.a((long) (i2 / iArr[0]), this.skipMultiplier) + 1;
        }
        int i3 = this.numberOfSkipLevels;
        int i4 = this.maxNumberOfSkipLevels;
        if (i3 > i4) {
            this.numberOfSkipLevels = i4;
        }
        this.skipStream[0].seek(this.skipPointer[0]);
        int i5 = this.numberOfLevelsToBuffer;
        for (int i6 = this.numberOfSkipLevels - 1; i6 > 0; i6--) {
            long readVLong = this.skipStream[0].readVLong();
            this.skipPointer[i6] = this.skipStream[0].getFilePointer();
            if (i5 > 0) {
                u[] uVarArr = this.skipStream;
                uVarArr[i6] = new SkipBuffer(uVarArr[0], (int) readVLong);
                i5--;
            } else {
                u[] uVarArr2 = this.skipStream;
                uVarArr2[i6] = uVarArr2[0].clone();
                if (this.inputIsBuffered && readVLong < 1024) {
                    c cVar = (c) this.skipStream[i6];
                    int i7 = (int) readVLong;
                    if (i7 != cVar.x) {
                        cVar.a(i7);
                        cVar.x = i7;
                        if (cVar.y != null) {
                            byte[] bArr = new byte[i7];
                            int i8 = cVar.A - cVar.C;
                            if (i8 <= i7) {
                                i7 = i8;
                            }
                            System.arraycopy(cVar.y, cVar.C, bArr, 0, i7);
                            cVar.z += (long) cVar.C;
                            cVar.C = 0;
                            cVar.A = i7;
                            cVar.a(bArr);
                        }
                    }
                }
                u[] uVarArr3 = this.skipStream;
                uVarArr3[0].seek(uVarArr3[0].getFilePointer() + readVLong);
            }
        }
        this.skipPointer[0] = this.skipStream[0].getFilePointer();
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        int i2 = 1;
        while (true) {
            u[] uVarArr = this.skipStream;
            if (i2 < uVarArr.length) {
                if (uVarArr[i2] != null) {
                    uVarArr[i2].close();
                }
                i2++;
            } else {
                return;
            }
        }
    }

    public int getDoc() {
        return this.lastDoc;
    }

    public void init(long j, int i2) {
        this.skipPointer[0] = j;
        this.docCount = i2;
        Arrays.fill(this.skipDoc, 0);
        Arrays.fill(this.numSkipped, 0);
        Arrays.fill(this.childPointer, 0L);
        this.haveSkipped = false;
        for (int i3 = 1; i3 < this.numberOfSkipLevels; i3++) {
            this.skipStream[i3] = null;
        }
    }

    public abstract int readSkipData(int i2, u uVar);

    public void seekChild(int i2) {
        this.skipStream[i2].seek(this.lastChildPointer);
        int[] iArr = this.numSkipped;
        int i3 = i2 + 1;
        iArr[i2] = iArr[i3] - this.skipInterval[i3];
        this.skipDoc[i2] = this.lastDoc;
        if (i2 > 0) {
            this.childPointer[i2] = this.skipStream[i2].readVLong() + this.skipPointer[i2 - 1];
        }
    }

    public void setLastSkipData(int i2) {
        this.lastDoc = this.skipDoc[i2];
        this.lastChildPointer = this.childPointer[i2];
    }

    public int skipTo(int i2) {
        if (!this.haveSkipped) {
            loadSkipLevels();
            this.haveSkipped = true;
        }
        int i3 = 0;
        while (i3 < this.numberOfSkipLevels - 1) {
            int i4 = i3 + 1;
            if (i2 <= this.skipDoc[i4]) {
                break;
            }
            i3 = i4;
        }
        while (i3 >= 0) {
            if (i2 > this.skipDoc[i3]) {
                loadNextSkip(i3);
            } else {
                if (i3 > 0) {
                    int i5 = i3 - 1;
                    if (this.lastChildPointer > this.skipStream[i5].getFilePointer()) {
                        seekChild(i5);
                    }
                }
                i3--;
            }
        }
        return (this.numSkipped[0] - this.skipInterval[0]) - 1;
    }

    public MultiLevelSkipListReader(u uVar, int i2, int i3) {
        this(uVar, i2, i3, i3);
    }
}
