package org.apache.lucene.codecs;

import h.g;
import i.a.b.f.i0;
import i.a.b.f.v;

public abstract class MultiLevelSkipListWriter {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public int numberOfSkipLevels;
    public i0[] skipBuffer;
    public int skipInterval;
    public int skipMultiplier;

    public MultiLevelSkipListWriter(int i2, int i3, int i4, int i5) {
        this.skipInterval = i2;
        this.skipMultiplier = i3;
        if (i5 <= i2) {
            this.numberOfSkipLevels = 1;
        } else {
            this.numberOfSkipLevels = g.a((long) (i5 / i2), i3) + 1;
        }
        if (this.numberOfSkipLevels > i4) {
            this.numberOfSkipLevels = i4;
        }
    }

    public void bufferSkip(int i2) {
        int i3 = i2 / this.skipInterval;
        int i4 = 1;
        while (true) {
            int i5 = this.skipMultiplier;
            if (i3 % i5 != 0 || i4 >= this.numberOfSkipLevels) {
                long j = 0;
                int i6 = 0;
            } else {
                i4++;
                i3 /= i5;
            }
        }
        long j2 = 0;
        int i62 = 0;
        while (i62 < i4) {
            writeSkipData(i62, this.skipBuffer[i62]);
            long a = this.skipBuffer[i62].a();
            if (i62 != 0) {
                this.skipBuffer[i62].b(j2);
            }
            i62++;
            j2 = a;
        }
    }

    public void init() {
        this.skipBuffer = new i0[this.numberOfSkipLevels];
        for (int i2 = 0; i2 < this.numberOfSkipLevels; i2++) {
            this.skipBuffer[i2] = new i0();
        }
    }

    public void resetSkip() {
        if (this.skipBuffer == null) {
            init();
            return;
        }
        int i2 = 0;
        while (true) {
            i0[] i0VarArr = this.skipBuffer;
            if (i2 < i0VarArr.length) {
                i0VarArr[i2].c();
                i2++;
            } else {
                return;
            }
        }
    }

    public long writeSkip(v vVar) {
        long a = vVar.a();
        i0[] i0VarArr = this.skipBuffer;
        if (!(i0VarArr == null || i0VarArr.length == 0)) {
            for (int i2 = this.numberOfSkipLevels - 1; i2 > 0; i2--) {
                long a2 = this.skipBuffer[i2].a();
                if (a2 > 0) {
                    vVar.b(a2);
                    this.skipBuffer[i2].a(vVar);
                }
            }
            this.skipBuffer[0].a(vVar);
        }
        return a;
    }

    public abstract void writeSkipData(int i2, v vVar);

    public MultiLevelSkipListWriter(int i2, int i3, int i4) {
        this(i2, i2, i3, i4);
    }
}
