package org.apache.lucene.codecs;

import i.a.b.c.b0;
import i.a.b.c.c0;
import i.a.b.c.k0;
import i.a.b.c.o3;
import i.a.b.c.t1;
import i.a.b.c.x1;
import i.a.b.c.y1;
import i.a.b.g.j;
import i.a.b.g.l;
import i.a.b.g.v;
import java.util.Comparator;

public abstract class TermsConsumer {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public MappingMultiDocsEnum docsAndFreqsEnum;
    public MappingMultiDocsEnum docsEnum;
    public MappingMultiDocsAndPositionsEnum postingsEnum;

    public abstract void finish(long j, long j2, int i2);

    public abstract void finishTerm(l lVar, TermStats termStats);

    public abstract Comparator<l> getComparator();

    public void merge(t1 t1Var, k0.b bVar, o3 o3Var) {
        long j;
        long j2;
        b0 b0Var;
        c0 c0Var;
        v vVar = new v(t1Var.a.b());
        j jVar = null;
        if (bVar == k0.b.DOCS_ONLY) {
            if (this.docsEnum == null) {
                this.docsEnum = new MappingMultiDocsEnum();
            }
            this.docsEnum.setMergeState(t1Var);
            y1 y1Var = null;
            j = 0;
            long j3 = 0;
            long j4 = 0;
            while (true) {
                l next = o3Var.next();
                if (next == null) {
                    break;
                }
                y1Var = (y1) o3Var.docs(jVar, y1Var, 0);
                if (y1Var != null) {
                    this.docsEnum.reset(y1Var);
                    TermStats merge = startTerm(next).merge(t1Var, bVar, this.docsEnum, vVar);
                    if (merge.docFreq > 0) {
                        finishTerm(next, merge);
                        int i2 = merge.docFreq;
                        j += (long) i2;
                        long j5 = ((long) i2) + j3;
                        j4 += (long) i2;
                        if (j5 > 60000) {
                            t1Var.f1046f.a(((double) j5) / 5.0d);
                            j3 = 0;
                        } else {
                            j3 = j5;
                        }
                    }
                    jVar = null;
                }
            }
            j2 = j4;
        } else if (bVar == k0.b.DOCS_AND_FREQS) {
            if (this.docsAndFreqsEnum == null) {
                this.docsAndFreqsEnum = new MappingMultiDocsEnum();
            }
            this.docsAndFreqsEnum.setMergeState(t1Var);
            c0 c0Var2 = null;
            j2 = 0;
            long j6 = 0;
            j = 0;
            while (true) {
                l next2 = o3Var.next();
                if (next2 == null) {
                    break;
                }
                y1 y1Var2 = (y1) o3Var.docs(null, c0Var2);
                this.docsAndFreqsEnum.reset(y1Var2);
                TermStats merge2 = startTerm(next2).merge(t1Var, bVar, this.docsAndFreqsEnum, vVar);
                if (merge2.docFreq > 0) {
                    finishTerm(next2, merge2);
                    j += merge2.totalTermFreq;
                    int i3 = merge2.docFreq;
                    c0Var = y1Var2;
                    j6 += (long) i3;
                    j2 += (long) i3;
                    if (j6 > 60000) {
                        t1Var.f1046f.a(((double) j6) / 5.0d);
                        j6 = 0;
                    }
                } else {
                    c0Var = y1Var2;
                }
                c0Var2 = c0Var;
            }
        } else if (bVar == k0.b.DOCS_AND_FREQS_AND_POSITIONS) {
            if (this.postingsEnum == null) {
                this.postingsEnum = new MappingMultiDocsAndPositionsEnum();
            }
            this.postingsEnum.setMergeState(t1Var);
            b0 b0Var2 = null;
            j2 = 0;
            long j7 = 0;
            j = 0;
            while (true) {
                l next3 = o3Var.next();
                if (next3 == null) {
                    break;
                }
                x1 x1Var = (x1) o3Var.docsAndPositions(null, b0Var2, 2);
                this.postingsEnum.reset(x1Var);
                TermStats merge3 = startTerm(next3).merge(t1Var, bVar, this.postingsEnum, vVar);
                if (merge3.docFreq > 0) {
                    finishTerm(next3, merge3);
                    j += merge3.totalTermFreq;
                    int i4 = merge3.docFreq;
                    b0Var = x1Var;
                    j7 += (long) i4;
                    j2 += (long) i4;
                    if (j7 > 60000) {
                        t1Var.f1046f.a(((double) j7) / 5.0d);
                        j7 = 0;
                    }
                } else {
                    b0Var = x1Var;
                }
                b0Var2 = b0Var;
            }
        } else {
            if (this.postingsEnum == null) {
                this.postingsEnum = new MappingMultiDocsAndPositionsEnum();
            }
            this.postingsEnum.setMergeState(t1Var);
            long j8 = 0;
            long j9 = 0;
            j = 0;
            x1 x1Var2 = null;
            while (true) {
                l next4 = o3Var.next();
                if (next4 == null) {
                    break;
                }
                x1Var2 = (x1) o3Var.docsAndPositions(null, x1Var2);
                this.postingsEnum.reset(x1Var2);
                TermStats merge4 = startTerm(next4).merge(t1Var, bVar, this.postingsEnum, vVar);
                if (merge4.docFreq > 0) {
                    finishTerm(next4, merge4);
                    j += merge4.totalTermFreq;
                    int i5 = merge4.docFreq;
                    j9 += (long) i5;
                    j8 += (long) i5;
                    if (j9 > 60000) {
                        t1Var.f1046f.a(((double) j9) / 5.0d);
                        j9 = 0;
                    }
                }
            }
            j2 = j8;
        }
        finish(bVar == k0.b.DOCS_ONLY ? -1 : j, j2, vVar.c());
    }

    public abstract PostingsConsumer startTerm(l lVar);
}
