package org.apache.lucene.codecs.compressing;

import b.b.a.a.a;
import i.a.b.c.l0;
import i.a.b.c.q2;
import i.a.b.f.n;
import i.a.b.f.t;
import org.apache.lucene.codecs.StoredFieldsFormat;
import org.apache.lucene.codecs.StoredFieldsReader;
import org.apache.lucene.codecs.StoredFieldsWriter;

public class CompressingStoredFieldsFormat extends StoredFieldsFormat {
    public final int chunkSize;
    public final CompressionMode compressionMode;
    public final String formatName;
    public final String segmentSuffix;

    public CompressingStoredFieldsFormat(String str, CompressionMode compressionMode2, int i2) {
        this(str, "", compressionMode2, i2);
    }

    @Override // org.apache.lucene.codecs.StoredFieldsFormat
    public StoredFieldsReader fieldsReader(n nVar, q2 q2Var, l0 l0Var, t tVar) {
        return new CompressingStoredFieldsReader(nVar, q2Var, this.segmentSuffix, l0Var, tVar, this.formatName, this.compressionMode);
    }

    @Override // org.apache.lucene.codecs.StoredFieldsFormat
    public StoredFieldsWriter fieldsWriter(n nVar, q2 q2Var, t tVar) {
        return new CompressingStoredFieldsWriter(nVar, q2Var, this.segmentSuffix, tVar, this.formatName, this.compressionMode, this.chunkSize);
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append("(compressionMode=");
        sb.append(this.compressionMode);
        sb.append(", chunkSize=");
        return a.a(sb, this.chunkSize, ")");
    }

    public CompressingStoredFieldsFormat(String str, String str2, CompressionMode compressionMode2, int i2) {
        this.formatName = str;
        this.segmentSuffix = str2;
        this.compressionMode = compressionMode2;
        if (i2 >= 1) {
            this.chunkSize = i2;
            return;
        }
        throw new IllegalArgumentException("chunkSize must be >= 1");
    }
}
