package org.apache.lucene.codecs.compressing;

import b.b.a.a.a;
import i.a.b.c.q;
import i.a.b.c.q2;
import i.a.b.f.l;
import i.a.b.f.u;
import i.a.b.g.c;
import i.a.b.g.g1.x0;
import i.a.b.g.o0;
import java.util.Arrays;

public final class CompressingStoredFieldsIndexReader implements Cloneable {
    public final int[] avgChunkDocs;
    public final long[] avgChunkSizes;
    public final int[] docBases;
    public final x0.i[] docBasesDeltas;
    public final int maxDoc;
    public final long[] startPointers;
    public final x0.i[] startPointersDeltas;

    public CompressingStoredFieldsIndexReader(u uVar, q2 q2Var) {
        this.maxDoc = q2Var.b();
        int[] iArr = new int[16];
        long[] jArr = new long[16];
        int[] iArr2 = new int[16];
        long[] jArr2 = new long[16];
        x0.i[] iVarArr = new x0.i[16];
        x0.i[] iVarArr2 = new x0.i[16];
        int readVInt = uVar.readVInt();
        int i2 = 0;
        while (true) {
            int readVInt2 = uVar.readVInt();
            if (readVInt2 == 0) {
                this.docBases = Arrays.copyOf(iArr, i2);
                this.startPointers = Arrays.copyOf(jArr, i2);
                this.avgChunkDocs = Arrays.copyOf(iArr2, i2);
                this.avgChunkSizes = Arrays.copyOf(jArr2, i2);
                this.docBasesDeltas = (x0.i[]) Arrays.copyOf(iVarArr, i2);
                this.startPointersDeltas = (x0.i[]) Arrays.copyOf(iVarArr2, i2);
                return;
            }
            if (i2 == iArr.length) {
                int a = c.a(i2 + 1, 8);
                iArr = Arrays.copyOf(iArr, a);
                jArr = Arrays.copyOf(jArr, a);
                iArr2 = Arrays.copyOf(iArr2, a);
                jArr2 = Arrays.copyOf(jArr2, a);
                iVarArr = (x0.i[]) Arrays.copyOf(iVarArr, a);
                iVarArr2 = (x0.i[]) Arrays.copyOf(iVarArr2, a);
            }
            iArr[i2] = uVar.readVInt();
            iArr2[i2] = uVar.readVInt();
            int readVInt3 = uVar.readVInt();
            if (readVInt3 <= 32) {
                iVarArr[i2] = x0.a((l) uVar, x0.d.PACKED, readVInt, readVInt2, readVInt3);
                jArr[i2] = uVar.readVLong();
                jArr2[i2] = uVar.readVLong();
                int readVInt4 = uVar.readVInt();
                if (readVInt4 <= 64) {
                    iVarArr2[i2] = x0.a((l) uVar, x0.d.PACKED, readVInt, readVInt2, readVInt4);
                    i2++;
                } else {
                    throw new q("Corrupted bitsPerStartPointer (resource=" + uVar + ")");
                }
            } else {
                throw new q("Corrupted bitsPerDocBase (resource=" + uVar + ")");
            }
        }
    }

    private int block(int i2) {
        int length = this.docBases.length - 1;
        int i3 = 0;
        while (i3 <= length) {
            int i4 = (i3 + length) >>> 1;
            int i5 = this.docBases[i4];
            if (i5 == i2) {
                return i4;
            }
            if (i5 < i2) {
                i3 = i4 + 1;
            } else {
                length = i4 - 1;
            }
        }
        return length;
    }

    public static long moveLowOrderBitToSign(long j) {
        return (-(j & 1)) ^ (j >>> 1);
    }

    private int relativeChunk(int i2, int i3) {
        int c = this.docBasesDeltas[i2].c() - 1;
        int i4 = 0;
        while (i4 <= c) {
            int i5 = (i4 + c) >>> 1;
            int relativeDocBase = relativeDocBase(i2, i5);
            if (relativeDocBase == i3) {
                return i5;
            }
            if (relativeDocBase < i3) {
                i4 = i5 + 1;
            } else {
                c = i5 - 1;
            }
        }
        return c;
    }

    private int relativeDocBase(int i2, int i3) {
        return (this.avgChunkDocs[i2] * i3) + ((int) moveLowOrderBitToSign(this.docBasesDeltas[i2].get(i3)));
    }

    private long relativeStartPointer(int i2, int i3) {
        return moveLowOrderBitToSign(this.startPointersDeltas[i2].get(i3)) + (this.avgChunkSizes[i2] * ((long) i3));
    }

    @Override // java.lang.Object
    public CompressingStoredFieldsIndexReader clone() {
        return this;
    }

    public long getStartPointer(int i2) {
        if (i2 < 0 || i2 >= this.maxDoc) {
            throw new IllegalArgumentException(a.a(a.b("docID out of range [0-"), this.maxDoc, "]: ", i2));
        }
        int block = block(i2);
        return this.startPointers[block] + relativeStartPointer(block, relativeChunk(block, i2 - this.docBases[block]));
    }

    public long ramBytesUsed() {
        long j = 0;
        for (x0.i iVar : this.docBasesDeltas) {
            j += iVar.b();
        }
        for (x0.i iVar2 : this.startPointersDeltas) {
            j += iVar2.b();
        }
        return o0.a(this.avgChunkSizes) + o0.a(this.avgChunkDocs) + o0.a(this.startPointers) + o0.a(this.docBases) + j;
    }
}
