package org.apache.lucene.codecs.compressing;

import b.b.a.a.a;
import i.a.b.f.v;
import i.a.b.g.g1.x0;
import java.io.Closeable;

public final class CompressingStoredFieldsIndexWriter implements Closeable {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public static final int BLOCK_SIZE = 1024;
    public int blockChunks;
    public int blockDocs;
    public final int[] docBaseDeltas = new int[1024];
    public final v fieldsIndexOut;
    public long firstStartPointer;
    public long maxStartPointer;
    public final long[] startPointerDeltas = new long[1024];
    public int totalDocs = 0;

    public CompressingStoredFieldsIndexWriter(v vVar) {
        this.fieldsIndexOut = vVar;
        reset();
        this.fieldsIndexOut.b(1);
    }

    public static long moveSignToLowOrderBit(long j) {
        return (j << 1) ^ (j >> 63);
    }

    private void reset() {
        this.blockChunks = 0;
        this.blockDocs = 0;
        this.firstStartPointer = -1;
    }

    private void writeBlock() {
        int i2;
        this.fieldsIndexOut.b(this.blockChunks);
        int i3 = this.blockChunks;
        if (i3 == 1) {
            i2 = 0;
        } else {
            i2 = Math.round(((float) (this.blockDocs - this.docBaseDeltas[i3 - 1])) / ((float) (i3 - 1)));
        }
        this.fieldsIndexOut.b(this.totalDocs - this.blockDocs);
        this.fieldsIndexOut.b(i2);
        long j = 0;
        long j2 = 0;
        int i4 = 0;
        for (int i5 = 0; i5 < this.blockChunks; i5++) {
            j2 |= moveSignToLowOrderBit((long) (i4 - (i2 * i5)));
            i4 += this.docBaseDeltas[i5];
        }
        int a = x0.a(j2);
        this.fieldsIndexOut.b(a);
        x0.m a2 = x0.a(this.fieldsIndexOut, x0.d.PACKED, this.blockChunks, a, 1);
        int i6 = 0;
        for (int i7 = 0; i7 < this.blockChunks; i7++) {
            a2.a(moveSignToLowOrderBit((long) (i6 - (i2 * i7))));
            i6 += this.docBaseDeltas[i7];
        }
        a2.a();
        this.fieldsIndexOut.b(this.firstStartPointer);
        int i8 = this.blockChunks;
        long j3 = i8 == 1 ? 0 : (this.maxStartPointer - this.firstStartPointer) / ((long) (i8 - 1));
        this.fieldsIndexOut.b(j3);
        long j4 = 0;
        long j5 = 0;
        for (int i9 = 0; i9 < this.blockChunks; i9++) {
            j5 += this.startPointerDeltas[i9];
            j4 |= moveSignToLowOrderBit(j5 - (((long) i9) * j3));
        }
        int a3 = x0.a(j4);
        this.fieldsIndexOut.b(a3);
        x0.m a4 = x0.a(this.fieldsIndexOut, x0.d.PACKED, this.blockChunks, a3, 1);
        for (int i10 = 0; i10 < this.blockChunks; i10++) {
            j += this.startPointerDeltas[i10];
            a4.a(moveSignToLowOrderBit(j - (((long) i10) * j3)));
        }
        a4.a();
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        this.fieldsIndexOut.close();
    }

    public void finish(int i2) {
        if (i2 == this.totalDocs) {
            if (this.blockChunks > 0) {
                writeBlock();
            }
            this.fieldsIndexOut.b(0);
            return;
        }
        StringBuilder a = a.a("Expected ", i2, " docs, but got ");
        a.append(this.totalDocs);
        throw new IllegalStateException(a.toString());
    }

    public void writeIndex(int i2, long j) {
        if (this.blockChunks == 1024) {
            writeBlock();
            reset();
        }
        if (this.firstStartPointer == -1) {
            this.maxStartPointer = j;
            this.firstStartPointer = j;
        }
        int[] iArr = this.docBaseDeltas;
        int i3 = this.blockChunks;
        iArr[i3] = i2;
        this.startPointerDeltas[i3] = j - this.maxStartPointer;
        this.blockChunks = i3 + 1;
        this.blockDocs += i2;
        this.totalDocs += i2;
        this.maxStartPointer = j;
    }
}
