package org.apache.lucene.codecs.compressing;

import b.b.a.a.a;
import i.a.b.c.a1;
import i.a.b.c.i1;
import i.a.b.c.k0;
import i.a.b.c.l0;
import i.a.b.c.q;
import i.a.b.c.q2;
import i.a.b.c.t1;
import i.a.b.c.v2;
import i.a.b.f.m;
import i.a.b.f.n;
import i.a.b.f.t;
import i.a.b.f.v;
import i.a.b.g.c;
import i.a.b.g.g1.x0;
import i.a.b.g.j;
import i.a.b.g.l;
import i.a.b.g.w;
import i.a.b.g.x;
import java.util.Arrays;
import org.apache.lucene.codecs.CodecUtil;
import org.apache.lucene.codecs.StoredFieldsReader;
import org.apache.lucene.codecs.StoredFieldsWriter;
import org.apache.lucene.codecs.compressing.CompressingStoredFieldsReader;

public final class CompressingStoredFieldsWriter extends StoredFieldsWriter {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public static final int BYTE_ARR = 1;
    public static final String CODEC_SFX_DAT = "Data";
    public static final String CODEC_SFX_IDX = "Index";
    public static final int MAX_DOCUMENTS_PER_CHUNK = 128;
    public static final int NUMERIC_DOUBLE = 5;
    public static final int NUMERIC_FLOAT = 3;
    public static final int NUMERIC_INT = 2;
    public static final int NUMERIC_LONG = 4;
    public static final int STRING = 0;
    public static final int TYPE_BITS;
    public static final int TYPE_MASK;
    public static final int VERSION_BIG_CHUNKS = 1;
    public static final int VERSION_CURRENT = 1;
    public static final int VERSION_START = 0;
    public final w bufferedDocs;
    public final int chunkSize;
    public final CompressionMode compressionMode;
    public final Compressor compressor;
    public final n directory;
    public int docBase = 0;
    public int[] endOffsets;
    public v fieldsStream;
    public CompressingStoredFieldsIndexWriter indexWriter;
    public int numBufferedDocs;
    public int[] numStoredFields;
    public final String segment;
    public final String segmentSuffix;

    static {
        int a = x0.a(5L);
        TYPE_BITS = a;
        TYPE_MASK = (int) x0.b(a);
    }

    public CompressingStoredFieldsWriter(n nVar, q2 q2Var, String str, t tVar, String str2, CompressionMode compressionMode2, int i2) {
        this.directory = nVar;
        this.segment = q2Var.a;
        this.segmentSuffix = str;
        this.compressionMode = compressionMode2;
        this.compressor = compressionMode2.newCompressor();
        this.chunkSize = i2;
        this.bufferedDocs = new w(i2);
        this.numStoredFields = new int[16];
        this.endOffsets = new int[16];
        this.numBufferedDocs = 0;
        v a = nVar.a(a1.a(this.segment, str, "fdx"), tVar);
        try {
            this.fieldsStream = nVar.a(a1.a(this.segment, str, "fdt"), tVar);
            CodecUtil.writeHeader(a, str2 + "Index", 1);
            CodecUtil.writeHeader(this.fieldsStream, str2 + "Data", 1);
            this.indexWriter = new CompressingStoredFieldsIndexWriter(a);
            a = null;
            this.fieldsStream.b(i2);
            this.fieldsStream.b(1);
        } catch (Throwable th) {
            x.b(a);
            abort();
            throw th;
        }
    }

    private void flush() {
        this.indexWriter.writeIndex(this.numBufferedDocs, this.fieldsStream.a());
        int[] iArr = this.endOffsets;
        for (int i2 = this.numBufferedDocs - 1; i2 > 0; i2--) {
            int[] iArr2 = this.endOffsets;
            iArr[i2] = iArr2[i2] - iArr2[i2 - 1];
        }
        writeHeader(this.docBase, this.numBufferedDocs, this.numStoredFields, iArr);
        w wVar = this.bufferedDocs;
        int i3 = wVar.z;
        if (i3 >= this.chunkSize * 2) {
            int i4 = 0;
            while (true) {
                w wVar2 = this.bufferedDocs;
                int i5 = wVar2.z;
                if (i4 >= i5) {
                    break;
                }
                this.compressor.compress(wVar2.y, i4, Math.min(this.chunkSize, i5 - i4), this.fieldsStream);
                i4 += this.chunkSize;
            }
        } else {
            this.compressor.compress(wVar.y, 0, i3, this.fieldsStream);
        }
        this.docBase += this.numBufferedDocs;
        this.numBufferedDocs = 0;
        this.bufferedDocs.z = 0;
    }

    public static int nextDeletedDoc(int i2, j jVar, int i3) {
        if (jVar == null) {
            return i3;
        }
        while (i2 < i3 && jVar.get(i2)) {
            i2++;
        }
        return i2;
    }

    public static int nextLiveDoc(int i2, j jVar, int i3) {
        if (jVar == null) {
            return i2;
        }
        while (i2 < i3 && !jVar.get(i2)) {
            i2++;
        }
        return i2;
    }

    public static void saveInts(int[] iArr, int i2, m mVar) {
        boolean z;
        if (i2 == 1) {
            mVar.b(iArr[0]);
            return;
        }
        int i3 = 1;
        while (true) {
            if (i3 >= i2) {
                z = true;
                break;
            } else if (iArr[i3] != iArr[0]) {
                z = false;
                break;
            } else {
                i3++;
            }
        }
        if (z) {
            mVar.b(0);
            mVar.b(iArr[0]);
            return;
        }
        long j = 0;
        for (int i4 = 0; i4 < i2; i4++) {
            j |= (long) iArr[i4];
        }
        int a = x0.a(j);
        mVar.b(a);
        x0.m a2 = x0.a(mVar, x0.d.PACKED, i2, a, 1);
        for (int i5 = 0; i5 < i2; i5++) {
            a2.a((long) iArr[i5]);
        }
        a2.a();
    }

    private boolean triggerFlush() {
        return this.bufferedDocs.z >= this.chunkSize || this.numBufferedDocs >= 128;
    }

    private void writeHeader(int i2, int i3, int[] iArr, int[] iArr2) {
        this.fieldsStream.b(i2);
        this.fieldsStream.b(i3);
        saveInts(iArr, i3, this.fieldsStream);
        saveInts(iArr2, i3, this.fieldsStream);
    }

    @Override // org.apache.lucene.codecs.StoredFieldsWriter
    public void abort() {
        x.b(this);
        x.a(this.directory, a1.a(this.segment, this.segmentSuffix, "fdt"), a1.a(this.segment, this.segmentSuffix, "fdx"));
    }

    @Override // java.io.Closeable, org.apache.lucene.codecs.StoredFieldsWriter, java.lang.AutoCloseable
    public void close() {
        try {
            x.a(this.fieldsStream, this.indexWriter);
        } finally {
            this.fieldsStream = null;
            this.indexWriter = null;
        }
    }

    @Override // org.apache.lucene.codecs.StoredFieldsWriter
    public void finish(l0 l0Var, int i2) {
        if (this.numBufferedDocs > 0) {
            flush();
        }
        if (this.docBase == i2) {
            this.indexWriter.finish(i2);
            return;
        }
        throw new RuntimeException(a.a(a.b("Wrote "), this.docBase, " docs, finish called with numDocs=", i2));
    }

    @Override // org.apache.lucene.codecs.StoredFieldsWriter
    public void finishDocument() {
        this.endOffsets[this.numBufferedDocs - 1] = this.bufferedDocs.z;
        if (triggerFlush()) {
            flush();
        }
    }

    @Override // org.apache.lucene.codecs.StoredFieldsWriter
    public int merge(t1 t1Var) {
        int i2;
        int i3;
        StoredFieldsReader l;
        int i4 = 0;
        int i5 = 0;
        int i6 = 0;
        for (i.a.b.c.a aVar : t1Var.c) {
            int i7 = i6 + 1;
            v2 v2Var = t1Var.f1048h[i6];
            CompressingStoredFieldsReader compressingStoredFieldsReader = null;
            if (!(v2Var == null || (l = v2Var.l()) == null || !(l instanceof CompressingStoredFieldsReader))) {
                compressingStoredFieldsReader = (CompressingStoredFieldsReader) l;
            }
            int e2 = aVar.e();
            j k = aVar.k();
            if (compressingStoredFieldsReader != null && compressingStoredFieldsReader.getVersion() == 1 && compressingStoredFieldsReader.getCompressionMode() == this.compressionMode && compressingStoredFieldsReader.getChunkSize() == this.chunkSize) {
                int nextLiveDoc = nextLiveDoc(i4, k, e2);
                if (nextLiveDoc < e2) {
                    CompressingStoredFieldsReader.ChunkIterator chunkIterator = compressingStoredFieldsReader.chunkIterator(nextLiveDoc);
                    int[] iArr = new int[i4];
                    do {
                        chunkIterator.next(nextLiveDoc);
                        int length = iArr.length;
                        int i8 = chunkIterator.chunkDocs;
                        if (length < i8) {
                            iArr = new int[c.a(i8, 4)];
                        }
                        int i9 = 1;
                        while (true) {
                            i2 = chunkIterator.chunkDocs;
                            if (i9 >= i2) {
                                break;
                            }
                            int i10 = i9 - 1;
                            iArr[i9] = iArr[i10] + chunkIterator.lengths[i10];
                            i9++;
                        }
                        if (this.numBufferedDocs == 0 && iArr[i2 - 1] < (i3 = this.chunkSize) && iArr[i2 - 1] + chunkIterator.lengths[i2 - 1] >= i3) {
                            int i11 = chunkIterator.docBase;
                            int nextDeletedDoc = nextDeletedDoc(i11, k, i2 + i11);
                            int i12 = chunkIterator.docBase;
                            int i13 = chunkIterator.chunkDocs;
                            if (nextDeletedDoc == i12 + i13) {
                                this.indexWriter.writeIndex(i13, this.fieldsStream.a());
                                writeHeader(this.docBase, chunkIterator.chunkDocs, chunkIterator.numStoredFields, chunkIterator.lengths);
                                chunkIterator.copyCompressedData(this.fieldsStream);
                                int i14 = this.docBase;
                                int i15 = chunkIterator.chunkDocs;
                                this.docBase = i14 + i15;
                                nextLiveDoc = nextLiveDoc(chunkIterator.docBase + i15, k, e2);
                                int i16 = chunkIterator.chunkDocs;
                                i5 += i16;
                                t1Var.f1046f.a((double) (i16 * 300));
                            }
                        }
                        chunkIterator.decompress();
                        int i17 = chunkIterator.chunkDocs;
                        if (iArr[i17 - 1] + chunkIterator.lengths[i17 - 1] == chunkIterator.bytes.z) {
                            while (true) {
                                int i18 = chunkIterator.docBase;
                                if (nextLiveDoc >= chunkIterator.chunkDocs + i18) {
                                    break;
                                }
                                int i19 = nextLiveDoc - i18;
                                startDocument(chunkIterator.numStoredFields[i19]);
                                w wVar = this.bufferedDocs;
                                l lVar = chunkIterator.bytes;
                                wVar.a(lVar.x, lVar.y + iArr[i19], chunkIterator.lengths[i19]);
                                finishDocument();
                                i5++;
                                t1Var.f1046f.a(300.0d);
                                nextLiveDoc = nextLiveDoc(nextLiveDoc + 1, k, e2);
                            }
                        } else {
                            StringBuilder b2 = a.b("Corrupted: expected chunk size=");
                            b2.append(iArr[chunkIterator.chunkDocs - 1]);
                            b2.append(chunkIterator.lengths[chunkIterator.chunkDocs - 1]);
                            b2.append(", got ");
                            b2.append(chunkIterator.bytes.z);
                            throw new q(b2.toString());
                        }
                    } while (nextLiveDoc < e2);
                    i4 = 0;
                } else {
                    continue;
                }
            } else {
                for (int nextLiveDoc2 = nextLiveDoc(i4, k, e2); nextLiveDoc2 < e2; nextLiveDoc2 = nextLiveDoc(nextLiveDoc2 + 1, k, e2)) {
                    addDocument(aVar.a(nextLiveDoc2), t1Var.f1043b);
                    i5++;
                    t1Var.f1046f.a(300.0d);
                }
            }
            i6 = i7;
        }
        finish(t1Var.f1043b, i5);
        return i5;
    }

    @Override // org.apache.lucene.codecs.StoredFieldsWriter
    public void startDocument(int i2) {
        int i3 = this.numBufferedDocs;
        if (i3 == this.numStoredFields.length) {
            int a = c.a(i3 + 1, 4);
            this.numStoredFields = Arrays.copyOf(this.numStoredFields, a);
            this.endOffsets = Arrays.copyOf(this.endOffsets, a);
        }
        int[] iArr = this.numStoredFields;
        int i4 = this.numBufferedDocs;
        iArr[i4] = i2;
        this.numBufferedDocs = i4 + 1;
    }

    @Override // org.apache.lucene.codecs.StoredFieldsWriter
    public void writeField(k0 k0Var, i1 i1Var) {
        int i2;
        String str;
        int i3;
        Number d2 = i1Var.d();
        String str2 = null;
        l lVar = null;
        if (d2 != null) {
            if ((d2 instanceof Byte) || (d2 instanceof Short) || (d2 instanceof Integer)) {
                i3 = 2;
            } else if (d2 instanceof Long) {
                i3 = 4;
            } else if (d2 instanceof Float) {
                i3 = 3;
            } else if (d2 instanceof Double) {
                i3 = 5;
            } else {
                StringBuilder b2 = a.b("cannot store numeric type ");
                b2.append(d2.getClass());
                throw new IllegalArgumentException(b2.toString());
            }
            i2 = i3;
            str = null;
        } else {
            l e2 = i1Var.e();
            if (e2 != null) {
                i2 = 1;
            } else {
                str2 = i1Var.stringValue();
                if (str2 != null) {
                    i2 = 0;
                } else {
                    StringBuilder b3 = a.b("field ");
                    b3.append(i1Var.c());
                    b3.append(" is stored but does not have binaryValue, stringValue nor numericValue");
                    throw new IllegalArgumentException(b3.toString());
                }
            }
            str = str2;
            lVar = e2;
        }
        this.bufferedDocs.b((((long) k0Var.f949b) << TYPE_BITS) | ((long) i2));
        if (lVar != null) {
            this.bufferedDocs.b(lVar.z);
            this.bufferedDocs.a(lVar.x, lVar.y, lVar.z);
        } else if (str != null) {
            this.bufferedDocs.a(i1Var.stringValue());
        } else if ((d2 instanceof Byte) || (d2 instanceof Short) || (d2 instanceof Integer)) {
            this.bufferedDocs.a(d2.intValue());
        } else if (d2 instanceof Long) {
            this.bufferedDocs.a(d2.longValue());
        } else if (d2 instanceof Float) {
            this.bufferedDocs.a(Float.floatToIntBits(d2.floatValue()));
        } else if (d2 instanceof Double) {
            this.bufferedDocs.a(Double.doubleToLongBits(d2.doubleValue()));
        } else {
            throw new AssertionError("Cannot get here");
        }
    }
}
