package org.apache.lucene.codecs.compressing;

import b.b.a.a.a;
import i.a.b.c.a1;
import i.a.b.c.k0;
import i.a.b.c.l0;
import i.a.b.c.q2;
import i.a.b.c.t1;
import i.a.b.c.v2;
import i.a.b.f.n;
import i.a.b.f.t;
import i.a.b.f.u;
import i.a.b.f.v;
import i.a.b.g.c;
import i.a.b.g.g1.h;
import i.a.b.g.g1.x0;
import i.a.b.g.j;
import i.a.b.g.l;
import i.a.b.g.w;
import i.a.b.g.w0;
import i.a.b.g.x;
import java.util.ArrayDeque;
import java.util.Arrays;
import java.util.Comparator;
import java.util.Deque;
import java.util.Iterator;
import java.util.TreeSet;
import org.apache.lucene.codecs.CodecUtil;
import org.apache.lucene.codecs.TermVectorsReader;
import org.apache.lucene.codecs.TermVectorsWriter;

public final class CompressingTermVectorsWriter extends TermVectorsWriter {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public static final int BLOCK_SIZE = 64;
    public static final String CODEC_SFX_DAT = "Data";
    public static final String CODEC_SFX_IDX = "Index";
    public static final int FLAGS_BITS = x0.a(7L);
    public static final int MAX_DOCUMENTS_PER_CHUNK = 128;
    public static final int OFFSETS = 2;
    public static final int PAYLOADS = 4;
    public static final int POSITIONS = 1;
    public static final String VECTORS_EXTENSION = "tvd";
    public static final String VECTORS_INDEX_EXTENSION = "tvx";
    public static final int VERSION_CURRENT = 0;
    public static final int VERSION_START = 0;
    public final int chunkSize;
    public final CompressionMode compressionMode;
    public final Compressor compressor;
    public DocData curDoc;
    public FieldData curField;
    public final n directory;
    public CompressingStoredFieldsIndexWriter indexWriter;
    public final l lastTerm;
    public int[] lengthsBuf;
    public int numDocs = 0;
    public final w payloadBytes;
    public int[] payloadLengthsBuf;
    public final Deque<DocData> pendingDocs = new ArrayDeque();
    public int[] positionsBuf;
    public final String segment;
    public final String segmentSuffix;
    public int[] startOffsetsBuf;
    public final w termSuffixes;
    public v vectorsStream;
    public final h writer;

    public class DocData {
        public final Deque<FieldData> fields;
        public final int numFields;
        public final int offStart;
        public final int payStart;
        public final int posStart;

        public DocData(int i2, int i3, int i4, int i5) {
            this.numFields = i2;
            this.fields = new ArrayDeque(i2);
            this.posStart = i3;
            this.offStart = i4;
            this.payStart = i5;
        }

        public FieldData addField(int i2, int i3, boolean z, boolean z2, boolean z3) {
            FieldData fieldData;
            if (this.fields.isEmpty()) {
                fieldData = new FieldData(i2, i3, z, z2, z3, this.posStart, this.offStart, this.payStart);
            } else {
                FieldData last = this.fields.getLast();
                int i4 = 0;
                int i5 = last.posStart + (last.hasPositions ? last.totalPositions : 0);
                int i6 = last.offStart + (last.hasOffsets ? last.totalPositions : 0);
                int i7 = last.payStart;
                if (last.hasPayloads) {
                    i4 = last.totalPositions;
                }
                fieldData = new FieldData(i2, i3, z, z2, z3, i5, i6, i7 + i4);
            }
            this.fields.add(fieldData);
            return fieldData;
        }
    }

    public class FieldData {
        public final int fieldNum;
        public final int flags;
        public final int[] freqs;
        public final boolean hasOffsets;
        public final boolean hasPayloads;
        public final boolean hasPositions;
        public final int numTerms;
        public final int offStart;
        public int ord;
        public final int payStart;
        public final int posStart;
        public final int[] prefixLengths;
        public final int[] suffixLengths;
        public int totalPositions;

        public FieldData(int i2, int i3, boolean z, boolean z2, boolean z3, int i4, int i5, int i6) {
            this.fieldNum = i2;
            this.numTerms = i3;
            this.hasPositions = z;
            this.hasOffsets = z2;
            this.hasPayloads = z3;
            this.flags = (z2 ? 2 : 0) | (z ? 1 : 0) | (z3 ? 4 : 0);
            this.freqs = new int[i3];
            this.prefixLengths = new int[i3];
            this.suffixLengths = new int[i3];
            this.posStart = i4;
            this.offStart = i5;
            this.payStart = i6;
            this.totalPositions = 0;
            this.ord = 0;
        }

        public void addPosition(int i2, int i3, int i4, int i5) {
            if (this.hasPositions) {
                if (this.posStart + this.totalPositions == CompressingTermVectorsWriter.this.positionsBuf.length) {
                    CompressingTermVectorsWriter compressingTermVectorsWriter = CompressingTermVectorsWriter.this;
                    compressingTermVectorsWriter.positionsBuf = c.a(compressingTermVectorsWriter.positionsBuf);
                }
                CompressingTermVectorsWriter.this.positionsBuf[this.posStart + this.totalPositions] = i2;
            }
            if (this.hasOffsets) {
                if (this.offStart + this.totalPositions == CompressingTermVectorsWriter.this.startOffsetsBuf.length) {
                    int a = c.a(this.offStart + this.totalPositions, 4);
                    CompressingTermVectorsWriter compressingTermVectorsWriter2 = CompressingTermVectorsWriter.this;
                    compressingTermVectorsWriter2.startOffsetsBuf = Arrays.copyOf(compressingTermVectorsWriter2.startOffsetsBuf, a);
                    CompressingTermVectorsWriter compressingTermVectorsWriter3 = CompressingTermVectorsWriter.this;
                    compressingTermVectorsWriter3.lengthsBuf = Arrays.copyOf(compressingTermVectorsWriter3.lengthsBuf, a);
                }
                CompressingTermVectorsWriter.this.startOffsetsBuf[this.offStart + this.totalPositions] = i3;
                CompressingTermVectorsWriter.this.lengthsBuf[this.offStart + this.totalPositions] = i4;
            }
            if (this.hasPayloads) {
                if (this.payStart + this.totalPositions == CompressingTermVectorsWriter.this.payloadLengthsBuf.length) {
                    CompressingTermVectorsWriter compressingTermVectorsWriter4 = CompressingTermVectorsWriter.this;
                    compressingTermVectorsWriter4.payloadLengthsBuf = c.a(compressingTermVectorsWriter4.payloadLengthsBuf);
                }
                CompressingTermVectorsWriter.this.payloadLengthsBuf[this.payStart + this.totalPositions] = i5;
            }
            this.totalPositions++;
        }

        public void addTerm(int i2, int i3, int i4) {
            int[] iArr = this.freqs;
            int i5 = this.ord;
            iArr[i5] = i2;
            this.prefixLengths[i5] = i3;
            this.suffixLengths[i5] = i4;
            this.ord = i5 + 1;
        }
    }

    public CompressingTermVectorsWriter(n nVar, q2 q2Var, String str, t tVar, String str2, CompressionMode compressionMode2, int i2) {
        this.directory = nVar;
        this.segment = q2Var.a;
        this.segmentSuffix = str;
        this.compressionMode = compressionMode2;
        this.compressor = compressionMode2.newCompressor();
        this.chunkSize = i2;
        this.termSuffixes = new w(c.a(i2, 1));
        this.payloadBytes = new w(c.a(1, 1));
        this.lastTerm = new l(c.a(30, 1));
        v a = nVar.a(a1.a(this.segment, str, "tvx"), tVar);
        try {
            this.vectorsStream = nVar.a(a1.a(this.segment, str, "tvd"), tVar);
            CodecUtil.writeHeader(a, str2 + "Index", 0);
            CodecUtil.writeHeader(this.vectorsStream, str2 + "Data", 0);
            this.indexWriter = new CompressingStoredFieldsIndexWriter(a);
            a = null;
            this.vectorsStream.b(1);
            this.vectorsStream.b(i2);
            this.writer = new h(this.vectorsStream, 64);
            this.positionsBuf = new int[1024];
            this.startOffsetsBuf = new int[1024];
            this.lengthsBuf = new int[1024];
            this.payloadLengthsBuf = new int[1024];
        } catch (Throwable th) {
            x.b(a);
            abort();
            throw th;
        }
    }

    private DocData addDocData(int i2) {
        FieldData fieldData;
        DocData docData;
        Iterator<DocData> descendingIterator = this.pendingDocs.descendingIterator();
        while (true) {
            if (!descendingIterator.hasNext()) {
                fieldData = null;
                break;
            }
            DocData next = descendingIterator.next();
            if (!next.fields.isEmpty()) {
                fieldData = next.fields.getLast();
                break;
            }
        }
        if (fieldData == null) {
            docData = new DocData(i2, 0, 0, 0);
        } else {
            int i3 = 0;
            int i4 = fieldData.posStart + (fieldData.hasPositions ? fieldData.totalPositions : 0);
            int i5 = fieldData.offStart + (fieldData.hasOffsets ? fieldData.totalPositions : 0);
            int i6 = fieldData.payStart;
            if (fieldData.hasPayloads) {
                i3 = fieldData.totalPositions;
            }
            docData = new DocData(i2, i4, i5, i6 + i3);
        }
        this.pendingDocs.add(docData);
        return docData;
    }

    private void flush() {
        int size = this.pendingDocs.size();
        this.indexWriter.writeIndex(size, this.vectorsStream.a());
        this.vectorsStream.b(this.numDocs - size);
        this.vectorsStream.b(size);
        int flushNumFields = flushNumFields(size);
        if (flushNumFields > 0) {
            int[] flushFieldNums = flushFieldNums();
            flushFields(flushNumFields, flushFieldNums);
            flushFlags(flushNumFields, flushFieldNums);
            flushNumTerms(flushNumFields);
            flushTermLengths();
            flushTermFreqs();
            flushPositions();
            flushOffsets(flushFieldNums);
            flushPayloadLengths();
            Compressor compressor2 = this.compressor;
            w wVar = this.termSuffixes;
            compressor2.compress(wVar.y, 0, wVar.z, this.vectorsStream);
        }
        this.pendingDocs.clear();
        this.curDoc = null;
        this.curField = null;
        this.termSuffixes.z = 0;
    }

    private int[] flushFieldNums() {
        TreeSet treeSet = new TreeSet();
        for (DocData docData : this.pendingDocs) {
            for (FieldData fieldData : docData.fields) {
                treeSet.add(Integer.valueOf(fieldData.fieldNum));
            }
        }
        int size = treeSet.size();
        int a = x0.a((long) ((Integer) treeSet.last()).intValue());
        int i2 = size - 1;
        this.vectorsStream.a((byte) ((Math.min(i2, 7) << 5) | a));
        if (i2 >= 7) {
            this.vectorsStream.b(i2 - 7);
        }
        x0.m a2 = x0.a(this.vectorsStream, x0.d.PACKED, treeSet.size(), a, 1);
        Iterator it = treeSet.iterator();
        while (it.hasNext()) {
            a2.a((long) ((Integer) it.next()).intValue());
        }
        a2.a();
        int[] iArr = new int[treeSet.size()];
        int i3 = 0;
        Iterator it2 = treeSet.iterator();
        while (it2.hasNext()) {
            iArr[i3] = ((Integer) it2.next()).intValue();
            i3++;
        }
        return iArr;
    }

    private void flushFields(int i2, int[] iArr) {
        x0.m a = x0.a(this.vectorsStream, x0.d.PACKED, i2, x0.a((long) (iArr.length - 1)), 1);
        for (DocData docData : this.pendingDocs) {
            for (FieldData fieldData : docData.fields) {
                a.a((long) Arrays.binarySearch(iArr, fieldData.fieldNum));
            }
        }
        a.a();
    }

    private void flushFlags(int i2, int[] iArr) {
        int i3;
        boolean z;
        int length = iArr.length;
        int[] iArr2 = new int[length];
        Arrays.fill(iArr2, -1);
        Iterator<DocData> it = this.pendingDocs.iterator();
        loop0:
        while (true) {
            if (!it.hasNext()) {
                z = true;
                break;
            }
            Iterator<FieldData> it2 = it.next().fields.iterator();
            while (true) {
                if (it2.hasNext()) {
                    FieldData next = it2.next();
                    int binarySearch = Arrays.binarySearch(iArr, next.fieldNum);
                    if (iArr2[binarySearch] == -1) {
                        iArr2[binarySearch] = next.flags;
                    } else if (iArr2[binarySearch] != next.flags) {
                        z = false;
                        break loop0;
                    }
                }
            }
        }
        if (z) {
            this.vectorsStream.b(0);
            x0.m a = x0.a(this.vectorsStream, x0.d.PACKED, length, FLAGS_BITS, 1);
            for (i3 = 0; i3 < length; i3++) {
                a.a((long) iArr2[i3]);
            }
            a.a();
            return;
        }
        this.vectorsStream.b(1);
        x0.m a2 = x0.a(this.vectorsStream, x0.d.PACKED, i2, FLAGS_BITS, 1);
        for (DocData docData : this.pendingDocs) {
            for (FieldData fieldData : docData.fields) {
                a2.a((long) fieldData.flags);
            }
        }
        a2.a();
    }

    private int flushNumFields(int i2) {
        if (i2 == 1) {
            int i3 = this.pendingDocs.getFirst().numFields;
            this.vectorsStream.b(i3);
            return i3;
        }
        this.writer.a(this.vectorsStream);
        int i4 = 0;
        for (DocData docData : this.pendingDocs) {
            this.writer.a((long) docData.numFields);
            i4 += docData.numFields;
        }
        this.writer.a();
        return i4;
    }

    private void flushNumTerms(int i2) {
        int i3 = 0;
        for (DocData docData : this.pendingDocs) {
            for (FieldData fieldData : docData.fields) {
                i3 |= fieldData.numTerms;
            }
        }
        int a = x0.a((long) i3);
        this.vectorsStream.b(a);
        x0.m a2 = x0.a(this.vectorsStream, x0.d.PACKED, i2, a, 1);
        for (DocData docData2 : this.pendingDocs) {
            for (FieldData fieldData2 : docData2.fields) {
                a2.a((long) fieldData2.numTerms);
            }
        }
        a2.a();
    }

    private void flushOffsets(int[] iArr) {
        long[] jArr = new long[iArr.length];
        long[] jArr2 = new long[iArr.length];
        Iterator<DocData> it = this.pendingDocs.iterator();
        boolean z = false;
        while (it.hasNext()) {
            for (FieldData fieldData : it.next().fields) {
                boolean z2 = fieldData.hasOffsets;
                boolean z3 = z | z2;
                if (z2 && fieldData.hasPositions) {
                    int binarySearch = Arrays.binarySearch(iArr, fieldData.fieldNum);
                    int i2 = 0;
                    for (int i3 = 0; i3 < fieldData.numTerms; i3++) {
                        int i4 = 0;
                        int i5 = 0;
                        int i6 = 0;
                        while (i4 < fieldData.freqs[i3]) {
                            int i7 = this.positionsBuf[fieldData.posStart + i2];
                            int i8 = this.startOffsetsBuf[fieldData.offStart + i2];
                            jArr[binarySearch] = jArr[binarySearch] + ((long) (i7 - i5));
                            jArr2[binarySearch] = jArr2[binarySearch] + ((long) (i8 - i6));
                            i2++;
                            i4++;
                            i6 = i8;
                            z3 = z3;
                            it = it;
                            i5 = i7;
                        }
                    }
                }
                z = z3;
                it = it;
            }
        }
        if (z) {
            float[] fArr = new float[iArr.length];
            for (int i9 = 0; i9 < iArr.length; i9++) {
                fArr[i9] = (jArr[i9] <= 0 || jArr2[i9] <= 0) ? 0.0f : (float) (((double) jArr2[i9]) / ((double) jArr[i9]));
            }
            for (int i10 = 0; i10 < iArr.length; i10++) {
                this.vectorsStream.a(Float.floatToRawIntBits(fArr[i10]));
            }
            this.writer.a(this.vectorsStream);
            for (DocData docData : this.pendingDocs) {
                for (FieldData fieldData2 : docData.fields) {
                    if ((fieldData2.flags & 2) != 0) {
                        float f2 = fArr[Arrays.binarySearch(iArr, fieldData2.fieldNum)];
                        int i11 = 0;
                        for (int i12 = 0; i12 < fieldData2.numTerms; i12++) {
                            int i13 = 0;
                            int i14 = 0;
                            int i15 = 0;
                            while (i13 < fieldData2.freqs[i12]) {
                                int i16 = fieldData2.hasPositions ? this.positionsBuf[fieldData2.posStart + i11] : 0;
                                int i17 = this.startOffsetsBuf[fieldData2.offStart + i11];
                                this.writer.a((long) ((i17 - i14) - ((int) (((float) (i16 - i15)) * f2))));
                                i11++;
                                i13++;
                                i15 = i16;
                                i14 = i17;
                            }
                        }
                    }
                }
            }
            this.writer.a();
            this.writer.a(this.vectorsStream);
            for (DocData docData2 : this.pendingDocs) {
                for (FieldData fieldData3 : docData2.fields) {
                    if ((fieldData3.flags & 2) != 0) {
                        int i18 = 0;
                        for (int i19 = 0; i19 < fieldData3.numTerms; i19++) {
                            int i20 = 0;
                            while (i20 < fieldData3.freqs[i19]) {
                                this.writer.a((long) ((this.lengthsBuf[fieldData3.offStart + i18] - fieldData3.prefixLengths[i19]) - fieldData3.suffixLengths[i19]));
                                i20++;
                                i18++;
                            }
                        }
                    }
                }
            }
            this.writer.a();
        }
    }

    private void flushPayloadLengths() {
        this.writer.a(this.vectorsStream);
        for (DocData docData : this.pendingDocs) {
            for (FieldData fieldData : docData.fields) {
                if (fieldData.hasPayloads) {
                    for (int i2 = 0; i2 < fieldData.totalPositions; i2++) {
                        this.writer.a((long) this.payloadLengthsBuf[fieldData.payStart + i2]);
                    }
                }
            }
        }
        this.writer.a();
    }

    private void flushPositions() {
        this.writer.a(this.vectorsStream);
        for (DocData docData : this.pendingDocs) {
            for (FieldData fieldData : docData.fields) {
                if (fieldData.hasPositions) {
                    int i2 = 0;
                    for (int i3 = 0; i3 < fieldData.numTerms; i3++) {
                        int i4 = 0;
                        int i5 = 0;
                        while (i4 < fieldData.freqs[i3]) {
                            int i6 = i2 + 1;
                            int i7 = this.positionsBuf[fieldData.posStart + i2];
                            this.writer.a((long) (i7 - i5));
                            i4++;
                            i5 = i7;
                            i2 = i6;
                        }
                    }
                }
            }
        }
        this.writer.a();
    }

    private void flushTermFreqs() {
        this.writer.a(this.vectorsStream);
        for (DocData docData : this.pendingDocs) {
            for (FieldData fieldData : docData.fields) {
                for (int i2 = 0; i2 < fieldData.numTerms; i2++) {
                    this.writer.a((long) (fieldData.freqs[i2] - 1));
                }
            }
        }
        this.writer.a();
    }

    private void flushTermLengths() {
        this.writer.a(this.vectorsStream);
        for (DocData docData : this.pendingDocs) {
            for (FieldData fieldData : docData.fields) {
                for (int i2 = 0; i2 < fieldData.numTerms; i2++) {
                    this.writer.a((long) fieldData.prefixLengths[i2]);
                }
            }
        }
        this.writer.a();
        this.writer.a(this.vectorsStream);
        for (DocData docData2 : this.pendingDocs) {
            for (FieldData fieldData2 : docData2.fields) {
                for (int i3 = 0; i3 < fieldData2.numTerms; i3++) {
                    this.writer.a((long) fieldData2.suffixLengths[i3]);
                }
            }
        }
        this.writer.a();
    }

    public static int nextDeletedDoc(int i2, j jVar, int i3) {
        if (jVar == null) {
            return i3;
        }
        while (i2 < i3 && jVar.get(i2)) {
            i2++;
        }
        return i2;
    }

    public static int nextLiveDoc(int i2, j jVar, int i3) {
        if (jVar == null) {
            return i2;
        }
        while (i2 < i3 && !jVar.get(i2)) {
            i2++;
        }
        return i2;
    }

    private boolean triggerFlush() {
        return this.termSuffixes.z >= this.chunkSize || this.pendingDocs.size() >= 128;
    }

    @Override // org.apache.lucene.codecs.TermVectorsWriter
    public void abort() {
        x.b(this);
        x.a(this.directory, a1.a(this.segment, this.segmentSuffix, "tvd"), a1.a(this.segment, this.segmentSuffix, "tvx"));
    }

    @Override // org.apache.lucene.codecs.TermVectorsWriter
    public void addPosition(int i2, int i3, int i4, l lVar) {
        this.curField.addPosition(i2, i3, i4 - i3, lVar == null ? 0 : lVar.z);
        if (this.curField.hasPayloads && lVar != null) {
            this.payloadBytes.a(lVar.x, lVar.y, lVar.z);
        }
    }

    @Override // org.apache.lucene.codecs.TermVectorsWriter
    public void addProx(int i2, i.a.b.f.l lVar, i.a.b.f.l lVar2) {
        FieldData fieldData = this.curField;
        if (fieldData.hasPositions) {
            int i3 = fieldData.posStart + fieldData.totalPositions;
            int i4 = i3 + i2;
            int[] iArr = this.positionsBuf;
            if (i4 > iArr.length) {
                this.positionsBuf = c.a(iArr, i4);
            }
            FieldData fieldData2 = this.curField;
            if (fieldData2.hasPayloads) {
                int i5 = fieldData2.payStart + fieldData2.totalPositions;
                int i6 = i5 + i2;
                int[] iArr2 = this.payloadLengthsBuf;
                if (i6 > iArr2.length) {
                    this.payloadLengthsBuf = c.a(iArr2, i6);
                }
                int i7 = 0;
                for (int i8 = 0; i8 < i2; i8++) {
                    int readVInt = lVar.readVInt();
                    if ((readVInt & 1) != 0) {
                        int readVInt2 = lVar.readVInt();
                        this.payloadLengthsBuf[i5 + i8] = readVInt2;
                        this.payloadBytes.a(lVar, (long) readVInt2);
                    } else {
                        this.payloadLengthsBuf[i5 + i8] = 0;
                    }
                    i7 += readVInt >>> 1;
                    this.positionsBuf[i3 + i8] = i7;
                }
            } else {
                int i9 = 0;
                for (int i10 = 0; i10 < i2; i10++) {
                    i9 += lVar.readVInt() >>> 1;
                    this.positionsBuf[i3 + i10] = i9;
                }
            }
        }
        FieldData fieldData3 = this.curField;
        if (fieldData3.hasOffsets) {
            int i11 = fieldData3.offStart + fieldData3.totalPositions;
            int i12 = i11 + i2;
            if (i12 > this.startOffsetsBuf.length) {
                int a = c.a(i12, 4);
                this.startOffsetsBuf = Arrays.copyOf(this.startOffsetsBuf, a);
                this.lengthsBuf = Arrays.copyOf(this.lengthsBuf, a);
            }
            int i13 = 0;
            for (int i14 = 0; i14 < i2; i14++) {
                int readVInt3 = lVar2.readVInt() + i13;
                i13 = lVar2.readVInt() + readVInt3;
                int i15 = i11 + i14;
                this.startOffsetsBuf[i15] = readVInt3;
                this.lengthsBuf[i15] = i13 - readVInt3;
            }
        }
        this.curField.totalPositions += i2;
    }

    @Override // org.apache.lucene.codecs.TermVectorsWriter, java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        try {
            x.a(this.vectorsStream, this.indexWriter);
        } finally {
            this.vectorsStream = null;
            this.indexWriter = null;
        }
    }

    @Override // org.apache.lucene.codecs.TermVectorsWriter
    public void finish(l0 l0Var, int i2) {
        if (!this.pendingDocs.isEmpty()) {
            flush();
        }
        if (i2 == this.numDocs) {
            this.indexWriter.finish(i2);
            return;
        }
        throw new RuntimeException(a.a(a.b("Wrote "), this.numDocs, " docs, finish called with numDocs=", i2));
    }

    @Override // org.apache.lucene.codecs.TermVectorsWriter
    public void finishDocument() {
        w wVar = this.termSuffixes;
        w wVar2 = this.payloadBytes;
        wVar.a(wVar2.y, 0, wVar2.z);
        this.payloadBytes.z = 0;
        this.numDocs++;
        if (triggerFlush()) {
            flush();
        }
        this.curDoc = null;
    }

    @Override // org.apache.lucene.codecs.TermVectorsWriter
    public void finishField() {
        this.curField = null;
    }

    @Override // org.apache.lucene.codecs.TermVectorsWriter
    public Comparator<l> getComparator() {
        return l.C;
    }

    @Override // org.apache.lucene.codecs.TermVectorsWriter
    public int merge(t1 t1Var) {
        Iterator<i.a.b.c.a> it;
        v2 v2Var;
        Iterator<i.a.b.c.a> it2;
        TermVectorsReader m;
        Iterator<i.a.b.c.a> it3 = t1Var.c.iterator();
        int i2 = 0;
        int i3 = 0;
        int i4 = 0;
        while (it3.hasNext()) {
            i.a.b.c.a next = it3.next();
            int i5 = i4 + 1;
            v2 v2Var2 = t1Var.f1048h[i4];
            CompressingTermVectorsReader compressingTermVectorsReader = null;
            if (!(v2Var2 == null || (m = v2Var2.m()) == null || !(m instanceof CompressingTermVectorsReader))) {
                compressingTermVectorsReader = (CompressingTermVectorsReader) m;
            }
            int e2 = next.e();
            j k = next.k();
            if (compressingTermVectorsReader != null && compressingTermVectorsReader.getCompressionMode() == this.compressionMode && compressingTermVectorsReader.getChunkSize() == this.chunkSize && compressingTermVectorsReader.getPackedIntsVersion() == 1) {
                CompressingStoredFieldsIndexReader index = compressingTermVectorsReader.getIndex();
                u vectorsStream2 = compressingTermVectorsReader.getVectorsStream();
                int nextLiveDoc = nextLiveDoc(i2, k, e2);
                while (nextLiveDoc < e2) {
                    if (!this.pendingDocs.isEmpty() || (nextLiveDoc != 0 && index.getStartPointer(nextLiveDoc - 1) >= index.getStartPointer(nextLiveDoc))) {
                        it2 = it3;
                        v2Var = v2Var2;
                        addAllDocVectors(next.b(nextLiveDoc), t1Var);
                        i3++;
                        t1Var.f1046f.a(300.0d);
                        nextLiveDoc = nextLiveDoc(nextLiveDoc + 1, k, e2);
                    } else {
                        vectorsStream2.seek(index.getStartPointer(nextLiveDoc));
                        int readVInt = vectorsStream2.readVInt();
                        int readVInt2 = vectorsStream2.readVInt();
                        int i6 = readVInt + readVInt2;
                        if (i6 >= v2Var2.e() || nextDeletedDoc(readVInt, k, i6) != i6) {
                            it2 = it3;
                            v2Var = v2Var2;
                            while (true) {
                                next = next;
                                if (nextLiveDoc >= i6) {
                                    break;
                                }
                                addAllDocVectors(next.b(nextLiveDoc), t1Var);
                                t1Var.f1046f.a(300.0d);
                                nextLiveDoc = nextLiveDoc(nextLiveDoc + 1, k, e2);
                                i3++;
                            }
                        } else {
                            it2 = it3;
                            long startPointer = index.getStartPointer(i6) - vectorsStream2.getFilePointer();
                            v2Var = v2Var2;
                            this.indexWriter.writeIndex(readVInt2, this.vectorsStream.a());
                            this.vectorsStream.b(i3);
                            this.vectorsStream.b(readVInt2);
                            this.vectorsStream.a(vectorsStream2, startPointer);
                            i3 += readVInt2;
                            this.numDocs += readVInt2;
                            t1Var.f1046f.a((double) (readVInt2 * 300));
                            nextLiveDoc = nextLiveDoc(i6, k, e2);
                            next = next;
                        }
                    }
                    it3 = it2;
                    v2Var2 = v2Var;
                }
                it = it3;
            } else {
                it = it3;
                for (int nextLiveDoc2 = nextLiveDoc(0, k, e2); nextLiveDoc2 < e2; nextLiveDoc2 = nextLiveDoc(nextLiveDoc2 + 1, k, e2)) {
                    addAllDocVectors(next.b(nextLiveDoc2), t1Var);
                    i3++;
                    t1Var.f1046f.a(300.0d);
                }
            }
            i4 = i5;
            it3 = it;
            i2 = 0;
        }
        finish(t1Var.f1043b, i3);
        return i3;
    }

    @Override // org.apache.lucene.codecs.TermVectorsWriter
    public void startDocument(int i2) {
        this.curDoc = addDocData(i2);
    }

    @Override // org.apache.lucene.codecs.TermVectorsWriter
    public void startField(k0 k0Var, int i2, boolean z, boolean z2, boolean z3) {
        this.curField = this.curDoc.addField(k0Var.f949b, i2, z, z2, z3);
        this.lastTerm.z = 0;
    }

    @Override // org.apache.lucene.codecs.TermVectorsWriter
    public void startTerm(l lVar, int i2) {
        int a = w0.a(this.lastTerm, lVar);
        this.curField.addTerm(i2, a, lVar.z - a);
        this.termSuffixes.a(lVar.x, lVar.y + a, lVar.z - a);
        l lVar2 = this.lastTerm;
        int length = lVar2.x.length;
        int i3 = lVar.z;
        if (length < i3) {
            lVar2.x = new byte[c.a(i3, 1)];
        }
        l lVar3 = this.lastTerm;
        lVar3.y = 0;
        lVar3.z = lVar.z;
        System.arraycopy(lVar.x, lVar.y, lVar3.x, 0, lVar.z);
    }
}
