package org.apache.lucene.codecs.lucene3x;

import i.a.b.c.a1;
import i.a.b.c.q2;
import i.a.b.c.u2;
import i.a.b.c.w2;
import java.util.HashSet;
import java.util.Set;
import org.apache.lucene.codecs.Codec;
import org.apache.lucene.codecs.DocValuesConsumer;
import org.apache.lucene.codecs.DocValuesFormat;
import org.apache.lucene.codecs.DocValuesProducer;
import org.apache.lucene.codecs.FieldInfosFormat;
import org.apache.lucene.codecs.LiveDocsFormat;
import org.apache.lucene.codecs.NormsFormat;
import org.apache.lucene.codecs.PostingsFormat;
import org.apache.lucene.codecs.SegmentInfoFormat;
import org.apache.lucene.codecs.StoredFieldsFormat;
import org.apache.lucene.codecs.TermVectorsFormat;
import org.apache.lucene.codecs.lucene40.Lucene40LiveDocsFormat;

@Deprecated
public class Lucene3xCodec extends Codec {
    public static final String COMPOUND_FILE_STORE_EXTENSION = "cfx";
    public final DocValuesFormat docValuesFormat = new DocValuesFormat("Lucene3x") {
        /* class org.apache.lucene.codecs.lucene3x.Lucene3xCodec.AnonymousClass1 */

        @Override // org.apache.lucene.codecs.DocValuesFormat
        public DocValuesConsumer fieldsConsumer(w2 w2Var) {
            throw new UnsupportedOperationException("this codec cannot write docvalues");
        }

        @Override // org.apache.lucene.codecs.DocValuesFormat
        public DocValuesProducer fieldsProducer(u2 u2Var) {
            return null;
        }
    };
    public final FieldInfosFormat fieldInfosFormat = new Lucene3xFieldInfosFormat();
    public final StoredFieldsFormat fieldsFormat = new Lucene3xStoredFieldsFormat();
    public final SegmentInfoFormat infosFormat = new Lucene3xSegmentInfoFormat();
    public final LiveDocsFormat liveDocsFormat = new Lucene40LiveDocsFormat();
    public final Lucene3xNormsFormat normsFormat = new Lucene3xNormsFormat();
    public final PostingsFormat postingsFormat = new Lucene3xPostingsFormat();
    public final TermVectorsFormat vectorsFormat = new Lucene3xTermVectorsFormat();

    public Lucene3xCodec() {
        super("Lucene3x");
    }

    public static Set<String> getDocStoreFiles(q2 q2Var) {
        if (Lucene3xSegmentInfoFormat.getDocStoreOffset(q2Var) == -1) {
            return null;
        }
        String docStoreSegment = Lucene3xSegmentInfoFormat.getDocStoreSegment(q2Var);
        HashSet hashSet = new HashSet();
        if (Lucene3xSegmentInfoFormat.getDocStoreIsCompoundFile(q2Var)) {
            hashSet.add(a1.a(docStoreSegment, "", COMPOUND_FILE_STORE_EXTENSION));
        } else {
            hashSet.add(a1.a(docStoreSegment, "", "fdx"));
            hashSet.add(a1.a(docStoreSegment, "", "fdt"));
            hashSet.add(a1.a(docStoreSegment, "", "tvx"));
            hashSet.add(a1.a(docStoreSegment, "", "tvf"));
            hashSet.add(a1.a(docStoreSegment, "", "tvd"));
        }
        return hashSet;
    }

    @Override // org.apache.lucene.codecs.Codec
    public DocValuesFormat docValuesFormat() {
        return this.docValuesFormat;
    }

    @Override // org.apache.lucene.codecs.Codec
    public FieldInfosFormat fieldInfosFormat() {
        return this.fieldInfosFormat;
    }

    @Override // org.apache.lucene.codecs.Codec
    public LiveDocsFormat liveDocsFormat() {
        return this.liveDocsFormat;
    }

    @Override // org.apache.lucene.codecs.Codec
    public NormsFormat normsFormat() {
        return this.normsFormat;
    }

    @Override // org.apache.lucene.codecs.Codec
    public PostingsFormat postingsFormat() {
        return this.postingsFormat;
    }

    @Override // org.apache.lucene.codecs.Codec
    public SegmentInfoFormat segmentInfoFormat() {
        return this.infosFormat;
    }

    @Override // org.apache.lucene.codecs.Codec
    public StoredFieldsFormat storedFieldsFormat() {
        return this.fieldsFormat;
    }

    @Override // org.apache.lucene.codecs.Codec
    public TermVectorsFormat termVectorsFormat() {
        return this.vectorsFormat;
    }
}
