package org.apache.lucene.codecs.lucene3x;

import i.a.b.c.a1;
import i.a.b.c.b0;
import i.a.b.c.b1;
import i.a.b.c.c0;
import i.a.b.c.c1;
import i.a.b.c.k0;
import i.a.b.c.l0;
import i.a.b.c.n0;
import i.a.b.c.n3;
import i.a.b.c.o3;
import i.a.b.c.q2;
import i.a.b.f.j;
import i.a.b.f.n;
import i.a.b.f.t;
import i.a.b.f.u;
import i.a.b.g.l;
import i.a.b.g.x;
import java.util.Arrays;
import java.util.Comparator;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import java.util.NoSuchElementException;
import org.apache.lucene.codecs.TermVectorsReader;

@Deprecated
public class Lucene3xTermVectorsReader extends TermVectorsReader {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public static final int FORMAT_CURRENT = 4;
    public static final int FORMAT_MINIMUM = 4;
    public static final int FORMAT_SIZE = 4;
    public static final int FORMAT_UTF8_LENGTH_IN_BYTES = 4;
    public static final byte STORE_OFFSET_WITH_TERMVECTOR = 2;
    public static final byte STORE_POSITIONS_WITH_TERMVECTOR = 1;
    public static final String VECTORS_DOCUMENTS_EXTENSION = "tvd";
    public static final String VECTORS_FIELDS_EXTENSION = "tvf";
    public static final String VECTORS_INDEX_EXTENSION = "tvx";
    public int docStoreOffset;
    public l0 fieldInfos;
    public final int format;
    public int numTotalDocs;
    public int size;
    public final j storeCFSReader;
    public u tvd;
    public u tvf;
    public u tvx;

    public static class TVDocsAndPositionsEnum extends b0 {
        public static final /* synthetic */ boolean $assertionsDisabled = false;
        public boolean didNext;
        public int doc;
        public int[] endOffsets;
        public i.a.b.g.j liveDocs;
        public int nextPos;
        public int[] positions;
        public int[] startOffsets;

        public TVDocsAndPositionsEnum() {
            this.doc = -1;
        }

        @Override // i.a.b.e.r
        public int advance(int i2) {
            if (!this.didNext && i2 == 0) {
                return nextDoc();
            }
            this.doc = Integer.MAX_VALUE;
            return Integer.MAX_VALUE;
        }

        @Override // i.a.b.e.r
        public long cost() {
            return 1;
        }

        @Override // i.a.b.e.r
        public int docID() {
            return this.doc;
        }

        @Override // i.a.b.c.b0
        public int endOffset() {
            int[] iArr = this.endOffsets;
            if (iArr != null) {
                return iArr[this.nextPos - 1];
            }
            return -1;
        }

        @Override // i.a.b.c.c0
        public int freq() {
            int[] iArr = this.positions;
            if (iArr != null) {
                return iArr.length;
            }
            return this.startOffsets.length;
        }

        @Override // i.a.b.c.b0
        public l getPayload() {
            return null;
        }

        @Override // i.a.b.e.r
        public int nextDoc() {
            i.a.b.g.j jVar;
            if (this.didNext || ((jVar = this.liveDocs) != null && !jVar.get(0))) {
                this.doc = Integer.MAX_VALUE;
                return Integer.MAX_VALUE;
            }
            this.didNext = true;
            this.doc = 0;
            return 0;
        }

        @Override // i.a.b.c.b0
        public int nextPosition() {
            int[] iArr = this.positions;
            if (iArr != null) {
                int i2 = this.nextPos;
                this.nextPos = i2 + 1;
                return iArr[i2];
            }
            this.nextPos++;
            return -1;
        }

        public void reset(i.a.b.g.j jVar, TermAndPostings termAndPostings) {
            this.liveDocs = jVar;
            this.positions = termAndPostings.positions;
            this.startOffsets = termAndPostings.startOffsets;
            this.endOffsets = termAndPostings.endOffsets;
            this.doc = -1;
            this.didNext = false;
            this.nextPos = 0;
        }

        @Override // i.a.b.c.b0
        public int startOffset() {
            int[] iArr = this.startOffsets;
            if (iArr != null) {
                return iArr[this.nextPos - 1];
            }
            return -1;
        }
    }

    public static class TVDocsEnum extends c0 {
        public boolean didNext;
        public int doc;
        public int freq;
        public i.a.b.g.j liveDocs;

        public TVDocsEnum() {
            this.doc = -1;
        }

        @Override // i.a.b.e.r
        public int advance(int i2) {
            if (!this.didNext && i2 == 0) {
                return nextDoc();
            }
            this.doc = Integer.MAX_VALUE;
            return Integer.MAX_VALUE;
        }

        @Override // i.a.b.e.r
        public long cost() {
            return 1;
        }

        @Override // i.a.b.e.r
        public int docID() {
            return this.doc;
        }

        @Override // i.a.b.c.c0
        public int freq() {
            return this.freq;
        }

        @Override // i.a.b.e.r
        public int nextDoc() {
            i.a.b.g.j jVar;
            if (this.didNext || ((jVar = this.liveDocs) != null && !jVar.get(0))) {
                this.doc = Integer.MAX_VALUE;
                return Integer.MAX_VALUE;
            }
            this.didNext = true;
            this.doc = 0;
            return 0;
        }

        public void reset(i.a.b.g.j jVar, TermAndPostings termAndPostings) {
            this.liveDocs = jVar;
            this.freq = termAndPostings.freq;
            this.doc = -1;
            this.didNext = false;
        }
    }

    public class TVFields extends n0 {
        public static final /* synthetic */ boolean $assertionsDisabled = false;
        public final long[] fieldFPs;
        public final Map<Integer, Integer> fieldNumberToIndex = new HashMap();
        public final int[] fieldNumbers;

        public TVFields(int i2) {
            Lucene3xTermVectorsReader.this.seekTvx(i2);
            Lucene3xTermVectorsReader.this.tvd.seek(Lucene3xTermVectorsReader.this.tvx.readLong());
            int readVInt = Lucene3xTermVectorsReader.this.tvd.readVInt();
            if (readVInt != 0) {
                this.fieldNumbers = new int[readVInt];
                this.fieldFPs = new long[readVInt];
                for (int i3 = 0; i3 < readVInt; i3++) {
                    int readVInt2 = Lucene3xTermVectorsReader.this.tvd.readVInt();
                    this.fieldNumbers[i3] = readVInt2;
                    this.fieldNumberToIndex.put(Integer.valueOf(readVInt2), Integer.valueOf(i3));
                }
                long readLong = Lucene3xTermVectorsReader.this.tvx.readLong();
                this.fieldFPs[0] = readLong;
                for (int i4 = 1; i4 < readVInt; i4++) {
                    readLong += Lucene3xTermVectorsReader.this.tvd.readVLong();
                    this.fieldFPs[i4] = readLong;
                }
                return;
            }
            this.fieldNumbers = null;
            this.fieldFPs = null;
        }

        @Override // i.a.b.c.n0, java.lang.Iterable
        public Iterator<String> iterator() {
            return new Iterator<String>() {
                /* class org.apache.lucene.codecs.lucene3x.Lucene3xTermVectorsReader.TVFields.AnonymousClass1 */
                public int fieldUpto;

                public boolean hasNext() {
                    return TVFields.this.fieldNumbers != null && this.fieldUpto < TVFields.this.fieldNumbers.length;
                }

                public void remove() {
                    throw new UnsupportedOperationException();
                }

                @Override // java.util.Iterator
                public String next() {
                    if (TVFields.this.fieldNumbers == null || this.fieldUpto >= TVFields.this.fieldNumbers.length) {
                        throw new NoSuchElementException();
                    }
                    l0 l0Var = Lucene3xTermVectorsReader.this.fieldInfos;
                    int[] iArr = TVFields.this.fieldNumbers;
                    int i2 = this.fieldUpto;
                    this.fieldUpto = i2 + 1;
                    return l0Var.a(iArr[i2]).a;
                }
            };
        }

        @Override // i.a.b.c.n0
        public int size() {
            int[] iArr = this.fieldNumbers;
            if (iArr == null) {
                return 0;
            }
            return iArr.length;
        }

        @Override // i.a.b.c.n0
        public n3 terms(String str) {
            Integer num;
            k0 k0Var = Lucene3xTermVectorsReader.this.fieldInfos.H.get(str);
            if (k0Var == null || (num = this.fieldNumberToIndex.get(Integer.valueOf(k0Var.f949b))) == null) {
                return null;
            }
            return new TVTerms(this.fieldFPs[num.intValue()]);
        }
    }

    public class TVTerms extends n3 {
        public final int numTerms;
        public final boolean storeOffsets;
        public final boolean storePositions;
        public final long tvfFPStart;
        public final boolean unicodeSortOrder;

        public TVTerms(long j) {
            Lucene3xTermVectorsReader.this.tvf.seek(j);
            this.numTerms = Lucene3xTermVectorsReader.this.tvf.readVInt();
            byte readByte = Lucene3xTermVectorsReader.this.tvf.readByte();
            boolean z = false;
            this.storePositions = (readByte & 1) != 0;
            this.storeOffsets = (readByte & 2) != 0 ? true : z;
            this.tvfFPStart = Lucene3xTermVectorsReader.this.tvf.getFilePointer();
            this.unicodeSortOrder = Lucene3xTermVectorsReader.this.sortTermsByUnicode();
        }

        @Override // i.a.b.c.n3
        public Comparator<l> getComparator() {
            if (this.unicodeSortOrder) {
                return l.C;
            }
            return l.D;
        }

        @Override // i.a.b.c.n3
        public int getDocCount() {
            return 1;
        }

        @Override // i.a.b.c.n3
        public long getSumDocFreq() {
            return (long) this.numTerms;
        }

        @Override // i.a.b.c.n3
        public long getSumTotalTermFreq() {
            return -1;
        }

        @Override // i.a.b.c.n3
        public boolean hasFreqs() {
            return true;
        }

        @Override // i.a.b.c.n3
        public boolean hasOffsets() {
            return this.storeOffsets;
        }

        @Override // i.a.b.c.n3
        public boolean hasPayloads() {
            return false;
        }

        @Override // i.a.b.c.n3
        public boolean hasPositions() {
            return this.storePositions;
        }

        @Override // i.a.b.c.n3
        public o3 iterator(o3 o3Var) {
            TVTermsEnum tVTermsEnum;
            if (o3Var instanceof TVTermsEnum) {
                tVTermsEnum = (TVTermsEnum) o3Var;
                if (!tVTermsEnum.canReuse(Lucene3xTermVectorsReader.this.tvf)) {
                    tVTermsEnum = new TVTermsEnum();
                }
            } else {
                tVTermsEnum = new TVTermsEnum();
            }
            tVTermsEnum.reset(this.numTerms, this.tvfFPStart, this.storePositions, this.storeOffsets, this.unicodeSortOrder);
            return tVTermsEnum;
        }

        @Override // i.a.b.c.n3
        public long size() {
            return (long) this.numTerms;
        }
    }

    public class TVTermsEnum extends o3 {
        public int currentTerm;
        public int numTerms;
        public final u origTVF;
        public boolean storeOffsets;
        public boolean storePositions;
        public TermAndPostings[] termAndPostings;
        public final u tvf;
        public boolean unicodeSortOrder;

        public TVTermsEnum() {
            u uVar = Lucene3xTermVectorsReader.this.tvf;
            this.origTVF = uVar;
            this.tvf = uVar.clone();
        }

        private void readVectors() {
            this.termAndPostings = new TermAndPostings[this.numTerms];
            l lVar = new l(l.A);
            for (int i2 = 0; i2 < this.numTerms; i2++) {
                TermAndPostings termAndPostings2 = new TermAndPostings();
                l lVar2 = new l(l.A);
                lVar2.c(lVar);
                int readVInt = this.tvf.readVInt();
                int readVInt2 = this.tvf.readVInt();
                int i3 = readVInt + readVInt2;
                lVar2.z = i3;
                lVar2.a(i3);
                this.tvf.readBytes(lVar2.x, readVInt, readVInt2);
                termAndPostings2.term = lVar2;
                int readVInt3 = this.tvf.readVInt();
                termAndPostings2.freq = readVInt3;
                if (this.storePositions) {
                    int[] iArr = new int[readVInt3];
                    int i4 = 0;
                    for (int i5 = 0; i5 < readVInt3; i5++) {
                        int readVInt4 = this.tvf.readVInt();
                        if (readVInt4 == -1) {
                            readVInt4 = 0;
                        }
                        i4 += readVInt4;
                        iArr[i5] = i4;
                    }
                    termAndPostings2.positions = iArr;
                }
                if (this.storeOffsets) {
                    int[] iArr2 = new int[readVInt3];
                    int[] iArr3 = new int[readVInt3];
                    int i6 = 0;
                    for (int i7 = 0; i7 < readVInt3; i7++) {
                        iArr2[i7] = this.tvf.readVInt() + i6;
                        i6 = iArr2[i7] + this.tvf.readVInt();
                        iArr3[i7] = i6;
                    }
                    termAndPostings2.startOffsets = iArr2;
                    termAndPostings2.endOffsets = iArr3;
                }
                lVar.c(lVar2);
                this.termAndPostings[i2] = termAndPostings2;
            }
        }

        public boolean canReuse(u uVar) {
            return uVar == this.origTVF;
        }

        @Override // i.a.b.c.o3
        public int docFreq() {
            return 1;
        }

        @Override // i.a.b.c.o3
        public c0 docs(i.a.b.g.j jVar, c0 c0Var, int i2) {
            TVDocsEnum tVDocsEnum;
            if (c0Var == null || !(c0Var instanceof TVDocsEnum)) {
                tVDocsEnum = new TVDocsEnum();
            } else {
                tVDocsEnum = (TVDocsEnum) c0Var;
            }
            tVDocsEnum.reset(jVar, this.termAndPostings[this.currentTerm]);
            return tVDocsEnum;
        }

        @Override // i.a.b.c.o3
        public b0 docsAndPositions(i.a.b.g.j jVar, b0 b0Var, int i2) {
            TVDocsAndPositionsEnum tVDocsAndPositionsEnum;
            if (!this.storePositions && !this.storeOffsets) {
                return null;
            }
            if (b0Var == null || !(b0Var instanceof TVDocsAndPositionsEnum)) {
                tVDocsAndPositionsEnum = new TVDocsAndPositionsEnum();
            } else {
                tVDocsAndPositionsEnum = (TVDocsAndPositionsEnum) b0Var;
            }
            tVDocsAndPositionsEnum.reset(jVar, this.termAndPostings[this.currentTerm]);
            return tVDocsAndPositionsEnum;
        }

        @Override // i.a.b.g.n
        public Comparator<l> getComparator() {
            if (this.unicodeSortOrder) {
                return l.C;
            }
            return l.D;
        }

        @Override // i.a.b.g.n
        public l next() {
            int i2 = this.currentTerm + 1;
            this.currentTerm = i2;
            if (i2 >= this.numTerms) {
                return null;
            }
            return term();
        }

        @Override // i.a.b.c.o3
        public long ord() {
            throw new UnsupportedOperationException();
        }

        public void reset(int i2, long j, boolean z, boolean z2, boolean z3) {
            this.numTerms = i2;
            this.storePositions = z;
            this.storeOffsets = z2;
            this.currentTerm = -1;
            this.tvf.seek(j);
            this.unicodeSortOrder = z3;
            readVectors();
            if (z3) {
                Arrays.sort(this.termAndPostings, new Comparator<TermAndPostings>() {
                    /* class org.apache.lucene.codecs.lucene3x.Lucene3xTermVectorsReader.TVTermsEnum.AnonymousClass1 */

                    public int compare(TermAndPostings termAndPostings, TermAndPostings termAndPostings2) {
                        return termAndPostings.term.compareTo(termAndPostings2.term);
                    }
                });
            }
        }

        @Override // i.a.b.c.o3
        public o3.c seekCeil(l lVar) {
            Comparator<l> comparator = getComparator();
            for (int i2 = 0; i2 < this.numTerms; i2++) {
                int compare = comparator.compare(lVar, this.termAndPostings[i2].term);
                if (compare < 0) {
                    this.currentTerm = i2;
                    return o3.c.NOT_FOUND;
                } else if (compare == 0) {
                    this.currentTerm = i2;
                    return o3.c.FOUND;
                }
            }
            this.currentTerm = this.termAndPostings.length;
            return o3.c.END;
        }

        @Override // i.a.b.c.o3
        public void seekExact(long j) {
            throw new UnsupportedOperationException();
        }

        @Override // i.a.b.c.o3
        public l term() {
            return this.termAndPostings[this.currentTerm].term;
        }

        @Override // i.a.b.c.o3
        public long totalTermFreq() {
            return (long) this.termAndPostings[this.currentTerm].freq;
        }
    }

    public static class TermAndPostings {
        public int[] endOffsets;
        public int freq;
        public int[] positions;
        public int[] startOffsets;
        public l term;
    }

    public Lucene3xTermVectorsReader(l0 l0Var, u uVar, u uVar2, u uVar3, int i2, int i3, int i4, int i5) {
        this.fieldInfos = l0Var;
        this.tvx = uVar;
        this.tvd = uVar2;
        this.tvf = uVar3;
        this.size = i2;
        this.numTotalDocs = i3;
        this.docStoreOffset = i4;
        this.format = i5;
        this.storeCFSReader = null;
    }

    private int checkValidFormat(u uVar) {
        int readInt = uVar.readInt();
        if (readInt < 4) {
            throw new c1(uVar, readInt, 4, 4);
        } else if (readInt <= 4) {
            return readInt;
        } else {
            throw new b1(uVar, readInt, 4, 4);
        }
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        x.a(this.tvx, this.tvd, this.tvf, this.storeCFSReader);
    }

    @Override // org.apache.lucene.codecs.TermVectorsReader
    public n0 get(int i2) {
        if (this.tvx == null) {
            return null;
        }
        TVFields tVFields = new TVFields(i2);
        if (tVFields.size() == 0) {
            return null;
        }
        return tVFields;
    }

    @Override // org.apache.lucene.codecs.TermVectorsReader
    public long ramBytesUsed() {
        return 0;
    }

    public void seekTvx(int i2) {
        this.tvx.seek((((long) (i2 + this.docStoreOffset)) * 16) + 4);
    }

    public int size() {
        return this.size;
    }

    public boolean sortTermsByUnicode() {
        return true;
    }

    @Override // org.apache.lucene.codecs.TermVectorsReader, org.apache.lucene.codecs.TermVectorsReader, java.lang.Object
    public TermVectorsReader clone() {
        u uVar;
        u uVar2;
        u uVar3;
        u uVar4 = this.tvx;
        if (uVar4 == null || this.tvd == null || this.tvf == null) {
            uVar3 = null;
            uVar2 = null;
            uVar = null;
        } else {
            u clone = uVar4.clone();
            uVar2 = this.tvd.clone();
            uVar3 = clone;
            uVar = this.tvf.clone();
        }
        return new Lucene3xTermVectorsReader(this.fieldInfos, uVar3, uVar2, uVar, this.size, this.numTotalDocs, this.docStoreOffset, this.format);
    }

    /* JADX WARNING: Removed duplicated region for block: B:10:0x0073 A[Catch:{ all -> 0x007a, all -> 0x007e }] */
    /* JADX WARNING: Removed duplicated region for block: B:9:0x006e A[Catch:{ all -> 0x007a, all -> 0x007e }] */
    public Lucene3xTermVectorsReader(n nVar, q2 q2Var, l0 l0Var, t tVar) {
        j jVar;
        String docStoreSegment = Lucene3xSegmentInfoFormat.getDocStoreSegment(q2Var);
        int docStoreOffset2 = Lucene3xSegmentInfoFormat.getDocStoreOffset(q2Var);
        int b2 = q2Var.b();
        if (docStoreOffset2 != -1) {
            try {
                if (Lucene3xSegmentInfoFormat.getDocStoreIsCompoundFile(q2Var)) {
                    j jVar2 = new j(q2Var.c, a1.a(docStoreSegment, "", Lucene3xCodec.COMPOUND_FILE_STORE_EXTENSION), tVar, false);
                    this.storeCFSReader = jVar2;
                    jVar = jVar2;
                    u c = jVar.c(a1.a(docStoreSegment, "", "tvx"), tVar);
                    this.tvx = c;
                    this.format = checkValidFormat(c);
                    u c2 = jVar.c(a1.a(docStoreSegment, "", "tvd"), tVar);
                    this.tvd = c2;
                    checkValidFormat(c2);
                    u c3 = jVar.c(a1.a(docStoreSegment, "", "tvf"), tVar);
                    this.tvf = c3;
                    checkValidFormat(c3);
                    int length = (int) (this.tvx.length() >> 4);
                    this.numTotalDocs = length;
                    if (-1 != docStoreOffset2) {
                        this.docStoreOffset = 0;
                        this.size = length;
                    } else {
                        this.docStoreOffset = docStoreOffset2;
                        this.size = b2;
                    }
                    this.fieldInfos = l0Var;
                    return;
                }
            } catch (Throwable unused) {
            }
        }
        this.storeCFSReader = null;
        jVar = nVar;
        u c4 = jVar.c(a1.a(docStoreSegment, "", "tvx"), tVar);
        this.tvx = c4;
        this.format = checkValidFormat(c4);
        u c22 = jVar.c(a1.a(docStoreSegment, "", "tvd"), tVar);
        this.tvd = c22;
        checkValidFormat(c22);
        u c32 = jVar.c(a1.a(docStoreSegment, "", "tvf"), tVar);
        this.tvf = c32;
        checkValidFormat(c32);
        int length2 = (int) (this.tvx.length() >> 4);
        this.numTotalDocs = length2;
        if (-1 != docStoreOffset2) {
        }
        this.fieldInfos = l0Var;
        return;
        throw th;
    }
}
