package org.apache.lucene.codecs.lucene3x;

import b.b.a.a.a;
import i.a.b.c.a1;
import i.a.b.c.i3;
import i.a.b.c.l0;
import i.a.b.f.n;
import i.a.b.f.t;
import i.a.b.g.l;
import i.a.b.g.p;
import i.a.b.g.u;
import i.a.b.g.x;
import java.io.Closeable;
import java.util.Comparator;

@Deprecated
public final class TermInfosReader implements Closeable {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public static final int DEFAULT_CACHE_SIZE = 1024;
    public static final Comparator<l> legacyComparator = l.D;
    public final n directory;
    public final l0 fieldInfos;
    public final TermInfosReaderIndex index;
    public final int indexLength;
    public final SegmentTermEnum origEnum;
    public final String segment;
    public final long size;
    public final u<CloneableTerm, TermInfoAndOrd> termsCache = new u<>(1024);
    public final p<ThreadResources> threadResources = new p<>();
    public final int totalIndexInterval;

    public static final class TermInfoAndOrd extends TermInfo {
        public static final /* synthetic */ boolean $assertionsDisabled = false;
        public final long termOrd;

        public TermInfoAndOrd(TermInfo termInfo, long j) {
            super(termInfo);
            this.termOrd = j;
        }
    }

    public static final class ThreadResources {
        public SegmentTermEnum termEnum;

        public ThreadResources() {
        }
    }

    public TermInfosReader(n nVar, String str, l0 l0Var, t tVar, int i2) {
        if (i2 >= 1 || i2 == -1) {
            try {
                this.directory = nVar;
                this.segment = str;
                this.fieldInfos = l0Var;
                SegmentTermEnum segmentTermEnum = new SegmentTermEnum(this.directory.c(a1.a(this.segment, "", Lucene3xPostingsFormat.TERMS_EXTENSION), tVar), this.fieldInfos, false);
                this.origEnum = segmentTermEnum;
                this.size = segmentTermEnum.size;
                if (i2 != -1) {
                    this.totalIndexInterval = segmentTermEnum.indexInterval * i2;
                    String a = a1.a(this.segment, "", Lucene3xPostingsFormat.TERMS_INDEX_EXTENSION);
                    SegmentTermEnum segmentTermEnum2 = new SegmentTermEnum(this.directory.c(a, tVar), this.fieldInfos, true);
                    try {
                        TermInfosReaderIndex termInfosReaderIndex = new TermInfosReaderIndex(segmentTermEnum2, i2, nVar.c(a), this.totalIndexInterval);
                        this.index = termInfosReaderIndex;
                        this.indexLength = termInfosReaderIndex.length();
                    } finally {
                        segmentTermEnum2.close();
                    }
                } else {
                    this.totalIndexInterval = -1;
                    this.index = null;
                    this.indexLength = -1;
                }
            } catch (Throwable th) {
                close();
                throw th;
            }
        } else {
            throw new IllegalArgumentException(a.c("indexDivisor must be -1 (don't load terms index) or greater than 0: got ", i2));
        }
    }

    private final int compareAsUTF16(i3 i3Var, i3 i3Var2) {
        if (i3Var.x.equals(i3Var2.x)) {
            return legacyComparator.compare(i3Var.y, i3Var2.y);
        }
        return i3Var.x.compareTo(i3Var2.x);
    }

    public static i3 deepCopyOf(i3 i3Var) {
        return new i3(i3Var.x, l.d(i3Var.y));
    }

    private void ensureIndexIsRead() {
        if (this.index == null) {
            throw new IllegalStateException("terms index was not loaded when this reader was created");
        }
    }

    private ThreadResources getThreadResources() {
        ThreadResources a = this.threadResources.a();
        if (a != null) {
            return a;
        }
        ThreadResources threadResources2 = new ThreadResources();
        threadResources2.termEnum = terms();
        this.threadResources.a(threadResources2);
        return threadResources2;
    }

    private boolean sameTermInfo(TermInfo termInfo, TermInfo termInfo2, SegmentTermEnum segmentTermEnum) {
        int i2 = termInfo.docFreq;
        if (i2 != termInfo2.docFreq || termInfo.freqPointer != termInfo2.freqPointer || termInfo.proxPointer != termInfo2.proxPointer) {
            return false;
        }
        if (i2 < segmentTermEnum.skipInterval || termInfo.skipOffset == termInfo2.skipOffset) {
            return true;
        }
        return false;
    }

    public void cacheCurrentTerm(SegmentTermEnum segmentTermEnum) {
        this.termsCache.a(new CloneableTerm(segmentTermEnum.term()), new TermInfoAndOrd(segmentTermEnum.termInfo, segmentTermEnum.position));
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        x.a(this.origEnum, this.threadResources);
    }

    public TermInfo get(i3 i3Var) {
        return get(i3Var, false);
    }

    public int getMaxSkipLevels() {
        return this.origEnum.maxSkipLevels;
    }

    /* JADX WARNING: Removed duplicated region for block: B:6:0x0029  */
    public long getPosition(i3 i3Var) {
        if (this.size == 0) {
            return -1;
        }
        ensureIndexIsRead();
        int indexOffset = this.index.getIndexOffset(i3Var);
        SegmentTermEnum segmentTermEnum = getThreadResources().termEnum;
        this.index.seekEnum(segmentTermEnum, indexOffset);
        while (compareAsUTF16(i3Var, segmentTermEnum.term()) > 0 && segmentTermEnum.next()) {
            while (compareAsUTF16(i3Var, segmentTermEnum.term()) > 0) {
                while (compareAsUTF16(i3Var, segmentTermEnum.term()) > 0) {
                }
            }
        }
        if (compareAsUTF16(i3Var, segmentTermEnum.term()) == 0) {
            return segmentTermEnum.position;
        }
        return -1;
    }

    public int getSkipInterval() {
        return this.origEnum.skipInterval;
    }

    public long ramBytesUsed() {
        TermInfosReaderIndex termInfosReaderIndex = this.index;
        if (termInfosReaderIndex == null) {
            return 0;
        }
        return termInfosReaderIndex.ramBytesUsed();
    }

    public TermInfo seekEnum(SegmentTermEnum segmentTermEnum, i3 i3Var, boolean z) {
        if (z) {
            return seekEnum(segmentTermEnum, i3Var, this.termsCache.a(new CloneableTerm(deepCopyOf(i3Var))), z);
        }
        return seekEnum(segmentTermEnum, i3Var, null, z);
    }

    public long size() {
        return this.size;
    }

    public SegmentTermEnum terms() {
        return this.origEnum.clone();
    }

    public static class CloneableTerm extends u.a {
        public i3 term;

        public CloneableTerm(i3 i3Var) {
            this.term = i3Var;
        }

        public boolean equals(Object obj) {
            return this.term.equals(((CloneableTerm) obj).term);
        }

        public int hashCode() {
            return this.term.hashCode();
        }

        @Override // i.a.b.g.u.a, i.a.b.g.u.a
        public CloneableTerm clone() {
            return new CloneableTerm(this.term);
        }
    }

    private TermInfo get(i3 i3Var, boolean z) {
        if (this.size == 0) {
            return null;
        }
        ensureIndexIsRead();
        TermInfoAndOrd a = this.termsCache.a(new CloneableTerm(i3Var));
        ThreadResources threadResources2 = getThreadResources();
        if (z || a == null) {
            return seekEnum(threadResources2.termEnum, i3Var, a, true);
        }
        return a;
    }

    public SegmentTermEnum terms(i3 i3Var) {
        get(i3Var, true);
        return getThreadResources().termEnum.clone();
    }

    public TermInfo seekEnum(SegmentTermEnum segmentTermEnum, i3 i3Var, TermInfoAndOrd termInfoAndOrd, boolean z) {
        int i2;
        int i3;
        TermInfo termInfo = null;
        if (this.size == 0) {
            return null;
        }
        if (segmentTermEnum.term() == null || (((segmentTermEnum.prev() == null || compareAsUTF16(i3Var, segmentTermEnum.prev()) <= 0) && compareAsUTF16(i3Var, segmentTermEnum.term()) < 0) || (this.indexLength != (i3 = ((int) (segmentTermEnum.position / ((long) this.totalIndexInterval))) + 1) && this.index.compareTo(i3Var, i3) >= 0))) {
            if (termInfoAndOrd != null) {
                i2 = (int) (termInfoAndOrd.termOrd / ((long) this.totalIndexInterval));
            } else {
                i2 = this.index.getIndexOffset(i3Var);
            }
            this.index.seekEnum(segmentTermEnum, i2);
            segmentTermEnum.scanTo(i3Var);
            if (segmentTermEnum.term() != null && compareAsUTF16(i3Var, segmentTermEnum.term()) == 0) {
                termInfo = segmentTermEnum.termInfo;
                if (termInfoAndOrd == null && z) {
                    this.termsCache.a(new CloneableTerm(deepCopyOf(i3Var)), new TermInfoAndOrd(termInfo, segmentTermEnum.position));
                }
            }
            return termInfo;
        }
        int scanTo = segmentTermEnum.scanTo(i3Var);
        if (segmentTermEnum.term() != null && compareAsUTF16(i3Var, segmentTermEnum.term()) == 0) {
            termInfo = segmentTermEnum.termInfo;
            if (scanTo > 1 && termInfoAndOrd == null && z) {
                this.termsCache.a(new CloneableTerm(deepCopyOf(i3Var)), new TermInfoAndOrd(termInfo, segmentTermEnum.position));
            }
        }
        return termInfo;
    }
}
