package org.apache.lucene.codecs.lucene40;

import b.b.a.a.a;
import i.a.b.f.n;
import i.a.b.f.t;
import i.a.b.f.u;
import i.a.b.f.v;
import i.a.b.g.h0;
import i.a.b.g.i;
import i.a.b.g.x;
import java.util.Arrays;
import org.apache.lucene.codecs.CodecUtil;

public final class BitVector implements Cloneable, h0 {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public static String CODEC = "BitVector";
    public static final int VERSION_CURRENT = 1;
    public static final int VERSION_DGAPS_CLEARED = 1;
    public static final int VERSION_PRE = -1;
    public static final int VERSION_START = 0;
    public byte[] bits;
    public int count;
    public int size;
    public int version;

    public BitVector(int i2) {
        this.size = i2;
        this.bits = new byte[getNumBytes(i2)];
        this.count = 0;
    }

    private void clearUnusedBits() {
        int i2;
        byte[] bArr = this.bits;
        if (bArr.length > 0 && (i2 = this.size & 7) != 0) {
            int length = bArr.length - 1;
            bArr[length] = (byte) (((1 << i2) - 1) & bArr[length]);
        }
    }

    private int getNumBytes(int i2) {
        int i3 = i2 >>> 3;
        return (i2 & 7) != 0 ? i3 + 1 : i3;
    }

    private boolean isSparse() {
        int size2 = size() - count();
        if (size2 == 0) {
            return true;
        }
        int length = this.bits.length / size2;
        if (((long) ((((length <= 128 ? 1 : length <= 16384 ? 2 : length <= 2097152 ? 3 : length <= 268435456 ? 4 : 5) + 1) * 8 * size2) + 32)) * 10 < ((long) size())) {
            return true;
        }
        return false;
    }

    private void readBits(u uVar) {
        this.count = uVar.readInt();
        byte[] bArr = new byte[getNumBytes(this.size)];
        this.bits = bArr;
        uVar.readBytes(bArr, 0, bArr.length);
    }

    private void readClearedDgaps(u uVar) {
        this.size = uVar.readInt();
        this.count = uVar.readInt();
        byte[] bArr = new byte[getNumBytes(this.size)];
        this.bits = bArr;
        Arrays.fill(bArr, (byte) -1);
        clearUnusedBits();
        int size2 = size() - count();
        int i2 = 0;
        while (size2 > 0) {
            i2 += uVar.readVInt();
            this.bits[i2] = uVar.readByte();
            size2 -= 8 - i.a(this.bits[i2]);
        }
    }

    private void readSetDgaps(u uVar) {
        this.size = uVar.readInt();
        this.count = uVar.readInt();
        this.bits = new byte[getNumBytes(this.size)];
        int count2 = count();
        int i2 = 0;
        while (count2 > 0) {
            i2 += uVar.readVInt();
            this.bits[i2] = uVar.readByte();
            count2 -= i.a(this.bits[i2]);
        }
    }

    private boolean verifyCount() {
        this.count = -1;
        return true;
    }

    private void writeBits(v vVar) {
        vVar.a(size());
        vVar.a(count());
        byte[] bArr = this.bits;
        vVar.a(bArr, 0, bArr.length);
    }

    private void writeClearedDgaps(v vVar) {
        vVar.a(-1);
        vVar.a(size());
        vVar.a(count());
        int size2 = size() - count();
        int i2 = 0;
        int i3 = 0;
        while (true) {
            byte[] bArr = this.bits;
            if (i2 < bArr.length && size2 > 0) {
                if (bArr[i2] != -1) {
                    vVar.b(i2 - i3);
                    vVar.a(this.bits[i2]);
                    size2 -= 8 - i.a(this.bits[i2]);
                    i3 = i2;
                }
                i2++;
            } else {
                return;
            }
        }
    }

    @Override // i.a.b.g.h0
    public final void clear(int i2) {
        if (i2 < this.size) {
            byte[] bArr = this.bits;
            int i3 = i2 >> 3;
            bArr[i3] = (byte) ((~(1 << (i2 & 7))) & bArr[i3]);
            this.count = -1;
            return;
        }
        throw new ArrayIndexOutOfBoundsException(i2);
    }

    public final int count() {
        if (this.count == -1) {
            int length = this.bits.length;
            int i2 = 0;
            for (int i3 = 0; i3 < length; i3++) {
                i2 += i.a(this.bits[i3]);
            }
            this.count = i2;
        }
        return this.count;
    }

    @Override // i.a.b.g.j
    public final boolean get(int i2) {
        return ((1 << (i2 & 7)) & this.bits[i2 >> 3]) != 0;
    }

    public final boolean getAndClear(int i2) {
        if (i2 < this.size) {
            int i3 = i2 >> 3;
            byte[] bArr = this.bits;
            int i4 = 1 << (i2 & 7);
            if ((bArr[i3] & i4) == 0) {
                return false;
            }
            bArr[i3] = (byte) ((~i4) & bArr[i3]);
            int i5 = this.count;
            if (i5 != -1) {
                this.count = i5 - 1;
            }
            return true;
        }
        throw new ArrayIndexOutOfBoundsException(i2);
    }

    public final boolean getAndSet(int i2) {
        if (i2 < this.size) {
            int i3 = i2 >> 3;
            byte[] bArr = this.bits;
            byte b2 = bArr[i3];
            int i4 = 1 << (i2 & 7);
            if ((i4 & b2) != 0) {
                return true;
            }
            bArr[i3] = (byte) (i4 | b2);
            int i5 = this.count;
            if (i5 == -1) {
                return false;
            }
            this.count = i5 + 1;
            return false;
        }
        StringBuilder a = a.a("bit=", i2, " size=");
        a.append(this.size);
        throw new ArrayIndexOutOfBoundsException(a.toString());
    }

    public final int getRecomputedCount() {
        int length = this.bits.length;
        int i2 = 0;
        for (int i3 = 0; i3 < length; i3++) {
            i2 += i.a(this.bits[i3]);
        }
        return i2;
    }

    public int getVersion() {
        return this.version;
    }

    public void invertAll() {
        int i2 = this.count;
        if (i2 != -1) {
            this.count = this.size - i2;
        }
        if (this.bits.length > 0) {
            int i3 = 0;
            while (true) {
                byte[] bArr = this.bits;
                if (i3 < bArr.length) {
                    bArr[i3] = (byte) (~bArr[i3]);
                    i3++;
                } else {
                    clearUnusedBits();
                    return;
                }
            }
        }
    }

    public int length() {
        return this.size;
    }

    public final void set(int i2) {
        if (i2 < this.size) {
            byte[] bArr = this.bits;
            int i3 = i2 >> 3;
            bArr[i3] = (byte) ((1 << (i2 & 7)) | bArr[i3]);
            this.count = -1;
            return;
        }
        StringBuilder a = a.a("bit=", i2, " size=");
        a.append(this.size);
        throw new ArrayIndexOutOfBoundsException(a.toString());
    }

    public void setAll() {
        Arrays.fill(this.bits, (byte) -1);
        clearUnusedBits();
        this.count = this.size;
    }

    public final int size() {
        return this.size;
    }

    public final void write(n nVar, String str, t tVar) {
        v a = nVar.a(str, tVar);
        try {
            a.a(-2);
            CodecUtil.writeHeader(a, CODEC, 1);
            if (isSparse()) {
                writeClearedDgaps(a);
            } else {
                writeBits(a);
            }
            x.a(a);
        } catch (Throwable th) {
            x.a(a);
            throw th;
        }
    }

    @Override // java.lang.Object
    public BitVector clone() {
        byte[] bArr = this.bits;
        byte[] bArr2 = new byte[bArr.length];
        System.arraycopy(bArr, 0, bArr2, 0, bArr.length);
        BitVector bitVector = new BitVector(bArr2, this.size);
        bitVector.count = this.count;
        return bitVector;
    }

    public BitVector(byte[] bArr, int i2) {
        this.bits = bArr;
        this.size = i2;
        this.count = -1;
    }

    public BitVector(n nVar, String str, t tVar) {
        u c = nVar.c(str, tVar);
        try {
            int readInt = c.readInt();
            if (readInt == -2) {
                this.version = CodecUtil.checkHeader(c, CODEC, 0, 1);
                this.size = c.readInt();
            } else {
                this.version = -1;
                this.size = readInt;
            }
            if (this.size != -1) {
                readBits(c);
            } else if (this.version >= 1) {
                readClearedDgaps(c);
            } else {
                readSetDgaps(c);
            }
            if (this.version < 1) {
                invertAll();
            }
        } finally {
            c.close();
        }
    }
}
