package org.apache.lucene.codecs.lucene40;

import i.a.b.c.a;
import i.a.b.c.a1;
import i.a.b.c.i1;
import i.a.b.c.k0;
import i.a.b.c.l0;
import i.a.b.c.t1;
import i.a.b.c.v2;
import i.a.b.f.n;
import i.a.b.f.t;
import i.a.b.f.u;
import i.a.b.f.v;
import i.a.b.g.j;
import i.a.b.g.l;
import i.a.b.g.x;
import org.apache.lucene.codecs.CodecUtil;
import org.apache.lucene.codecs.StoredFieldsReader;
import org.apache.lucene.codecs.StoredFieldsWriter;

public final class Lucene40StoredFieldsWriter extends StoredFieldsWriter {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public static final String CODEC_NAME_DAT = "Lucene40StoredFieldsData";
    public static final String CODEC_NAME_IDX = "Lucene40StoredFieldsIndex";
    public static final String FIELDS_EXTENSION = "fdt";
    public static final String FIELDS_INDEX_EXTENSION = "fdx";
    public static final int FIELD_IS_BINARY = 2;
    public static final int FIELD_IS_NUMERIC_DOUBLE = 32;
    public static final int FIELD_IS_NUMERIC_FLOAT = 24;
    public static final int FIELD_IS_NUMERIC_INT = 8;
    public static final int FIELD_IS_NUMERIC_LONG = 16;
    public static final int FIELD_IS_NUMERIC_MASK = 56;
    public static final long HEADER_LENGTH_DAT = ((long) CodecUtil.headerLength(CODEC_NAME_DAT));
    public static final long HEADER_LENGTH_IDX = ((long) CodecUtil.headerLength(CODEC_NAME_IDX));
    public static final int MAX_RAW_MERGE_DOCS = 4192;
    public static final int VERSION_CURRENT = 0;
    public static final int VERSION_START = 0;
    public static final int _NUMERIC_BIT_SHIFT = 3;
    public final n directory;
    public v fieldsStream;
    public v indexStream;
    public final String segment;

    public Lucene40StoredFieldsWriter(n nVar, String str, t tVar) {
        this.directory = nVar;
        this.segment = str;
        try {
            this.fieldsStream = nVar.a(a1.a(str, "", "fdt"), tVar);
            this.indexStream = nVar.a(a1.a(str, "", "fdx"), tVar);
            CodecUtil.writeHeader(this.fieldsStream, CODEC_NAME_DAT, 0);
            CodecUtil.writeHeader(this.indexStream, CODEC_NAME_IDX, 0);
        } catch (Throwable th) {
            abort();
            throw th;
        }
    }

    private int copyFieldsNoDeletions(t1 t1Var, a aVar, Lucene40StoredFieldsReader lucene40StoredFieldsReader, int[] iArr) {
        int e2 = aVar.e();
        int i2 = 0;
        if (lucene40StoredFieldsReader != null) {
            while (i2 < e2) {
                int min = Math.min(4192, e2 - i2);
                addRawDocuments(lucene40StoredFieldsReader.rawDocs(iArr, i2, min), iArr, min);
                i2 += min;
                t1Var.f1046f.a((double) (min * 300));
            }
        } else {
            while (i2 < e2) {
                addDocument(aVar.a(i2), t1Var.f1043b);
                t1Var.f1046f.a(300.0d);
                i2++;
            }
        }
        return i2;
    }

    private int copyFieldsWithDeletions(t1 t1Var, a aVar, Lucene40StoredFieldsReader lucene40StoredFieldsReader, int[] iArr) {
        int e2 = aVar.e();
        j k = aVar.k();
        if (lucene40StoredFieldsReader != null) {
            int i2 = 0;
            int i3 = 0;
            while (i2 < e2) {
                if (!k.get(i2)) {
                    i2++;
                } else {
                    int i4 = i2;
                    int i5 = 0;
                    while (true) {
                        i4++;
                        i5++;
                        if (i4 < e2) {
                            if (k.get(i4)) {
                                if (i5 >= 4192) {
                                    break;
                                }
                            } else {
                                i4++;
                                break;
                            }
                        } else {
                            break;
                        }
                    }
                    addRawDocuments(lucene40StoredFieldsReader.rawDocs(iArr, i2, i5), iArr, i5);
                    i3 += i5;
                    t1Var.f1046f.a((double) (i5 * 300));
                    i2 = i4;
                }
            }
            return i3;
        }
        int i6 = 0;
        for (int i7 = 0; i7 < e2; i7++) {
            if (k.get(i7)) {
                addDocument(aVar.a(i7), t1Var.f1043b);
                i6++;
                t1Var.f1046f.a(300.0d);
            }
        }
        return i6;
    }

    @Override // org.apache.lucene.codecs.StoredFieldsWriter
    public void abort() {
        try {
            close();
        } catch (Throwable unused) {
        }
        x.a(this.directory, a1.a(this.segment, "", "fdt"), a1.a(this.segment, "", "fdx"));
    }

    public void addRawDocuments(u uVar, int[] iArr, int i2) {
        long a = this.fieldsStream.a();
        long j = a;
        for (int i3 = 0; i3 < i2; i3++) {
            this.indexStream.a(j);
            j += (long) iArr[i3];
        }
        this.fieldsStream.a(uVar, j - a);
    }

    @Override // java.io.Closeable, org.apache.lucene.codecs.StoredFieldsWriter, java.lang.AutoCloseable
    public void close() {
        try {
            x.a(this.fieldsStream, this.indexStream);
        } finally {
            this.indexStream = null;
            this.fieldsStream = null;
        }
    }

    @Override // org.apache.lucene.codecs.StoredFieldsWriter
    public void finish(l0 l0Var, int i2) {
        if ((((long) i2) * 8) + HEADER_LENGTH_IDX != this.indexStream.a()) {
            StringBuilder a = b.b.a.a.a.a("fdx size mismatch: docCount is ", i2, " but fdx file size is ");
            a.append(this.indexStream.a());
            a.append(" file=");
            a.append(this.indexStream.toString());
            a.append("; now aborting this merge to prevent index corruption");
            throw new RuntimeException(a.toString());
        }
    }

    @Override // org.apache.lucene.codecs.StoredFieldsWriter
    public int merge(t1 t1Var) {
        int i2;
        StoredFieldsReader l;
        int[] iArr = new int[4192];
        int i3 = 0;
        int i4 = 0;
        for (a aVar : t1Var.c) {
            int i5 = i4 + 1;
            v2 v2Var = t1Var.f1048h[i4];
            Lucene40StoredFieldsReader lucene40StoredFieldsReader = null;
            if (!(v2Var == null || (l = v2Var.l()) == null || !(l instanceof Lucene40StoredFieldsReader))) {
                lucene40StoredFieldsReader = (Lucene40StoredFieldsReader) l;
            }
            if (aVar.k() != null) {
                i2 = copyFieldsWithDeletions(t1Var, aVar, lucene40StoredFieldsReader, iArr);
            } else {
                i2 = copyFieldsNoDeletions(t1Var, aVar, lucene40StoredFieldsReader, iArr);
            }
            i3 += i2;
            i4 = i5;
        }
        finish(t1Var.f1043b, i3);
        return i3;
    }

    @Override // org.apache.lucene.codecs.StoredFieldsWriter
    public void startDocument(int i2) {
        this.indexStream.a(this.fieldsStream.a());
        this.fieldsStream.b(i2);
    }

    @Override // org.apache.lucene.codecs.StoredFieldsWriter
    public void writeField(k0 k0Var, i1 i1Var) {
        int i2;
        String str;
        int i3;
        this.fieldsStream.b(k0Var.f949b);
        Number d2 = i1Var.d();
        String str2 = null;
        l lVar = null;
        if (d2 != null) {
            if ((d2 instanceof Byte) || (d2 instanceof Short) || (d2 instanceof Integer)) {
                i3 = 8;
            } else if (d2 instanceof Long) {
                i3 = 16;
            } else if (d2 instanceof Float) {
                i3 = 24;
            } else if (d2 instanceof Double) {
                i3 = 32;
            } else {
                StringBuilder b2 = b.b.a.a.a.b("cannot store numeric type ");
                b2.append(d2.getClass());
                throw new IllegalArgumentException(b2.toString());
            }
            i2 = i3;
            str = null;
        } else {
            l e2 = i1Var.e();
            if (e2 != null) {
                i2 = 2;
            } else {
                str2 = i1Var.stringValue();
                if (str2 != null) {
                    i2 = 0;
                } else {
                    StringBuilder b3 = b.b.a.a.a.b("field ");
                    b3.append(i1Var.c());
                    b3.append(" is stored but does not have binaryValue, stringValue nor numericValue");
                    throw new IllegalArgumentException(b3.toString());
                }
            }
            str = str2;
            lVar = e2;
        }
        this.fieldsStream.a((byte) i2);
        if (lVar != null) {
            this.fieldsStream.b(lVar.z);
            this.fieldsStream.a(lVar.x, lVar.y, lVar.z);
        } else if (str != null) {
            this.fieldsStream.a(i1Var.stringValue());
        } else if ((d2 instanceof Byte) || (d2 instanceof Short) || (d2 instanceof Integer)) {
            this.fieldsStream.a(d2.intValue());
        } else if (d2 instanceof Long) {
            this.fieldsStream.a(d2.longValue());
        } else if (d2 instanceof Float) {
            this.fieldsStream.a(Float.floatToIntBits(d2.floatValue()));
        } else if (d2 instanceof Double) {
            this.fieldsStream.a(Double.doubleToLongBits(d2.doubleValue()));
        } else {
            throw new AssertionError("Cannot get here");
        }
    }
}
