package org.apache.lucene.codecs.lucene40;

import i.a.b.c.a1;
import i.a.b.c.b0;
import i.a.b.c.c0;
import i.a.b.c.k0;
import i.a.b.c.l0;
import i.a.b.c.n0;
import i.a.b.c.n3;
import i.a.b.c.o3;
import i.a.b.c.q2;
import i.a.b.f.n;
import i.a.b.f.t;
import i.a.b.f.u;
import i.a.b.g.j;
import i.a.b.g.l;
import i.a.b.g.x;
import java.io.Closeable;
import java.util.Arrays;
import java.util.Comparator;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import java.util.NoSuchElementException;
import org.apache.lucene.codecs.CodecUtil;
import org.apache.lucene.codecs.TermVectorsReader;

public class Lucene40TermVectorsReader extends TermVectorsReader implements Closeable {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public static final String CODEC_NAME_DOCS = "Lucene40TermVectorsDocs";
    public static final String CODEC_NAME_FIELDS = "Lucene40TermVectorsFields";
    public static final String CODEC_NAME_INDEX = "Lucene40TermVectorsIndex";
    public static final long HEADER_LENGTH_DOCS = ((long) CodecUtil.headerLength(CODEC_NAME_DOCS));
    public static final long HEADER_LENGTH_FIELDS = ((long) CodecUtil.headerLength(CODEC_NAME_FIELDS));
    public static final long HEADER_LENGTH_INDEX = ((long) CodecUtil.headerLength(CODEC_NAME_INDEX));
    public static final byte STORE_OFFSET_WITH_TERMVECTOR = 2;
    public static final byte STORE_PAYLOAD_WITH_TERMVECTOR = 4;
    public static final byte STORE_POSITIONS_WITH_TERMVECTOR = 1;
    public static final String VECTORS_DOCUMENTS_EXTENSION = "tvd";
    public static final String VECTORS_FIELDS_EXTENSION = "tvf";
    public static final String VECTORS_INDEX_EXTENSION = "tvx";
    public static final int VERSION_CURRENT = 1;
    public static final int VERSION_NO_PAYLOADS = 0;
    public static final int VERSION_PAYLOADS = 1;
    public static final int VERSION_START = 0;
    public l0 fieldInfos;
    public int numTotalDocs;
    public int size;
    public u tvd;
    public u tvf;
    public u tvx;

    public static class TVDocsAndPositionsEnum extends b0 {
        public static final /* synthetic */ boolean $assertionsDisabled = false;
        public boolean didNext;
        public int doc;
        public int[] endOffsets;
        public j liveDocs;
        public int nextPos;
        public l payload;
        public byte[] payloadBytes;
        public int[] payloadOffsets;
        public int[] positions;
        public int[] startOffsets;

        public TVDocsAndPositionsEnum() {
            this.doc = -1;
            this.payload = new l(l.A);
        }

        @Override // i.a.b.e.r
        public int advance(int i2) {
            return slowAdvance(i2);
        }

        @Override // i.a.b.e.r
        public long cost() {
            return 1;
        }

        @Override // i.a.b.e.r
        public int docID() {
            return this.doc;
        }

        @Override // i.a.b.c.b0
        public int endOffset() {
            int[] iArr = this.endOffsets;
            if (iArr == null) {
                return -1;
            }
            return iArr[this.nextPos - 1];
        }

        @Override // i.a.b.c.c0
        public int freq() {
            int[] iArr = this.positions;
            if (iArr != null) {
                return iArr.length;
            }
            return this.startOffsets.length;
        }

        @Override // i.a.b.c.b0
        public l getPayload() {
            int[] iArr = this.payloadOffsets;
            if (iArr == null) {
                return null;
            }
            int i2 = this.nextPos;
            int i3 = iArr[i2 - 1];
            int length = (i2 == iArr.length ? this.payloadBytes.length : iArr[i2]) - i3;
            if (length == 0) {
                return null;
            }
            l lVar = this.payload;
            lVar.x = this.payloadBytes;
            lVar.y = i3;
            lVar.z = length;
            return lVar;
        }

        @Override // i.a.b.e.r
        public int nextDoc() {
            j jVar;
            if (this.didNext || ((jVar = this.liveDocs) != null && !jVar.get(0))) {
                this.doc = Integer.MAX_VALUE;
                return Integer.MAX_VALUE;
            }
            this.didNext = true;
            this.doc = 0;
            return 0;
        }

        @Override // i.a.b.c.b0
        public int nextPosition() {
            int[] iArr = this.positions;
            if (iArr != null) {
                int i2 = this.nextPos;
                this.nextPos = i2 + 1;
                return iArr[i2];
            }
            this.nextPos++;
            return -1;
        }

        public void reset(j jVar, int[] iArr, int[] iArr2, int[] iArr3, int[] iArr4, byte[] bArr) {
            this.liveDocs = jVar;
            this.positions = iArr;
            this.startOffsets = iArr2;
            this.endOffsets = iArr3;
            this.payloadOffsets = iArr4;
            this.payloadBytes = bArr;
            this.doc = -1;
            this.didNext = false;
            this.nextPos = 0;
        }

        @Override // i.a.b.c.b0
        public int startOffset() {
            int[] iArr = this.startOffsets;
            if (iArr == null) {
                return -1;
            }
            return iArr[this.nextPos - 1];
        }
    }

    public static class TVDocsEnum extends c0 {
        public boolean didNext;
        public int doc;
        public int freq;
        public j liveDocs;

        public TVDocsEnum() {
            this.doc = -1;
        }

        @Override // i.a.b.e.r
        public int advance(int i2) {
            return slowAdvance(i2);
        }

        @Override // i.a.b.e.r
        public long cost() {
            return 1;
        }

        @Override // i.a.b.e.r
        public int docID() {
            return this.doc;
        }

        @Override // i.a.b.c.c0
        public int freq() {
            return this.freq;
        }

        @Override // i.a.b.e.r
        public int nextDoc() {
            j jVar;
            if (this.didNext || ((jVar = this.liveDocs) != null && !jVar.get(0))) {
                this.doc = Integer.MAX_VALUE;
                return Integer.MAX_VALUE;
            }
            this.didNext = true;
            this.doc = 0;
            return 0;
        }

        public void reset(j jVar, int i2) {
            this.liveDocs = jVar;
            this.freq = i2;
            this.doc = -1;
            this.didNext = false;
        }
    }

    public class TVFields extends n0 {
        public static final /* synthetic */ boolean $assertionsDisabled = false;
        public final long[] fieldFPs;
        public final Map<Integer, Integer> fieldNumberToIndex = new HashMap();
        public final int[] fieldNumbers;

        public TVFields(int i2) {
            Lucene40TermVectorsReader.this.seekTvx(i2);
            Lucene40TermVectorsReader.this.tvd.seek(Lucene40TermVectorsReader.this.tvx.readLong());
            int readVInt = Lucene40TermVectorsReader.this.tvd.readVInt();
            if (readVInt != 0) {
                this.fieldNumbers = new int[readVInt];
                this.fieldFPs = new long[readVInt];
                for (int i3 = 0; i3 < readVInt; i3++) {
                    int readVInt2 = Lucene40TermVectorsReader.this.tvd.readVInt();
                    this.fieldNumbers[i3] = readVInt2;
                    this.fieldNumberToIndex.put(Integer.valueOf(readVInt2), Integer.valueOf(i3));
                }
                long readLong = Lucene40TermVectorsReader.this.tvx.readLong();
                this.fieldFPs[0] = readLong;
                for (int i4 = 1; i4 < readVInt; i4++) {
                    readLong += Lucene40TermVectorsReader.this.tvd.readVLong();
                    this.fieldFPs[i4] = readLong;
                }
                return;
            }
            this.fieldNumbers = null;
            this.fieldFPs = null;
        }

        @Override // i.a.b.c.n0, java.lang.Iterable
        public Iterator<String> iterator() {
            return new Iterator<String>() {
                /* class org.apache.lucene.codecs.lucene40.Lucene40TermVectorsReader.TVFields.AnonymousClass1 */
                public int fieldUpto;

                public boolean hasNext() {
                    return TVFields.this.fieldNumbers != null && this.fieldUpto < TVFields.this.fieldNumbers.length;
                }

                public void remove() {
                    throw new UnsupportedOperationException();
                }

                @Override // java.util.Iterator
                public String next() {
                    if (TVFields.this.fieldNumbers == null || this.fieldUpto >= TVFields.this.fieldNumbers.length) {
                        throw new NoSuchElementException();
                    }
                    l0 l0Var = Lucene40TermVectorsReader.this.fieldInfos;
                    int[] iArr = TVFields.this.fieldNumbers;
                    int i2 = this.fieldUpto;
                    this.fieldUpto = i2 + 1;
                    return l0Var.a(iArr[i2]).a;
                }
            };
        }

        @Override // i.a.b.c.n0
        public int size() {
            int[] iArr = this.fieldNumbers;
            if (iArr == null) {
                return 0;
            }
            return iArr.length;
        }

        @Override // i.a.b.c.n0
        public n3 terms(String str) {
            Integer num;
            k0 k0Var = Lucene40TermVectorsReader.this.fieldInfos.H.get(str);
            if (k0Var == null || (num = this.fieldNumberToIndex.get(Integer.valueOf(k0Var.f949b))) == null) {
                return null;
            }
            return new TVTerms(this.fieldFPs[num.intValue()]);
        }
    }

    public class TVTerms extends n3 {
        public final int numTerms;
        public final boolean storeOffsets;
        public final boolean storePayloads;
        public final boolean storePositions;
        public final long tvfFPStart;

        public TVTerms(long j) {
            Lucene40TermVectorsReader.this.tvf.seek(j);
            this.numTerms = Lucene40TermVectorsReader.this.tvf.readVInt();
            byte readByte = Lucene40TermVectorsReader.this.tvf.readByte();
            boolean z = false;
            this.storePositions = (readByte & 1) != 0;
            this.storeOffsets = (readByte & 2) != 0;
            this.storePayloads = (readByte & 4) != 0 ? true : z;
            this.tvfFPStart = Lucene40TermVectorsReader.this.tvf.getFilePointer();
        }

        @Override // i.a.b.c.n3
        public Comparator<l> getComparator() {
            return l.C;
        }

        @Override // i.a.b.c.n3
        public int getDocCount() {
            return 1;
        }

        @Override // i.a.b.c.n3
        public long getSumDocFreq() {
            return (long) this.numTerms;
        }

        @Override // i.a.b.c.n3
        public long getSumTotalTermFreq() {
            return -1;
        }

        @Override // i.a.b.c.n3
        public boolean hasFreqs() {
            return true;
        }

        @Override // i.a.b.c.n3
        public boolean hasOffsets() {
            return this.storeOffsets;
        }

        @Override // i.a.b.c.n3
        public boolean hasPayloads() {
            return this.storePayloads;
        }

        @Override // i.a.b.c.n3
        public boolean hasPositions() {
            return this.storePositions;
        }

        @Override // i.a.b.c.n3
        public o3 iterator(o3 o3Var) {
            TVTermsEnum tVTermsEnum;
            if (o3Var instanceof TVTermsEnum) {
                tVTermsEnum = (TVTermsEnum) o3Var;
                if (!tVTermsEnum.canReuse(Lucene40TermVectorsReader.this.tvf)) {
                    tVTermsEnum = new TVTermsEnum();
                }
            } else {
                tVTermsEnum = new TVTermsEnum();
            }
            tVTermsEnum.reset(this.numTerms, this.tvfFPStart, this.storePositions, this.storeOffsets, this.storePayloads);
            return tVTermsEnum;
        }

        @Override // i.a.b.c.n3
        public long size() {
            return (long) this.numTerms;
        }
    }

    public class TVTermsEnum extends o3 {
        public static final /* synthetic */ boolean $assertionsDisabled = false;
        public int[] endOffsets;
        public int freq;
        public int lastPayloadLength;
        public l lastTerm = new l(l.A);
        public int nextTerm;
        public int numTerms;
        public final u origTVF;
        public byte[] payloadData;
        public int[] payloadOffsets;
        public int[] positions;
        public int[] startOffsets;
        public boolean storeOffsets;
        public boolean storePayloads;
        public boolean storePositions;
        public l term = new l(l.A);
        public final u tvf;
        public long tvfFP;

        public TVTermsEnum() {
            u uVar = Lucene40TermVectorsReader.this.tvf;
            this.origTVF = uVar;
            this.tvf = uVar.clone();
        }

        public boolean canReuse(u uVar) {
            return uVar == this.origTVF;
        }

        @Override // i.a.b.c.o3
        public int docFreq() {
            return 1;
        }

        @Override // i.a.b.c.o3
        public c0 docs(j jVar, c0 c0Var, int i2) {
            TVDocsEnum tVDocsEnum;
            if (c0Var == null || !(c0Var instanceof TVDocsEnum)) {
                tVDocsEnum = new TVDocsEnum();
            } else {
                tVDocsEnum = (TVDocsEnum) c0Var;
            }
            tVDocsEnum.reset(jVar, this.freq);
            return tVDocsEnum;
        }

        @Override // i.a.b.c.o3
        public b0 docsAndPositions(j jVar, b0 b0Var, int i2) {
            TVDocsAndPositionsEnum tVDocsAndPositionsEnum;
            if (!this.storePositions && !this.storeOffsets) {
                return null;
            }
            if (b0Var == null || !(b0Var instanceof TVDocsAndPositionsEnum)) {
                tVDocsAndPositionsEnum = new TVDocsAndPositionsEnum();
            } else {
                tVDocsAndPositionsEnum = (TVDocsAndPositionsEnum) b0Var;
            }
            tVDocsAndPositionsEnum.reset(jVar, this.positions, this.startOffsets, this.endOffsets, this.payloadOffsets, this.payloadData);
            return tVDocsAndPositionsEnum;
        }

        @Override // i.a.b.g.n
        public Comparator<l> getComparator() {
            return l.C;
        }

        @Override // i.a.b.g.n
        public l next() {
            if (this.nextTerm >= this.numTerms) {
                return null;
            }
            this.term.c(this.lastTerm);
            int readVInt = this.tvf.readVInt();
            int readVInt2 = this.tvf.readVInt();
            l lVar = this.term;
            int i2 = readVInt + readVInt2;
            lVar.z = i2;
            lVar.a(i2);
            this.tvf.readBytes(this.term.x, readVInt, readVInt2);
            int readVInt3 = this.tvf.readVInt();
            this.freq = readVInt3;
            int i3 = 0;
            if (this.storePayloads) {
                this.positions = new int[readVInt3];
                this.payloadOffsets = new int[readVInt3];
                int i4 = 0;
                int i5 = 0;
                for (int i6 = 0; i6 < this.freq; i6++) {
                    int readVInt4 = this.tvf.readVInt();
                    i5 += readVInt4 >>> 1;
                    this.positions[i6] = i5;
                    if ((readVInt4 & 1) != 0) {
                        this.lastPayloadLength = this.tvf.readVInt();
                    }
                    this.payloadOffsets[i6] = i4;
                    i4 += this.lastPayloadLength;
                }
                byte[] bArr = new byte[i4];
                this.payloadData = bArr;
                this.tvf.readBytes(bArr, 0, bArr.length);
            } else if (this.storePositions) {
                this.positions = new int[readVInt3];
                int i7 = 0;
                for (int i8 = 0; i8 < this.freq; i8++) {
                    i7 += this.tvf.readVInt();
                    this.positions[i8] = i7;
                }
            }
            if (this.storeOffsets) {
                int i9 = this.freq;
                this.startOffsets = new int[i9];
                this.endOffsets = new int[i9];
                int i10 = 0;
                while (i3 < this.freq) {
                    this.startOffsets[i3] = this.tvf.readVInt() + i10;
                    int[] iArr = this.endOffsets;
                    int readVInt5 = this.startOffsets[i3] + this.tvf.readVInt();
                    iArr[i3] = readVInt5;
                    i3++;
                    i10 = readVInt5;
                }
            }
            this.lastTerm.c(this.term);
            this.nextTerm++;
            return this.term;
        }

        @Override // i.a.b.c.o3
        public long ord() {
            throw new UnsupportedOperationException();
        }

        public void reset(int i2, long j, boolean z, boolean z2, boolean z3) {
            this.numTerms = i2;
            this.storePositions = z;
            this.storeOffsets = z2;
            this.storePayloads = z3;
            this.nextTerm = 0;
            this.tvf.seek(j);
            this.tvfFP = j;
            this.positions = null;
            this.startOffsets = null;
            this.endOffsets = null;
            this.payloadOffsets = null;
            this.payloadData = null;
            this.lastPayloadLength = -1;
        }

        @Override // i.a.b.c.o3
        public o3.c seekCeil(l lVar) {
            if (this.nextTerm != 0) {
                int b2 = lVar.compareTo(this.term);
                if (b2 < 0) {
                    this.nextTerm = 0;
                    this.tvf.seek(this.tvfFP);
                } else if (b2 == 0) {
                    return o3.c.FOUND;
                }
            }
            while (next() != null) {
                int b3 = lVar.compareTo(this.term);
                if (b3 < 0) {
                    return o3.c.NOT_FOUND;
                }
                if (b3 == 0) {
                    return o3.c.FOUND;
                }
            }
            return o3.c.END;
        }

        @Override // i.a.b.c.o3
        public void seekExact(long j) {
            throw new UnsupportedOperationException();
        }

        @Override // i.a.b.c.o3
        public l term() {
            return this.term;
        }

        @Override // i.a.b.c.o3
        public long totalTermFreq() {
            return (long) this.freq;
        }
    }

    public Lucene40TermVectorsReader(l0 l0Var, u uVar, u uVar2, u uVar3, int i2, int i3) {
        this.fieldInfos = l0Var;
        this.tvx = uVar;
        this.tvd = uVar2;
        this.tvf = uVar3;
        this.size = i2;
        this.numTotalDocs = i3;
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        x.a(this.tvx, this.tvd, this.tvf);
    }

    @Override // org.apache.lucene.codecs.TermVectorsReader
    public n0 get(int i2) {
        if (this.tvx == null) {
            return null;
        }
        TVFields tVFields = new TVFields(i2);
        if (tVFields.size() == 0) {
            return null;
        }
        return tVFields;
    }

    public u getTvdStream() {
        return this.tvd;
    }

    public u getTvfStream() {
        return this.tvf;
    }

    @Override // org.apache.lucene.codecs.TermVectorsReader
    public long ramBytesUsed() {
        return 0;
    }

    public final void rawDocs(int[] iArr, int[] iArr2, int i2, int i3) {
        long j;
        long j2;
        int i4 = 0;
        if (this.tvx == null) {
            Arrays.fill(iArr, 0);
            Arrays.fill(iArr2, 0);
            return;
        }
        seekTvx(i2);
        long readLong = this.tvx.readLong();
        this.tvd.seek(readLong);
        long readLong2 = this.tvx.readLong();
        this.tvf.seek(readLong2);
        while (i4 < i3) {
            if (i2 + i4 + 1 < this.numTotalDocs) {
                j2 = this.tvx.readLong();
                j = this.tvx.readLong();
            } else {
                j2 = this.tvd.length();
                j = this.tvf.length();
            }
            iArr[i4] = (int) (j2 - readLong);
            iArr2[i4] = (int) (j - readLong2);
            i4++;
            readLong = j2;
            readLong2 = j;
        }
    }

    public void seekTvx(int i2) {
        this.tvx.seek((((long) i2) * 16) + HEADER_LENGTH_INDEX);
    }

    public int size() {
        return this.size;
    }

    @Override // org.apache.lucene.codecs.TermVectorsReader, org.apache.lucene.codecs.TermVectorsReader, java.lang.Object
    public TermVectorsReader clone() {
        u uVar;
        u uVar2;
        u uVar3;
        u uVar4 = this.tvx;
        if (uVar4 == null || this.tvd == null || this.tvf == null) {
            uVar3 = null;
            uVar2 = null;
            uVar = null;
        } else {
            u clone = uVar4.clone();
            uVar2 = this.tvd.clone();
            uVar3 = clone;
            uVar = this.tvf.clone();
        }
        return new Lucene40TermVectorsReader(this.fieldInfos, uVar3, uVar2, uVar, this.size, this.numTotalDocs);
    }

    public Lucene40TermVectorsReader(n nVar, q2 q2Var, l0 l0Var, t tVar) {
        String str = q2Var.a;
        q2Var.b();
        try {
            u c = nVar.c(a1.a(str, "", "tvx"), tVar);
            this.tvx = c;
            CodecUtil.checkHeader(c, CODEC_NAME_INDEX, 0, 1);
            u c2 = nVar.c(a1.a(str, "", "tvd"), tVar);
            this.tvd = c2;
            CodecUtil.checkHeader(c2, CODEC_NAME_DOCS, 0, 1);
            u c3 = nVar.c(a1.a(str, "", "tvf"), tVar);
            this.tvf = c3;
            CodecUtil.checkHeader(c3, CODEC_NAME_FIELDS, 0, 1);
            int length = (int) ((this.tvx.length() - HEADER_LENGTH_INDEX) >> 4);
            this.numTotalDocs = length;
            this.size = length;
            this.fieldInfos = l0Var;
            return;
        } catch (Throwable unused) {
        }
        throw th;
    }
}
