package org.apache.lucene.codecs.lucene40;

import i.a.b.c.a;
import i.a.b.c.a1;
import i.a.b.c.k0;
import i.a.b.c.l0;
import i.a.b.c.t1;
import i.a.b.c.v2;
import i.a.b.f.n;
import i.a.b.f.t;
import i.a.b.f.v;
import i.a.b.g.c;
import i.a.b.g.j;
import i.a.b.g.l;
import i.a.b.g.w0;
import i.a.b.g.x;
import java.util.Comparator;
import org.apache.lucene.codecs.CodecUtil;
import org.apache.lucene.codecs.TermVectorsReader;
import org.apache.lucene.codecs.TermVectorsWriter;

public final class Lucene40TermVectorsWriter extends TermVectorsWriter {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public static final int MAX_RAW_MERGE_DOCS = 4192;
    public int bufferedFreq = 0;
    public int bufferedIndex = 0;
    public final n directory;
    public int fieldCount = 0;
    public long[] fps = new long[10];
    public String lastFieldName;
    public int lastOffset = 0;
    public int lastPayloadLength = -1;
    public int lastPosition = 0;
    public final l lastTerm = new l(10);
    public int numVectorFields = 0;
    public int[] offsetEndBuffer = new int[10];
    public int[] offsetStartBuffer = new int[10];
    public boolean offsets = false;
    public l payloadData = new l(10);
    public boolean payloads = false;
    public boolean positions = false;
    public l scratch = new l(l.A);
    public final String segment;
    public v tvd = null;
    public v tvf = null;
    public v tvx = null;

    public Lucene40TermVectorsWriter(n nVar, String str, t tVar) {
        this.directory = nVar;
        this.segment = str;
        try {
            v a = nVar.a(a1.a(str, "", "tvx"), tVar);
            this.tvx = a;
            CodecUtil.writeHeader(a, Lucene40TermVectorsReader.CODEC_NAME_INDEX, 1);
            v a2 = nVar.a(a1.a(str, "", "tvd"), tVar);
            this.tvd = a2;
            CodecUtil.writeHeader(a2, Lucene40TermVectorsReader.CODEC_NAME_DOCS, 1);
            v a3 = nVar.a(a1.a(str, "", "tvf"), tVar);
            this.tvf = a3;
            CodecUtil.writeHeader(a3, Lucene40TermVectorsReader.CODEC_NAME_FIELDS, 1);
        } catch (Throwable th) {
            abort();
            throw th;
        }
    }

    private void addRawDocuments(Lucene40TermVectorsReader lucene40TermVectorsReader, int[] iArr, int[] iArr2, int i2) {
        long a = this.tvd.a();
        long a2 = this.tvf.a();
        long j = a;
        long j2 = a2;
        for (int i3 = 0; i3 < i2; i3++) {
            this.tvx.a(j);
            j += (long) iArr[i3];
            this.tvx.a(j2);
            j2 += (long) iArr2[i3];
        }
        this.tvd.a(lucene40TermVectorsReader.getTvdStream(), j - a);
        this.tvf.a(lucene40TermVectorsReader.getTvfStream(), j2 - a2);
    }

    private int copyVectorsNoDeletions(t1 t1Var, Lucene40TermVectorsReader lucene40TermVectorsReader, a aVar, int[] iArr, int[] iArr2) {
        int e2 = aVar.e();
        int i2 = 0;
        if (lucene40TermVectorsReader != null) {
            while (i2 < e2) {
                int min = Math.min(4192, e2 - i2);
                lucene40TermVectorsReader.rawDocs(iArr, iArr2, i2, min);
                addRawDocuments(lucene40TermVectorsReader, iArr, iArr2, min);
                i2 += min;
                t1Var.f1046f.a((double) (min * 300));
            }
        } else {
            while (i2 < e2) {
                addAllDocVectors(aVar.b(i2), t1Var);
                t1Var.f1046f.a(300.0d);
                i2++;
            }
        }
        return e2;
    }

    private int copyVectorsWithDeletions(t1 t1Var, Lucene40TermVectorsReader lucene40TermVectorsReader, a aVar, int[] iArr, int[] iArr2) {
        int e2 = aVar.e();
        j k = aVar.k();
        if (lucene40TermVectorsReader != null) {
            int i2 = 0;
            int i3 = 0;
            while (i2 < e2) {
                if (!k.get(i2)) {
                    i2++;
                } else {
                    int i4 = i2;
                    int i5 = 0;
                    while (true) {
                        i4++;
                        i5++;
                        if (i4 < e2) {
                            if (k.get(i4)) {
                                if (i5 >= 4192) {
                                    break;
                                }
                            } else {
                                i4++;
                                break;
                            }
                        } else {
                            break;
                        }
                    }
                    lucene40TermVectorsReader.rawDocs(iArr, iArr2, i2, i5);
                    addRawDocuments(lucene40TermVectorsReader, iArr, iArr2, i5);
                    i3 += i5;
                    t1Var.f1046f.a((double) (i5 * 300));
                    i2 = i4;
                }
            }
            return i3;
        }
        int i6 = 0;
        for (int i7 = 0; i7 < e2; i7++) {
            if (k.get(i7)) {
                addAllDocVectors(aVar.b(i7), t1Var);
                i6++;
                t1Var.f1046f.a(300.0d);
            }
        }
        return i6;
    }

    private void writePosition(int i2, l lVar) {
        int i3;
        if (this.payloads) {
            if (lVar == null) {
                i3 = 0;
            } else {
                i3 = lVar.z;
            }
            if (i3 != this.lastPayloadLength) {
                this.lastPayloadLength = i3;
                this.tvf.b((i2 << 1) | 1);
                this.tvf.b(i3);
            } else {
                this.tvf.b(i2 << 1);
            }
            if (i3 > 0) {
                l lVar2 = this.payloadData;
                int i4 = lVar2.z;
                if (i3 + i4 >= 0) {
                    int i5 = lVar.z + i4;
                    byte[] bArr = lVar2.x;
                    int length = bArr.length;
                    int i6 = lVar2.y;
                    if (length - i6 < i5) {
                        byte[] bArr2 = new byte[i5];
                        System.arraycopy(bArr, i6, bArr2, 0, i4);
                        lVar2.y = 0;
                        lVar2.x = bArr2;
                    }
                    System.arraycopy(lVar.x, lVar.y, lVar2.x, lVar2.z + lVar2.y, lVar.z);
                    lVar2.z = i5;
                    return;
                }
                throw new UnsupportedOperationException("A term cannot have more than Integer.MAX_VALUE bytes of payload data in a single document");
            }
            return;
        }
        this.tvf.b(i2);
    }

    @Override // org.apache.lucene.codecs.TermVectorsWriter
    public void abort() {
        try {
            close();
        } catch (Throwable unused) {
        }
        x.a(this.directory, a1.a(this.segment, "", "tvx"), a1.a(this.segment, "", "tvd"), a1.a(this.segment, "", "tvf"));
    }

    @Override // org.apache.lucene.codecs.TermVectorsWriter
    public void addPosition(int i2, int i3, int i4, l lVar) {
        if (this.positions && (this.offsets || this.payloads)) {
            writePosition(i2 - this.lastPosition, lVar);
            this.lastPosition = i2;
            if (this.offsets) {
                int[] iArr = this.offsetStartBuffer;
                int i5 = this.bufferedIndex;
                iArr[i5] = i3;
                this.offsetEndBuffer[i5] = i4;
            }
            this.bufferedIndex++;
        } else if (this.positions) {
            writePosition(i2 - this.lastPosition, lVar);
            this.lastPosition = i2;
        } else if (this.offsets) {
            this.tvf.b(i3 - this.lastOffset);
            this.tvf.b(i4 - i3);
            this.lastOffset = i4;
        }
    }

    @Override // org.apache.lucene.codecs.TermVectorsWriter
    public void addProx(int i2, i.a.b.f.l lVar, i.a.b.f.l lVar2) {
        if (this.payloads) {
            for (int i3 = 0; i3 < i2; i3++) {
                int readVInt = lVar.readVInt();
                if ((readVInt & 1) == 1) {
                    int readVInt2 = lVar.readVInt();
                    this.scratch.a(readVInt2);
                    l lVar3 = this.scratch;
                    lVar3.z = readVInt2;
                    lVar.readBytes(lVar3.x, lVar3.y, readVInt2);
                    writePosition(readVInt >>> 1, this.scratch);
                } else {
                    writePosition(readVInt >>> 1, null);
                }
            }
            v vVar = this.tvf;
            l lVar4 = this.payloadData;
            vVar.a(lVar4.x, lVar4.y, lVar4.z);
        } else if (lVar != null) {
            for (int i4 = 0; i4 < i2; i4++) {
                this.tvf.b(lVar.readVInt() >>> 1);
            }
        }
        if (lVar2 != null) {
            for (int i5 = 0; i5 < i2; i5++) {
                this.tvf.b(lVar2.readVInt());
                this.tvf.b(lVar2.readVInt());
            }
        }
    }

    @Override // org.apache.lucene.codecs.TermVectorsWriter, java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        x.a(this.tvx, this.tvd, this.tvf);
        this.tvf = null;
        this.tvd = null;
        this.tvx = null;
    }

    @Override // org.apache.lucene.codecs.TermVectorsWriter
    public void finish(l0 l0Var, int i2) {
        if ((((long) i2) * 16) + Lucene40TermVectorsReader.HEADER_LENGTH_INDEX != this.tvx.a()) {
            StringBuilder a = b.b.a.a.a.a("tvx size mismatch: mergedDocs is ", i2, " but tvx size is ");
            a.append(this.tvx.a());
            a.append(" file=");
            a.append(this.tvx.toString());
            a.append("; now aborting this merge to prevent index corruption");
            throw new RuntimeException(a.toString());
        }
    }

    @Override // org.apache.lucene.codecs.TermVectorsWriter
    public void finishDocument() {
        for (int i2 = 1; i2 < this.fieldCount; i2++) {
            v vVar = this.tvd;
            long[] jArr = this.fps;
            vVar.b(jArr[i2] - jArr[i2 - 1]);
        }
    }

    @Override // org.apache.lucene.codecs.TermVectorsWriter
    public void finishTerm() {
        if (this.bufferedIndex > 0) {
            if (this.payloads) {
                v vVar = this.tvf;
                l lVar = this.payloadData;
                vVar.a(lVar.x, lVar.y, lVar.z);
            }
            if (this.offsets) {
                for (int i2 = 0; i2 < this.bufferedIndex; i2++) {
                    this.tvf.b(this.offsetStartBuffer[i2] - this.lastOffset);
                    this.tvf.b(this.offsetEndBuffer[i2] - this.offsetStartBuffer[i2]);
                    this.lastOffset = this.offsetEndBuffer[i2];
                }
            }
        }
    }

    @Override // org.apache.lucene.codecs.TermVectorsWriter
    public Comparator<l> getComparator() {
        return l.C;
    }

    @Override // org.apache.lucene.codecs.TermVectorsWriter
    public final int merge(t1 t1Var) {
        int i2;
        TermVectorsReader m;
        int[] iArr = new int[4192];
        int[] iArr2 = new int[4192];
        int i3 = 0;
        int i4 = 0;
        int i5 = 0;
        while (i4 < t1Var.c.size()) {
            a aVar = t1Var.c.get(i4);
            int i6 = i3 + 1;
            v2 v2Var = t1Var.f1048h[i3];
            Lucene40TermVectorsReader lucene40TermVectorsReader = (v2Var == null || (m = v2Var.m()) == null || !(m instanceof Lucene40TermVectorsReader)) ? null : (Lucene40TermVectorsReader) m;
            if (aVar.k() != null) {
                i2 = copyVectorsWithDeletions(t1Var, lucene40TermVectorsReader, aVar, iArr, iArr2);
            } else {
                i2 = copyVectorsNoDeletions(t1Var, lucene40TermVectorsReader, aVar, iArr, iArr2);
            }
            i5 += i2;
            i4++;
            i3 = i6;
        }
        finish(t1Var.f1043b, i5);
        return i5;
    }

    @Override // org.apache.lucene.codecs.TermVectorsWriter
    public void startDocument(int i2) {
        this.lastFieldName = null;
        this.numVectorFields = i2;
        this.tvx.a(this.tvd.a());
        this.tvx.a(this.tvf.a());
        this.tvd.b(i2);
        this.fieldCount = 0;
        this.fps = c.a(this.fps, i2);
    }

    @Override // org.apache.lucene.codecs.TermVectorsWriter
    public void startField(k0 k0Var, int i2, boolean z, boolean z2, boolean z3) {
        this.lastFieldName = k0Var.a;
        this.positions = z;
        this.offsets = z2;
        this.payloads = z3;
        byte b2 = 0;
        this.lastTerm.z = 0;
        this.lastPayloadLength = -1;
        long[] jArr = this.fps;
        int i3 = this.fieldCount;
        this.fieldCount = i3 + 1;
        jArr[i3] = this.tvf.a();
        this.tvd.b(k0Var.f949b);
        this.tvf.b(i2);
        if (z) {
            b2 = (byte) 1;
        }
        if (z2) {
            b2 = (byte) (b2 | 2);
        }
        if (z3) {
            b2 = (byte) (b2 | 4);
        }
        this.tvf.a(b2);
    }

    @Override // org.apache.lucene.codecs.TermVectorsWriter
    public void startTerm(l lVar, int i2) {
        int a = w0.a(this.lastTerm, lVar);
        int i3 = lVar.z - a;
        this.tvf.b(a);
        this.tvf.b(i3);
        this.tvf.a(lVar.x, lVar.y + a, i3);
        this.tvf.b(i2);
        this.lastTerm.c(lVar);
        this.lastOffset = 0;
        this.lastPosition = 0;
        if (this.offsets && this.positions) {
            this.offsetStartBuffer = c.a(this.offsetStartBuffer, i2);
            this.offsetEndBuffer = c.a(this.offsetEndBuffer, i2);
        }
        this.bufferedIndex = 0;
        this.bufferedFreq = i2;
        this.payloadData.z = 0;
    }
}
