package org.apache.lucene.codecs.lucene41;

import i.a.b.c.u2;
import i.a.b.c.w2;
import i.a.b.g.x;
import org.apache.lucene.codecs.BlockTreeTermsReader;
import org.apache.lucene.codecs.BlockTreeTermsWriter;
import org.apache.lucene.codecs.FieldsConsumer;
import org.apache.lucene.codecs.FieldsProducer;
import org.apache.lucene.codecs.PostingsFormat;

public final class Lucene41PostingsFormat extends PostingsFormat {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public static final int BLOCK_SIZE = 128;
    public static final String DOC_EXTENSION = "doc";
    public static final String PAY_EXTENSION = "pay";
    public static final String POS_EXTENSION = "pos";
    public final int maxTermBlockSize;
    public final int minTermBlockSize;

    public Lucene41PostingsFormat() {
        this(25, 48);
    }

    @Override // org.apache.lucene.codecs.PostingsFormat
    public FieldsConsumer fieldsConsumer(w2 w2Var) {
        Lucene41PostingsWriter lucene41PostingsWriter = new Lucene41PostingsWriter(w2Var);
        try {
            return new BlockTreeTermsWriter(w2Var, lucene41PostingsWriter, this.minTermBlockSize, this.maxTermBlockSize);
        } catch (Throwable th) {
            x.b(lucene41PostingsWriter);
            throw th;
        }
    }

    @Override // org.apache.lucene.codecs.PostingsFormat
    public FieldsProducer fieldsProducer(u2 u2Var) {
        Lucene41PostingsReader lucene41PostingsReader = new Lucene41PostingsReader(u2Var.a, u2Var.c, u2Var.f1058b, u2Var.f1059d, u2Var.f1061f);
        try {
            return new BlockTreeTermsReader(u2Var.a, u2Var.c, u2Var.f1058b, lucene41PostingsReader, u2Var.f1059d, u2Var.f1061f, u2Var.f1060e);
        } catch (Throwable th) {
            x.b(lucene41PostingsReader);
            throw th;
        }
    }

    @Override // org.apache.lucene.codecs.PostingsFormat
    public String toString() {
        return getName() + "(blocksize=" + 128 + ")";
    }

    public Lucene41PostingsFormat(int i2, int i3) {
        super("Lucene41");
        this.minTermBlockSize = i2;
        this.maxTermBlockSize = i3;
    }
}
