package org.apache.lucene.codecs.lucene41;

import b.b.a.a.a;
import i.a.b.c.a1;
import i.a.b.c.b0;
import i.a.b.c.c0;
import i.a.b.c.k0;
import i.a.b.c.l0;
import i.a.b.c.q2;
import i.a.b.f.n;
import i.a.b.f.t;
import i.a.b.f.u;
import i.a.b.g.c;
import i.a.b.g.j;
import i.a.b.g.l;
import i.a.b.g.x;
import java.util.Arrays;
import org.apache.lucene.codecs.BlockTermState;
import org.apache.lucene.codecs.CodecUtil;
import org.apache.lucene.codecs.PostingsReaderBase;
import org.apache.lucene.codecs.lucene41.Lucene41PostingsWriter;

public final class Lucene41PostingsReader extends PostingsReaderBase {
    public final u docIn;
    public final ForUtil forUtil;
    public final u payIn;
    public final u posIn;
    public int version;

    public final class BlockDocsAndPositionsEnum extends b0 {
        public static final /* synthetic */ boolean $assertionsDisabled = false;
        public int accum;
        public int doc;
        public int docBufferUpto;
        public final int[] docDeltaBuffer;
        public int docFreq;
        public u docIn = null;
        public long docTermStartFP;
        public int docUpto;
        public final byte[] encoded;
        public int freq;
        public final int[] freqBuffer;
        public final boolean indexHasOffsets;
        public final boolean indexHasPayloads;
        public long lastPosBlockFP;
        public j liveDocs;
        public int nextSkipDoc;
        public long payTermStartFP;
        public int posBufferUpto;
        public final int[] posDeltaBuffer;
        public final u posIn;
        public int posPendingCount;
        public long posPendingFP;
        public long posTermStartFP;
        public int position;
        public int singletonDocID;
        public long skipOffset;
        public boolean skipped;
        public Lucene41SkipReader skipper;
        public final u startDocIn;
        public long totalTermFreq;

        public BlockDocsAndPositionsEnum(k0 k0Var) {
            int i2 = ForUtil.MAX_DATA_SIZE;
            this.docDeltaBuffer = new int[i2];
            this.freqBuffer = new int[i2];
            this.posDeltaBuffer = new int[i2];
            this.startDocIn = Lucene41PostingsReader.this.docIn;
            this.posIn = Lucene41PostingsReader.this.posIn.clone();
            this.encoded = new byte[512];
            this.indexHasOffsets = k0Var.f954h.compareTo(k0.b.DOCS_AND_FREQS_AND_POSITIONS_AND_OFFSETS) >= 0;
            this.indexHasPayloads = k0Var.f955i;
        }

        private void refillDocs() {
            int i2 = this.docFreq;
            int i3 = i2 - this.docUpto;
            if (i3 >= 128) {
                Lucene41PostingsReader.this.forUtil.readBlock(this.docIn, this.encoded, this.docDeltaBuffer);
                Lucene41PostingsReader.this.forUtil.readBlock(this.docIn, this.encoded, this.freqBuffer);
            } else if (i2 == 1) {
                this.docDeltaBuffer[0] = this.singletonDocID;
                this.freqBuffer[0] = (int) this.totalTermFreq;
            } else {
                Lucene41PostingsReader.readVIntBlock(this.docIn, this.docDeltaBuffer, this.freqBuffer, i3, true);
            }
            this.docBufferUpto = 0;
        }

        private void refillPositions() {
            if (this.posIn.getFilePointer() == this.lastPosBlockFP) {
                int i2 = (int) (this.totalTermFreq % 128);
                int i3 = 0;
                for (int i4 = 0; i4 < i2; i4++) {
                    int readVInt = this.posIn.readVInt();
                    if (this.indexHasPayloads) {
                        if ((readVInt & 1) != 0) {
                            i3 = this.posIn.readVInt();
                        }
                        this.posDeltaBuffer[i4] = readVInt >>> 1;
                        if (i3 != 0) {
                            u uVar = this.posIn;
                            uVar.seek(uVar.getFilePointer() + ((long) i3));
                        }
                    } else {
                        this.posDeltaBuffer[i4] = readVInt;
                    }
                    if (this.indexHasOffsets && (this.posIn.readVInt() & 1) != 0) {
                        this.posIn.readVInt();
                    }
                }
                return;
            }
            Lucene41PostingsReader.this.forUtil.readBlock(this.posIn, this.encoded, this.posDeltaBuffer);
        }

        private void skipPositions() {
            int i2 = this.posPendingCount - this.freq;
            int i3 = this.posBufferUpto;
            int i4 = 128 - i3;
            if (i2 < i4) {
                this.posBufferUpto = i3 + i2;
            } else {
                int i5 = i2 - i4;
                while (i5 >= 128) {
                    Lucene41PostingsReader.this.forUtil.skipBlock(this.posIn);
                    i5 -= 128;
                }
                refillPositions();
                this.posBufferUpto = i5;
            }
            this.position = 0;
        }

        @Override // i.a.b.e.r
        public int advance(int i2) {
            int i3;
            if (this.docFreq > 128 && i2 > this.nextSkipDoc) {
                if (this.skipper == null) {
                    this.skipper = new Lucene41SkipReader(this.docIn.clone(), 10, 128, true, this.indexHasOffsets, this.indexHasPayloads);
                }
                if (!this.skipped) {
                    Lucene41SkipReader lucene41SkipReader = this.skipper;
                    long j = this.docTermStartFP;
                    lucene41SkipReader.init(this.skipOffset + j, j, this.posTermStartFP, this.payTermStartFP, this.docFreq);
                    this.skipped = true;
                }
                int skipTo = this.skipper.skipTo(i2) + 1;
                if (skipTo > this.docUpto) {
                    this.docUpto = skipTo;
                    this.docBufferUpto = 128;
                    this.accum = this.skipper.getDoc();
                    this.docIn.seek(this.skipper.getDocPointer());
                    this.posPendingFP = this.skipper.getPosPointer();
                    this.posPendingCount = this.skipper.getPosBufferUpto();
                }
                this.nextSkipDoc = this.skipper.getNextSkipDoc();
            }
            if (this.docUpto == this.docFreq) {
                this.doc = Integer.MAX_VALUE;
                return Integer.MAX_VALUE;
            }
            if (this.docBufferUpto == 128) {
                refillDocs();
            }
            do {
                int i4 = this.accum;
                int[] iArr = this.docDeltaBuffer;
                int i5 = this.docBufferUpto;
                int i6 = i4 + iArr[i5];
                this.accum = i6;
                int i7 = this.freqBuffer[i5];
                this.freq = i7;
                this.posPendingCount += i7;
                this.docBufferUpto = i5 + 1;
                i3 = this.docUpto + 1;
                this.docUpto = i3;
                if (i6 >= i2) {
                    j jVar = this.liveDocs;
                    if (jVar != null && !jVar.get(i6)) {
                        return nextDoc();
                    }
                    this.position = 0;
                    int i8 = this.accum;
                    this.doc = i8;
                    return i8;
                }
            } while (i3 != this.docFreq);
            this.doc = Integer.MAX_VALUE;
            return Integer.MAX_VALUE;
        }

        public boolean canReuse(u uVar, k0 k0Var) {
            if (uVar == this.startDocIn) {
                if (this.indexHasOffsets == (k0Var.f954h.compareTo(k0.b.DOCS_AND_FREQS_AND_POSITIONS_AND_OFFSETS) >= 0) && this.indexHasPayloads == k0Var.f955i) {
                    return true;
                }
                return false;
            }
            return false;
        }

        @Override // i.a.b.e.r
        public long cost() {
            return (long) this.docFreq;
        }

        @Override // i.a.b.e.r
        public int docID() {
            return this.doc;
        }

        @Override // i.a.b.c.b0
        public int endOffset() {
            return -1;
        }

        @Override // i.a.b.c.c0
        public int freq() {
            return this.freq;
        }

        @Override // i.a.b.c.b0
        public l getPayload() {
            return null;
        }

        /* JADX WARNING: Removed duplicated region for block: B:4:0x000c  */
        @Override // i.a.b.e.r
        public int nextDoc() {
            while (this.docUpto != this.docFreq) {
                if (this.docBufferUpto == 128) {
                    refillDocs();
                }
                int i2 = this.accum;
                int[] iArr = this.docDeltaBuffer;
                int i3 = this.docBufferUpto;
                int i4 = i2 + iArr[i3];
                this.accum = i4;
                int i5 = this.freqBuffer[i3];
                this.freq = i5;
                this.posPendingCount += i5;
                this.docBufferUpto = i3 + 1;
                this.docUpto++;
                j jVar = this.liveDocs;
                if (jVar == null || jVar.get(i4)) {
                    int i6 = this.accum;
                    this.doc = i6;
                    this.position = 0;
                    return i6;
                }
                while (this.docUpto != this.docFreq) {
                }
            }
            this.doc = Integer.MAX_VALUE;
            return Integer.MAX_VALUE;
        }

        @Override // i.a.b.c.b0
        public int nextPosition() {
            long j = this.posPendingFP;
            if (j != -1) {
                this.posIn.seek(j);
                this.posPendingFP = -1;
                this.posBufferUpto = 128;
            }
            if (this.posPendingCount > this.freq) {
                skipPositions();
                this.posPendingCount = this.freq;
            }
            if (this.posBufferUpto == 128) {
                refillPositions();
                this.posBufferUpto = 0;
            }
            int i2 = this.position;
            int[] iArr = this.posDeltaBuffer;
            int i3 = this.posBufferUpto;
            this.posBufferUpto = i3 + 1;
            int i4 = i2 + iArr[i3];
            this.position = i4;
            this.posPendingCount--;
            return i4;
        }

        public b0 reset(j jVar, Lucene41PostingsWriter.IntBlockTermState intBlockTermState) {
            this.liveDocs = jVar;
            int i2 = intBlockTermState.docFreq;
            this.docFreq = i2;
            this.docTermStartFP = intBlockTermState.docStartFP;
            this.posTermStartFP = intBlockTermState.posStartFP;
            this.payTermStartFP = intBlockTermState.payStartFP;
            this.skipOffset = intBlockTermState.skipOffset;
            this.totalTermFreq = intBlockTermState.totalTermFreq;
            this.singletonDocID = intBlockTermState.singletonDocID;
            if (i2 > 1) {
                if (this.docIn == null) {
                    this.docIn = this.startDocIn.clone();
                }
                this.docIn.seek(this.docTermStartFP);
            }
            long j = this.posTermStartFP;
            this.posPendingFP = j;
            this.posPendingCount = 0;
            long j2 = intBlockTermState.totalTermFreq;
            if (j2 < 128) {
                this.lastPosBlockFP = j;
            } else if (j2 == 128) {
                this.lastPosBlockFP = -1;
            } else {
                this.lastPosBlockFP = j + intBlockTermState.lastPosBlockOffset;
            }
            this.doc = -1;
            this.accum = 0;
            this.docUpto = 0;
            this.nextSkipDoc = 127;
            this.docBufferUpto = 128;
            this.skipped = false;
            return this;
        }

        @Override // i.a.b.c.b0
        public int startOffset() {
            return -1;
        }
    }

    public final class BlockDocsEnum extends c0 {
        public static final /* synthetic */ boolean $assertionsDisabled = false;
        public int accum;
        public int doc;
        public int docBufferUpto;
        public final int[] docDeltaBuffer;
        public int docFreq;
        public u docIn = null;
        public long docTermStartFP;
        public int docUpto;
        public final byte[] encoded;
        public int freq;
        public final int[] freqBuffer;
        public final boolean indexHasFreq;
        public final boolean indexHasOffsets;
        public final boolean indexHasPayloads;
        public final boolean indexHasPos;
        public j liveDocs;
        public boolean needsFreq;
        public int nextSkipDoc;
        public int singletonDocID;
        public long skipOffset;
        public boolean skipped;
        public Lucene41SkipReader skipper;
        public final u startDocIn;
        public long totalTermFreq;

        public BlockDocsEnum(k0 k0Var) {
            int i2 = ForUtil.MAX_DATA_SIZE;
            this.docDeltaBuffer = new int[i2];
            this.freqBuffer = new int[i2];
            this.startDocIn = Lucene41PostingsReader.this.docIn;
            boolean z = true;
            this.indexHasFreq = k0Var.f954h.compareTo(k0.b.DOCS_AND_FREQS) >= 0;
            this.indexHasPos = k0Var.f954h.compareTo(k0.b.DOCS_AND_FREQS_AND_POSITIONS) >= 0;
            this.indexHasOffsets = k0Var.f954h.compareTo(k0.b.DOCS_AND_FREQS_AND_POSITIONS_AND_OFFSETS) < 0 ? false : z;
            this.indexHasPayloads = k0Var.f955i;
            this.encoded = new byte[512];
        }

        private void refillDocs() {
            int i2 = this.docFreq;
            int i3 = i2 - this.docUpto;
            if (i3 >= 128) {
                Lucene41PostingsReader.this.forUtil.readBlock(this.docIn, this.encoded, this.docDeltaBuffer);
                if (this.indexHasFreq) {
                    if (this.needsFreq) {
                        Lucene41PostingsReader.this.forUtil.readBlock(this.docIn, this.encoded, this.freqBuffer);
                    } else {
                        Lucene41PostingsReader.this.forUtil.skipBlock(this.docIn);
                    }
                }
            } else if (i2 == 1) {
                this.docDeltaBuffer[0] = this.singletonDocID;
                this.freqBuffer[0] = (int) this.totalTermFreq;
            } else {
                Lucene41PostingsReader.readVIntBlock(this.docIn, this.docDeltaBuffer, this.freqBuffer, i3, this.indexHasFreq);
            }
            this.docBufferUpto = 0;
        }

        @Override // i.a.b.e.r
        public int advance(int i2) {
            int i3;
            if (this.docFreq > 128 && i2 > this.nextSkipDoc) {
                if (this.skipper == null) {
                    this.skipper = new Lucene41SkipReader(this.docIn.clone(), 10, 128, this.indexHasPos, this.indexHasOffsets, this.indexHasPayloads);
                }
                if (!this.skipped) {
                    Lucene41SkipReader lucene41SkipReader = this.skipper;
                    long j = this.docTermStartFP;
                    lucene41SkipReader.init(this.skipOffset + j, j, 0, 0, this.docFreq);
                    this.skipped = true;
                }
                int skipTo = this.skipper.skipTo(i2) + 1;
                if (skipTo > this.docUpto) {
                    this.docUpto = skipTo;
                    this.docBufferUpto = 128;
                    this.accum = this.skipper.getDoc();
                    this.docIn.seek(this.skipper.getDocPointer());
                }
                this.nextSkipDoc = this.skipper.getNextSkipDoc();
            }
            if (this.docUpto == this.docFreq) {
                this.doc = Integer.MAX_VALUE;
                return Integer.MAX_VALUE;
            }
            if (this.docBufferUpto == 128) {
                refillDocs();
            }
            do {
                int i4 = this.accum;
                int[] iArr = this.docDeltaBuffer;
                int i5 = this.docBufferUpto;
                int i6 = i4 + iArr[i5];
                this.accum = i6;
                i3 = this.docUpto + 1;
                this.docUpto = i3;
                if (i6 >= i2) {
                    j jVar = this.liveDocs;
                    if (jVar == null || jVar.get(i6)) {
                        int[] iArr2 = this.freqBuffer;
                        int i7 = this.docBufferUpto;
                        this.freq = iArr2[i7];
                        this.docBufferUpto = i7 + 1;
                        int i8 = this.accum;
                        this.doc = i8;
                        return i8;
                    }
                    this.docBufferUpto++;
                    return nextDoc();
                }
                this.docBufferUpto = i5 + 1;
            } while (i3 != this.docFreq);
            this.doc = Integer.MAX_VALUE;
            return Integer.MAX_VALUE;
        }

        public boolean canReuse(u uVar, k0 k0Var) {
            if (uVar == this.startDocIn) {
                if (this.indexHasFreq == (k0Var.f954h.compareTo(k0.b.DOCS_AND_FREQS) >= 0)) {
                    if (this.indexHasPos == (k0Var.f954h.compareTo(k0.b.DOCS_AND_FREQS_AND_POSITIONS) >= 0) && this.indexHasPayloads == k0Var.f955i) {
                        return true;
                    }
                    return false;
                }
            }
            return false;
        }

        @Override // i.a.b.e.r
        public long cost() {
            return (long) this.docFreq;
        }

        @Override // i.a.b.e.r
        public int docID() {
            return this.doc;
        }

        @Override // i.a.b.c.c0
        public int freq() {
            return this.freq;
        }

        @Override // i.a.b.e.r
        public int nextDoc() {
            while (this.docUpto != this.docFreq) {
                if (this.docBufferUpto == 128) {
                    refillDocs();
                }
                int i2 = this.accum + this.docDeltaBuffer[this.docBufferUpto];
                this.accum = i2;
                this.docUpto++;
                j jVar = this.liveDocs;
                if (jVar == null || jVar.get(i2)) {
                    int i3 = this.accum;
                    this.doc = i3;
                    int[] iArr = this.freqBuffer;
                    int i4 = this.docBufferUpto;
                    this.freq = iArr[i4];
                    this.docBufferUpto = i4 + 1;
                    return i3;
                }
                this.docBufferUpto++;
            }
            this.doc = Integer.MAX_VALUE;
            return Integer.MAX_VALUE;
        }

        public c0 reset(j jVar, Lucene41PostingsWriter.IntBlockTermState intBlockTermState, int i2) {
            this.liveDocs = jVar;
            int i3 = intBlockTermState.docFreq;
            this.docFreq = i3;
            this.totalTermFreq = this.indexHasFreq ? intBlockTermState.totalTermFreq : (long) i3;
            this.docTermStartFP = intBlockTermState.docStartFP;
            this.skipOffset = intBlockTermState.skipOffset;
            this.singletonDocID = intBlockTermState.singletonDocID;
            if (this.docFreq > 1) {
                if (this.docIn == null) {
                    this.docIn = this.startDocIn.clone();
                }
                this.docIn.seek(this.docTermStartFP);
            }
            this.doc = -1;
            this.needsFreq = (i2 & 1) != 0;
            if (!this.indexHasFreq) {
                Arrays.fill(this.freqBuffer, 1);
            }
            this.accum = 0;
            this.docUpto = 0;
            this.nextSkipDoc = 127;
            this.docBufferUpto = 128;
            this.skipped = false;
            return this;
        }
    }

    public final class EverythingEnum extends b0 {
        public static final /* synthetic */ boolean $assertionsDisabled = false;
        public int accum;
        public int doc;
        public int docBufferUpto;
        public final int[] docDeltaBuffer;
        public int docFreq;
        public u docIn = null;
        public long docTermStartFP;
        public int docUpto;
        public final byte[] encoded;
        public int endOffset;
        public int freq;
        public final int[] freqBuffer;
        public final boolean indexHasOffsets;
        public final boolean indexHasPayloads;
        public long lastPosBlockFP;
        public int lastStartOffset;
        public j liveDocs;
        public boolean needsOffsets;
        public boolean needsPayloads;
        public int nextSkipDoc;
        public final int[] offsetLengthBuffer;
        public final int[] offsetStartDeltaBuffer;
        public final u payIn;
        public long payPendingFP;
        public long payTermStartFP;
        public final l payload;
        public int payloadByteUpto;
        public byte[] payloadBytes;
        public int payloadLength;
        public final int[] payloadLengthBuffer;
        public int posBufferUpto;
        public final int[] posDeltaBuffer;
        public final u posIn;
        public int posPendingCount;
        public long posPendingFP;
        public long posTermStartFP;
        public int position;
        public int singletonDocID;
        public long skipOffset;
        public boolean skipped;
        public Lucene41SkipReader skipper;
        public final u startDocIn;
        public int startOffset;
        public long totalTermFreq;

        public EverythingEnum(k0 k0Var) {
            int i2 = ForUtil.MAX_DATA_SIZE;
            this.docDeltaBuffer = new int[i2];
            this.freqBuffer = new int[i2];
            this.posDeltaBuffer = new int[i2];
            this.startDocIn = Lucene41PostingsReader.this.docIn;
            this.posIn = Lucene41PostingsReader.this.posIn.clone();
            this.payIn = Lucene41PostingsReader.this.payIn.clone();
            this.encoded = new byte[512];
            boolean z = k0Var.f954h.compareTo(k0.b.DOCS_AND_FREQS_AND_POSITIONS_AND_OFFSETS) >= 0;
            this.indexHasOffsets = z;
            if (z) {
                int i3 = ForUtil.MAX_DATA_SIZE;
                this.offsetStartDeltaBuffer = new int[i3];
                this.offsetLengthBuffer = new int[i3];
            } else {
                this.offsetStartDeltaBuffer = null;
                this.offsetLengthBuffer = null;
                this.startOffset = -1;
                this.endOffset = -1;
            }
            boolean z2 = k0Var.f955i;
            this.indexHasPayloads = z2;
            if (z2) {
                this.payloadLengthBuffer = new int[ForUtil.MAX_DATA_SIZE];
                this.payloadBytes = new byte[128];
                this.payload = new l(l.A);
                return;
            }
            this.payloadLengthBuffer = null;
            this.payloadBytes = null;
            this.payload = null;
        }

        private void refillDocs() {
            int i2 = this.docFreq;
            int i3 = i2 - this.docUpto;
            if (i3 >= 128) {
                Lucene41PostingsReader.this.forUtil.readBlock(this.docIn, this.encoded, this.docDeltaBuffer);
                Lucene41PostingsReader.this.forUtil.readBlock(this.docIn, this.encoded, this.freqBuffer);
            } else if (i2 == 1) {
                this.docDeltaBuffer[0] = this.singletonDocID;
                this.freqBuffer[0] = (int) this.totalTermFreq;
            } else {
                Lucene41PostingsReader.readVIntBlock(this.docIn, this.docDeltaBuffer, this.freqBuffer, i3, true);
            }
            this.docBufferUpto = 0;
        }

        private void refillPositions() {
            if (this.posIn.getFilePointer() == this.lastPosBlockFP) {
                int i2 = (int) (this.totalTermFreq % 128);
                this.payloadByteUpto = 0;
                int i3 = 0;
                int i4 = 0;
                for (int i5 = 0; i5 < i2; i5++) {
                    int readVInt = this.posIn.readVInt();
                    if (this.indexHasPayloads) {
                        if ((readVInt & 1) != 0) {
                            i3 = this.posIn.readVInt();
                        }
                        this.payloadLengthBuffer[i5] = i3;
                        this.posDeltaBuffer[i5] = readVInt >>> 1;
                        if (i3 != 0) {
                            int i6 = this.payloadByteUpto;
                            int i7 = i6 + i3;
                            byte[] bArr = this.payloadBytes;
                            if (i7 > bArr.length) {
                                this.payloadBytes = c.a(bArr, i6 + i3);
                            }
                            this.posIn.readBytes(this.payloadBytes, this.payloadByteUpto, i3);
                            this.payloadByteUpto += i3;
                        }
                    } else {
                        this.posDeltaBuffer[i5] = readVInt;
                    }
                    if (this.indexHasOffsets) {
                        int readVInt2 = this.posIn.readVInt();
                        if ((readVInt2 & 1) != 0) {
                            i4 = this.posIn.readVInt();
                        }
                        this.offsetStartDeltaBuffer[i5] = readVInt2 >>> 1;
                        this.offsetLengthBuffer[i5] = i4;
                    }
                }
                this.payloadByteUpto = 0;
                return;
            }
            Lucene41PostingsReader.this.forUtil.readBlock(this.posIn, this.encoded, this.posDeltaBuffer);
            if (this.indexHasPayloads) {
                if (this.needsPayloads) {
                    Lucene41PostingsReader.this.forUtil.readBlock(this.payIn, this.encoded, this.payloadLengthBuffer);
                    int readVInt3 = this.payIn.readVInt();
                    byte[] bArr2 = this.payloadBytes;
                    if (readVInt3 > bArr2.length) {
                        this.payloadBytes = c.a(bArr2, readVInt3);
                    }
                    this.payIn.readBytes(this.payloadBytes, 0, readVInt3);
                } else {
                    Lucene41PostingsReader.this.forUtil.skipBlock(this.payIn);
                    int readVInt4 = this.payIn.readVInt();
                    u uVar = this.payIn;
                    uVar.seek(uVar.getFilePointer() + ((long) readVInt4));
                }
                this.payloadByteUpto = 0;
            }
            if (!this.indexHasOffsets) {
                return;
            }
            if (this.needsOffsets) {
                Lucene41PostingsReader.this.forUtil.readBlock(this.payIn, this.encoded, this.offsetStartDeltaBuffer);
                Lucene41PostingsReader.this.forUtil.readBlock(this.payIn, this.encoded, this.offsetLengthBuffer);
                return;
            }
            Lucene41PostingsReader.this.forUtil.skipBlock(this.payIn);
            Lucene41PostingsReader.this.forUtil.skipBlock(this.payIn);
        }

        private void skipPositions() {
            int i2 = this.posPendingCount - this.freq;
            int i3 = this.posBufferUpto;
            int i4 = 128 - i3;
            if (i2 >= i4) {
                int i5 = i2 - i4;
                while (i5 >= 128) {
                    Lucene41PostingsReader.this.forUtil.skipBlock(this.posIn);
                    if (this.indexHasPayloads) {
                        Lucene41PostingsReader.this.forUtil.skipBlock(this.payIn);
                        int readVInt = this.payIn.readVInt();
                        u uVar = this.payIn;
                        uVar.seek(uVar.getFilePointer() + ((long) readVInt));
                    }
                    if (this.indexHasOffsets) {
                        Lucene41PostingsReader.this.forUtil.skipBlock(this.payIn);
                        Lucene41PostingsReader.this.forUtil.skipBlock(this.payIn);
                    }
                    i5 -= 128;
                }
                refillPositions();
                this.payloadByteUpto = 0;
                this.posBufferUpto = 0;
                while (true) {
                    int i6 = this.posBufferUpto;
                    if (i6 >= i5) {
                        break;
                    }
                    if (this.indexHasPayloads) {
                        this.payloadByteUpto += this.payloadLengthBuffer[i6];
                    }
                    this.posBufferUpto++;
                }
            } else {
                int i7 = i3 + i2;
                while (true) {
                    int i8 = this.posBufferUpto;
                    if (i8 >= i7) {
                        break;
                    }
                    if (this.indexHasPayloads) {
                        this.payloadByteUpto += this.payloadLengthBuffer[i8];
                    }
                    this.posBufferUpto++;
                }
            }
            this.position = 0;
            this.lastStartOffset = 0;
        }

        @Override // i.a.b.e.r
        public int advance(int i2) {
            int i3;
            if (this.docFreq > 128 && i2 > this.nextSkipDoc) {
                if (this.skipper == null) {
                    this.skipper = new Lucene41SkipReader(this.docIn.clone(), 10, 128, true, this.indexHasOffsets, this.indexHasPayloads);
                }
                if (!this.skipped) {
                    Lucene41SkipReader lucene41SkipReader = this.skipper;
                    long j = this.docTermStartFP;
                    lucene41SkipReader.init(this.skipOffset + j, j, this.posTermStartFP, this.payTermStartFP, this.docFreq);
                    this.skipped = true;
                }
                int skipTo = this.skipper.skipTo(i2) + 1;
                if (skipTo > this.docUpto) {
                    this.docUpto = skipTo;
                    this.docBufferUpto = 128;
                    this.accum = this.skipper.getDoc();
                    this.docIn.seek(this.skipper.getDocPointer());
                    this.posPendingFP = this.skipper.getPosPointer();
                    this.payPendingFP = this.skipper.getPayPointer();
                    this.posPendingCount = this.skipper.getPosBufferUpto();
                    this.lastStartOffset = 0;
                    this.payloadByteUpto = this.skipper.getPayloadByteUpto();
                }
                this.nextSkipDoc = this.skipper.getNextSkipDoc();
            }
            if (this.docUpto == this.docFreq) {
                this.doc = Integer.MAX_VALUE;
                return Integer.MAX_VALUE;
            }
            if (this.docBufferUpto == 128) {
                refillDocs();
            }
            do {
                int i4 = this.accum;
                int[] iArr = this.docDeltaBuffer;
                int i5 = this.docBufferUpto;
                int i6 = i4 + iArr[i5];
                this.accum = i6;
                int i7 = this.freqBuffer[i5];
                this.freq = i7;
                this.posPendingCount += i7;
                this.docBufferUpto = i5 + 1;
                i3 = this.docUpto + 1;
                this.docUpto = i3;
                if (i6 >= i2) {
                    j jVar = this.liveDocs;
                    if (jVar != null && !jVar.get(i6)) {
                        return nextDoc();
                    }
                    this.position = 0;
                    this.lastStartOffset = 0;
                    int i8 = this.accum;
                    this.doc = i8;
                    return i8;
                }
            } while (i3 != this.docFreq);
            this.doc = Integer.MAX_VALUE;
            return Integer.MAX_VALUE;
        }

        public boolean canReuse(u uVar, k0 k0Var) {
            if (uVar == this.startDocIn) {
                if (this.indexHasOffsets == (k0Var.f954h.compareTo(k0.b.DOCS_AND_FREQS_AND_POSITIONS_AND_OFFSETS) >= 0) && this.indexHasPayloads == k0Var.f955i) {
                    return true;
                }
                return false;
            }
            return false;
        }

        @Override // i.a.b.e.r
        public long cost() {
            return (long) this.docFreq;
        }

        @Override // i.a.b.e.r
        public int docID() {
            return this.doc;
        }

        @Override // i.a.b.c.b0
        public int endOffset() {
            return this.endOffset;
        }

        @Override // i.a.b.c.c0
        public int freq() {
            return this.freq;
        }

        @Override // i.a.b.c.b0
        public l getPayload() {
            if (this.payloadLength == 0) {
                return null;
            }
            return this.payload;
        }

        /* JADX WARNING: Removed duplicated region for block: B:4:0x000c  */
        @Override // i.a.b.e.r
        public int nextDoc() {
            while (this.docUpto != this.docFreq) {
                if (this.docBufferUpto == 128) {
                    refillDocs();
                }
                int i2 = this.accum;
                int[] iArr = this.docDeltaBuffer;
                int i3 = this.docBufferUpto;
                int i4 = i2 + iArr[i3];
                this.accum = i4;
                int i5 = this.freqBuffer[i3];
                this.freq = i5;
                this.posPendingCount += i5;
                this.docBufferUpto = i3 + 1;
                this.docUpto++;
                j jVar = this.liveDocs;
                if (jVar == null || jVar.get(i4)) {
                    int i6 = this.accum;
                    this.doc = i6;
                    this.position = 0;
                    this.lastStartOffset = 0;
                    return i6;
                }
                while (this.docUpto != this.docFreq) {
                }
            }
            this.doc = Integer.MAX_VALUE;
            return Integer.MAX_VALUE;
        }

        @Override // i.a.b.c.b0
        public int nextPosition() {
            long j = this.posPendingFP;
            if (j != -1) {
                this.posIn.seek(j);
                this.posPendingFP = -1;
                long j2 = this.payPendingFP;
                if (j2 != -1) {
                    this.payIn.seek(j2);
                    this.payPendingFP = -1;
                }
                this.posBufferUpto = 128;
            }
            if (this.posPendingCount > this.freq) {
                skipPositions();
                this.posPendingCount = this.freq;
            }
            if (this.posBufferUpto == 128) {
                refillPositions();
                this.posBufferUpto = 0;
            }
            int i2 = this.position;
            int[] iArr = this.posDeltaBuffer;
            int i3 = this.posBufferUpto;
            this.position = i2 + iArr[i3];
            if (this.indexHasPayloads) {
                int i4 = this.payloadLengthBuffer[i3];
                this.payloadLength = i4;
                l lVar = this.payload;
                lVar.x = this.payloadBytes;
                int i5 = this.payloadByteUpto;
                lVar.y = i5;
                lVar.z = i4;
                this.payloadByteUpto = i5 + i4;
            }
            if (this.indexHasOffsets) {
                int i6 = this.lastStartOffset;
                int[] iArr2 = this.offsetStartDeltaBuffer;
                int i7 = this.posBufferUpto;
                int i8 = i6 + iArr2[i7];
                this.startOffset = i8;
                this.endOffset = this.offsetLengthBuffer[i7] + i8;
                this.lastStartOffset = i8;
            }
            this.posBufferUpto++;
            this.posPendingCount--;
            return this.position;
        }

        public EverythingEnum reset(j jVar, Lucene41PostingsWriter.IntBlockTermState intBlockTermState, int i2) {
            this.liveDocs = jVar;
            int i3 = intBlockTermState.docFreq;
            this.docFreq = i3;
            this.docTermStartFP = intBlockTermState.docStartFP;
            this.posTermStartFP = intBlockTermState.posStartFP;
            this.payTermStartFP = intBlockTermState.payStartFP;
            this.skipOffset = intBlockTermState.skipOffset;
            this.totalTermFreq = intBlockTermState.totalTermFreq;
            this.singletonDocID = intBlockTermState.singletonDocID;
            boolean z = true;
            if (i3 > 1) {
                if (this.docIn == null) {
                    this.docIn = this.startDocIn.clone();
                }
                this.docIn.seek(this.docTermStartFP);
            }
            long j = this.posTermStartFP;
            this.posPendingFP = j;
            this.payPendingFP = this.payTermStartFP;
            this.posPendingCount = 0;
            long j2 = intBlockTermState.totalTermFreq;
            if (j2 < 128) {
                this.lastPosBlockFP = j;
            } else if (j2 == 128) {
                this.lastPosBlockFP = -1;
            } else {
                this.lastPosBlockFP = j + intBlockTermState.lastPosBlockOffset;
            }
            this.needsOffsets = (i2 & 1) != 0;
            if ((i2 & 2) == 0) {
                z = false;
            }
            this.needsPayloads = z;
            this.doc = -1;
            this.accum = 0;
            this.docUpto = 0;
            this.nextSkipDoc = 127;
            this.docBufferUpto = 128;
            this.skipped = false;
            return this;
        }

        @Override // i.a.b.c.b0
        public int startOffset() {
            return this.startOffset;
        }
    }

    public Lucene41PostingsReader(n nVar, l0 l0Var, q2 q2Var, t tVar, String str) {
        u uVar;
        Throwable th;
        u uVar2;
        u uVar3;
        u uVar4 = null;
        try {
            u c = nVar.c(a1.a(q2Var.a, str, Lucene41PostingsFormat.DOC_EXTENSION), tVar);
            try {
                this.version = CodecUtil.checkHeader(c, Lucene41PostingsWriter.DOC_CODEC, 0, 1);
                this.forUtil = new ForUtil(c);
                if (l0Var.y) {
                    uVar2 = nVar.c(a1.a(q2Var.a, str, Lucene41PostingsFormat.POS_EXTENSION), tVar);
                    try {
                        CodecUtil.checkHeader(uVar2, Lucene41PostingsWriter.POS_CODEC, this.version, this.version);
                        if (!l0Var.z) {
                            if (l0Var.A) {
                            }
                            uVar3 = uVar4;
                            uVar4 = uVar2;
                        }
                        uVar4 = nVar.c(a1.a(q2Var.a, str, Lucene41PostingsFormat.PAY_EXTENSION), tVar);
                        CodecUtil.checkHeader(uVar4, Lucene41PostingsWriter.PAY_CODEC, this.version, this.version);
                        uVar3 = uVar4;
                        uVar4 = uVar2;
                    } catch (Throwable th2) {
                        th = th2;
                        uVar = null;
                        uVar4 = c;
                        x.b(uVar4, uVar2, uVar);
                        throw th;
                    }
                } else {
                    uVar3 = null;
                }
            } catch (Throwable th3) {
                th = th3;
                uVar = null;
                uVar2 = null;
                uVar4 = c;
                x.b(uVar4, uVar2, uVar);
                throw th;
            }
            try {
                this.docIn = c;
                this.posIn = uVar4;
                this.payIn = uVar3;
            } catch (Throwable th4) {
                uVar2 = uVar4;
                uVar4 = c;
                uVar = uVar3;
                th = th4;
                x.b(uVar4, uVar2, uVar);
                throw th;
            }
        } catch (Throwable th5) {
            th = th5;
            uVar = null;
            uVar2 = null;
            x.b(uVar4, uVar2, uVar);
            throw th;
        }
    }

    private void _decodeTerm(i.a.b.f.l lVar, k0 k0Var, Lucene41PostingsWriter.IntBlockTermState intBlockTermState) {
        boolean z = false;
        boolean z2 = k0Var.f954h.compareTo(k0.b.DOCS_AND_FREQS_AND_POSITIONS) >= 0;
        if (k0Var.f954h.compareTo((Enum) k0.b.DOCS_AND_FREQS_AND_POSITIONS_AND_OFFSETS) >= 0) {
            z = true;
        }
        boolean z3 = k0Var.f955i;
        if (intBlockTermState.docFreq == 1) {
            intBlockTermState.singletonDocID = lVar.readVInt();
        } else {
            intBlockTermState.singletonDocID = -1;
            intBlockTermState.docStartFP = lVar.readVLong() + intBlockTermState.docStartFP;
        }
        if (z2) {
            intBlockTermState.posStartFP = lVar.readVLong() + intBlockTermState.posStartFP;
            if (intBlockTermState.totalTermFreq > 128) {
                intBlockTermState.lastPosBlockOffset = lVar.readVLong();
            } else {
                intBlockTermState.lastPosBlockOffset = -1;
            }
            if ((z3 || z) && intBlockTermState.totalTermFreq >= 128) {
                intBlockTermState.payStartFP = lVar.readVLong() + intBlockTermState.payStartFP;
            }
        }
        if (intBlockTermState.docFreq > 128) {
            intBlockTermState.skipOffset = lVar.readVLong();
        } else {
            intBlockTermState.skipOffset = -1;
        }
    }

    public static void readVIntBlock(u uVar, int[] iArr, int[] iArr2, int i2, boolean z) {
        int i3 = 0;
        if (z) {
            while (i3 < i2) {
                int readVInt = uVar.readVInt();
                iArr[i3] = readVInt >>> 1;
                if ((readVInt & 1) != 0) {
                    iArr2[i3] = 1;
                } else {
                    iArr2[i3] = uVar.readVInt();
                }
                i3++;
            }
            return;
        }
        while (i3 < i2) {
            iArr[i3] = uVar.readVInt();
            i3++;
        }
    }

    @Override // org.apache.lucene.codecs.PostingsReaderBase, java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        x.a(this.docIn, this.posIn, this.payIn);
    }

    @Override // org.apache.lucene.codecs.PostingsReaderBase
    public void decodeTerm(long[] jArr, i.a.b.f.l lVar, k0 k0Var, BlockTermState blockTermState, boolean z) {
        Lucene41PostingsWriter.IntBlockTermState intBlockTermState = (Lucene41PostingsWriter.IntBlockTermState) blockTermState;
        boolean z2 = k0Var.f954h.compareTo(k0.b.DOCS_AND_FREQS_AND_POSITIONS) >= 0;
        boolean z3 = k0Var.f954h.compareTo(k0.b.DOCS_AND_FREQS_AND_POSITIONS_AND_OFFSETS) >= 0;
        boolean z4 = k0Var.f955i;
        if (z) {
            intBlockTermState.docStartFP = 0;
            intBlockTermState.posStartFP = 0;
            intBlockTermState.payStartFP = 0;
        }
        if (this.version < 1) {
            _decodeTerm(lVar, k0Var, intBlockTermState);
            return;
        }
        intBlockTermState.docStartFP += jArr[0];
        if (z2) {
            intBlockTermState.posStartFP += jArr[1];
            if (z3 || z4) {
                intBlockTermState.payStartFP += jArr[2];
            }
        }
        if (intBlockTermState.docFreq == 1) {
            intBlockTermState.singletonDocID = lVar.readVInt();
        } else {
            intBlockTermState.singletonDocID = -1;
        }
        if (z2) {
            if (intBlockTermState.totalTermFreq > 128) {
                intBlockTermState.lastPosBlockOffset = lVar.readVLong();
            } else {
                intBlockTermState.lastPosBlockOffset = -1;
            }
        }
        if (intBlockTermState.docFreq > 128) {
            intBlockTermState.skipOffset = lVar.readVLong();
        } else {
            intBlockTermState.skipOffset = -1;
        }
    }

    @Override // org.apache.lucene.codecs.PostingsReaderBase
    public c0 docs(k0 k0Var, BlockTermState blockTermState, j jVar, c0 c0Var, int i2) {
        BlockDocsEnum blockDocsEnum;
        if (c0Var instanceof BlockDocsEnum) {
            blockDocsEnum = (BlockDocsEnum) c0Var;
            if (!blockDocsEnum.canReuse(this.docIn, k0Var)) {
                blockDocsEnum = new BlockDocsEnum(k0Var);
            }
        } else {
            blockDocsEnum = new BlockDocsEnum(k0Var);
        }
        return blockDocsEnum.reset(jVar, (Lucene41PostingsWriter.IntBlockTermState) blockTermState, i2);
    }

    @Override // org.apache.lucene.codecs.PostingsReaderBase
    public b0 docsAndPositions(k0 k0Var, BlockTermState blockTermState, j jVar, b0 b0Var, int i2) {
        EverythingEnum everythingEnum;
        BlockDocsAndPositionsEnum blockDocsAndPositionsEnum;
        boolean z = k0Var.f954h.compareTo(k0.b.DOCS_AND_FREQS_AND_POSITIONS_AND_OFFSETS) >= 0;
        boolean z2 = k0Var.f955i;
        if ((!z || (i2 & 1) == 0) && (!z2 || (i2 & 2) == 0)) {
            if (b0Var instanceof BlockDocsAndPositionsEnum) {
                blockDocsAndPositionsEnum = (BlockDocsAndPositionsEnum) b0Var;
                if (!blockDocsAndPositionsEnum.canReuse(this.docIn, k0Var)) {
                    blockDocsAndPositionsEnum = new BlockDocsAndPositionsEnum(k0Var);
                }
            } else {
                blockDocsAndPositionsEnum = new BlockDocsAndPositionsEnum(k0Var);
            }
            return blockDocsAndPositionsEnum.reset(jVar, (Lucene41PostingsWriter.IntBlockTermState) blockTermState);
        }
        if (b0Var instanceof EverythingEnum) {
            everythingEnum = (EverythingEnum) b0Var;
            if (!everythingEnum.canReuse(this.docIn, k0Var)) {
                everythingEnum = new EverythingEnum(k0Var);
            }
        } else {
            everythingEnum = new EverythingEnum(k0Var);
        }
        return everythingEnum.reset(jVar, (Lucene41PostingsWriter.IntBlockTermState) blockTermState, i2);
    }

    @Override // org.apache.lucene.codecs.PostingsReaderBase
    public void init(u uVar) {
        CodecUtil.checkHeader(uVar, Lucene41PostingsWriter.TERMS_CODEC, 0, 1);
        int readVInt = uVar.readVInt();
        if (readVInt != 128) {
            throw new IllegalStateException(a.b("index-time BLOCK_SIZE (", readVInt, ") != read-time BLOCK_SIZE (", 128, ")"));
        }
    }

    @Override // org.apache.lucene.codecs.PostingsReaderBase
    public BlockTermState newTermState() {
        return new Lucene41PostingsWriter.IntBlockTermState();
    }

    @Override // org.apache.lucene.codecs.PostingsReaderBase
    public long ramBytesUsed() {
        return 0;
    }
}
