package org.apache.lucene.codecs.lucene41;

import i.a.b.f.u;
import java.util.Arrays;
import org.apache.lucene.codecs.MultiLevelSkipListReader;

public final class Lucene41SkipReader extends MultiLevelSkipListReader {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public final int blockSize;
    public long[] docPointer;
    public long lastDocPointer;
    public long lastPayPointer;
    public int lastPayloadByteUpto;
    public int lastPosBufferUpto;
    public long lastPosPointer;
    public long[] payPointer;
    public int[] payloadByteUpto;
    public int[] posBufferUpto;
    public long[] posPointer;

    public Lucene41SkipReader(u uVar, int i2, int i3, boolean z, boolean z2, boolean z3) {
        super(uVar, i2, i3, 8);
        this.blockSize = i3;
        this.docPointer = new long[i2];
        if (z) {
            this.posPointer = new long[i2];
            this.posBufferUpto = new int[i2];
            if (z3) {
                this.payloadByteUpto = new int[i2];
            } else {
                this.payloadByteUpto = null;
            }
            if (z2 || z3) {
                this.payPointer = new long[i2];
            } else {
                this.payPointer = null;
            }
        } else {
            this.posPointer = null;
        }
    }

    public long getDocPointer() {
        return this.lastDocPointer;
    }

    public int getNextSkipDoc() {
        return this.skipDoc[0];
    }

    public long getPayPointer() {
        return this.lastPayPointer;
    }

    public int getPayloadByteUpto() {
        return this.lastPayloadByteUpto;
    }

    public int getPosBufferUpto() {
        return this.lastPosBufferUpto;
    }

    public long getPosPointer() {
        return this.lastPosPointer;
    }

    public void init(long j, long j2, long j3, long j4, int i2) {
        super.init(j, trim(i2));
        this.lastDocPointer = j2;
        this.lastPosPointer = j3;
        this.lastPayPointer = j4;
        Arrays.fill(this.docPointer, j2);
        long[] jArr = this.posPointer;
        if (jArr != null) {
            Arrays.fill(jArr, j3);
            long[] jArr2 = this.payPointer;
            if (jArr2 != null) {
                Arrays.fill(jArr2, j4);
            }
        }
    }

    @Override // org.apache.lucene.codecs.MultiLevelSkipListReader
    public int readSkipData(int i2, u uVar) {
        int readVInt = uVar.readVInt();
        long[] jArr = this.docPointer;
        jArr[i2] = jArr[i2] + ((long) uVar.readVInt());
        long[] jArr2 = this.posPointer;
        if (jArr2 != null) {
            jArr2[i2] = jArr2[i2] + ((long) uVar.readVInt());
            this.posBufferUpto[i2] = uVar.readVInt();
            int[] iArr = this.payloadByteUpto;
            if (iArr != null) {
                iArr[i2] = uVar.readVInt();
            }
            long[] jArr3 = this.payPointer;
            if (jArr3 != null) {
                jArr3[i2] = jArr3[i2] + ((long) uVar.readVInt());
            }
        }
        return readVInt;
    }

    @Override // org.apache.lucene.codecs.MultiLevelSkipListReader
    public void seekChild(int i2) {
        super.seekChild(i2);
        this.docPointer[i2] = this.lastDocPointer;
        long[] jArr = this.posPointer;
        if (jArr != null) {
            jArr[i2] = this.lastPosPointer;
            this.posBufferUpto[i2] = this.lastPosBufferUpto;
            int[] iArr = this.payloadByteUpto;
            if (iArr != null) {
                iArr[i2] = this.lastPayloadByteUpto;
            }
            long[] jArr2 = this.payPointer;
            if (jArr2 != null) {
                jArr2[i2] = this.lastPayPointer;
            }
        }
    }

    @Override // org.apache.lucene.codecs.MultiLevelSkipListReader
    public void setLastSkipData(int i2) {
        super.setLastSkipData(i2);
        this.lastDocPointer = this.docPointer[i2];
        long[] jArr = this.posPointer;
        if (jArr != null) {
            this.lastPosPointer = jArr[i2];
            this.lastPosBufferUpto = this.posBufferUpto[i2];
            long[] jArr2 = this.payPointer;
            if (jArr2 != null) {
                this.lastPayPointer = jArr2[i2];
            }
            int[] iArr = this.payloadByteUpto;
            if (iArr != null) {
                this.lastPayloadByteUpto = iArr[i2];
            }
        }
    }

    public int trim(int i2) {
        return i2 % this.blockSize == 0 ? i2 - 1 : i2;
    }
}
