package org.apache.lucene.codecs.lucene41;

import i.a.b.f.v;
import java.util.Arrays;
import org.apache.lucene.codecs.MultiLevelSkipListWriter;

public final class Lucene41SkipWriter extends MultiLevelSkipListWriter {
    public int curDoc;
    public long curDocPointer;
    public long curPayPointer;
    public int curPayloadByteUpto;
    public int curPosBufferUpto;
    public long curPosPointer;
    public final v docOut;
    public boolean fieldHasOffsets;
    public boolean fieldHasPayloads;
    public boolean fieldHasPositions;
    public int[] lastPayloadByteUpto;
    public int[] lastSkipDoc;
    public long[] lastSkipDocPointer;
    public long[] lastSkipPayPointer;
    public long[] lastSkipPosPointer;
    public final v payOut;
    public final v posOut;

    public Lucene41SkipWriter(int i2, int i3, int i4, v vVar, v vVar2, v vVar3) {
        super(i3, 8, i2, i4);
        this.docOut = vVar;
        this.posOut = vVar2;
        this.payOut = vVar3;
        this.lastSkipDoc = new int[i2];
        this.lastSkipDocPointer = new long[i2];
        if (vVar2 != null) {
            this.lastSkipPosPointer = new long[i2];
            if (vVar3 != null) {
                this.lastSkipPayPointer = new long[i2];
            }
            this.lastPayloadByteUpto = new int[i2];
        }
    }

    public void bufferSkip(int i2, int i3, long j, long j2, int i4, int i5) {
        this.curDoc = i2;
        this.curDocPointer = this.docOut.a();
        this.curPosPointer = j;
        this.curPayPointer = j2;
        this.curPosBufferUpto = i4;
        this.curPayloadByteUpto = i5;
        bufferSkip(i3);
    }

    @Override // org.apache.lucene.codecs.MultiLevelSkipListWriter
    public void resetSkip() {
        super.resetSkip();
        Arrays.fill(this.lastSkipDoc, 0);
        Arrays.fill(this.lastSkipDocPointer, this.docOut.a());
        if (this.fieldHasPositions) {
            Arrays.fill(this.lastSkipPosPointer, this.posOut.a());
            if (this.fieldHasPayloads) {
                Arrays.fill(this.lastPayloadByteUpto, 0);
            }
            if (this.fieldHasOffsets || this.fieldHasPayloads) {
                Arrays.fill(this.lastSkipPayPointer, this.payOut.a());
            }
        }
    }

    public void setField(boolean z, boolean z2, boolean z3) {
        this.fieldHasPositions = z;
        this.fieldHasOffsets = z2;
        this.fieldHasPayloads = z3;
    }

    @Override // org.apache.lucene.codecs.MultiLevelSkipListWriter
    public void writeSkipData(int i2, v vVar) {
        vVar.b(this.curDoc - this.lastSkipDoc[i2]);
        this.lastSkipDoc[i2] = this.curDoc;
        vVar.b((int) (this.curDocPointer - this.lastSkipDocPointer[i2]));
        this.lastSkipDocPointer[i2] = this.curDocPointer;
        if (this.fieldHasPositions) {
            vVar.b((int) (this.curPosPointer - this.lastSkipPosPointer[i2]));
            this.lastSkipPosPointer[i2] = this.curPosPointer;
            vVar.b(this.curPosBufferUpto);
            if (this.fieldHasPayloads) {
                vVar.b(this.curPayloadByteUpto);
            }
            if (this.fieldHasOffsets || this.fieldHasPayloads) {
                vVar.b((int) (this.curPayPointer - this.lastSkipPayPointer[i2]));
                this.lastSkipPayPointer[i2] = this.curPayPointer;
            }
        }
    }
}
