package org.apache.lucene.codecs.lucene42;

import b.b.a.a.a;
import i.a.b.c.a1;
import i.a.b.c.b0;
import i.a.b.c.b3;
import i.a.b.c.e;
import i.a.b.c.e2;
import i.a.b.c.k0;
import i.a.b.c.o3;
import i.a.b.c.q;
import i.a.b.c.u2;
import i.a.b.c.y2;
import i.a.b.f.u;
import i.a.b.g.c0;
import i.a.b.g.f1.c;
import i.a.b.g.f1.e;
import i.a.b.g.f1.k;
import i.a.b.g.f1.m;
import i.a.b.g.g1.f;
import i.a.b.g.g1.r0;
import i.a.b.g.g1.x0;
import i.a.b.g.j;
import i.a.b.g.l;
import i.a.b.g.l0;
import i.a.b.g.o0;
import i.a.b.g.x;
import java.io.IOException;
import java.util.Comparator;
import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.atomic.AtomicLong;
import org.apache.lucene.codecs.CodecUtil;
import org.apache.lucene.codecs.DocValuesProducer;

public class Lucene42DocValuesProducer extends DocValuesProducer {
    public static final int BLOCK_SIZE = 4096;
    public static final byte BYTES = 1;
    public static final byte DELTA_COMPRESSED = 0;
    public static final byte FST = 2;
    public static final byte GCD_COMPRESSED = 3;
    public static final byte NUMBER = 0;
    public static final byte TABLE_COMPRESSED = 1;
    public static final byte UNCOMPRESSED = 2;
    public static final int VERSION_CURRENT = 1;
    public static final int VERSION_GCD_COMPRESSION = 1;
    public static final int VERSION_START = 0;
    public final Map<Integer, BinaryEntry> binaries;
    public final Map<Integer, e> binaryInstances = new HashMap();
    public final u data;
    public final Map<Integer, i.a.b.g.f1.e<Long>> fstInstances = new HashMap();
    public final Map<Integer, FSTEntry> fsts;
    public final int maxDoc;
    public final Map<Integer, e2> numericInstances = new HashMap();
    public final Map<Integer, NumericEntry> numerics;
    public final AtomicLong ramBytesUsed;

    public static class BinaryEntry {
        public int blockSize;
        public int maxLength;
        public int minLength;
        public long numBytes;
        public long offset;
        public int packedIntsVersion;
    }

    public static class FSTEntry {
        public long numOrds;
        public long offset;
    }

    public static class FSTTermsEnum extends o3 {
        public final e.b bytesReader;
        public final e.a<Long> firstArc = new e.a<>();
        public final i.a.b.g.f1.e<Long> fst;
        public final c<Long> in;
        public final e.a<Long> scratchArc = new e.a<>();
        public final l scratchBytes = new l(l.A);
        public final c0 scratchInts = new c0();

        public FSTTermsEnum(i.a.b.g.f1.e<Long> eVar) {
            this.fst = eVar;
            this.in = new c<>(eVar);
            this.bytesReader = eVar.b();
        }

        @Override // i.a.b.c.o3
        public int docFreq() {
            throw new UnsupportedOperationException();
        }

        @Override // i.a.b.c.o3
        public i.a.b.c.c0 docs(j jVar, i.a.b.c.c0 c0Var, int i2) {
            throw new UnsupportedOperationException();
        }

        @Override // i.a.b.c.o3
        public b0 docsAndPositions(j jVar, b0 b0Var, int i2) {
            throw new UnsupportedOperationException();
        }

        @Override // i.a.b.g.n
        public Comparator<l> getComparator() {
            return l.C;
        }

        @Override // i.a.b.g.n
        public l next() {
            c.a<Long> e2 = this.in.e();
            if (e2 == null) {
                return null;
            }
            return e2.a;
        }

        @Override // i.a.b.c.o3
        public long ord() {
            return this.in.f1428i.f1429b.longValue();
        }

        @Override // i.a.b.c.o3
        public o3.c seekCeil(l lVar) {
            if (this.in.a(lVar) == null) {
                return o3.c.END;
            }
            if (term().equals(lVar)) {
                return o3.c.FOUND;
            }
            return o3.c.NOT_FOUND;
        }

        @Override // i.a.b.c.o3
        public boolean seekExact(l lVar) {
            return this.in.b(lVar) != null;
        }

        @Override // i.a.b.c.o3
        public l term() {
            return this.in.f1428i.a;
        }

        @Override // i.a.b.c.o3
        public long totalTermFreq() {
            throw new UnsupportedOperationException();
        }

        @Override // i.a.b.c.o3
        public void seekExact(long j) {
            this.bytesReader.a(0L);
            this.fst.a(this.firstArc);
            c0 a = m.a(this.fst, j, this.bytesReader, this.firstArc, this.scratchArc, this.scratchInts);
            l lVar = this.scratchBytes;
            lVar.x = new byte[a.z];
            lVar.y = 0;
            lVar.z = 0;
            m.a(a, lVar);
            this.in.b(this.scratchBytes);
        }
    }

    public static class NumericEntry {
        public byte format;
        public long offset;
        public int packedIntsVersion;
    }

    public Lucene42DocValuesProducer(u2 u2Var, String str, String str2, String str3, String str4) {
        this.maxDoc = u2Var.f1058b.b();
        u c = u2Var.a.c(a1.a(u2Var.f1058b.a, u2Var.f1061f, str4), u2Var.f1059d);
        this.ramBytesUsed = new AtomicLong(o0.b((Class<?>) Lucene42DocValuesProducer.class));
        try {
            int checkHeader = CodecUtil.checkHeader(c, str3, 0, 1);
            this.numerics = new HashMap();
            this.binaries = new HashMap();
            this.fsts = new HashMap();
            readFields(c, u2Var.c);
            x.a(c);
            try {
                u c2 = u2Var.a.c(a1.a(u2Var.f1058b.a, u2Var.f1061f, str2), u2Var.f1059d);
                this.data = c2;
                if (checkHeader != CodecUtil.checkHeader(c2, str, 0, 1)) {
                    throw new q("Format versions mismatch");
                }
            } catch (Throwable th) {
                x.b(this.data);
                throw th;
            }
        } catch (Throwable th2) {
            x.b(c);
            throw th2;
        }
    }

    private i.a.b.c.e loadBinary(k0 k0Var) {
        BinaryEntry binaryEntry = this.binaries.get(Integer.valueOf(k0Var.f949b));
        this.data.seek(binaryEntry.offset);
        l0 l0Var = new l0(16);
        l0Var.a(this.data, binaryEntry.numBytes);
        final l0.d a = l0Var.a(true);
        final int i2 = binaryEntry.minLength;
        if (i2 == binaryEntry.maxLength) {
            this.ramBytesUsed.addAndGet(l0Var.b());
            return new i.a.b.c.e() {
                /* class org.apache.lucene.codecs.lucene42.Lucene42DocValuesProducer.AnonymousClass4 */

                @Override // i.a.b.c.e
                public void get(int i2, l lVar) {
                    l0.d dVar = a;
                    int i3 = i2;
                    dVar.a(lVar, ((long) i3) * ((long) i2), i3);
                }
            };
        }
        final r0 r0Var = new r0(this.data, binaryEntry.packedIntsVersion, binaryEntry.blockSize, (long) this.maxDoc, false);
        this.ramBytesUsed.addAndGet(r0Var.a() + l0Var.b());
        return new i.a.b.c.e() {
            /* class org.apache.lucene.codecs.lucene42.Lucene42DocValuesProducer.AnonymousClass5 */

            @Override // i.a.b.c.e
            public void get(int i2, l lVar) {
                long j = i2 == 0 ? 0 : r0Var.get(i2 - 1);
                a.a(lVar, j, (int) (r0Var.get(i2) - j));
            }
        };
    }

    private e2 loadNumeric(k0 k0Var) {
        NumericEntry numericEntry = this.numerics.get(Integer.valueOf(k0Var.f949b));
        this.data.seek(numericEntry.offset);
        byte b2 = numericEntry.format;
        if (b2 != 0) {
            if (b2 == 1) {
                int readVInt = this.data.readVInt();
                if (readVInt <= 256) {
                    final long[] jArr = new long[readVInt];
                    for (int i2 = 0; i2 < readVInt; i2++) {
                        jArr[i2] = this.data.readLong();
                    }
                    int readVInt2 = this.data.readVInt();
                    final x0.i a = x0.a((i.a.b.f.l) this.data, x0.d.c(readVInt2), numericEntry.packedIntsVersion, this.maxDoc, this.data.readVInt());
                    this.ramBytesUsed.addAndGet(a.b() + o0.a(jArr));
                    return new e2() {
                        /* class org.apache.lucene.codecs.lucene42.Lucene42DocValuesProducer.AnonymousClass1 */

                        @Override // i.a.b.c.e2
                        public long get(int i2) {
                            return jArr[(int) a.get(i2)];
                        }
                    };
                }
                StringBuilder b3 = a.b("TABLE_COMPRESSED cannot have more than 256 distinct values, input=");
                b3.append(this.data);
                throw new q(b3.toString());
            } else if (b2 == 2) {
                int i3 = this.maxDoc;
                final byte[] bArr = new byte[i3];
                this.data.readBytes(bArr, 0, i3);
                this.ramBytesUsed.addAndGet(o0.a(bArr));
                return new e2() {
                    /* class org.apache.lucene.codecs.lucene42.Lucene42DocValuesProducer.AnonymousClass2 */

                    @Override // i.a.b.c.e2
                    public long get(int i2) {
                        return (long) bArr[i2];
                    }
                };
            } else if (b2 == 3) {
                final long readLong = this.data.readLong();
                final long readLong2 = this.data.readLong();
                final f fVar = new f(this.data, numericEntry.packedIntsVersion, this.data.readVInt(), (long) this.maxDoc, false);
                this.ramBytesUsed.addAndGet(fVar.a());
                return new e2() {
                    /* class org.apache.lucene.codecs.lucene42.Lucene42DocValuesProducer.AnonymousClass3 */

                    @Override // i.a.b.c.e2
                    public long get(int i2) {
                        return (fVar.get(i2) * readLong2) + readLong;
                    }
                };
            } else {
                throw new AssertionError();
            }
        } else {
            f fVar2 = new f(this.data, numericEntry.packedIntsVersion, this.data.readVInt(), (long) this.maxDoc, false);
            this.ramBytesUsed.addAndGet(fVar2.a());
            return fVar2;
        }
    }

    private void readFields(u uVar, i.a.b.c.l0 l0Var) {
        int readVInt = uVar.readVInt();
        while (readVInt != -1) {
            byte readByte = uVar.readByte();
            if (readByte == 0) {
                NumericEntry numericEntry = new NumericEntry();
                numericEntry.offset = uVar.readLong();
                byte readByte2 = uVar.readByte();
                numericEntry.format = readByte2;
                if (readByte2 == 0 || readByte2 == 1 || readByte2 == 2 || readByte2 == 3) {
                    if (numericEntry.format != 2) {
                        numericEntry.packedIntsVersion = uVar.readVInt();
                    }
                    this.numerics.put(Integer.valueOf(readVInt), numericEntry);
                } else {
                    StringBuilder b2 = a.b("Unknown format: ");
                    b2.append((int) numericEntry.format);
                    b2.append(", input=");
                    b2.append(uVar);
                    throw new q(b2.toString());
                }
            } else if (readByte == 1) {
                BinaryEntry binaryEntry = new BinaryEntry();
                binaryEntry.offset = uVar.readLong();
                binaryEntry.numBytes = uVar.readLong();
                binaryEntry.minLength = uVar.readVInt();
                int readVInt2 = uVar.readVInt();
                binaryEntry.maxLength = readVInt2;
                if (binaryEntry.minLength != readVInt2) {
                    binaryEntry.packedIntsVersion = uVar.readVInt();
                    binaryEntry.blockSize = uVar.readVInt();
                }
                this.binaries.put(Integer.valueOf(readVInt), binaryEntry);
            } else if (readByte == 2) {
                FSTEntry fSTEntry = new FSTEntry();
                fSTEntry.offset = uVar.readLong();
                fSTEntry.numOrds = uVar.readVLong();
                this.fsts.put(Integer.valueOf(readVInt), fSTEntry);
            } else {
                throw new q("invalid entry type: " + ((int) readByte) + ", input=" + uVar);
            }
            readVInt = uVar.readVInt();
        }
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        this.data.close();
    }

    @Override // org.apache.lucene.codecs.DocValuesProducer
    public synchronized i.a.b.c.e getBinary(k0 k0Var) {
        i.a.b.c.e eVar;
        eVar = this.binaryInstances.get(Integer.valueOf(k0Var.f949b));
        if (eVar == null) {
            eVar = loadBinary(k0Var);
            this.binaryInstances.put(Integer.valueOf(k0Var.f949b), eVar);
        }
        return eVar;
    }

    @Override // org.apache.lucene.codecs.DocValuesProducer
    public j getDocsWithField(k0 k0Var) {
        if (k0Var.f950d == k0.a.SORTED_SET) {
            return new DocValuesProducer.SortedSetDocsWithField(getSortedSet(k0Var), this.maxDoc);
        }
        return new j.a(this.maxDoc);
    }

    @Override // org.apache.lucene.codecs.DocValuesProducer
    public synchronized e2 getNumeric(k0 k0Var) {
        e2 e2Var;
        e2Var = this.numericInstances.get(Integer.valueOf(k0Var.f949b));
        if (e2Var == null) {
            e2Var = loadNumeric(k0Var);
            this.numericInstances.put(Integer.valueOf(k0Var.f949b), e2Var);
        }
        return e2Var;
    }

    @Override // org.apache.lucene.codecs.DocValuesProducer
    public y2 getSorted(k0 k0Var) {
        final i.a.b.g.f1.e<Long> eVar;
        final FSTEntry fSTEntry = this.fsts.get(Integer.valueOf(k0Var.f949b));
        synchronized (this) {
            eVar = this.fstInstances.get(Integer.valueOf(k0Var.f949b));
            if (eVar == null) {
                this.data.seek(fSTEntry.offset);
                eVar = new i.a.b.g.f1.e<>(this.data, k.f1454b);
                this.ramBytesUsed.addAndGet(eVar.c());
                this.fstInstances.put(Integer.valueOf(k0Var.f949b), eVar);
            }
        }
        final e2 numeric = getNumeric(k0Var);
        final e.b b2 = eVar.b();
        final e.a aVar = new e.a();
        final e.a aVar2 = new e.a();
        final c0 c0Var = new c0();
        final c cVar = new c(eVar);
        return new y2() {
            /* class org.apache.lucene.codecs.lucene42.Lucene42DocValuesProducer.AnonymousClass6 */

            @Override // i.a.b.c.y2
            public int getOrd(int i2) {
                return (int) numeric.get(i2);
            }

            @Override // i.a.b.c.y2
            public int getValueCount() {
                return (int) fSTEntry.numOrds;
            }

            @Override // i.a.b.c.y2
            public void lookupOrd(int i2, l lVar) {
                try {
                    b2.a(0L);
                    eVar.a(aVar);
                    c0 a = m.a(eVar, (long) i2, b2, aVar, aVar2, c0Var);
                    lVar.x = new byte[a.z];
                    lVar.y = 0;
                    lVar.z = 0;
                    m.a(a, lVar);
                } catch (IOException e2) {
                    throw new RuntimeException(e2);
                }
            }

            @Override // i.a.b.c.y2
            public int lookupTerm(l lVar) {
                int i2;
                try {
                    c.a a = cVar.a(lVar);
                    if (a == null) {
                        i2 = -getValueCount();
                    } else if (a.a.equals(lVar)) {
                        return a.f1429b.intValue();
                    } else {
                        i2 = (int) (-a.f1429b.longValue());
                    }
                    return i2 - 1;
                } catch (IOException e2) {
                    throw new RuntimeException(e2);
                }
            }

            @Override // i.a.b.c.y2
            public o3 termsEnum() {
                return new FSTTermsEnum(eVar);
            }
        };
    }

    @Override // org.apache.lucene.codecs.DocValuesProducer
    public b3 getSortedSet(k0 k0Var) {
        final i.a.b.g.f1.e<Long> eVar;
        final FSTEntry fSTEntry = this.fsts.get(Integer.valueOf(k0Var.f949b));
        if (fSTEntry.numOrds == 0) {
            return b3.EMPTY;
        }
        synchronized (this) {
            eVar = this.fstInstances.get(Integer.valueOf(k0Var.f949b));
            if (eVar == null) {
                this.data.seek(fSTEntry.offset);
                eVar = new i.a.b.g.f1.e<>(this.data, k.f1454b);
                this.ramBytesUsed.addAndGet(eVar.c());
                this.fstInstances.put(Integer.valueOf(k0Var.f949b), eVar);
            }
        }
        final i.a.b.c.e binary = getBinary(k0Var);
        final e.b b2 = eVar.b();
        final e.a aVar = new e.a();
        final e.a aVar2 = new e.a();
        final c0 c0Var = new c0();
        final c cVar = new c(eVar);
        final l lVar = new l(l.A);
        final i.a.b.f.e eVar2 = new i.a.b.f.e();
        return new b3() {
            /* class org.apache.lucene.codecs.lucene42.Lucene42DocValuesProducer.AnonymousClass7 */
            public long currentOrd;

            @Override // i.a.b.c.b3
            public long getValueCount() {
                return fSTEntry.numOrds;
            }

            @Override // i.a.b.c.b3
            public void lookupOrd(long j, l lVar) {
                try {
                    b2.a(0L);
                    eVar.a(aVar);
                    c0 a = m.a(eVar, j, b2, aVar, aVar2, c0Var);
                    lVar.x = new byte[a.z];
                    lVar.y = 0;
                    lVar.z = 0;
                    m.a(a, lVar);
                } catch (IOException e2) {
                    throw new RuntimeException(e2);
                }
            }

            @Override // i.a.b.c.b3
            public long lookupTerm(l lVar) {
                long longValue;
                try {
                    c.a a = cVar.a(lVar);
                    if (a == null) {
                        longValue = getValueCount();
                    } else if (a.a.equals(lVar)) {
                        return (long) a.f1429b.intValue();
                    } else {
                        longValue = a.f1429b.longValue();
                    }
                    return (-longValue) - 1;
                } catch (IOException e2) {
                    throw new RuntimeException(e2);
                }
            }

            @Override // i.a.b.c.b3
            public long nextOrd() {
                i.a.b.f.e eVar = eVar2;
                if (eVar.y == eVar.z) {
                    return -1;
                }
                long readVLong = eVar2.readVLong() + this.currentOrd;
                this.currentOrd = readVLong;
                return readVLong;
            }

            @Override // i.a.b.c.b3
            public void setDocument(int i2) {
                binary.get(i2, lVar);
                i.a.b.f.e eVar = eVar2;
                l lVar = lVar;
                eVar.a(lVar.x, lVar.y, lVar.z);
                this.currentOrd = 0;
            }

            @Override // i.a.b.c.b3
            public o3 termsEnum() {
                return new FSTTermsEnum(eVar);
            }
        };
    }

    @Override // org.apache.lucene.codecs.DocValuesProducer
    public long ramBytesUsed() {
        return this.ramBytesUsed.get();
    }
}
