package org.apache.lucene.codecs.lucene42;

import h.g;
import i.a.b.c.a1;
import i.a.b.c.k0;
import i.a.b.c.w2;
import i.a.b.f.v;
import i.a.b.g.g1.h;
import i.a.b.g.g1.x0;
import i.a.b.g.l;
import i.a.b.g.x;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import org.apache.lucene.codecs.CodecUtil;
import org.apache.lucene.codecs.DocValuesConsumer;

public class Lucene42NormsConsumer extends DocValuesConsumer {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public static final int BLOCK_SIZE = 4096;
    public static final byte DELTA_COMPRESSED = 0;
    public static final byte GCD_COMPRESSED = 3;
    public static final byte NUMBER = 0;
    public static final byte TABLE_COMPRESSED = 1;
    public static final byte UNCOMPRESSED = 2;
    public static final int VERSION_CURRENT = 1;
    public static final int VERSION_GCD_COMPRESSION = 1;
    public static final int VERSION_START = 0;
    public final float acceptableOverheadRatio;
    public final v data;
    public final int maxDoc;
    public final v meta;

    public Lucene42NormsConsumer(w2 w2Var, String str, String str2, String str3, String str4, float f2) {
        this.acceptableOverheadRatio = f2;
        this.maxDoc = w2Var.c.b();
        try {
            v a = w2Var.f1083b.a(a1.a(w2Var.c.a, w2Var.f1088h, str2), w2Var.j);
            this.data = a;
            CodecUtil.writeHeader(a, str, 1);
            v a2 = w2Var.f1083b.a(a1.a(w2Var.c.a, w2Var.f1088h, str4), w2Var.j);
            this.meta = a2;
            CodecUtil.writeHeader(a2, str3, 1);
        } catch (Throwable th) {
            x.b(this);
            throw th;
        }
    }

    @Override // org.apache.lucene.codecs.DocValuesConsumer
    public void addBinaryField(k0 k0Var, Iterable<l> iterable) {
        throw new UnsupportedOperationException();
    }

    @Override // org.apache.lucene.codecs.DocValuesConsumer
    public void addNumericField(k0 k0Var, Iterable<Number> iterable) {
        long j;
        this.meta.b(k0Var.f949b);
        this.meta.a((byte) 0);
        this.meta.a(this.data.a());
        HashSet hashSet = new HashSet();
        Iterator<Number> it = iterable.iterator();
        long j2 = 0;
        long j3 = Long.MAX_VALUE;
        long j4 = Long.MIN_VALUE;
        long j5 = 0;
        long j6 = 0;
        while (it.hasNext()) {
            long longValue = it.next().longValue();
            if (j6 != 1) {
                if (longValue < -4611686018427387904L || longValue > 4611686018427387903L) {
                    j6 = 1;
                } else if (j5 != j2) {
                    j6 = g.a(j6, longValue - j3);
                }
            }
            j3 = Math.min(j3, longValue);
            j4 = Math.max(j4, longValue);
            if (hashSet != null && hashSet.add(Long.valueOf(longValue)) && hashSet.size() > 256) {
                hashSet = null;
            }
            j5++;
            it = it;
            j2 = 0;
        }
        if (hashSet != null) {
            x0.e a = x0.a(this.maxDoc, x0.a((long) (hashSet.size() - 1)), this.acceptableOverheadRatio);
            if (a.f1511b != 8 || j3 < -128 || j4 > 127) {
                this.meta.a((byte) 1);
                Long[] lArr = (Long[]) hashSet.toArray(new Long[hashSet.size()]);
                HashMap hashMap = new HashMap();
                this.data.b(lArr.length);
                for (int i2 = 0; i2 < lArr.length; i2++) {
                    this.data.a(lArr[i2].longValue());
                    hashMap.put(lArr[i2], Integer.valueOf(i2));
                }
                this.meta.b(1);
                this.data.b(a.a.x);
                this.data.b(a.f1511b);
                x0.m a2 = x0.a(this.data, a.a, this.maxDoc, a.f1511b, 1024);
                for (Number number : iterable) {
                    if (number == null) {
                        j = 0;
                    } else {
                        j = number.longValue();
                    }
                    a2.a((long) ((Integer) hashMap.get(Long.valueOf(j))).intValue());
                }
                a2.a();
                return;
            }
            this.meta.a((byte) 2);
            Iterator<Number> it2 = iterable.iterator();
            while (it2.hasNext()) {
                Number next = it2.next();
                this.data.a(next == null ? 0 : (byte) ((int) next.longValue()));
            }
        } else if (j6 == 0 || j6 == 1) {
            this.meta.a((byte) 0);
            this.meta.b(1);
            this.data.b(4096);
            h hVar = new h(this.data, 4096);
            for (Number number2 : iterable) {
                hVar.a(number2 == null ? 0 : number2.longValue());
            }
            hVar.a();
        } else {
            this.meta.a((byte) 3);
            this.meta.b(1);
            this.data.a(j3);
            this.data.a(j6);
            this.data.b(4096);
            h hVar2 = new h(this.data, 4096);
            for (Number number3 : iterable) {
                hVar2.a(((number3 == null ? 0 : number3.longValue()) - j3) / j6);
            }
            hVar2.a();
        }
    }

    @Override // org.apache.lucene.codecs.DocValuesConsumer
    public void addSortedField(k0 k0Var, Iterable<l> iterable, Iterable<Number> iterable2) {
        throw new UnsupportedOperationException();
    }

    @Override // org.apache.lucene.codecs.DocValuesConsumer
    public void addSortedSetField(k0 k0Var, Iterable<l> iterable, Iterable<Number> iterable2, Iterable<Number> iterable3) {
        throw new UnsupportedOperationException();
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        try {
            if (this.meta != null) {
                this.meta.b(-1);
            }
            x.a(this.data, this.meta);
        } catch (Throwable th) {
            x.b(this.data, this.meta);
            throw th;
        }
    }
}
