package org.apache.lucene.codecs.lucene42;

import i.a.b.c.u2;
import i.a.b.c.w2;
import org.apache.lucene.codecs.DocValuesConsumer;
import org.apache.lucene.codecs.DocValuesProducer;
import org.apache.lucene.codecs.NormsFormat;

public class Lucene42NormsFormat extends NormsFormat {
    public static final String DATA_CODEC = "Lucene41NormsData";
    public static final String DATA_EXTENSION = "nvd";
    public static final String METADATA_CODEC = "Lucene41NormsMetadata";
    public static final String METADATA_EXTENSION = "nvm";
    public final float acceptableOverheadRatio;

    public Lucene42NormsFormat() {
        this(7.0f);
    }

    @Override // org.apache.lucene.codecs.NormsFormat
    public DocValuesConsumer normsConsumer(w2 w2Var) {
        return new Lucene42NormsConsumer(w2Var, DATA_CODEC, DATA_EXTENSION, METADATA_CODEC, METADATA_EXTENSION, this.acceptableOverheadRatio);
    }

    @Override // org.apache.lucene.codecs.NormsFormat
    public DocValuesProducer normsProducer(u2 u2Var) {
        return new Lucene42DocValuesProducer(u2Var, DATA_CODEC, DATA_EXTENSION, METADATA_CODEC, METADATA_EXTENSION);
    }

    public Lucene42NormsFormat(float f2) {
        this.acceptableOverheadRatio = f2;
    }
}
