package org.apache.lucene.codecs.lucene45;

import org.apache.lucene.codecs.Codec;
import org.apache.lucene.codecs.DocValuesFormat;
import org.apache.lucene.codecs.FieldInfosFormat;
import org.apache.lucene.codecs.LiveDocsFormat;
import org.apache.lucene.codecs.NormsFormat;
import org.apache.lucene.codecs.PostingsFormat;
import org.apache.lucene.codecs.SegmentInfoFormat;
import org.apache.lucene.codecs.StoredFieldsFormat;
import org.apache.lucene.codecs.TermVectorsFormat;
import org.apache.lucene.codecs.lucene40.Lucene40LiveDocsFormat;
import org.apache.lucene.codecs.lucene40.Lucene40SegmentInfoFormat;
import org.apache.lucene.codecs.lucene41.Lucene41StoredFieldsFormat;
import org.apache.lucene.codecs.lucene42.Lucene42FieldInfosFormat;
import org.apache.lucene.codecs.lucene42.Lucene42NormsFormat;
import org.apache.lucene.codecs.lucene42.Lucene42TermVectorsFormat;
import org.apache.lucene.codecs.perfield.PerFieldDocValuesFormat;
import org.apache.lucene.codecs.perfield.PerFieldPostingsFormat;

@Deprecated
public class Lucene45Codec extends Codec {
    public final DocValuesFormat defaultDVFormat = DocValuesFormat.forName("Lucene45");
    public final PostingsFormat defaultFormat = PostingsFormat.forName("Lucene41");
    public final DocValuesFormat docValuesFormat = new PerFieldDocValuesFormat() {
        /* class org.apache.lucene.codecs.lucene45.Lucene45Codec.AnonymousClass2 */

        @Override // org.apache.lucene.codecs.perfield.PerFieldDocValuesFormat
        public DocValuesFormat getDocValuesFormatForField(String str) {
            return Lucene45Codec.this.getDocValuesFormatForField(str);
        }
    };
    public final FieldInfosFormat fieldInfosFormat = new Lucene42FieldInfosFormat();
    public final StoredFieldsFormat fieldsFormat = new Lucene41StoredFieldsFormat();
    public final SegmentInfoFormat infosFormat = new Lucene40SegmentInfoFormat();
    public final LiveDocsFormat liveDocsFormat = new Lucene40LiveDocsFormat();
    public final NormsFormat normsFormat = new Lucene42NormsFormat();
    public final PostingsFormat postingsFormat = new PerFieldPostingsFormat() {
        /* class org.apache.lucene.codecs.lucene45.Lucene45Codec.AnonymousClass1 */

        @Override // org.apache.lucene.codecs.perfield.PerFieldPostingsFormat
        public PostingsFormat getPostingsFormatForField(String str) {
            return Lucene45Codec.this.getPostingsFormatForField(str);
        }
    };
    public final TermVectorsFormat vectorsFormat = new Lucene42TermVectorsFormat();

    public Lucene45Codec() {
        super("Lucene45");
    }

    @Override // org.apache.lucene.codecs.Codec
    public final DocValuesFormat docValuesFormat() {
        return this.docValuesFormat;
    }

    @Override // org.apache.lucene.codecs.Codec
    public FieldInfosFormat fieldInfosFormat() {
        return this.fieldInfosFormat;
    }

    public DocValuesFormat getDocValuesFormatForField(String str) {
        return this.defaultDVFormat;
    }

    public PostingsFormat getPostingsFormatForField(String str) {
        return this.defaultFormat;
    }

    @Override // org.apache.lucene.codecs.Codec
    public final LiveDocsFormat liveDocsFormat() {
        return this.liveDocsFormat;
    }

    @Override // org.apache.lucene.codecs.Codec
    public final NormsFormat normsFormat() {
        return this.normsFormat;
    }

    @Override // org.apache.lucene.codecs.Codec
    public final PostingsFormat postingsFormat() {
        return this.postingsFormat;
    }

    @Override // org.apache.lucene.codecs.Codec
    public SegmentInfoFormat segmentInfoFormat() {
        return this.infosFormat;
    }

    @Override // org.apache.lucene.codecs.Codec
    public final StoredFieldsFormat storedFieldsFormat() {
        return this.fieldsFormat;
    }

    @Override // org.apache.lucene.codecs.Codec
    public final TermVectorsFormat termVectorsFormat() {
        return this.vectorsFormat;
    }
}
