package org.apache.lucene.codecs.lucene45;

import h.g;
import i.a.b.c.a1;
import i.a.b.c.k0;
import i.a.b.c.w2;
import i.a.b.f.i0;
import i.a.b.f.v;
import i.a.b.g.g1.h;
import i.a.b.g.g1.s0;
import i.a.b.g.g1.x0;
import i.a.b.g.l;
import i.a.b.g.w0;
import i.a.b.g.x;
import java.io.Closeable;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import org.apache.lucene.codecs.CodecUtil;
import org.apache.lucene.codecs.DocValuesConsumer;

public class Lucene45DocValuesConsumer extends DocValuesConsumer implements Closeable {
    public static final int ADDRESS_INTERVAL = 16;
    public static final int BINARY_FIXED_UNCOMPRESSED = 0;
    public static final int BINARY_PREFIX_COMPRESSED = 2;
    public static final int BINARY_VARIABLE_UNCOMPRESSED = 1;
    public static final int BLOCK_SIZE = 16384;
    public static final int DELTA_COMPRESSED = 0;
    public static final int GCD_COMPRESSED = 1;
    public static final Number MISSING_ORD = -1L;
    public static final int SORTED_SET_SINGLE_VALUED_SORTED = 1;
    public static final int SORTED_SET_WITH_ADDRESSES = 0;
    public static final int TABLE_COMPRESSED = 2;
    public final v data;
    public final int maxDoc;
    public final v meta;

    public Lucene45DocValuesConsumer(w2 w2Var, String str, String str2, String str3, String str4) {
        try {
            v a = w2Var.f1083b.a(a1.a(w2Var.c.a, w2Var.f1088h, str2), w2Var.j);
            this.data = a;
            CodecUtil.writeHeader(a, str, 1);
            v a2 = w2Var.f1083b.a(a1.a(w2Var.c.a, w2Var.f1088h, str4), w2Var.j);
            this.meta = a2;
            CodecUtil.writeHeader(a2, str3, 1);
            this.maxDoc = w2Var.c.b();
        } catch (Throwable th) {
            x.b(this);
            throw th;
        }
    }

    public static boolean isSingleValued(Iterable<Number> iterable) {
        for (Number number : iterable) {
            if (number.longValue() > 1) {
                return false;
            }
        }
        return true;
    }

    @Override // org.apache.lucene.codecs.DocValuesConsumer
    public void addBinaryField(k0 k0Var, Iterable<l> iterable) {
        int i2;
        this.meta.b(k0Var.f949b);
        this.meta.a((byte) 1);
        long a = this.data.a();
        int i3 = 0;
        int i4 = Integer.MAX_VALUE;
        int i5 = Integer.MIN_VALUE;
        boolean z = false;
        long j = 0;
        for (l lVar : iterable) {
            if (lVar == null) {
                z = true;
                i2 = 0;
            } else {
                i2 = lVar.z;
            }
            i4 = Math.min(i4, i2);
            i5 = Math.max(i5, i2);
            if (lVar != null) {
                this.data.a(lVar.x, lVar.y, lVar.z);
            }
            j++;
        }
        v vVar = this.meta;
        if (i4 != i5) {
            i3 = 1;
        }
        vVar.b(i3);
        if (z) {
            this.meta.a(this.data.a());
            writeMissingBitset(iterable);
        } else {
            this.meta.a(-1L);
        }
        this.meta.b(i4);
        this.meta.b(i5);
        this.meta.b(j);
        this.meta.a(a);
        if (i4 != i5) {
            this.meta.a(this.data.a());
            this.meta.b(1);
            this.meta.b(16384);
            s0 s0Var = new s0(this.data, 16384);
            long j2 = 0;
            for (l lVar2 : iterable) {
                if (lVar2 != null) {
                    j2 += (long) lVar2.z;
                }
                s0Var.a(j2);
            }
            s0Var.a();
        }
    }

    @Override // org.apache.lucene.codecs.DocValuesConsumer
    public void addNumericField(k0 k0Var, Iterable<Number> iterable) {
        addNumericField(k0Var, iterable, true);
    }

    @Override // org.apache.lucene.codecs.DocValuesConsumer
    public void addSortedField(k0 k0Var, Iterable<l> iterable, Iterable<Number> iterable2) {
        this.meta.b(k0Var.f949b);
        this.meta.a((byte) 2);
        addTermsDict(k0Var, iterable);
        addNumericField(k0Var, iterable2, false);
    }

    @Override // org.apache.lucene.codecs.DocValuesConsumer
    public void addSortedSetField(k0 k0Var, Iterable<l> iterable, final Iterable<Number> iterable2, final Iterable<Number> iterable3) {
        this.meta.b(k0Var.f949b);
        this.meta.a((byte) 3);
        if (isSingleValued(iterable2)) {
            this.meta.b(1);
            addSortedField(k0Var, iterable, new Iterable<Number>() {
                /* class org.apache.lucene.codecs.lucene45.Lucene45DocValuesConsumer.AnonymousClass1 */

                @Override // java.lang.Iterable
                public Iterator<Number> iterator() {
                    final Iterator it = iterable2.iterator();
                    final Iterator it2 = iterable3.iterator();
                    return new Iterator<Number>() {
                        /* class org.apache.lucene.codecs.lucene45.Lucene45DocValuesConsumer.AnonymousClass1.AnonymousClass1 */
                        public static final /* synthetic */ boolean $assertionsDisabled = false;

                        public boolean hasNext() {
                            return it.hasNext();
                        }

                        public void remove() {
                            throw new UnsupportedOperationException();
                        }

                        @Override // java.util.Iterator
                        public Number next() {
                            if (((Number) it.next()).longValue() == 0) {
                                return Lucene45DocValuesConsumer.MISSING_ORD;
                            }
                            return (Number) it2.next();
                        }
                    };
                }
            });
            return;
        }
        this.meta.b(0);
        addTermsDict(k0Var, iterable);
        addNumericField(k0Var, iterable3, false);
        this.meta.b(k0Var.f949b);
        this.meta.a((byte) 0);
        this.meta.b(0);
        this.meta.a(-1L);
        this.meta.b(1);
        this.meta.a(this.data.a());
        this.meta.b((long) this.maxDoc);
        this.meta.b(16384);
        s0 s0Var = new s0(this.data, 16384);
        long j = 0;
        for (Number number : iterable2) {
            j += number.longValue();
            s0Var.a(j);
        }
        s0Var.a();
    }

    public void addTermsDict(k0 k0Var, Iterable<l> iterable) {
        int i2 = Integer.MAX_VALUE;
        int i3 = Integer.MIN_VALUE;
        for (l lVar : iterable) {
            i2 = Math.min(i2, lVar.z);
            i3 = Math.max(i3, lVar.z);
        }
        if (i2 == i3) {
            addBinaryField(k0Var, iterable);
            return;
        }
        this.meta.b(k0Var.f949b);
        this.meta.a((byte) 1);
        this.meta.b(2);
        this.meta.a(-1L);
        long a = this.data.a();
        i0 i0Var = new i0();
        s0 s0Var = new s0(i0Var, 16384);
        l lVar2 = new l(l.A);
        Iterator<l> it = iterable.iterator();
        long j = 0;
        long j2 = 0;
        while (it.hasNext()) {
            l next = it.next();
            if (j2 % 16 == j) {
                s0Var.a(this.data.a() - a);
                lVar2.z = 0;
            }
            int a2 = w0.a(lVar2, next);
            this.data.b(a2);
            this.data.b(next.z - a2);
            this.data.a(next.x, next.y + a2, next.z - a2);
            lVar2.c(next);
            j2++;
            it = it;
            j = 0;
        }
        long a3 = this.data.a();
        s0Var.a();
        i0Var.a(this.data);
        this.meta.b(i2);
        this.meta.b(i3);
        this.meta.b(j2);
        this.meta.a(a);
        this.meta.b(16);
        this.meta.a(a3);
        this.meta.b(1);
        this.meta.b(16384);
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        try {
            if (this.meta != null) {
                this.meta.b(-1);
            }
            x.a(this.data, this.meta);
        } catch (Throwable th) {
            x.b(this.data, this.meta);
            throw th;
        }
    }

    public void writeMissingBitset(Iterable<?> iterable) {
        int i2 = 0;
        byte b2 = 0;
        for (Object obj : iterable) {
            if (i2 == 8) {
                this.data.a(b2);
                i2 = 0;
                b2 = 0;
            }
            if (obj != null) {
                b2 = (byte) (b2 | (1 << (i2 & 7)));
            }
            i2++;
        }
        if (i2 > 0) {
            this.data.a(b2);
        }
    }

    public void addNumericField(k0 k0Var, Iterable<Number> iterable, boolean z) {
        boolean z2;
        long j;
        long j2;
        HashSet hashSet;
        long j3;
        long j4;
        long j5;
        long j6;
        long j7 = 0;
        long j8 = Long.MAX_VALUE;
        long j9 = Long.MIN_VALUE;
        if (z) {
            HashSet hashSet2 = new HashSet();
            j = 0;
            long j10 = 0;
            z2 = false;
            for (Number number : iterable) {
                if (number == null) {
                    j6 = j7;
                    z2 = true;
                } else {
                    j6 = number.longValue();
                }
                if (j != 1) {
                    if (j6 < -4611686018427387904L || j6 > 4611686018427387903L) {
                        j = 1;
                    } else if (j10 != j7) {
                        j = g.a(j, j6 - j8);
                    }
                }
                j8 = Math.min(j8, j6);
                j9 = Math.max(j9, j6);
                if (hashSet2 != null && hashSet2.add(Long.valueOf(j6)) && hashSet2.size() > 256) {
                    hashSet2 = null;
                }
                j10++;
                j7 = 0;
            }
            hashSet = hashSet2;
            j2 = j10;
        } else {
            long j11 = 0;
            for (Number number2 : iterable) {
                j11++;
            }
            j2 = j11;
            hashSet = null;
            j = 0;
            z2 = false;
        }
        long j12 = j9 - j8;
        int i2 = (hashSet == null || (j12 >= 0 && x0.a((long) (hashSet.size() - 1)) >= x0.a(j12)) || j2 > 2147483647L) ? (j == 0 || j == 1) ? 0 : 1 : 2;
        this.meta.b(k0Var.f949b);
        this.meta.a((byte) 0);
        this.meta.b(i2);
        if (z2) {
            this.meta.a(this.data.a());
            writeMissingBitset(iterable);
        } else {
            this.meta.a(-1L);
        }
        this.meta.b(1);
        this.meta.a(this.data.a());
        this.meta.b(j2);
        this.meta.b(16384);
        if (i2 == 0) {
            h hVar = new h(this.data, 16384);
            for (Number number3 : iterable) {
                if (number3 == null) {
                    j3 = 0;
                } else {
                    j3 = number3.longValue();
                }
                hVar.a(j3);
            }
            hVar.a();
        } else if (i2 == 1) {
            this.meta.a(j8);
            this.meta.a(j);
            h hVar2 = new h(this.data, 16384);
            for (Number number4 : iterable) {
                if (number4 == null) {
                    j4 = 0;
                } else {
                    j4 = number4.longValue();
                }
                hVar2.a((j4 - j8) / j);
            }
            hVar2.a();
        } else if (i2 == 2) {
            Long[] lArr = (Long[]) hashSet.toArray(new Long[hashSet.size()]);
            HashMap hashMap = new HashMap();
            this.meta.b(lArr.length);
            for (int i3 = 0; i3 < lArr.length; i3++) {
                this.meta.a(lArr[i3].longValue());
                hashMap.put(lArr[i3], Integer.valueOf(i3));
            }
            x0.m a = x0.a(this.data, x0.d.PACKED, (int) j2, x0.a((long) (hashSet.size() - 1)), 1024);
            for (Number number5 : iterable) {
                if (number5 == null) {
                    j5 = 0;
                } else {
                    j5 = number5.longValue();
                }
                a.a((long) ((Integer) hashMap.get(Long.valueOf(j5))).intValue());
            }
            a.a();
        } else {
            throw new AssertionError();
        }
    }
}
