package org.apache.lucene.codecs.lucene45;

import i.a.b.c.u2;
import i.a.b.c.w2;
import org.apache.lucene.codecs.DocValuesConsumer;
import org.apache.lucene.codecs.DocValuesFormat;
import org.apache.lucene.codecs.DocValuesProducer;

public final class Lucene45DocValuesFormat extends DocValuesFormat {
    public static final byte BINARY = 1;
    public static final String DATA_CODEC = "Lucene45DocValuesData";
    public static final String DATA_EXTENSION = "dvd";
    public static final String META_CODEC = "Lucene45ValuesMetadata";
    public static final String META_EXTENSION = "dvm";
    public static final byte NUMERIC = 0;
    public static final byte SORTED = 2;
    public static final byte SORTED_SET = 3;
    public static final int VERSION_CURRENT = 1;
    public static final int VERSION_SORTED_SET_SINGLE_VALUE_OPTIMIZED = 1;
    public static final int VERSION_START = 0;

    public Lucene45DocValuesFormat() {
        super("Lucene45");
    }

    @Override // org.apache.lucene.codecs.DocValuesFormat
    public DocValuesConsumer fieldsConsumer(w2 w2Var) {
        return new Lucene45DocValuesConsumer(w2Var, DATA_CODEC, "dvd", META_CODEC, "dvm");
    }

    @Override // org.apache.lucene.codecs.DocValuesFormat
    public DocValuesProducer fieldsProducer(u2 u2Var) {
        return new Lucene45DocValuesProducer(u2Var, DATA_CODEC, "dvd", META_CODEC, "dvm");
    }
}
