package org.apache.lucene.codecs.lucene46;

import org.apache.lucene.codecs.FieldInfosFormat;
import org.apache.lucene.codecs.FieldInfosReader;
import org.apache.lucene.codecs.FieldInfosWriter;

public final class Lucene46FieldInfosFormat extends FieldInfosFormat {
    public static final String CODEC_NAME = "Lucene46FieldInfos";
    public static final String EXTENSION = "fnm";
    public static final int FORMAT_CURRENT = 0;
    public static final int FORMAT_START = 0;
    public static final byte IS_INDEXED = 1;
    public static final byte OMIT_NORMS = 16;
    public static final byte OMIT_POSITIONS = Byte.MIN_VALUE;
    public static final byte OMIT_TERM_FREQ_AND_POSITIONS = 64;
    public static final byte STORE_OFFSETS_IN_POSTINGS = 4;
    public static final byte STORE_PAYLOADS = 32;
    public static final byte STORE_TERMVECTOR = 2;
    public final FieldInfosReader reader = new Lucene46FieldInfosReader();
    public final FieldInfosWriter writer = new Lucene46FieldInfosWriter();

    @Override // org.apache.lucene.codecs.FieldInfosFormat
    public FieldInfosReader getFieldInfosReader() {
        return this.reader;
    }

    @Override // org.apache.lucene.codecs.FieldInfosFormat
    public FieldInfosWriter getFieldInfosWriter() {
        return this.writer;
    }
}
