package org.apache.poi;

import java.io.File;
import java.io.OutputStream;
import org.apache.poi.poifs.filesystem.DirectoryNode;
import org.apache.poi.poifs.filesystem.NPOIFSFileSystem;
import org.apache.poi.poifs.filesystem.OPOIFSFileSystem;
import org.apache.poi.poifs.filesystem.POIFSFileSystem;

public abstract class POIReadOnlyDocument extends POIDocument {
    public POIReadOnlyDocument(DirectoryNode directoryNode) {
        super(directoryNode);
    }

    @Override // org.apache.poi.POIDocument
    public void write() {
        throw new IllegalStateException("Writing is not yet implemented for this Document Format");
    }

    public POIReadOnlyDocument(NPOIFSFileSystem nPOIFSFileSystem) {
        super(nPOIFSFileSystem);
    }

    @Override // org.apache.poi.POIDocument
    public void write(File file) {
        throw new IllegalStateException("Writing is not yet implemented for this Document Format");
    }

    public POIReadOnlyDocument(OPOIFSFileSystem oPOIFSFileSystem) {
        super(oPOIFSFileSystem);
    }

    @Override // org.apache.poi.POIDocument
    public void write(OutputStream outputStream) {
        throw new IllegalStateException("Writing is not yet implemented for this Document Format");
    }

    public POIReadOnlyDocument(POIFSFileSystem pOIFSFileSystem) {
        super(pOIFSFileSystem);
    }
}
