package org.apache.poi;

import java.io.Closeable;

public abstract class POITextExtractor implements Closeable {
    public Closeable fsToClose = null;

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        Closeable closeable = this.fsToClose;
        if (closeable != null) {
            closeable.close();
        }
    }

    public abstract POITextExtractor getMetadataTextExtractor();

    public abstract String getText();

    public void setFilesystem(Closeable closeable) {
        this.fsToClose = closeable;
    }
}
