package org.apache.poi;

import b.b.a.a.a;
import java.io.InputStream;
import java.util.Iterator;
import org.apache.poi.openxml4j.opc.PackagePart;
import org.apache.poi.openxml4j.opc.PackageRelationship;
import org.apache.poi.openxml4j.opc.PackagingURIHelper;
import org.apache.poi.ss.usermodel.DataFormatter;
import org.apache.poi.util.POILogFactory;
import org.apache.poi.util.POILogger;

public abstract class POIXMLRelation {
    public static final POILogger log = POILogFactory.getLogger(POIXMLRelation.class);
    public Class<? extends POIXMLDocumentPart> _cls;
    public String _defaultName;
    public String _relation;
    public String _type;

    public POIXMLRelation(String str, String str2, String str3, Class<? extends POIXMLDocumentPart> cls) {
        this._type = str;
        this._relation = str2;
        this._defaultName = str3;
        this._cls = cls;
    }

    public String getContentType() {
        return this._type;
    }

    public InputStream getContents(PackagePart packagePart) {
        Iterator<PackageRelationship> it = packagePart.getRelationshipsByType(getRelation()).iterator();
        if (it.hasNext()) {
            return packagePart.getPackage().getPart(PackagingURIHelper.createPartName(it.next().getTargetURI())).getInputStream();
        }
        POILogger pOILogger = log;
        StringBuilder b2 = a.b("No part ");
        b2.append(getDefaultFileName());
        b2.append(" found");
        pOILogger.log(5, b2.toString());
        return null;
    }

    public String getDefaultFileName() {
        return this._defaultName;
    }

    public String getFileName(int i2) {
        if (!this._defaultName.contains(DataFormatter.defaultFractionWholePartFormat)) {
            return getDefaultFileName();
        }
        return this._defaultName.replace(DataFormatter.defaultFractionWholePartFormat, Integer.toString(i2));
    }

    public Integer getFileNameIndex(POIXMLDocumentPart pOIXMLDocumentPart) {
        return Integer.valueOf(pOIXMLDocumentPart.getPackagePart().getPartName().getName().replaceAll(this._defaultName.replace(DataFormatter.defaultFractionWholePartFormat, "(\\d+)"), "$1"));
    }

    public String getRelation() {
        return this._relation;
    }

    public Class<? extends POIXMLDocumentPart> getRelationClass() {
        return this._cls;
    }

    public POIXMLRelation(String str, String str2, String str3) {
        this(str, str2, str3, null);
    }
}
