package org.apache.poi.common.usermodel.fonts;

public enum FontPitch {
    DEFAULT(0),
    FIXED(1),
    VARIABLE(2);
    
    public int nativeId;

    /* access modifiers changed from: public */
    FontPitch(int i2) {
        this.nativeId = i2;
    }

    public static FontPitch valueOfPitchFamily(byte b2) {
        return valueOf(b2 & 3);
    }

    public int getNativeId() {
        return this.nativeId;
    }

    public static byte getNativeId(FontPitch fontPitch, FontFamily fontFamily) {
        return (byte) (fontPitch.getNativeId() | (fontFamily.getFlag() << 4));
    }

    public static FontPitch valueOf(int i2) {
        FontPitch[] values = values();
        for (FontPitch fontPitch : values) {
            if (fontPitch.nativeId == i2) {
                return fontPitch;
            }
        }
        return null;
    }
}
