package org.apache.poi.ddf;

import b.b.a.a.a;
import org.apache.poi.ss.formula.ptg.LessThanPtg;

public abstract class EscherProperty {
    public short _id;

    public EscherProperty(short s) {
        this._id = s;
    }

    public short getId() {
        return this._id;
    }

    public String getName() {
        return EscherProperties.getPropertyName(getPropertyNumber());
    }

    public short getPropertyNumber() {
        return (short) (this._id & 16383);
    }

    public int getPropertySize() {
        return 6;
    }

    public boolean isBlipId() {
        return (this._id & 16384) != 0;
    }

    public boolean isComplex() {
        return (this._id & Short.MIN_VALUE) != 0;
    }

    public abstract int serializeComplexPart(byte[] bArr, int i2);

    public abstract int serializeSimplePart(byte[] bArr, int i2);

    public abstract String toString();

    public String toXml(String str) {
        StringBuilder d2 = a.d(str, LessThanPtg.LESSTHAN);
        d2.append(getClass().getSimpleName());
        d2.append(" id=\"");
        d2.append((int) getId());
        d2.append("\" name=\"");
        d2.append(getName());
        d2.append("\" blipId=\"");
        d2.append(isBlipId());
        d2.append("\"/>\n");
        return d2.toString();
    }

    public EscherProperty(short s, boolean z, boolean z2) {
        this._id = (short) (s + (z ? (short) 32768 : 0) + (z2 ? 16384 : 0));
    }
}
