package org.apache.poi.ddf;

import b.b.a.a.a;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import org.apache.poi.util.LittleEndian;

public final class EscherPropertyFactory {
    public List<EscherProperty> createProperties(byte[] bArr, int i2, short s) {
        Object obj;
        ArrayList arrayList = new ArrayList();
        for (int i3 = 0; i3 < s; i3++) {
            short s2 = LittleEndian.getShort(bArr, i2);
            int i4 = LittleEndian.getInt(bArr, i2 + 2);
            short s3 = (short) (s2 & 16383);
            boolean z = (s2 & Short.MIN_VALUE) != 0;
            byte propertyType = EscherProperties.getPropertyType(s3);
            if (propertyType == 1) {
                obj = new EscherBoolProperty(s2, i4);
            } else if (propertyType == 2) {
                obj = new EscherRGBProperty(s2, i4);
            } else if (propertyType == 3) {
                obj = new EscherShapePathProperty(s2, i4);
            } else if (!z) {
                obj = new EscherSimpleProperty(s2, i4);
            } else if (propertyType == 5) {
                obj = new EscherArrayProperty(s2, new byte[i4]);
            } else {
                obj = new EscherComplexProperty(s2, new byte[i4]);
            }
            arrayList.add(obj);
            i2 += 6;
        }
        Iterator it = arrayList.iterator();
        while (it.hasNext()) {
            EscherProperty escherProperty = (EscherProperty) it.next();
            if (escherProperty instanceof EscherComplexProperty) {
                if (escherProperty instanceof EscherArrayProperty) {
                    i2 += ((EscherArrayProperty) escherProperty).setArrayData(bArr, i2);
                } else {
                    byte[] complexData = ((EscherComplexProperty) escherProperty).getComplexData();
                    int length = bArr.length - i2;
                    if (length >= complexData.length) {
                        System.arraycopy(bArr, i2, complexData, 0, complexData.length);
                        i2 += complexData.length;
                    } else {
                        StringBuilder b2 = a.b("Could not read complex escher property, length was ");
                        b2.append(complexData.length);
                        b2.append(", but had only ");
                        b2.append(length);
                        b2.append(" bytes left");
                        throw new IllegalStateException(b2.toString());
                    }
                }
            }
        }
        return arrayList;
    }
}
