package org.apache.poi.ddf;

import b.b.a.a.a;
import org.apache.poi.ss.formula.ptg.LessThanPtg;
import org.apache.poi.util.HexDump;

public class EscherRGBProperty extends EscherSimpleProperty {
    public EscherRGBProperty(short s, int i2) {
        super(s, i2);
    }

    public byte getBlue() {
        return (byte) ((getRgbColor() >> 16) & 255);
    }

    public byte getGreen() {
        return (byte) ((getRgbColor() >> 8) & 255);
    }

    public byte getRed() {
        return (byte) (getRgbColor() & 255);
    }

    public int getRgbColor() {
        return getPropertyValue();
    }

    @Override // org.apache.poi.ddf.EscherProperty, org.apache.poi.ddf.EscherSimpleProperty
    public String toXml(String str) {
        StringBuilder d2 = a.d(str, LessThanPtg.LESSTHAN);
        d2.append(EscherRGBProperty.class.getSimpleName());
        d2.append(" id=\"0x");
        d2.append(HexDump.toHex(getId()));
        d2.append("\" name=\"");
        d2.append(getName());
        d2.append("\" blipId=\"");
        d2.append(isBlipId());
        d2.append("\" value=\"0x");
        d2.append(HexDump.toHex(getRgbColor()));
        d2.append("\"/>");
        return d2.toString();
    }
}
