package org.apache.poi.ddf;

import b.b.a.a.a;
import org.apache.poi.ss.formula.ptg.LessThanPtg;
import org.apache.poi.util.HexDump;
import org.apache.poi.util.LittleEndian;

public class EscherSimpleProperty extends EscherProperty {
    public int propertyValue;

    public EscherSimpleProperty(short s, int i2) {
        super(s);
        this.propertyValue = i2;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof EscherSimpleProperty)) {
            return false;
        }
        EscherSimpleProperty escherSimpleProperty = (EscherSimpleProperty) obj;
        return this.propertyValue == escherSimpleProperty.propertyValue && getId() == escherSimpleProperty.getId();
    }

    public int getPropertyValue() {
        return this.propertyValue;
    }

    public int hashCode() {
        return this.propertyValue;
    }

    @Override // org.apache.poi.ddf.EscherProperty
    public int serializeComplexPart(byte[] bArr, int i2) {
        return 0;
    }

    @Override // org.apache.poi.ddf.EscherProperty
    public int serializeSimplePart(byte[] bArr, int i2) {
        LittleEndian.putShort(bArr, i2, getId());
        LittleEndian.putInt(bArr, i2 + 2, this.propertyValue);
        return 6;
    }

    @Override // org.apache.poi.ddf.EscherProperty
    public String toString() {
        StringBuilder b2 = a.b("propNum: ");
        b2.append((int) getPropertyNumber());
        b2.append(", RAW: 0x");
        b2.append(HexDump.toHex(getId()));
        b2.append(", propName: ");
        b2.append(EscherProperties.getPropertyName(getPropertyNumber()));
        b2.append(", complex: ");
        b2.append(isComplex());
        b2.append(", blipId: ");
        b2.append(isBlipId());
        b2.append(", value: ");
        b2.append(this.propertyValue);
        b2.append(" (0x");
        b2.append(HexDump.toHex(this.propertyValue));
        b2.append(")");
        return b2.toString();
    }

    @Override // org.apache.poi.ddf.EscherProperty
    public String toXml(String str) {
        StringBuilder d2 = a.d(str, LessThanPtg.LESSTHAN);
        d2.append(getClass().getSimpleName());
        d2.append(" id=\"0x");
        d2.append(HexDump.toHex(getId()));
        d2.append("\" name=\"");
        d2.append(getName());
        d2.append("\" blipId=\"");
        d2.append(isBlipId());
        d2.append("\" complex=\"");
        d2.append(isComplex());
        d2.append("\" value=\"");
        d2.append("0x");
        d2.append(HexDump.toHex(this.propertyValue));
        d2.append("\"/>");
        return d2.toString();
    }

    public EscherSimpleProperty(short s, boolean z, boolean z2, int i2) {
        super(s, z, z2);
        this.propertyValue = i2;
    }
}
