package org.apache.poi.dev;

import b.b.a.a.a;
import java.io.File;
import java.io.IOException;
import java.io.PrintStream;
import java.util.Locale;
import java.util.Properties;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerException;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.stream.StreamResult;
import javax.xml.transform.stream.StreamSource;
import org.apache.poi.openxml4j.opc.internal.ZipHelper;
import org.apache.poi.util.XMLHelper;
import org.apache.xmlbeans.impl.common.JarHelper;
import org.apache.xmlbeans.impl.common.NameUtil;
import org.apache.xmlbeans.impl.tool.XMLBean;
import org.w3c.dom.Element;

public class RecordGenerator {
    public static void generateRecords(String str, String str2, String str3, String str4) {
        int i2;
        File[] fileArr;
        File[] listFiles = new File(str).listFiles();
        if (listFiles == null) {
            System.err.println(str + " is not a directory.");
            return;
        }
        int length = listFiles.length;
        int i3 = 0;
        int i4 = 0;
        while (i4 < length) {
            File file = listFiles[i4];
            if (!file.isFile() || (!file.getName().endsWith("_record.xml") && !file.getName().endsWith("_type.xml"))) {
                i2 = length;
                fileArr = listFiles;
            } else {
                Element documentElement = XMLHelper.getDocumentBuilderFactory().newDocumentBuilder().parse(file).getDocumentElement();
                String nodeValue = documentElement.getElementsByTagName("extends").item(i3).getFirstChild().getNodeValue();
                String nodeValue2 = documentElement.getElementsByTagName("suffix").item(i3).getFirstChild().getNodeValue();
                String nodeValue3 = documentElement.getAttributes().getNamedItem("name").getNodeValue();
                String replace = documentElement.getAttributes().getNamedItem("package").getNodeValue().replace(NameUtil.PERIOD, JarHelper.SEP);
                String b2 = a.b(str3, ZipHelper.FORWARD_SLASH, replace);
                File file2 = new File(b2);
                if (file2.mkdirs()) {
                    System.out.println("Created destination directory: " + b2);
                    String str5 = b2 + ZipHelper.FORWARD_SLASH + nodeValue3 + nodeValue2 + XMLBean.JAVA;
                    File file3 = new File(str5);
                    i2 = length;
                    fileArr = listFiles;
                    StringBuilder d2 = a.d(str2, ZipHelper.FORWARD_SLASH);
                    d2.append(nodeValue.toLowerCase(Locale.ROOT));
                    d2.append(".xsl");
                    transform(file, file3, new File(d2.toString()));
                    System.out.println("Generated " + nodeValue2 + ": " + str5);
                    StringBuilder sb = new StringBuilder();
                    sb.append(str4);
                    sb.append(ZipHelper.FORWARD_SLASH);
                    sb.append(replace);
                    String sb2 = sb.toString();
                    File file4 = new File(sb2);
                    if (file4.mkdirs()) {
                        System.out.println("Created destination directory: " + sb2);
                        String str6 = sb2 + "/Test" + nodeValue3 + nodeValue2 + XMLBean.JAVA;
                        if (!new File(str6).exists()) {
                            StringBuilder d3 = a.d(str2, ZipHelper.FORWARD_SLASH);
                            d3.append(nodeValue.toLowerCase(Locale.ROOT));
                            d3.append("_test.xsl");
                            transform(file, new File(str6), new File(d3.toString()));
                            System.out.println("Generated test: " + str6);
                        } else {
                            System.out.println("Skipped test generation: " + str6);
                        }
                    } else {
                        throw new IOException("Could not create directory " + file4);
                    }
                } else {
                    throw new IOException("Could not create directory " + file2);
                }
            }
            i4++;
            i3 = 0;
            length = i2;
            listFiles = fileArr;
        }
    }

    public static void main(String[] strArr) {
        Class.forName("org.apache.poi.generator.FieldIterator");
        if (strArr.length != 4) {
            System.out.println("Usage:");
            System.out.println("  java org.apache.poi.hssf.util.RecordGenerator RECORD_DEFINTIONS RECORD_STYLES DEST_SRC_PATH TEST_SRC_PATH");
            return;
        }
        generateRecords(strArr[0], strArr[1], strArr[2], strArr[3]);
    }

    public static void transform(File file, File file2, File file3) {
        try {
            Transformer newTransformer = TransformerFactory.newInstance().newTransformer(new StreamSource(file3));
            Properties properties = new Properties();
            properties.setProperty("method", "text");
            newTransformer.setOutputProperties(properties);
            newTransformer.transform(new StreamSource(file), new StreamResult(file2));
        } catch (TransformerException e2) {
            PrintStream printStream = System.err;
            printStream.println("Error compiling XSL style sheet " + file3);
            throw e2;
        }
    }
}
