package org.apache.poi.hdgf;

import java.io.ByteArrayOutputStream;
import java.io.InputStream;
import java.io.OutputStream;
import org.apache.poi.util.LZWDecompresser;

public class HDGFLZW extends LZWDecompresser {
    public HDGFLZW() {
        super(false, 3, false);
    }

    @Override // org.apache.poi.util.LZWDecompresser
    public int adjustDictionaryOffset(int i2) {
        return i2 > 4078 ? i2 - 4078 : i2 + 18;
    }

    public byte[] compress(InputStream inputStream) {
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        compress(inputStream, byteArrayOutputStream);
        return byteArrayOutputStream.toByteArray();
    }

    @Override // org.apache.poi.util.LZWDecompresser
    public int populateDictionary(byte[] bArr) {
        return 0;
    }

    public void compress(InputStream inputStream, OutputStream outputStream) {
        new HDGFLZWCompressor().compress(inputStream, outputStream);
    }
}
