package org.apache.poi.hdgf.streams;

import java.io.ByteArrayInputStream;
import org.apache.poi.hdgf.HDGFLZW;

public final class CompressedStreamStore extends StreamStore {
    public byte[] blockHeader;
    public boolean blockHeaderInContents;
    public byte[] compressedContents;

    public CompressedStreamStore(byte[] bArr, int i2, int i3) {
        this(decompress(bArr, i2, i3));
        byte[] bArr2 = new byte[i3];
        this.compressedContents = bArr2;
        System.arraycopy(bArr, i2, bArr2, 0, i3);
    }

    public static byte[][] decompress(byte[] bArr, int i2, int i3) {
        byte[] decompress = new HDGFLZW().decompress(new ByteArrayInputStream(bArr, i2, i3));
        byte[][] bArr2 = {new byte[4], new byte[(decompress.length - 4)]};
        System.arraycopy(decompress, 0, bArr2[0], 0, 4);
        System.arraycopy(decompress, 4, bArr2[1], 0, bArr2[1].length);
        return bArr2;
    }

    public byte[] _getBlockHeader() {
        return this.blockHeader;
    }

    public byte[] _getCompressedContents() {
        return this.compressedContents;
    }

    @Override // org.apache.poi.hdgf.streams.StreamStore
    public void copyBlockHeaderToContents() {
        if (!this.blockHeaderInContents) {
            prependContentsWith(this.blockHeader);
            this.blockHeaderInContents = true;
        }
    }

    public CompressedStreamStore(byte[][] bArr) {
        super(bArr[1], 0, bArr[1].length);
        this.blockHeader = new byte[4];
        this.blockHeaderInContents = false;
        this.blockHeader = bArr[0];
    }
}
