package org.apache.poi.hdgf.streams;

import org.apache.poi.hdgf.chunks.ChunkFactory;
import org.apache.poi.hdgf.pointers.Pointer;
import org.apache.poi.hdgf.pointers.PointerFactory;

public class PointerContainingStream extends Stream {
    public Pointer[] childPointers;
    public Stream[] childStreams;
    public ChunkFactory chunkFactory;
    public PointerFactory pointerFactory;

    public PointerContainingStream(Pointer pointer, StreamStore streamStore, ChunkFactory chunkFactory2, PointerFactory pointerFactory2) {
        super(pointer, streamStore);
        this.chunkFactory = chunkFactory2;
        this.pointerFactory = pointerFactory2;
        this.childPointers = pointerFactory2.createContainerPointers(pointer, streamStore.getContents());
    }

    public void findChildren(byte[] bArr) {
        this.childStreams = new Stream[this.childPointers.length];
        int i2 = 0;
        while (true) {
            Pointer[] pointerArr = this.childPointers;
            if (i2 < pointerArr.length) {
                this.childStreams[i2] = Stream.createStream(pointerArr[i2], bArr, this.chunkFactory, this.pointerFactory);
                Stream[] streamArr = this.childStreams;
                if (streamArr[i2] instanceof ChunkStream) {
                    ((ChunkStream) streamArr[i2]).findChunks();
                }
                Stream[] streamArr2 = this.childStreams;
                if (streamArr2[i2] instanceof PointerContainingStream) {
                    ((PointerContainingStream) streamArr2[i2]).findChildren(bArr);
                }
                i2++;
            } else {
                return;
            }
        }
    }

    public Pointer[] getChildPointers() {
        return this.childPointers;
    }

    public Stream[] getPointedToStreams() {
        return this.childStreams;
    }
}
