package org.apache.poi.hemf.hemfplus.record;

import b.b.a.a.a;
import org.apache.poi.util.Internal;
import org.apache.poi.util.LittleEndian;

@Internal
public class HemfPlusHeader implements HemfPlusRecord {
    public long emfPlusFlags;
    public int flags;
    public long logicalDpiX;
    public long logicalDpiY;
    public long version;

    public long getEmfPlusFlags() {
        return this.emfPlusFlags;
    }

    @Override // org.apache.poi.hemf.hemfplus.record.HemfPlusRecord
    public int getFlags() {
        return this.flags;
    }

    public long getLogicalDpiX() {
        return this.logicalDpiX;
    }

    public long getLogicalDpiY() {
        return this.logicalDpiY;
    }

    @Override // org.apache.poi.hemf.hemfplus.record.HemfPlusRecord
    public HemfPlusRecordType getRecordType() {
        return HemfPlusRecordType.header;
    }

    public long getVersion() {
        return this.version;
    }

    @Override // org.apache.poi.hemf.hemfplus.record.HemfPlusRecord
    public void init(byte[] bArr, int i2, int i3) {
        this.flags = i3;
        this.version = LittleEndian.getUInt(bArr, 0);
        this.emfPlusFlags = LittleEndian.getUInt(bArr, 4);
        this.logicalDpiX = LittleEndian.getUInt(bArr, 8);
        this.logicalDpiY = LittleEndian.getUInt(bArr, 12);
    }

    public String toString() {
        StringBuilder b2 = a.b("HemfPlusHeader{flags=");
        b2.append(this.flags);
        b2.append(", version=");
        b2.append(this.version);
        b2.append(", emfPlusFlags=");
        b2.append(this.emfPlusFlags);
        b2.append(", logicalDpiX=");
        b2.append(this.logicalDpiX);
        b2.append(", logicalDpiY=");
        b2.append(this.logicalDpiY);
        b2.append('}');
        return b2.toString();
    }
}
