package org.apache.poi.hemf.record;

import java.io.IOException;
import org.apache.poi.util.IOUtils;
import org.apache.poi.util.Internal;
import org.apache.poi.util.LittleEndianInputStream;

@Internal
public class UnimplementedHemfRecord implements HemfRecord {
    public long recordId;

    @Override // org.apache.poi.hemf.record.HemfRecord
    public HemfRecordType getRecordType() {
        return HemfRecordType.getById(this.recordId);
    }

    @Override // org.apache.poi.hemf.record.HemfRecord
    public long init(LittleEndianInputStream littleEndianInputStream, long j, long j2) {
        this.recordId = j;
        long skipFully = IOUtils.skipFully(littleEndianInputStream, j2);
        if (skipFully >= j2) {
            return skipFully;
        }
        throw new IOException("End of stream reached before record read");
    }
}
