package org.apache.poi.hmef.attribute;

import b.b.a.a.a;
import java.io.InputStream;
import org.apache.poi.util.POILogFactory;
import org.apache.poi.util.POILogger;
import org.apache.poi.util.StringUtil;

public final class TNEFStringAttribute extends TNEFAttribute {
    public static final POILogger logger = POILogFactory.getLogger(TNEFStringAttribute.class);
    public String data;

    public TNEFStringAttribute(int i2, int i3, InputStream inputStream) {
        super(i2, i3, inputStream);
        String str;
        byte[] data2 = getData();
        if (getType() == 2) {
            str = StringUtil.getFromUnicodeLE(data2);
        } else {
            str = StringUtil.getFromCompressedUnicode(data2, 0, data2.length);
        }
        this.data = str.endsWith("\u0000") ? str.substring(0, str.length() - 1) : str;
    }

    public static String getAsString(TNEFAttribute tNEFAttribute) {
        if (tNEFAttribute == null) {
            return null;
        }
        if (tNEFAttribute instanceof TNEFStringAttribute) {
            return ((TNEFStringAttribute) tNEFAttribute).getString();
        }
        POILogger pOILogger = logger;
        pOILogger.log(5, "Warning, non string property found: " + tNEFAttribute);
        return null;
    }

    public String getString() {
        return this.data;
    }

    @Override // org.apache.poi.hmef.attribute.TNEFAttribute
    public String toString() {
        StringBuilder b2 = a.b("Attribute ");
        b2.append(getProperty());
        b2.append(", type=");
        b2.append(getType());
        b2.append(", data=");
        b2.append(getString());
        return b2.toString();
    }
}
