package org.apache.poi.hpbf.dev;

import b.b.a.a.a;
import java.io.FileInputStream;
import java.io.InputStream;
import java.io.PrintStream;
import org.apache.poi.hpbf.HPBFDocument;
import org.apache.poi.hpbf.model.QuillContents;
import org.apache.poi.hpbf.model.qcbits.QCBit;
import org.apache.poi.poifs.filesystem.NPOIFSFileSystem;
import org.apache.poi.util.HexDump;

public final class PLCDumper {
    public HPBFDocument doc;
    public QuillContents qc;

    public PLCDumper(HPBFDocument hPBFDocument) {
        this.doc = hPBFDocument;
        this.qc = hPBFDocument.getQuillContents();
    }

    private void dumpBit(QCBit qCBit, int i2) {
        System.out.println("");
        PrintStream printStream = System.out;
        StringBuilder b2 = a.b("Dumping ");
        b2.append(qCBit.getBitType());
        b2.append(" bit at ");
        b2.append(i2);
        printStream.println(b2.toString());
        PrintStream printStream2 = System.out;
        StringBuilder b3 = a.b("  Is a ");
        b3.append(qCBit.getThingType());
        b3.append(", number is ");
        b3.append(qCBit.getOptA());
        printStream2.println(b3.toString());
        PrintStream printStream3 = System.out;
        StringBuilder b4 = a.b("  Starts at ");
        b4.append(qCBit.getDataOffset());
        b4.append(" (0x");
        b4.append(Integer.toHexString(qCBit.getDataOffset()));
        b4.append(")");
        printStream3.println(b4.toString());
        PrintStream printStream4 = System.out;
        StringBuilder b5 = a.b("  Runs for  ");
        b5.append(qCBit.getLength());
        b5.append(" (0x");
        b5.append(Integer.toHexString(qCBit.getLength()));
        b5.append(")");
        printStream4.println(b5.toString());
        System.out.println(HexDump.dump(qCBit.getData(), 0, 0));
    }

    private void dumpPLC() {
        QCBit[] bits = this.qc.getBits();
        for (int i2 = 0; i2 < bits.length; i2++) {
            if (bits[i2] != null && bits[i2].getBitType().equals("PLC ")) {
                dumpBit(bits[i2], i2);
            }
        }
    }

    public static void main(String[] strArr) {
        if (strArr.length < 1) {
            System.err.println("Use:");
            System.err.println("  PLCDumper <filename>");
            System.exit(1);
        }
        PLCDumper pLCDumper = new PLCDumper(new FileInputStream(strArr[0]));
        PrintStream printStream = System.out;
        StringBuilder b2 = a.b("Dumping ");
        b2.append(strArr[0]);
        printStream.println(b2.toString());
        pLCDumper.dumpPLC();
    }

    public PLCDumper(NPOIFSFileSystem nPOIFSFileSystem) {
        this(new HPBFDocument(nPOIFSFileSystem));
    }

    public PLCDumper(InputStream inputStream) {
        this(new NPOIFSFileSystem(inputStream));
    }
}
