package org.apache.poi.hpbf.model;

import java.util.ArrayList;
import org.apache.poi.ddf.DefaultEscherRecordFactory;
import org.apache.poi.ddf.EscherRecord;
import org.apache.poi.poifs.filesystem.DirectoryNode;

public abstract class EscherPart extends HPBFPart {
    public EscherRecord[] records;

    public EscherPart(DirectoryNode directoryNode, String[] strArr) {
        super(directoryNode, strArr);
        DefaultEscherRecordFactory defaultEscherRecordFactory = new DefaultEscherRecordFactory();
        ArrayList arrayList = new ArrayList();
        byte[] data = getData();
        int length = data.length;
        while (length > 0) {
            EscherRecord createRecord = defaultEscherRecordFactory.createRecord(data, 0);
            createRecord.fillFields(data, 0, defaultEscherRecordFactory);
            length -= createRecord.getRecordSize();
            arrayList.add(createRecord);
        }
        this.records = (EscherRecord[]) arrayList.toArray(new EscherRecord[arrayList.size()]);
    }

    @Override // org.apache.poi.hpbf.model.HPBFPart
    public void generateData() {
        int i2 = 0;
        int i3 = 0;
        int i4 = 0;
        while (true) {
            EscherRecord[] escherRecordArr = this.records;
            if (i3 >= escherRecordArr.length) {
                break;
            }
            i4 += escherRecordArr[i3].getRecordSize();
            i3++;
        }
        byte[] bArr = new byte[i4];
        int i5 = 0;
        while (true) {
            EscherRecord[] escherRecordArr2 = this.records;
            if (i2 < escherRecordArr2.length) {
                i5 += escherRecordArr2[i2].serialize(i5, bArr);
                i2++;
            } else {
                setData(bArr);
                return;
            }
        }
    }

    public EscherRecord[] getEscherRecords() {
        return this.records;
    }
}
