package org.apache.poi.hpbf.model;

import b.b.a.a.a;
import java.io.ByteArrayInputStream;
import java.io.FileNotFoundException;
import org.apache.poi.poifs.filesystem.DirectoryNode;
import org.apache.poi.poifs.filesystem.DocumentInputStream;
import org.apache.poi.util.IOUtils;

public abstract class HPBFPart {
    public byte[] data;

    public HPBFPart(DirectoryNode directoryNode, String[] strArr) {
        DirectoryNode dir = getDir(strArr, directoryNode);
        String str = strArr[strArr.length - 1];
        if (dir.hasEntry(str)) {
            DocumentInputStream createDocumentInputStream = dir.createDocumentInputStream(str);
            this.data = IOUtils.toByteArray(createDocumentInputStream);
            createDocumentInputStream.close();
            return;
        }
        throw new IllegalArgumentException(a.b("File invalid - failed to find document entry '", str, "'"));
    }

    private DirectoryNode getDir(String[] strArr, DirectoryNode directoryNode) {
        for (int i2 = 0; i2 < strArr.length - 1; i2++) {
            try {
                directoryNode = (DirectoryNode) directoryNode.getEntry(strArr[i2]);
            } catch (FileNotFoundException unused) {
                throw new IllegalArgumentException(a.a(a.b("File invalid - failed to find directory entry '"), strArr[i2], "'"));
            }
        }
        return directoryNode;
    }

    public abstract void generateData();

    public final byte[] getData() {
        return this.data;
    }

    public final String[] getPath() {
        return null;
    }

    public final void setData(byte[] bArr) {
        this.data = (byte[]) bArr.clone();
    }

    public void writeOut(DirectoryNode directoryNode) {
        String[] path = getPath();
        for (int i2 = 0; i2 < path.length - 1; i2++) {
            try {
                directoryNode = (DirectoryNode) directoryNode.getEntry(path[i2]);
            } catch (FileNotFoundException unused) {
                directoryNode.createDirectory(path[i2]);
            }
        }
        generateData();
        directoryNode.createDocument(path[path.length - 1], new ByteArrayInputStream(this.data));
    }
}
