package org.apache.poi.hpsf;

public class CustomProperty extends MutableProperty {
    public String name;

    public CustomProperty() {
        this.name = null;
    }

    @Override // org.apache.poi.hpsf.Property
    public boolean equals(Object obj) {
        if (obj instanceof CustomProperty) {
            return equalsContents(obj);
        }
        return false;
    }

    public boolean equalsContents(Object obj) {
        boolean z;
        CustomProperty customProperty = (CustomProperty) obj;
        String name2 = customProperty.getName();
        String name3 = getName();
        if (name2 == null) {
            z = name3 == null;
        } else {
            z = name2.equals(name3);
        }
        if (!z || customProperty.getID() != getID() || customProperty.getType() != getType() || !customProperty.getValue().equals(getValue())) {
            return false;
        }
        return true;
    }

    public String getName() {
        return this.name;
    }

    @Override // org.apache.poi.hpsf.Property
    public int hashCode() {
        return (int) getID();
    }

    public void setName(String str) {
        this.name = str;
    }

    public CustomProperty(Property property) {
        this(property, null);
    }

    public CustomProperty(Property property, String str) {
        super(property);
        this.name = str;
    }
}
