package org.apache.poi.hpsf;

import b.b.a.a.a;
import java.io.OutputStream;
import org.apache.poi.util.LittleEndian;
import org.apache.poi.util.Removal;

@Removal(version = "3.18")
@Deprecated
public class TypeWriter {
    public static int writeToStream(OutputStream outputStream, short s) {
        LittleEndian.putShort(outputStream, s);
        return 2;
    }

    public static int writeUIntToStream(OutputStream outputStream, long j) {
        long j2 = j & -4294967296L;
        if (j2 == 0 || j2 == -4294967296L) {
            LittleEndian.putUInt(j, outputStream);
            return 4;
        }
        throw new IllegalPropertySetDataException("Value " + j + " cannot be represented by 4 bytes.");
    }

    public static void writeUShortToStream(OutputStream outputStream, int i2) {
        if ((-65536 & i2) == 0) {
            LittleEndian.putUShort(i2, outputStream);
            return;
        }
        throw new IllegalPropertySetDataException(a.b("Value ", i2, " cannot be represented by 2 bytes."));
    }

    public static int writeToStream(OutputStream outputStream, int i2) {
        LittleEndian.putInt(i2, outputStream);
        return 4;
    }

    public static int writeToStream(OutputStream outputStream, long j) {
        LittleEndian.putLong(j, outputStream);
        return 8;
    }

    public static int writeToStream(OutputStream outputStream, ClassID classID) {
        byte[] bArr = new byte[16];
        classID.write(bArr, 0);
        outputStream.write(bArr, 0, 16);
        return 16;
    }

    public static void writeToStream(OutputStream outputStream, Property[] propertyArr, int i2) {
        if (propertyArr != null) {
            for (Property property : propertyArr) {
                writeUIntToStream(outputStream, property.getID());
                writeUIntToStream(outputStream, (long) property.getSize(i2));
            }
            for (Property property2 : propertyArr) {
                long type = property2.getType();
                writeUIntToStream(outputStream, type);
                VariantSupport.write(outputStream, (long) ((int) type), property2.getValue(), i2);
            }
        }
    }

    public static int writeToStream(OutputStream outputStream, double d2) {
        LittleEndian.putDouble(d2, outputStream);
        return 8;
    }
}
