package org.apache.poi.hpsf;

import b.b.a.a.a;
import org.apache.poi.util.Internal;
import org.apache.poi.util.LittleEndianByteArrayInputStream;
import org.apache.poi.util.POILogFactory;
import org.apache.poi.util.POILogger;

@Internal
public class VariantBool {
    public static final POILogger LOG = POILogFactory.getLogger(VariantBool.class);
    public static final int SIZE = 2;
    public boolean _value;

    public boolean getValue() {
        return this._value;
    }

    public void read(LittleEndianByteArrayInputStream littleEndianByteArrayInputStream) {
        short readShort = littleEndianByteArrayInputStream.readShort();
        if (readShort == -1) {
            this._value = true;
        } else if (readShort != 0) {
            LOG.log(5, a.b("VARIANT_BOOL value '", readShort, "' is incorrect"));
            this._value = true;
        } else {
            this._value = false;
        }
    }

    public void setValue(boolean z) {
        this._value = z;
    }
}
