package org.apache.poi.hslf.blip;

import org.apache.poi.sl.usermodel.PictureData;

public final class JPEG extends Bitmap {
    public ColorSpace colorSpace = ColorSpace.rgb;

    public enum ColorSpace {
        rgb,
        cymk
    }

    public ColorSpace getColorSpace() {
        return this.colorSpace;
    }

    @Override // org.apache.poi.hslf.usermodel.HSLFPictureData
    public int getSignature() {
        return this.colorSpace == ColorSpace.rgb ? getUIDInstanceCount() == 1 ? 18080 : 18096 : getUIDInstanceCount() == 1 ? 28192 : 28208;
    }

    @Override // org.apache.poi.sl.usermodel.PictureData
    public PictureData.PictureType getType() {
        return PictureData.PictureType.JPEG;
    }

    public void setColorSpace(ColorSpace colorSpace2) {
        this.colorSpace = colorSpace2;
    }

    @Override // org.apache.poi.hslf.usermodel.HSLFPictureData
    public void setSignature(int i2) {
        if (i2 == 18080) {
            setUIDInstanceCount(1);
            this.colorSpace = ColorSpace.rgb;
        } else if (i2 == 18096) {
            setUIDInstanceCount(2);
            this.colorSpace = ColorSpace.rgb;
        } else if (i2 == 28192) {
            setUIDInstanceCount(1);
            this.colorSpace = ColorSpace.cymk;
        } else if (i2 == 28208) {
            setUIDInstanceCount(2);
            this.colorSpace = ColorSpace.cymk;
        } else {
            throw new IllegalArgumentException(i2 + " is not a valid instance/signature value for JPEG");
        }
    }
}
