package org.apache.poi.hslf.dev;

import b.b.a.a.a;
import java.io.PrintStream;
import org.apache.poi.hslf.record.EscherTextboxWrapper;
import org.apache.poi.hslf.record.PPDrawing;
import org.apache.poi.hslf.record.Record;
import org.apache.poi.hslf.record.TextBytesAtom;
import org.apache.poi.hslf.record.TextCharsAtom;
import org.apache.poi.hslf.usermodel.HSLFSlideShowImpl;
import org.apache.poi.ss.formula.FormulaParser;

public final class PPDrawingTextListing {
    public static void main(String[] strArr) {
        if (strArr.length < 1) {
            System.err.println("Need to give a filename");
            System.exit(1);
        }
        HSLFSlideShowImpl hSLFSlideShowImpl = new HSLFSlideShowImpl(strArr[0]);
        Record[] records = hSLFSlideShowImpl.getRecords();
        for (int i2 = 0; i2 < records.length; i2++) {
            Record[] childRecords = records[i2].getChildRecords();
            if (!(childRecords == null || childRecords.length == 0)) {
                for (int i3 = 0; i3 < childRecords.length; i3++) {
                    if (childRecords[i3] instanceof PPDrawing) {
                        PrintStream printStream = System.out;
                        StringBuilder a = a.a("Found PPDrawing at ", i3, " in top level record ", i2, " (");
                        a.append(records[i2].getRecordType());
                        a.append(")");
                        printStream.println(a.toString());
                        EscherTextboxWrapper[] textboxWrappers = ((PPDrawing) childRecords[i3]).getTextboxWrappers();
                        PrintStream printStream2 = System.out;
                        StringBuilder b2 = a.b("  Has ");
                        b2.append(textboxWrappers.length);
                        b2.append(" textbox wrappers within");
                        printStream2.println(b2.toString());
                        for (int i4 = 0; i4 < textboxWrappers.length; i4++) {
                            EscherTextboxWrapper escherTextboxWrapper = textboxWrappers[i4];
                            PrintStream printStream3 = System.out;
                            StringBuilder a2 = a.a("    ", i4, " has ");
                            a2.append(escherTextboxWrapper.getChildRecords().length);
                            a2.append(" PPT atoms within");
                            printStream3.println(a2.toString());
                            Record[] childRecords2 = escherTextboxWrapper.getChildRecords();
                            for (int i5 = 0; i5 < childRecords2.length; i5++) {
                                String str = null;
                                if (childRecords2[i5] instanceof TextBytesAtom) {
                                    str = ((TextBytesAtom) childRecords2[i5]).getText();
                                }
                                if (childRecords2[i5] instanceof TextCharsAtom) {
                                    str = ((TextCharsAtom) childRecords2[i5]).getText();
                                }
                                if (str != null) {
                                    String replace = str.replace(FormulaParser.CR, '\n');
                                    PrintStream printStream4 = System.out;
                                    printStream4.println("        ''" + replace + "''");
                                }
                            }
                        }
                    }
                }
            }
        }
        hSLFSlideShowImpl.close();
    }
}
