package org.apache.poi.hslf.dev;

import b.b.a.a.a;
import java.io.PrintStream;
import org.apache.poi.hslf.record.Document;
import org.apache.poi.hslf.record.Record;
import org.apache.poi.hslf.record.RecordTypes;
import org.apache.poi.hslf.record.SlideListWithText;
import org.apache.poi.hslf.usermodel.HSLFSlideShowImpl;

public final class SLWTListing {
    public static void main(String[] strArr) {
        if (strArr.length < 1) {
            System.err.println("Need to give a filename");
            System.exit(1);
        }
        HSLFSlideShowImpl hSLFSlideShowImpl = new HSLFSlideShowImpl(strArr[0]);
        Record[] records = hSLFSlideShowImpl.getRecords();
        for (int i2 = 0; i2 < records.length; i2++) {
            if (records[i2] instanceof Document) {
                SlideListWithText[] slideListWithTexts = ((Document) records[i2]).getSlideListWithTexts();
                PrintStream printStream = System.out;
                StringBuilder a = a.a("Document at ", i2, " had ");
                a.append(slideListWithTexts.length);
                a.append(" SlideListWithTexts");
                printStream.println(a.toString());
                if (slideListWithTexts.length == 0) {
                    System.err.println("** Warning: Should have had at least 1! **");
                }
                if (slideListWithTexts.length > 3) {
                    System.err.println("** Warning: Shouldn't have more than 3!");
                }
                for (int i3 = 0; i3 < slideListWithTexts.length; i3++) {
                    SlideListWithText slideListWithText = slideListWithTexts[i3];
                    Record[] childRecords = slideListWithText.getChildRecords();
                    PrintStream printStream2 = System.out;
                    StringBuilder a2 = a.a(" - SLWT at ", i3, " had ");
                    a2.append(childRecords.length);
                    a2.append(" children:");
                    printStream2.println(a2.toString());
                    int length = slideListWithText.getSlideAtomsSets().length;
                    if (i3 == 1) {
                        if (length == 0) {
                            System.err.println("  ** 2nd SLWT didn't have any SlideAtomSets!");
                        } else {
                            PrintStream printStream3 = System.out;
                            printStream3.println("  - Contains " + length + " SlideAtomSets");
                        }
                    } else if (length > 0) {
                        System.err.println(a.b("  ** SLWT ", i3, " had ", length, " SlideAtomSets! (expected 0)"));
                    }
                    int i4 = 5;
                    if (childRecords.length < 5) {
                        i4 = childRecords.length;
                    }
                    for (int i5 = 0; i5 < i4; i5++) {
                        int recordType = (int) childRecords[i5].getRecordType();
                        String name = RecordTypes.forTypeID(recordType).name();
                        PrintStream printStream4 = System.out;
                        printStream4.println("   - " + recordType + " (" + name + ")");
                    }
                }
            }
        }
        hSLFSlideShowImpl.close();
    }
}
