package org.apache.poi.hslf.dev;

import b.b.a.a.a;
import java.io.PrintStream;
import org.apache.poi.hslf.record.Document;
import org.apache.poi.hslf.record.Record;
import org.apache.poi.hslf.record.SlideListWithText;
import org.apache.poi.hslf.record.SlidePersistAtom;
import org.apache.poi.hslf.record.TextBytesAtom;
import org.apache.poi.hslf.record.TextCharsAtom;
import org.apache.poi.hslf.usermodel.HSLFSlideShowImpl;
import org.apache.poi.ss.formula.FormulaParser;

public final class SLWTTextListing {
    public static void main(String[] strArr) {
        if (strArr.length < 1) {
            System.err.println("Need to give a filename");
            System.exit(1);
        }
        HSLFSlideShowImpl hSLFSlideShowImpl = new HSLFSlideShowImpl(strArr[0]);
        Record[] records = hSLFSlideShowImpl.getRecords();
        for (int i2 = 0; i2 < records.length; i2++) {
            if (records[i2] instanceof Document) {
                Record[] childRecords = records[i2].getChildRecords();
                for (int i3 = 0; i3 < childRecords.length; i3++) {
                    if (childRecords[i3] instanceof SlideListWithText) {
                        PrintStream printStream = System.out;
                        printStream.println("Found SLWT at pos " + i3 + " in the Document at " + i2);
                        PrintStream printStream2 = System.out;
                        StringBuilder b2 = a.b("  Has ");
                        b2.append(childRecords[i3].getChildRecords().length);
                        b2.append(" children");
                        printStream2.println(b2.toString());
                        SlideListWithText.SlideAtomsSet[] slideAtomsSets = ((SlideListWithText) childRecords[i3]).getSlideAtomsSets();
                        PrintStream printStream3 = System.out;
                        StringBuilder b3 = a.b("  Has ");
                        b3.append(slideAtomsSets.length);
                        b3.append(" AtomSets in it");
                        printStream3.println(b3.toString());
                        for (int i4 = 0; i4 < slideAtomsSets.length; i4++) {
                            SlidePersistAtom slidePersistAtom = slideAtomsSets[i4].getSlidePersistAtom();
                            PrintStream printStream4 = System.out;
                            StringBuilder a = a.a("    ", i4, " has slide id ");
                            a.append(slidePersistAtom.getSlideIdentifier());
                            printStream4.println(a.toString());
                            PrintStream printStream5 = System.out;
                            StringBuilder a2 = a.a("    ", i4, " has ref id ");
                            a2.append(slidePersistAtom.getRefID());
                            printStream5.println(a2.toString());
                            Record[] slideRecords = slideAtomsSets[i4].getSlideRecords();
                            for (int i5 = 0; i5 < slideRecords.length; i5++) {
                                String str = null;
                                if (slideRecords[i5] instanceof TextBytesAtom) {
                                    str = ((TextBytesAtom) slideRecords[i5]).getText();
                                }
                                if (slideRecords[i5] instanceof TextCharsAtom) {
                                    str = ((TextCharsAtom) slideRecords[i5]).getText();
                                }
                                if (str != null) {
                                    String replace = str.replace(FormulaParser.CR, '\n');
                                    PrintStream printStream6 = System.out;
                                    printStream6.println("        ''" + replace + "''");
                                }
                            }
                        }
                    }
                }
            }
        }
        hSLFSlideShowImpl.close();
    }
}
