package org.apache.poi.hslf.dev;

import b.b.a.a.a;
import java.io.PrintStream;
import org.apache.poi.hslf.record.Notes;
import org.apache.poi.hslf.record.NotesAtom;
import org.apache.poi.hslf.record.Record;
import org.apache.poi.hslf.record.Slide;
import org.apache.poi.hslf.record.SlideAtom;
import org.apache.poi.hslf.usermodel.HSLFSlideShowImpl;

public final class SlideAndNotesAtomListing {
    public static void main(String[] strArr) {
        if (strArr.length < 1) {
            System.err.println("Need to give a filename");
            System.exit(1);
        }
        HSLFSlideShowImpl hSLFSlideShowImpl = new HSLFSlideShowImpl(strArr[0]);
        System.out.println("");
        Record[] records = hSLFSlideShowImpl.getRecords();
        for (int i2 = 0; i2 < records.length; i2++) {
            Record record = records[i2];
            if (record instanceof Slide) {
                SlideAtom slideAtom = ((Slide) record).getSlideAtom();
                PrintStream printStream = System.out;
                printStream.println("Found Slide at " + i2);
                PrintStream printStream2 = System.out;
                StringBuilder b2 = a.b("  Slide's master ID is ");
                b2.append(slideAtom.getMasterID());
                printStream2.println(b2.toString());
                PrintStream printStream3 = System.out;
                StringBuilder b3 = a.b("  Slide's notes ID is  ");
                b3.append(slideAtom.getNotesID());
                printStream3.println(b3.toString());
                System.out.println("");
            }
            if (record instanceof Notes) {
                NotesAtom notesAtom = ((Notes) record).getNotesAtom();
                PrintStream printStream4 = System.out;
                printStream4.println("Found Notes at " + i2);
                PrintStream printStream5 = System.out;
                StringBuilder b4 = a.b("  Notes ID is ");
                b4.append(notesAtom.getSlideID());
                printStream5.println(b4.toString());
                System.out.println("");
            }
        }
        hSLFSlideShowImpl.close();
    }
}
