package org.apache.poi.hslf.dev;

import b.b.a.a.a;
import java.io.PrintStream;
import java.util.List;
import org.apache.poi.hslf.model.textproperties.BitMaskTextProp;
import org.apache.poi.hslf.model.textproperties.TextProp;
import org.apache.poi.hslf.model.textproperties.TextPropCollection;
import org.apache.poi.hslf.record.Record;
import org.apache.poi.hslf.record.SlideListWithText;
import org.apache.poi.hslf.record.StyleTextPropAtom;
import org.apache.poi.hslf.record.TextBytesAtom;
import org.apache.poi.hslf.record.TextCharsAtom;
import org.apache.poi.hslf.usermodel.HSLFSlideShowImpl;

public final class TextStyleListing {
    public static void main(String[] strArr) {
        if (strArr.length < 1) {
            System.err.println("Need to give a filename");
            System.exit(1);
        }
        HSLFSlideShowImpl hSLFSlideShowImpl = new HSLFSlideShowImpl(strArr[0]);
        Record[] records = hSLFSlideShowImpl.getRecords();
        for (int i2 = 0; i2 < records.length; i2++) {
            if (records[i2].getRecordType() == 1000) {
                Record[] childRecords = records[i2].getChildRecords();
                for (int i3 = 0; i3 < childRecords.length; i3++) {
                    if (childRecords[i3] instanceof SlideListWithText) {
                        Record[] childRecords2 = childRecords[i3].getChildRecords();
                        int i4 = -1;
                        for (int i5 = 0; i5 < childRecords2.length; i5++) {
                            if (childRecords2[i5] instanceof TextCharsAtom) {
                                i4 = ((TextCharsAtom) childRecords2[i5]).getText().length();
                            }
                            if (childRecords2[i5] instanceof TextBytesAtom) {
                                i4 = ((TextBytesAtom) childRecords2[i5]).getText().length();
                            }
                            if (childRecords2[i5] instanceof StyleTextPropAtom) {
                                StyleTextPropAtom styleTextPropAtom = (StyleTextPropAtom) childRecords2[i5];
                                styleTextPropAtom.setParentTextSize(i4);
                                showStyleTextPropAtom(styleTextPropAtom);
                            }
                        }
                    }
                }
            }
        }
        hSLFSlideShowImpl.close();
    }

    public static void showStyleTextPropAtom(StyleTextPropAtom styleTextPropAtom) {
        System.out.println("\nFound a StyleTextPropAtom");
        List<TextPropCollection> paragraphStyles = styleTextPropAtom.getParagraphStyles();
        PrintStream printStream = System.out;
        StringBuilder b2 = a.b("Contains ");
        b2.append(paragraphStyles.size());
        b2.append(" paragraph styles:");
        printStream.println(b2.toString());
        for (int i2 = 0; i2 < paragraphStyles.size(); i2++) {
            TextPropCollection textPropCollection = paragraphStyles.get(i2);
            PrintStream printStream2 = System.out;
            printStream2.println(" In paragraph styling " + i2 + ":");
            PrintStream printStream3 = System.out;
            StringBuilder b3 = a.b("  Characters covered is ");
            b3.append(textPropCollection.getCharactersCovered());
            printStream3.println(b3.toString());
            showTextProps(textPropCollection);
        }
        List<TextPropCollection> characterStyles = styleTextPropAtom.getCharacterStyles();
        PrintStream printStream4 = System.out;
        StringBuilder b4 = a.b("Contains ");
        b4.append(characterStyles.size());
        b4.append(" character styles:");
        printStream4.println(b4.toString());
        for (int i3 = 0; i3 < characterStyles.size(); i3++) {
            TextPropCollection textPropCollection2 = characterStyles.get(i3);
            PrintStream printStream5 = System.out;
            printStream5.println("  In character styling " + i3 + ":");
            PrintStream printStream6 = System.out;
            StringBuilder b5 = a.b("    Characters covered is ");
            b5.append(textPropCollection2.getCharactersCovered());
            printStream6.println(b5.toString());
            showTextProps(textPropCollection2);
        }
    }

    public static void showTextProps(TextPropCollection textPropCollection) {
        List<TextProp> textPropList = textPropCollection.getTextPropList();
        PrintStream printStream = System.out;
        StringBuilder b2 = a.b("    Contains ");
        b2.append(textPropList.size());
        b2.append(" TextProps");
        printStream.println(b2.toString());
        for (int i2 = 0; i2 < textPropList.size(); i2++) {
            TextProp textProp = textPropList.get(i2);
            PrintStream printStream2 = System.out;
            StringBuilder a = a.a("      ", i2, " - ");
            a.append(textProp.getName());
            printStream2.println(a.toString());
            PrintStream printStream3 = System.out;
            StringBuilder b3 = a.b("          = ");
            b3.append(textProp.getValue());
            printStream3.println(b3.toString());
            PrintStream printStream4 = System.out;
            StringBuilder b4 = a.b("          @ ");
            b4.append(textProp.getMask());
            printStream4.println(b4.toString());
            if (textProp instanceof BitMaskTextProp) {
                BitMaskTextProp bitMaskTextProp = (BitMaskTextProp) textProp;
                String[] subPropNames = bitMaskTextProp.getSubPropNames();
                boolean[] subPropMatches = bitMaskTextProp.getSubPropMatches();
                for (int i3 = 0; i3 < subPropNames.length; i3++) {
                    PrintStream printStream5 = System.out;
                    StringBuilder a2 = a.a("            -> ", i3, " - ");
                    a2.append(subPropNames[i3]);
                    printStream5.println(a2.toString());
                    PrintStream printStream6 = System.out;
                    StringBuilder a3 = a.a("               ", i3, " = ");
                    a3.append(subPropMatches[i3]);
                    printStream6.println(a3.toString());
                }
            }
        }
    }
}
