package org.apache.poi.hslf.dev;

import b.b.a.a.a;
import java.io.ByteArrayOutputStream;
import java.io.PrintStream;
import java.util.Map;
import org.apache.poi.hslf.record.CurrentUserAtom;
import org.apache.poi.hslf.record.PersistPtrHolder;
import org.apache.poi.hslf.record.PositionDependentRecord;
import org.apache.poi.hslf.record.Record;
import org.apache.poi.hslf.record.UserEditAtom;
import org.apache.poi.hslf.usermodel.HSLFSlideShowImpl;
import org.apache.poi.util.LittleEndian;

public final class UserEditAndPersistListing {
    public static byte[] fileContents;

    public static Record findRecordAtPos(int i2) {
        return Record.createRecordForType((long) LittleEndian.getUShort(fileContents, i2 + 2), fileContents, i2, ((int) LittleEndian.getUInt(fileContents, i2 + 4)) + 8);
    }

    public static void main(String[] strArr) {
        if (strArr.length < 1) {
            System.err.println("Need to give a filename");
            System.exit(1);
        }
        HSLFSlideShowImpl hSLFSlideShowImpl = new HSLFSlideShowImpl(strArr[0]);
        fileContents = hSLFSlideShowImpl.getUnderlyingBytes();
        System.out.println("");
        Record[] records = hSLFSlideShowImpl.getRecords();
        int i2 = 0;
        for (Record record : records) {
            if (record.getRecordType() == 6001) {
                PrintStream printStream = System.out;
                StringBuilder a = a.a("Found PersistPtrFullBlock at ", i2, " (");
                a.append(Integer.toHexString(i2));
                a.append(")");
                printStream.println(a.toString());
            }
            if (record.getRecordType() == 6002) {
                PrintStream printStream2 = System.out;
                StringBuilder a2 = a.a("Found PersistPtrIncrementalBlock at ", i2, " (");
                a2.append(Integer.toHexString(i2));
                a2.append(")");
                printStream2.println(a2.toString());
                PersistPtrHolder persistPtrHolder = (PersistPtrHolder) record;
                Map<Integer, Integer> slideLocationsLookup = persistPtrHolder.getSlideLocationsLookup();
                int[] knownSlideIDs = persistPtrHolder.getKnownSlideIDs();
                for (int i3 : knownSlideIDs) {
                    Integer num = slideLocationsLookup.get(Integer.valueOf(i3));
                    System.out.println("  Knows about sheet " + i3);
                    System.out.println("    That sheet lives at " + num);
                    Record findRecordAtPos = findRecordAtPos(num.intValue());
                    PrintStream printStream3 = System.out;
                    StringBuilder b2 = a.b("    The record at that pos is of type ");
                    b2.append(findRecordAtPos.getRecordType());
                    printStream3.println(b2.toString());
                    PrintStream printStream4 = System.out;
                    StringBuilder b3 = a.b("    The record at that pos has class ");
                    b3.append(findRecordAtPos.getClass().getName());
                    printStream4.println(b3.toString());
                    if (!(findRecordAtPos instanceof PositionDependentRecord)) {
                        System.out.println("    ** The record class isn't position aware! **");
                    }
                }
            }
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
            record.writeOut(byteArrayOutputStream);
            i2 += byteArrayOutputStream.size();
        }
        System.out.println("");
        Record[] records2 = hSLFSlideShowImpl.getRecords();
        int i4 = 0;
        for (Record record2 : records2) {
            if (record2 instanceof UserEditAtom) {
                UserEditAtom userEditAtom = (UserEditAtom) record2;
                PrintStream printStream5 = System.out;
                StringBuilder a3 = a.a("Found UserEditAtom at ", i4, " (");
                a3.append(Integer.toHexString(i4));
                a3.append(")");
                printStream5.println(a3.toString());
                PrintStream printStream6 = System.out;
                StringBuilder b4 = a.b("  lastUserEditAtomOffset = ");
                b4.append(userEditAtom.getLastUserEditAtomOffset());
                printStream6.println(b4.toString());
                PrintStream printStream7 = System.out;
                StringBuilder b5 = a.b("  persistPointersOffset  = ");
                b5.append(userEditAtom.getPersistPointersOffset());
                printStream7.println(b5.toString());
                PrintStream printStream8 = System.out;
                StringBuilder b6 = a.b("  docPersistRef          = ");
                b6.append(userEditAtom.getDocPersistRef());
                printStream8.println(b6.toString());
                PrintStream printStream9 = System.out;
                StringBuilder b7 = a.b("  maxPersistWritten      = ");
                b7.append(userEditAtom.getMaxPersistWritten());
                printStream9.println(b7.toString());
            }
            ByteArrayOutputStream byteArrayOutputStream2 = new ByteArrayOutputStream();
            record2.writeOut(byteArrayOutputStream2);
            i4 += byteArrayOutputStream2.size();
        }
        System.out.println("");
        CurrentUserAtom currentUserAtom = hSLFSlideShowImpl.getCurrentUserAtom();
        System.out.println("Checking Current User Atom");
        PrintStream printStream10 = System.out;
        StringBuilder b8 = a.b("  Thinks the CurrentEditOffset is ");
        b8.append(currentUserAtom.getCurrentEditOffset());
        printStream10.println(b8.toString());
        System.out.println("");
        hSLFSlideShowImpl.close();
    }
}
