package org.apache.poi.hslf.model.textproperties;

import b.b.a.a.a;
import java.util.Locale;

public class TextProp implements Cloneable {
    public int dataValue;
    public int maskInHeader;
    public String propName;
    public int sizeOfDataBlock;

    public TextProp(int i2, int i3, String str) {
        this.sizeOfDataBlock = i2;
        this.maskInHeader = i3;
        this.propName = str;
        this.dataValue = 0;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        TextProp textProp = (TextProp) obj;
        if (this.dataValue != textProp.dataValue || this.maskInHeader != textProp.maskInHeader) {
            return false;
        }
        String str = this.propName;
        if (str == null) {
            if (textProp.propName != null) {
                return false;
            }
        } else if (!str.equals(textProp.propName)) {
            return false;
        }
        return this.sizeOfDataBlock == textProp.sizeOfDataBlock;
    }

    public int getMask() {
        return this.maskInHeader;
    }

    public String getName() {
        return this.propName;
    }

    public int getSize() {
        return this.sizeOfDataBlock;
    }

    public int getValue() {
        return this.dataValue;
    }

    public int getWriteMask() {
        return getMask();
    }

    public int hashCode() {
        int i2 = (((this.dataValue + 31) * 31) + this.maskInHeader) * 31;
        String str = this.propName;
        return ((i2 + (str == null ? 0 : str.hashCode())) * 31) + this.sizeOfDataBlock;
    }

    public void setValue(int i2) {
        this.dataValue = i2;
    }

    public String toString() {
        int i2 = this.sizeOfDataBlock;
        return String.format(Locale.ROOT, a.b("%s = %d (%0#", i2 != 1 ? i2 != 2 ? 10 : 6 : 4, "X mask / %d bytes)"), this.propName, Integer.valueOf(this.dataValue), Integer.valueOf(this.maskInHeader), Integer.valueOf(this.sizeOfDataBlock));
    }

    @Override // java.lang.Object
    public TextProp clone() {
        try {
            return (TextProp) super.clone();
        } catch (CloneNotSupportedException e2) {
            throw new InternalError(e2.getMessage());
        }
    }

    public TextProp(TextProp textProp) {
        this.sizeOfDataBlock = textProp.sizeOfDataBlock;
        this.maskInHeader = textProp.maskInHeader;
        this.propName = textProp.propName;
        this.dataValue = textProp.dataValue;
    }
}
