package org.apache.poi.hslf.record;

import b.b.a.a.a;
import java.io.OutputStream;
import java.util.ArrayList;

public final class Document extends PositionDependentRecordContainer {
    public static long _type = 1000;
    public byte[] _header;
    public DocumentAtom documentAtom;
    public Environment environment;
    public ExObjList exObjList;
    public PPDrawingGroup ppDrawing;
    public SlideListWithText[] slwts;

    public Document(byte[] bArr, int i2, int i3) {
        byte[] bArr2 = new byte[8];
        this._header = bArr2;
        int i4 = 0;
        System.arraycopy(bArr, i2, bArr2, 0, 8);
        Record[] findChildRecords = Record.findChildRecords(bArr, i2 + 8, i3 - 8);
        this._children = findChildRecords;
        if (findChildRecords[0] instanceof DocumentAtom) {
            this.documentAtom = (DocumentAtom) findChildRecords[0];
            int i5 = 1;
            int i6 = 1;
            int i7 = 0;
            while (true) {
                Record[] recordArr = this._children;
                if (i6 >= recordArr.length) {
                    break;
                }
                i7 = recordArr[i6] instanceof SlideListWithText ? i7 + 1 : i7;
                Record[] recordArr2 = this._children;
                if (recordArr2[i6] instanceof Environment) {
                    this.environment = (Environment) recordArr2[i6];
                }
                Record[] recordArr3 = this._children;
                if (recordArr3[i6] instanceof PPDrawingGroup) {
                    this.ppDrawing = (PPDrawingGroup) recordArr3[i6];
                }
                Record[] recordArr4 = this._children;
                if (recordArr4[i6] instanceof ExObjList) {
                    this.exObjList = (ExObjList) recordArr4[i6];
                }
                i6++;
            }
            if (i7 == 0) {
                Record.logger.log(5, "No SlideListWithText's found - there should normally be at least one!");
            }
            if (i7 > 3) {
                Record.logger.log(5, a.b("Found ", i7, " SlideListWithTexts - normally there should only be three!"));
            }
            this.slwts = new SlideListWithText[i7];
            while (true) {
                Record[] recordArr5 = this._children;
                if (i5 < recordArr5.length) {
                    if (recordArr5[i5] instanceof SlideListWithText) {
                        this.slwts[i4] = (SlideListWithText) recordArr5[i5];
                        i4++;
                    }
                    i5++;
                } else {
                    return;
                }
            }
        } else {
            throw new IllegalStateException("The first child of a Document must be a DocumentAtom");
        }
    }

    public void addSlideListWithText(SlideListWithText slideListWithText) {
        Record[] recordArr = this._children;
        Record record = recordArr[recordArr.length - 1];
        if (record.getRecordType() == ((long) RecordTypes.RoundTripCustomTableStyles12Atom.typeID)) {
            Record[] recordArr2 = this._children;
            record = recordArr2[recordArr2.length - 2];
        }
        if (record.getRecordType() == ((long) RecordTypes.EndDocument.typeID)) {
            addChildBefore(slideListWithText, record);
            SlideListWithText[] slideListWithTextArr = this.slwts;
            int length = slideListWithTextArr.length + 1;
            SlideListWithText[] slideListWithTextArr2 = new SlideListWithText[length];
            System.arraycopy(slideListWithTextArr, 0, slideListWithTextArr2, 0, slideListWithTextArr.length);
            slideListWithTextArr2[length - 1] = slideListWithText;
            this.slwts = slideListWithTextArr2;
            return;
        }
        throw new IllegalStateException("The last child record of a Document should be EndDocument, but it was " + record);
    }

    public DocumentAtom getDocumentAtom() {
        return this.documentAtom;
    }

    public Environment getEnvironment() {
        return this.environment;
    }

    public ExObjList getExObjList(boolean z) {
        if (this.exObjList == null && z) {
            ExObjList exObjList2 = new ExObjList();
            this.exObjList = exObjList2;
            addChildAfter(exObjList2, getDocumentAtom());
        }
        return this.exObjList;
    }

    public SlideListWithText getMasterSlideListWithText() {
        int i2 = 0;
        while (true) {
            SlideListWithText[] slideListWithTextArr = this.slwts;
            if (i2 >= slideListWithTextArr.length) {
                return null;
            }
            if (slideListWithTextArr[i2].getInstance() == 1) {
                return this.slwts[i2];
            }
            i2++;
        }
    }

    public SlideListWithText getNotesSlideListWithText() {
        int i2 = 0;
        while (true) {
            SlideListWithText[] slideListWithTextArr = this.slwts;
            if (i2 >= slideListWithTextArr.length) {
                return null;
            }
            if (slideListWithTextArr[i2].getInstance() == 2) {
                return this.slwts[i2];
            }
            i2++;
        }
    }

    public PPDrawingGroup getPPDrawingGroup() {
        return this.ppDrawing;
    }

    @Override // org.apache.poi.hslf.record.Record
    public long getRecordType() {
        return _type;
    }

    public SlideListWithText[] getSlideListWithTexts() {
        return this.slwts;
    }

    public SlideListWithText getSlideSlideListWithText() {
        int i2 = 0;
        while (true) {
            SlideListWithText[] slideListWithTextArr = this.slwts;
            if (i2 >= slideListWithTextArr.length) {
                return null;
            }
            if (slideListWithTextArr[i2].getInstance() == 0) {
                return this.slwts[i2];
            }
            i2++;
        }
    }

    public void removeSlideListWithText(SlideListWithText slideListWithText) {
        ArrayList arrayList = new ArrayList();
        SlideListWithText[] slideListWithTextArr = this.slwts;
        for (SlideListWithText slideListWithText2 : slideListWithTextArr) {
            if (slideListWithText2 != slideListWithText) {
                arrayList.add(slideListWithText2);
            } else {
                removeChild(slideListWithText);
            }
        }
        this.slwts = (SlideListWithText[]) arrayList.toArray(new SlideListWithText[arrayList.size()]);
    }

    @Override // org.apache.poi.hslf.record.Record
    public void writeOut(OutputStream outputStream) {
        byte[] bArr = this._header;
        writeOut(bArr[0], bArr[1], _type, this._children, outputStream);
    }
}
