package org.apache.poi.hslf.record;

import java.io.OutputStream;

public final class Environment extends PositionDependentRecordContainer {
    public static long _type = 1010;
    public byte[] _header;
    public FontCollection fontCollection;
    public TxMasterStyleAtom txmaster;

    public Environment(byte[] bArr, int i2, int i3) {
        byte[] bArr2 = new byte[8];
        this._header = bArr2;
        int i4 = 0;
        System.arraycopy(bArr, i2, bArr2, 0, 8);
        this._children = Record.findChildRecords(bArr, i2 + 8, i3 - 8);
        while (true) {
            Record[] recordArr = this._children;
            if (i4 >= recordArr.length) {
                break;
            }
            if (recordArr[i4] instanceof FontCollection) {
                this.fontCollection = (FontCollection) recordArr[i4];
            } else if (recordArr[i4] instanceof TxMasterStyleAtom) {
                this.txmaster = (TxMasterStyleAtom) recordArr[i4];
            }
            i4++;
        }
        if (this.fontCollection == null) {
            throw new IllegalStateException("Environment didn't contain a FontCollection record!");
        }
    }

    public FontCollection getFontCollection() {
        return this.fontCollection;
    }

    @Override // org.apache.poi.hslf.record.Record
    public long getRecordType() {
        return _type;
    }

    public TxMasterStyleAtom getTxMasterStyleAtom() {
        return this.txmaster;
    }

    @Override // org.apache.poi.hslf.record.Record
    public void writeOut(OutputStream outputStream) {
        byte[] bArr = this._header;
        writeOut(bArr[0], bArr[1], _type, this._children, outputStream);
    }
}
