package org.apache.poi.hslf.record;

import b.b.a.a.a;
import java.io.OutputStream;
import org.apache.poi.util.LittleEndian;

public final class ExHyperlinkAtom extends RecordAtom {
    public byte[] _data;
    public byte[] _header;

    public ExHyperlinkAtom() {
        byte[] bArr = new byte[8];
        this._header = bArr;
        this._data = new byte[4];
        LittleEndian.putShort(bArr, 2, (short) ((int) getRecordType()));
        LittleEndian.putInt(this._header, 4, this._data.length);
    }

    public int getNumber() {
        return LittleEndian.getInt(this._data, 0);
    }

    @Override // org.apache.poi.hslf.record.Record
    public long getRecordType() {
        return (long) RecordTypes.ExHyperlinkAtom.typeID;
    }

    public void setNumber(int i2) {
        LittleEndian.putInt(this._data, 0, i2);
    }

    @Override // org.apache.poi.hslf.record.Record
    public void writeOut(OutputStream outputStream) {
        outputStream.write(this._header);
        outputStream.write(this._data);
    }

    public ExHyperlinkAtom(byte[] bArr, int i2, int i3) {
        byte[] bArr2 = new byte[8];
        this._header = bArr2;
        System.arraycopy(bArr, i2, bArr2, 0, 8);
        int i4 = i3 - 8;
        byte[] bArr3 = new byte[i4];
        this._data = bArr3;
        System.arraycopy(bArr, i2 + 8, bArr3, 0, i4);
        if (this._data.length < 4) {
            StringBuilder b2 = a.b("The length of the data for a ExHyperlinkAtom must be at least 4 bytes, but was only ");
            b2.append(this._data.length);
            throw new IllegalArgumentException(b2.toString());
        }
    }
}
