package org.apache.poi.hslf.record;

import b.b.a.a.a;
import java.io.OutputStream;
import org.apache.poi.util.LittleEndian;
import org.apache.poi.util.POILogger;

public class ExMCIMovie extends RecordContainer {
    public byte[] _header;
    public ExVideoContainer exVideo;

    public ExMCIMovie(byte[] bArr, int i2, int i3) {
        byte[] bArr2 = new byte[8];
        this._header = bArr2;
        System.arraycopy(bArr, i2, bArr2, 0, 8);
        this._children = Record.findChildRecords(bArr, i2 + 8, i3 - 8);
        findInterestingChildren();
    }

    private void findInterestingChildren() {
        Record[] recordArr = this._children;
        if (recordArr[0] instanceof ExVideoContainer) {
            this.exVideo = (ExVideoContainer) recordArr[0];
            return;
        }
        POILogger pOILogger = Record.logger;
        StringBuilder b2 = a.b("First child record wasn't a ExVideoContainer, was of type ");
        b2.append(this._children[0].getRecordType());
        pOILogger.log(7, b2.toString());
    }

    public ExVideoContainer getExVideo() {
        return this.exVideo;
    }

    @Override // org.apache.poi.hslf.record.Record
    public long getRecordType() {
        return (long) RecordTypes.ExMCIMovie.typeID;
    }

    @Override // org.apache.poi.hslf.record.Record
    public void writeOut(OutputStream outputStream) {
        byte[] bArr = this._header;
        writeOut(bArr[0], bArr[1], getRecordType(), this._children, outputStream);
    }

    public ExMCIMovie() {
        byte[] bArr = new byte[8];
        this._header = bArr;
        bArr[0] = 15;
        LittleEndian.putShort(bArr, 2, (short) ((int) getRecordType()));
        ExVideoContainer exVideoContainer = new ExVideoContainer();
        this.exVideo = exVideoContainer;
        this._children = new Record[]{exVideoContainer};
    }
}
