package org.apache.poi.hslf.record;

import b.b.a.a.a;
import java.io.OutputStream;
import org.apache.poi.util.LittleEndian;

public final class ExMediaAtom extends RecordAtom {
    public static final int fLoop = 1;
    public static final int fNarration = 4;
    public static final int fRewind = 2;
    public byte[] _header;
    public byte[] _recdata;

    public ExMediaAtom() {
        this._recdata = new byte[8];
        byte[] bArr = new byte[8];
        this._header = bArr;
        LittleEndian.putShort(bArr, 2, (short) ((int) getRecordType()));
        LittleEndian.putInt(this._header, 4, this._recdata.length);
    }

    public boolean getFlag(int i2) {
        return (i2 & getMask()) != 0;
    }

    public int getMask() {
        return LittleEndian.getInt(this._recdata, 4);
    }

    public int getObjectId() {
        return LittleEndian.getInt(this._recdata, 0);
    }

    @Override // org.apache.poi.hslf.record.Record
    public long getRecordType() {
        return (long) RecordTypes.ExMediaAtom.typeID;
    }

    public void setFlag(int i2, boolean z) {
        int mask = getMask();
        setMask(z ? i2 | mask : (~i2) & mask);
    }

    public void setMask(int i2) {
        LittleEndian.putInt(this._recdata, 4, i2);
    }

    public void setObjectId(int i2) {
        LittleEndian.putInt(this._recdata, 0, i2);
    }

    public String toString() {
        StringBuffer a = a.a("ExMediaAtom\n");
        StringBuilder b2 = a.b("\tObjectId: ");
        b2.append(getObjectId());
        b2.append("\n");
        a.append(b2.toString());
        a.append("\tMask    : " + getMask() + "\n");
        a.append("\t  fLoop        : " + getFlag(1) + "\n");
        a.append("\t  fRewind   : " + getFlag(2) + "\n");
        a.append("\t  fNarration    : " + getFlag(4) + "\n");
        return a.toString();
    }

    @Override // org.apache.poi.hslf.record.Record
    public void writeOut(OutputStream outputStream) {
        outputStream.write(this._header);
        outputStream.write(this._recdata);
    }

    public ExMediaAtom(byte[] bArr, int i2, int i3) {
        byte[] bArr2 = new byte[8];
        this._header = bArr2;
        System.arraycopy(bArr, i2, bArr2, 0, 8);
        int i4 = i3 - 8;
        byte[] bArr3 = new byte[i4];
        this._recdata = bArr3;
        System.arraycopy(bArr, i2 + 8, bArr3, 0, i4);
    }
}
