package org.apache.poi.hslf.record;

import b.b.a.a.a;
import java.io.OutputStream;
import java.util.ArrayList;
import org.apache.poi.util.LittleEndian;

public class ExObjList extends RecordContainer {
    public static long _type = 1033;
    public byte[] _header;
    public ExObjListAtom exObjListAtom;

    public ExObjList(byte[] bArr, int i2, int i3) {
        byte[] bArr2 = new byte[8];
        this._header = bArr2;
        System.arraycopy(bArr, i2, bArr2, 0, 8);
        this._children = Record.findChildRecords(bArr, i2 + 8, i3 - 8);
        findInterestingChildren();
    }

    private void findInterestingChildren() {
        Record[] recordArr = this._children;
        if (recordArr[0] instanceof ExObjListAtom) {
            this.exObjListAtom = (ExObjListAtom) recordArr[0];
            return;
        }
        StringBuilder b2 = a.b("First child record wasn't a ExObjListAtom, was of type ");
        b2.append(this._children[0].getRecordType());
        throw new IllegalStateException(b2.toString());
    }

    public ExHyperlink get(int i2) {
        int i3 = 0;
        while (true) {
            Record[] recordArr = this._children;
            if (i3 >= recordArr.length) {
                return null;
            }
            if (recordArr[i3] instanceof ExHyperlink) {
                ExHyperlink exHyperlink = (ExHyperlink) recordArr[i3];
                if (exHyperlink.getExHyperlinkAtom().getNumber() == i2) {
                    return exHyperlink;
                }
            }
            i3++;
        }
    }

    public ExHyperlink[] getExHyperlinks() {
        ArrayList arrayList = new ArrayList();
        int i2 = 0;
        while (true) {
            Record[] recordArr = this._children;
            if (i2 >= recordArr.length) {
                return (ExHyperlink[]) arrayList.toArray(new ExHyperlink[arrayList.size()]);
            }
            if (recordArr[i2] instanceof ExHyperlink) {
                arrayList.add((ExHyperlink) recordArr[i2]);
            }
            i2++;
        }
    }

    public ExObjListAtom getExObjListAtom() {
        return this.exObjListAtom;
    }

    @Override // org.apache.poi.hslf.record.Record
    public long getRecordType() {
        return _type;
    }

    @Override // org.apache.poi.hslf.record.Record
    public void writeOut(OutputStream outputStream) {
        byte[] bArr = this._header;
        writeOut(bArr[0], bArr[1], _type, this._children, outputStream);
    }

    public ExObjList() {
        byte[] bArr = new byte[8];
        this._header = bArr;
        this._children = new Record[1];
        bArr[0] = 15;
        LittleEndian.putShort(bArr, 2, (short) ((int) _type));
        this._children[0] = new ExObjListAtom();
        findInterestingChildren();
    }
}
