package org.apache.poi.hslf.record;

import java.io.OutputStream;
import org.apache.poi.util.LittleEndian;

public final class ExObjRefAtom extends RecordAtom {
    public byte[] _header;
    public int exObjIdRef;

    public ExObjRefAtom() {
        byte[] bArr = new byte[8];
        this._header = bArr;
        LittleEndian.putUShort(bArr, 0, 0);
        LittleEndian.putUShort(this._header, 2, (int) getRecordType());
        LittleEndian.putInt(this._header, 4, 4);
        this.exObjIdRef = 0;
    }

    public int getExObjIdRef() {
        return this.exObjIdRef;
    }

    @Override // org.apache.poi.hslf.record.Record
    public long getRecordType() {
        return (long) RecordTypes.ExObjRefAtom.typeID;
    }

    public void setExObjIdRef(int i2) {
        this.exObjIdRef = i2;
    }

    @Override // org.apache.poi.hslf.record.Record
    public void writeOut(OutputStream outputStream) {
        outputStream.write(this._header);
        byte[] bArr = new byte[4];
        LittleEndian.putUInt(bArr, 0, (long) this.exObjIdRef);
        outputStream.write(bArr);
    }

    public ExObjRefAtom(byte[] bArr, int i2, int i3) {
        byte[] bArr2 = new byte[8];
        this._header = bArr2;
        System.arraycopy(bArr, i2, bArr2, 0, 8);
        this.exObjIdRef = (int) LittleEndian.getUInt(bArr, i2 + this._header.length);
    }
}
