package org.apache.poi.hslf.record;

import b.b.a.a.a;
import java.io.OutputStream;
import org.apache.poi.util.LittleEndian;
import org.apache.poi.util.POILogger;

public final class ExVideoContainer extends RecordContainer {
    public byte[] _header;
    public ExMediaAtom mediaAtom;
    public CString pathAtom;

    public ExVideoContainer(byte[] bArr, int i2, int i3) {
        byte[] bArr2 = new byte[8];
        this._header = bArr2;
        System.arraycopy(bArr, i2, bArr2, 0, 8);
        this._children = Record.findChildRecords(bArr, i2 + 8, i3 - 8);
        findInterestingChildren();
    }

    private void findInterestingChildren() {
        Record[] recordArr = this._children;
        if (recordArr[0] instanceof ExMediaAtom) {
            this.mediaAtom = (ExMediaAtom) recordArr[0];
        } else {
            POILogger pOILogger = Record.logger;
            StringBuilder b2 = a.b("First child record wasn't a ExMediaAtom, was of type ");
            b2.append(this._children[0].getRecordType());
            pOILogger.log(7, b2.toString());
        }
        Record[] recordArr2 = this._children;
        if (recordArr2[1] instanceof CString) {
            this.pathAtom = (CString) recordArr2[1];
            return;
        }
        POILogger pOILogger2 = Record.logger;
        StringBuilder b3 = a.b("Second child record wasn't a CString, was of type ");
        b3.append(this._children[1].getRecordType());
        pOILogger2.log(7, b3.toString());
    }

    public ExMediaAtom getExMediaAtom() {
        return this.mediaAtom;
    }

    public CString getPathAtom() {
        return this.pathAtom;
    }

    @Override // org.apache.poi.hslf.record.Record
    public long getRecordType() {
        return (long) RecordTypes.ExVideoContainer.typeID;
    }

    @Override // org.apache.poi.hslf.record.Record
    public void writeOut(OutputStream outputStream) {
        byte[] bArr = this._header;
        writeOut(bArr[0], bArr[1], getRecordType(), this._children, outputStream);
    }

    public ExVideoContainer() {
        byte[] bArr = new byte[8];
        this._header = bArr;
        bArr[0] = 15;
        LittleEndian.putShort(bArr, 2, (short) ((int) getRecordType()));
        Record[] recordArr = new Record[2];
        this._children = recordArr;
        ExMediaAtom exMediaAtom = new ExMediaAtom();
        this.mediaAtom = exMediaAtom;
        recordArr[0] = exMediaAtom;
        Record[] recordArr2 = this._children;
        CString cString = new CString();
        this.pathAtom = cString;
        recordArr2[1] = cString;
    }
}
