package org.apache.poi.hslf.record;

import java.io.OutputStream;
import java.util.ArrayList;

public final class MainMaster extends SheetContainer {
    public static long _type = 1016;
    public ColorSchemeAtom _colorScheme;
    public byte[] _header;
    public ColorSchemeAtom[] clrscheme;
    public PPDrawing ppDrawing;
    public SlideAtom slideAtom;
    public TxMasterStyleAtom[] txmasters;

    public MainMaster(byte[] bArr, int i2, int i3) {
        byte[] bArr2 = new byte[8];
        this._header = bArr2;
        int i4 = 0;
        System.arraycopy(bArr, i2, bArr2, 0, 8);
        this._children = Record.findChildRecords(bArr, i2 + 8, i3 - 8);
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        while (true) {
            Record[] recordArr = this._children;
            if (i4 < recordArr.length) {
                if (recordArr[i4] instanceof SlideAtom) {
                    this.slideAtom = (SlideAtom) recordArr[i4];
                } else if (recordArr[i4] instanceof PPDrawing) {
                    this.ppDrawing = (PPDrawing) recordArr[i4];
                } else if (recordArr[i4] instanceof TxMasterStyleAtom) {
                    arrayList.add((TxMasterStyleAtom) recordArr[i4]);
                } else if (recordArr[i4] instanceof ColorSchemeAtom) {
                    arrayList2.add((ColorSchemeAtom) recordArr[i4]);
                }
                if (this.ppDrawing != null) {
                    Record[] recordArr2 = this._children;
                    if (recordArr2[i4] instanceof ColorSchemeAtom) {
                        this._colorScheme = (ColorSchemeAtom) recordArr2[i4];
                    }
                }
                i4++;
            } else {
                this.txmasters = (TxMasterStyleAtom[]) arrayList.toArray(new TxMasterStyleAtom[arrayList.size()]);
                this.clrscheme = (ColorSchemeAtom[]) arrayList2.toArray(new ColorSchemeAtom[arrayList2.size()]);
                return;
            }
        }
    }

    @Override // org.apache.poi.hslf.record.SheetContainer
    public ColorSchemeAtom getColorScheme() {
        return this._colorScheme;
    }

    public ColorSchemeAtom[] getColorSchemeAtoms() {
        return this.clrscheme;
    }

    @Override // org.apache.poi.hslf.record.SheetContainer
    public PPDrawing getPPDrawing() {
        return this.ppDrawing;
    }

    @Override // org.apache.poi.hslf.record.Record
    public long getRecordType() {
        return _type;
    }

    public SlideAtom getSlideAtom() {
        return this.slideAtom;
    }

    public TxMasterStyleAtom[] getTxMasterStyleAtoms() {
        return this.txmasters;
    }

    @Override // org.apache.poi.hslf.record.Record
    public void writeOut(OutputStream outputStream) {
        byte[] bArr = this._header;
        writeOut(bArr[0], bArr[1], _type, this._children, outputStream);
    }
}
