package org.apache.poi.hslf.record;

import java.io.OutputStream;

public final class Notes extends SheetContainer {
    public static long _type = 1008;
    public ColorSchemeAtom _colorScheme;
    public byte[] _header;
    public NotesAtom notesAtom;
    public PPDrawing ppDrawing;

    public Notes(byte[] bArr, int i2, int i3) {
        byte[] bArr2 = new byte[8];
        this._header = bArr2;
        int i4 = 0;
        System.arraycopy(bArr, i2, bArr2, 0, 8);
        this._children = Record.findChildRecords(bArr, i2 + 8, i3 - 8);
        while (true) {
            Record[] recordArr = this._children;
            if (i4 < recordArr.length) {
                if (recordArr[i4] instanceof NotesAtom) {
                    this.notesAtom = (NotesAtom) recordArr[i4];
                }
                Record[] recordArr2 = this._children;
                if (recordArr2[i4] instanceof PPDrawing) {
                    this.ppDrawing = (PPDrawing) recordArr2[i4];
                }
                if (this.ppDrawing != null) {
                    Record[] recordArr3 = this._children;
                    if (recordArr3[i4] instanceof ColorSchemeAtom) {
                        this._colorScheme = (ColorSchemeAtom) recordArr3[i4];
                    }
                }
                i4++;
            } else {
                return;
            }
        }
    }

    @Override // org.apache.poi.hslf.record.SheetContainer
    public ColorSchemeAtom getColorScheme() {
        return this._colorScheme;
    }

    public NotesAtom getNotesAtom() {
        return this.notesAtom;
    }

    @Override // org.apache.poi.hslf.record.SheetContainer
    public PPDrawing getPPDrawing() {
        return this.ppDrawing;
    }

    @Override // org.apache.poi.hslf.record.Record
    public long getRecordType() {
        return _type;
    }

    @Override // org.apache.poi.hslf.record.Record
    public void writeOut(OutputStream outputStream) {
        byte[] bArr = this._header;
        writeOut(bArr[0], bArr[1], _type, this._children, outputStream);
    }
}
