package org.apache.poi.hslf.record;

import java.io.OutputStream;
import org.apache.poi.util.LittleEndian;

public final class RoundTripHFPlaceholder12 extends RecordAtom {
    public byte[] _header;
    public byte _placeholderId;

    public RoundTripHFPlaceholder12() {
        byte[] bArr = new byte[8];
        this._header = bArr;
        LittleEndian.putUShort(bArr, 0, 0);
        LittleEndian.putUShort(this._header, 2, (int) getRecordType());
        LittleEndian.putInt(this._header, 4, 8);
        this._placeholderId = 0;
    }

    public int getPlaceholderId() {
        return this._placeholderId;
    }

    @Override // org.apache.poi.hslf.record.Record
    public long getRecordType() {
        return (long) RecordTypes.RoundTripHFPlaceholder12.typeID;
    }

    public void setPlaceholderId(int i2) {
        this._placeholderId = (byte) i2;
    }

    @Override // org.apache.poi.hslf.record.Record
    public void writeOut(OutputStream outputStream) {
        outputStream.write(this._header);
        outputStream.write(this._placeholderId);
    }

    public RoundTripHFPlaceholder12(byte[] bArr, int i2, int i3) {
        byte[] bArr2 = new byte[8];
        this._header = bArr2;
        System.arraycopy(bArr, i2, bArr2, 0, 8);
        this._placeholderId = bArr[i2 + 8];
    }
}
