package org.apache.poi.hslf.record;

import b.b.a.a.a;
import java.io.OutputStream;
import org.apache.poi.util.POILogger;

public final class Sound extends RecordContainer {
    public SoundData _data;
    public byte[] _header;
    public CString _name;
    public CString _type;

    public Sound(byte[] bArr, int i2, int i3) {
        byte[] bArr2 = new byte[8];
        this._header = bArr2;
        System.arraycopy(bArr, i2, bArr2, 0, 8);
        this._children = Record.findChildRecords(bArr, i2 + 8, i3 - 8);
        findInterestingChildren();
    }

    private void findInterestingChildren() {
        Record[] recordArr = this._children;
        if (recordArr[0] instanceof CString) {
            this._name = (CString) recordArr[0];
        } else {
            POILogger pOILogger = Record.logger;
            StringBuilder b2 = a.b("First child record wasn't a CString, was of type ");
            b2.append(this._children[0].getRecordType());
            pOILogger.log(7, b2.toString());
        }
        Record[] recordArr2 = this._children;
        if (recordArr2[1] instanceof CString) {
            this._type = (CString) recordArr2[1];
        } else {
            POILogger pOILogger2 = Record.logger;
            StringBuilder b3 = a.b("Second child record wasn't a CString, was of type ");
            b3.append(this._children[1].getRecordType());
            pOILogger2.log(7, b3.toString());
        }
        int i2 = 2;
        while (true) {
            Record[] recordArr3 = this._children;
            if (i2 >= recordArr3.length) {
                return;
            }
            if (recordArr3[i2] instanceof SoundData) {
                this._data = (SoundData) recordArr3[i2];
                return;
            }
            i2++;
        }
    }

    @Override // org.apache.poi.hslf.record.Record
    public long getRecordType() {
        return (long) RecordTypes.Sound.typeID;
    }

    public byte[] getSoundData() {
        SoundData soundData = this._data;
        if (soundData == null) {
            return null;
        }
        return soundData.getData();
    }

    public String getSoundName() {
        return this._name.getText();
    }

    public String getSoundType() {
        return this._type.getText();
    }

    @Override // org.apache.poi.hslf.record.Record
    public void writeOut(OutputStream outputStream) {
        byte[] bArr = this._header;
        writeOut(bArr[0], bArr[1], getRecordType(), this._children, outputStream);
    }
}
