package org.apache.poi.hslf.record;

import java.io.OutputStream;
import java.util.LinkedList;
import org.apache.poi.hslf.model.textproperties.TextPFException9;
import org.apache.poi.util.LittleEndian;

public final class StyleTextProp9Atom extends RecordAtom {
    public final TextPFException9[] autoNumberSchemes;
    public byte[] data;
    public byte[] header;
    public int length = LittleEndian.getInt(this.header, 4);
    public short recordId = LittleEndian.getShort(this.header, 2);
    public short version = LittleEndian.getShort(this.header, 0);

    public StyleTextProp9Atom(byte[] bArr, int i2, int i3) {
        LinkedList linkedList = new LinkedList();
        byte[] bArr2 = new byte[8];
        this.header = bArr2;
        int i4 = 0;
        System.arraycopy(bArr, i2, bArr2, 0, 8);
        int i5 = i3 - 8;
        byte[] bArr3 = new byte[i5];
        this.data = bArr3;
        System.arraycopy(bArr, i2 + 8, bArr3, 0, i5);
        while (i4 < this.data.length) {
            TextPFException9 textPFException9 = new TextPFException9(this.data, i4);
            linkedList.add(textPFException9);
            int recordLength = textPFException9.getRecordLength() + i4;
            int i6 = recordLength + 4;
            byte[] bArr4 = this.data;
            if (i6 < bArr4.length) {
                LittleEndian.getInt(bArr4, recordLength);
                int i7 = i6 + 4;
                byte[] bArr5 = this.data;
                if (i7 >= bArr5.length) {
                    break;
                }
                i4 = (LittleEndian.getInt(bArr5, i6) & 64) != 0 ? i7 + 2 : i7;
                if (i4 + 4 >= this.data.length) {
                    break;
                }
            } else {
                break;
            }
        }
        this.autoNumberSchemes = (TextPFException9[]) linkedList.toArray(new TextPFException9[linkedList.size()]);
    }

    public TextPFException9[] getAutoNumberTypes() {
        return this.autoNumberSchemes;
    }

    public int getLength() {
        return this.length;
    }

    @Override // org.apache.poi.hslf.record.Record
    public long getRecordType() {
        return (long) this.recordId;
    }

    public short getVersion() {
        return this.version;
    }

    public void reset(int i2) {
        byte[] bArr = new byte[10];
        this.data = bArr;
        LittleEndian.putInt(bArr, 0, i2);
        LittleEndian.putInt(this.data, 4, 1);
        LittleEndian.putShort(this.data, 8, 0);
        LittleEndian.putInt(this.header, 4, this.data.length);
    }

    public void setTextSize(int i2) {
        LittleEndian.putInt(this.data, 0, i2);
    }

    @Override // org.apache.poi.hslf.record.Record
    public void writeOut(OutputStream outputStream) {
        outputStream.write(this.header);
        outputStream.write(this.data);
    }
}
