package org.apache.poi.hslf.record;

import java.io.OutputStream;
import org.apache.poi.util.LittleEndian;

public final class UnknownRecordPlaceholder extends RecordAtom {
    public byte[] _contents;
    public long _type;

    public UnknownRecordPlaceholder(byte[] bArr, int i2, int i3) {
        i3 = i3 < 0 ? 0 : i3;
        byte[] bArr2 = new byte[i3];
        this._contents = bArr2;
        System.arraycopy(bArr, i2, bArr2, 0, i3);
        this._type = (long) LittleEndian.getUShort(this._contents, 2);
    }

    @Override // org.apache.poi.hslf.record.Record
    public long getRecordType() {
        return this._type;
    }

    @Override // org.apache.poi.hslf.record.Record
    public void writeOut(OutputStream outputStream) {
        outputStream.write(this._contents);
    }
}
