package org.apache.poi.hslf.record;

import java.io.OutputStream;
import org.apache.poi.util.LittleEndian;

public final class VBAInfoAtom extends RecordAtom {
    public static final long _type = ((long) RecordTypes.VBAInfoAtom.typeID);
    public byte[] _header;
    public boolean hasMacros;
    public long persistIdRef;
    public long version;

    public VBAInfoAtom() {
        byte[] bArr = new byte[8];
        this._header = bArr;
        LittleEndian.putUInt(bArr, 0, _type);
        this.persistIdRef = 0;
        this.hasMacros = true;
        this.version = 2;
    }

    public long getPersistIdRef() {
        return this.persistIdRef;
    }

    @Override // org.apache.poi.hslf.record.Record
    public long getRecordType() {
        return _type;
    }

    public long getVersion() {
        return this.version;
    }

    public boolean isHasMacros() {
        return this.hasMacros;
    }

    public void setHasMacros(boolean z) {
        this.hasMacros = z;
    }

    public void setPersistIdRef(long j) {
        this.persistIdRef = j;
    }

    public void setVersion(long j) {
        this.version = j;
    }

    @Override // org.apache.poi.hslf.record.Record
    public void writeOut(OutputStream outputStream) {
        outputStream.write(this._header);
        LittleEndian.putUInt(this.persistIdRef, outputStream);
        LittleEndian.putUInt(this.hasMacros ? 1 : 0, outputStream);
        LittleEndian.putUInt(this.version, outputStream);
    }

    public VBAInfoAtom(byte[] bArr, int i2, int i3) {
        byte[] bArr2 = new byte[8];
        this._header = bArr2;
        boolean z = false;
        System.arraycopy(bArr, i2, bArr2, 0, 8);
        this.persistIdRef = LittleEndian.getUInt(bArr, i2 + 8);
        this.hasMacros = LittleEndian.getUInt(bArr, i2 + 12) == 1 ? true : z;
        this.version = LittleEndian.getUInt(bArr, i2 + 16);
    }
}
