package org.apache.poi.hslf.record;

import java.io.OutputStream;
import org.apache.poi.util.LittleEndian;

public final class VBAInfoContainer extends RecordContainer {
    public static long _type = ((long) RecordTypes.VBAInfo.typeID);
    public byte[] _header;

    public VBAInfoContainer(byte[] bArr, int i2, int i3) {
        byte[] bArr2 = new byte[8];
        this._header = bArr2;
        System.arraycopy(bArr, i2, bArr2, 0, 8);
        this._children = Record.findChildRecords(bArr, i2 + 8, i3 - 8);
        findInterestingChildren();
    }

    private void findInterestingChildren() {
    }

    @Override // org.apache.poi.hslf.record.Record
    public long getRecordType() {
        return _type;
    }

    @Override // org.apache.poi.hslf.record.Record
    public void writeOut(OutputStream outputStream) {
        byte[] bArr = this._header;
        writeOut(bArr[0], bArr[1], _type, this._children, outputStream);
    }

    public VBAInfoContainer() {
        byte[] bArr = new byte[8];
        this._header = bArr;
        this._children = new Record[0];
        bArr[0] = 15;
        LittleEndian.putShort(bArr, 2, (short) ((int) _type));
        findInterestingChildren();
    }
}
