package org.apache.poi.hslf.usermodel;

import java.util.ArrayList;
import java.util.List;
import org.apache.poi.sl.usermodel.Notes;
import org.apache.poi.util.POILogFactory;
import org.apache.poi.util.POILogger;

public final class HSLFNotes extends HSLFSheet implements Notes<HSLFShape, HSLFTextParagraph> {
    public static final POILogger logger = POILogFactory.getLogger(HSLFNotes.class);
    public List<List<HSLFTextParagraph>> _paragraphs = new ArrayList();

    public HSLFNotes(org.apache.poi.hslf.record.Notes notes) {
        super(notes, notes.getNotesAtom().getSlideID());
        for (List<HSLFTextParagraph> list : HSLFTextParagraph.findTextParagraphs(getPPDrawing(), this)) {
            if (!this._paragraphs.contains(list)) {
                this._paragraphs.add(list);
            }
        }
        if (this._paragraphs.isEmpty()) {
            logger.log(5, "No text records found for notes sheet");
        }
    }

    @Override // org.apache.poi.sl.usermodel.Sheet, org.apache.poi.hslf.usermodel.HSLFSheet, org.apache.poi.hslf.usermodel.HSLFSheet
    public HSLFMasterSheet getMasterSheet() {
        return null;
    }

    /* Return type fixed from 'java.util.List<java.util.List<org.apache.poi.hslf.usermodel.HSLFTextParagraph>>' to match base method */
    @Override // org.apache.poi.hslf.usermodel.HSLFSheet, org.apache.poi.sl.usermodel.Notes
    public List<? extends List<HSLFTextParagraph>> getTextParagraphs() {
        return this._paragraphs;
    }
}
