package org.apache.poi.hslf.usermodel;

import org.apache.poi.sl.usermodel.AutoShape;
import org.apache.poi.sl.usermodel.ConnectorShape;
import org.apache.poi.sl.usermodel.FreeformShape;
import org.apache.poi.sl.usermodel.GroupShape;
import org.apache.poi.sl.usermodel.PictureData;
import org.apache.poi.sl.usermodel.PictureShape;
import org.apache.poi.sl.usermodel.ShapeContainer;
import org.apache.poi.sl.usermodel.TextBox;

public interface HSLFShapeContainer extends ShapeContainer<HSLFShape, HSLFTextParagraph> {
    /* Return type fixed from 'org.apache.poi.hslf.usermodel.HSLFAutoShape' to match base method */
    @Override // org.apache.poi.sl.usermodel.ShapeContainer
    AutoShape<HSLFShape, HSLFTextParagraph> createAutoShape();

    /* Return type fixed from 'org.apache.poi.hslf.usermodel.HSLFConnectorShape' to match base method */
    @Override // org.apache.poi.sl.usermodel.ShapeContainer
    ConnectorShape<HSLFShape, HSLFTextParagraph> createConnector();

    /* Return type fixed from 'org.apache.poi.hslf.usermodel.HSLFFreeformShape' to match base method */
    @Override // org.apache.poi.sl.usermodel.ShapeContainer
    FreeformShape<HSLFShape, HSLFTextParagraph> createFreeform();

    /* Return type fixed from 'org.apache.poi.hslf.usermodel.HSLFGroupShape' to match base method */
    @Override // org.apache.poi.sl.usermodel.ShapeContainer
    GroupShape<HSLFShape, HSLFTextParagraph> createGroup();

    /* Return type fixed from 'org.apache.poi.hslf.usermodel.HSLFPictureShape' to match base method */
    @Override // org.apache.poi.sl.usermodel.ShapeContainer
    PictureShape<HSLFShape, HSLFTextParagraph> createPicture(PictureData pictureData);

    /* Return type fixed from 'org.apache.poi.hslf.usermodel.HSLFTextBox' to match base method */
    @Override // org.apache.poi.sl.usermodel.ShapeContainer
    TextBox<HSLFShape, HSLFTextParagraph> createTextBox();
}
