package org.apache.poi.hslf.usermodel;

import java.util.ArrayList;
import org.apache.poi.hslf.record.Document;
import org.apache.poi.hslf.record.Record;
import org.apache.poi.hslf.record.RecordContainer;
import org.apache.poi.hslf.record.RecordTypes;
import org.apache.poi.hslf.record.Sound;

public final class HSLFSoundData {
    public Sound _container;

    public HSLFSoundData(Sound sound) {
        this._container = sound;
    }

    public static HSLFSoundData[] find(Document document) {
        ArrayList arrayList = new ArrayList();
        Record[] childRecords = document.getChildRecords();
        for (int i2 = 0; i2 < childRecords.length; i2++) {
            if (childRecords[i2].getRecordType() == ((long) RecordTypes.SoundCollection.typeID)) {
                Record[] childRecords2 = ((RecordContainer) childRecords[i2]).getChildRecords();
                for (int i3 = 0; i3 < childRecords2.length; i3++) {
                    if (childRecords2[i3] instanceof Sound) {
                        arrayList.add(new HSLFSoundData((Sound) childRecords2[i3]));
                    }
                }
            }
        }
        return (HSLFSoundData[]) arrayList.toArray(new HSLFSoundData[arrayList.size()]);
    }

    public byte[] getData() {
        return this._container.getSoundData();
    }

    public String getSoundName() {
        return this._container.getSoundName();
    }

    public String getSoundType() {
        return this._container.getSoundType();
    }
}
