package org.apache.poi.hsmf.datatypes;

import b.b.a.a.a;
import java.io.InputStream;
import java.io.OutputStream;
import org.apache.poi.hsmf.datatypes.Types;
import org.apache.poi.util.IOUtils;

public class ByteChunk extends Chunk {
    public byte[] value;

    public ByteChunk(String str, int i2, Types.MAPIType mAPIType) {
        super(str, i2, mAPIType);
    }

    public static String toDebugFriendlyString(byte[] bArr) {
        if (bArr == null) {
            return "(Null Byte Array)";
        }
        StringBuffer a = a.a("Bytes len=");
        a.append(bArr.length);
        a.append(" [");
        int min = Math.min(bArr.length, 16);
        if (bArr.length > 16) {
            min = 12;
        }
        for (int i2 = 0; i2 < min; i2++) {
            if (i2 > 0) {
                a.append(',');
            }
            a.append((int) bArr[i2]);
        }
        if (bArr.length > 16) {
            a.append(",....");
        }
        a.append("]");
        return a.toString();
    }

    public String getAs7bitString() {
        return StringChunk.parseAs7BitData(this.value);
    }

    public byte[] getValue() {
        return this.value;
    }

    @Override // org.apache.poi.hsmf.datatypes.Chunk
    public void readValue(InputStream inputStream) {
        this.value = IOUtils.toByteArray(inputStream);
    }

    public void setValue(byte[] bArr) {
        this.value = bArr;
    }

    public String toString() {
        return toDebugFriendlyString(this.value);
    }

    @Override // org.apache.poi.hsmf.datatypes.Chunk
    public void writeValue(OutputStream outputStream) {
        outputStream.write(this.value);
    }

    public ByteChunk(int i2, Types.MAPIType mAPIType) {
        super(i2, mAPIType);
    }
}
