package org.apache.poi.hsmf.datatypes;

import b.b.a.a.a;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.Locale;
import org.apache.poi.hsmf.datatypes.Types;

public abstract class Chunk {
    public static final String DEFAULT_NAME_PREFIX = "__substg1.0_";
    public final int chunkId;
    public final String namePrefix;
    public final Types.MAPIType type;

    public Chunk(String str, int i2, Types.MAPIType mAPIType) {
        this.namePrefix = str;
        this.chunkId = i2;
        this.type = mAPIType;
    }

    public int getChunkId() {
        return this.chunkId;
    }

    public String getEntryName() {
        String asFileEnding = this.type.asFileEnding();
        String hexString = Integer.toHexString(this.chunkId);
        while (hexString.length() < 4) {
            hexString = a.b("0", hexString);
        }
        return this.namePrefix + hexString.toUpperCase(Locale.ROOT) + asFileEnding.toUpperCase(Locale.ROOT);
    }

    public Types.MAPIType getType() {
        return this.type;
    }

    public abstract void readValue(InputStream inputStream);

    public abstract void writeValue(OutputStream outputStream);

    public Chunk(int i2, Types.MAPIType mAPIType) {
        this(DEFAULT_NAME_PREFIX, i2, mAPIType);
    }
}
