package org.apache.poi.hsmf.datatypes;

import java.io.InputStream;
import java.io.OutputStream;
import org.apache.poi.util.LittleEndian;

public class MessagePropertiesChunk extends PropertiesChunk {
    public long attachmentCount;
    public long nextAttachmentId;
    public long nextRecipientId;
    public long recipientCount;

    public MessagePropertiesChunk(ChunkGroup chunkGroup) {
        super(chunkGroup);
    }

    public long getAttachmentCount() {
        return this.attachmentCount;
    }

    public long getNextAttachmentId() {
        return this.nextAttachmentId;
    }

    public long getNextRecipientId() {
        return this.nextRecipientId;
    }

    public long getRecipientCount() {
        return this.recipientCount;
    }

    @Override // org.apache.poi.hsmf.datatypes.Chunk
    public void readValue(InputStream inputStream) {
        LittleEndian.readLong(inputStream);
        this.nextRecipientId = LittleEndian.readUInt(inputStream);
        this.nextAttachmentId = LittleEndian.readUInt(inputStream);
        this.recipientCount = LittleEndian.readUInt(inputStream);
        this.attachmentCount = LittleEndian.readUInt(inputStream);
        LittleEndian.readLong(inputStream);
        readProperties(inputStream);
    }

    @Override // org.apache.poi.hsmf.datatypes.Chunk
    public void writeValue(OutputStream outputStream) {
        outputStream.write(new byte[8]);
        LittleEndian.putUInt(this.nextRecipientId, outputStream);
        LittleEndian.putUInt(this.nextAttachmentId, outputStream);
        LittleEndian.putUInt(this.recipientCount, outputStream);
        LittleEndian.putUInt(this.attachmentCount, outputStream);
        outputStream.write(new byte[8]);
        writeProperties(outputStream);
    }
}
