package org.apache.poi.hsmf.dev;

import b.b.a.a.a;
import java.io.File;
import java.io.PrintStream;
import java.util.Iterator;
import org.apache.poi.hsmf.datatypes.Chunk;
import org.apache.poi.hsmf.datatypes.ChunkGroup;
import org.apache.poi.hsmf.datatypes.MAPIProperty;
import org.apache.poi.hsmf.datatypes.PropertiesChunk;
import org.apache.poi.hsmf.datatypes.PropertyValue;
import org.apache.poi.hsmf.parsers.POIFSChunkParser;
import org.apache.poi.poifs.filesystem.NPOIFSFileSystem;

public class HSMFDump {
    public NPOIFSFileSystem fs;

    public HSMFDump(NPOIFSFileSystem nPOIFSFileSystem) {
        this.fs = nPOIFSFileSystem;
    }

    public static void main(String[] strArr) {
        for (String str : strArr) {
            NPOIFSFileSystem nPOIFSFileSystem = new NPOIFSFileSystem(new File(str), true);
            new HSMFDump(nPOIFSFileSystem).dump();
            nPOIFSFileSystem.close();
        }
    }

    public void dump() {
        dump(System.out);
    }

    public void dump(PrintStream printStream) {
        ChunkGroup[] parse = POIFSChunkParser.parse(this.fs);
        for (ChunkGroup chunkGroup : parse) {
            printStream.println(chunkGroup.getClass().getSimpleName());
            Chunk[] chunks = chunkGroup.getChunks();
            for (Chunk chunk : chunks) {
                MAPIProperty mAPIProperty = MAPIProperty.get(chunk.getChunkId());
                if (chunk instanceof PropertiesChunk) {
                    PropertiesChunk propertiesChunk = (PropertiesChunk) chunk;
                    StringBuilder b2 = a.b("   Properties - ");
                    b2.append(propertiesChunk.getProperties().size());
                    b2.append(":");
                    printStream.println(b2.toString());
                    for (MAPIProperty mAPIProperty2 : propertiesChunk.getProperties().keySet()) {
                        printStream.println("       * " + mAPIProperty2);
                        Iterator<PropertyValue> it = propertiesChunk.getValues(mAPIProperty2).iterator();
                        while (it.hasNext()) {
                            printStream.println("        = " + it.next());
                        }
                    }
                } else {
                    String str = mAPIProperty.id + " - " + mAPIProperty.name;
                    if (mAPIProperty == MAPIProperty.UNKNOWN) {
                        str = chunk.getChunkId() + " - (unknown)";
                    }
                    StringBuilder d2 = a.d("   ", str, " - ");
                    d2.append(chunk.getType().getName());
                    printStream.println(d2.toString());
                    printStream.println("       " + chunk);
                }
            }
            printStream.println();
        }
    }
}
