package org.apache.poi.hsmf.dev;

import b.b.a.a.a;
import java.io.PrintStream;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.Iterator;
import org.apache.poi.hsmf.datatypes.MAPIProperty;

public class TypesLister {
    private void list(ArrayList<MAPIProperty> arrayList, PrintStream printStream) {
        Iterator<MAPIProperty> it = arrayList.iterator();
        while (it.hasNext()) {
            MAPIProperty next = it.next();
            String hexString = Integer.toHexString(next.id);
            while (hexString.length() < 4) {
                hexString = a.b("0", hexString);
            }
            int id = next.usualType.getId();
            String num = Integer.toString(id);
            if (id > 0) {
                StringBuilder d2 = a.d(num, " / 0x");
                d2.append(Integer.toHexString(id));
                num = d2.toString();
            }
            StringBuilder d3 = a.d("0x", hexString, " - ");
            d3.append(next.name);
            printStream.println(d3.toString());
            printStream.println("   " + next.id + " - " + next.usualType.getName() + " (" + num + ") - " + next.mapiProperty);
        }
    }

    public static void main(String[] strArr) {
        TypesLister typesLister = new TypesLister();
        typesLister.listByName(System.out);
        System.out.println();
        typesLister.listById(System.out);
    }

    public void listById(PrintStream printStream) {
        ArrayList<MAPIProperty> arrayList = new ArrayList<>(MAPIProperty.getAll());
        Collections.sort(arrayList, new Comparator<MAPIProperty>() {
            /* class org.apache.poi.hsmf.dev.TypesLister.AnonymousClass2 */

            public int compare(MAPIProperty mAPIProperty, MAPIProperty mAPIProperty2) {
                int i2 = mAPIProperty.id;
                int i3 = mAPIProperty2.id;
                if (i2 < i3) {
                    return -1;
                }
                return i2 > i3 ? 1 : 0;
            }
        });
        list(arrayList, printStream);
    }

    public void listByName(PrintStream printStream) {
        ArrayList<MAPIProperty> arrayList = new ArrayList<>(MAPIProperty.getAll());
        Collections.sort(arrayList, new Comparator<MAPIProperty>() {
            /* class org.apache.poi.hsmf.dev.TypesLister.AnonymousClass1 */

            public int compare(MAPIProperty mAPIProperty, MAPIProperty mAPIProperty2) {
                return mAPIProperty.name.compareTo(mAPIProperty2.name);
            }
        });
        list(arrayList, printStream);
    }
}
