package org.apache.poi.hssf.converter;

import java.util.Arrays;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.ss.util.CellRangeAddress;

public class ExcelToHtmlUtils extends AbstractExcelUtils {
    public static void appendAlign(StringBuilder sb, short s) {
        String align = AbstractExcelUtils.getAlign(s);
        if (!AbstractExcelUtils.isEmpty(align)) {
            sb.append("text-align:");
            sb.append(align);
            sb.append(";");
        }
    }

    public static CellRangeAddress[][] buildMergedRangesMap(HSSFSheet hSSFSheet) {
        CellRangeAddress[][] cellRangeAddressArr = new CellRangeAddress[1][];
        for (CellRangeAddress cellRangeAddress : hSSFSheet.getMergedRegions()) {
            int lastRow = cellRangeAddress.getLastRow() + 1;
            if (cellRangeAddressArr.length < lastRow) {
                CellRangeAddress[][] cellRangeAddressArr2 = new CellRangeAddress[lastRow][];
                System.arraycopy(cellRangeAddressArr, 0, cellRangeAddressArr2, 0, cellRangeAddressArr.length);
                cellRangeAddressArr = cellRangeAddressArr2;
            }
            for (int firstRow = cellRangeAddress.getFirstRow(); firstRow <= cellRangeAddress.getLastRow(); firstRow++) {
                int lastColumn = cellRangeAddress.getLastColumn() + 1;
                CellRangeAddress[] cellRangeAddressArr3 = cellRangeAddressArr[firstRow];
                if (cellRangeAddressArr3 == null) {
                    cellRangeAddressArr3 = new CellRangeAddress[lastColumn];
                    cellRangeAddressArr[firstRow] = cellRangeAddressArr3;
                } else {
                    int length = cellRangeAddressArr3.length;
                    if (length < lastColumn) {
                        CellRangeAddress[] cellRangeAddressArr4 = new CellRangeAddress[lastColumn];
                        System.arraycopy(cellRangeAddressArr3, 0, cellRangeAddressArr4, 0, length);
                        cellRangeAddressArr[firstRow] = cellRangeAddressArr4;
                        cellRangeAddressArr3 = cellRangeAddressArr4;
                    }
                }
                Arrays.fill(cellRangeAddressArr3, cellRangeAddress.getFirstColumn(), cellRangeAddress.getLastColumn() + 1, cellRangeAddress);
            }
        }
        return cellRangeAddressArr;
    }
}
