package org.apache.poi.hssf.record;

import b.b.a.a.a;
import org.apache.poi.util.HexDump;
import org.apache.poi.util.LittleEndianOutput;

public final class ContinueRecord extends StandardRecord implements Cloneable {
    public static final short sid = 60;
    public byte[] _data;

    public ContinueRecord(byte[] bArr) {
        this._data = bArr;
    }

    public byte[] getData() {
        return this._data;
    }

    @Override // org.apache.poi.hssf.record.StandardRecord
    public int getDataSize() {
        return this._data.length;
    }

    @Override // org.apache.poi.hssf.record.Record
    public short getSid() {
        return 60;
    }

    @Override // org.apache.poi.hssf.record.StandardRecord
    public void serialize(LittleEndianOutput littleEndianOutput) {
        littleEndianOutput.write(this._data);
    }

    @Override // org.apache.poi.hssf.record.Record
    public String toString() {
        StringBuffer c = a.c("[CONTINUE RECORD]\n", "    .data = ");
        c.append(HexDump.toHex(this._data));
        c.append("\n");
        c.append("[/CONTINUE RECORD]\n");
        return c.toString();
    }

    @Override // org.apache.poi.hssf.record.Record, java.lang.Object
    public ContinueRecord clone() {
        return new ContinueRecord(this._data);
    }

    public ContinueRecord(RecordInputStream recordInputStream) {
        this._data = recordInputStream.readRemainder();
    }
}
