package org.apache.poi.hssf.record;

import b.b.a.a.a;
import org.apache.poi.util.LittleEndianOutput;

public final class CountryRecord extends StandardRecord {
    public static final short sid = 140;
    public short field_1_default_country;
    public short field_2_current_country;

    public CountryRecord() {
    }

    public short getCurrentCountry() {
        return this.field_2_current_country;
    }

    @Override // org.apache.poi.hssf.record.StandardRecord
    public int getDataSize() {
        return 4;
    }

    public short getDefaultCountry() {
        return this.field_1_default_country;
    }

    @Override // org.apache.poi.hssf.record.Record
    public short getSid() {
        return 140;
    }

    @Override // org.apache.poi.hssf.record.StandardRecord
    public void serialize(LittleEndianOutput littleEndianOutput) {
        littleEndianOutput.writeShort(getDefaultCountry());
        littleEndianOutput.writeShort(getCurrentCountry());
    }

    public void setCurrentCountry(short s) {
        this.field_2_current_country = s;
    }

    public void setDefaultCountry(short s) {
        this.field_1_default_country = s;
    }

    @Override // org.apache.poi.hssf.record.Record
    public String toString() {
        StringBuffer c = a.c("[COUNTRY]\n", "    .defaultcountry  = ");
        c.append(Integer.toHexString(getDefaultCountry()));
        c.append("\n");
        c.append("    .currentcountry  = ");
        c.append(Integer.toHexString(getCurrentCountry()));
        c.append("\n");
        c.append("[/COUNTRY]\n");
        return c.toString();
    }

    public CountryRecord(RecordInputStream recordInputStream) {
        this.field_1_default_country = recordInputStream.readShort();
        this.field_2_current_country = recordInputStream.readShort();
    }
}
