package org.apache.poi.hssf.record;

import b.b.a.a.a;
import org.apache.poi.util.LittleEndianOutput;

public final class DrawingRecord extends StandardRecord implements Cloneable {
    public static final byte[] EMPTY_BYTE_ARRAY = new byte[0];
    public static final short sid = 236;
    public byte[] contd;
    public byte[] recordData;

    public DrawingRecord() {
        this.recordData = EMPTY_BYTE_ARRAY;
    }

    @Override // org.apache.poi.hssf.record.StandardRecord
    public int getDataSize() {
        return this.recordData.length;
    }

    public byte[] getRecordData() {
        return this.recordData;
    }

    @Override // org.apache.poi.hssf.record.Record
    public short getSid() {
        return 236;
    }

    @Deprecated
    public void processContinueRecord(byte[] bArr) {
        this.contd = bArr;
    }

    @Override // org.apache.poi.hssf.record.StandardRecord
    public void serialize(LittleEndianOutput littleEndianOutput) {
        littleEndianOutput.write(this.recordData);
    }

    public void setData(byte[] bArr) {
        if (bArr != null) {
            this.recordData = bArr;
            return;
        }
        throw new IllegalArgumentException("data must not be null");
    }

    @Override // org.apache.poi.hssf.record.Record
    public String toString() {
        return a.a(a.b("DrawingRecord["), this.recordData.length, "]");
    }

    @Override // org.apache.poi.hssf.record.Record, java.lang.Object
    public DrawingRecord clone() {
        DrawingRecord drawingRecord = new DrawingRecord();
        drawingRecord.recordData = (byte[]) this.recordData.clone();
        byte[] bArr = this.contd;
        if (bArr != null) {
            drawingRecord.contd = (byte[]) bArr.clone();
        }
        return drawingRecord;
    }

    public DrawingRecord(RecordInputStream recordInputStream) {
        this.recordData = recordInputStream.readRemainder();
    }
}
