package org.apache.poi.hssf.record;

import org.apache.poi.util.LittleEndianOutput;

public final class EOFRecord extends StandardRecord implements Cloneable {
    public static final int ENCODED_SIZE = 4;
    public static final EOFRecord instance = new EOFRecord();
    public static final short sid = 10;

    public EOFRecord() {
    }

    @Override // org.apache.poi.hssf.record.StandardRecord
    public int getDataSize() {
        return 0;
    }

    @Override // org.apache.poi.hssf.record.Record
    public short getSid() {
        return 10;
    }

    @Override // org.apache.poi.hssf.record.StandardRecord
    public void serialize(LittleEndianOutput littleEndianOutput) {
    }

    @Override // org.apache.poi.hssf.record.Record
    public String toString() {
        return "[EOF]\n[/EOF]\n";
    }

    public EOFRecord(RecordInputStream recordInputStream) {
    }

    @Override // org.apache.poi.hssf.record.Record, java.lang.Object
    public EOFRecord clone() {
        return instance;
    }
}
