package org.apache.poi.hssf.record;

import b.b.a.a.a;
import org.apache.poi.util.LittleEndianInput;
import org.apache.poi.util.LittleEndianOutput;
import org.apache.poi.util.RecordFormatException;

public final class EndSubRecord extends SubRecord implements Cloneable {
    public static final int ENCODED_SIZE = 0;
    public static final short sid = 0;

    public EndSubRecord() {
    }

    @Override // org.apache.poi.hssf.record.SubRecord
    public int getDataSize() {
        return 0;
    }

    public short getSid() {
        return 0;
    }

    @Override // org.apache.poi.hssf.record.SubRecord
    public boolean isTerminating() {
        return true;
    }

    @Override // org.apache.poi.hssf.record.SubRecord
    public void serialize(LittleEndianOutput littleEndianOutput) {
        littleEndianOutput.writeShort(0);
        littleEndianOutput.writeShort(0);
    }

    public String toString() {
        return "[ftEnd]\n[/ftEnd]\n";
    }

    public EndSubRecord(LittleEndianInput littleEndianInput, int i2) {
        if ((i2 & 255) != 0) {
            throw new RecordFormatException(a.b("Unexpected size (", i2, ")"));
        }
    }

    @Override // org.apache.poi.hssf.record.SubRecord, org.apache.poi.hssf.record.SubRecord, java.lang.Object
    public EndSubRecord clone() {
        return new EndSubRecord();
    }
}
