package org.apache.poi.hssf.record;

import b.b.a.a.a;
import org.apache.poi.util.HexDump;
import org.apache.poi.util.LittleEndianInput;
import org.apache.poi.util.LittleEndianOutput;
import org.apache.poi.util.RecordFormatException;

public final class FtCblsSubRecord extends SubRecord implements Cloneable {
    public static final int ENCODED_SIZE = 20;
    public static final short sid = 12;
    public byte[] reserved;

    public FtCblsSubRecord() {
        this.reserved = new byte[20];
    }

    @Override // org.apache.poi.hssf.record.SubRecord
    public int getDataSize() {
        return this.reserved.length;
    }

    public short getSid() {
        return 12;
    }

    @Override // org.apache.poi.hssf.record.SubRecord
    public void serialize(LittleEndianOutput littleEndianOutput) {
        littleEndianOutput.writeShort(12);
        littleEndianOutput.writeShort(this.reserved.length);
        littleEndianOutput.write(this.reserved);
    }

    public String toString() {
        StringBuffer c = a.c("[FtCbls ]", "\n", "  size     = ");
        c.append(getDataSize());
        c.append("\n");
        c.append("  reserved = ");
        c.append(HexDump.toHex(this.reserved));
        c.append("\n");
        c.append("[/FtCbls ]");
        c.append("\n");
        return c.toString();
    }

    public FtCblsSubRecord(LittleEndianInput littleEndianInput, int i2) {
        if (i2 == 20) {
            byte[] bArr = new byte[i2];
            littleEndianInput.readFully(bArr);
            this.reserved = bArr;
            return;
        }
        throw new RecordFormatException(a.b("Unexpected size (", i2, ")"));
    }

    @Override // org.apache.poi.hssf.record.SubRecord, org.apache.poi.hssf.record.SubRecord, java.lang.Object
    public FtCblsSubRecord clone() {
        FtCblsSubRecord ftCblsSubRecord = new FtCblsSubRecord();
        byte[] bArr = this.reserved;
        int length = bArr.length;
        byte[] bArr2 = new byte[length];
        System.arraycopy(bArr, 0, bArr2, 0, length);
        ftCblsSubRecord.reserved = bArr2;
        return ftCblsSubRecord;
    }
}
