package org.apache.poi.hssf.record;

import b.b.a.a.a;
import org.apache.poi.util.BitField;
import org.apache.poi.util.BitFieldFactory;
import org.apache.poi.util.HexDump;
import org.apache.poi.util.LittleEndianOutput;

public final class IterationRecord extends StandardRecord implements Cloneable {
    public static final BitField iterationOn = BitFieldFactory.getInstance(1);
    public static final short sid = 17;
    public int _flags;

    public IterationRecord(boolean z) {
        this._flags = iterationOn.setBoolean(0, z);
    }

    @Override // org.apache.poi.hssf.record.StandardRecord
    public int getDataSize() {
        return 2;
    }

    public boolean getIteration() {
        return iterationOn.isSet(this._flags);
    }

    @Override // org.apache.poi.hssf.record.Record
    public short getSid() {
        return 17;
    }

    @Override // org.apache.poi.hssf.record.StandardRecord
    public void serialize(LittleEndianOutput littleEndianOutput) {
        littleEndianOutput.writeShort(this._flags);
    }

    public void setIteration(boolean z) {
        this._flags = iterationOn.setBoolean(this._flags, z);
    }

    @Override // org.apache.poi.hssf.record.Record
    public String toString() {
        StringBuffer c = a.c("[ITERATION]\n", "    .flags      = ");
        c.append(HexDump.shortToHex(this._flags));
        c.append("\n");
        c.append("[/ITERATION]\n");
        return c.toString();
    }

    @Override // org.apache.poi.hssf.record.Record, java.lang.Object
    public IterationRecord clone() {
        return new IterationRecord(getIteration());
    }

    public IterationRecord(RecordInputStream recordInputStream) {
        this._flags = recordInputStream.readShort();
    }
}
