package org.apache.poi.hssf.record;

import b.b.a.a.a;
import org.apache.poi.util.LittleEndianOutput;

public final class MMSRecord extends StandardRecord {
    public static final short sid = 193;
    public byte field_1_addMenuCount;
    public byte field_2_delMenuCount;

    public MMSRecord() {
    }

    public byte getAddMenuCount() {
        return this.field_1_addMenuCount;
    }

    @Override // org.apache.poi.hssf.record.StandardRecord
    public int getDataSize() {
        return 2;
    }

    public byte getDelMenuCount() {
        return this.field_2_delMenuCount;
    }

    @Override // org.apache.poi.hssf.record.Record
    public short getSid() {
        return 193;
    }

    @Override // org.apache.poi.hssf.record.StandardRecord
    public void serialize(LittleEndianOutput littleEndianOutput) {
        littleEndianOutput.writeByte(getAddMenuCount());
        littleEndianOutput.writeByte(getDelMenuCount());
    }

    public void setAddMenuCount(byte b2) {
        this.field_1_addMenuCount = b2;
    }

    public void setDelMenuCount(byte b2) {
        this.field_2_delMenuCount = b2;
    }

    @Override // org.apache.poi.hssf.record.Record
    public String toString() {
        StringBuffer c = a.c("[MMS]\n", "    .addMenu        = ");
        c.append(Integer.toHexString(getAddMenuCount()));
        c.append("\n");
        c.append("    .delMenu        = ");
        c.append(Integer.toHexString(getDelMenuCount()));
        c.append("\n");
        c.append("[/MMS]\n");
        return c.toString();
    }

    public MMSRecord(RecordInputStream recordInputStream) {
        if (recordInputStream.remaining() != 0) {
            this.field_1_addMenuCount = recordInputStream.readByte();
            this.field_2_delMenuCount = recordInputStream.readByte();
        }
    }
}
