package org.apache.poi.hssf.record;

import b.b.a.a.a;
import org.apache.poi.util.HexDump;

public final class OldSheetRecord {
    public static final short sid = 133;
    public CodepageRecord codepage;
    public int field_1_position_of_BOF;
    public int field_2_visibility;
    public int field_3_type;
    public byte[] field_5_sheetname;

    public OldSheetRecord(RecordInputStream recordInputStream) {
        this.field_1_position_of_BOF = recordInputStream.readInt();
        this.field_2_visibility = recordInputStream.readUByte();
        this.field_3_type = recordInputStream.readUByte();
        int readUByte = recordInputStream.readUByte();
        byte[] bArr = new byte[readUByte];
        this.field_5_sheetname = bArr;
        recordInputStream.read(bArr, 0, readUByte);
    }

    public int getPositionOfBof() {
        return this.field_1_position_of_BOF;
    }

    public String getSheetname() {
        return OldStringRecord.getString(this.field_5_sheetname, this.codepage);
    }

    public short getSid() {
        return 133;
    }

    public void setCodePage(CodepageRecord codepageRecord) {
        this.codepage = codepageRecord;
    }

    public String toString() {
        StringBuffer c = a.c("[BOUNDSHEET]\n", "    .bof        = ");
        c.append(HexDump.intToHex(getPositionOfBof()));
        c.append("\n");
        c.append("    .visibility = ");
        a.a(this.field_2_visibility, c, "\n", "    .type       = ");
        c.append(HexDump.byteToHex(this.field_3_type));
        c.append("\n");
        c.append("    .sheetname  = ");
        c.append(getSheetname());
        c.append("\n");
        c.append("[/BOUNDSHEET]\n");
        return c.toString();
    }
}
