package org.apache.poi.hssf.record;

import b.b.a.a.a;
import java.io.UnsupportedEncodingException;
import org.apache.poi.util.CodePageUtil;

public final class OldStringRecord {
    public static final short biff2_sid = 7;
    public static final short biff345_sid = 519;
    public CodepageRecord codepage;
    public short field_1_string_len;
    public byte[] field_2_bytes;
    public short sid;

    public OldStringRecord(RecordInputStream recordInputStream) {
        this.sid = recordInputStream.getSid();
        if (recordInputStream.getSid() == 7) {
            this.field_1_string_len = (short) recordInputStream.readUByte();
        } else {
            this.field_1_string_len = recordInputStream.readShort();
        }
        int i2 = this.field_1_string_len;
        byte[] bArr = new byte[i2];
        this.field_2_bytes = bArr;
        recordInputStream.read(bArr, 0, i2);
    }

    public short getSid() {
        return this.sid;
    }

    public String getString() {
        return getString(this.field_2_bytes, this.codepage);
    }

    public boolean isBiff2() {
        return this.sid == 7;
    }

    public void setCodePage(CodepageRecord codepageRecord) {
        this.codepage = codepageRecord;
    }

    public String toString() {
        StringBuffer c = a.c("[OLD STRING]\n", "    .string            = ");
        c.append(getString());
        c.append("\n");
        c.append("[/OLD STRING]\n");
        return c.toString();
    }

    public static String getString(byte[] bArr, CodepageRecord codepageRecord) {
        try {
            return CodePageUtil.getStringFromCodePage(bArr, codepageRecord != null ? codepageRecord.getCodepage() & 65535 : 1252);
        } catch (UnsupportedEncodingException e2) {
            throw new IllegalArgumentException("Unsupported codepage requested", e2);
        }
    }
}
