package org.apache.poi.hssf.record;

import b.b.a.a.a;
import org.apache.poi.util.LittleEndianByteArrayOutputStream;
import org.apache.poi.util.LittleEndianOutput;

public abstract class StandardRecord extends Record {
    public abstract int getDataSize();

    @Override // org.apache.poi.hssf.record.RecordBase
    public final int getRecordSize() {
        return getDataSize() + 4;
    }

    @Override // org.apache.poi.hssf.record.RecordBase
    public final int serialize(int i2, byte[] bArr) {
        int dataSize = getDataSize();
        int i3 = dataSize + 4;
        LittleEndianByteArrayOutputStream littleEndianByteArrayOutputStream = new LittleEndianByteArrayOutputStream(bArr, i2, i3);
        littleEndianByteArrayOutputStream.writeShort(getSid());
        littleEndianByteArrayOutputStream.writeShort(dataSize);
        serialize(littleEndianByteArrayOutputStream);
        if (littleEndianByteArrayOutputStream.getWriteIndex() - i2 == i3) {
            return i3;
        }
        StringBuilder b2 = a.b("Error in serialization of (");
        b2.append(getClass().getName());
        b2.append("): ");
        b2.append("Incorrect number of bytes written - expected ");
        b2.append(i3);
        b2.append(" but got ");
        b2.append(littleEndianByteArrayOutputStream.getWriteIndex() - i2);
        throw new IllegalStateException(b2.toString());
    }

    public abstract void serialize(LittleEndianOutput littleEndianOutput);
}
