package org.apache.poi.hssf.record;

import b.b.a.a.a;
import org.apache.poi.util.LittleEndianOutput;

public final class TabIdRecord extends StandardRecord {
    public static final short[] EMPTY_SHORT_ARRAY = new short[0];
    public static final short sid = 317;
    public short[] _tabids;

    public TabIdRecord() {
        this._tabids = EMPTY_SHORT_ARRAY;
    }

    @Override // org.apache.poi.hssf.record.StandardRecord
    public int getDataSize() {
        return this._tabids.length * 2;
    }

    @Override // org.apache.poi.hssf.record.Record
    public short getSid() {
        return 317;
    }

    @Override // org.apache.poi.hssf.record.StandardRecord
    public void serialize(LittleEndianOutput littleEndianOutput) {
        short[] sArr;
        for (short s : this._tabids) {
            littleEndianOutput.writeShort(s);
        }
    }

    public void setTabIdArray(short[] sArr) {
        this._tabids = (short[]) sArr.clone();
    }

    @Override // org.apache.poi.hssf.record.Record
    public String toString() {
        StringBuffer c = a.c("[TABID]\n", "    .elements        = ");
        c.append(this._tabids.length);
        c.append("\n");
        for (int i2 = 0; i2 < this._tabids.length; i2++) {
            c.append("    .element_");
            c.append(i2);
            c.append(" = ");
            c.append((int) this._tabids[i2]);
            c.append("\n");
        }
        c.append("[/TABID]\n");
        return c.toString();
    }

    public TabIdRecord(RecordInputStream recordInputStream) {
        this._tabids = new short[(recordInputStream.remaining() / 2)];
        int i2 = 0;
        while (true) {
            short[] sArr = this._tabids;
            if (i2 < sArr.length) {
                sArr[i2] = recordInputStream.readShort();
                i2++;
            } else {
                return;
            }
        }
    }
}
