package org.apache.poi.hssf.record;

import b.b.a.a.a;
import java.util.Locale;
import org.apache.poi.util.HexDump;
import org.apache.poi.util.LittleEndianOutput;

public final class UserSViewBegin extends StandardRecord {
    public static final short sid = 426;
    public byte[] _rawData;

    public UserSViewBegin(byte[] bArr) {
        this._rawData = bArr;
    }

    @Override // org.apache.poi.hssf.record.Record
    public Object clone() {
        return cloneViaReserialise();
    }

    @Override // org.apache.poi.hssf.record.StandardRecord
    public int getDataSize() {
        return this._rawData.length;
    }

    public byte[] getGuid() {
        byte[] bArr = new byte[16];
        System.arraycopy(this._rawData, 0, bArr, 0, 16);
        return bArr;
    }

    @Override // org.apache.poi.hssf.record.Record
    public short getSid() {
        return sid;
    }

    @Override // org.apache.poi.hssf.record.StandardRecord
    public void serialize(LittleEndianOutput littleEndianOutput) {
        littleEndianOutput.write(this._rawData);
    }

    @Override // org.apache.poi.hssf.record.Record
    public String toString() {
        StringBuffer c = a.c("[", "USERSVIEWBEGIN", "] (0x");
        c.append(Integer.toHexString(426).toUpperCase(Locale.ROOT) + ")\n");
        c.append("  rawData=");
        c.append(HexDump.toHex(this._rawData));
        c.append("\n");
        c.append("[/");
        c.append("USERSVIEWBEGIN");
        c.append("]\n");
        return c.toString();
    }

    public UserSViewBegin(RecordInputStream recordInputStream) {
        this._rawData = recordInputStream.readRemainder();
    }
}
