package org.apache.poi.hssf.record.aggregates;

import b.b.a.a.a;
import java.util.ArrayList;
import java.util.List;
import org.apache.poi.hssf.model.RecordStream;
import org.apache.poi.hssf.record.HeaderFooterRecord;
import org.apache.poi.hssf.record.Record;
import org.apache.poi.hssf.record.RecordBase;
import org.apache.poi.hssf.record.aggregates.RecordAggregate;

public final class CustomViewSettingsRecordAggregate extends RecordAggregate {
    public final Record _begin;
    public final Record _end;
    public PageSettingsBlock _psBlock;
    public final List<RecordBase> _recs;

    public CustomViewSettingsRecordAggregate(RecordStream recordStream) {
        Record next = recordStream.getNext();
        this._begin = next;
        if (next.getSid() == 426) {
            ArrayList arrayList = new ArrayList();
            while (recordStream.peekNextSid() != 427) {
                if (!PageSettingsBlock.isComponentRecord(recordStream.peekNextSid())) {
                    arrayList.add(recordStream.getNext());
                } else if (this._psBlock == null) {
                    PageSettingsBlock pageSettingsBlock = new PageSettingsBlock(recordStream);
                    this._psBlock = pageSettingsBlock;
                    arrayList.add(pageSettingsBlock);
                } else if (recordStream.peekNextSid() == 2204) {
                    this._psBlock.addLateHeaderFooter((HeaderFooterRecord) recordStream.getNext());
                } else {
                    StringBuilder b2 = a.b("Found more than one PageSettingsBlock in chart sub-stream, had sid: ");
                    b2.append(recordStream.peekNextSid());
                    throw new IllegalStateException(b2.toString());
                }
            }
            this._recs = arrayList;
            Record next2 = recordStream.getNext();
            this._end = next2;
            if (next2.getSid() != 427) {
                throw new IllegalStateException("Bad custom view settings end record");
            }
            return;
        }
        throw new IllegalStateException("Bad begin record");
    }

    public static boolean isBeginRecord(int i2) {
        return i2 == 426;
    }

    public void append(RecordBase recordBase) {
        this._recs.add(recordBase);
    }

    @Override // org.apache.poi.hssf.record.aggregates.RecordAggregate
    public void visitContainedRecords(RecordAggregate.RecordVisitor recordVisitor) {
        if (!this._recs.isEmpty()) {
            recordVisitor.visitRecord(this._begin);
            for (int i2 = 0; i2 < this._recs.size(); i2++) {
                RecordBase recordBase = this._recs.get(i2);
                if (recordBase instanceof RecordAggregate) {
                    ((RecordAggregate) recordBase).visitContainedRecords(recordVisitor);
                } else {
                    recordVisitor.visitRecord((Record) recordBase);
                }
            }
            recordVisitor.visitRecord(this._end);
        }
    }
}
