package org.apache.poi.hssf.record.cf;

import org.apache.poi.ss.formula.functions.NumericFunction;
import org.apache.poi.util.LittleEndianInput;
import org.apache.poi.util.LittleEndianOutput;

public final class ColorGradientThreshold extends Threshold implements Cloneable {
    public double position;

    public ColorGradientThreshold() {
        this.position = NumericFunction.LOG_10_TO_BASE_e;
    }

    @Override // org.apache.poi.hssf.record.cf.Threshold
    public int getDataLength() {
        return super.getDataLength() + 8;
    }

    public double getPosition() {
        return this.position;
    }

    @Override // org.apache.poi.hssf.record.cf.Threshold
    public void serialize(LittleEndianOutput littleEndianOutput) {
        super.serialize(littleEndianOutput);
        littleEndianOutput.writeDouble(this.position);
    }

    public void setPosition(double d2) {
        this.position = d2;
    }

    @Override // java.lang.Object
    public ColorGradientThreshold clone() {
        ColorGradientThreshold colorGradientThreshold = new ColorGradientThreshold();
        super.copyTo(colorGradientThreshold);
        colorGradientThreshold.position = this.position;
        return colorGradientThreshold;
    }

    public ColorGradientThreshold(LittleEndianInput littleEndianInput) {
        super(littleEndianInput);
        this.position = littleEndianInput.readDouble();
    }
}
