package org.apache.poi.hssf.record.cf;

import org.apache.poi.util.LittleEndianInput;
import org.apache.poi.util.LittleEndianOutput;

public final class IconMultiStateThreshold extends Threshold implements Cloneable {
    public static final byte EQUALS_EXCLUDE = 0;
    public static final byte EQUALS_INCLUDE = 1;
    public byte equals;

    public IconMultiStateThreshold() {
        this.equals = 1;
    }

    @Override // org.apache.poi.hssf.record.cf.Threshold
    public int getDataLength() {
        return super.getDataLength() + 5;
    }

    public byte getEquals() {
        return this.equals;
    }

    @Override // org.apache.poi.hssf.record.cf.Threshold
    public void serialize(LittleEndianOutput littleEndianOutput) {
        super.serialize(littleEndianOutput);
        littleEndianOutput.writeByte(this.equals);
        littleEndianOutput.writeInt(0);
    }

    public void setEquals(byte b2) {
        this.equals = b2;
    }

    @Override // java.lang.Object
    public IconMultiStateThreshold clone() {
        IconMultiStateThreshold iconMultiStateThreshold = new IconMultiStateThreshold();
        super.copyTo(iconMultiStateThreshold);
        iconMultiStateThreshold.equals = this.equals;
        return iconMultiStateThreshold;
    }

    public IconMultiStateThreshold(LittleEndianInput littleEndianInput) {
        super(littleEndianInput);
        this.equals = littleEndianInput.readByte();
        littleEndianInput.readInt();
    }
}
