package org.apache.poi.hssf.record.chart;

import org.apache.poi.hssf.record.RecordInputStream;
import org.apache.poi.hssf.record.StandardRecord;
import org.apache.poi.util.LittleEndianOutput;

public final class EndRecord extends StandardRecord implements Cloneable {
    public static final short sid = 4148;

    public EndRecord() {
    }

    @Override // org.apache.poi.hssf.record.StandardRecord
    public int getDataSize() {
        return 0;
    }

    @Override // org.apache.poi.hssf.record.Record
    public short getSid() {
        return sid;
    }

    @Override // org.apache.poi.hssf.record.StandardRecord
    public void serialize(LittleEndianOutput littleEndianOutput) {
    }

    @Override // org.apache.poi.hssf.record.Record
    public String toString() {
        return "[END]\n[/END]\n";
    }

    public EndRecord(RecordInputStream recordInputStream) {
    }

    @Override // org.apache.poi.hssf.record.Record, java.lang.Object
    public EndRecord clone() {
        return new EndRecord();
    }
}
