package org.apache.poi.hssf.record.chart;

import b.b.a.a.a;
import org.apache.poi.hssf.record.RecordInputStream;
import org.apache.poi.hssf.record.StandardRecord;
import org.apache.poi.util.HexDump;
import org.apache.poi.util.LittleEndianOutput;

public final class PlotGrowthRecord extends StandardRecord {
    public static final short sid = 4196;
    public int field_1_horizontalScale;
    public int field_2_verticalScale;

    public PlotGrowthRecord() {
    }

    @Override // org.apache.poi.hssf.record.Record
    public Object clone() {
        PlotGrowthRecord plotGrowthRecord = new PlotGrowthRecord();
        plotGrowthRecord.field_1_horizontalScale = this.field_1_horizontalScale;
        plotGrowthRecord.field_2_verticalScale = this.field_2_verticalScale;
        return plotGrowthRecord;
    }

    @Override // org.apache.poi.hssf.record.StandardRecord
    public int getDataSize() {
        return 8;
    }

    public int getHorizontalScale() {
        return this.field_1_horizontalScale;
    }

    @Override // org.apache.poi.hssf.record.Record
    public short getSid() {
        return sid;
    }

    public int getVerticalScale() {
        return this.field_2_verticalScale;
    }

    @Override // org.apache.poi.hssf.record.StandardRecord
    public void serialize(LittleEndianOutput littleEndianOutput) {
        littleEndianOutput.writeInt(this.field_1_horizontalScale);
        littleEndianOutput.writeInt(this.field_2_verticalScale);
    }

    public void setHorizontalScale(int i2) {
        this.field_1_horizontalScale = i2;
    }

    public void setVerticalScale(int i2) {
        this.field_2_verticalScale = i2;
    }

    @Override // org.apache.poi.hssf.record.Record
    public String toString() {
        StringBuffer c = a.c("[PLOTGROWTH]\n", "    .horizontalScale      = ", "0x");
        c.append(HexDump.toHex(getHorizontalScale()));
        c.append(" (");
        c.append(getHorizontalScale());
        c.append(" )");
        c.append(System.getProperty("line.separator"));
        c.append("    .verticalScale        = ");
        c.append("0x");
        c.append(HexDump.toHex(getVerticalScale()));
        c.append(" (");
        c.append(getVerticalScale());
        c.append(" )");
        c.append(System.getProperty("line.separator"));
        c.append("[/PLOTGROWTH]\n");
        return c.toString();
    }

    public PlotGrowthRecord(RecordInputStream recordInputStream) {
        this.field_1_horizontalScale = recordInputStream.readInt();
        this.field_2_verticalScale = recordInputStream.readInt();
    }
}
