package org.apache.poi.hssf.record.chart;

import b.b.a.a.a;
import java.util.Arrays;
import org.apache.poi.hssf.record.RecordInputStream;
import org.apache.poi.hssf.record.StandardRecord;
import org.apache.poi.util.LittleEndianOutput;

public final class SeriesListRecord extends StandardRecord {
    public static final short sid = 4118;
    public short[] field_1_seriesNumbers;

    public SeriesListRecord(short[] sArr) {
        short[] sArr2;
        if (sArr == null) {
            sArr2 = null;
        } else {
            sArr2 = (short[]) sArr.clone();
        }
        this.field_1_seriesNumbers = sArr2;
    }

    @Override // org.apache.poi.hssf.record.Record
    public Object clone() {
        return new SeriesListRecord(this.field_1_seriesNumbers);
    }

    @Override // org.apache.poi.hssf.record.StandardRecord
    public int getDataSize() {
        return (this.field_1_seriesNumbers.length * 2) + 2;
    }

    public short[] getSeriesNumbers() {
        return this.field_1_seriesNumbers;
    }

    @Override // org.apache.poi.hssf.record.Record
    public short getSid() {
        return sid;
    }

    @Override // org.apache.poi.hssf.record.StandardRecord
    public void serialize(LittleEndianOutput littleEndianOutput) {
        int length = this.field_1_seriesNumbers.length;
        littleEndianOutput.writeShort(length);
        for (int i2 = 0; i2 < length; i2++) {
            littleEndianOutput.writeShort(this.field_1_seriesNumbers[i2]);
        }
    }

    @Override // org.apache.poi.hssf.record.Record
    public String toString() {
        StringBuffer c = a.c("[SERIESLIST]\n", "    .seriesNumbers= ", " (");
        c.append(Arrays.toString(getSeriesNumbers()));
        c.append(" )");
        c.append("\n");
        c.append("[/SERIESLIST]\n");
        return c.toString();
    }

    public SeriesListRecord(RecordInputStream recordInputStream) {
        int readUShort = recordInputStream.readUShort();
        short[] sArr = new short[readUShort];
        for (int i2 = 0; i2 < readUShort; i2++) {
            sArr[i2] = recordInputStream.readShort();
        }
        this.field_1_seriesNumbers = sArr;
    }
}
