package org.apache.poi.hssf.usermodel;

import b.b.a.a.a;
import java.awt.BasicStroke;
import java.awt.Color;
import java.awt.Composite;
import java.awt.Font;
import java.awt.FontMetrics;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.GraphicsConfiguration;
import java.awt.Image;
import java.awt.Paint;
import java.awt.Polygon;
import java.awt.Rectangle;
import java.awt.RenderingHints;
import java.awt.Shape;
import java.awt.Stroke;
import java.awt.font.FontRenderContext;
import java.awt.font.GlyphVector;
import java.awt.geom.AffineTransform;
import java.awt.image.BufferedImage;
import java.awt.image.BufferedImageOp;
import java.awt.image.ImageObserver;
import java.awt.image.RenderedImage;
import java.awt.image.renderable.RenderableImage;
import java.io.PrintStream;
import java.text.AttributedCharacterIterator;
import java.util.Arrays;
import java.util.Map;
import org.apache.poi.util.Internal;

public class DummyGraphics2d extends Graphics2D {
    public BufferedImage bufimg;
    public final Graphics2D g2D;
    public final PrintStream log;

    public DummyGraphics2d() {
        this(System.out);
    }

    public void addRenderingHints(Map<?, ?> map) {
        this.log.println("addRenderingHinds(Map):\n  hints = " + map);
        this.g2D.addRenderingHints(map);
    }

    public void clearRect(int i2, int i3, int i4, int i5) {
        this.log.println(a.a(a.a("clearRect(int,int,int,int):\n  x = ", i2, "\n  y = ", i3, "\n  width = "), i4, "\n  height = ", i5));
        this.g2D.clearRect(i2, i3, i4, i5);
    }

    public void clip(Shape shape) {
        this.log.println("clip(Shape):\n  s = " + shape);
        this.g2D.clip(shape);
    }

    public void clipRect(int i2, int i3, int i4, int i5) {
        this.log.println(a.a(a.a("clipRect(int, int, int, int):\n  x = ", i2, "\n  y = ", i3, "\n  width = "), i4, "height = ", i5));
        this.g2D.clipRect(i2, i3, i4, i5);
    }

    public void copyArea(int i2, int i3, int i4, int i5, int i6, int i7) {
        this.log.println(a.a(a.a("copyArea(int,int,int,int):\n  x = ", i2, "\n  y = ", i3, "\n  width = "), i4, "\n  height = ", i5));
        this.g2D.copyArea(i2, i3, i4, i5, i6, i7);
    }

    public Graphics create() {
        this.log.println("create():");
        return this.g2D.create();
    }

    public void dispose() {
        this.log.println("dispose():");
        this.g2D.dispose();
    }

    public void draw(Shape shape) {
        this.log.println("draw(Shape):\n  s = " + shape);
        this.g2D.draw(shape);
    }

    public void draw3DRect(int i2, int i3, int i4, int i5, boolean z) {
        StringBuilder a = a.a("draw3DRect(int,int,int,int,boolean):\n  x = ", i2, "\n  y = ", i3, "\n  width = ");
        a.append(i4);
        a.append("\n  height = ");
        a.append(i5);
        a.append("\n  raised = ");
        a.append(z);
        this.log.println(a.toString());
        this.g2D.draw3DRect(i2, i3, i4, i5, z);
    }

    public void drawArc(int i2, int i3, int i4, int i5, int i6, int i7) {
        StringBuilder a = a.a("drawArc(int,int,int,int,int,int):\n  x = ", i2, "\n  y = ", i3, "\n  width = ");
        a.append(i4);
        a.append("\n  height = ");
        a.append(i5);
        a.append("\n  startAngle = ");
        this.log.println(a.a(a, i6, "\n  arcAngle = ", i7));
        this.g2D.drawArc(i2, i3, i4, i5, i6, i7);
    }

    public void drawBytes(byte[] bArr, int i2, int i3, int i4, int i5) {
        StringBuilder b2 = a.b("drawBytes(byte[],int,int,int,int):\n  data = ");
        b2.append(Arrays.toString(bArr));
        b2.append("\n  offset = ");
        b2.append(i2);
        b2.append("\n  length = ");
        b2.append(i3);
        b2.append("\n  x = ");
        b2.append(i4);
        b2.append("\n  y = ");
        b2.append(i5);
        this.log.println(b2.toString());
        this.g2D.drawBytes(bArr, i2, i3, i4, i5);
    }

    public void drawChars(char[] cArr, int i2, int i3, int i4, int i5) {
        StringBuilder b2 = a.b("drawChars(data,int,int,int,int):\n  data = ");
        b2.append(Arrays.toString(cArr));
        b2.append("\n  offset = ");
        b2.append(i2);
        b2.append("\n  length = ");
        b2.append(i3);
        b2.append("\n  x = ");
        b2.append(i4);
        b2.append("\n  y = ");
        b2.append(i5);
        this.log.println(b2.toString());
        this.g2D.drawChars(cArr, i2, i3, i4, i5);
    }

    public void drawGlyphVector(GlyphVector glyphVector, float f2, float f3) {
        this.log.println("drawGlyphVector(GlyphVector, float, float):\n  g = " + glyphVector + "\n  x = " + f2 + "\n  y = " + f3);
        this.g2D.drawGlyphVector(glyphVector, f2, f3);
    }

    public void drawImage(BufferedImage bufferedImage, BufferedImageOp bufferedImageOp, int i2, int i3) {
        StringBuilder sb = new StringBuilder();
        sb.append("drawImage(BufferedImage, BufferedImageOp, x, y):\n  img = ");
        sb.append(bufferedImage);
        sb.append("\n  op = ");
        sb.append(bufferedImageOp);
        sb.append("\n  x = ");
        this.log.println(a.a(sb, i2, "\n  y = ", i3));
        this.g2D.drawImage(bufferedImage, bufferedImageOp, i2, i3);
    }

    public void drawLine(int i2, int i3, int i4, int i5) {
        this.log.println(a.a(a.a("drawLine(int,int,int,int):\n  x1 = ", i2, "\n  y1 = ", i3, "\n  x2 = "), i4, "\n  y2 = ", i5));
        this.g2D.drawLine(i2, i3, i4, i5);
    }

    public void drawOval(int i2, int i3, int i4, int i5) {
        this.log.println(a.a(a.a("drawOval(int,int,int,int):\n  x = ", i2, "\n  y = ", i3, "\n  width = "), i4, "\n  height = ", i5));
        this.g2D.drawOval(i2, i3, i4, i5);
    }

    public void drawPolygon(Polygon polygon) {
        this.log.println("drawPolygon(Polygon):\n  p = " + polygon);
        this.g2D.drawPolygon(polygon);
    }

    public void drawPolyline(int[] iArr, int[] iArr2, int i2) {
        StringBuilder b2 = a.b("drawPolyline(int[],int[],int):\n  xPoints = ");
        b2.append(Arrays.toString(iArr));
        b2.append("\n  yPoints = ");
        b2.append(Arrays.toString(iArr2));
        b2.append("\n  nPoints = ");
        b2.append(i2);
        this.log.println(b2.toString());
        this.g2D.drawPolyline(iArr, iArr2, i2);
    }

    public void drawRect(int i2, int i3, int i4, int i5) {
        this.log.println(a.a(a.a("drawRect(int,int,int,int):\n  x = ", i2, "\n  y = ", i3, "\n  width = "), i4, "\n  height = ", i5));
        this.g2D.drawRect(i2, i3, i4, i5);
    }

    public void drawRenderableImage(RenderableImage renderableImage, AffineTransform affineTransform) {
        this.log.println("drawRenderableImage(RenderableImage, AfflineTransform):\n  img = " + renderableImage + "\n  xform = " + affineTransform);
        this.g2D.drawRenderableImage(renderableImage, affineTransform);
    }

    public void drawRenderedImage(RenderedImage renderedImage, AffineTransform affineTransform) {
        this.log.println("drawRenderedImage(RenderedImage, AffineTransform):\n  img = " + renderedImage + "\n  xform = " + affineTransform);
        this.g2D.drawRenderedImage(renderedImage, affineTransform);
    }

    public void drawRoundRect(int i2, int i3, int i4, int i5, int i6, int i7) {
        StringBuilder a = a.a("drawRoundRect(int,int,int,int,int,int):\n  x = ", i2, "\n  y = ", i3, "\n  width = ");
        a.append(i4);
        a.append("\n  height = ");
        a.append(i5);
        a.append("\n  arcWidth = ");
        this.log.println(a.a(a, i6, "\n  arcHeight = ", i7));
        this.g2D.drawRoundRect(i2, i3, i4, i5, i6, i7);
    }

    public void drawString(AttributedCharacterIterator attributedCharacterIterator, float f2, float f3) {
        this.log.println("drawString(AttributedCharacterIterator):\n  iterator = " + attributedCharacterIterator + "\n  x = " + f2 + "\n  y = " + f3);
        this.g2D.drawString(attributedCharacterIterator, f2, f3);
    }

    public void fill(Shape shape) {
        this.log.println("fill(Shape):\n  s = " + shape);
        this.g2D.fill(shape);
    }

    public void fill3DRect(int i2, int i3, int i4, int i5, boolean z) {
        StringBuilder a = a.a("fill3DRect(int,int,int,int,boolean):\n  x = ", i2, "\n  y = ", i3, "\n  width = ");
        a.append(i4);
        a.append("\n  height = ");
        a.append(i5);
        a.append("\n  raised = ");
        a.append(z);
        this.log.println(a.toString());
        this.g2D.fill3DRect(i2, i3, i4, i5, z);
    }

    public void fillArc(int i2, int i3, int i4, int i5, int i6, int i7) {
        StringBuilder a = a.a("fillArc(int,int,int,int,int,int):\n  x = ", i2, "\n  y = ", i3, "\n  width = ");
        a.append(i4);
        a.append("\n  height = ");
        a.append(i5);
        a.append("\n  startAngle = ");
        this.log.println(a.a(a, i6, "\n  arcAngle = ", i7));
        this.g2D.fillArc(i2, i3, i4, i5, i6, i7);
    }

    public void fillOval(int i2, int i3, int i4, int i5) {
        this.log.println(a.a(a.a("fillOval(int,int,int,int):\n  x = ", i2, "\n  y = ", i3, "\n  width = "), i4, "\n  height = ", i5));
        this.g2D.fillOval(i2, i3, i4, i5);
    }

    public void fillPolygon(Polygon polygon) {
        this.log.println("fillPolygon(Polygon):\n  p = " + polygon);
        this.g2D.fillPolygon(polygon);
    }

    public void fillRect(int i2, int i3, int i4, int i5) {
        this.log.println(a.a(a.a("fillRect(int,int,int,int):\n  x = ", i2, "\n  y = ", i3, "\n  width = "), i4, "\n  height = ", i5));
        this.g2D.fillRect(i2, i3, i4, i5);
    }

    public void fillRoundRect(int i2, int i3, int i4, int i5, int i6, int i7) {
        this.log.println(a.a(a.a("fillRoundRect(int,int,int,int,int,int):\n  x = ", i2, "\n  y = ", i3, "\n  width = "), i4, "\n  height = ", i5));
        this.g2D.fillRoundRect(i2, i3, i4, i5, i6, i7);
    }

    @Internal
    public final void finalize() {
        this.log.println("finalize():");
        this.g2D.finalize();
        DummyGraphics2d.super.finalize();
    }

    public Color getBackground() {
        this.log.println("getBackground():");
        return this.g2D.getBackground();
    }

    public Shape getClip() {
        this.log.println("getClip():");
        return this.g2D.getClip();
    }

    public Rectangle getClipBounds() {
        this.log.println("getClipBounds():");
        return this.g2D.getClipBounds();
    }

    public Color getColor() {
        this.log.println("getColor():");
        return this.g2D.getColor();
    }

    public Composite getComposite() {
        this.log.println("getComposite():");
        return this.g2D.getComposite();
    }

    public GraphicsConfiguration getDeviceConfiguration() {
        this.log.println("getDeviceConfiguration():");
        return this.g2D.getDeviceConfiguration();
    }

    public Font getFont() {
        this.log.println("getFont():");
        return this.g2D.getFont();
    }

    public FontMetrics getFontMetrics() {
        this.log.println("getFontMetrics():");
        return this.g2D.getFontMetrics();
    }

    public FontRenderContext getFontRenderContext() {
        this.log.println("getFontRenderContext():");
        return this.g2D.getFontRenderContext();
    }

    public Paint getPaint() {
        this.log.println("getPaint():");
        return this.g2D.getPaint();
    }

    public Object getRenderingHint(RenderingHints.Key key) {
        this.log.println("getRenderingHint(RenderingHints.Key):\n  hintKey = " + key);
        return this.g2D.getRenderingHint(key);
    }

    public RenderingHints getRenderingHints() {
        this.log.println("getRenderingHints():");
        return this.g2D.getRenderingHints();
    }

    public Stroke getStroke() {
        this.log.println("getStroke():");
        return this.g2D.getStroke();
    }

    public AffineTransform getTransform() {
        this.log.println("getTransform():");
        return this.g2D.getTransform();
    }

    public boolean hit(Rectangle rectangle, Shape shape, boolean z) {
        this.log.println("hit(Rectangle, Shape, onStroke):\n  rect = " + rectangle + "\n  s = " + shape + "\n  onStroke = " + z);
        return this.g2D.hit(rectangle, shape, z);
    }

    public boolean hitClip(int i2, int i3, int i4, int i5) {
        this.log.println(a.a(a.a("hitClip(int,int,int,int):\n  x = ", i2, "\n  y = ", i3, "\n  width = "), i4, "\n  height = ", i5));
        return this.g2D.hitClip(i2, i3, i4, i5);
    }

    public void rotate(double d2) {
        this.log.println("rotate(theta):\n  theta = " + d2);
        this.g2D.rotate(d2);
    }

    public void scale(double d2, double d3) {
        this.log.println("scale(double,double):\n  sx = " + d2 + "\n  sy");
        this.g2D.scale(d2, d3);
    }

    public void setBackground(Color color) {
        this.log.println("setBackground(Color):\n  color = " + color);
        this.g2D.setBackground(color);
    }

    public void setClip(Shape shape) {
        this.log.println("setClip(Shape):\n  clip = " + shape);
        this.g2D.setClip(shape);
    }

    public void setColor(Color color) {
        this.log.println("setColor():\n  c = " + color);
        this.g2D.setColor(color);
    }

    public void setComposite(Composite composite) {
        this.log.println("setComposite(Composite):\n  comp = " + composite);
        this.g2D.setComposite(composite);
    }

    public void setFont(Font font) {
        this.log.println("setFont(Font):\n  font = " + font);
        this.g2D.setFont(font);
    }

    public void setPaint(Paint paint) {
        this.log.println("setPaint(Paint):\n  paint = " + paint);
        this.g2D.setPaint(paint);
    }

    public void setPaintMode() {
        this.log.println("setPaintMode():");
        this.g2D.setPaintMode();
    }

    public void setRenderingHint(RenderingHints.Key key, Object obj) {
        this.log.println("setRenderingHint(RenderingHints.Key, Object):\n  hintKey = " + key + "\n  hintValue = " + obj);
        this.g2D.setRenderingHint(key, obj);
    }

    public void setRenderingHints(Map<?, ?> map) {
        this.log.println("setRenderingHints(Map):\n  hints = " + map);
        this.g2D.setRenderingHints(map);
    }

    public void setStroke(Stroke stroke) {
        String str;
        if (stroke instanceof BasicStroke) {
            BasicStroke basicStroke = (BasicStroke) stroke;
            StringBuilder b2 = a.b("setStroke(Stoke):\n  s = BasicStroke(\n    dash[]: ");
            b2.append(Arrays.toString(basicStroke.getDashArray()));
            b2.append("\n    dashPhase: ");
            b2.append(basicStroke.getDashPhase());
            b2.append("\n    endCap: ");
            b2.append(basicStroke.getEndCap());
            b2.append("\n    lineJoin: ");
            b2.append(basicStroke.getLineJoin());
            b2.append("\n    width: ");
            b2.append(basicStroke.getLineWidth());
            b2.append("\n    miterLimit: ");
            b2.append(basicStroke.getMiterLimit());
            b2.append("\n  )");
            str = b2.toString();
        } else {
            str = "setStroke(Stoke):\n  s = " + stroke;
        }
        this.log.println(str);
        this.g2D.setStroke(stroke);
    }

    public void setTransform(AffineTransform affineTransform) {
        this.log.println("setTransform():\n  Tx = " + affineTransform);
        this.g2D.setTransform(affineTransform);
    }

    public void setXORMode(Color color) {
        this.log.println("setXORMode(Color):\n  c1 = " + color);
        this.g2D.setXORMode(color);
    }

    public void shear(double d2, double d3) {
        this.log.println("shear(shx, dhy):\n  shx = " + d2 + "\n  shy = " + d3);
        this.g2D.shear(d2, d3);
    }

    public String toString() {
        this.log.println("toString():");
        return this.g2D.toString();
    }

    public void transform(AffineTransform affineTransform) {
        this.log.println("transform(AffineTransform):\n  Tx = " + affineTransform);
        this.g2D.transform(affineTransform);
    }

    public void translate(double d2, double d3) {
        this.log.println("translate(double, double):\n  tx = " + d2 + "\n  ty = " + d3);
        this.g2D.translate(d2, d3);
    }

    public DummyGraphics2d(PrintStream printStream) {
        BufferedImage bufferedImage = new BufferedImage(1000, 1000, 2);
        this.bufimg = bufferedImage;
        this.g2D = bufferedImage.getGraphics();
        this.log = printStream;
    }

    public Graphics create(int i2, int i3, int i4, int i5) {
        this.log.println(a.a(a.a("create(int,int,int,int):\n  x = ", i2, "\n  y = ", i3, "\n  width = "), i4, "\n  height = ", i5));
        return this.g2D.create(i2, i3, i4, i5);
    }

    public Rectangle getClipBounds(Rectangle rectangle) {
        this.log.println("getClipBounds(Rectangle):\n  r = " + rectangle);
        return this.g2D.getClipBounds(rectangle);
    }

    public FontMetrics getFontMetrics(Font font) {
        this.log.println("getFontMetrics():");
        return this.g2D.getFontMetrics(font);
    }

    public boolean drawImage(Image image, AffineTransform affineTransform, ImageObserver imageObserver) {
        this.log.println("drawImage(Image,AfflineTransform,ImageObserver):\n  img = " + image + "\n  xform = " + affineTransform + "\n  obs = " + imageObserver);
        return this.g2D.drawImage(image, affineTransform, imageObserver);
    }

    public void drawPolygon(int[] iArr, int[] iArr2, int i2) {
        StringBuilder b2 = a.b("drawPolygon(int[],int[],int):\n  xPoints = ");
        b2.append(Arrays.toString(iArr));
        b2.append("\n  yPoints = ");
        b2.append(Arrays.toString(iArr2));
        b2.append("\n  nPoints = ");
        b2.append(i2);
        this.log.println(b2.toString());
        this.g2D.drawPolygon(iArr, iArr2, i2);
    }

    public void drawString(String str, float f2, float f3) {
        this.log.println("drawString(s,x,y):\n  s = " + str + "\n  x = " + f2 + "\n  y = " + f3);
        this.g2D.drawString(str, f2, f3);
    }

    public void fillPolygon(int[] iArr, int[] iArr2, int i2) {
        StringBuilder b2 = a.b("fillPolygon(int[],int[],int):\n  xPoints = ");
        b2.append(Arrays.toString(iArr));
        b2.append("\n  yPoints = ");
        b2.append(Arrays.toString(iArr2));
        b2.append("\n  nPoints = ");
        b2.append(i2);
        this.log.println(b2.toString());
        this.g2D.fillPolygon(iArr, iArr2, i2);
    }

    public void rotate(double d2, double d3, double d4) {
        this.log.println("rotate(double,double,double):\n  theta = " + d2 + "\n  x = " + d3 + "\n  y = " + d4);
        this.g2D.rotate(d2, d3, d4);
    }

    public void setClip(int i2, int i3, int i4, int i5) {
        this.log.println(a.a(a.a("setClip(int,int,int,int):\n  x = ", i2, "\n  y = ", i3, "\n  width = "), i4, "\n  height = ", i5));
        this.g2D.setClip(i2, i3, i4, i5);
    }

    public void translate(int i2, int i3) {
        this.log.println(a.a("translate(int,int):\n  x = ", i2, "\n  y = ", i3));
        this.g2D.translate(i2, i3);
    }

    public DummyGraphics2d(PrintStream printStream, Graphics2D graphics2D) {
        this.g2D = graphics2D;
        this.log = printStream;
    }

    public boolean drawImage(Image image, int i2, int i3, int i4, int i5, int i6, int i7, int i8, int i9, ImageObserver imageObserver) {
        this.log.println("drawImage(Image,int,int,int,int,int,int,int,int,ImageObserver):\n  img = " + image + "\n  dx1 = " + i2 + "\n  dy1 = " + i3 + "\n  dx2 = " + i4 + "\n  dy2 = " + i5 + "\n  sx1 = " + i6 + "\n  sy1 = " + i7 + "\n  sx2 = " + i8 + "\n  sy2 = " + i9 + "\n  observer = " + imageObserver);
        return this.g2D.drawImage(image, i2, i3, i4, i5, i6, i7, i8, i9, imageObserver);
    }

    public void drawString(AttributedCharacterIterator attributedCharacterIterator, int i2, int i3) {
        this.log.println("drawString(AttributedCharacterIterator,int,int):\n  iterator = " + attributedCharacterIterator + "\n  x = " + i2 + "\n  y = " + i3);
        this.g2D.drawString(attributedCharacterIterator, i2, i3);
    }

    public boolean drawImage(Image image, int i2, int i3, int i4, int i5, int i6, int i7, int i8, int i9, Color color, ImageObserver imageObserver) {
        this.log.println("drawImage(Image,int,int,int,int,int,int,int,int,Color,ImageObserver):\n  img = " + image + "\n  dx1 = " + i2 + "\n  dy1 = " + i3 + "\n  dx2 = " + i4 + "\n  dy2 = " + i5 + "\n  sx1 = " + i6 + "\n  sy1 = " + i7 + "\n  sx2 = " + i8 + "\n  sy2 = " + i9 + "\n  bgcolor = " + color + "\n  observer = " + imageObserver);
        return this.g2D.drawImage(image, i2, i3, i4, i5, i6, i7, i8, i9, color, imageObserver);
    }

    public void drawString(String str, int i2, int i3) {
        this.log.println("drawString(str,int,int):\n  str = " + str + "\n  x = " + i2 + "\n  y = " + i3);
        this.g2D.drawString(str, i2, i3);
    }

    public boolean drawImage(Image image, int i2, int i3, Color color, ImageObserver imageObserver) {
        this.log.println("drawImage(Image,int,int,Color,ImageObserver):\n  img = " + image + "\n  x = " + i2 + "\n  y = " + i3 + "\n  bgcolor = " + color + "\n  observer = " + imageObserver);
        return this.g2D.drawImage(image, i2, i3, color, imageObserver);
    }

    public boolean drawImage(Image image, int i2, int i3, ImageObserver imageObserver) {
        this.log.println("drawImage(Image,int,int,observer):\n  img = " + image + "\n  x = " + i2 + "\n  y = " + i3 + "\n  observer = " + imageObserver);
        return this.g2D.drawImage(image, i2, i3, imageObserver);
    }

    public boolean drawImage(Image image, int i2, int i3, int i4, int i5, Color color, ImageObserver imageObserver) {
        this.log.println("drawImage(Image,int,int,int,int,Color,ImageObserver):\n  img = " + image + "\n  x = " + i2 + "\n  y = " + i3 + "\n  width = " + i4 + "\n  height = " + i5 + "\n  bgcolor = " + color + "\n  observer = " + imageObserver);
        return this.g2D.drawImage(image, i2, i3, i4, i5, color, imageObserver);
    }

    public boolean drawImage(Image image, int i2, int i3, int i4, int i5, ImageObserver imageObserver) {
        this.log.println("drawImage(Image,int,int,width,height,observer):\n  img = " + image + "\n  x = " + i2 + "\n  y = " + i3 + "\n  width = " + i4 + "\n  height = " + i5 + "\n  observer = " + imageObserver);
        return this.g2D.drawImage(image, i2, i3, i4, i5, imageObserver);
    }
}
