package org.apache.poi.hssf.usermodel;

import org.apache.poi.ddf.EscherChildAnchorRecord;
import org.apache.poi.ddf.EscherRecord;

public final class HSSFChildAnchor extends HSSFAnchor {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public EscherChildAnchorRecord _escherChildAnchor;

    public HSSFChildAnchor(EscherChildAnchorRecord escherChildAnchorRecord) {
        this._escherChildAnchor = escherChildAnchorRecord;
    }

    @Override // org.apache.poi.hssf.usermodel.HSSFAnchor
    public void createEscherAnchor() {
        this._escherChildAnchor = new EscherChildAnchorRecord();
    }

    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (obj == this) {
            return true;
        }
        if (obj.getClass() != HSSFChildAnchor.class) {
            return false;
        }
        HSSFChildAnchor hSSFChildAnchor = (HSSFChildAnchor) obj;
        if (hSSFChildAnchor.getDx1() == getDx1() && hSSFChildAnchor.getDx2() == getDx2() && hSSFChildAnchor.getDy1() == getDy1() && hSSFChildAnchor.getDy2() == getDy2()) {
            return true;
        }
        return false;
    }

    @Override // org.apache.poi.ss.usermodel.ChildAnchor
    public int getDx1() {
        return this._escherChildAnchor.getDx1();
    }

    @Override // org.apache.poi.ss.usermodel.ChildAnchor
    public int getDx2() {
        return this._escherChildAnchor.getDx2();
    }

    @Override // org.apache.poi.ss.usermodel.ChildAnchor
    public int getDy1() {
        return this._escherChildAnchor.getDy1();
    }

    @Override // org.apache.poi.ss.usermodel.ChildAnchor
    public int getDy2() {
        return this._escherChildAnchor.getDy2();
    }

    @Override // org.apache.poi.hssf.usermodel.HSSFAnchor
    public EscherRecord getEscherAnchor() {
        return this._escherChildAnchor;
    }

    public int hashCode() {
        return 42;
    }

    @Override // org.apache.poi.hssf.usermodel.HSSFAnchor
    public boolean isHorizontallyFlipped() {
        return this._isHorizontallyFlipped;
    }

    @Override // org.apache.poi.hssf.usermodel.HSSFAnchor
    public boolean isVerticallyFlipped() {
        return this._isVerticallyFlipped;
    }

    public void setAnchor(int i2, int i3, int i4, int i5) {
        setDx1(Math.min(i2, i4));
        setDy1(Math.min(i3, i5));
        setDx2(Math.max(i2, i4));
        setDy2(Math.max(i3, i5));
    }

    @Override // org.apache.poi.ss.usermodel.ChildAnchor
    public void setDx1(int i2) {
        this._escherChildAnchor.setDx1(i2);
    }

    @Override // org.apache.poi.ss.usermodel.ChildAnchor
    public void setDx2(int i2) {
        this._escherChildAnchor.setDx2(i2);
    }

    @Override // org.apache.poi.ss.usermodel.ChildAnchor
    public void setDy1(int i2) {
        this._escherChildAnchor.setDy1(i2);
    }

    @Override // org.apache.poi.ss.usermodel.ChildAnchor
    public void setDy2(int i2) {
        this._escherChildAnchor.setDy2(i2);
    }

    public HSSFChildAnchor() {
        this._escherChildAnchor = new EscherChildAnchorRecord();
    }

    public HSSFChildAnchor(int i2, int i3, int i4, int i5) {
        super(Math.min(i2, i4), Math.min(i3, i5), Math.max(i2, i4), Math.max(i3, i5));
        if (i2 > i4) {
            this._isHorizontallyFlipped = true;
        }
        if (i3 > i5) {
            this._isVerticallyFlipped = true;
        }
    }
}
