package org.apache.poi.hssf.usermodel;

import org.apache.poi.ss.formula.EvaluationCell;
import org.apache.poi.ss.formula.EvaluationSheet;
import org.apache.poi.util.Internal;

@Internal
public final class HSSFEvaluationSheet implements EvaluationSheet {
    public final HSSFSheet _hs;

    public HSSFEvaluationSheet(HSSFSheet hSSFSheet) {
        this._hs = hSSFSheet;
    }

    @Override // org.apache.poi.ss.formula.EvaluationSheet
    public void clearAllCachedResultValues() {
    }

    @Override // org.apache.poi.ss.formula.EvaluationSheet
    public EvaluationCell getCell(int i2, int i3) {
        HSSFCell cell;
        HSSFRow row = this._hs.getRow(i2);
        if (row == null || (cell = row.getCell(i3)) == null) {
            return null;
        }
        return new HSSFEvaluationCell(cell, this);
    }

    public HSSFSheet getHSSFSheet() {
        return this._hs;
    }
}
