package org.apache.poi.hssf.usermodel;

import org.apache.poi.hssf.record.FooterRecord;
import org.apache.poi.hssf.record.aggregates.PageSettingsBlock;
import org.apache.poi.ss.usermodel.Footer;

public final class HSSFFooter extends HeaderFooter implements Footer {
    public final PageSettingsBlock _psb;

    public HSSFFooter(PageSettingsBlock pageSettingsBlock) {
        this._psb = pageSettingsBlock;
    }

    @Override // org.apache.poi.hssf.usermodel.HeaderFooter
    public String getRawText() {
        FooterRecord footer = this._psb.getFooter();
        if (footer == null) {
            return "";
        }
        return footer.getText();
    }

    @Override // org.apache.poi.hssf.usermodel.HeaderFooter
    public void setHeaderFooterText(String str) {
        FooterRecord footer = this._psb.getFooter();
        if (footer == null) {
            this._psb.setFooter(new FooterRecord(str));
            return;
        }
        footer.setText(str);
    }
}
