package org.apache.poi.hwmf.record;

import java.awt.image.BufferedImage;
import org.apache.poi.util.IOUtils;
import org.apache.poi.util.LittleEndianInputStream;

public class HwmfBitmap16 {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public int bitsPixel;
    public int height;
    public final boolean isPartial;
    public int planes;
    public int type;
    public int width;
    public int widthBytes;

    public HwmfBitmap16() {
        this(false);
    }

    public BufferedImage getImage() {
        return new BufferedImage(this.width, this.height, 6);
    }

    public int init(LittleEndianInputStream littleEndianInputStream) {
        int i2;
        this.type = littleEndianInputStream.readShort();
        this.width = littleEndianInputStream.readShort();
        this.height = littleEndianInputStream.readShort();
        this.widthBytes = littleEndianInputStream.readShort();
        this.planes = littleEndianInputStream.readUByte();
        this.bitsPixel = littleEndianInputStream.readUByte();
        if (this.isPartial) {
            littleEndianInputStream.skip(4);
            littleEndianInputStream.skip(18);
            i2 = 32;
        } else {
            i2 = 10;
        }
        IOUtils.toByteArray(littleEndianInputStream, ((((this.width * this.bitsPixel) + 15) >> 4) << 1) * this.height);
        return i2;
    }

    public HwmfBitmap16(boolean z) {
        this.isPartial = z;
    }
}
