package org.apache.poi.hwmf.record;

import java.awt.Color;
import org.apache.poi.util.LittleEndianInputStream;

public class HwmfColorRef implements Cloneable {
    public Color colorRef = Color.BLACK;

    public HwmfColorRef() {
    }

    public Color getColor() {
        return this.colorRef;
    }

    public int init(LittleEndianInputStream littleEndianInputStream) {
        int readUByte = littleEndianInputStream.readUByte();
        int readUByte2 = littleEndianInputStream.readUByte();
        int readUByte3 = littleEndianInputStream.readUByte();
        littleEndianInputStream.readUByte();
        this.colorRef = new Color(readUByte, readUByte2, readUByte3);
        return 4;
    }

    @Override // java.lang.Object
    public HwmfColorRef clone() {
        try {
            return (HwmfColorRef) super.clone();
        } catch (CloneNotSupportedException unused) {
            throw new InternalError();
        }
    }

    public HwmfColorRef(Color color) {
        this.colorRef = color;
    }
}
