package org.apache.poi.hwmf.record;

import org.apache.poi.util.LittleEndianInputStream;

public class HwmfHeader {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public int filesize;
    public long maxRecord;
    public int numberOfMembers;
    public int numberOfObjects;
    public int recordSize;
    public int type;
    public int version;

    public HwmfHeader(LittleEndianInputStream littleEndianInputStream) {
        this.type = littleEndianInputStream.readUShort();
        int readUShort = littleEndianInputStream.readUShort();
        this.recordSize = readUShort;
        this.version = littleEndianInputStream.readUShort();
        this.filesize = littleEndianInputStream.readInt();
        this.numberOfObjects = littleEndianInputStream.readUShort();
        this.maxRecord = littleEndianInputStream.readUInt();
        this.numberOfMembers = littleEndianInputStream.readUShort();
        int i2 = ((((((readUShort * 2) - 4) - 2) - 4) - 2) - 4) - 2;
        if (i2 > 0) {
            littleEndianInputStream.skip((long) i2);
        }
    }
}
