package org.apache.poi.hwmf.record;

import java.awt.geom.Rectangle2D;
import org.apache.poi.util.LittleEndianInputStream;

public class HwmfPlaceableHeader {
    public static final int WMF_HEADER_MAGIC = -1698247209;
    public final Rectangle2D bounds;
    public final int unitsPerInch;

    public HwmfPlaceableHeader(LittleEndianInputStream littleEndianInputStream) {
        littleEndianInputStream.readShort();
        short readShort = littleEndianInputStream.readShort();
        short readShort2 = littleEndianInputStream.readShort();
        short readShort3 = littleEndianInputStream.readShort();
        short readShort4 = littleEndianInputStream.readShort();
        this.bounds = new Rectangle2D.Double((double) Math.min((int) readShort, (int) readShort3), (double) Math.min((int) readShort2, (int) readShort4), (double) Math.abs(readShort3 - readShort), (double) Math.abs(readShort4 - readShort2));
        this.unitsPerInch = littleEndianInputStream.readShort();
        littleEndianInputStream.readInt();
        littleEndianInputStream.readShort();
    }

    public static HwmfPlaceableHeader readHeader(LittleEndianInputStream littleEndianInputStream) {
        littleEndianInputStream.mark(4);
        if (littleEndianInputStream.readInt() == -1698247209) {
            return new HwmfPlaceableHeader(littleEndianInputStream);
        }
        littleEndianInputStream.reset();
        return null;
    }

    public Rectangle2D getBounds() {
        return this.bounds;
    }

    public int getUnitsPerInch() {
        return this.unitsPerInch;
    }
}
