package org.apache.poi.hwpf.converter;

import b.b.a.a.a;
import java.util.Locale;
import org.apache.poi.ss.formula.functions.Complex;
import org.apache.xmlbeans.impl.piccolo.xml.Piccolo;

public final class NumberFormatter {
    public static final String[] ROMAN_LETTERS = {"m", "cm", "d", "cd", "c", "xc", "l", "xl", "x", "ix", "v", "iv", Complex.DEFAULT_SUFFIX};
    public static final int[] ROMAN_VALUES = {1000, 900, Piccolo.YYSTACKSIZE, 400, 100, 90, 50, 40, 10, 9, 5, 4, 1};
    public static final int T_ARABIC = 0;
    public static final int T_LOWER_LETTER = 4;
    public static final int T_LOWER_ROMAN = 2;
    public static final int T_ORDINAL = 5;
    public static final int T_UPPER_LETTER = 3;
    public static final int T_UPPER_ROMAN = 1;

    public static String getNumber(int i2, int i3) {
        if (i3 == 1) {
            return toRoman(i2).toUpperCase(Locale.ROOT);
        }
        if (i3 == 2) {
            return toRoman(i2);
        }
        if (i3 == 3) {
            return toLetters(i2).toUpperCase(Locale.ROOT);
        }
        if (i3 != 4) {
            return String.valueOf(i2);
        }
        return toLetters(i2);
    }

    public static String toLetters(int i2) {
        if (i2 > 0) {
            char[] cArr = new char[33];
            int i3 = 33;
            while (i2 > 0) {
                int i4 = i2 - 1;
                int i5 = i4 % 26;
                i3--;
                cArr[i3] = (char) (i5 + 97);
                i2 = (i4 - i5) / 26;
            }
            return new String(cArr, i3, 33 - i3);
        }
        throw new IllegalArgumentException(a.c("Unsupported number: ", i2));
    }

    public static String toRoman(int i2) {
        if (i2 > 0) {
            StringBuilder sb = new StringBuilder();
            int i3 = 0;
            while (true) {
                String[] strArr = ROMAN_LETTERS;
                if (i3 >= strArr.length) {
                    return sb.toString();
                }
                String str = strArr[i3];
                int i4 = ROMAN_VALUES[i3];
                while (i2 >= i4) {
                    i2 -= i4;
                    sb.append(str);
                }
                i3++;
            }
        } else {
            throw new IllegalArgumentException(a.c("Unsupported number: ", i2));
        }
    }
}
