package org.apache.poi.hwpf.dev;

import b.b.a.a.a;
import org.apache.poi.util.Internal;
import org.apache.xerces.impl.xs.SchemaSymbols;

@Internal
public class FieldIterator {
    public int offset;

    public String calcSize(int i2, String str, String str2, String str3) {
        if (str3.startsWith("custom:")) {
            return a.b(" + ", RecordUtil.getFieldName(i2, str, 0), ".getSize()");
        }
        if ("var".equals(str2)) {
            String fieldName = RecordUtil.getFieldName(i2, str, 0);
            return " + " + " ( " + fieldName + ".length() *2)";
        } else if ("varword".equals(str2)) {
            return a.b(" + ", RecordUtil.getFieldName(i2, str, 0), ".length * 2 + 2");
        } else {
            return a.b(" + ", str2);
        }
    }

    public String fillDecoder(String str, String str2) {
        String str3;
        if (str2.equals("short[]")) {
            StringBuilder b2 = a.b("LittleEndian.getShortArray( data, 0x");
            b2.append(Integer.toHexString(this.offset));
            b2.append(" + offset, ");
            b2.append(str);
            b2.append(" )");
            str3 = b2.toString();
        } else if (str2.equals("byte[]")) {
            StringBuilder b3 = a.b("LittleEndian.getByteArray( data, 0x");
            b3.append(Integer.toHexString(this.offset));
            b3.append(" + offset,");
            b3.append(str);
            b3.append(" )");
            str3 = b3.toString();
        } else if (str2.equals("BorderCode")) {
            str3 = a.a(this.offset, a.b("new BorderCode( data, 0x"), " + offset )");
        } else if (str2.equals("Colorref")) {
            str3 = a.a(this.offset, a.b("new Colorref( data, 0x"), " + offset )");
        } else if (str2.equals("DateAndTime")) {
            str3 = a.a(this.offset, a.b("new DateAndTime( data, 0x"), " + offset )");
        } else if (str2.equals("Grfhic")) {
            str3 = a.a(this.offset, a.b("new Grfhic( data, 0x"), " + offset )");
        } else if (str.equals("2")) {
            str3 = a.a(this.offset, a.b("LittleEndian.getShort( data, 0x"), " + offset )");
        } else if (str.equals("4")) {
            if (str2.equals("long")) {
                str3 = a.a(this.offset, a.b("LittleEndian.getUInt( data, 0x"), " + offset )");
            } else {
                str3 = a.a(this.offset, a.b("LittleEndian.getInt( data, 0x"), " + offset )");
            }
        } else if (str.equals("1")) {
            if (str2.equals(SchemaSymbols.ATTVAL_SHORT)) {
                str3 = a.a(this.offset, a.b("LittleEndian.getUByte( data, 0x"), " + offset )");
            } else if (str2.equals("int") || str2.equals("long")) {
                str3 = a.a(this.offset, a.b("LittleEndian.getUnsignedByte( data, 0x"), " + offset )");
            } else {
                str3 = a.a(this.offset, a.b("data[ 0x"), " + offset ]");
            }
        } else if (str2.equals("double")) {
            str3 = a.a(this.offset, a.b("LittleEndian.getDouble(data, 0x"), " + offset )");
        } else {
            str3 = "";
        }
        try {
            this.offset += Integer.parseInt(str);
        } catch (NumberFormatException unused) {
        }
        return str3;
    }

    public String serialiseEncoder(int i2, String str, String str2, String str3) {
        String str4;
        String fieldName = RecordUtil.getFieldName(i2, str, 0);
        if (str3.equals("short[]")) {
            StringBuilder b2 = a.b("LittleEndian.putShortArray( data, 0x");
            b2.append(Integer.toHexString(this.offset));
            b2.append(" + offset, ");
            b2.append(fieldName);
            b2.append(" );");
            str4 = b2.toString();
        } else if (str3.equals("byte[]")) {
            StringBuilder d2 = a.d("System.arraycopy( ", fieldName, ", 0, data, 0x");
            d2.append(Integer.toHexString(this.offset));
            d2.append(" + offset, ");
            d2.append(fieldName);
            d2.append(".length );");
            str4 = d2.toString();
        } else if (str3.equals("BorderCode")) {
            str4 = a.a(this.offset, a.d(fieldName, ".serialize( data, 0x"), " + offset );");
        } else if (str3.equals("Colorref")) {
            str4 = a.a(this.offset, a.d(fieldName, ".serialize( data, 0x"), " + offset );");
        } else if (str3.equals("DateAndTime")) {
            str4 = a.a(this.offset, a.d(fieldName, ".serialize( data, 0x"), " + offset );");
        } else if (str3.equals("Grfhic")) {
            str4 = a.a(this.offset, a.d(fieldName, ".serialize( data, 0x"), " + offset );");
        } else if (str2.equals("2")) {
            if (str3.equals(SchemaSymbols.ATTVAL_SHORT)) {
                StringBuilder b3 = a.b("LittleEndian.putShort( data, 0x");
                b3.append(Integer.toHexString(this.offset));
                b3.append(" + offset, ");
                b3.append(fieldName);
                b3.append(" );");
                str4 = b3.toString();
            } else if (str3.equals("int")) {
                StringBuilder b4 = a.b("LittleEndian.putUShort( data, 0x");
                b4.append(Integer.toHexString(this.offset));
                b4.append(" + offset, ");
                b4.append(fieldName);
                b4.append(" );");
                str4 = b4.toString();
            } else {
                StringBuilder b5 = a.b("LittleEndian.putShort( data, 0x");
                b5.append(Integer.toHexString(this.offset));
                b5.append(" + offset, (short)");
                b5.append(fieldName);
                b5.append(" );");
                str4 = b5.toString();
            }
        } else if (str2.equals("4")) {
            if (str3.equals("long")) {
                StringBuilder b6 = a.b("LittleEndian.putUInt( data, 0x");
                b6.append(Integer.toHexString(this.offset));
                b6.append(" + offset, ");
                b6.append(fieldName);
                b6.append(" );");
                str4 = b6.toString();
            } else {
                StringBuilder b7 = a.b("LittleEndian.putInt( data, 0x");
                b7.append(Integer.toHexString(this.offset));
                b7.append(" + offset, ");
                b7.append(fieldName);
                b7.append(" );");
                str4 = b7.toString();
            }
        } else if (str2.equals("1")) {
            if (str3.equals(SchemaSymbols.ATTVAL_BYTE)) {
                StringBuilder b8 = a.b("data[ 0x");
                b8.append(Integer.toHexString(this.offset));
                b8.append(" + offset ] = ");
                b8.append(fieldName);
                b8.append(";");
                str4 = b8.toString();
            } else {
                StringBuilder b9 = a.b("LittleEndian.putUByte( data, 0x");
                b9.append(Integer.toHexString(this.offset));
                b9.append(" + offset, ");
                b9.append(fieldName);
                b9.append(" );");
                str4 = b9.toString();
            }
        } else if (str3.equals("double")) {
            StringBuilder b10 = a.b("LittleEndian.putDouble(data, 0x");
            b10.append(Integer.toHexString(this.offset));
            b10.append(" + offset, ");
            b10.append(fieldName);
            b10.append(" );");
            str4 = b10.toString();
        } else {
            str4 = "";
        }
        try {
            this.offset += Integer.parseInt(str2);
        } catch (NumberFormatException unused) {
        }
        return str4;
    }
}
