package org.apache.poi.hwpf.dev;

import b.b.a.a.a;
import org.apache.poi.util.Internal;
import org.apache.xerces.impl.xs.SchemaSymbols;
import org.apache.xmlbeans.impl.common.NameUtil;

@Internal
public class RecordUtil {
    public static String getBitFieldFunction(String str, String str2, String str3, String str4) {
        String bitFieldType = getBitFieldType(str, str2, str3);
        String b2 = str4.equals(SchemaSymbols.ATTVAL_TRUE) ? a.b(bitFieldType, " ") : "";
        if (bitFieldType.equals("boolean")) {
            StringBuilder d2 = a.d(b2, "is");
            d2.append(getFieldName1stCap(str, 0));
            return d2.toString();
        }
        StringBuilder d3 = a.d(b2, "get");
        d3.append(getFieldName1stCap(str, 0));
        return d3.toString();
    }

    public static String getBitFieldGet(String str, String str2, String str3, String str4) {
        String bitFieldType = getBitFieldType(str, str2, str3);
        if (bitFieldType.equals("boolean")) {
            return str + ".isSet(" + str4 + ");";
        }
        StringBuilder sb = new StringBuilder();
        sb.append("( ");
        sb.append(bitFieldType);
        sb.append(" )");
        sb.append(str);
        sb.append(".getValue(");
        return a.a(sb, str4, ");");
    }

    public static String getBitFieldSet(String str, String str2, String str3, String str4) {
        if (getBitFieldType(str, str2, str3).equals("boolean")) {
            if (str3.equals("int")) {
                return getFieldName(str, 0) + ".setBoolean(" + str4 + ", value)";
            }
            StringBuilder d2 = a.d("(", str3, ")");
            d2.append(getFieldName(str, 0));
            d2.append(".setBoolean(");
            d2.append(str4);
            d2.append(", value)");
            return d2.toString();
        } else if (str3.equals("int")) {
            return getFieldName(str, 0) + ".setValue(" + str4 + ", value)";
        } else {
            StringBuilder d3 = a.d("(", str3, ")");
            d3.append(getFieldName(str, 0));
            d3.append(".setValue(");
            d3.append(str4);
            d3.append(", value)");
            return d3.toString();
        }
    }

    public static String getBitFieldType(String str, String str2, String str3) {
        int i2;
        int parseLong = (int) Long.parseLong(str2.substring(2), 16);
        if (str3.equals(SchemaSymbols.ATTVAL_BYTE)) {
            i2 = 8;
        } else if (str3.equals(SchemaSymbols.ATTVAL_SHORT)) {
            i2 = 16;
        } else {
            i2 = str3.equals("int") ? 32 : 0;
        }
        byte b2 = 0;
        for (int i3 = 0; i3 < i2; i3++) {
            b2 = (byte) (b2 + (1 & (parseLong >> i3)));
        }
        if (b2 == 1) {
            return "boolean";
        }
        if (b2 < 8) {
            return SchemaSymbols.ATTVAL_BYTE;
        }
        return b2 < 16 ? SchemaSymbols.ATTVAL_SHORT : "int";
    }

    public static String getConstName(String str, String str2, int i2) {
        StringBuffer stringBuffer = new StringBuffer();
        toConstIdentifier(str, stringBuffer);
        stringBuffer.append(NameUtil.USCORE);
        toConstIdentifier(str2, stringBuffer);
        pad(stringBuffer, i2);
        return stringBuffer.toString();
    }

    public static String getFieldName(int i2, String str, int i3) {
        StringBuffer stringBuffer = new StringBuffer(a.b("field_", i2, "_"));
        toIdentifier(str, stringBuffer);
        pad(stringBuffer, i3);
        return stringBuffer.toString();
    }

    public static String getFieldName1stCap(String str, int i2) {
        StringBuffer stringBuffer = new StringBuffer();
        toIdentifier(str, stringBuffer);
        stringBuffer.setCharAt(0, Character.toUpperCase(stringBuffer.charAt(0)));
        pad(stringBuffer, i2);
        return stringBuffer.toString();
    }

    public static String getType1stCap(String str, String str2, int i2) {
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append(str2);
        StringBuffer pad = pad(stringBuffer, i2);
        pad.setCharAt(0, Character.toUpperCase(pad.charAt(0)));
        return pad.toString();
    }

    public static StringBuffer pad(StringBuffer stringBuffer, int i2) {
        for (int length = stringBuffer.length(); length < i2; length++) {
            stringBuffer.append(' ');
        }
        return stringBuffer;
    }

    public static void toConstIdentifier(String str, StringBuffer stringBuffer) {
        for (int i2 = 0; i2 < str.length(); i2++) {
            if (str.charAt(i2) == ' ') {
                stringBuffer.append(NameUtil.USCORE);
            } else {
                stringBuffer.append(Character.toUpperCase(str.charAt(i2)));
            }
        }
    }

    public static void toIdentifier(String str, StringBuffer stringBuffer) {
        int i2 = 0;
        while (i2 < str.length()) {
            if (str.charAt(i2) == ' ') {
                i2++;
                stringBuffer.append(Character.toUpperCase(str.charAt(i2)));
            } else {
                stringBuffer.append(str.charAt(i2));
            }
            i2++;
        }
    }

    public static String getFieldName(String str, int i2) {
        StringBuffer stringBuffer = new StringBuffer();
        toIdentifier(str, stringBuffer);
        pad(stringBuffer, i2);
        return stringBuffer.toString();
    }
}
