package org.apache.poi.hwpf.extractor;

import java.io.InputStream;
import org.apache.poi.POIOLE2TextExtractor;
import org.apache.poi.hwpf.HWPFOldDocument;
import org.apache.poi.hwpf.converter.WordToTextConverter;
import org.apache.poi.poifs.filesystem.DirectoryNode;
import org.apache.poi.poifs.filesystem.POIFSFileSystem;

public final class Word6Extractor extends POIOLE2TextExtractor {
    public HWPFOldDocument doc;

    public Word6Extractor(InputStream inputStream) {
        this(new POIFSFileSystem(inputStream));
    }

    @Deprecated
    public String[] getParagraphText() {
        try {
            return WordExtractor.getParagraphText(this.doc.getRange());
        } catch (Exception unused) {
            int size = this.doc.getTextTable().getTextPieces().size();
            String[] strArr = new String[size];
            for (int i2 = 0; i2 < size; i2++) {
                strArr[i2] = this.doc.getTextTable().getTextPieces().get(i2).getStringBuilder().toString();
                strArr[i2] = strArr[i2].replaceAll("\r", "￾");
                strArr[i2] = strArr[i2].replaceAll("￾", "\r\n");
            }
            return strArr;
        }
    }

    @Override // org.apache.poi.POITextExtractor
    public String getText() {
        try {
            WordToTextConverter wordToTextConverter = new WordToTextConverter();
            wordToTextConverter.processDocument(this.doc);
            return wordToTextConverter.getText();
        } catch (Exception unused) {
            StringBuffer stringBuffer = new StringBuffer();
            for (String str : getParagraphText()) {
                stringBuffer.append(str);
            }
            return stringBuffer.toString();
        }
    }

    public Word6Extractor(POIFSFileSystem pOIFSFileSystem) {
        this(pOIFSFileSystem.getRoot());
    }

    @Deprecated
    public Word6Extractor(DirectoryNode directoryNode, POIFSFileSystem pOIFSFileSystem) {
        this(directoryNode);
    }

    public Word6Extractor(DirectoryNode directoryNode) {
        this(new HWPFOldDocument(directoryNode));
    }

    public Word6Extractor(HWPFOldDocument hWPFOldDocument) {
        super(hWPFOldDocument);
        this.doc = hWPFOldDocument;
    }
}
