package org.apache.poi.hwpf.model;

import org.apache.poi.hwpf.model.types.BKFAbstractType;
import org.apache.poi.util.Internal;

@Internal
public final class BookmarkFirstDescriptor extends BKFAbstractType implements Cloneable {
    public BookmarkFirstDescriptor() {
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || BookmarkFirstDescriptor.class != obj.getClass()) {
            return false;
        }
        BookmarkFirstDescriptor bookmarkFirstDescriptor = (BookmarkFirstDescriptor) obj;
        return this.field_1_ibkl == bookmarkFirstDescriptor.field_1_ibkl && this.field_2_bkf_flags == bookmarkFirstDescriptor.field_2_bkf_flags;
    }

    public int hashCode() {
        return ((this.field_1_ibkl + 31) * 31) + this.field_2_bkf_flags;
    }

    public boolean isEmpty() {
        return this.field_1_ibkl == 0 && this.field_2_bkf_flags == 0;
    }

    @Override // org.apache.poi.hwpf.model.types.BKFAbstractType
    public String toString() {
        if (isEmpty()) {
            return "[BKF] EMPTY";
        }
        return super.toString();
    }

    public BookmarkFirstDescriptor(byte[] bArr, int i2) {
        fillFields(bArr, i2);
    }

    @Override // java.lang.Object
    public BookmarkFirstDescriptor clone() {
        try {
            return (BookmarkFirstDescriptor) super.clone();
        } catch (CloneNotSupportedException e2) {
            throw new RuntimeException(e2);
        }
    }
}
