package org.apache.poi.hwpf.model;

import b.b.a.a.a;
import org.apache.poi.hwpf.sprm.CharacterSprmUncompressor;
import org.apache.poi.hwpf.sprm.SprmBuffer;
import org.apache.poi.hwpf.usermodel.CharacterProperties;
import org.apache.poi.util.Internal;

@Internal
public final class CHPX extends BytePropertyNode<CHPX> {
    @Deprecated
    public CHPX(int i2, int i3, CharIndexTranslator charIndexTranslator, byte[] bArr) {
        super(i2, charIndexTranslator.lookIndexBackward(i3), charIndexTranslator, new SprmBuffer(bArr, 0));
    }

    public CharacterProperties getCharacterProperties(StyleSheet styleSheet, short s) {
        if (styleSheet == null) {
            return new CharacterProperties();
        }
        return CharacterSprmUncompressor.uncompressCHP(styleSheet, styleSheet.getCharacterStyle(s), getGrpprl(), 0);
    }

    public byte[] getGrpprl() {
        return ((SprmBuffer) this._buf).toByteArray();
    }

    public SprmBuffer getSprmBuf() {
        return (SprmBuffer) this._buf;
    }

    public String toString() {
        StringBuilder b2 = a.b("CHPX from ");
        b2.append(getStart());
        b2.append(" to ");
        b2.append(getEnd());
        b2.append(" (in bytes ");
        b2.append(getStartBytes());
        b2.append(" to ");
        b2.append(getEndBytes());
        b2.append(")");
        return b2.toString();
    }

    @Deprecated
    public CHPX(int i2, int i3, CharIndexTranslator charIndexTranslator, SprmBuffer sprmBuffer) {
        super(i2, charIndexTranslator.lookIndexBackward(i3), charIndexTranslator, sprmBuffer);
    }

    public CHPX(int i2, int i3, SprmBuffer sprmBuffer) {
        super(i2, i3, sprmBuffer);
    }
}
