package org.apache.poi.hwpf.model;

import b.b.a.a.a;
import org.apache.poi.util.Internal;
import org.apache.poi.util.LittleEndian;

@Internal
public class Colorref implements Cloneable {
    public int value;

    public Colorref() {
        this.value = -1;
    }

    public static Colorref valueOfIco(int i2) {
        switch (i2) {
            case 1:
                return new Colorref(0);
            case 2:
                return new Colorref(16711680);
            case 3:
                return new Colorref(16776960);
            case 4:
                return new Colorref(65280);
            case 5:
                return new Colorref(16711935);
            case 6:
                return new Colorref(255);
            case 7:
                return new Colorref(65535);
            case 8:
                return new Colorref(16777215);
            case 9:
                return new Colorref(9109504);
            case 10:
                return new Colorref(9145088);
            case 11:
                return new Colorref(25600);
            case 12:
                return new Colorref(9109643);
            case 13:
                return new Colorref(139);
            case 14:
                return new Colorref(52479);
            case 15:
                return new Colorref(11119017);
            case 16:
                return new Colorref(12632256);
            default:
                return new Colorref(0);
        }
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        return obj != null && Colorref.class == obj.getClass() && this.value == ((Colorref) obj).value;
    }

    public int getValue() {
        return this.value;
    }

    public int hashCode() {
        return this.value;
    }

    public boolean isEmpty() {
        return this.value == -1;
    }

    public void serialize(byte[] bArr, int i2) {
        LittleEndian.putInt(bArr, i2, this.value);
    }

    public void setValue(int i2) {
        this.value = i2;
    }

    public byte[] toByteArray() {
        if (!isEmpty()) {
            byte[] bArr = new byte[4];
            serialize(bArr, 0);
            return bArr;
        }
        throw new IllegalStateException("Structure state (EMPTY) is not good for serialization");
    }

    public String toString() {
        if (isEmpty()) {
            return "[COLORREF] EMPTY";
        }
        StringBuilder b2 = a.b("[COLORREF] 0x");
        b2.append(Integer.toHexString(this.value));
        return b2.toString();
    }

    @Override // java.lang.Object
    public Colorref clone() {
        return (Colorref) super.clone();
    }

    public Colorref(byte[] bArr, int i2) {
        this.value = LittleEndian.getInt(bArr, i2);
    }

    public Colorref(int i2) {
        this.value = i2;
    }
}
