package org.apache.poi.hwpf.model;

import org.apache.poi.hwpf.model.types.FRDAbstractType;
import org.apache.poi.util.Internal;

@Internal
public final class FootnoteReferenceDescriptor extends FRDAbstractType implements Cloneable {
    public FootnoteReferenceDescriptor() {
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        return obj != null && FootnoteReferenceDescriptor.class == obj.getClass() && this.field_1_nAuto == ((FootnoteReferenceDescriptor) obj).field_1_nAuto;
    }

    public int hashCode() {
        return 31 + this.field_1_nAuto;
    }

    public boolean isEmpty() {
        return this.field_1_nAuto == 0;
    }

    @Override // org.apache.poi.hwpf.model.types.FRDAbstractType
    public String toString() {
        if (isEmpty()) {
            return "[FRD] EMPTY";
        }
        return super.toString();
    }

    public FootnoteReferenceDescriptor(byte[] bArr, int i2) {
        fillFields(bArr, i2);
    }

    @Override // java.lang.Object
    public FootnoteReferenceDescriptor clone() {
        try {
            return (FootnoteReferenceDescriptor) super.clone();
        } catch (CloneNotSupportedException e2) {
            throw new RuntimeException(e2);
        }
    }
}
