package org.apache.poi.hwpf.model;

import org.apache.poi.util.Internal;
import org.apache.poi.util.LittleEndian;

@Internal
public abstract class FormattedDiskPage {
    public int _crun;
    public byte[] _fkp;
    public int _offset;

    public FormattedDiskPage() {
    }

    public int getEnd(int i2) {
        return LittleEndian.getInt(this._fkp, ((i2 + 1) * 4) + this._offset);
    }

    public abstract byte[] getGrpprl(int i2);

    public int getStart(int i2) {
        return LittleEndian.getInt(this._fkp, (i2 * 4) + this._offset);
    }

    public int size() {
        return this._crun;
    }

    public FormattedDiskPage(byte[] bArr, int i2) {
        this._crun = LittleEndian.getUByte(bArr, i2 + 511);
        this._fkp = bArr;
        this._offset = i2;
    }
}
