package org.apache.poi.hwpf.model;

import b.b.a.a.a;
import java.util.Arrays;
import org.apache.poi.util.LittleEndian;
import org.apache.poi.util.POILogFactory;
import org.apache.poi.util.POILogger;

public class NilPICFAndBinData {
    public static final POILogger log = POILogFactory.getLogger(NilPICFAndBinData.class);
    public byte[] _binData;

    public NilPICFAndBinData(byte[] bArr, int i2) {
        fillFields(bArr, i2);
    }

    public void fillFields(byte[] bArr, int i2) {
        int i3 = LittleEndian.getInt(bArr, i2);
        int uShort = LittleEndian.getUShort(bArr, i2 + 4);
        if (uShort != 68 && log.check(5)) {
            log.log(5, "NilPICFAndBinData at offset ", Integer.valueOf(i2), a.a(uShort, a.b(" cbHeader 0x"), " != 0x44"));
        }
        int i4 = i2 + uShort;
        this._binData = Arrays.copyOfRange(bArr, i4, (i3 - uShort) + i4);
    }

    public byte[] getBinData() {
        return this._binData;
    }

    public byte[] serialize() {
        byte[] bArr = this._binData;
        byte[] bArr2 = new byte[(bArr.length + 68)];
        LittleEndian.putInt(bArr2, 0, bArr.length + 68);
        byte[] bArr3 = this._binData;
        System.arraycopy(bArr3, 0, bArr2, 68, bArr3.length);
        return bArr2;
    }

    public int serialize(byte[] bArr, int i2) {
        LittleEndian.putInt(bArr, i2, this._binData.length + 68);
        byte[] bArr2 = this._binData;
        System.arraycopy(bArr2, 0, bArr, i2 + 68, bArr2.length);
        return this._binData.length + 68;
    }
}
