package org.apache.poi.hwpf.model;

import java.util.Collections;
import org.apache.poi.hwpf.model.PropertyNode;
import org.apache.poi.util.Internal;
import org.apache.poi.util.LittleEndian;

@Internal
public final class OldCHPBinTable extends CHPBinTable {
    public OldCHPBinTable(byte[] bArr, int i2, int i3, int i4, OldTextPieceTable oldTextPieceTable) {
        PlexOfCps plexOfCps = new PlexOfCps(bArr, i2, i3, 2);
        int length = plexOfCps.length();
        for (int i5 = 0; i5 < length; i5++) {
            for (CHPX chpx : new CHPFormattedDiskPage(bArr, LittleEndian.getUShort(plexOfCps.getProperty(i5).getBytes()) * 512, oldTextPieceTable).getCHPXs()) {
                if (chpx != null) {
                    this._textRuns.add(chpx);
                }
            }
        }
        Collections.sort(this._textRuns, PropertyNode.StartComparator.instance);
    }
}
