package org.apache.poi.hwpf.model;

import b.b.a.a.a;
import java.nio.charset.Charset;
import org.apache.poi.common.usermodel.fonts.FontCharset;
import org.apache.poi.util.Internal;
import org.apache.poi.util.POILogFactory;
import org.apache.poi.util.POILogger;
import org.apache.poi.util.StringUtil;

@Internal
public final class OldFfn {
    public static final POILogger logger = POILogFactory.getLogger(OldFfn.class);
    public byte _chs;
    public final String altFontName;
    public final String fontName;
    public final int length;

    public OldFfn(byte b2, String str, String str2, int i2) {
        this._chs = b2;
        this.fontName = str;
        this.altFontName = str2;
        this.length = i2;
    }

    public static OldFfn build(byte[] bArr, int i2, int i3) {
        Charset charset;
        int i4;
        int i5;
        int i6;
        String str = null;
        if (i2 + 6 > i3) {
            return null;
        }
        short s = (short) bArr[i2];
        int i7 = i2 + 1;
        int i8 = 0;
        if (i7 + s > i3) {
            logger.log(5, "Asked to read beyond font table end. Skipping font");
            return null;
        }
        int i9 = i7 + 3;
        byte b2 = bArr[i9];
        int i10 = b2 & 255;
        FontCharset valueOf = FontCharset.valueOf(i10);
        if (valueOf == null) {
            logger.log(5, a.c("Couldn't find font for type: ", i10));
            charset = null;
        } else {
            charset = valueOf.getCharset();
        }
        if (charset == null) {
            charset = StringUtil.WIN_1252;
        }
        int i11 = i9 + 1 + 1;
        int i12 = i11;
        while (true) {
            i4 = -1;
            if (i12 >= i3) {
                i5 = -1;
                break;
            } else if (bArr[i12] == 0) {
                i5 = i12 - i11;
                break;
            } else {
                i12++;
            }
        }
        if (i5 == -1) {
            logger.log(5, "Couldn't find the zero-byte delimited font name length");
            return null;
        }
        String str2 = new String(bArr, i11, i5, charset);
        int i13 = i5 + 1 + i11;
        if (i13 - i2 < s) {
            int i14 = i13;
            while (true) {
                if (i14 > i2 + s) {
                    i6 = -1;
                    break;
                } else if (bArr[i14] == 0) {
                    i6 = i14 - i13;
                    break;
                } else {
                    i14++;
                }
            }
            if (i6 > -1) {
                str = new String(bArr, i13, i6, charset);
            }
            i4 = i6;
        }
        if (i4 >= 0) {
            i8 = i4 + 1;
        }
        return new OldFfn(b2, str2, str, i5 + 6 + i8 + 1);
    }

    public String getAltFontName() {
        return this.altFontName;
    }

    public byte getChs() {
        return this._chs;
    }

    public int getLength() {
        return this.length;
    }

    public String getMainFontName() {
        return this.fontName;
    }

    public String toString() {
        StringBuilder b2 = a.b("OldFfn{_chs=");
        b2.append(this._chs & 255);
        b2.append(", fontName='");
        b2.append(this.fontName);
        b2.append('\'');
        b2.append(", altFontName='");
        b2.append(this.altFontName);
        b2.append('\'');
        b2.append(", length=");
        b2.append(this.length);
        b2.append('}');
        return b2.toString();
    }
}
