package org.apache.poi.hwpf.model;

import b.b.a.a.a;
import java.util.ArrayList;
import java.util.Arrays;
import org.apache.poi.util.Internal;
import org.apache.poi.util.LittleEndian;
import org.apache.poi.util.POILogFactory;
import org.apache.poi.util.POILogger;

@Internal
public final class OldFontTable {
    public static final POILogger _logger = POILogFactory.getLogger(OldFontTable.class);
    public final OldFfn[] _fontNames;

    public OldFontTable(byte[] bArr, int i2, int i3) {
        ArrayList arrayList = new ArrayList();
        LittleEndian.getShort(bArr, i2);
        int i4 = i3 + i2;
        int i5 = i2 + 2;
        while (true) {
            OldFfn build = OldFfn.build(bArr, i5, i4);
            if (build == null) {
                this._fontNames = (OldFfn[]) arrayList.toArray(new OldFfn[arrayList.size()]);
                return;
            } else {
                arrayList.add(build);
                i5 += build.getLength();
            }
        }
    }

    public OldFfn[] getFontNames() {
        return this._fontNames;
    }

    public String getMainFont(int i2) {
        OldFfn[] oldFfnArr = this._fontNames;
        if (i2 < oldFfnArr.length) {
            return oldFfnArr[i2].getMainFontName();
        }
        _logger.log(3, "Mismatch in chpFtc with stringCount");
        return null;
    }

    public String toString() {
        StringBuilder b2 = a.b("OldFontTable{_fontNames=");
        b2.append(Arrays.toString(this._fontNames));
        b2.append('}');
        return b2.toString();
    }
}
