package org.apache.poi.hwpf.model;

import java.util.Collections;
import org.apache.poi.hwpf.model.PropertyNode;
import org.apache.poi.util.Internal;
import org.apache.poi.util.LittleEndian;

@Internal
public final class OldSectionTable extends SectionTable {
    @Deprecated
    public OldSectionTable(byte[] bArr, int i2, int i3, int i4, TextPieceTable textPieceTable) {
        this(bArr, i2, i3);
    }

    public OldSectionTable(byte[] bArr, int i2, int i3) {
        SEPX sepx;
        PlexOfCps plexOfCps = new PlexOfCps(bArr, i2, i3, 12);
        int length = plexOfCps.length();
        for (int i4 = 0; i4 < length; i4++) {
            GenericPropertyNode property = plexOfCps.getProperty(i4);
            SectionDescriptor sectionDescriptor = new SectionDescriptor(property.getBytes(), 0);
            int fc = sectionDescriptor.getFc();
            int start = property.getStart();
            int end = property.getEnd();
            if (fc == -1) {
                sepx = new SEPX(sectionDescriptor, start, end, new byte[0]);
            } else {
                int i5 = LittleEndian.getShort(bArr, fc) + 2;
                byte[] bArr2 = new byte[i5];
                System.arraycopy(bArr, fc + 2, bArr2, 0, i5);
                sepx = new SEPX(sectionDescriptor, start, end, bArr2);
            }
            this._sections.add(sepx);
        }
        Collections.sort(this._sections, PropertyNode.StartComparator.instance);
    }
}
