package org.apache.poi.hwpf.model;

import java.io.OutputStream;
import org.apache.poi.util.BitField;
import org.apache.poi.util.BitFieldFactory;
import org.apache.poi.util.Internal;
import org.apache.poi.util.LittleEndian;

@Internal
public final class ParagraphHeight {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public BitField clMac = BitFieldFactory.getInstance(65280);
    public int dxaCol;
    public int dymLineOrHeight;
    public BitField fDiffLines = BitFieldFactory.getInstance(4);
    public BitField fSpare = BitFieldFactory.getInstance(1);
    public BitField fUnk = BitFieldFactory.getInstance(2);
    public short infoField;
    public short reserved;

    public ParagraphHeight(byte[] bArr, int i2) {
        this.infoField = LittleEndian.getShort(bArr, i2);
        int i3 = i2 + 2;
        this.reserved = LittleEndian.getShort(bArr, i3);
        int i4 = i3 + 2;
        this.dxaCol = LittleEndian.getInt(bArr, i4);
        this.dymLineOrHeight = LittleEndian.getInt(bArr, i4 + 4);
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof ParagraphHeight)) {
            return false;
        }
        ParagraphHeight paragraphHeight = (ParagraphHeight) obj;
        if (this.infoField == paragraphHeight.infoField && this.reserved == paragraphHeight.reserved && this.dxaCol == paragraphHeight.dxaCol && this.dymLineOrHeight == paragraphHeight.dymLineOrHeight) {
            return true;
        }
        return false;
    }

    public int hashCode() {
        return 42;
    }

    public byte[] toByteArray() {
        byte[] bArr = new byte[12];
        LittleEndian.putShort(bArr, 0, this.infoField);
        LittleEndian.putShort(bArr, 2, this.reserved);
        LittleEndian.putInt(bArr, 4, this.dxaCol);
        LittleEndian.putInt(bArr, 8, this.dymLineOrHeight);
        return bArr;
    }

    public void write(OutputStream outputStream) {
        outputStream.write(toByteArray());
    }

    public ParagraphHeight() {
    }
}
