package org.apache.poi.hwpf.model;

import java.util.Locale;
import org.apache.poi.util.Internal;

@Internal
public class PlexOfField {
    public final FieldDescriptor fld;
    public final GenericPropertyNode propertyNode;

    @Deprecated
    public PlexOfField(int i2, int i3, byte[] bArr) {
        this.propertyNode = new GenericPropertyNode(i2, i3, bArr);
        this.fld = new FieldDescriptor(bArr);
    }

    public int getFcEnd() {
        return this.propertyNode.getEnd();
    }

    public int getFcStart() {
        return this.propertyNode.getStart();
    }

    public FieldDescriptor getFld() {
        return this.fld;
    }

    public String toString() {
        return String.format(Locale.ROOT, "[%d, %d) - FLD - 0x%x; 0x%x", Integer.valueOf(getFcStart()), Integer.valueOf(getFcEnd()), Integer.valueOf(this.fld.getBoundaryType()), Byte.valueOf(this.fld.getFlt()));
    }

    public PlexOfField(GenericPropertyNode genericPropertyNode) {
        this.propertyNode = genericPropertyNode;
        this.fld = new FieldDescriptor(genericPropertyNode.getBytes());
    }
}
