package org.apache.poi.hwpf.model;

import b.b.a.a.a;
import org.apache.poi.util.BitField;
import org.apache.poi.util.Internal;

@Internal
public final class PropertyModifier implements Cloneable {
    public static BitField _fComplex = new BitField(1);
    public static BitField _figrpprl = new BitField(65534);
    public static BitField _fisprm = new BitField(254);
    public static BitField _fval = new BitField(65280);
    public short value;

    public PropertyModifier(short s) {
        this.value = s;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        return obj != null && PropertyModifier.class == obj.getClass() && this.value == ((PropertyModifier) obj).value;
    }

    public short getIgrpprl() {
        if (isComplex()) {
            return _figrpprl.getShortValue(this.value);
        }
        throw new IllegalStateException("Not complex");
    }

    public short getIsprm() {
        if (!isComplex()) {
            return _fisprm.getShortValue(this.value);
        }
        throw new IllegalStateException("Not simple");
    }

    public short getVal() {
        if (!isComplex()) {
            return _fval.getShortValue(this.value);
        }
        throw new IllegalStateException("Not simple");
    }

    public short getValue() {
        return this.value;
    }

    public int hashCode() {
        return 31 + this.value;
    }

    public boolean isComplex() {
        return _fComplex.isSet(this.value);
    }

    public String toString() {
        StringBuilder b2 = a.b("[PRM] (complex: ");
        b2.append(isComplex());
        b2.append("; ");
        if (isComplex()) {
            b2.append("igrpprl: ");
            b2.append((int) getIgrpprl());
            b2.append("; ");
        } else {
            b2.append("isprm: ");
            b2.append((int) getIsprm());
            b2.append("; ");
            b2.append("val: ");
            b2.append((int) getVal());
            b2.append("; ");
        }
        b2.append(")");
        return b2.toString();
    }

    @Override // java.lang.Object
    public PropertyModifier clone() {
        return new PropertyModifier(this.value);
    }
}
