package org.apache.poi.hwpf.model;

import java.io.ByteArrayOutputStream;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;
import org.apache.poi.util.Internal;

@Internal
public final class RevisionMarkAuthorTable {
    public String[] entries;

    public RevisionMarkAuthorTable(byte[] bArr, int i2, int i3) {
        this.entries = SttbUtils.readSttbfRMark(bArr, i2);
    }

    public String getAuthor(int i2) {
        if (i2 >= 0) {
            String[] strArr = this.entries;
            if (i2 < strArr.length) {
                return strArr[i2];
            }
        }
        return null;
    }

    public List<String> getEntries() {
        return Collections.unmodifiableList(Arrays.asList(this.entries));
    }

    public int getSize() {
        return this.entries.length;
    }

    public void writeTo(ByteArrayOutputStream byteArrayOutputStream) {
        SttbUtils.writeSttbfRMark(this.entries, byteArrayOutputStream);
    }
}
