package org.apache.poi.hwpf.model;

import b.b.a.a.a;
import org.apache.poi.hwpf.sprm.SectionSprmCompressor;
import org.apache.poi.hwpf.sprm.SectionSprmUncompressor;
import org.apache.poi.hwpf.sprm.SprmBuffer;
import org.apache.poi.hwpf.usermodel.SectionProperties;
import org.apache.poi.util.Internal;

@Internal
public final class SEPX extends PropertyNode<SEPX> {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public SectionDescriptor _sed;
    public SectionProperties sectionProperties;

    public SEPX(SectionDescriptor sectionDescriptor, int i2, int i3, byte[] bArr) {
        super(i2, i3, new SprmBuffer(bArr, 0));
        this._sed = sectionDescriptor;
    }

    @Override // org.apache.poi.hwpf.model.PropertyNode
    public boolean equals(Object obj) {
        if (!(obj instanceof SEPX)) {
            return false;
        }
        SEPX sepx = (SEPX) obj;
        if (super.equals(obj)) {
            return sepx._sed.equals(this._sed);
        }
        return false;
    }

    public byte[] getGrpprl() {
        SectionProperties sectionProperties2 = this.sectionProperties;
        if (sectionProperties2 != null) {
            this._buf = new SprmBuffer(SectionSprmCompressor.compressSectionProperty(sectionProperties2), 0);
        }
        return ((SprmBuffer) this._buf).toByteArray();
    }

    public SectionDescriptor getSectionDescriptor() {
        return this._sed;
    }

    public SectionProperties getSectionProperties() {
        if (this.sectionProperties == null) {
            this.sectionProperties = SectionSprmUncompressor.uncompressSEP(((SprmBuffer) this._buf).toByteArray(), 0);
        }
        return this.sectionProperties;
    }

    @Override // org.apache.poi.hwpf.model.PropertyNode
    public int hashCode() {
        return 42;
    }

    public String toString() {
        StringBuilder b2 = a.b("SEPX from ");
        b2.append(getStart());
        b2.append(" to ");
        b2.append(getEnd());
        return b2.toString();
    }
}
