package org.apache.poi.hwpf.model;

import b.b.a.a.a;
import org.apache.poi.util.Internal;
import org.apache.poi.util.LittleEndian;

@Internal
public final class SectionDescriptor {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public int fcMpr;
    public int fcSepx;
    public short fn;
    public short fnMpr;

    public SectionDescriptor() {
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof SectionDescriptor)) {
            return false;
        }
        SectionDescriptor sectionDescriptor = (SectionDescriptor) obj;
        if (sectionDescriptor.fn == this.fn && sectionDescriptor.fnMpr == this.fnMpr) {
            return true;
        }
        return false;
    }

    public int getFc() {
        return this.fcSepx;
    }

    public int hashCode() {
        return 42;
    }

    public void setFc(int i2) {
        this.fcSepx = i2;
    }

    public byte[] toByteArray() {
        byte[] bArr = new byte[12];
        LittleEndian.putShort(bArr, 0, this.fn);
        LittleEndian.putInt(bArr, 2, this.fcSepx);
        LittleEndian.putShort(bArr, 6, this.fnMpr);
        LittleEndian.putInt(bArr, 8, this.fcMpr);
        return bArr;
    }

    public String toString() {
        StringBuilder b2 = a.b("[SED] (fn: ");
        b2.append((int) this.fn);
        b2.append("; fcSepx: ");
        b2.append(this.fcSepx);
        b2.append("; fnMpr: ");
        b2.append((int) this.fnMpr);
        b2.append("; fcMpr: ");
        return a.a(b2, this.fcMpr, ")");
    }

    public SectionDescriptor(byte[] bArr, int i2) {
        this.fn = LittleEndian.getShort(bArr, i2);
        int i3 = i2 + 2;
        this.fcSepx = LittleEndian.getInt(bArr, i3);
        int i4 = i3 + 4;
        this.fnMpr = LittleEndian.getShort(bArr, i4);
        this.fcMpr = LittleEndian.getInt(bArr, i4 + 2);
    }
}
