package org.apache.poi.hwpf.model;

import b.b.a.a.a;
import org.apache.poi.util.Internal;
import org.apache.poi.util.StringUtil;

@Internal
public class SinglentonTextPiece extends TextPiece {
    public SinglentonTextPiece(StringBuilder sb) {
        super(0, sb.length(), StringUtil.getToUnicodeLE(sb.toString()), new PieceDescriptor(new byte[8], 0));
    }

    @Override // org.apache.poi.hwpf.model.TextPiece
    public int bytesLength() {
        return getStringBuilder().length() * 2;
    }

    @Override // org.apache.poi.hwpf.model.TextPiece
    public int characterLength() {
        return getStringBuilder().length();
    }

    @Override // org.apache.poi.hwpf.model.TextPiece
    public int getCP() {
        return 0;
    }

    @Override // org.apache.poi.hwpf.model.PropertyNode
    public int getEnd() {
        return characterLength();
    }

    @Override // org.apache.poi.hwpf.model.PropertyNode
    public int getStart() {
        return 0;
    }

    @Override // org.apache.poi.hwpf.model.TextPiece
    public String toString() {
        StringBuilder b2 = a.b("SinglentonTextPiece (");
        b2.append(characterLength());
        b2.append(" chars)");
        return b2.toString();
    }
}
