package org.apache.poi.hwpf.model;

import b.b.a.a.a;
import org.apache.poi.util.Internal;
import org.apache.poi.util.LittleEndian;
import org.apache.poi.util.POILogFactory;
import org.apache.poi.util.POILogger;

@Internal
public class Xstz {
    public static final POILogger log = POILogFactory.getLogger(Xstz.class);
    public final short _chTerm;
    public Xst _xst;

    public Xstz() {
        this._chTerm = 0;
        this._xst = new Xst();
    }

    public void fillFields(byte[] bArr, int i2) {
        Xst xst = new Xst(bArr, i2);
        this._xst = xst;
        int size = xst.getSize() + i2;
        if (LittleEndian.getShort(bArr, size) != 0 && log.check(5)) {
            log.log(5, "chTerm at the end of Xstz at offset ", Integer.valueOf(size), " is not 0");
        }
    }

    public String getAsJavaString() {
        return this._xst.getAsJavaString();
    }

    public int getSize() {
        return this._xst.getSize() + 2;
    }

    public int serialize(byte[] bArr, int i2) {
        this._xst.serialize(bArr, i2);
        int size = this._xst.getSize() + i2;
        LittleEndian.putUShort(bArr, size, 0);
        return (size + 2) - i2;
    }

    public String toString() {
        StringBuilder b2 = a.b("[Xstz]");
        b2.append(this._xst.getAsJavaString());
        b2.append("[/Xstz]");
        return b2.toString();
    }

    public Xstz(byte[] bArr, int i2) {
        this._chTerm = 0;
        fillFields(bArr, i2);
    }
}
