package org.apache.poi.hwpf.model.io;

import java.io.ByteArrayOutputStream;
import java.util.HashMap;
import java.util.Map;
import org.apache.poi.hwpf.HWPFDocumentCore;
import org.apache.poi.util.Internal;
import org.apache.xerces.util.SecurityManager;

@Internal
public final class HWPFFileSystem {
    public Map<String, ByteArrayOutputStream> _streams;

    public HWPFFileSystem() {
        HashMap hashMap = new HashMap();
        this._streams = hashMap;
        hashMap.put(HWPFDocumentCore.STREAM_WORD_DOCUMENT, new ByteArrayOutputStream(SecurityManager.DEFAULT_ENTITY_EXPANSION_LIMIT));
        this._streams.put(HWPFDocumentCore.STREAM_TABLE_1, new ByteArrayOutputStream(SecurityManager.DEFAULT_ENTITY_EXPANSION_LIMIT));
        this._streams.put("Data", new ByteArrayOutputStream(SecurityManager.DEFAULT_ENTITY_EXPANSION_LIMIT));
    }

    public ByteArrayOutputStream getStream(String str) {
        return this._streams.get(str);
    }
}
