package org.apache.poi.hwpf.model.types;

import b.b.a.a.a;
import java.util.Arrays;
import org.apache.poi.hssf.record.UnknownRecord;
import org.apache.poi.util.BitField;
import org.apache.poi.util.Internal;
import org.apache.poi.util.LittleEndian;
import org.apache.xmlbeans.impl.piccolo.xml.Piccolo;

@Internal
public abstract class DOPAbstractType {
    public static final BitField KeyVirusSession30 = new BitField(-4);
    public static final BitField epc = new BitField(3);
    public static final BitField fAutoHyphen = new BitField(16);
    public static final BitField fAutoVersions = new BitField(2);
    public static final BitField fBackup = new BitField(1);
    public static final BitField fConvMailMergeEsc = new BitField(64);
    public static final BitField fDfltTrueType = new BitField(128);
    public static final BitField fDispFormFldSel = new BitField(4);
    public static final BitField fEmbedFonts = new BitField(128);
    public static final BitField fExactCWords = new BitField(2);
    public static final BitField fFacingPages = new BitField(1);
    public static final BitField fForcePageSizePag = new BitField(16384);
    public static final BitField fFormNoFields = new BitField(32);
    public static final BitField fGramAllClean = new BitField(64);
    public static final BitField fGramAllDone = new BitField(32);
    public static final BitField fHaveVersions = new BitField(1);
    public static final BitField fHideLastVersion = new BitField(256);
    public static final BitField fHtmlDoc = new BitField(512);
    public static final BitField fHyphCapitals = new BitField(8);
    public static final BitField fIncludeFooter = new BitField(8192);
    public static final BitField fIncludeHeader = new BitField(4096);
    public static final BitField fLabelDoc = new BitField(4);
    public static final BitField fLinkStyles = new BitField(64);
    public static final BitField fLockAtn = new BitField(16);
    public static final BitField fLockRev = new BitField(64);
    public static final BitField fMWSmallCaps = new BitField(2097152);
    public static final BitField fMapPrintTextColor = new BitField(16);
    public static final BitField fMinFontSizePag = new BitField(32768);
    public static final BitField fMirrorMargins = new BitField(32);
    public static final BitField fNoColumnBalance = new BitField(32);
    public static final BitField fNoLeading = new BitField(524288);
    public static final BitField fNoSpaceRaiseLower = new BitField(2);
    public static final BitField fNoTabForInd = new BitField(1);
    public static final BitField fOnlyMacPics = new BitField(1);
    public static final BitField fOnlyWinPics = new BitField(2);
    public static final BitField fOrigWordTableRules = new BitField(256);
    public static final BitField fPMHMainDoc = new BitField(4);
    public static final BitField fPagHidden = new BitField(4);
    public static final BitField fPagResults = new BitField(8);
    public static final BitField fPagSupressTopSpacing = new BitField(1);
    public static final BitField fPrintBodyBeforeHdr = new BitField(262144);
    public static final BitField fPrintFormData = new BitField(1024);
    public static final BitField fProtEnabled = new BitField(2);
    public static final BitField fRMPrint = new BitField(16);
    public static final BitField fRMView = new BitField(8);
    public static final BitField fRevMarking = new BitField(128);
    public static final BitField fRotateFontW6 = new BitField(16384);
    public static final BitField fSaveFormData = new BitField(2048);
    public static final BitField fShadeFormData = new BitField(4096);
    public static final BitField fShowBreaksInFrames = new BitField(1024);
    public static final BitField fSnapBorder = new BitField(2048);
    public static final BitField fSubsetFonts = new BitField(128);
    public static final BitField fSuppressTopSPacingMac5 = new BitField(65536);
    public static final BitField fSupressSpdfAfterPageBreak = new BitField(4);
    public static final BitField fSupressTopSpacing = new BitField(128);
    public static final BitField fSwapBordersFacingPgs = new BitField(2048);
    public static final BitField fTransparentMetafiles = new BitField(512);
    public static final BitField fTruncDxaExpand = new BitField(131072);
    public static final BitField fVirusLoadSafe = new BitField(2);
    public static final BitField fVirusPrompted = new BitField(1);
    public static final BitField fWCFtnEdn = new BitField(32768);
    public static final BitField fWidowControl = new BitField(2);
    public static final BitField fWrapTrailSpaces = new BitField(8);
    public static final BitField fpc = new BitField(96);
    public static final BitField grfSupression = new BitField(24);
    public static final BitField iGutterPos = new BitField(32768);
    public static final BitField lvl = new BitField(30);
    public static final BitField nEdn = new BitField(65532);
    public static final BitField nFtn = new BitField(65532);
    public static final BitField nfcEdnRef1 = new BitField(960);
    public static final BitField nfcFtnRef1 = new BitField(60);
    public static final BitField oldfConvMailMergeEsc = new BitField(64);
    public static final BitField oldfMapPrintTextColor = new BitField(16);
    public static final BitField oldfNoColumnBalance = new BitField(32);
    public static final BitField oldfNoSpaceRaiseLower = new BitField(2);
    public static final BitField oldfNoTabForInd = new BitField(1);
    public static final BitField oldfOrigWordTableRules = new BitField(256);
    public static final BitField oldfShowBreaksInFrames = new BitField(1024);
    public static final BitField oldfSuppressSpbfAfterPageBreak = new BitField(4);
    public static final BitField oldfSupressTopSpacing = new BitField(128);
    public static final BitField oldfSwapBordersFacingPgs = new BitField(2048);
    public static final BitField oldfTransparentMetafiles = new BitField(512);
    public static final BitField oldfWrapTrailSpaces = new BitField(8);
    public static final BitField rncEdn = new BitField(3);
    public static final BitField rncFtn = new BitField(3);
    public static final BitField unused1 = new BitField(128);
    public static final BitField unused3 = new BitField(64);
    public static final BitField unused4 = new BitField(32);
    public static final BitField unused5 = new BitField(61440);
    public static final BitField wScaleSaved = new BitField(4088);
    public static final BitField wvkSaved = new BitField(7);
    public static final BitField zkSaved = new BitField(12288);
    public int field_10_wSpare;
    public int field_11_dxaHotz;
    public int field_12_cConsexHypLim;
    public int field_13_wSpare2;
    public int field_14_dttmCreated;
    public int field_15_dttmRevised;
    public int field_16_dttmLastPrint;
    public int field_17_nRevision;
    public int field_18_tmEdited;
    public int field_19_cWords;
    public byte field_1_formatFlags;
    public int field_20_cCh;
    public int field_21_cPg;
    public int field_22_cParas;
    public short field_23_Edn;
    public short field_24_Edn1;
    public int field_25_cLines;
    public int field_26_cWordsFtnEnd;
    public int field_27_cChFtnEdn;
    public short field_28_cPgFtnEdn;
    public int field_29_cParasFtnEdn;
    public byte field_2_unused2;
    public int field_30_cLinesFtnEdn;
    public int field_31_lKeyProtDoc;
    public short field_32_view;
    public int field_33_docinfo4;
    public short field_34_adt;
    public byte[] field_35_doptypography = new byte[0];
    public byte[] field_36_dogrid = new byte[0];
    public short field_37_docinfo5;
    public short field_38_docinfo6;
    public byte[] field_39_asumyi = new byte[0];
    public short field_3_footnoteInfo;
    public int field_40_cChWS;
    public int field_41_cChWSFtnEdn;
    public int field_42_grfDocEvents;
    public int field_43_virusinfo;
    public byte[] field_44_Spare = new byte[0];
    public int field_45_reserved1;
    public int field_46_reserved2;
    public int field_47_cDBC;
    public int field_48_cDBCFtnEdn;
    public int field_49_reserved;
    public byte field_4_fOutlineDirtySave;
    public short field_50_nfcFtnRef;
    public short field_51_nfcEdnRef;
    public short field_52_hpsZoonFontPag;
    public short field_53_dywDispPag;
    public byte field_5_docinfo;
    public byte field_6_docinfo1;
    public byte field_7_docinfo2;
    public short field_8_docinfo3;
    public int field_9_dxaTab;

    public static int getSize() {
        return Piccolo.YYSTACKSIZE;
    }

    public void fillFields(byte[] bArr, int i2) {
        this.field_1_formatFlags = bArr[i2 + 0];
        this.field_2_unused2 = bArr[i2 + 1];
        this.field_3_footnoteInfo = LittleEndian.getShort(bArr, i2 + 2);
        this.field_4_fOutlineDirtySave = bArr[i2 + 4];
        this.field_5_docinfo = bArr[i2 + 5];
        this.field_6_docinfo1 = bArr[i2 + 6];
        this.field_7_docinfo2 = bArr[i2 + 7];
        this.field_8_docinfo3 = LittleEndian.getShort(bArr, i2 + 8);
        this.field_9_dxaTab = LittleEndian.getShort(bArr, i2 + 10);
        this.field_10_wSpare = LittleEndian.getShort(bArr, i2 + 12);
        this.field_11_dxaHotz = LittleEndian.getShort(bArr, i2 + 14);
        this.field_12_cConsexHypLim = LittleEndian.getShort(bArr, i2 + 16);
        this.field_13_wSpare2 = LittleEndian.getShort(bArr, i2 + 18);
        this.field_14_dttmCreated = LittleEndian.getInt(bArr, i2 + 20);
        this.field_15_dttmRevised = LittleEndian.getInt(bArr, i2 + 24);
        this.field_16_dttmLastPrint = LittleEndian.getInt(bArr, i2 + 28);
        this.field_17_nRevision = LittleEndian.getShort(bArr, i2 + 32);
        this.field_18_tmEdited = LittleEndian.getInt(bArr, i2 + 34);
        this.field_19_cWords = LittleEndian.getInt(bArr, i2 + 38);
        this.field_20_cCh = LittleEndian.getInt(bArr, i2 + 42);
        this.field_21_cPg = LittleEndian.getShort(bArr, i2 + 46);
        this.field_22_cParas = LittleEndian.getInt(bArr, i2 + 48);
        this.field_23_Edn = LittleEndian.getShort(bArr, i2 + 52);
        this.field_24_Edn1 = LittleEndian.getShort(bArr, i2 + 54);
        this.field_25_cLines = LittleEndian.getInt(bArr, i2 + 56);
        this.field_26_cWordsFtnEnd = LittleEndian.getInt(bArr, i2 + 60);
        this.field_27_cChFtnEdn = LittleEndian.getInt(bArr, i2 + 64);
        this.field_28_cPgFtnEdn = LittleEndian.getShort(bArr, i2 + 68);
        this.field_29_cParasFtnEdn = LittleEndian.getInt(bArr, i2 + 70);
        this.field_30_cLinesFtnEdn = LittleEndian.getInt(bArr, i2 + 74);
        this.field_31_lKeyProtDoc = LittleEndian.getInt(bArr, i2 + 78);
        this.field_32_view = LittleEndian.getShort(bArr, i2 + 82);
        this.field_33_docinfo4 = LittleEndian.getInt(bArr, i2 + 84);
        this.field_34_adt = LittleEndian.getShort(bArr, i2 + 88);
        this.field_35_doptypography = LittleEndian.getByteArray(bArr, i2 + 90, 310);
        this.field_36_dogrid = LittleEndian.getByteArray(bArr, i2 + 400, 10);
        this.field_37_docinfo5 = LittleEndian.getShort(bArr, i2 + 410);
        this.field_38_docinfo6 = LittleEndian.getShort(bArr, i2 + 412);
        this.field_39_asumyi = LittleEndian.getByteArray(bArr, i2 + 414, 12);
        this.field_40_cChWS = LittleEndian.getInt(bArr, i2 + 426);
        this.field_41_cChWSFtnEdn = LittleEndian.getInt(bArr, i2 + 430);
        this.field_42_grfDocEvents = LittleEndian.getInt(bArr, i2 + 434);
        this.field_43_virusinfo = LittleEndian.getInt(bArr, i2 + 438);
        this.field_44_Spare = LittleEndian.getByteArray(bArr, i2 + UnknownRecord.CODENAME_1BA, 30);
        this.field_45_reserved1 = LittleEndian.getInt(bArr, i2 + 472);
        this.field_46_reserved2 = LittleEndian.getInt(bArr, i2 + 476);
        this.field_47_cDBC = LittleEndian.getInt(bArr, i2 + 480);
        this.field_48_cDBCFtnEdn = LittleEndian.getInt(bArr, i2 + 484);
        this.field_49_reserved = LittleEndian.getInt(bArr, i2 + 488);
        this.field_50_nfcFtnRef = LittleEndian.getShort(bArr, i2 + 492);
        this.field_51_nfcEdnRef = LittleEndian.getShort(bArr, i2 + 494);
        this.field_52_hpsZoonFontPag = LittleEndian.getShort(bArr, i2 + 496);
        this.field_53_dywDispPag = LittleEndian.getShort(bArr, i2 + 498);
    }

    @Internal
    public short getAdt() {
        return this.field_34_adt;
    }

    @Internal
    public byte[] getAsumyi() {
        return this.field_39_asumyi;
    }

    @Internal
    public int getCCh() {
        return this.field_20_cCh;
    }

    @Internal
    public int getCChFtnEdn() {
        return this.field_27_cChFtnEdn;
    }

    @Internal
    public int getCChWS() {
        return this.field_40_cChWS;
    }

    @Internal
    public int getCChWSFtnEdn() {
        return this.field_41_cChWSFtnEdn;
    }

    @Internal
    public int getCConsexHypLim() {
        return this.field_12_cConsexHypLim;
    }

    @Internal
    public int getCDBC() {
        return this.field_47_cDBC;
    }

    @Internal
    public int getCDBCFtnEdn() {
        return this.field_48_cDBCFtnEdn;
    }

    @Internal
    public int getCLines() {
        return this.field_25_cLines;
    }

    @Internal
    public int getCLinesFtnEdn() {
        return this.field_30_cLinesFtnEdn;
    }

    @Internal
    public int getCParas() {
        return this.field_22_cParas;
    }

    @Internal
    public int getCParasFtnEdn() {
        return this.field_29_cParasFtnEdn;
    }

    @Internal
    public int getCPg() {
        return this.field_21_cPg;
    }

    @Internal
    public short getCPgFtnEdn() {
        return this.field_28_cPgFtnEdn;
    }

    @Internal
    public int getCWords() {
        return this.field_19_cWords;
    }

    @Internal
    public int getCWordsFtnEnd() {
        return this.field_26_cWordsFtnEnd;
    }

    @Internal
    public byte getDocinfo() {
        return this.field_5_docinfo;
    }

    @Internal
    public byte getDocinfo1() {
        return this.field_6_docinfo1;
    }

    @Internal
    public byte getDocinfo2() {
        return this.field_7_docinfo2;
    }

    @Internal
    public short getDocinfo3() {
        return this.field_8_docinfo3;
    }

    @Internal
    public int getDocinfo4() {
        return this.field_33_docinfo4;
    }

    @Internal
    public short getDocinfo5() {
        return this.field_37_docinfo5;
    }

    @Internal
    public short getDocinfo6() {
        return this.field_38_docinfo6;
    }

    @Internal
    public byte[] getDogrid() {
        return this.field_36_dogrid;
    }

    @Internal
    public byte[] getDoptypography() {
        return this.field_35_doptypography;
    }

    @Internal
    public int getDttmCreated() {
        return this.field_14_dttmCreated;
    }

    @Internal
    public int getDttmLastPrint() {
        return this.field_16_dttmLastPrint;
    }

    @Internal
    public int getDttmRevised() {
        return this.field_15_dttmRevised;
    }

    @Internal
    public int getDxaHotz() {
        return this.field_11_dxaHotz;
    }

    @Internal
    public int getDxaTab() {
        return this.field_9_dxaTab;
    }

    @Internal
    public short getDywDispPag() {
        return this.field_53_dywDispPag;
    }

    @Internal
    public short getEdn() {
        return this.field_23_Edn;
    }

    @Internal
    public short getEdn1() {
        return this.field_24_Edn1;
    }

    @Internal
    public byte getEpc() {
        return (byte) epc.getValue(this.field_24_Edn1);
    }

    @Internal
    public byte getFOutlineDirtySave() {
        return this.field_4_fOutlineDirtySave;
    }

    @Internal
    public short getFootnoteInfo() {
        return this.field_3_footnoteInfo;
    }

    @Internal
    public byte getFormatFlags() {
        return this.field_1_formatFlags;
    }

    @Internal
    public byte getFpc() {
        return (byte) fpc.getValue(this.field_1_formatFlags);
    }

    @Internal
    public int getGrfDocEvents() {
        return this.field_42_grfDocEvents;
    }

    @Internal
    public byte getGrfSupression() {
        return (byte) grfSupression.getValue(this.field_1_formatFlags);
    }

    @Internal
    public short getHpsZoonFontPag() {
        return this.field_52_hpsZoonFontPag;
    }

    @Internal
    public int getKeyVirusSession30() {
        return KeyVirusSession30.getValue(this.field_43_virusinfo);
    }

    @Internal
    public int getLKeyProtDoc() {
        return this.field_31_lKeyProtDoc;
    }

    @Internal
    public byte getLvl() {
        return (byte) lvl.getValue(this.field_37_docinfo5);
    }

    @Internal
    public short getNEdn() {
        return (short) nEdn.getValue(this.field_23_Edn);
    }

    @Internal
    public short getNFtn() {
        return (short) nFtn.getValue(this.field_3_footnoteInfo);
    }

    @Internal
    public int getNRevision() {
        return this.field_17_nRevision;
    }

    @Internal
    public short getNfcEdnRef() {
        return this.field_51_nfcEdnRef;
    }

    @Internal
    public byte getNfcEdnRef1() {
        return (byte) nfcEdnRef1.getValue(this.field_24_Edn1);
    }

    @Internal
    public short getNfcFtnRef() {
        return this.field_50_nfcFtnRef;
    }

    @Internal
    public byte getNfcFtnRef1() {
        return (byte) nfcFtnRef1.getValue(this.field_24_Edn1);
    }

    @Internal
    public int getReserved() {
        return this.field_49_reserved;
    }

    @Internal
    public int getReserved1() {
        return this.field_45_reserved1;
    }

    @Internal
    public int getReserved2() {
        return this.field_46_reserved2;
    }

    @Internal
    public byte getRncEdn() {
        return (byte) rncEdn.getValue(this.field_23_Edn);
    }

    @Internal
    public byte getRncFtn() {
        return (byte) rncFtn.getValue(this.field_3_footnoteInfo);
    }

    @Internal
    public byte[] getSpare() {
        return this.field_44_Spare;
    }

    @Internal
    public int getTmEdited() {
        return this.field_18_tmEdited;
    }

    @Internal
    public byte getUnused2() {
        return this.field_2_unused2;
    }

    @Internal
    public byte getUnused5() {
        return (byte) unused5.getValue(this.field_8_docinfo3);
    }

    @Internal
    public short getView() {
        return this.field_32_view;
    }

    @Internal
    public int getVirusinfo() {
        return this.field_43_virusinfo;
    }

    @Internal
    public short getWScaleSaved() {
        return (short) wScaleSaved.getValue(this.field_32_view);
    }

    @Internal
    public int getWSpare() {
        return this.field_10_wSpare;
    }

    @Internal
    public int getWSpare2() {
        return this.field_13_wSpare2;
    }

    @Internal
    public byte getWvkSaved() {
        return (byte) wvkSaved.getValue(this.field_32_view);
    }

    @Internal
    public byte getZkSaved() {
        return (byte) zkSaved.getValue(this.field_32_view);
    }

    @Internal
    public boolean isFAutoHyphen() {
        return fAutoHyphen.isSet(this.field_5_docinfo);
    }

    @Internal
    public boolean isFAutoVersions() {
        return fAutoVersions.isSet(this.field_38_docinfo6);
    }

    @Internal
    public boolean isFBackup() {
        return fBackup.isSet(this.field_6_docinfo1);
    }

    @Internal
    public boolean isFConvMailMergeEsc() {
        return fConvMailMergeEsc.isSet(this.field_33_docinfo4);
    }

    @Internal
    public boolean isFDfltTrueType() {
        return fDfltTrueType.isSet(this.field_6_docinfo1);
    }

    @Internal
    public boolean isFDispFormFldSel() {
        return fDispFormFldSel.isSet(this.field_7_docinfo2);
    }

    @Internal
    public boolean isFEmbedFonts() {
        return fEmbedFonts.isSet(this.field_7_docinfo2);
    }

    @Internal
    public boolean isFExactCWords() {
        return fExactCWords.isSet(this.field_6_docinfo1);
    }

    @Internal
    public boolean isFFacingPages() {
        return fFacingPages.isSet(this.field_1_formatFlags);
    }

    @Internal
    public boolean isFForcePageSizePag() {
        return fForcePageSizePag.isSet(this.field_37_docinfo5);
    }

    @Internal
    public boolean isFFormNoFields() {
        return fFormNoFields.isSet(this.field_5_docinfo);
    }

    @Internal
    public boolean isFGramAllClean() {
        return fGramAllClean.isSet(this.field_37_docinfo5);
    }

    @Internal
    public boolean isFGramAllDone() {
        return fGramAllDone.isSet(this.field_37_docinfo5);
    }

    @Internal
    public boolean isFHaveVersions() {
        return fHaveVersions.isSet(this.field_38_docinfo6);
    }

    @Internal
    public boolean isFHideLastVersion() {
        return fHideLastVersion.isSet(this.field_37_docinfo5);
    }

    @Internal
    public boolean isFHtmlDoc() {
        return fHtmlDoc.isSet(this.field_37_docinfo5);
    }

    @Internal
    public boolean isFHyphCapitals() {
        return fHyphCapitals.isSet(this.field_5_docinfo);
    }

    @Internal
    public boolean isFIncludeFooter() {
        return fIncludeFooter.isSet(this.field_37_docinfo5);
    }

    @Internal
    public boolean isFIncludeHeader() {
        return fIncludeHeader.isSet(this.field_37_docinfo5);
    }

    @Internal
    public boolean isFLabelDoc() {
        return fLabelDoc.isSet(this.field_5_docinfo);
    }

    @Internal
    public boolean isFLinkStyles() {
        return fLinkStyles.isSet(this.field_5_docinfo);
    }

    @Internal
    public boolean isFLockAtn() {
        return fLockAtn.isSet(this.field_6_docinfo1);
    }

    @Internal
    public boolean isFLockRev() {
        return fLockRev.isSet(this.field_7_docinfo2);
    }

    @Internal
    public boolean isFMWSmallCaps() {
        return fMWSmallCaps.isSet(this.field_33_docinfo4);
    }

    @Internal
    public boolean isFMapPrintTextColor() {
        return fMapPrintTextColor.isSet(this.field_33_docinfo4);
    }

    @Internal
    public boolean isFMinFontSizePag() {
        return fMinFontSizePag.isSet(this.field_37_docinfo5);
    }

    @Internal
    public boolean isFMirrorMargins() {
        return fMirrorMargins.isSet(this.field_6_docinfo1);
    }

    @Internal
    public boolean isFNoColumnBalance() {
        return fNoColumnBalance.isSet(this.field_33_docinfo4);
    }

    @Internal
    public boolean isFNoLeading() {
        return fNoLeading.isSet(this.field_33_docinfo4);
    }

    @Internal
    public boolean isFNoSpaceRaiseLower() {
        return fNoSpaceRaiseLower.isSet(this.field_33_docinfo4);
    }

    @Internal
    public boolean isFNoTabForInd() {
        return fNoTabForInd.isSet(this.field_33_docinfo4);
    }

    @Internal
    public boolean isFOnlyMacPics() {
        return fOnlyMacPics.isSet(this.field_5_docinfo);
    }

    @Internal
    public boolean isFOnlyWinPics() {
        return fOnlyWinPics.isSet(this.field_5_docinfo);
    }

    @Internal
    public boolean isFOrigWordTableRules() {
        return fOrigWordTableRules.isSet(this.field_33_docinfo4);
    }

    @Internal
    public boolean isFPMHMainDoc() {
        return fPMHMainDoc.isSet(this.field_1_formatFlags);
    }

    @Internal
    public boolean isFPagHidden() {
        return fPagHidden.isSet(this.field_6_docinfo1);
    }

    @Internal
    public boolean isFPagResults() {
        return fPagResults.isSet(this.field_6_docinfo1);
    }

    @Internal
    public boolean isFPagSupressTopSpacing() {
        return fPagSupressTopSpacing.isSet(this.field_7_docinfo2);
    }

    @Internal
    public boolean isFPrintBodyBeforeHdr() {
        return fPrintBodyBeforeHdr.isSet(this.field_33_docinfo4);
    }

    @Internal
    public boolean isFPrintFormData() {
        return fPrintFormData.isSet(this.field_24_Edn1);
    }

    @Internal
    public boolean isFProtEnabled() {
        return fProtEnabled.isSet(this.field_7_docinfo2);
    }

    @Internal
    public boolean isFRMPrint() {
        return fRMPrint.isSet(this.field_7_docinfo2);
    }

    @Internal
    public boolean isFRMView() {
        return fRMView.isSet(this.field_7_docinfo2);
    }

    @Internal
    public boolean isFRevMarking() {
        return fRevMarking.isSet(this.field_5_docinfo);
    }

    @Internal
    public boolean isFRotateFontW6() {
        return fRotateFontW6.isSet(this.field_32_view);
    }

    @Internal
    public boolean isFSaveFormData() {
        return fSaveFormData.isSet(this.field_24_Edn1);
    }

    @Internal
    public boolean isFShadeFormData() {
        return fShadeFormData.isSet(this.field_24_Edn1);
    }

    @Internal
    public boolean isFShowBreaksInFrames() {
        return fShowBreaksInFrames.isSet(this.field_33_docinfo4);
    }

    @Internal
    public boolean isFSnapBorder() {
        return fSnapBorder.isSet(this.field_37_docinfo5);
    }

    @Internal
    public boolean isFSubsetFonts() {
        return fSubsetFonts.isSet(this.field_37_docinfo5);
    }

    @Internal
    public boolean isFSuppressTopSPacingMac5() {
        return fSuppressTopSPacingMac5.isSet(this.field_33_docinfo4);
    }

    @Internal
    public boolean isFSupressSpdfAfterPageBreak() {
        return fSupressSpdfAfterPageBreak.isSet(this.field_33_docinfo4);
    }

    @Internal
    public boolean isFSupressTopSpacing() {
        return fSupressTopSpacing.isSet(this.field_33_docinfo4);
    }

    @Internal
    public boolean isFSwapBordersFacingPgs() {
        return fSwapBordersFacingPgs.isSet(this.field_33_docinfo4);
    }

    @Internal
    public boolean isFTransparentMetafiles() {
        return fTransparentMetafiles.isSet(this.field_33_docinfo4);
    }

    @Internal
    public boolean isFTruncDxaExpand() {
        return fTruncDxaExpand.isSet(this.field_33_docinfo4);
    }

    @Internal
    public boolean isFVirusLoadSafe() {
        return fVirusLoadSafe.isSet(this.field_43_virusinfo);
    }

    @Internal
    public boolean isFVirusPrompted() {
        return fVirusPrompted.isSet(this.field_43_virusinfo);
    }

    @Internal
    public boolean isFWCFtnEdn() {
        return fWCFtnEdn.isSet(this.field_24_Edn1);
    }

    @Internal
    public boolean isFWidowControl() {
        return fWidowControl.isSet(this.field_1_formatFlags);
    }

    @Internal
    public boolean isFWrapTrailSpaces() {
        return fWrapTrailSpaces.isSet(this.field_33_docinfo4);
    }

    @Internal
    public boolean isIGutterPos() {
        return iGutterPos.isSet(this.field_32_view);
    }

    @Internal
    public boolean isOldfConvMailMergeEsc() {
        return oldfConvMailMergeEsc.isSet(this.field_8_docinfo3);
    }

    @Internal
    public boolean isOldfMapPrintTextColor() {
        return oldfMapPrintTextColor.isSet(this.field_8_docinfo3);
    }

    @Internal
    public boolean isOldfNoColumnBalance() {
        return oldfNoColumnBalance.isSet(this.field_8_docinfo3);
    }

    @Internal
    public boolean isOldfNoSpaceRaiseLower() {
        return oldfNoSpaceRaiseLower.isSet(this.field_8_docinfo3);
    }

    @Internal
    public boolean isOldfNoTabForInd() {
        return oldfNoTabForInd.isSet(this.field_8_docinfo3);
    }

    @Internal
    public boolean isOldfOrigWordTableRules() {
        return oldfOrigWordTableRules.isSet(this.field_8_docinfo3);
    }

    @Internal
    public boolean isOldfShowBreaksInFrames() {
        return oldfShowBreaksInFrames.isSet(this.field_8_docinfo3);
    }

    @Internal
    public boolean isOldfSuppressSpbfAfterPageBreak() {
        return oldfSuppressSpbfAfterPageBreak.isSet(this.field_8_docinfo3);
    }

    @Internal
    public boolean isOldfSupressTopSpacing() {
        return oldfSupressTopSpacing.isSet(this.field_8_docinfo3);
    }

    @Internal
    public boolean isOldfSwapBordersFacingPgs() {
        return oldfSwapBordersFacingPgs.isSet(this.field_8_docinfo3);
    }

    @Internal
    public boolean isOldfTransparentMetafiles() {
        return oldfTransparentMetafiles.isSet(this.field_8_docinfo3);
    }

    @Internal
    public boolean isOldfWrapTrailSpaces() {
        return oldfWrapTrailSpaces.isSet(this.field_8_docinfo3);
    }

    @Internal
    public boolean isUnused1() {
        return unused1.isSet(this.field_1_formatFlags);
    }

    @Internal
    public boolean isUnused3() {
        return unused3.isSet(this.field_6_docinfo1);
    }

    @Internal
    public boolean isUnused4() {
        return unused4.isSet(this.field_7_docinfo2);
    }

    public void serialize(byte[] bArr, int i2) {
        bArr[i2 + 0] = this.field_1_formatFlags;
        bArr[i2 + 1] = this.field_2_unused2;
        LittleEndian.putShort(bArr, i2 + 2, this.field_3_footnoteInfo);
        bArr[i2 + 4] = this.field_4_fOutlineDirtySave;
        bArr[i2 + 5] = this.field_5_docinfo;
        bArr[i2 + 6] = this.field_6_docinfo1;
        bArr[i2 + 7] = this.field_7_docinfo2;
        LittleEndian.putShort(bArr, i2 + 8, this.field_8_docinfo3);
        LittleEndian.putShort(bArr, i2 + 10, (short) this.field_9_dxaTab);
        LittleEndian.putShort(bArr, i2 + 12, (short) this.field_10_wSpare);
        LittleEndian.putShort(bArr, i2 + 14, (short) this.field_11_dxaHotz);
        LittleEndian.putShort(bArr, i2 + 16, (short) this.field_12_cConsexHypLim);
        LittleEndian.putShort(bArr, i2 + 18, (short) this.field_13_wSpare2);
        LittleEndian.putInt(bArr, i2 + 20, this.field_14_dttmCreated);
        LittleEndian.putInt(bArr, i2 + 24, this.field_15_dttmRevised);
        LittleEndian.putInt(bArr, i2 + 28, this.field_16_dttmLastPrint);
        LittleEndian.putShort(bArr, i2 + 32, (short) this.field_17_nRevision);
        LittleEndian.putInt(bArr, i2 + 34, this.field_18_tmEdited);
        LittleEndian.putInt(bArr, i2 + 38, this.field_19_cWords);
        LittleEndian.putInt(bArr, i2 + 42, this.field_20_cCh);
        LittleEndian.putShort(bArr, i2 + 46, (short) this.field_21_cPg);
        LittleEndian.putInt(bArr, i2 + 48, this.field_22_cParas);
        LittleEndian.putShort(bArr, i2 + 52, this.field_23_Edn);
        LittleEndian.putShort(bArr, i2 + 54, this.field_24_Edn1);
        LittleEndian.putInt(bArr, i2 + 56, this.field_25_cLines);
        LittleEndian.putInt(bArr, i2 + 60, this.field_26_cWordsFtnEnd);
        LittleEndian.putInt(bArr, i2 + 64, this.field_27_cChFtnEdn);
        LittleEndian.putShort(bArr, i2 + 68, this.field_28_cPgFtnEdn);
        LittleEndian.putInt(bArr, i2 + 70, this.field_29_cParasFtnEdn);
        LittleEndian.putInt(bArr, i2 + 74, this.field_30_cLinesFtnEdn);
        LittleEndian.putInt(bArr, i2 + 78, this.field_31_lKeyProtDoc);
        LittleEndian.putShort(bArr, i2 + 82, this.field_32_view);
        LittleEndian.putInt(bArr, i2 + 84, this.field_33_docinfo4);
        LittleEndian.putShort(bArr, i2 + 88, this.field_34_adt);
        byte[] bArr2 = this.field_35_doptypography;
        System.arraycopy(bArr2, 0, bArr, i2 + 90, bArr2.length);
        byte[] bArr3 = this.field_36_dogrid;
        System.arraycopy(bArr3, 0, bArr, i2 + 400, bArr3.length);
        LittleEndian.putShort(bArr, i2 + 410, this.field_37_docinfo5);
        LittleEndian.putShort(bArr, i2 + 412, this.field_38_docinfo6);
        byte[] bArr4 = this.field_39_asumyi;
        System.arraycopy(bArr4, 0, bArr, i2 + 414, bArr4.length);
        LittleEndian.putInt(bArr, i2 + 426, this.field_40_cChWS);
        LittleEndian.putInt(bArr, i2 + 430, this.field_41_cChWSFtnEdn);
        LittleEndian.putInt(bArr, i2 + 434, this.field_42_grfDocEvents);
        LittleEndian.putInt(bArr, i2 + 438, this.field_43_virusinfo);
        byte[] bArr5 = this.field_44_Spare;
        System.arraycopy(bArr5, 0, bArr, i2 + UnknownRecord.CODENAME_1BA, bArr5.length);
        LittleEndian.putInt(bArr, i2 + 472, this.field_45_reserved1);
        LittleEndian.putInt(bArr, i2 + 476, this.field_46_reserved2);
        LittleEndian.putInt(bArr, i2 + 480, this.field_47_cDBC);
        LittleEndian.putInt(bArr, i2 + 484, this.field_48_cDBCFtnEdn);
        LittleEndian.putInt(bArr, i2 + 488, this.field_49_reserved);
        LittleEndian.putShort(bArr, i2 + 492, this.field_50_nfcFtnRef);
        LittleEndian.putShort(bArr, i2 + 494, this.field_51_nfcEdnRef);
        LittleEndian.putShort(bArr, i2 + 496, this.field_52_hpsZoonFontPag);
        LittleEndian.putShort(bArr, i2 + 498, this.field_53_dywDispPag);
    }

    @Internal
    public void setAdt(short s) {
        this.field_34_adt = s;
    }

    @Internal
    public void setAsumyi(byte[] bArr) {
        this.field_39_asumyi = bArr;
    }

    @Internal
    public void setCCh(int i2) {
        this.field_20_cCh = i2;
    }

    @Internal
    public void setCChFtnEdn(int i2) {
        this.field_27_cChFtnEdn = i2;
    }

    @Internal
    public void setCChWS(int i2) {
        this.field_40_cChWS = i2;
    }

    @Internal
    public void setCChWSFtnEdn(int i2) {
        this.field_41_cChWSFtnEdn = i2;
    }

    @Internal
    public void setCConsexHypLim(int i2) {
        this.field_12_cConsexHypLim = i2;
    }

    @Internal
    public void setCDBC(int i2) {
        this.field_47_cDBC = i2;
    }

    @Internal
    public void setCDBCFtnEdn(int i2) {
        this.field_48_cDBCFtnEdn = i2;
    }

    @Internal
    public void setCLines(int i2) {
        this.field_25_cLines = i2;
    }

    @Internal
    public void setCLinesFtnEdn(int i2) {
        this.field_30_cLinesFtnEdn = i2;
    }

    @Internal
    public void setCParas(int i2) {
        this.field_22_cParas = i2;
    }

    @Internal
    public void setCParasFtnEdn(int i2) {
        this.field_29_cParasFtnEdn = i2;
    }

    @Internal
    public void setCPg(int i2) {
        this.field_21_cPg = i2;
    }

    @Internal
    public void setCPgFtnEdn(short s) {
        this.field_28_cPgFtnEdn = s;
    }

    @Internal
    public void setCWords(int i2) {
        this.field_19_cWords = i2;
    }

    @Internal
    public void setCWordsFtnEnd(int i2) {
        this.field_26_cWordsFtnEnd = i2;
    }

    @Internal
    public void setDocinfo(byte b2) {
        this.field_5_docinfo = b2;
    }

    @Internal
    public void setDocinfo1(byte b2) {
        this.field_6_docinfo1 = b2;
    }

    @Internal
    public void setDocinfo2(byte b2) {
        this.field_7_docinfo2 = b2;
    }

    @Internal
    public void setDocinfo3(short s) {
        this.field_8_docinfo3 = s;
    }

    @Internal
    public void setDocinfo4(int i2) {
        this.field_33_docinfo4 = i2;
    }

    @Internal
    public void setDocinfo5(short s) {
        this.field_37_docinfo5 = s;
    }

    @Internal
    public void setDocinfo6(short s) {
        this.field_38_docinfo6 = s;
    }

    @Internal
    public void setDogrid(byte[] bArr) {
        this.field_36_dogrid = bArr;
    }

    @Internal
    public void setDoptypography(byte[] bArr) {
        this.field_35_doptypography = bArr;
    }

    @Internal
    public void setDttmCreated(int i2) {
        this.field_14_dttmCreated = i2;
    }

    @Internal
    public void setDttmLastPrint(int i2) {
        this.field_16_dttmLastPrint = i2;
    }

    @Internal
    public void setDttmRevised(int i2) {
        this.field_15_dttmRevised = i2;
    }

    @Internal
    public void setDxaHotz(int i2) {
        this.field_11_dxaHotz = i2;
    }

    @Internal
    public void setDxaTab(int i2) {
        this.field_9_dxaTab = i2;
    }

    @Internal
    public void setDywDispPag(short s) {
        this.field_53_dywDispPag = s;
    }

    @Internal
    public void setEdn(short s) {
        this.field_23_Edn = s;
    }

    @Internal
    public void setEdn1(short s) {
        this.field_24_Edn1 = s;
    }

    @Internal
    public void setEpc(byte b2) {
        this.field_24_Edn1 = (short) epc.setValue(this.field_24_Edn1, b2);
    }

    @Internal
    public void setFAutoHyphen(boolean z) {
        this.field_5_docinfo = (byte) fAutoHyphen.setBoolean(this.field_5_docinfo, z);
    }

    @Internal
    public void setFAutoVersions(boolean z) {
        this.field_38_docinfo6 = (short) fAutoVersions.setBoolean(this.field_38_docinfo6, z);
    }

    @Internal
    public void setFBackup(boolean z) {
        this.field_6_docinfo1 = (byte) fBackup.setBoolean(this.field_6_docinfo1, z);
    }

    @Internal
    public void setFConvMailMergeEsc(boolean z) {
        this.field_33_docinfo4 = fConvMailMergeEsc.setBoolean(this.field_33_docinfo4, z);
    }

    @Internal
    public void setFDfltTrueType(boolean z) {
        this.field_6_docinfo1 = (byte) fDfltTrueType.setBoolean(this.field_6_docinfo1, z);
    }

    @Internal
    public void setFDispFormFldSel(boolean z) {
        this.field_7_docinfo2 = (byte) fDispFormFldSel.setBoolean(this.field_7_docinfo2, z);
    }

    @Internal
    public void setFEmbedFonts(boolean z) {
        this.field_7_docinfo2 = (byte) fEmbedFonts.setBoolean(this.field_7_docinfo2, z);
    }

    @Internal
    public void setFExactCWords(boolean z) {
        this.field_6_docinfo1 = (byte) fExactCWords.setBoolean(this.field_6_docinfo1, z);
    }

    @Internal
    public void setFFacingPages(boolean z) {
        this.field_1_formatFlags = (byte) fFacingPages.setBoolean(this.field_1_formatFlags, z);
    }

    @Internal
    public void setFForcePageSizePag(boolean z) {
        this.field_37_docinfo5 = (short) fForcePageSizePag.setBoolean(this.field_37_docinfo5, z);
    }

    @Internal
    public void setFFormNoFields(boolean z) {
        this.field_5_docinfo = (byte) fFormNoFields.setBoolean(this.field_5_docinfo, z);
    }

    @Internal
    public void setFGramAllClean(boolean z) {
        this.field_37_docinfo5 = (short) fGramAllClean.setBoolean(this.field_37_docinfo5, z);
    }

    @Internal
    public void setFGramAllDone(boolean z) {
        this.field_37_docinfo5 = (short) fGramAllDone.setBoolean(this.field_37_docinfo5, z);
    }

    @Internal
    public void setFHaveVersions(boolean z) {
        this.field_38_docinfo6 = (short) fHaveVersions.setBoolean(this.field_38_docinfo6, z);
    }

    @Internal
    public void setFHideLastVersion(boolean z) {
        this.field_37_docinfo5 = (short) fHideLastVersion.setBoolean(this.field_37_docinfo5, z);
    }

    @Internal
    public void setFHtmlDoc(boolean z) {
        this.field_37_docinfo5 = (short) fHtmlDoc.setBoolean(this.field_37_docinfo5, z);
    }

    @Internal
    public void setFHyphCapitals(boolean z) {
        this.field_5_docinfo = (byte) fHyphCapitals.setBoolean(this.field_5_docinfo, z);
    }

    @Internal
    public void setFIncludeFooter(boolean z) {
        this.field_37_docinfo5 = (short) fIncludeFooter.setBoolean(this.field_37_docinfo5, z);
    }

    @Internal
    public void setFIncludeHeader(boolean z) {
        this.field_37_docinfo5 = (short) fIncludeHeader.setBoolean(this.field_37_docinfo5, z);
    }

    @Internal
    public void setFLabelDoc(boolean z) {
        this.field_5_docinfo = (byte) fLabelDoc.setBoolean(this.field_5_docinfo, z);
    }

    @Internal
    public void setFLinkStyles(boolean z) {
        this.field_5_docinfo = (byte) fLinkStyles.setBoolean(this.field_5_docinfo, z);
    }

    @Internal
    public void setFLockAtn(boolean z) {
        this.field_6_docinfo1 = (byte) fLockAtn.setBoolean(this.field_6_docinfo1, z);
    }

    @Internal
    public void setFLockRev(boolean z) {
        this.field_7_docinfo2 = (byte) fLockRev.setBoolean(this.field_7_docinfo2, z);
    }

    @Internal
    public void setFMWSmallCaps(boolean z) {
        this.field_33_docinfo4 = fMWSmallCaps.setBoolean(this.field_33_docinfo4, z);
    }

    @Internal
    public void setFMapPrintTextColor(boolean z) {
        this.field_33_docinfo4 = fMapPrintTextColor.setBoolean(this.field_33_docinfo4, z);
    }

    @Internal
    public void setFMinFontSizePag(boolean z) {
        this.field_37_docinfo5 = (short) fMinFontSizePag.setBoolean(this.field_37_docinfo5, z);
    }

    @Internal
    public void setFMirrorMargins(boolean z) {
        this.field_6_docinfo1 = (byte) fMirrorMargins.setBoolean(this.field_6_docinfo1, z);
    }

    @Internal
    public void setFNoColumnBalance(boolean z) {
        this.field_33_docinfo4 = fNoColumnBalance.setBoolean(this.field_33_docinfo4, z);
    }

    @Internal
    public void setFNoLeading(boolean z) {
        this.field_33_docinfo4 = fNoLeading.setBoolean(this.field_33_docinfo4, z);
    }

    @Internal
    public void setFNoSpaceRaiseLower(boolean z) {
        this.field_33_docinfo4 = fNoSpaceRaiseLower.setBoolean(this.field_33_docinfo4, z);
    }

    @Internal
    public void setFNoTabForInd(boolean z) {
        this.field_33_docinfo4 = fNoTabForInd.setBoolean(this.field_33_docinfo4, z);
    }

    @Internal
    public void setFOnlyMacPics(boolean z) {
        this.field_5_docinfo = (byte) fOnlyMacPics.setBoolean(this.field_5_docinfo, z);
    }

    @Internal
    public void setFOnlyWinPics(boolean z) {
        this.field_5_docinfo = (byte) fOnlyWinPics.setBoolean(this.field_5_docinfo, z);
    }

    @Internal
    public void setFOrigWordTableRules(boolean z) {
        this.field_33_docinfo4 = fOrigWordTableRules.setBoolean(this.field_33_docinfo4, z);
    }

    @Internal
    public void setFOutlineDirtySave(byte b2) {
        this.field_4_fOutlineDirtySave = b2;
    }

    @Internal
    public void setFPMHMainDoc(boolean z) {
        this.field_1_formatFlags = (byte) fPMHMainDoc.setBoolean(this.field_1_formatFlags, z);
    }

    @Internal
    public void setFPagHidden(boolean z) {
        this.field_6_docinfo1 = (byte) fPagHidden.setBoolean(this.field_6_docinfo1, z);
    }

    @Internal
    public void setFPagResults(boolean z) {
        this.field_6_docinfo1 = (byte) fPagResults.setBoolean(this.field_6_docinfo1, z);
    }

    @Internal
    public void setFPagSupressTopSpacing(boolean z) {
        this.field_7_docinfo2 = (byte) fPagSupressTopSpacing.setBoolean(this.field_7_docinfo2, z);
    }

    @Internal
    public void setFPrintBodyBeforeHdr(boolean z) {
        this.field_33_docinfo4 = fPrintBodyBeforeHdr.setBoolean(this.field_33_docinfo4, z);
    }

    @Internal
    public void setFPrintFormData(boolean z) {
        this.field_24_Edn1 = (short) fPrintFormData.setBoolean(this.field_24_Edn1, z);
    }

    @Internal
    public void setFProtEnabled(boolean z) {
        this.field_7_docinfo2 = (byte) fProtEnabled.setBoolean(this.field_7_docinfo2, z);
    }

    @Internal
    public void setFRMPrint(boolean z) {
        this.field_7_docinfo2 = (byte) fRMPrint.setBoolean(this.field_7_docinfo2, z);
    }

    @Internal
    public void setFRMView(boolean z) {
        this.field_7_docinfo2 = (byte) fRMView.setBoolean(this.field_7_docinfo2, z);
    }

    @Internal
    public void setFRevMarking(boolean z) {
        this.field_5_docinfo = (byte) fRevMarking.setBoolean(this.field_5_docinfo, z);
    }

    @Internal
    public void setFRotateFontW6(boolean z) {
        this.field_32_view = (short) fRotateFontW6.setBoolean(this.field_32_view, z);
    }

    @Internal
    public void setFSaveFormData(boolean z) {
        this.field_24_Edn1 = (short) fSaveFormData.setBoolean(this.field_24_Edn1, z);
    }

    @Internal
    public void setFShadeFormData(boolean z) {
        this.field_24_Edn1 = (short) fShadeFormData.setBoolean(this.field_24_Edn1, z);
    }

    @Internal
    public void setFShowBreaksInFrames(boolean z) {
        this.field_33_docinfo4 = fShowBreaksInFrames.setBoolean(this.field_33_docinfo4, z);
    }

    @Internal
    public void setFSnapBorder(boolean z) {
        this.field_37_docinfo5 = (short) fSnapBorder.setBoolean(this.field_37_docinfo5, z);
    }

    @Internal
    public void setFSubsetFonts(boolean z) {
        this.field_37_docinfo5 = (short) fSubsetFonts.setBoolean(this.field_37_docinfo5, z);
    }

    @Internal
    public void setFSuppressTopSPacingMac5(boolean z) {
        this.field_33_docinfo4 = fSuppressTopSPacingMac5.setBoolean(this.field_33_docinfo4, z);
    }

    @Internal
    public void setFSupressSpdfAfterPageBreak(boolean z) {
        this.field_33_docinfo4 = fSupressSpdfAfterPageBreak.setBoolean(this.field_33_docinfo4, z);
    }

    @Internal
    public void setFSupressTopSpacing(boolean z) {
        this.field_33_docinfo4 = fSupressTopSpacing.setBoolean(this.field_33_docinfo4, z);
    }

    @Internal
    public void setFSwapBordersFacingPgs(boolean z) {
        this.field_33_docinfo4 = fSwapBordersFacingPgs.setBoolean(this.field_33_docinfo4, z);
    }

    @Internal
    public void setFTransparentMetafiles(boolean z) {
        this.field_33_docinfo4 = fTransparentMetafiles.setBoolean(this.field_33_docinfo4, z);
    }

    @Internal
    public void setFTruncDxaExpand(boolean z) {
        this.field_33_docinfo4 = fTruncDxaExpand.setBoolean(this.field_33_docinfo4, z);
    }

    @Internal
    public void setFVirusLoadSafe(boolean z) {
        this.field_43_virusinfo = fVirusLoadSafe.setBoolean(this.field_43_virusinfo, z);
    }

    @Internal
    public void setFVirusPrompted(boolean z) {
        this.field_43_virusinfo = fVirusPrompted.setBoolean(this.field_43_virusinfo, z);
    }

    @Internal
    public void setFWCFtnEdn(boolean z) {
        this.field_24_Edn1 = (short) fWCFtnEdn.setBoolean(this.field_24_Edn1, z);
    }

    @Internal
    public void setFWidowControl(boolean z) {
        this.field_1_formatFlags = (byte) fWidowControl.setBoolean(this.field_1_formatFlags, z);
    }

    @Internal
    public void setFWrapTrailSpaces(boolean z) {
        this.field_33_docinfo4 = fWrapTrailSpaces.setBoolean(this.field_33_docinfo4, z);
    }

    @Internal
    public void setFootnoteInfo(short s) {
        this.field_3_footnoteInfo = s;
    }

    @Internal
    public void setFormatFlags(byte b2) {
        this.field_1_formatFlags = b2;
    }

    @Internal
    public void setFpc(byte b2) {
        this.field_1_formatFlags = (byte) fpc.setValue(this.field_1_formatFlags, b2);
    }

    @Internal
    public void setGrfDocEvents(int i2) {
        this.field_42_grfDocEvents = i2;
    }

    @Internal
    public void setGrfSupression(byte b2) {
        this.field_1_formatFlags = (byte) grfSupression.setValue(this.field_1_formatFlags, b2);
    }

    @Internal
    public void setHpsZoonFontPag(short s) {
        this.field_52_hpsZoonFontPag = s;
    }

    @Internal
    public void setIGutterPos(boolean z) {
        this.field_32_view = (short) iGutterPos.setBoolean(this.field_32_view, z);
    }

    @Internal
    public void setKeyVirusSession30(int i2) {
        this.field_43_virusinfo = KeyVirusSession30.setValue(this.field_43_virusinfo, i2);
    }

    @Internal
    public void setLKeyProtDoc(int i2) {
        this.field_31_lKeyProtDoc = i2;
    }

    @Internal
    public void setLvl(byte b2) {
        this.field_37_docinfo5 = (short) lvl.setValue(this.field_37_docinfo5, b2);
    }

    @Internal
    public void setNEdn(short s) {
        this.field_23_Edn = (short) nEdn.setValue(this.field_23_Edn, s);
    }

    @Internal
    public void setNFtn(short s) {
        this.field_3_footnoteInfo = (short) nFtn.setValue(this.field_3_footnoteInfo, s);
    }

    @Internal
    public void setNRevision(int i2) {
        this.field_17_nRevision = i2;
    }

    @Internal
    public void setNfcEdnRef(short s) {
        this.field_51_nfcEdnRef = s;
    }

    @Internal
    public void setNfcEdnRef1(byte b2) {
        this.field_24_Edn1 = (short) nfcEdnRef1.setValue(this.field_24_Edn1, b2);
    }

    @Internal
    public void setNfcFtnRef(short s) {
        this.field_50_nfcFtnRef = s;
    }

    @Internal
    public void setNfcFtnRef1(byte b2) {
        this.field_24_Edn1 = (short) nfcFtnRef1.setValue(this.field_24_Edn1, b2);
    }

    @Internal
    public void setOldfConvMailMergeEsc(boolean z) {
        this.field_8_docinfo3 = (short) oldfConvMailMergeEsc.setBoolean(this.field_8_docinfo3, z);
    }

    @Internal
    public void setOldfMapPrintTextColor(boolean z) {
        this.field_8_docinfo3 = (short) oldfMapPrintTextColor.setBoolean(this.field_8_docinfo3, z);
    }

    @Internal
    public void setOldfNoColumnBalance(boolean z) {
        this.field_8_docinfo3 = (short) oldfNoColumnBalance.setBoolean(this.field_8_docinfo3, z);
    }

    @Internal
    public void setOldfNoSpaceRaiseLower(boolean z) {
        this.field_8_docinfo3 = (short) oldfNoSpaceRaiseLower.setBoolean(this.field_8_docinfo3, z);
    }

    @Internal
    public void setOldfNoTabForInd(boolean z) {
        this.field_8_docinfo3 = (short) oldfNoTabForInd.setBoolean(this.field_8_docinfo3, z);
    }

    @Internal
    public void setOldfOrigWordTableRules(boolean z) {
        this.field_8_docinfo3 = (short) oldfOrigWordTableRules.setBoolean(this.field_8_docinfo3, z);
    }

    @Internal
    public void setOldfShowBreaksInFrames(boolean z) {
        this.field_8_docinfo3 = (short) oldfShowBreaksInFrames.setBoolean(this.field_8_docinfo3, z);
    }

    @Internal
    public void setOldfSuppressSpbfAfterPageBreak(boolean z) {
        this.field_8_docinfo3 = (short) oldfSuppressSpbfAfterPageBreak.setBoolean(this.field_8_docinfo3, z);
    }

    @Internal
    public void setOldfSupressTopSpacing(boolean z) {
        this.field_8_docinfo3 = (short) oldfSupressTopSpacing.setBoolean(this.field_8_docinfo3, z);
    }

    @Internal
    public void setOldfSwapBordersFacingPgs(boolean z) {
        this.field_8_docinfo3 = (short) oldfSwapBordersFacingPgs.setBoolean(this.field_8_docinfo3, z);
    }

    @Internal
    public void setOldfTransparentMetafiles(boolean z) {
        this.field_8_docinfo3 = (short) oldfTransparentMetafiles.setBoolean(this.field_8_docinfo3, z);
    }

    @Internal
    public void setOldfWrapTrailSpaces(boolean z) {
        this.field_8_docinfo3 = (short) oldfWrapTrailSpaces.setBoolean(this.field_8_docinfo3, z);
    }

    @Internal
    public void setReserved(int i2) {
        this.field_49_reserved = i2;
    }

    @Internal
    public void setReserved1(int i2) {
        this.field_45_reserved1 = i2;
    }

    @Internal
    public void setReserved2(int i2) {
        this.field_46_reserved2 = i2;
    }

    @Internal
    public void setRncEdn(byte b2) {
        this.field_23_Edn = (short) rncEdn.setValue(this.field_23_Edn, b2);
    }

    @Internal
    public void setRncFtn(byte b2) {
        this.field_3_footnoteInfo = (short) rncFtn.setValue(this.field_3_footnoteInfo, b2);
    }

    @Internal
    public void setSpare(byte[] bArr) {
        this.field_44_Spare = bArr;
    }

    @Internal
    public void setTmEdited(int i2) {
        this.field_18_tmEdited = i2;
    }

    @Internal
    public void setUnused1(boolean z) {
        this.field_1_formatFlags = (byte) unused1.setBoolean(this.field_1_formatFlags, z);
    }

    @Internal
    public void setUnused2(byte b2) {
        this.field_2_unused2 = b2;
    }

    @Internal
    public void setUnused3(boolean z) {
        this.field_6_docinfo1 = (byte) unused3.setBoolean(this.field_6_docinfo1, z);
    }

    @Internal
    public void setUnused4(boolean z) {
        this.field_7_docinfo2 = (byte) unused4.setBoolean(this.field_7_docinfo2, z);
    }

    @Internal
    public void setUnused5(byte b2) {
        this.field_8_docinfo3 = (short) unused5.setValue(this.field_8_docinfo3, b2);
    }

    @Internal
    public void setView(short s) {
        this.field_32_view = s;
    }

    @Internal
    public void setVirusinfo(int i2) {
        this.field_43_virusinfo = i2;
    }

    @Internal
    public void setWScaleSaved(short s) {
        this.field_32_view = (short) wScaleSaved.setValue(this.field_32_view, s);
    }

    @Internal
    public void setWSpare(int i2) {
        this.field_10_wSpare = i2;
    }

    @Internal
    public void setWSpare2(int i2) {
        this.field_13_wSpare2 = i2;
    }

    @Internal
    public void setWvkSaved(byte b2) {
        this.field_32_view = (short) wvkSaved.setValue(this.field_32_view, b2);
    }

    @Internal
    public void setZkSaved(byte b2) {
        this.field_32_view = (short) zkSaved.setValue(this.field_32_view, b2);
    }

    public String toString() {
        StringBuilder d2 = a.d("[DOP]\n", "    .formatFlags          = ", " (");
        d2.append((int) getFormatFlags());
        d2.append(" )\n");
        d2.append("         .fFacingPages             = ");
        d2.append(isFFacingPages());
        d2.append('\n');
        d2.append("         .fWidowControl            = ");
        d2.append(isFWidowControl());
        d2.append('\n');
        d2.append("         .fPMHMainDoc              = ");
        d2.append(isFPMHMainDoc());
        d2.append('\n');
        d2.append("         .grfSupression            = ");
        d2.append((int) getGrfSupression());
        d2.append('\n');
        d2.append("         .fpc                      = ");
        d2.append((int) getFpc());
        d2.append('\n');
        d2.append("         .unused1                  = ");
        d2.append(isUnused1());
        d2.append('\n');
        d2.append("    .unused2              = ");
        d2.append(" (");
        d2.append((int) getUnused2());
        d2.append(" )\n");
        d2.append("    .footnoteInfo         = ");
        d2.append(" (");
        d2.append((int) getFootnoteInfo());
        d2.append(" )\n");
        d2.append("         .rncFtn                   = ");
        d2.append((int) getRncFtn());
        d2.append('\n');
        d2.append("         .nFtn                     = ");
        d2.append((int) getNFtn());
        d2.append('\n');
        d2.append("    .fOutlineDirtySave    = ");
        d2.append(" (");
        d2.append((int) getFOutlineDirtySave());
        d2.append(" )\n");
        d2.append("    .docinfo              = ");
        d2.append(" (");
        d2.append((int) getDocinfo());
        d2.append(" )\n");
        d2.append("         .fOnlyMacPics             = ");
        d2.append(isFOnlyMacPics());
        d2.append('\n');
        d2.append("         .fOnlyWinPics             = ");
        d2.append(isFOnlyWinPics());
        d2.append('\n');
        d2.append("         .fLabelDoc                = ");
        d2.append(isFLabelDoc());
        d2.append('\n');
        d2.append("         .fHyphCapitals            = ");
        d2.append(isFHyphCapitals());
        d2.append('\n');
        d2.append("         .fAutoHyphen              = ");
        d2.append(isFAutoHyphen());
        d2.append('\n');
        d2.append("         .fFormNoFields            = ");
        d2.append(isFFormNoFields());
        d2.append('\n');
        d2.append("         .fLinkStyles              = ");
        d2.append(isFLinkStyles());
        d2.append('\n');
        d2.append("         .fRevMarking              = ");
        d2.append(isFRevMarking());
        d2.append('\n');
        d2.append("    .docinfo1             = ");
        d2.append(" (");
        d2.append((int) getDocinfo1());
        d2.append(" )\n");
        d2.append("         .fBackup                  = ");
        d2.append(isFBackup());
        d2.append('\n');
        d2.append("         .fExactCWords             = ");
        d2.append(isFExactCWords());
        d2.append('\n');
        d2.append("         .fPagHidden               = ");
        d2.append(isFPagHidden());
        d2.append('\n');
        d2.append("         .fPagResults              = ");
        d2.append(isFPagResults());
        d2.append('\n');
        d2.append("         .fLockAtn                 = ");
        d2.append(isFLockAtn());
        d2.append('\n');
        d2.append("         .fMirrorMargins           = ");
        d2.append(isFMirrorMargins());
        d2.append('\n');
        d2.append("         .unused3                  = ");
        d2.append(isUnused3());
        d2.append('\n');
        d2.append("         .fDfltTrueType            = ");
        d2.append(isFDfltTrueType());
        d2.append('\n');
        d2.append("    .docinfo2             = ");
        d2.append(" (");
        d2.append((int) getDocinfo2());
        d2.append(" )\n");
        d2.append("         .fPagSupressTopSpacing     = ");
        d2.append(isFPagSupressTopSpacing());
        d2.append('\n');
        d2.append("         .fProtEnabled             = ");
        d2.append(isFProtEnabled());
        d2.append('\n');
        d2.append("         .fDispFormFldSel          = ");
        d2.append(isFDispFormFldSel());
        d2.append('\n');
        d2.append("         .fRMView                  = ");
        d2.append(isFRMView());
        d2.append('\n');
        d2.append("         .fRMPrint                 = ");
        d2.append(isFRMPrint());
        d2.append('\n');
        d2.append("         .unused4                  = ");
        d2.append(isUnused4());
        d2.append('\n');
        d2.append("         .fLockRev                 = ");
        d2.append(isFLockRev());
        d2.append('\n');
        d2.append("         .fEmbedFonts              = ");
        d2.append(isFEmbedFonts());
        d2.append('\n');
        d2.append("    .docinfo3             = ");
        d2.append(" (");
        d2.append((int) getDocinfo3());
        d2.append(" )\n");
        d2.append("         .oldfNoTabForInd          = ");
        d2.append(isOldfNoTabForInd());
        d2.append('\n');
        d2.append("         .oldfNoSpaceRaiseLower     = ");
        d2.append(isOldfNoSpaceRaiseLower());
        d2.append('\n');
        d2.append("         .oldfSuppressSpbfAfterPageBreak     = ");
        d2.append(isOldfSuppressSpbfAfterPageBreak());
        d2.append('\n');
        d2.append("         .oldfWrapTrailSpaces      = ");
        d2.append(isOldfWrapTrailSpaces());
        d2.append('\n');
        d2.append("         .oldfMapPrintTextColor     = ");
        d2.append(isOldfMapPrintTextColor());
        d2.append('\n');
        d2.append("         .oldfNoColumnBalance      = ");
        d2.append(isOldfNoColumnBalance());
        d2.append('\n');
        d2.append("         .oldfConvMailMergeEsc     = ");
        d2.append(isOldfConvMailMergeEsc());
        d2.append('\n');
        d2.append("         .oldfSupressTopSpacing     = ");
        d2.append(isOldfSupressTopSpacing());
        d2.append('\n');
        d2.append("         .oldfOrigWordTableRules     = ");
        d2.append(isOldfOrigWordTableRules());
        d2.append('\n');
        d2.append("         .oldfTransparentMetafiles     = ");
        d2.append(isOldfTransparentMetafiles());
        d2.append('\n');
        d2.append("         .oldfShowBreaksInFrames     = ");
        d2.append(isOldfShowBreaksInFrames());
        d2.append('\n');
        d2.append("         .oldfSwapBordersFacingPgs     = ");
        d2.append(isOldfSwapBordersFacingPgs());
        d2.append('\n');
        d2.append("         .unused5                  = ");
        d2.append((int) getUnused5());
        d2.append('\n');
        d2.append("    .dxaTab               = ");
        d2.append(" (");
        d2.append(getDxaTab());
        d2.append(" )\n");
        d2.append("    .wSpare               = ");
        d2.append(" (");
        d2.append(getWSpare());
        d2.append(" )\n");
        d2.append("    .dxaHotz              = ");
        d2.append(" (");
        d2.append(getDxaHotz());
        d2.append(" )\n");
        d2.append("    .cConsexHypLim        = ");
        d2.append(" (");
        d2.append(getCConsexHypLim());
        d2.append(" )\n");
        d2.append("    .wSpare2              = ");
        d2.append(" (");
        d2.append(getWSpare2());
        d2.append(" )\n");
        d2.append("    .dttmCreated          = ");
        d2.append(" (");
        d2.append(getDttmCreated());
        d2.append(" )\n");
        d2.append("    .dttmRevised          = ");
        d2.append(" (");
        d2.append(getDttmRevised());
        d2.append(" )\n");
        d2.append("    .dttmLastPrint        = ");
        d2.append(" (");
        d2.append(getDttmLastPrint());
        d2.append(" )\n");
        d2.append("    .nRevision            = ");
        d2.append(" (");
        d2.append(getNRevision());
        d2.append(" )\n");
        d2.append("    .tmEdited             = ");
        d2.append(" (");
        d2.append(getTmEdited());
        d2.append(" )\n");
        d2.append("    .cWords               = ");
        d2.append(" (");
        d2.append(getCWords());
        d2.append(" )\n");
        d2.append("    .cCh                  = ");
        d2.append(" (");
        d2.append(getCCh());
        d2.append(" )\n");
        d2.append("    .cPg                  = ");
        d2.append(" (");
        d2.append(getCPg());
        d2.append(" )\n");
        d2.append("    .cParas               = ");
        d2.append(" (");
        d2.append(getCParas());
        d2.append(" )\n");
        d2.append("    .Edn                  = ");
        d2.append(" (");
        d2.append((int) getEdn());
        d2.append(" )\n");
        d2.append("         .rncEdn                   = ");
        d2.append((int) getRncEdn());
        d2.append('\n');
        d2.append("         .nEdn                     = ");
        d2.append((int) getNEdn());
        d2.append('\n');
        d2.append("    .Edn1                 = ");
        d2.append(" (");
        d2.append((int) getEdn1());
        d2.append(" )\n");
        d2.append("         .epc                      = ");
        d2.append((int) getEpc());
        d2.append('\n');
        d2.append("         .nfcFtnRef1               = ");
        d2.append((int) getNfcFtnRef1());
        d2.append('\n');
        d2.append("         .nfcEdnRef1               = ");
        d2.append((int) getNfcEdnRef1());
        d2.append('\n');
        d2.append("         .fPrintFormData           = ");
        d2.append(isFPrintFormData());
        d2.append('\n');
        d2.append("         .fSaveFormData            = ");
        d2.append(isFSaveFormData());
        d2.append('\n');
        d2.append("         .fShadeFormData           = ");
        d2.append(isFShadeFormData());
        d2.append('\n');
        d2.append("         .fWCFtnEdn                = ");
        d2.append(isFWCFtnEdn());
        d2.append('\n');
        d2.append("    .cLines               = ");
        d2.append(" (");
        d2.append(getCLines());
        d2.append(" )\n");
        d2.append("    .cWordsFtnEnd         = ");
        d2.append(" (");
        d2.append(getCWordsFtnEnd());
        d2.append(" )\n");
        d2.append("    .cChFtnEdn            = ");
        d2.append(" (");
        d2.append(getCChFtnEdn());
        d2.append(" )\n");
        d2.append("    .cPgFtnEdn            = ");
        d2.append(" (");
        d2.append((int) getCPgFtnEdn());
        d2.append(" )\n");
        d2.append("    .cParasFtnEdn         = ");
        d2.append(" (");
        d2.append(getCParasFtnEdn());
        d2.append(" )\n");
        d2.append("    .cLinesFtnEdn         = ");
        d2.append(" (");
        d2.append(getCLinesFtnEdn());
        d2.append(" )\n");
        d2.append("    .lKeyProtDoc          = ");
        d2.append(" (");
        d2.append(getLKeyProtDoc());
        d2.append(" )\n");
        d2.append("    .view                 = ");
        d2.append(" (");
        d2.append((int) getView());
        d2.append(" )\n");
        d2.append("         .wvkSaved                 = ");
        d2.append((int) getWvkSaved());
        d2.append('\n');
        d2.append("         .wScaleSaved              = ");
        d2.append((int) getWScaleSaved());
        d2.append('\n');
        d2.append("         .zkSaved                  = ");
        d2.append((int) getZkSaved());
        d2.append('\n');
        d2.append("         .fRotateFontW6            = ");
        d2.append(isFRotateFontW6());
        d2.append('\n');
        d2.append("         .iGutterPos               = ");
        d2.append(isIGutterPos());
        d2.append('\n');
        d2.append("    .docinfo4             = ");
        d2.append(" (");
        d2.append(getDocinfo4());
        d2.append(" )\n");
        d2.append("         .fNoTabForInd             = ");
        d2.append(isFNoTabForInd());
        d2.append('\n');
        d2.append("         .fNoSpaceRaiseLower       = ");
        d2.append(isFNoSpaceRaiseLower());
        d2.append('\n');
        d2.append("         .fSupressSpdfAfterPageBreak     = ");
        d2.append(isFSupressSpdfAfterPageBreak());
        d2.append('\n');
        d2.append("         .fWrapTrailSpaces         = ");
        d2.append(isFWrapTrailSpaces());
        d2.append('\n');
        d2.append("         .fMapPrintTextColor       = ");
        d2.append(isFMapPrintTextColor());
        d2.append('\n');
        d2.append("         .fNoColumnBalance         = ");
        d2.append(isFNoColumnBalance());
        d2.append('\n');
        d2.append("         .fConvMailMergeEsc        = ");
        d2.append(isFConvMailMergeEsc());
        d2.append('\n');
        d2.append("         .fSupressTopSpacing       = ");
        d2.append(isFSupressTopSpacing());
        d2.append('\n');
        d2.append("         .fOrigWordTableRules      = ");
        d2.append(isFOrigWordTableRules());
        d2.append('\n');
        d2.append("         .fTransparentMetafiles     = ");
        d2.append(isFTransparentMetafiles());
        d2.append('\n');
        d2.append("         .fShowBreaksInFrames      = ");
        d2.append(isFShowBreaksInFrames());
        d2.append('\n');
        d2.append("         .fSwapBordersFacingPgs     = ");
        d2.append(isFSwapBordersFacingPgs());
        d2.append('\n');
        d2.append("         .fSuppressTopSPacingMac5     = ");
        d2.append(isFSuppressTopSPacingMac5());
        d2.append('\n');
        d2.append("         .fTruncDxaExpand          = ");
        d2.append(isFTruncDxaExpand());
        d2.append('\n');
        d2.append("         .fPrintBodyBeforeHdr      = ");
        d2.append(isFPrintBodyBeforeHdr());
        d2.append('\n');
        d2.append("         .fNoLeading               = ");
        d2.append(isFNoLeading());
        d2.append('\n');
        d2.append("         .fMWSmallCaps             = ");
        d2.append(isFMWSmallCaps());
        d2.append('\n');
        d2.append("    .adt                  = ");
        d2.append(" (");
        d2.append((int) getAdt());
        d2.append(" )\n");
        d2.append("    .doptypography        = ");
        d2.append(" (");
        d2.append(Arrays.toString(getDoptypography()));
        d2.append(" )\n");
        d2.append("    .dogrid               = ");
        d2.append(" (");
        d2.append(Arrays.toString(getDogrid()));
        d2.append(" )\n");
        d2.append("    .docinfo5             = ");
        d2.append(" (");
        d2.append((int) getDocinfo5());
        d2.append(" )\n");
        d2.append("         .lvl                      = ");
        d2.append((int) getLvl());
        d2.append('\n');
        d2.append("         .fGramAllDone             = ");
        d2.append(isFGramAllDone());
        d2.append('\n');
        d2.append("         .fGramAllClean            = ");
        d2.append(isFGramAllClean());
        d2.append('\n');
        d2.append("         .fSubsetFonts             = ");
        d2.append(isFSubsetFonts());
        d2.append('\n');
        d2.append("         .fHideLastVersion         = ");
        d2.append(isFHideLastVersion());
        d2.append('\n');
        d2.append("         .fHtmlDoc                 = ");
        d2.append(isFHtmlDoc());
        d2.append('\n');
        d2.append("         .fSnapBorder              = ");
        d2.append(isFSnapBorder());
        d2.append('\n');
        d2.append("         .fIncludeHeader           = ");
        d2.append(isFIncludeHeader());
        d2.append('\n');
        d2.append("         .fIncludeFooter           = ");
        d2.append(isFIncludeFooter());
        d2.append('\n');
        d2.append("         .fForcePageSizePag        = ");
        d2.append(isFForcePageSizePag());
        d2.append('\n');
        d2.append("         .fMinFontSizePag          = ");
        d2.append(isFMinFontSizePag());
        d2.append('\n');
        d2.append("    .docinfo6             = ");
        d2.append(" (");
        d2.append((int) getDocinfo6());
        d2.append(" )\n");
        d2.append("         .fHaveVersions            = ");
        d2.append(isFHaveVersions());
        d2.append('\n');
        d2.append("         .fAutoVersions            = ");
        d2.append(isFAutoVersions());
        d2.append('\n');
        d2.append("    .asumyi               = ");
        d2.append(" (");
        d2.append(Arrays.toString(getAsumyi()));
        d2.append(" )\n");
        d2.append("    .cChWS                = ");
        d2.append(" (");
        d2.append(getCChWS());
        d2.append(" )\n");
        d2.append("    .cChWSFtnEdn          = ");
        d2.append(" (");
        d2.append(getCChWSFtnEdn());
        d2.append(" )\n");
        d2.append("    .grfDocEvents         = ");
        d2.append(" (");
        d2.append(getGrfDocEvents());
        d2.append(" )\n");
        d2.append("    .virusinfo            = ");
        d2.append(" (");
        d2.append(getVirusinfo());
        d2.append(" )\n");
        d2.append("         .fVirusPrompted           = ");
        d2.append(isFVirusPrompted());
        d2.append('\n');
        d2.append("         .fVirusLoadSafe           = ");
        d2.append(isFVirusLoadSafe());
        d2.append('\n');
        d2.append("         .KeyVirusSession30        = ");
        d2.append(getKeyVirusSession30());
        d2.append('\n');
        d2.append("    .Spare                = ");
        d2.append(" (");
        d2.append(Arrays.toString(getSpare()));
        d2.append(" )\n");
        d2.append("    .reserved1            = ");
        d2.append(" (");
        d2.append(getReserved1());
        d2.append(" )\n");
        d2.append("    .reserved2            = ");
        d2.append(" (");
        d2.append(getReserved2());
        d2.append(" )\n");
        d2.append("    .cDBC                 = ");
        d2.append(" (");
        d2.append(getCDBC());
        d2.append(" )\n");
        d2.append("    .cDBCFtnEdn           = ");
        d2.append(" (");
        d2.append(getCDBCFtnEdn());
        d2.append(" )\n");
        d2.append("    .reserved             = ");
        d2.append(" (");
        d2.append(getReserved());
        d2.append(" )\n");
        d2.append("    .nfcFtnRef            = ");
        d2.append(" (");
        d2.append((int) getNfcFtnRef());
        d2.append(" )\n");
        d2.append("    .nfcEdnRef            = ");
        d2.append(" (");
        d2.append((int) getNfcEdnRef());
        d2.append(" )\n");
        d2.append("    .hpsZoonFontPag       = ");
        d2.append(" (");
        d2.append((int) getHpsZoonFontPag());
        d2.append(" )\n");
        d2.append("    .dywDispPag           = ");
        d2.append(" (");
        d2.append((int) getDywDispPag());
        d2.append(" )\n");
        d2.append("[/DOP]\n");
        return d2.toString();
    }
}
