package org.apache.poi.hwpf.model.types;

import b.b.a.a.a;
import org.apache.poi.util.BitField;
import org.apache.poi.util.Internal;

@Internal
public abstract class FLDAbstractType {
    public static final BitField ch = new BitField(31);
    public static final BitField fDiffer = new BitField(1);
    public static final BitField fHasSep = new BitField(64);
    public static final BitField fLocked = new BitField(16);
    public static final BitField fNested = new BitField(64);
    public static final BitField fPrivateResult = new BitField(32);
    public static final BitField fResultDirty = new BitField(4);
    public static final BitField fResultEdited = new BitField(8);
    public static final BitField fZombieEmbed = new BitField(2);
    public static final BitField reserved = new BitField(224);
    public byte field_1_chHolder;
    public byte field_2_flt;

    public static int getSize() {
        return 6;
    }

    public void fillFields(byte[] bArr, int i2) {
        this.field_1_chHolder = bArr[i2 + 0];
        this.field_2_flt = bArr[i2 + 1];
    }

    public byte getCh() {
        return (byte) ch.getValue(this.field_1_chHolder);
    }

    public byte getChHolder() {
        return this.field_1_chHolder;
    }

    public byte getFlt() {
        return this.field_2_flt;
    }

    public byte getReserved() {
        return (byte) reserved.getValue(this.field_1_chHolder);
    }

    public boolean isFDiffer() {
        return fDiffer.isSet(this.field_2_flt);
    }

    public boolean isFHasSep() {
        return fHasSep.isSet(this.field_2_flt);
    }

    public boolean isFLocked() {
        return fLocked.isSet(this.field_2_flt);
    }

    public boolean isFNested() {
        return fNested.isSet(this.field_2_flt);
    }

    public boolean isFPrivateResult() {
        return fPrivateResult.isSet(this.field_2_flt);
    }

    public boolean isFResultDirty() {
        return fResultDirty.isSet(this.field_2_flt);
    }

    public boolean isFResultEdited() {
        return fResultEdited.isSet(this.field_2_flt);
    }

    public boolean isFZombieEmbed() {
        return fZombieEmbed.isSet(this.field_2_flt);
    }

    public void serialize(byte[] bArr, int i2) {
        bArr[i2 + 0] = this.field_1_chHolder;
        bArr[i2 + 1] = this.field_2_flt;
    }

    public void setCh(byte b2) {
        this.field_1_chHolder = (byte) ch.setValue(this.field_1_chHolder, b2);
    }

    public void setChHolder(byte b2) {
        this.field_1_chHolder = b2;
    }

    public void setFDiffer(boolean z) {
        this.field_2_flt = (byte) fDiffer.setBoolean(this.field_2_flt, z);
    }

    public void setFHasSep(boolean z) {
        this.field_2_flt = (byte) fHasSep.setBoolean(this.field_2_flt, z);
    }

    public void setFLocked(boolean z) {
        this.field_2_flt = (byte) fLocked.setBoolean(this.field_2_flt, z);
    }

    public void setFNested(boolean z) {
        this.field_2_flt = (byte) fNested.setBoolean(this.field_2_flt, z);
    }

    public void setFPrivateResult(boolean z) {
        this.field_2_flt = (byte) fPrivateResult.setBoolean(this.field_2_flt, z);
    }

    public void setFResultDirty(boolean z) {
        this.field_2_flt = (byte) fResultDirty.setBoolean(this.field_2_flt, z);
    }

    public void setFResultEdited(boolean z) {
        this.field_2_flt = (byte) fResultEdited.setBoolean(this.field_2_flt, z);
    }

    public void setFZombieEmbed(boolean z) {
        this.field_2_flt = (byte) fZombieEmbed.setBoolean(this.field_2_flt, z);
    }

    public void setFlt(byte b2) {
        this.field_2_flt = b2;
    }

    public void setReserved(byte b2) {
        this.field_1_chHolder = (byte) reserved.setValue(this.field_1_chHolder, b2);
    }

    public String toString() {
        StringBuffer c = a.c("[FLD]\n", "    .chHolder             = ", " (");
        c.append((int) getChHolder());
        c.append(" )\n");
        c.append("         .ch                       = ");
        c.append((int) getCh());
        c.append('\n');
        c.append("         .reserved                 = ");
        c.append((int) getReserved());
        c.append('\n');
        c.append("    .flt                  = ");
        c.append(" (");
        c.append((int) getFlt());
        c.append(" )\n");
        c.append("         .fDiffer                  = ");
        c.append(isFDiffer());
        c.append('\n');
        c.append("         .fZombieEmbed             = ");
        c.append(isFZombieEmbed());
        c.append('\n');
        c.append("         .fResultDirty             = ");
        c.append(isFResultDirty());
        c.append('\n');
        c.append("         .fResultEdited            = ");
        c.append(isFResultEdited());
        c.append('\n');
        c.append("         .fLocked                  = ");
        c.append(isFLocked());
        c.append('\n');
        c.append("         .fPrivateResult           = ");
        c.append(isFPrivateResult());
        c.append('\n');
        c.append("         .fNested                  = ");
        c.append(isFNested());
        c.append('\n');
        c.append("         .fHasSep                  = ");
        c.append(isFHasSep());
        c.append('\n');
        c.append("[/FLD]\n");
        return c.toString();
    }
}
