package org.apache.poi.hwpf.model.types;

import b.b.a.a.a;
import org.apache.poi.util.Internal;
import org.apache.poi.util.LittleEndian;

@Internal
public abstract class FibRgLw95AbstractType {
    public int field_10_ccpAtn;
    public int field_11_ccpEdn;
    public int field_12_ccpTxbx;
    public int field_13_ccpHdrTxbx;
    @Deprecated
    public int field_14_reserved5;
    public int field_1_cbMac;
    @Deprecated
    public int field_2_reserved1;
    @Deprecated
    public int field_3_reserved2;
    @Deprecated
    public int field_4_reserved3;
    @Deprecated
    public int field_5_reserved4;
    public int field_6_ccpText;
    public int field_7_ccpFtn;
    public int field_8_ccpHdd;
    public int field_9_ccpMcr;

    public static int getSize() {
        return 56;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        FibRgLw95AbstractType fibRgLw95AbstractType = (FibRgLw95AbstractType) obj;
        return this.field_1_cbMac == fibRgLw95AbstractType.field_1_cbMac && this.field_2_reserved1 == fibRgLw95AbstractType.field_2_reserved1 && this.field_3_reserved2 == fibRgLw95AbstractType.field_3_reserved2 && this.field_4_reserved3 == fibRgLw95AbstractType.field_4_reserved3 && this.field_5_reserved4 == fibRgLw95AbstractType.field_5_reserved4 && this.field_6_ccpText == fibRgLw95AbstractType.field_6_ccpText && this.field_7_ccpFtn == fibRgLw95AbstractType.field_7_ccpFtn && this.field_8_ccpHdd == fibRgLw95AbstractType.field_8_ccpHdd && this.field_9_ccpMcr == fibRgLw95AbstractType.field_9_ccpMcr && this.field_10_ccpAtn == fibRgLw95AbstractType.field_10_ccpAtn && this.field_11_ccpEdn == fibRgLw95AbstractType.field_11_ccpEdn && this.field_12_ccpTxbx == fibRgLw95AbstractType.field_12_ccpTxbx && this.field_13_ccpHdrTxbx == fibRgLw95AbstractType.field_13_ccpHdrTxbx && this.field_14_reserved5 == fibRgLw95AbstractType.field_14_reserved5;
    }

    public void fillFields(byte[] bArr, int i2) {
        this.field_1_cbMac = LittleEndian.getInt(bArr, i2 + 0);
        this.field_2_reserved1 = LittleEndian.getInt(bArr, i2 + 4);
        this.field_3_reserved2 = LittleEndian.getInt(bArr, i2 + 8);
        this.field_4_reserved3 = LittleEndian.getInt(bArr, i2 + 12);
        this.field_5_reserved4 = LittleEndian.getInt(bArr, i2 + 16);
        this.field_6_ccpText = LittleEndian.getInt(bArr, i2 + 20);
        this.field_7_ccpFtn = LittleEndian.getInt(bArr, i2 + 24);
        this.field_8_ccpHdd = LittleEndian.getInt(bArr, i2 + 28);
        this.field_9_ccpMcr = LittleEndian.getInt(bArr, i2 + 32);
        this.field_10_ccpAtn = LittleEndian.getInt(bArr, i2 + 36);
        this.field_11_ccpEdn = LittleEndian.getInt(bArr, i2 + 40);
        this.field_12_ccpTxbx = LittleEndian.getInt(bArr, i2 + 44);
        this.field_13_ccpHdrTxbx = LittleEndian.getInt(bArr, i2 + 48);
        this.field_14_reserved5 = LittleEndian.getInt(bArr, i2 + 52);
    }

    @Internal
    public int getCbMac() {
        return this.field_1_cbMac;
    }

    @Internal
    public int getCcpAtn() {
        return this.field_10_ccpAtn;
    }

    @Internal
    public int getCcpEdn() {
        return this.field_11_ccpEdn;
    }

    @Internal
    public int getCcpFtn() {
        return this.field_7_ccpFtn;
    }

    @Internal
    public int getCcpHdd() {
        return this.field_8_ccpHdd;
    }

    @Internal
    public int getCcpHdrTxbx() {
        return this.field_13_ccpHdrTxbx;
    }

    @Internal
    public int getCcpMcr() {
        return this.field_9_ccpMcr;
    }

    @Internal
    public int getCcpText() {
        return this.field_6_ccpText;
    }

    @Internal
    public int getCcpTxbx() {
        return this.field_12_ccpTxbx;
    }

    @Internal
    public int getReserved1() {
        return this.field_2_reserved1;
    }

    @Internal
    public int getReserved2() {
        return this.field_3_reserved2;
    }

    @Internal
    public int getReserved3() {
        return this.field_4_reserved3;
    }

    @Internal
    public int getReserved4() {
        return this.field_5_reserved4;
    }

    @Internal
    public int getReserved5() {
        return this.field_14_reserved5;
    }

    public int hashCode() {
        return ((((((((((((((((((((((((((this.field_1_cbMac + 31) * 31) + this.field_2_reserved1) * 31) + this.field_3_reserved2) * 31) + this.field_4_reserved3) * 31) + this.field_5_reserved4) * 31) + this.field_6_ccpText) * 31) + this.field_7_ccpFtn) * 31) + this.field_8_ccpHdd) * 31) + this.field_9_ccpMcr) * 31) + this.field_10_ccpAtn) * 31) + this.field_11_ccpEdn) * 31) + this.field_12_ccpTxbx) * 31) + this.field_13_ccpHdrTxbx) * 31) + this.field_14_reserved5;
    }

    public void serialize(byte[] bArr, int i2) {
        LittleEndian.putInt(bArr, i2 + 0, this.field_1_cbMac);
        LittleEndian.putInt(bArr, i2 + 4, this.field_2_reserved1);
        LittleEndian.putInt(bArr, i2 + 8, this.field_3_reserved2);
        LittleEndian.putInt(bArr, i2 + 12, this.field_4_reserved3);
        LittleEndian.putInt(bArr, i2 + 16, this.field_5_reserved4);
        LittleEndian.putInt(bArr, i2 + 20, this.field_6_ccpText);
        LittleEndian.putInt(bArr, i2 + 24, this.field_7_ccpFtn);
        LittleEndian.putInt(bArr, i2 + 28, this.field_8_ccpHdd);
        LittleEndian.putInt(bArr, i2 + 32, this.field_9_ccpMcr);
        LittleEndian.putInt(bArr, i2 + 36, this.field_10_ccpAtn);
        LittleEndian.putInt(bArr, i2 + 40, this.field_11_ccpEdn);
        LittleEndian.putInt(bArr, i2 + 44, this.field_12_ccpTxbx);
        LittleEndian.putInt(bArr, i2 + 48, this.field_13_ccpHdrTxbx);
        LittleEndian.putInt(bArr, i2 + 52, this.field_14_reserved5);
    }

    @Internal
    public void setCbMac(int i2) {
        this.field_1_cbMac = i2;
    }

    @Internal
    public void setCcpAtn(int i2) {
        this.field_10_ccpAtn = i2;
    }

    @Internal
    public void setCcpEdn(int i2) {
        this.field_11_ccpEdn = i2;
    }

    @Internal
    public void setCcpFtn(int i2) {
        this.field_7_ccpFtn = i2;
    }

    @Internal
    public void setCcpHdd(int i2) {
        this.field_8_ccpHdd = i2;
    }

    @Internal
    public void setCcpHdrTxbx(int i2) {
        this.field_13_ccpHdrTxbx = i2;
    }

    @Internal
    public void setCcpMcr(int i2) {
        this.field_9_ccpMcr = i2;
    }

    @Internal
    public void setCcpText(int i2) {
        this.field_6_ccpText = i2;
    }

    @Internal
    public void setCcpTxbx(int i2) {
        this.field_12_ccpTxbx = i2;
    }

    @Internal
    public void setReserved1(int i2) {
        this.field_2_reserved1 = i2;
    }

    @Internal
    public void setReserved2(int i2) {
        this.field_3_reserved2 = i2;
    }

    @Internal
    public void setReserved3(int i2) {
        this.field_4_reserved3 = i2;
    }

    @Internal
    public void setReserved4(int i2) {
        this.field_5_reserved4 = i2;
    }

    @Internal
    public void setReserved5(int i2) {
        this.field_14_reserved5 = i2;
    }

    public String toString() {
        StringBuilder d2 = a.d("[FibRgLw95]\n", "    .cbMac                = ", " (");
        d2.append(getCbMac());
        d2.append(" )\n");
        d2.append("    .reserved1            = ");
        d2.append(" (");
        d2.append(getReserved1());
        d2.append(" )\n");
        d2.append("    .reserved2            = ");
        d2.append(" (");
        d2.append(getReserved2());
        d2.append(" )\n");
        d2.append("    .reserved3            = ");
        d2.append(" (");
        d2.append(getReserved3());
        d2.append(" )\n");
        d2.append("    .reserved4            = ");
        d2.append(" (");
        d2.append(getReserved4());
        d2.append(" )\n");
        d2.append("    .ccpText              = ");
        d2.append(" (");
        d2.append(getCcpText());
        d2.append(" )\n");
        d2.append("    .ccpFtn               = ");
        d2.append(" (");
        d2.append(getCcpFtn());
        d2.append(" )\n");
        d2.append("    .ccpHdd               = ");
        d2.append(" (");
        d2.append(getCcpHdd());
        d2.append(" )\n");
        d2.append("    .ccpMcr               = ");
        d2.append(" (");
        d2.append(getCcpMcr());
        d2.append(" )\n");
        d2.append("    .ccpAtn               = ");
        d2.append(" (");
        d2.append(getCcpAtn());
        d2.append(" )\n");
        d2.append("    .ccpEdn               = ");
        d2.append(" (");
        d2.append(getCcpEdn());
        d2.append(" )\n");
        d2.append("    .ccpTxbx              = ");
        d2.append(" (");
        d2.append(getCcpTxbx());
        d2.append(" )\n");
        d2.append("    .ccpHdrTxbx           = ");
        d2.append(" (");
        d2.append(getCcpHdrTxbx());
        d2.append(" )\n");
        d2.append("    .reserved5            = ");
        d2.append(" (");
        d2.append(getReserved5());
        return a.a(d2, " )\n", "[/FibRgLw95]\n");
    }

    public byte[] serialize() {
        byte[] bArr = new byte[getSize()];
        serialize(bArr, 0);
        return bArr;
    }
}
