package org.apache.poi.hwpf.model.types;

import b.b.a.a.a;
import org.apache.poi.util.BitField;
import org.apache.poi.util.Internal;

@Internal
public abstract class GrfhicAbstractType {
    public static final BitField fHtmlBuiltInBullet = new BitField(128);
    public static final BitField fHtmlChecked = new BitField(1);
    public static final BitField fHtmlFirstLineMismatch = new BitField(16);
    public static final BitField fHtmlHangingIndentBeneathNumber = new BitField(64);
    public static final BitField fHtmlListTextNotSharpDot = new BitField(4);
    public static final BitField fHtmlNotPeriod = new BitField(8);
    public static final BitField fHtmlTabLeftIndentMismatch = new BitField(32);
    public static final BitField fHtmlUnsupported = new BitField(2);
    public byte field_1_grfhic;

    public static int getSize() {
        return 1;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        return obj != null && getClass() == obj.getClass() && this.field_1_grfhic == ((GrfhicAbstractType) obj).field_1_grfhic;
    }

    public void fillFields(byte[] bArr, int i2) {
        this.field_1_grfhic = bArr[i2 + 0];
    }

    @Internal
    public byte getGrfhic() {
        return this.field_1_grfhic;
    }

    public int hashCode() {
        return 31 + this.field_1_grfhic;
    }

    @Internal
    public boolean isFHtmlBuiltInBullet() {
        return fHtmlBuiltInBullet.isSet(this.field_1_grfhic);
    }

    @Internal
    public boolean isFHtmlChecked() {
        return fHtmlChecked.isSet(this.field_1_grfhic);
    }

    @Internal
    public boolean isFHtmlFirstLineMismatch() {
        return fHtmlFirstLineMismatch.isSet(this.field_1_grfhic);
    }

    @Internal
    public boolean isFHtmlHangingIndentBeneathNumber() {
        return fHtmlHangingIndentBeneathNumber.isSet(this.field_1_grfhic);
    }

    @Internal
    public boolean isFHtmlListTextNotSharpDot() {
        return fHtmlListTextNotSharpDot.isSet(this.field_1_grfhic);
    }

    @Internal
    public boolean isFHtmlNotPeriod() {
        return fHtmlNotPeriod.isSet(this.field_1_grfhic);
    }

    @Internal
    public boolean isFHtmlTabLeftIndentMismatch() {
        return fHtmlTabLeftIndentMismatch.isSet(this.field_1_grfhic);
    }

    @Internal
    public boolean isFHtmlUnsupported() {
        return fHtmlUnsupported.isSet(this.field_1_grfhic);
    }

    public void serialize(byte[] bArr, int i2) {
        bArr[i2 + 0] = this.field_1_grfhic;
    }

    @Internal
    public void setFHtmlBuiltInBullet(boolean z) {
        this.field_1_grfhic = (byte) fHtmlBuiltInBullet.setBoolean(this.field_1_grfhic, z);
    }

    @Internal
    public void setFHtmlChecked(boolean z) {
        this.field_1_grfhic = (byte) fHtmlChecked.setBoolean(this.field_1_grfhic, z);
    }

    @Internal
    public void setFHtmlFirstLineMismatch(boolean z) {
        this.field_1_grfhic = (byte) fHtmlFirstLineMismatch.setBoolean(this.field_1_grfhic, z);
    }

    @Internal
    public void setFHtmlHangingIndentBeneathNumber(boolean z) {
        this.field_1_grfhic = (byte) fHtmlHangingIndentBeneathNumber.setBoolean(this.field_1_grfhic, z);
    }

    @Internal
    public void setFHtmlListTextNotSharpDot(boolean z) {
        this.field_1_grfhic = (byte) fHtmlListTextNotSharpDot.setBoolean(this.field_1_grfhic, z);
    }

    @Internal
    public void setFHtmlNotPeriod(boolean z) {
        this.field_1_grfhic = (byte) fHtmlNotPeriod.setBoolean(this.field_1_grfhic, z);
    }

    @Internal
    public void setFHtmlTabLeftIndentMismatch(boolean z) {
        this.field_1_grfhic = (byte) fHtmlTabLeftIndentMismatch.setBoolean(this.field_1_grfhic, z);
    }

    @Internal
    public void setFHtmlUnsupported(boolean z) {
        this.field_1_grfhic = (byte) fHtmlUnsupported.setBoolean(this.field_1_grfhic, z);
    }

    @Internal
    public void setGrfhic(byte b2) {
        this.field_1_grfhic = b2;
    }

    public String toString() {
        StringBuilder d2 = a.d("[Grfhic]\n", "    .grfhic               = ", " ( ");
        d2.append((int) this.field_1_grfhic);
        d2.append(" )\n");
        d2.append("         .fHtmlChecked             = ");
        d2.append(isFHtmlChecked());
        d2.append('\n');
        d2.append("         .fHtmlUnsupported         = ");
        d2.append(isFHtmlUnsupported());
        d2.append('\n');
        d2.append("         .fHtmlListTextNotSharpDot     = ");
        d2.append(isFHtmlListTextNotSharpDot());
        d2.append('\n');
        d2.append("         .fHtmlNotPeriod           = ");
        d2.append(isFHtmlNotPeriod());
        d2.append('\n');
        d2.append("         .fHtmlFirstLineMismatch     = ");
        d2.append(isFHtmlFirstLineMismatch());
        d2.append('\n');
        d2.append("         .fHtmlTabLeftIndentMismatch     = ");
        d2.append(isFHtmlTabLeftIndentMismatch());
        d2.append('\n');
        d2.append("         .fHtmlHangingIndentBeneathNumber     = ");
        d2.append(isFHtmlHangingIndentBeneathNumber());
        d2.append('\n');
        d2.append("         .fHtmlBuiltInBullet       = ");
        d2.append(isFHtmlBuiltInBullet());
        d2.append('\n');
        d2.append("[/Grfhic]");
        return d2.toString();
    }

    public byte[] serialize() {
        byte[] bArr = new byte[getSize()];
        serialize(bArr, 0);
        return bArr;
    }
}
