package org.apache.poi.hwpf.model.types;

import b.b.a.a.a;
import org.apache.poi.util.Internal;

@Internal
public abstract class HRESIAbstractType {
    public static final byte HRES_ADD_LETTER_BEFORE = 2;
    public static final byte HRES_CHANGE_LETTER_AFTER = 5;
    public static final byte HRES_CHANGE_LETTER_BEFORE = 3;
    public static final byte HRES_DELETE_BEFORE_CHANGE_BEFORE = 6;
    public static final byte HRES_DELETE_LETTER_BEFORE = 4;
    public static final byte HRES_NO = 0;
    public static final byte HRES_NORMAL = 1;
    public byte field_1_hres;
    public byte field_2_chHres;

    public static int getSize() {
        return 6;
    }

    public void fillFields(byte[] bArr, int i2) {
        this.field_1_hres = bArr[i2 + 0];
        this.field_2_chHres = bArr[i2 + 1];
    }

    public byte getChHres() {
        return this.field_2_chHres;
    }

    public byte getHres() {
        return this.field_1_hres;
    }

    public void serialize(byte[] bArr, int i2) {
        bArr[i2 + 0] = this.field_1_hres;
        bArr[i2 + 1] = this.field_2_chHres;
    }

    public void setChHres(byte b2) {
        this.field_2_chHres = b2;
    }

    public void setHres(byte b2) {
        this.field_1_hres = b2;
    }

    public String toString() {
        StringBuilder d2 = a.d("[HRESI]\n", "    .hres                 = ", " (");
        d2.append((int) getHres());
        d2.append(" )\n");
        d2.append("    .chHres               = ");
        d2.append(" (");
        d2.append((int) getChHres());
        return a.a(d2, " )\n", "[/HRESI]\n");
    }
}
