package org.apache.poi.hwpf.model.types;

import b.b.a.a.a;
import java.util.Arrays;
import org.apache.poi.hwpf.usermodel.BorderCode;
import org.apache.poi.hwpf.usermodel.DateAndTime;
import org.apache.poi.util.Internal;

@Internal
public abstract class SEPAbstractType {
    public static final byte BKC_EVEN_PAGE = 3;
    public static final byte BKC_NEW_COLUMN = 1;
    public static final byte BKC_NEW_PAGE = 2;
    public static final byte BKC_NO_BREAK = 0;
    public static final byte BKC_ODD_PAGE = 4;
    public static final boolean DMORIENTPAGE_LANDSCAPE = false;
    public static final boolean DMORIENTPAGE_PORTRAIT = true;
    public static final byte NFCPGN_ARABIC = 0;
    public static final byte NFCPGN_LETTER_LOWER_CASE = 4;
    public static final byte NFCPGN_LETTER_UPPER_CASE = 3;
    public static final byte NFCPGN_ROMAN_LOWER_CASE = 2;
    public static final byte NFCPGN_ROMAN_UPPER_CASE = 1;
    public byte field_10_grpfIhdt;
    public int field_11_nLnnMod;
    public int field_12_dxaLnn;
    public int field_13_dxaPgn = 720;
    public int field_14_dyaPgn = 720;
    public boolean field_15_fLBetween;
    public byte field_16_vjc;
    public int field_17_dmBinFirst;
    public int field_18_dmBinOther;
    public int field_19_dmPaperReq;
    public byte field_1_bkc = 2;
    public BorderCode field_20_brcTop;
    public BorderCode field_21_brcLeft;
    public BorderCode field_22_brcBottom;
    public BorderCode field_23_brcRight;
    public boolean field_24_fPropMark;
    public int field_25_ibstPropRMark;
    public DateAndTime field_26_dttmPropRMark;
    public int field_27_dxtCharSpace;
    public int field_28_dyaLinePitch;
    public int field_29_clm;
    public boolean field_2_fTitlePage;
    public int field_30_unused2;
    public boolean field_31_dmOrientPage = true;
    public byte field_32_iHeadingPgn;
    public int field_33_pgnStart = 1;
    public int field_34_lnnMin;
    public int field_35_wTextFlow;
    public short field_36_unused3;
    public int field_37_pgbProp;
    public short field_38_unused4;
    public int field_39_xaPage = 12240;
    public boolean field_3_fAutoPgn;
    public int field_40_yaPage = 15840;
    public int field_41_xaPageNUp = 12240;
    public int field_42_yaPageNUp = 15840;
    public int field_43_dxaLeft = 1800;
    public int field_44_dxaRight = 1800;
    public int field_45_dyaTop = 1440;
    public int field_46_dyaBottom = 1440;
    public int field_47_dzaGutter;
    public int field_48_dyaHdrTop = 720;
    public int field_49_dyaHdrBottom = 720;
    public byte field_4_nfcPgn;
    public int field_50_ccolM1;
    public boolean field_51_fEvenlySpaced = true;
    public byte field_52_unused5;
    public int field_53_dxaColumns = 720;
    public int[] field_54_rgdxaColumn;
    public int field_55_dxaColumnWidth;
    public byte field_56_dmOrientFirst;
    public byte field_57_fLayout;
    public short field_58_unused6;
    public byte[] field_59_olstAnm;
    public boolean field_5_fUnlocked;
    public byte field_6_cnsPgn;
    public boolean field_7_fPgnRestart;
    public boolean field_8_fEndNote = true;
    public byte field_9_lnc;

    public byte getBkc() {
        return this.field_1_bkc;
    }

    public BorderCode getBrcBottom() {
        return this.field_22_brcBottom;
    }

    public BorderCode getBrcLeft() {
        return this.field_21_brcLeft;
    }

    public BorderCode getBrcRight() {
        return this.field_23_brcRight;
    }

    public BorderCode getBrcTop() {
        return this.field_20_brcTop;
    }

    public int getCcolM1() {
        return this.field_50_ccolM1;
    }

    public int getClm() {
        return this.field_29_clm;
    }

    public byte getCnsPgn() {
        return this.field_6_cnsPgn;
    }

    public int getDmBinFirst() {
        return this.field_17_dmBinFirst;
    }

    public int getDmBinOther() {
        return this.field_18_dmBinOther;
    }

    public byte getDmOrientFirst() {
        return this.field_56_dmOrientFirst;
    }

    public boolean getDmOrientPage() {
        return this.field_31_dmOrientPage;
    }

    public int getDmPaperReq() {
        return this.field_19_dmPaperReq;
    }

    public DateAndTime getDttmPropRMark() {
        return this.field_26_dttmPropRMark;
    }

    public int getDxaColumnWidth() {
        return this.field_55_dxaColumnWidth;
    }

    public int getDxaColumns() {
        return this.field_53_dxaColumns;
    }

    public int getDxaLeft() {
        return this.field_43_dxaLeft;
    }

    public int getDxaLnn() {
        return this.field_12_dxaLnn;
    }

    public int getDxaPgn() {
        return this.field_13_dxaPgn;
    }

    public int getDxaRight() {
        return this.field_44_dxaRight;
    }

    public int getDxtCharSpace() {
        return this.field_27_dxtCharSpace;
    }

    public int getDyaBottom() {
        return this.field_46_dyaBottom;
    }

    public int getDyaHdrBottom() {
        return this.field_49_dyaHdrBottom;
    }

    public int getDyaHdrTop() {
        return this.field_48_dyaHdrTop;
    }

    public int getDyaLinePitch() {
        return this.field_28_dyaLinePitch;
    }

    public int getDyaPgn() {
        return this.field_14_dyaPgn;
    }

    public int getDyaTop() {
        return this.field_45_dyaTop;
    }

    public int getDzaGutter() {
        return this.field_47_dzaGutter;
    }

    public boolean getFAutoPgn() {
        return this.field_3_fAutoPgn;
    }

    public boolean getFEndNote() {
        return this.field_8_fEndNote;
    }

    public boolean getFEvenlySpaced() {
        return this.field_51_fEvenlySpaced;
    }

    public boolean getFLBetween() {
        return this.field_15_fLBetween;
    }

    public byte getFLayout() {
        return this.field_57_fLayout;
    }

    public boolean getFPgnRestart() {
        return this.field_7_fPgnRestart;
    }

    public boolean getFPropMark() {
        return this.field_24_fPropMark;
    }

    public boolean getFTitlePage() {
        return this.field_2_fTitlePage;
    }

    public boolean getFUnlocked() {
        return this.field_5_fUnlocked;
    }

    public byte getGrpfIhdt() {
        return this.field_10_grpfIhdt;
    }

    public byte getIHeadingPgn() {
        return this.field_32_iHeadingPgn;
    }

    public int getIbstPropRMark() {
        return this.field_25_ibstPropRMark;
    }

    public byte getLnc() {
        return this.field_9_lnc;
    }

    public int getLnnMin() {
        return this.field_34_lnnMin;
    }

    public int getNLnnMod() {
        return this.field_11_nLnnMod;
    }

    public byte getNfcPgn() {
        return this.field_4_nfcPgn;
    }

    public byte[] getOlstAnm() {
        return this.field_59_olstAnm;
    }

    public int getPgbProp() {
        return this.field_37_pgbProp;
    }

    public int getPgnStart() {
        return this.field_33_pgnStart;
    }

    public int[] getRgdxaColumn() {
        return this.field_54_rgdxaColumn;
    }

    public int getUnused2() {
        return this.field_30_unused2;
    }

    public short getUnused3() {
        return this.field_36_unused3;
    }

    public short getUnused4() {
        return this.field_38_unused4;
    }

    public byte getUnused5() {
        return this.field_52_unused5;
    }

    public short getUnused6() {
        return this.field_58_unused6;
    }

    public byte getVjc() {
        return this.field_16_vjc;
    }

    public int getWTextFlow() {
        return this.field_35_wTextFlow;
    }

    public int getXaPage() {
        return this.field_39_xaPage;
    }

    public int getXaPageNUp() {
        return this.field_41_xaPageNUp;
    }

    public int getYaPage() {
        return this.field_40_yaPage;
    }

    public int getYaPageNUp() {
        return this.field_42_yaPageNUp;
    }

    public void setBkc(byte b2) {
        this.field_1_bkc = b2;
    }

    public void setBrcBottom(BorderCode borderCode) {
        this.field_22_brcBottom = borderCode;
    }

    public void setBrcLeft(BorderCode borderCode) {
        this.field_21_brcLeft = borderCode;
    }

    public void setBrcRight(BorderCode borderCode) {
        this.field_23_brcRight = borderCode;
    }

    public void setBrcTop(BorderCode borderCode) {
        this.field_20_brcTop = borderCode;
    }

    public void setCcolM1(int i2) {
        this.field_50_ccolM1 = i2;
    }

    public void setClm(int i2) {
        this.field_29_clm = i2;
    }

    public void setCnsPgn(byte b2) {
        this.field_6_cnsPgn = b2;
    }

    public void setDmBinFirst(int i2) {
        this.field_17_dmBinFirst = i2;
    }

    public void setDmBinOther(int i2) {
        this.field_18_dmBinOther = i2;
    }

    public void setDmOrientFirst(byte b2) {
        this.field_56_dmOrientFirst = b2;
    }

    public void setDmOrientPage(boolean z) {
        this.field_31_dmOrientPage = z;
    }

    public void setDmPaperReq(int i2) {
        this.field_19_dmPaperReq = i2;
    }

    public void setDttmPropRMark(DateAndTime dateAndTime) {
        this.field_26_dttmPropRMark = dateAndTime;
    }

    public void setDxaColumnWidth(int i2) {
        this.field_55_dxaColumnWidth = i2;
    }

    public void setDxaColumns(int i2) {
        this.field_53_dxaColumns = i2;
    }

    public void setDxaLeft(int i2) {
        this.field_43_dxaLeft = i2;
    }

    public void setDxaLnn(int i2) {
        this.field_12_dxaLnn = i2;
    }

    public void setDxaPgn(int i2) {
        this.field_13_dxaPgn = i2;
    }

    public void setDxaRight(int i2) {
        this.field_44_dxaRight = i2;
    }

    public void setDxtCharSpace(int i2) {
        this.field_27_dxtCharSpace = i2;
    }

    public void setDyaBottom(int i2) {
        this.field_46_dyaBottom = i2;
    }

    public void setDyaHdrBottom(int i2) {
        this.field_49_dyaHdrBottom = i2;
    }

    public void setDyaHdrTop(int i2) {
        this.field_48_dyaHdrTop = i2;
    }

    public void setDyaLinePitch(int i2) {
        this.field_28_dyaLinePitch = i2;
    }

    public void setDyaPgn(int i2) {
        this.field_14_dyaPgn = i2;
    }

    public void setDyaTop(int i2) {
        this.field_45_dyaTop = i2;
    }

    public void setDzaGutter(int i2) {
        this.field_47_dzaGutter = i2;
    }

    public void setFAutoPgn(boolean z) {
        this.field_3_fAutoPgn = z;
    }

    public void setFEndNote(boolean z) {
        this.field_8_fEndNote = z;
    }

    public void setFEvenlySpaced(boolean z) {
        this.field_51_fEvenlySpaced = z;
    }

    public void setFLBetween(boolean z) {
        this.field_15_fLBetween = z;
    }

    public void setFLayout(byte b2) {
        this.field_57_fLayout = b2;
    }

    public void setFPgnRestart(boolean z) {
        this.field_7_fPgnRestart = z;
    }

    public void setFPropMark(boolean z) {
        this.field_24_fPropMark = z;
    }

    public void setFTitlePage(boolean z) {
        this.field_2_fTitlePage = z;
    }

    public void setFUnlocked(boolean z) {
        this.field_5_fUnlocked = z;
    }

    public void setGrpfIhdt(byte b2) {
        this.field_10_grpfIhdt = b2;
    }

    public void setIHeadingPgn(byte b2) {
        this.field_32_iHeadingPgn = b2;
    }

    public void setIbstPropRMark(int i2) {
        this.field_25_ibstPropRMark = i2;
    }

    public void setLnc(byte b2) {
        this.field_9_lnc = b2;
    }

    public void setLnnMin(int i2) {
        this.field_34_lnnMin = i2;
    }

    public void setNLnnMod(int i2) {
        this.field_11_nLnnMod = i2;
    }

    public void setNfcPgn(byte b2) {
        this.field_4_nfcPgn = b2;
    }

    public void setOlstAnm(byte[] bArr) {
        this.field_59_olstAnm = bArr;
    }

    public void setPgbProp(int i2) {
        this.field_37_pgbProp = i2;
    }

    public void setPgnStart(int i2) {
        this.field_33_pgnStart = i2;
    }

    public void setRgdxaColumn(int[] iArr) {
        this.field_54_rgdxaColumn = iArr;
    }

    public void setUnused2(int i2) {
        this.field_30_unused2 = i2;
    }

    public void setUnused3(short s) {
        this.field_36_unused3 = s;
    }

    public void setUnused4(short s) {
        this.field_38_unused4 = s;
    }

    public void setUnused5(byte b2) {
        this.field_52_unused5 = b2;
    }

    public void setUnused6(short s) {
        this.field_58_unused6 = s;
    }

    public void setVjc(byte b2) {
        this.field_16_vjc = b2;
    }

    public void setWTextFlow(int i2) {
        this.field_35_wTextFlow = i2;
    }

    public void setXaPage(int i2) {
        this.field_39_xaPage = i2;
    }

    public void setXaPageNUp(int i2) {
        this.field_41_xaPageNUp = i2;
    }

    public void setYaPage(int i2) {
        this.field_40_yaPage = i2;
    }

    public void setYaPageNUp(int i2) {
        this.field_42_yaPageNUp = i2;
    }

    public String toString() {
        StringBuilder d2 = a.d("[SEP]\n", "    .bkc                  = ", " (");
        d2.append((int) getBkc());
        d2.append(" )\n");
        d2.append("    .fTitlePage           = ");
        d2.append(" (");
        d2.append(getFTitlePage());
        d2.append(" )\n");
        d2.append("    .fAutoPgn             = ");
        d2.append(" (");
        d2.append(getFAutoPgn());
        d2.append(" )\n");
        d2.append("    .nfcPgn               = ");
        d2.append(" (");
        d2.append((int) getNfcPgn());
        d2.append(" )\n");
        d2.append("    .fUnlocked            = ");
        d2.append(" (");
        d2.append(getFUnlocked());
        d2.append(" )\n");
        d2.append("    .cnsPgn               = ");
        d2.append(" (");
        d2.append((int) getCnsPgn());
        d2.append(" )\n");
        d2.append("    .fPgnRestart          = ");
        d2.append(" (");
        d2.append(getFPgnRestart());
        d2.append(" )\n");
        d2.append("    .fEndNote             = ");
        d2.append(" (");
        d2.append(getFEndNote());
        d2.append(" )\n");
        d2.append("    .lnc                  = ");
        d2.append(" (");
        d2.append((int) getLnc());
        d2.append(" )\n");
        d2.append("    .grpfIhdt             = ");
        d2.append(" (");
        d2.append((int) getGrpfIhdt());
        d2.append(" )\n");
        d2.append("    .nLnnMod              = ");
        d2.append(" (");
        d2.append(getNLnnMod());
        d2.append(" )\n");
        d2.append("    .dxaLnn               = ");
        d2.append(" (");
        d2.append(getDxaLnn());
        d2.append(" )\n");
        d2.append("    .dxaPgn               = ");
        d2.append(" (");
        d2.append(getDxaPgn());
        d2.append(" )\n");
        d2.append("    .dyaPgn               = ");
        d2.append(" (");
        d2.append(getDyaPgn());
        d2.append(" )\n");
        d2.append("    .fLBetween            = ");
        d2.append(" (");
        d2.append(getFLBetween());
        d2.append(" )\n");
        d2.append("    .vjc                  = ");
        d2.append(" (");
        d2.append((int) getVjc());
        d2.append(" )\n");
        d2.append("    .dmBinFirst           = ");
        d2.append(" (");
        d2.append(getDmBinFirst());
        d2.append(" )\n");
        d2.append("    .dmBinOther           = ");
        d2.append(" (");
        d2.append(getDmBinOther());
        d2.append(" )\n");
        d2.append("    .dmPaperReq           = ");
        d2.append(" (");
        d2.append(getDmPaperReq());
        d2.append(" )\n");
        d2.append("    .brcTop               = ");
        d2.append(" (");
        d2.append(getBrcTop());
        d2.append(" )\n");
        d2.append("    .brcLeft              = ");
        d2.append(" (");
        d2.append(getBrcLeft());
        d2.append(" )\n");
        d2.append("    .brcBottom            = ");
        d2.append(" (");
        d2.append(getBrcBottom());
        d2.append(" )\n");
        d2.append("    .brcRight             = ");
        d2.append(" (");
        d2.append(getBrcRight());
        d2.append(" )\n");
        d2.append("    .fPropMark            = ");
        d2.append(" (");
        d2.append(getFPropMark());
        d2.append(" )\n");
        d2.append("    .ibstPropRMark        = ");
        d2.append(" (");
        d2.append(getIbstPropRMark());
        d2.append(" )\n");
        d2.append("    .dttmPropRMark        = ");
        d2.append(" (");
        d2.append(getDttmPropRMark());
        d2.append(" )\n");
        d2.append("    .dxtCharSpace         = ");
        d2.append(" (");
        d2.append(getDxtCharSpace());
        d2.append(" )\n");
        d2.append("    .dyaLinePitch         = ");
        d2.append(" (");
        d2.append(getDyaLinePitch());
        d2.append(" )\n");
        d2.append("    .clm                  = ");
        d2.append(" (");
        d2.append(getClm());
        d2.append(" )\n");
        d2.append("    .unused2              = ");
        d2.append(" (");
        d2.append(getUnused2());
        d2.append(" )\n");
        d2.append("    .dmOrientPage         = ");
        d2.append(" (");
        d2.append(getDmOrientPage());
        d2.append(" )\n");
        d2.append("    .iHeadingPgn          = ");
        d2.append(" (");
        d2.append((int) getIHeadingPgn());
        d2.append(" )\n");
        d2.append("    .pgnStart             = ");
        d2.append(" (");
        d2.append(getPgnStart());
        d2.append(" )\n");
        d2.append("    .lnnMin               = ");
        d2.append(" (");
        d2.append(getLnnMin());
        d2.append(" )\n");
        d2.append("    .wTextFlow            = ");
        d2.append(" (");
        d2.append(getWTextFlow());
        d2.append(" )\n");
        d2.append("    .unused3              = ");
        d2.append(" (");
        d2.append((int) getUnused3());
        d2.append(" )\n");
        d2.append("    .pgbProp              = ");
        d2.append(" (");
        d2.append(getPgbProp());
        d2.append(" )\n");
        d2.append("    .unused4              = ");
        d2.append(" (");
        d2.append((int) getUnused4());
        d2.append(" )\n");
        d2.append("    .xaPage               = ");
        d2.append(" (");
        d2.append(getXaPage());
        d2.append(" )\n");
        d2.append("    .yaPage               = ");
        d2.append(" (");
        d2.append(getYaPage());
        d2.append(" )\n");
        d2.append("    .xaPageNUp            = ");
        d2.append(" (");
        d2.append(getXaPageNUp());
        d2.append(" )\n");
        d2.append("    .yaPageNUp            = ");
        d2.append(" (");
        d2.append(getYaPageNUp());
        d2.append(" )\n");
        d2.append("    .dxaLeft              = ");
        d2.append(" (");
        d2.append(getDxaLeft());
        d2.append(" )\n");
        d2.append("    .dxaRight             = ");
        d2.append(" (");
        d2.append(getDxaRight());
        d2.append(" )\n");
        d2.append("    .dyaTop               = ");
        d2.append(" (");
        d2.append(getDyaTop());
        d2.append(" )\n");
        d2.append("    .dyaBottom            = ");
        d2.append(" (");
        d2.append(getDyaBottom());
        d2.append(" )\n");
        d2.append("    .dzaGutter            = ");
        d2.append(" (");
        d2.append(getDzaGutter());
        d2.append(" )\n");
        d2.append("    .dyaHdrTop            = ");
        d2.append(" (");
        d2.append(getDyaHdrTop());
        d2.append(" )\n");
        d2.append("    .dyaHdrBottom         = ");
        d2.append(" (");
        d2.append(getDyaHdrBottom());
        d2.append(" )\n");
        d2.append("    .ccolM1               = ");
        d2.append(" (");
        d2.append(getCcolM1());
        d2.append(" )\n");
        d2.append("    .fEvenlySpaced        = ");
        d2.append(" (");
        d2.append(getFEvenlySpaced());
        d2.append(" )\n");
        d2.append("    .unused5              = ");
        d2.append(" (");
        d2.append((int) getUnused5());
        d2.append(" )\n");
        d2.append("    .dxaColumns           = ");
        d2.append(" (");
        d2.append(getDxaColumns());
        d2.append(" )\n");
        d2.append("    .rgdxaColumn          = ");
        d2.append(" (");
        d2.append(Arrays.toString(getRgdxaColumn()));
        d2.append(" )\n");
        d2.append("    .dxaColumnWidth       = ");
        d2.append(" (");
        d2.append(getDxaColumnWidth());
        d2.append(" )\n");
        d2.append("    .dmOrientFirst        = ");
        d2.append(" (");
        d2.append((int) getDmOrientFirst());
        d2.append(" )\n");
        d2.append("    .fLayout              = ");
        d2.append(" (");
        d2.append((int) getFLayout());
        d2.append(" )\n");
        d2.append("    .unused6              = ");
        d2.append(" (");
        d2.append((int) getUnused6());
        d2.append(" )\n");
        d2.append("    .olstAnm              = ");
        d2.append(" (");
        d2.append(Arrays.toString(getOlstAnm()));
        return a.a(d2, " )\n", "[/SEP]\n");
    }
}
