package org.apache.poi.hwpf.model.types;

import b.b.a.a.a;
import org.apache.poi.util.BitField;
import org.apache.poi.util.Internal;
import org.apache.poi.util.LittleEndian;

@Internal
public abstract class SHD80AbstractType {
    public static final BitField icoBack = new BitField(992);
    public static final BitField icoFore = new BitField(31);
    public static final BitField ipat = new BitField(64512);
    public short field_1_value;

    public static int getSize() {
        return 2;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        return obj != null && getClass() == obj.getClass() && this.field_1_value == ((SHD80AbstractType) obj).field_1_value;
    }

    public void fillFields(byte[] bArr, int i2) {
        this.field_1_value = LittleEndian.getShort(bArr, i2 + 0);
    }

    @Internal
    public byte getIcoBack() {
        return (byte) icoBack.getValue(this.field_1_value);
    }

    @Internal
    public byte getIcoFore() {
        return (byte) icoFore.getValue(this.field_1_value);
    }

    @Internal
    public byte getIpat() {
        return (byte) ipat.getValue(this.field_1_value);
    }

    @Internal
    public short getValue() {
        return this.field_1_value;
    }

    public int hashCode() {
        return 31 + this.field_1_value;
    }

    public void serialize(byte[] bArr, int i2) {
        LittleEndian.putShort(bArr, i2 + 0, this.field_1_value);
    }

    @Internal
    public void setIcoBack(byte b2) {
        this.field_1_value = (short) icoBack.setValue(this.field_1_value, b2);
    }

    @Internal
    public void setIcoFore(byte b2) {
        this.field_1_value = (short) icoFore.setValue(this.field_1_value, b2);
    }

    @Internal
    public void setIpat(byte b2) {
        this.field_1_value = (short) ipat.setValue(this.field_1_value, b2);
    }

    @Internal
    public void setValue(short s) {
        this.field_1_value = s;
    }

    public String toString() {
        StringBuilder d2 = a.d("[SHD80]\n", "    .value                = ", " (");
        d2.append((int) getValue());
        d2.append(" )\n");
        d2.append("         .icoFore                  = ");
        d2.append((int) getIcoFore());
        d2.append('\n');
        d2.append("         .icoBack                  = ");
        d2.append((int) getIcoBack());
        d2.append('\n');
        d2.append("         .ipat                     = ");
        d2.append((int) getIpat());
        d2.append('\n');
        d2.append("[/SHD80]\n");
        return d2.toString();
    }

    public byte[] serialize() {
        byte[] bArr = new byte[getSize()];
        serialize(bArr, 0);
        return bArr;
    }
}
