package org.apache.poi.hwpf.model.types;

import b.b.a.a.a;
import org.apache.poi.hwpf.model.Colorref;
import org.apache.poi.util.Internal;
import org.apache.poi.util.LittleEndian;

@Internal
public abstract class SHDAbstractType {
    public Colorref field_1_cvFore = new Colorref();
    public Colorref field_2_cvBack = new Colorref();
    public int field_3_ipat;

    public static int getSize() {
        return 10;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        SHDAbstractType sHDAbstractType = (SHDAbstractType) obj;
        return this.field_1_cvFore == sHDAbstractType.field_1_cvFore && this.field_2_cvBack == sHDAbstractType.field_2_cvBack && this.field_3_ipat == sHDAbstractType.field_3_ipat;
    }

    public void fillFields(byte[] bArr, int i2) {
        this.field_1_cvFore = new Colorref(bArr, i2 + 0);
        this.field_2_cvBack = new Colorref(bArr, i2 + 4);
        this.field_3_ipat = LittleEndian.getShort(bArr, i2 + 8);
    }

    @Internal
    public Colorref getCvBack() {
        return this.field_2_cvBack;
    }

    @Internal
    public Colorref getCvFore() {
        return this.field_1_cvFore;
    }

    @Internal
    public int getIpat() {
        return this.field_3_ipat;
    }

    public int hashCode() {
        return ((this.field_2_cvBack.hashCode() + ((this.field_1_cvFore.hashCode() + 31) * 31)) * 31) + this.field_3_ipat;
    }

    public void serialize(byte[] bArr, int i2) {
        this.field_1_cvFore.serialize(bArr, i2 + 0);
        this.field_2_cvBack.serialize(bArr, i2 + 4);
        LittleEndian.putUShort(bArr, i2 + 8, this.field_3_ipat);
    }

    @Internal
    public void setCvBack(Colorref colorref) {
        this.field_2_cvBack = colorref;
    }

    @Internal
    public void setCvFore(Colorref colorref) {
        this.field_1_cvFore = colorref;
    }

    @Internal
    public void setIpat(int i2) {
        this.field_3_ipat = i2;
    }

    public String toString() {
        StringBuilder d2 = a.d("[SHD]\n", "    .cvFore               = ", " (");
        d2.append(getCvFore());
        d2.append(" )\n");
        d2.append("    .cvBack               = ");
        d2.append(" (");
        d2.append(getCvBack());
        d2.append(" )\n");
        d2.append("    .ipat                 = ");
        d2.append(" (");
        d2.append(getIpat());
        return a.a(d2, " )\n", "[/SHD]\n");
    }

    public byte[] serialize() {
        byte[] bArr = new byte[getSize()];
        serialize(bArr, 0);
        return bArr;
    }
}
