package org.apache.poi.hwpf.model.types;

import b.b.a.a.a;
import java.util.Arrays;
import org.apache.poi.hwpf.usermodel.BorderCode;
import org.apache.poi.hwpf.usermodel.ShadingDescriptor;
import org.apache.poi.hwpf.usermodel.TableAutoformatLookSpecifier;
import org.apache.poi.hwpf.usermodel.TableCellDescriptor;
import org.apache.poi.util.BitField;
import org.apache.poi.util.Internal;

@Internal
public abstract class TAPAbstractType {
    public static BitField fAdjusted = new BitField(16);
    public static BitField fAutofit = new BitField(1);
    public static BitField fCellSpacing = new BitField(16);
    public static BitField fFirstRow = new BitField(1);
    public static BitField fInvalAutofit = new BitField(32768);
    public static BitField fKeepFollow = new BitField(2);
    public static BitField fLastRow = new BitField(2);
    public static BitField fNeverBeenAutofit = new BitField(16384);
    public static BitField fNotPageView = new BitField(2);
    public static BitField fOrigWordTableRules = new BitField(8);
    public static BitField fOutline = new BitField(4);
    public static BitField fVert = new BitField(524288);
    public static BitField fWebView = new BitField(8);
    public static BitField fWrapToWwd = new BitField(1);
    public static BitField ftsWidth = new BitField(28);
    public static BitField ftsWidthAfter = new BitField(14336);
    public static BitField ftsWidthBefore = new BitField(1792);
    public static BitField ftsWidthIndent = new BitField(224);
    public static BitField grpfTap_unused = new BitField(65504);
    public static BitField pcHorz = new BitField(12582912);
    public static BitField pcVert = new BitField(3145728);
    public static BitField viewFlags_unused1 = new BitField(4);
    public static BitField viewFlags_unused2 = new BitField(65504);
    public static BitField widthAndFitsFlags_empty1 = new BitField(458752);
    public static BitField widthAndFitsFlags_empty2 = new BitField(-16777216);
    public short field_10_wWidthIndent;
    public short field_11_wWidthBefore;
    public short field_12_wWidthAfter;
    public int field_13_widthAndFitsFlags;
    public int field_14_dxaAbs;
    public int field_15_dyaAbs;
    public int field_16_dxaFromText;
    public int field_17_dyaFromText;
    public int field_18_dxaFromTextRight;
    public int field_19_dyaFromTextBottom;
    public short field_1_istd;
    public byte field_20_fBiDi;
    public byte field_21_fRTL;
    public byte field_22_fNoAllowOverlap;
    public byte field_23_fSpare;
    public int field_24_grpfTap;
    public int field_25_internalFlags;
    public short field_26_itcMac;
    public int field_27_dxaAdjust;
    public int field_28_dxaWebView;
    public int field_29_dxaRTEWrapWidth;
    public short field_2_jc;
    public int field_30_dxaColWidthWwd;
    public short field_31_pctWwd;
    public int field_32_viewFlags;
    public short[] field_33_rgdxaCenter = new short[0];
    public short[] field_34_rgdxaCenterPrint = new short[0];
    public ShadingDescriptor field_35_shdTable = new ShadingDescriptor();
    public BorderCode field_36_brcBottom = new BorderCode();
    public BorderCode field_37_brcTop = new BorderCode();
    public BorderCode field_38_brcLeft = new BorderCode();
    public BorderCode field_39_brcRight = new BorderCode();
    public int field_3_dxaGapHalf;
    public BorderCode field_40_brcVertical = new BorderCode();
    public BorderCode field_41_brcHorizontal = new BorderCode();
    public short field_42_wCellPaddingDefaultTop;
    public short field_43_wCellPaddingDefaultLeft;
    public short field_44_wCellPaddingDefaultBottom;
    public short field_45_wCellPaddingDefaultRight;
    public byte field_46_ftsCellPaddingDefaultTop;
    public byte field_47_ftsCellPaddingDefaultLeft;
    public byte field_48_ftsCellPaddingDefaultBottom;
    public byte field_49_ftsCellPaddingDefaultRight;
    public int field_4_dyaRowHeight;
    public short field_50_wCellSpacingDefaultTop;
    public short field_51_wCellSpacingDefaultLeft;
    public short field_52_wCellSpacingDefaultBottom;
    public short field_53_wCellSpacingDefaultRight;
    public byte field_54_ftsCellSpacingDefaultTop;
    public byte field_55_ftsCellSpacingDefaultLeft;
    public byte field_56_ftsCellSpacingDefaultBottom;
    public byte field_57_ftsCellSpacingDefaultRight;
    public short field_58_wCellPaddingOuterTop;
    public short field_59_wCellPaddingOuterLeft;
    public boolean field_5_fCantSplit;
    public short field_60_wCellPaddingOuterBottom;
    public short field_61_wCellPaddingOuterRight;
    public byte field_62_ftsCellPaddingOuterTop;
    public byte field_63_ftsCellPaddingOuterLeft;
    public byte field_64_ftsCellPaddingOuterBottom;
    public byte field_65_ftsCellPaddingOuterRight;
    public short field_66_wCellSpacingOuterTop;
    public short field_67_wCellSpacingOuterLeft;
    public short field_68_wCellSpacingOuterBottom;
    public short field_69_wCellSpacingOuterRight;
    public boolean field_6_fCantSplit90;
    public byte field_70_ftsCellSpacingOuterTop;
    public byte field_71_ftsCellSpacingOuterLeft;
    public byte field_72_ftsCellSpacingOuterBottom;
    public byte field_73_ftsCellSpacingOuterRight;
    public TableCellDescriptor[] field_74_rgtc = new TableCellDescriptor[0];
    public ShadingDescriptor[] field_75_rgshd = new ShadingDescriptor[0];
    public byte field_76_fPropRMark;
    public byte field_77_fHasOldProps;
    public short field_78_cHorzBands;
    public short field_79_cVertBands;
    public boolean field_7_fTableHeader;
    public BorderCode field_80_rgbrcInsideDefault_0 = new BorderCode();
    public BorderCode field_81_rgbrcInsideDefault_1 = new BorderCode();
    public TableAutoformatLookSpecifier field_8_tlp = new TableAutoformatLookSpecifier();
    public short field_9_wWidth;

    @Internal
    public BorderCode getBrcBottom() {
        return this.field_36_brcBottom;
    }

    @Internal
    public BorderCode getBrcHorizontal() {
        return this.field_41_brcHorizontal;
    }

    @Internal
    public BorderCode getBrcLeft() {
        return this.field_38_brcLeft;
    }

    @Internal
    public BorderCode getBrcRight() {
        return this.field_39_brcRight;
    }

    @Internal
    public BorderCode getBrcTop() {
        return this.field_37_brcTop;
    }

    @Internal
    public BorderCode getBrcVertical() {
        return this.field_40_brcVertical;
    }

    @Internal
    public short getCHorzBands() {
        return this.field_78_cHorzBands;
    }

    @Internal
    public short getCVertBands() {
        return this.field_79_cVertBands;
    }

    @Internal
    public int getDxaAbs() {
        return this.field_14_dxaAbs;
    }

    @Internal
    public int getDxaAdjust() {
        return this.field_27_dxaAdjust;
    }

    @Internal
    public int getDxaColWidthWwd() {
        return this.field_30_dxaColWidthWwd;
    }

    @Internal
    public int getDxaFromText() {
        return this.field_16_dxaFromText;
    }

    @Internal
    public int getDxaFromTextRight() {
        return this.field_18_dxaFromTextRight;
    }

    @Internal
    public int getDxaGapHalf() {
        return this.field_3_dxaGapHalf;
    }

    @Internal
    public int getDxaRTEWrapWidth() {
        return this.field_29_dxaRTEWrapWidth;
    }

    @Internal
    public int getDxaWebView() {
        return this.field_28_dxaWebView;
    }

    @Internal
    public int getDyaAbs() {
        return this.field_15_dyaAbs;
    }

    @Internal
    public int getDyaFromText() {
        return this.field_17_dyaFromText;
    }

    @Internal
    public int getDyaFromTextBottom() {
        return this.field_19_dyaFromTextBottom;
    }

    @Internal
    public int getDyaRowHeight() {
        return this.field_4_dyaRowHeight;
    }

    @Internal
    public byte getFBiDi() {
        return this.field_20_fBiDi;
    }

    @Internal
    public boolean getFCantSplit() {
        return this.field_5_fCantSplit;
    }

    @Internal
    public boolean getFCantSplit90() {
        return this.field_6_fCantSplit90;
    }

    @Internal
    public byte getFHasOldProps() {
        return this.field_77_fHasOldProps;
    }

    @Internal
    public byte getFNoAllowOverlap() {
        return this.field_22_fNoAllowOverlap;
    }

    @Internal
    public byte getFPropRMark() {
        return this.field_76_fPropRMark;
    }

    @Internal
    public byte getFRTL() {
        return this.field_21_fRTL;
    }

    @Internal
    public byte getFSpare() {
        return this.field_23_fSpare;
    }

    @Internal
    public boolean getFTableHeader() {
        return this.field_7_fTableHeader;
    }

    @Internal
    public byte getFtsCellPaddingDefaultBottom() {
        return this.field_48_ftsCellPaddingDefaultBottom;
    }

    @Internal
    public byte getFtsCellPaddingDefaultLeft() {
        return this.field_47_ftsCellPaddingDefaultLeft;
    }

    @Internal
    public byte getFtsCellPaddingDefaultRight() {
        return this.field_49_ftsCellPaddingDefaultRight;
    }

    @Internal
    public byte getFtsCellPaddingDefaultTop() {
        return this.field_46_ftsCellPaddingDefaultTop;
    }

    @Internal
    public byte getFtsCellPaddingOuterBottom() {
        return this.field_64_ftsCellPaddingOuterBottom;
    }

    @Internal
    public byte getFtsCellPaddingOuterLeft() {
        return this.field_63_ftsCellPaddingOuterLeft;
    }

    @Internal
    public byte getFtsCellPaddingOuterRight() {
        return this.field_65_ftsCellPaddingOuterRight;
    }

    @Internal
    public byte getFtsCellPaddingOuterTop() {
        return this.field_62_ftsCellPaddingOuterTop;
    }

    @Internal
    public byte getFtsCellSpacingDefaultBottom() {
        return this.field_56_ftsCellSpacingDefaultBottom;
    }

    @Internal
    public byte getFtsCellSpacingDefaultLeft() {
        return this.field_55_ftsCellSpacingDefaultLeft;
    }

    @Internal
    public byte getFtsCellSpacingDefaultRight() {
        return this.field_57_ftsCellSpacingDefaultRight;
    }

    @Internal
    public byte getFtsCellSpacingDefaultTop() {
        return this.field_54_ftsCellSpacingDefaultTop;
    }

    @Internal
    public byte getFtsCellSpacingOuterBottom() {
        return this.field_72_ftsCellSpacingOuterBottom;
    }

    @Internal
    public byte getFtsCellSpacingOuterLeft() {
        return this.field_71_ftsCellSpacingOuterLeft;
    }

    @Internal
    public byte getFtsCellSpacingOuterRight() {
        return this.field_73_ftsCellSpacingOuterRight;
    }

    @Internal
    public byte getFtsCellSpacingOuterTop() {
        return this.field_70_ftsCellSpacingOuterTop;
    }

    @Internal
    public byte getFtsWidth() {
        return (byte) ftsWidth.getValue(this.field_13_widthAndFitsFlags);
    }

    @Internal
    public byte getFtsWidthAfter() {
        return (byte) ftsWidthAfter.getValue(this.field_13_widthAndFitsFlags);
    }

    @Internal
    public byte getFtsWidthBefore() {
        return (byte) ftsWidthBefore.getValue(this.field_13_widthAndFitsFlags);
    }

    @Internal
    public byte getFtsWidthIndent() {
        return (byte) ftsWidthIndent.getValue(this.field_13_widthAndFitsFlags);
    }

    @Internal
    public int getGrpfTap() {
        return this.field_24_grpfTap;
    }

    @Internal
    public short getGrpfTap_unused() {
        return (short) grpfTap_unused.getValue(this.field_25_internalFlags);
    }

    @Internal
    public int getInternalFlags() {
        return this.field_25_internalFlags;
    }

    @Internal
    public short getIstd() {
        return this.field_1_istd;
    }

    @Internal
    public short getItcMac() {
        return this.field_26_itcMac;
    }

    @Internal
    public short getJc() {
        return this.field_2_jc;
    }

    @Internal
    public byte getPcHorz() {
        return (byte) pcHorz.getValue(this.field_13_widthAndFitsFlags);
    }

    @Internal
    public byte getPcVert() {
        return (byte) pcVert.getValue(this.field_13_widthAndFitsFlags);
    }

    @Internal
    public short getPctWwd() {
        return this.field_31_pctWwd;
    }

    @Internal
    public BorderCode getRgbrcInsideDefault_0() {
        return this.field_80_rgbrcInsideDefault_0;
    }

    @Internal
    public BorderCode getRgbrcInsideDefault_1() {
        return this.field_81_rgbrcInsideDefault_1;
    }

    @Internal
    public short[] getRgdxaCenter() {
        return this.field_33_rgdxaCenter;
    }

    @Internal
    public short[] getRgdxaCenterPrint() {
        return this.field_34_rgdxaCenterPrint;
    }

    @Internal
    public ShadingDescriptor[] getRgshd() {
        return this.field_75_rgshd;
    }

    @Internal
    public TableCellDescriptor[] getRgtc() {
        return this.field_74_rgtc;
    }

    @Internal
    public ShadingDescriptor getShdTable() {
        return this.field_35_shdTable;
    }

    @Internal
    public TableAutoformatLookSpecifier getTlp() {
        return this.field_8_tlp;
    }

    @Internal
    public int getViewFlags() {
        return this.field_32_viewFlags;
    }

    @Internal
    public short getViewFlags_unused2() {
        return (short) viewFlags_unused2.getValue(this.field_32_viewFlags);
    }

    @Internal
    public short getWCellPaddingDefaultBottom() {
        return this.field_44_wCellPaddingDefaultBottom;
    }

    @Internal
    public short getWCellPaddingDefaultLeft() {
        return this.field_43_wCellPaddingDefaultLeft;
    }

    @Internal
    public short getWCellPaddingDefaultRight() {
        return this.field_45_wCellPaddingDefaultRight;
    }

    @Internal
    public short getWCellPaddingDefaultTop() {
        return this.field_42_wCellPaddingDefaultTop;
    }

    @Internal
    public short getWCellPaddingOuterBottom() {
        return this.field_60_wCellPaddingOuterBottom;
    }

    @Internal
    public short getWCellPaddingOuterLeft() {
        return this.field_59_wCellPaddingOuterLeft;
    }

    @Internal
    public short getWCellPaddingOuterRight() {
        return this.field_61_wCellPaddingOuterRight;
    }

    @Internal
    public short getWCellPaddingOuterTop() {
        return this.field_58_wCellPaddingOuterTop;
    }

    @Internal
    public short getWCellSpacingDefaultBottom() {
        return this.field_52_wCellSpacingDefaultBottom;
    }

    @Internal
    public short getWCellSpacingDefaultLeft() {
        return this.field_51_wCellSpacingDefaultLeft;
    }

    @Internal
    public short getWCellSpacingDefaultRight() {
        return this.field_53_wCellSpacingDefaultRight;
    }

    @Internal
    public short getWCellSpacingDefaultTop() {
        return this.field_50_wCellSpacingDefaultTop;
    }

    @Internal
    public short getWCellSpacingOuterBottom() {
        return this.field_68_wCellSpacingOuterBottom;
    }

    @Internal
    public short getWCellSpacingOuterLeft() {
        return this.field_67_wCellSpacingOuterLeft;
    }

    @Internal
    public short getWCellSpacingOuterRight() {
        return this.field_69_wCellSpacingOuterRight;
    }

    @Internal
    public short getWCellSpacingOuterTop() {
        return this.field_66_wCellSpacingOuterTop;
    }

    @Internal
    public short getWWidth() {
        return this.field_9_wWidth;
    }

    @Internal
    public short getWWidthAfter() {
        return this.field_12_wWidthAfter;
    }

    @Internal
    public short getWWidthBefore() {
        return this.field_11_wWidthBefore;
    }

    @Internal
    public short getWWidthIndent() {
        return this.field_10_wWidthIndent;
    }

    @Internal
    public int getWidthAndFitsFlags() {
        return this.field_13_widthAndFitsFlags;
    }

    @Internal
    public byte getWidthAndFitsFlags_empty1() {
        return (byte) widthAndFitsFlags_empty1.getValue(this.field_13_widthAndFitsFlags);
    }

    @Internal
    public short getWidthAndFitsFlags_empty2() {
        return (short) widthAndFitsFlags_empty2.getValue(this.field_13_widthAndFitsFlags);
    }

    @Internal
    public boolean isFAdjusted() {
        return fAdjusted.isSet(this.field_32_viewFlags);
    }

    @Internal
    public boolean isFAutofit() {
        return fAutofit.isSet(this.field_13_widthAndFitsFlags);
    }

    @Internal
    public boolean isFCellSpacing() {
        return fCellSpacing.isSet(this.field_25_internalFlags);
    }

    @Internal
    public boolean isFFirstRow() {
        return fFirstRow.isSet(this.field_25_internalFlags);
    }

    @Internal
    public boolean isFInvalAutofit() {
        return fInvalAutofit.isSet(this.field_13_widthAndFitsFlags);
    }

    @Internal
    public boolean isFKeepFollow() {
        return fKeepFollow.isSet(this.field_13_widthAndFitsFlags);
    }

    @Internal
    public boolean isFLastRow() {
        return fLastRow.isSet(this.field_25_internalFlags);
    }

    @Internal
    public boolean isFNeverBeenAutofit() {
        return fNeverBeenAutofit.isSet(this.field_13_widthAndFitsFlags);
    }

    @Internal
    public boolean isFNotPageView() {
        return fNotPageView.isSet(this.field_32_viewFlags);
    }

    @Internal
    public boolean isFOrigWordTableRules() {
        return fOrigWordTableRules.isSet(this.field_25_internalFlags);
    }

    @Internal
    public boolean isFOutline() {
        return fOutline.isSet(this.field_25_internalFlags);
    }

    @Internal
    public boolean isFVert() {
        return fVert.isSet(this.field_13_widthAndFitsFlags);
    }

    @Internal
    public boolean isFWebView() {
        return fWebView.isSet(this.field_32_viewFlags);
    }

    @Internal
    public boolean isFWrapToWwd() {
        return fWrapToWwd.isSet(this.field_32_viewFlags);
    }

    @Internal
    public boolean isViewFlags_unused1() {
        return viewFlags_unused1.isSet(this.field_32_viewFlags);
    }

    @Internal
    public void setBrcBottom(BorderCode borderCode) {
        this.field_36_brcBottom = borderCode;
    }

    @Internal
    public void setBrcHorizontal(BorderCode borderCode) {
        this.field_41_brcHorizontal = borderCode;
    }

    @Internal
    public void setBrcLeft(BorderCode borderCode) {
        this.field_38_brcLeft = borderCode;
    }

    @Internal
    public void setBrcRight(BorderCode borderCode) {
        this.field_39_brcRight = borderCode;
    }

    @Internal
    public void setBrcTop(BorderCode borderCode) {
        this.field_37_brcTop = borderCode;
    }

    @Internal
    public void setBrcVertical(BorderCode borderCode) {
        this.field_40_brcVertical = borderCode;
    }

    @Internal
    public void setCHorzBands(short s) {
        this.field_78_cHorzBands = s;
    }

    @Internal
    public void setCVertBands(short s) {
        this.field_79_cVertBands = s;
    }

    @Internal
    public void setDxaAbs(int i2) {
        this.field_14_dxaAbs = i2;
    }

    @Internal
    public void setDxaAdjust(int i2) {
        this.field_27_dxaAdjust = i2;
    }

    @Internal
    public void setDxaColWidthWwd(int i2) {
        this.field_30_dxaColWidthWwd = i2;
    }

    @Internal
    public void setDxaFromText(int i2) {
        this.field_16_dxaFromText = i2;
    }

    @Internal
    public void setDxaFromTextRight(int i2) {
        this.field_18_dxaFromTextRight = i2;
    }

    @Internal
    public void setDxaGapHalf(int i2) {
        this.field_3_dxaGapHalf = i2;
    }

    @Internal
    public void setDxaRTEWrapWidth(int i2) {
        this.field_29_dxaRTEWrapWidth = i2;
    }

    @Internal
    public void setDxaWebView(int i2) {
        this.field_28_dxaWebView = i2;
    }

    @Internal
    public void setDyaAbs(int i2) {
        this.field_15_dyaAbs = i2;
    }

    @Internal
    public void setDyaFromText(int i2) {
        this.field_17_dyaFromText = i2;
    }

    @Internal
    public void setDyaFromTextBottom(int i2) {
        this.field_19_dyaFromTextBottom = i2;
    }

    @Internal
    public void setDyaRowHeight(int i2) {
        this.field_4_dyaRowHeight = i2;
    }

    @Internal
    public void setFAdjusted(boolean z) {
        this.field_32_viewFlags = fAdjusted.setBoolean(this.field_32_viewFlags, z);
    }

    @Internal
    public void setFAutofit(boolean z) {
        this.field_13_widthAndFitsFlags = fAutofit.setBoolean(this.field_13_widthAndFitsFlags, z);
    }

    @Internal
    public void setFBiDi(byte b2) {
        this.field_20_fBiDi = b2;
    }

    @Internal
    public void setFCantSplit(boolean z) {
        this.field_5_fCantSplit = z;
    }

    @Internal
    public void setFCantSplit90(boolean z) {
        this.field_6_fCantSplit90 = z;
    }

    @Internal
    public void setFCellSpacing(boolean z) {
        this.field_25_internalFlags = fCellSpacing.setBoolean(this.field_25_internalFlags, z);
    }

    @Internal
    public void setFFirstRow(boolean z) {
        this.field_25_internalFlags = fFirstRow.setBoolean(this.field_25_internalFlags, z);
    }

    @Internal
    public void setFHasOldProps(byte b2) {
        this.field_77_fHasOldProps = b2;
    }

    @Internal
    public void setFInvalAutofit(boolean z) {
        this.field_13_widthAndFitsFlags = fInvalAutofit.setBoolean(this.field_13_widthAndFitsFlags, z);
    }

    @Internal
    public void setFKeepFollow(boolean z) {
        this.field_13_widthAndFitsFlags = fKeepFollow.setBoolean(this.field_13_widthAndFitsFlags, z);
    }

    @Internal
    public void setFLastRow(boolean z) {
        this.field_25_internalFlags = fLastRow.setBoolean(this.field_25_internalFlags, z);
    }

    @Internal
    public void setFNeverBeenAutofit(boolean z) {
        this.field_13_widthAndFitsFlags = fNeverBeenAutofit.setBoolean(this.field_13_widthAndFitsFlags, z);
    }

    @Internal
    public void setFNoAllowOverlap(byte b2) {
        this.field_22_fNoAllowOverlap = b2;
    }

    @Internal
    public void setFNotPageView(boolean z) {
        this.field_32_viewFlags = fNotPageView.setBoolean(this.field_32_viewFlags, z);
    }

    @Internal
    public void setFOrigWordTableRules(boolean z) {
        this.field_25_internalFlags = fOrigWordTableRules.setBoolean(this.field_25_internalFlags, z);
    }

    @Internal
    public void setFOutline(boolean z) {
        this.field_25_internalFlags = fOutline.setBoolean(this.field_25_internalFlags, z);
    }

    @Internal
    public void setFPropRMark(byte b2) {
        this.field_76_fPropRMark = b2;
    }

    @Internal
    public void setFRTL(byte b2) {
        this.field_21_fRTL = b2;
    }

    @Internal
    public void setFSpare(byte b2) {
        this.field_23_fSpare = b2;
    }

    @Internal
    public void setFTableHeader(boolean z) {
        this.field_7_fTableHeader = z;
    }

    @Internal
    public void setFVert(boolean z) {
        this.field_13_widthAndFitsFlags = fVert.setBoolean(this.field_13_widthAndFitsFlags, z);
    }

    @Internal
    public void setFWebView(boolean z) {
        this.field_32_viewFlags = fWebView.setBoolean(this.field_32_viewFlags, z);
    }

    @Internal
    public void setFWrapToWwd(boolean z) {
        this.field_32_viewFlags = fWrapToWwd.setBoolean(this.field_32_viewFlags, z);
    }

    @Internal
    public void setFtsCellPaddingDefaultBottom(byte b2) {
        this.field_48_ftsCellPaddingDefaultBottom = b2;
    }

    @Internal
    public void setFtsCellPaddingDefaultLeft(byte b2) {
        this.field_47_ftsCellPaddingDefaultLeft = b2;
    }

    @Internal
    public void setFtsCellPaddingDefaultRight(byte b2) {
        this.field_49_ftsCellPaddingDefaultRight = b2;
    }

    @Internal
    public void setFtsCellPaddingDefaultTop(byte b2) {
        this.field_46_ftsCellPaddingDefaultTop = b2;
    }

    @Internal
    public void setFtsCellPaddingOuterBottom(byte b2) {
        this.field_64_ftsCellPaddingOuterBottom = b2;
    }

    @Internal
    public void setFtsCellPaddingOuterLeft(byte b2) {
        this.field_63_ftsCellPaddingOuterLeft = b2;
    }

    @Internal
    public void setFtsCellPaddingOuterRight(byte b2) {
        this.field_65_ftsCellPaddingOuterRight = b2;
    }

    @Internal
    public void setFtsCellPaddingOuterTop(byte b2) {
        this.field_62_ftsCellPaddingOuterTop = b2;
    }

    @Internal
    public void setFtsCellSpacingDefaultBottom(byte b2) {
        this.field_56_ftsCellSpacingDefaultBottom = b2;
    }

    @Internal
    public void setFtsCellSpacingDefaultLeft(byte b2) {
        this.field_55_ftsCellSpacingDefaultLeft = b2;
    }

    @Internal
    public void setFtsCellSpacingDefaultRight(byte b2) {
        this.field_57_ftsCellSpacingDefaultRight = b2;
    }

    @Internal
    public void setFtsCellSpacingDefaultTop(byte b2) {
        this.field_54_ftsCellSpacingDefaultTop = b2;
    }

    @Internal
    public void setFtsCellSpacingOuterBottom(byte b2) {
        this.field_72_ftsCellSpacingOuterBottom = b2;
    }

    @Internal
    public void setFtsCellSpacingOuterLeft(byte b2) {
        this.field_71_ftsCellSpacingOuterLeft = b2;
    }

    @Internal
    public void setFtsCellSpacingOuterRight(byte b2) {
        this.field_73_ftsCellSpacingOuterRight = b2;
    }

    @Internal
    public void setFtsCellSpacingOuterTop(byte b2) {
        this.field_70_ftsCellSpacingOuterTop = b2;
    }

    @Internal
    public void setFtsWidth(byte b2) {
        this.field_13_widthAndFitsFlags = ftsWidth.setValue(this.field_13_widthAndFitsFlags, b2);
    }

    @Internal
    public void setFtsWidthAfter(byte b2) {
        this.field_13_widthAndFitsFlags = ftsWidthAfter.setValue(this.field_13_widthAndFitsFlags, b2);
    }

    @Internal
    public void setFtsWidthBefore(byte b2) {
        this.field_13_widthAndFitsFlags = ftsWidthBefore.setValue(this.field_13_widthAndFitsFlags, b2);
    }

    @Internal
    public void setFtsWidthIndent(byte b2) {
        this.field_13_widthAndFitsFlags = ftsWidthIndent.setValue(this.field_13_widthAndFitsFlags, b2);
    }

    @Internal
    public void setGrpfTap(int i2) {
        this.field_24_grpfTap = i2;
    }

    @Internal
    public void setGrpfTap_unused(short s) {
        this.field_25_internalFlags = grpfTap_unused.setValue(this.field_25_internalFlags, s);
    }

    @Internal
    public void setInternalFlags(int i2) {
        this.field_25_internalFlags = i2;
    }

    @Internal
    public void setIstd(short s) {
        this.field_1_istd = s;
    }

    @Internal
    public void setItcMac(short s) {
        this.field_26_itcMac = s;
    }

    @Internal
    public void setJc(short s) {
        this.field_2_jc = s;
    }

    @Internal
    public void setPcHorz(byte b2) {
        this.field_13_widthAndFitsFlags = pcHorz.setValue(this.field_13_widthAndFitsFlags, b2);
    }

    @Internal
    public void setPcVert(byte b2) {
        this.field_13_widthAndFitsFlags = pcVert.setValue(this.field_13_widthAndFitsFlags, b2);
    }

    @Internal
    public void setPctWwd(short s) {
        this.field_31_pctWwd = s;
    }

    @Internal
    public void setRgbrcInsideDefault_0(BorderCode borderCode) {
        this.field_80_rgbrcInsideDefault_0 = borderCode;
    }

    @Internal
    public void setRgbrcInsideDefault_1(BorderCode borderCode) {
        this.field_81_rgbrcInsideDefault_1 = borderCode;
    }

    @Internal
    public void setRgdxaCenter(short[] sArr) {
        this.field_33_rgdxaCenter = sArr;
    }

    @Internal
    public void setRgdxaCenterPrint(short[] sArr) {
        this.field_34_rgdxaCenterPrint = sArr;
    }

    @Internal
    public void setRgshd(ShadingDescriptor[] shadingDescriptorArr) {
        this.field_75_rgshd = shadingDescriptorArr;
    }

    @Internal
    public void setRgtc(TableCellDescriptor[] tableCellDescriptorArr) {
        this.field_74_rgtc = tableCellDescriptorArr;
    }

    @Internal
    public void setShdTable(ShadingDescriptor shadingDescriptor) {
        this.field_35_shdTable = shadingDescriptor;
    }

    @Internal
    public void setTlp(TableAutoformatLookSpecifier tableAutoformatLookSpecifier) {
        this.field_8_tlp = tableAutoformatLookSpecifier;
    }

    @Internal
    public void setViewFlags(int i2) {
        this.field_32_viewFlags = i2;
    }

    @Internal
    public void setViewFlags_unused1(boolean z) {
        this.field_32_viewFlags = viewFlags_unused1.setBoolean(this.field_32_viewFlags, z);
    }

    @Internal
    public void setViewFlags_unused2(short s) {
        this.field_32_viewFlags = viewFlags_unused2.setValue(this.field_32_viewFlags, s);
    }

    @Internal
    public void setWCellPaddingDefaultBottom(short s) {
        this.field_44_wCellPaddingDefaultBottom = s;
    }

    @Internal
    public void setWCellPaddingDefaultLeft(short s) {
        this.field_43_wCellPaddingDefaultLeft = s;
    }

    @Internal
    public void setWCellPaddingDefaultRight(short s) {
        this.field_45_wCellPaddingDefaultRight = s;
    }

    @Internal
    public void setWCellPaddingDefaultTop(short s) {
        this.field_42_wCellPaddingDefaultTop = s;
    }

    @Internal
    public void setWCellPaddingOuterBottom(short s) {
        this.field_60_wCellPaddingOuterBottom = s;
    }

    @Internal
    public void setWCellPaddingOuterLeft(short s) {
        this.field_59_wCellPaddingOuterLeft = s;
    }

    @Internal
    public void setWCellPaddingOuterRight(short s) {
        this.field_61_wCellPaddingOuterRight = s;
    }

    @Internal
    public void setWCellPaddingOuterTop(short s) {
        this.field_58_wCellPaddingOuterTop = s;
    }

    @Internal
    public void setWCellSpacingDefaultBottom(short s) {
        this.field_52_wCellSpacingDefaultBottom = s;
    }

    @Internal
    public void setWCellSpacingDefaultLeft(short s) {
        this.field_51_wCellSpacingDefaultLeft = s;
    }

    @Internal
    public void setWCellSpacingDefaultRight(short s) {
        this.field_53_wCellSpacingDefaultRight = s;
    }

    @Internal
    public void setWCellSpacingDefaultTop(short s) {
        this.field_50_wCellSpacingDefaultTop = s;
    }

    @Internal
    public void setWCellSpacingOuterBottom(short s) {
        this.field_68_wCellSpacingOuterBottom = s;
    }

    @Internal
    public void setWCellSpacingOuterLeft(short s) {
        this.field_67_wCellSpacingOuterLeft = s;
    }

    @Internal
    public void setWCellSpacingOuterRight(short s) {
        this.field_69_wCellSpacingOuterRight = s;
    }

    @Internal
    public void setWCellSpacingOuterTop(short s) {
        this.field_66_wCellSpacingOuterTop = s;
    }

    @Internal
    public void setWWidth(short s) {
        this.field_9_wWidth = s;
    }

    @Internal
    public void setWWidthAfter(short s) {
        this.field_12_wWidthAfter = s;
    }

    @Internal
    public void setWWidthBefore(short s) {
        this.field_11_wWidthBefore = s;
    }

    @Internal
    public void setWWidthIndent(short s) {
        this.field_10_wWidthIndent = s;
    }

    @Internal
    public void setWidthAndFitsFlags(int i2) {
        this.field_13_widthAndFitsFlags = i2;
    }

    @Internal
    public void setWidthAndFitsFlags_empty1(byte b2) {
        this.field_13_widthAndFitsFlags = widthAndFitsFlags_empty1.setValue(this.field_13_widthAndFitsFlags, b2);
    }

    @Internal
    public void setWidthAndFitsFlags_empty2(short s) {
        this.field_13_widthAndFitsFlags = widthAndFitsFlags_empty2.setValue(this.field_13_widthAndFitsFlags, s);
    }

    public String toString() {
        StringBuilder d2 = a.d("[TAP]\n", "    .istd                 = ", " (");
        d2.append((int) getIstd());
        d2.append(" )\n");
        d2.append("    .jc                   = ");
        d2.append(" (");
        d2.append((int) getJc());
        d2.append(" )\n");
        d2.append("    .dxaGapHalf           = ");
        d2.append(" (");
        d2.append(getDxaGapHalf());
        d2.append(" )\n");
        d2.append("    .dyaRowHeight         = ");
        d2.append(" (");
        d2.append(getDyaRowHeight());
        d2.append(" )\n");
        d2.append("    .fCantSplit           = ");
        d2.append(" (");
        d2.append(getFCantSplit());
        d2.append(" )\n");
        d2.append("    .fCantSplit90         = ");
        d2.append(" (");
        d2.append(getFCantSplit90());
        d2.append(" )\n");
        d2.append("    .fTableHeader         = ");
        d2.append(" (");
        d2.append(getFTableHeader());
        d2.append(" )\n");
        d2.append("    .tlp                  = ");
        d2.append(" (");
        d2.append(getTlp());
        d2.append(" )\n");
        d2.append("    .wWidth               = ");
        d2.append(" (");
        d2.append((int) getWWidth());
        d2.append(" )\n");
        d2.append("    .wWidthIndent         = ");
        d2.append(" (");
        d2.append((int) getWWidthIndent());
        d2.append(" )\n");
        d2.append("    .wWidthBefore         = ");
        d2.append(" (");
        d2.append((int) getWWidthBefore());
        d2.append(" )\n");
        d2.append("    .wWidthAfter          = ");
        d2.append(" (");
        d2.append((int) getWWidthAfter());
        d2.append(" )\n");
        d2.append("    .widthAndFitsFlags    = ");
        d2.append(" (");
        d2.append(getWidthAndFitsFlags());
        d2.append(" )\n");
        d2.append("         .fAutofit                 = ");
        d2.append(isFAutofit());
        d2.append('\n');
        d2.append("         .fKeepFollow              = ");
        d2.append(isFKeepFollow());
        d2.append('\n');
        d2.append("         .ftsWidth                 = ");
        d2.append((int) getFtsWidth());
        d2.append('\n');
        d2.append("         .ftsWidthIndent           = ");
        d2.append((int) getFtsWidthIndent());
        d2.append('\n');
        d2.append("         .ftsWidthBefore           = ");
        d2.append((int) getFtsWidthBefore());
        d2.append('\n');
        d2.append("         .ftsWidthAfter            = ");
        d2.append((int) getFtsWidthAfter());
        d2.append('\n');
        d2.append("         .fNeverBeenAutofit        = ");
        d2.append(isFNeverBeenAutofit());
        d2.append('\n');
        d2.append("         .fInvalAutofit            = ");
        d2.append(isFInvalAutofit());
        d2.append('\n');
        d2.append("         .widthAndFitsFlags_empty1     = ");
        d2.append((int) getWidthAndFitsFlags_empty1());
        d2.append('\n');
        d2.append("         .fVert                    = ");
        d2.append(isFVert());
        d2.append('\n');
        d2.append("         .pcVert                   = ");
        d2.append((int) getPcVert());
        d2.append('\n');
        d2.append("         .pcHorz                   = ");
        d2.append((int) getPcHorz());
        d2.append('\n');
        d2.append("         .widthAndFitsFlags_empty2     = ");
        d2.append((int) getWidthAndFitsFlags_empty2());
        d2.append('\n');
        d2.append("    .dxaAbs               = ");
        d2.append(" (");
        d2.append(getDxaAbs());
        d2.append(" )\n");
        d2.append("    .dyaAbs               = ");
        d2.append(" (");
        d2.append(getDyaAbs());
        d2.append(" )\n");
        d2.append("    .dxaFromText          = ");
        d2.append(" (");
        d2.append(getDxaFromText());
        d2.append(" )\n");
        d2.append("    .dyaFromText          = ");
        d2.append(" (");
        d2.append(getDyaFromText());
        d2.append(" )\n");
        d2.append("    .dxaFromTextRight     = ");
        d2.append(" (");
        d2.append(getDxaFromTextRight());
        d2.append(" )\n");
        d2.append("    .dyaFromTextBottom    = ");
        d2.append(" (");
        d2.append(getDyaFromTextBottom());
        d2.append(" )\n");
        d2.append("    .fBiDi                = ");
        d2.append(" (");
        d2.append((int) getFBiDi());
        d2.append(" )\n");
        d2.append("    .fRTL                 = ");
        d2.append(" (");
        d2.append((int) getFRTL());
        d2.append(" )\n");
        d2.append("    .fNoAllowOverlap      = ");
        d2.append(" (");
        d2.append((int) getFNoAllowOverlap());
        d2.append(" )\n");
        d2.append("    .fSpare               = ");
        d2.append(" (");
        d2.append((int) getFSpare());
        d2.append(" )\n");
        d2.append("    .grpfTap              = ");
        d2.append(" (");
        d2.append(getGrpfTap());
        d2.append(" )\n");
        d2.append("    .internalFlags        = ");
        d2.append(" (");
        d2.append(getInternalFlags());
        d2.append(" )\n");
        d2.append("         .fFirstRow                = ");
        d2.append(isFFirstRow());
        d2.append('\n');
        d2.append("         .fLastRow                 = ");
        d2.append(isFLastRow());
        d2.append('\n');
        d2.append("         .fOutline                 = ");
        d2.append(isFOutline());
        d2.append('\n');
        d2.append("         .fOrigWordTableRules      = ");
        d2.append(isFOrigWordTableRules());
        d2.append('\n');
        d2.append("         .fCellSpacing             = ");
        d2.append(isFCellSpacing());
        d2.append('\n');
        d2.append("         .grpfTap_unused           = ");
        d2.append((int) getGrpfTap_unused());
        d2.append('\n');
        d2.append("    .itcMac               = ");
        d2.append(" (");
        d2.append((int) getItcMac());
        d2.append(" )\n");
        d2.append("    .dxaAdjust            = ");
        d2.append(" (");
        d2.append(getDxaAdjust());
        d2.append(" )\n");
        d2.append("    .dxaWebView           = ");
        d2.append(" (");
        d2.append(getDxaWebView());
        d2.append(" )\n");
        d2.append("    .dxaRTEWrapWidth      = ");
        d2.append(" (");
        d2.append(getDxaRTEWrapWidth());
        d2.append(" )\n");
        d2.append("    .dxaColWidthWwd       = ");
        d2.append(" (");
        d2.append(getDxaColWidthWwd());
        d2.append(" )\n");
        d2.append("    .pctWwd               = ");
        d2.append(" (");
        d2.append((int) getPctWwd());
        d2.append(" )\n");
        d2.append("    .viewFlags            = ");
        d2.append(" (");
        d2.append(getViewFlags());
        d2.append(" )\n");
        d2.append("         .fWrapToWwd               = ");
        d2.append(isFWrapToWwd());
        d2.append('\n');
        d2.append("         .fNotPageView             = ");
        d2.append(isFNotPageView());
        d2.append('\n');
        d2.append("         .viewFlags_unused1        = ");
        d2.append(isViewFlags_unused1());
        d2.append('\n');
        d2.append("         .fWebView                 = ");
        d2.append(isFWebView());
        d2.append('\n');
        d2.append("         .fAdjusted                = ");
        d2.append(isFAdjusted());
        d2.append('\n');
        d2.append("         .viewFlags_unused2        = ");
        d2.append((int) getViewFlags_unused2());
        d2.append('\n');
        d2.append("    .rgdxaCenter          = ");
        d2.append(" (");
        d2.append(Arrays.toString(getRgdxaCenter()));
        d2.append(" )\n");
        d2.append("    .rgdxaCenterPrint     = ");
        d2.append(" (");
        d2.append(Arrays.toString(getRgdxaCenterPrint()));
        d2.append(" )\n");
        d2.append("    .shdTable             = ");
        d2.append(" (");
        d2.append(getShdTable());
        d2.append(" )\n");
        d2.append("    .brcBottom            = ");
        d2.append(" (");
        d2.append(getBrcBottom());
        d2.append(" )\n");
        d2.append("    .brcTop               = ");
        d2.append(" (");
        d2.append(getBrcTop());
        d2.append(" )\n");
        d2.append("    .brcLeft              = ");
        d2.append(" (");
        d2.append(getBrcLeft());
        d2.append(" )\n");
        d2.append("    .brcRight             = ");
        d2.append(" (");
        d2.append(getBrcRight());
        d2.append(" )\n");
        d2.append("    .brcVertical          = ");
        d2.append(" (");
        d2.append(getBrcVertical());
        d2.append(" )\n");
        d2.append("    .brcHorizontal        = ");
        d2.append(" (");
        d2.append(getBrcHorizontal());
        d2.append(" )\n");
        d2.append("    .wCellPaddingDefaultTop = ");
        d2.append(" (");
        d2.append((int) getWCellPaddingDefaultTop());
        d2.append(" )\n");
        d2.append("    .wCellPaddingDefaultLeft = ");
        d2.append(" (");
        d2.append((int) getWCellPaddingDefaultLeft());
        d2.append(" )\n");
        d2.append("    .wCellPaddingDefaultBottom = ");
        d2.append(" (");
        d2.append((int) getWCellPaddingDefaultBottom());
        d2.append(" )\n");
        d2.append("    .wCellPaddingDefaultRight = ");
        d2.append(" (");
        d2.append((int) getWCellPaddingDefaultRight());
        d2.append(" )\n");
        d2.append("    .ftsCellPaddingDefaultTop = ");
        d2.append(" (");
        d2.append((int) getFtsCellPaddingDefaultTop());
        d2.append(" )\n");
        d2.append("    .ftsCellPaddingDefaultLeft = ");
        d2.append(" (");
        d2.append((int) getFtsCellPaddingDefaultLeft());
        d2.append(" )\n");
        d2.append("    .ftsCellPaddingDefaultBottom = ");
        d2.append(" (");
        d2.append((int) getFtsCellPaddingDefaultBottom());
        d2.append(" )\n");
        d2.append("    .ftsCellPaddingDefaultRight = ");
        d2.append(" (");
        d2.append((int) getFtsCellPaddingDefaultRight());
        d2.append(" )\n");
        d2.append("    .wCellSpacingDefaultTop = ");
        d2.append(" (");
        d2.append((int) getWCellSpacingDefaultTop());
        d2.append(" )\n");
        d2.append("    .wCellSpacingDefaultLeft = ");
        d2.append(" (");
        d2.append((int) getWCellSpacingDefaultLeft());
        d2.append(" )\n");
        d2.append("    .wCellSpacingDefaultBottom = ");
        d2.append(" (");
        d2.append((int) getWCellSpacingDefaultBottom());
        d2.append(" )\n");
        d2.append("    .wCellSpacingDefaultRight = ");
        d2.append(" (");
        d2.append((int) getWCellSpacingDefaultRight());
        d2.append(" )\n");
        d2.append("    .ftsCellSpacingDefaultTop = ");
        d2.append(" (");
        d2.append((int) getFtsCellSpacingDefaultTop());
        d2.append(" )\n");
        d2.append("    .ftsCellSpacingDefaultLeft = ");
        d2.append(" (");
        d2.append((int) getFtsCellSpacingDefaultLeft());
        d2.append(" )\n");
        d2.append("    .ftsCellSpacingDefaultBottom = ");
        d2.append(" (");
        d2.append((int) getFtsCellSpacingDefaultBottom());
        d2.append(" )\n");
        d2.append("    .ftsCellSpacingDefaultRight = ");
        d2.append(" (");
        d2.append((int) getFtsCellSpacingDefaultRight());
        d2.append(" )\n");
        d2.append("    .wCellPaddingOuterTop = ");
        d2.append(" (");
        d2.append((int) getWCellPaddingOuterTop());
        d2.append(" )\n");
        d2.append("    .wCellPaddingOuterLeft = ");
        d2.append(" (");
        d2.append((int) getWCellPaddingOuterLeft());
        d2.append(" )\n");
        d2.append("    .wCellPaddingOuterBottom = ");
        d2.append(" (");
        d2.append((int) getWCellPaddingOuterBottom());
        d2.append(" )\n");
        d2.append("    .wCellPaddingOuterRight = ");
        d2.append(" (");
        d2.append((int) getWCellPaddingOuterRight());
        d2.append(" )\n");
        d2.append("    .ftsCellPaddingOuterTop = ");
        d2.append(" (");
        d2.append((int) getFtsCellPaddingOuterTop());
        d2.append(" )\n");
        d2.append("    .ftsCellPaddingOuterLeft = ");
        d2.append(" (");
        d2.append((int) getFtsCellPaddingOuterLeft());
        d2.append(" )\n");
        d2.append("    .ftsCellPaddingOuterBottom = ");
        d2.append(" (");
        d2.append((int) getFtsCellPaddingOuterBottom());
        d2.append(" )\n");
        d2.append("    .ftsCellPaddingOuterRight = ");
        d2.append(" (");
        d2.append((int) getFtsCellPaddingOuterRight());
        d2.append(" )\n");
        d2.append("    .wCellSpacingOuterTop = ");
        d2.append(" (");
        d2.append((int) getWCellSpacingOuterTop());
        d2.append(" )\n");
        d2.append("    .wCellSpacingOuterLeft = ");
        d2.append(" (");
        d2.append((int) getWCellSpacingOuterLeft());
        d2.append(" )\n");
        d2.append("    .wCellSpacingOuterBottom = ");
        d2.append(" (");
        d2.append((int) getWCellSpacingOuterBottom());
        d2.append(" )\n");
        d2.append("    .wCellSpacingOuterRight = ");
        d2.append(" (");
        d2.append((int) getWCellSpacingOuterRight());
        d2.append(" )\n");
        d2.append("    .ftsCellSpacingOuterTop = ");
        d2.append(" (");
        d2.append((int) getFtsCellSpacingOuterTop());
        d2.append(" )\n");
        d2.append("    .ftsCellSpacingOuterLeft = ");
        d2.append(" (");
        d2.append((int) getFtsCellSpacingOuterLeft());
        d2.append(" )\n");
        d2.append("    .ftsCellSpacingOuterBottom = ");
        d2.append(" (");
        d2.append((int) getFtsCellSpacingOuterBottom());
        d2.append(" )\n");
        d2.append("    .ftsCellSpacingOuterRight = ");
        d2.append(" (");
        d2.append((int) getFtsCellSpacingOuterRight());
        d2.append(" )\n");
        d2.append("    .rgtc                 = ");
        d2.append(" (");
        d2.append(Arrays.toString(getRgtc()));
        d2.append(" )\n");
        d2.append("    .rgshd                = ");
        d2.append(" (");
        d2.append(Arrays.toString(getRgshd()));
        d2.append(" )\n");
        d2.append("    .fPropRMark           = ");
        d2.append(" (");
        d2.append((int) getFPropRMark());
        d2.append(" )\n");
        d2.append("    .fHasOldProps         = ");
        d2.append(" (");
        d2.append((int) getFHasOldProps());
        d2.append(" )\n");
        d2.append("    .cHorzBands           = ");
        d2.append(" (");
        d2.append((int) getCHorzBands());
        d2.append(" )\n");
        d2.append("    .cVertBands           = ");
        d2.append(" (");
        d2.append((int) getCVertBands());
        d2.append(" )\n");
        d2.append("    .rgbrcInsideDefault_0 = ");
        d2.append(" (");
        d2.append(getRgbrcInsideDefault_0());
        d2.append(" )\n");
        d2.append("    .rgbrcInsideDefault_1 = ");
        d2.append(" (");
        d2.append(getRgbrcInsideDefault_1());
        d2.append(" )\n");
        d2.append("[/TAP]\n");
        return d2.toString();
    }
}
