package org.apache.poi.hwpf.model.types;

import b.b.a.a.a;
import org.apache.poi.hwpf.usermodel.BorderCode;
import org.apache.poi.hwpf.usermodel.ShadingDescriptor;
import org.apache.poi.util.BitField;
import org.apache.poi.util.Internal;

@Internal
public abstract class TCAbstractType {
    public static BitField fBackward = new BitField(8);
    public static BitField fFirstMerged = new BitField(1);
    public static BitField fFitText = new BitField(4096);
    public static BitField fMerged = new BitField(2);
    public static BitField fNoWrap = new BitField(8192);
    public static BitField fRotateFont = new BitField(16);
    public static BitField fUnused = new BitField(49152);
    public static BitField fVertMerge = new BitField(32);
    public static BitField fVertRestart = new BitField(64);
    public static BitField fVertical = new BitField(4);
    public static BitField ftsWidth = new BitField(3584);
    public static BitField vertAlign = new BitField(384);
    public byte field_10_ftsCellPaddingBottom;
    public byte field_11_ftsCellPaddingRight;
    public short field_12_wCellSpacingLeft;
    public short field_13_wCellSpacingTop;
    public short field_14_wCellSpacingBottom;
    public short field_15_wCellSpacingRight;
    public byte field_16_ftsCellSpacingLeft;
    public byte field_17_ftsCellSpacingTop;
    public byte field_18_ftsCellSpacingBottom;
    public byte field_19_ftsCellSpacingRight;
    public short field_1_rgf;
    public BorderCode field_20_brcTop = new BorderCode();
    public BorderCode field_21_brcLeft = new BorderCode();
    public BorderCode field_22_brcBottom = new BorderCode();
    public BorderCode field_23_brcRight = new BorderCode();
    public short field_2_wWidth;
    public ShadingDescriptor field_3_shd = new ShadingDescriptor();
    public short field_4_wCellPaddingLeft;
    public short field_5_wCellPaddingTop;
    public short field_6_wCellPaddingBottom;
    public short field_7_wCellPaddingRight;
    public byte field_8_ftsCellPaddingLeft;
    public byte field_9_ftsCellPaddingTop;

    @Internal
    public BorderCode getBrcBottom() {
        return this.field_22_brcBottom;
    }

    @Internal
    public BorderCode getBrcLeft() {
        return this.field_21_brcLeft;
    }

    @Internal
    public BorderCode getBrcRight() {
        return this.field_23_brcRight;
    }

    @Internal
    public BorderCode getBrcTop() {
        return this.field_20_brcTop;
    }

    @Internal
    public byte getFUnused() {
        return (byte) fUnused.getValue(this.field_1_rgf);
    }

    @Internal
    public byte getFtsCellPaddingBottom() {
        return this.field_10_ftsCellPaddingBottom;
    }

    @Internal
    public byte getFtsCellPaddingLeft() {
        return this.field_8_ftsCellPaddingLeft;
    }

    @Internal
    public byte getFtsCellPaddingRight() {
        return this.field_11_ftsCellPaddingRight;
    }

    @Internal
    public byte getFtsCellPaddingTop() {
        return this.field_9_ftsCellPaddingTop;
    }

    @Internal
    public byte getFtsCellSpacingBottom() {
        return this.field_18_ftsCellSpacingBottom;
    }

    @Internal
    public byte getFtsCellSpacingLeft() {
        return this.field_16_ftsCellSpacingLeft;
    }

    @Internal
    public byte getFtsCellSpacingRight() {
        return this.field_19_ftsCellSpacingRight;
    }

    @Internal
    public byte getFtsCellSpacingTop() {
        return this.field_17_ftsCellSpacingTop;
    }

    @Internal
    public byte getFtsWidth() {
        return (byte) ftsWidth.getValue(this.field_1_rgf);
    }

    @Internal
    public short getRgf() {
        return this.field_1_rgf;
    }

    @Internal
    public ShadingDescriptor getShd() {
        return this.field_3_shd;
    }

    @Internal
    public byte getVertAlign() {
        return (byte) vertAlign.getValue(this.field_1_rgf);
    }

    @Internal
    public short getWCellPaddingBottom() {
        return this.field_6_wCellPaddingBottom;
    }

    @Internal
    public short getWCellPaddingLeft() {
        return this.field_4_wCellPaddingLeft;
    }

    @Internal
    public short getWCellPaddingRight() {
        return this.field_7_wCellPaddingRight;
    }

    @Internal
    public short getWCellPaddingTop() {
        return this.field_5_wCellPaddingTop;
    }

    @Internal
    public short getWCellSpacingBottom() {
        return this.field_14_wCellSpacingBottom;
    }

    @Internal
    public short getWCellSpacingLeft() {
        return this.field_12_wCellSpacingLeft;
    }

    @Internal
    public short getWCellSpacingRight() {
        return this.field_15_wCellSpacingRight;
    }

    @Internal
    public short getWCellSpacingTop() {
        return this.field_13_wCellSpacingTop;
    }

    @Internal
    public short getWWidth() {
        return this.field_2_wWidth;
    }

    @Internal
    public boolean isFBackward() {
        return fBackward.isSet(this.field_1_rgf);
    }

    @Internal
    public boolean isFFirstMerged() {
        return fFirstMerged.isSet(this.field_1_rgf);
    }

    @Internal
    public boolean isFFitText() {
        return fFitText.isSet(this.field_1_rgf);
    }

    @Internal
    public boolean isFMerged() {
        return fMerged.isSet(this.field_1_rgf);
    }

    @Internal
    public boolean isFNoWrap() {
        return fNoWrap.isSet(this.field_1_rgf);
    }

    @Internal
    public boolean isFRotateFont() {
        return fRotateFont.isSet(this.field_1_rgf);
    }

    @Internal
    public boolean isFVertMerge() {
        return fVertMerge.isSet(this.field_1_rgf);
    }

    @Internal
    public boolean isFVertRestart() {
        return fVertRestart.isSet(this.field_1_rgf);
    }

    @Internal
    public boolean isFVertical() {
        return fVertical.isSet(this.field_1_rgf);
    }

    @Internal
    public void setBrcBottom(BorderCode borderCode) {
        this.field_22_brcBottom = borderCode;
    }

    @Internal
    public void setBrcLeft(BorderCode borderCode) {
        this.field_21_brcLeft = borderCode;
    }

    @Internal
    public void setBrcRight(BorderCode borderCode) {
        this.field_23_brcRight = borderCode;
    }

    @Internal
    public void setBrcTop(BorderCode borderCode) {
        this.field_20_brcTop = borderCode;
    }

    @Internal
    public void setFBackward(boolean z) {
        this.field_1_rgf = (short) fBackward.setBoolean(this.field_1_rgf, z);
    }

    @Internal
    public void setFFirstMerged(boolean z) {
        this.field_1_rgf = (short) fFirstMerged.setBoolean(this.field_1_rgf, z);
    }

    @Internal
    public void setFFitText(boolean z) {
        this.field_1_rgf = (short) fFitText.setBoolean(this.field_1_rgf, z);
    }

    @Internal
    public void setFMerged(boolean z) {
        this.field_1_rgf = (short) fMerged.setBoolean(this.field_1_rgf, z);
    }

    @Internal
    public void setFNoWrap(boolean z) {
        this.field_1_rgf = (short) fNoWrap.setBoolean(this.field_1_rgf, z);
    }

    @Internal
    public void setFRotateFont(boolean z) {
        this.field_1_rgf = (short) fRotateFont.setBoolean(this.field_1_rgf, z);
    }

    @Internal
    public void setFUnused(byte b2) {
        this.field_1_rgf = (short) fUnused.setValue(this.field_1_rgf, b2);
    }

    @Internal
    public void setFVertMerge(boolean z) {
        this.field_1_rgf = (short) fVertMerge.setBoolean(this.field_1_rgf, z);
    }

    @Internal
    public void setFVertRestart(boolean z) {
        this.field_1_rgf = (short) fVertRestart.setBoolean(this.field_1_rgf, z);
    }

    @Internal
    public void setFVertical(boolean z) {
        this.field_1_rgf = (short) fVertical.setBoolean(this.field_1_rgf, z);
    }

    @Internal
    public void setFtsCellPaddingBottom(byte b2) {
        this.field_10_ftsCellPaddingBottom = b2;
    }

    @Internal
    public void setFtsCellPaddingLeft(byte b2) {
        this.field_8_ftsCellPaddingLeft = b2;
    }

    @Internal
    public void setFtsCellPaddingRight(byte b2) {
        this.field_11_ftsCellPaddingRight = b2;
    }

    @Internal
    public void setFtsCellPaddingTop(byte b2) {
        this.field_9_ftsCellPaddingTop = b2;
    }

    @Internal
    public void setFtsCellSpacingBottom(byte b2) {
        this.field_18_ftsCellSpacingBottom = b2;
    }

    @Internal
    public void setFtsCellSpacingLeft(byte b2) {
        this.field_16_ftsCellSpacingLeft = b2;
    }

    @Internal
    public void setFtsCellSpacingRight(byte b2) {
        this.field_19_ftsCellSpacingRight = b2;
    }

    @Internal
    public void setFtsCellSpacingTop(byte b2) {
        this.field_17_ftsCellSpacingTop = b2;
    }

    @Internal
    public void setFtsWidth(byte b2) {
        this.field_1_rgf = (short) ftsWidth.setValue(this.field_1_rgf, b2);
    }

    @Internal
    public void setRgf(short s) {
        this.field_1_rgf = s;
    }

    @Internal
    public void setShd(ShadingDescriptor shadingDescriptor) {
        this.field_3_shd = shadingDescriptor;
    }

    @Internal
    public void setVertAlign(byte b2) {
        this.field_1_rgf = (short) vertAlign.setValue(this.field_1_rgf, b2);
    }

    @Internal
    public void setWCellPaddingBottom(short s) {
        this.field_6_wCellPaddingBottom = s;
    }

    @Internal
    public void setWCellPaddingLeft(short s) {
        this.field_4_wCellPaddingLeft = s;
    }

    @Internal
    public void setWCellPaddingRight(short s) {
        this.field_7_wCellPaddingRight = s;
    }

    @Internal
    public void setWCellPaddingTop(short s) {
        this.field_5_wCellPaddingTop = s;
    }

    @Internal
    public void setWCellSpacingBottom(short s) {
        this.field_14_wCellSpacingBottom = s;
    }

    @Internal
    public void setWCellSpacingLeft(short s) {
        this.field_12_wCellSpacingLeft = s;
    }

    @Internal
    public void setWCellSpacingRight(short s) {
        this.field_15_wCellSpacingRight = s;
    }

    @Internal
    public void setWCellSpacingTop(short s) {
        this.field_13_wCellSpacingTop = s;
    }

    @Internal
    public void setWWidth(short s) {
        this.field_2_wWidth = s;
    }

    public String toString() {
        StringBuilder d2 = a.d("[TC]\n", "    .rgf                  = ", " (");
        d2.append((int) getRgf());
        d2.append(" )\n");
        d2.append("         .fFirstMerged             = ");
        d2.append(isFFirstMerged());
        d2.append('\n');
        d2.append("         .fMerged                  = ");
        d2.append(isFMerged());
        d2.append('\n');
        d2.append("         .fVertical                = ");
        d2.append(isFVertical());
        d2.append('\n');
        d2.append("         .fBackward                = ");
        d2.append(isFBackward());
        d2.append('\n');
        d2.append("         .fRotateFont              = ");
        d2.append(isFRotateFont());
        d2.append('\n');
        d2.append("         .fVertMerge               = ");
        d2.append(isFVertMerge());
        d2.append('\n');
        d2.append("         .fVertRestart             = ");
        d2.append(isFVertRestart());
        d2.append('\n');
        d2.append("         .vertAlign                = ");
        d2.append((int) getVertAlign());
        d2.append('\n');
        d2.append("         .ftsWidth                 = ");
        d2.append((int) getFtsWidth());
        d2.append('\n');
        d2.append("         .fFitText                 = ");
        d2.append(isFFitText());
        d2.append('\n');
        d2.append("         .fNoWrap                  = ");
        d2.append(isFNoWrap());
        d2.append('\n');
        d2.append("         .fUnused                  = ");
        d2.append((int) getFUnused());
        d2.append('\n');
        d2.append("    .wWidth               = ");
        d2.append(" (");
        d2.append((int) getWWidth());
        d2.append(" )\n");
        d2.append("    .shd                  = ");
        d2.append(" (");
        d2.append(getShd());
        d2.append(" )\n");
        d2.append("    .wCellPaddingLeft     = ");
        d2.append(" (");
        d2.append((int) getWCellPaddingLeft());
        d2.append(" )\n");
        d2.append("    .wCellPaddingTop      = ");
        d2.append(" (");
        d2.append((int) getWCellPaddingTop());
        d2.append(" )\n");
        d2.append("    .wCellPaddingBottom   = ");
        d2.append(" (");
        d2.append((int) getWCellPaddingBottom());
        d2.append(" )\n");
        d2.append("    .wCellPaddingRight    = ");
        d2.append(" (");
        d2.append((int) getWCellPaddingRight());
        d2.append(" )\n");
        d2.append("    .ftsCellPaddingLeft   = ");
        d2.append(" (");
        d2.append((int) getFtsCellPaddingLeft());
        d2.append(" )\n");
        d2.append("    .ftsCellPaddingTop    = ");
        d2.append(" (");
        d2.append((int) getFtsCellPaddingTop());
        d2.append(" )\n");
        d2.append("    .ftsCellPaddingBottom = ");
        d2.append(" (");
        d2.append((int) getFtsCellPaddingBottom());
        d2.append(" )\n");
        d2.append("    .ftsCellPaddingRight  = ");
        d2.append(" (");
        d2.append((int) getFtsCellPaddingRight());
        d2.append(" )\n");
        d2.append("    .wCellSpacingLeft     = ");
        d2.append(" (");
        d2.append((int) getWCellSpacingLeft());
        d2.append(" )\n");
        d2.append("    .wCellSpacingTop      = ");
        d2.append(" (");
        d2.append((int) getWCellSpacingTop());
        d2.append(" )\n");
        d2.append("    .wCellSpacingBottom   = ");
        d2.append(" (");
        d2.append((int) getWCellSpacingBottom());
        d2.append(" )\n");
        d2.append("    .wCellSpacingRight    = ");
        d2.append(" (");
        d2.append((int) getWCellSpacingRight());
        d2.append(" )\n");
        d2.append("    .ftsCellSpacingLeft   = ");
        d2.append(" (");
        d2.append((int) getFtsCellSpacingLeft());
        d2.append(" )\n");
        d2.append("    .ftsCellSpacingTop    = ");
        d2.append(" (");
        d2.append((int) getFtsCellSpacingTop());
        d2.append(" )\n");
        d2.append("    .ftsCellSpacingBottom = ");
        d2.append(" (");
        d2.append((int) getFtsCellSpacingBottom());
        d2.append(" )\n");
        d2.append("    .ftsCellSpacingRight  = ");
        d2.append(" (");
        d2.append((int) getFtsCellSpacingRight());
        d2.append(" )\n");
        d2.append("    .brcTop               = ");
        d2.append(" (");
        d2.append(getBrcTop());
        d2.append(" )\n");
        d2.append("    .brcLeft              = ");
        d2.append(" (");
        d2.append(getBrcLeft());
        d2.append(" )\n");
        d2.append("    .brcBottom            = ");
        d2.append(" (");
        d2.append(getBrcBottom());
        d2.append(" )\n");
        d2.append("    .brcRight             = ");
        d2.append(" (");
        d2.append(getBrcRight());
        return a.a(d2, " )\n", "[/TC]\n");
    }
}
