package org.apache.poi.hwpf.usermodel;

import b.b.a.a.a;
import org.apache.poi.util.BitField;
import org.apache.poi.util.BitFieldFactory;
import org.apache.poi.util.LittleEndian;

public final class BorderCode implements Cloneable {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public static final int SIZE = 4;
    public static final BitField _brcType = BitFieldFactory.getInstance(65280);
    public static final BitField _dptLineWidth = BitFieldFactory.getInstance(255);
    public static final BitField _dptSpace = BitFieldFactory.getInstance(7936);
    public static final BitField _fFrame = BitFieldFactory.getInstance(16384);
    public static final BitField _fShadow = BitFieldFactory.getInstance(8192);
    public static final BitField _ico = BitFieldFactory.getInstance(255);
    public short _info;
    public short _info2;

    public BorderCode() {
    }

    @Override // java.lang.Object
    public Object clone() {
        return super.clone();
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof BorderCode)) {
            return false;
        }
        BorderCode borderCode = (BorderCode) obj;
        if (this._info == borderCode._info && this._info2 == borderCode._info2) {
            return true;
        }
        return false;
    }

    public int getBorderType() {
        return _brcType.getShortValue(this._info);
    }

    public short getColor() {
        return _ico.getShortValue(this._info2);
    }

    public int getLineWidth() {
        return _dptLineWidth.getShortValue(this._info);
    }

    public int getSpace() {
        return _dptSpace.getShortValue(this._info2);
    }

    public int hashCode() {
        return 42;
    }

    public boolean isEmpty() {
        return (this._info == 0 && this._info2 == 0) || this._info == -1;
    }

    public boolean isFrame() {
        return _fFrame.getValue(this._info2) != 0;
    }

    public boolean isShadow() {
        return _fShadow.getValue(this._info2) != 0;
    }

    public void serialize(byte[] bArr, int i2) {
        LittleEndian.putShort(bArr, i2, this._info);
        LittleEndian.putShort(bArr, i2 + 2, this._info2);
    }

    public void setBorderType(int i2) {
        this._info = _brcType.setShortValue(this._info, (short) i2);
    }

    public void setColor(short s) {
        this._info2 = _ico.setShortValue(this._info2, s);
    }

    public void setFrame(boolean z) {
        this._info2 = (short) _fFrame.setValue(this._info2, z ? 1 : 0);
    }

    public void setLineWidth(int i2) {
        this._info = _dptLineWidth.setShortValue(this._info, (short) i2);
    }

    public void setShadow(boolean z) {
        this._info2 = (short) _fShadow.setValue(this._info2, z ? 1 : 0);
    }

    public void setSpace(int i2) {
        this._info2 = (short) _dptSpace.setValue(this._info2, i2);
    }

    public int toInt() {
        byte[] bArr = new byte[4];
        serialize(bArr, 0);
        return LittleEndian.getInt(bArr);
    }

    public String toString() {
        if (isEmpty()) {
            return "[BRC] EMPTY";
        }
        StringBuffer c = a.c("[BRC]\n", "        .dptLineWidth         = ", " (");
        c.append(getLineWidth());
        c.append(" )\n");
        c.append("        .brcType              = ");
        c.append(" (");
        c.append(getBorderType());
        c.append(" )\n");
        c.append("        .ico                  = ");
        c.append(" (");
        c.append((int) getColor());
        c.append(" )\n");
        c.append("        .dptSpace             = ");
        c.append(" (");
        c.append(getSpace());
        c.append(" )\n");
        c.append("        .fShadow              = ");
        c.append(" (");
        c.append(isShadow());
        c.append(" )\n");
        c.append("        .fFrame               = ");
        c.append(" (");
        c.append(isFrame());
        c.append(" )\n");
        return c.toString();
    }

    public BorderCode(byte[] bArr, int i2) {
        this._info = LittleEndian.getShort(bArr, i2);
        this._info2 = LittleEndian.getShort(bArr, i2 + 2);
    }
}
