package org.apache.poi.hwpf.usermodel;

import b.b.a.a.a;
import java.util.Calendar;
import org.apache.poi.util.BitField;
import org.apache.poi.util.BitFieldFactory;
import org.apache.poi.util.LittleEndian;
import org.apache.poi.util.LocaleUtil;

public final class DateAndTime implements Cloneable {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public static final int SIZE = 4;
    public static final BitField _dom = BitFieldFactory.getInstance(63488);
    public static final BitField _hours = BitFieldFactory.getInstance(1984);
    public static final BitField _minutes = BitFieldFactory.getInstance(63);
    public static final BitField _months = BitFieldFactory.getInstance(15);
    public static final BitField _years = BitFieldFactory.getInstance(8176);
    public short _info;
    public short _info2;

    public DateAndTime() {
    }

    @Override // java.lang.Object
    public Object clone() {
        return super.clone();
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof DateAndTime)) {
            return false;
        }
        DateAndTime dateAndTime = (DateAndTime) obj;
        if (this._info == dateAndTime._info && this._info2 == dateAndTime._info2) {
            return true;
        }
        return false;
    }

    public Calendar getDate() {
        return LocaleUtil.getLocaleCalendar(_years.getValue(this._info2) + 1900, _months.getValue(this._info2) - 1, _dom.getValue(this._info), _hours.getValue(this._info), _minutes.getValue(this._info), 0);
    }

    public int hashCode() {
        return 42;
    }

    public boolean isEmpty() {
        return this._info == 0 && this._info2 == 0;
    }

    public void serialize(byte[] bArr, int i2) {
        LittleEndian.putShort(bArr, i2, this._info);
        LittleEndian.putShort(bArr, i2 + 2, this._info2);
    }

    public String toString() {
        if (isEmpty()) {
            return "[DTTM] EMPTY";
        }
        StringBuilder b2 = a.b("[DTTM] ");
        b2.append(getDate());
        return b2.toString();
    }

    public DateAndTime(byte[] bArr, int i2) {
        this._info = LittleEndian.getShort(bArr, i2);
        this._info2 = LittleEndian.getShort(bArr, i2 + 2);
    }
}
