package org.apache.poi.hwpf.usermodel;

import b.b.a.a.a;
import org.apache.poi.util.BitField;
import org.apache.poi.util.BitFieldFactory;
import org.apache.poi.util.LittleEndian;

public final class DropCapSpecifier implements Cloneable {
    public static BitField _lines = BitFieldFactory.getInstance(248);
    public static BitField _type = BitFieldFactory.getInstance(7);
    public short _fdct;

    public DropCapSpecifier() {
        this._fdct = 0;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        return obj != null && DropCapSpecifier.class == obj.getClass() && this._fdct == ((DropCapSpecifier) obj)._fdct;
    }

    public byte getCountOfLinesToDrop() {
        return (byte) _lines.getValue(this._fdct);
    }

    public byte getDropCapType() {
        return (byte) _type.getValue(this._fdct);
    }

    public int hashCode() {
        return this._fdct;
    }

    public boolean isEmpty() {
        return this._fdct == 0;
    }

    public void setCountOfLinesToDrop(byte b2) {
        this._fdct = (short) _lines.setValue(this._fdct, b2);
    }

    public void setDropCapType(byte b2) {
        this._fdct = (short) _type.setValue(this._fdct, b2);
    }

    public short toShort() {
        return this._fdct;
    }

    public String toString() {
        if (isEmpty()) {
            return "[DCS] EMPTY";
        }
        StringBuilder b2 = a.b("[DCS] (type: ");
        b2.append((int) getDropCapType());
        b2.append("; count: ");
        b2.append((int) getCountOfLinesToDrop());
        b2.append(")");
        return b2.toString();
    }

    @Override // java.lang.Object
    public DropCapSpecifier clone() {
        return new DropCapSpecifier(this._fdct);
    }

    public DropCapSpecifier(byte[] bArr, int i2) {
        this(LittleEndian.getShort(bArr, i2));
    }

    public DropCapSpecifier(short s) {
        this._fdct = s;
    }
}
