package org.apache.poi.hwpf.usermodel;

import b.b.a.a.a;
import org.apache.poi.ddf.EscherProperties;
import org.apache.poi.util.LittleEndian;

public final class LineSpacingDescriptor implements Cloneable {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public short _dyaLine;
    public short _fMultiLinespace;

    public LineSpacingDescriptor() {
        this._dyaLine = EscherProperties.GEOTEXT__REVERSEROWORDER;
        this._fMultiLinespace = 1;
    }

    @Override // java.lang.Object
    public Object clone() {
        return super.clone();
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof LineSpacingDescriptor)) {
            return false;
        }
        LineSpacingDescriptor lineSpacingDescriptor = (LineSpacingDescriptor) obj;
        if (this._dyaLine == lineSpacingDescriptor._dyaLine && this._fMultiLinespace == lineSpacingDescriptor._fMultiLinespace) {
            return true;
        }
        return false;
    }

    public int hashCode() {
        return 42;
    }

    public boolean isEmpty() {
        return this._dyaLine == 0 && this._fMultiLinespace == 0;
    }

    public void serialize(byte[] bArr, int i2) {
        LittleEndian.putShort(bArr, i2, this._dyaLine);
        LittleEndian.putShort(bArr, i2 + 2, this._fMultiLinespace);
    }

    public void setDyaLine(short s) {
        this._dyaLine = s;
    }

    public void setMultiLinespace(short s) {
        this._fMultiLinespace = s;
    }

    public int toInt() {
        byte[] bArr = new byte[4];
        serialize(bArr, 0);
        return LittleEndian.getInt(bArr);
    }

    public String toString() {
        if (isEmpty()) {
            return "[LSPD] EMPTY";
        }
        StringBuilder b2 = a.b("[LSPD] (dyaLine: ");
        b2.append((int) this._dyaLine);
        b2.append("; fMultLinespace: ");
        return a.a(b2, this._fMultiLinespace, ")");
    }

    public LineSpacingDescriptor(byte[] bArr, int i2) {
        this._dyaLine = LittleEndian.getShort(bArr, i2);
        this._fMultiLinespace = LittleEndian.getShort(bArr, i2 + 2);
    }
}
