package org.apache.poi.hwpf.usermodel;

import java.util.HashMap;
import java.util.Map;
import org.apache.poi.hwpf.model.NotesTables;

public class NotesImpl implements Notes {
    public Map<Integer, Integer> anchorToIndexMap = null;
    public final NotesTables notesTables;

    public NotesImpl(NotesTables notesTables2) {
        this.notesTables = notesTables2;
    }

    private void updateAnchorToIndexMap() {
        if (this.anchorToIndexMap == null) {
            HashMap hashMap = new HashMap();
            for (int i2 = 0; i2 < this.notesTables.getDescriptorsCount(); i2++) {
                hashMap.put(Integer.valueOf(this.notesTables.getDescriptor(i2).getStart()), Integer.valueOf(i2));
            }
            this.anchorToIndexMap = hashMap;
        }
    }

    @Override // org.apache.poi.hwpf.usermodel.Notes
    public int getNoteAnchorPosition(int i2) {
        return this.notesTables.getDescriptor(i2).getStart();
    }

    @Override // org.apache.poi.hwpf.usermodel.Notes
    public int getNoteIndexByAnchorPosition(int i2) {
        updateAnchorToIndexMap();
        Integer num = this.anchorToIndexMap.get(Integer.valueOf(i2));
        if (num == null) {
            return -1;
        }
        return num.intValue();
    }

    @Override // org.apache.poi.hwpf.usermodel.Notes
    public int getNoteTextEndOffset(int i2) {
        return this.notesTables.getTextPosition(i2).getEnd();
    }

    @Override // org.apache.poi.hwpf.usermodel.Notes
    public int getNoteTextStartOffset(int i2) {
        return this.notesTables.getTextPosition(i2).getStart();
    }

    @Override // org.apache.poi.hwpf.usermodel.Notes
    public int getNotesCount() {
        return this.notesTables.getDescriptorsCount();
    }
}
