package org.apache.poi.hwpf.usermodel;

import b.b.a.a.a;
import org.apache.poi.hwpf.HWPFOldDocument;
import org.apache.poi.hwpf.model.SEPX;

public final class Section extends Range {
    public SectionProperties _props;

    public Section(SEPX sepx, Range range) {
        super(Math.max(range._start, sepx.getStart()), Math.min(range._end, sepx.getEnd()), range);
        if (range.getDocument() instanceof HWPFOldDocument) {
            this._props = new SectionProperties();
        } else {
            this._props = sepx.getSectionProperties();
        }
    }

    public Object clone() {
        Section section = (Section) super.clone();
        section._props = (SectionProperties) this._props.clone();
        return section;
    }

    public int getDistanceBetweenColumns() {
        return this._props.getDxaColumns();
    }

    public int getEndnoteNumberingFormat() {
        return this._props.getNfcEdnRef();
    }

    public int getEndnoteNumberingOffset() {
        return this._props.getNEdn();
    }

    public short getEndnoteRestartQualifier() {
        return this._props.getRncEdn();
    }

    public int getFootnoteNumberingFormat() {
        return this._props.getNfcFtnRef();
    }

    public int getFootnoteNumberingOffset() {
        return this._props.getNFtn();
    }

    public short getFootnoteRestartQualifier() {
        return this._props.getRncFtn();
    }

    public int getMarginBottom() {
        return this._props.getDyaBottom();
    }

    public int getMarginLeft() {
        return this._props.getDxaLeft();
    }

    public int getMarginRight() {
        return this._props.getDxaRight();
    }

    public int getMarginTop() {
        return this._props.getDyaTop();
    }

    public int getNumColumns() {
        return this._props.getCcolM1() + 1;
    }

    public int getPageHeight() {
        return this._props.getYaPage();
    }

    public int getPageWidth() {
        return this._props.getXaPage();
    }

    public boolean isColumnsEvenlySpaced() {
        return this._props.getFEvenlySpaced();
    }

    public void setMarginBottom(int i2) {
        this._props.setDyaBottom(i2);
    }

    public void setMarginLeft(int i2) {
        this._props.setDxaLeft(i2);
    }

    public void setMarginRight(int i2) {
        this._props.setDxaRight(i2);
    }

    public void setMarginTop(int i2) {
        this._props.setDyaTop(i2);
    }

    @Override // org.apache.poi.hwpf.usermodel.Range
    public String toString() {
        StringBuilder b2 = a.b("Section [");
        b2.append(getStartOffset());
        b2.append("; ");
        b2.append(getEndOffset());
        b2.append(")");
        return b2.toString();
    }

    public int type() {
        return 2;
    }
}
