package org.apache.poi.hwpf.usermodel;

import org.apache.poi.hwpf.model.types.SEPAbstractType;

public final class SectionProperties extends SEPAbstractType implements Cloneable {
    public short field_60_rncftn;
    public short field_61_rncedn;
    public int field_62_nftn;
    public int field_63_nfcftnref = 0;
    public int field_64_nedn;
    public int field_65_nfcednref = 2;

    public SectionProperties() {
        this.field_20_brcTop = new BorderCode();
        this.field_21_brcLeft = new BorderCode();
        this.field_22_brcBottom = new BorderCode();
        this.field_23_brcRight = new BorderCode();
        this.field_26_dttmPropRMark = new DateAndTime();
    }

    @Override // java.lang.Object
    public Object clone() {
        SectionProperties sectionProperties = (SectionProperties) super.clone();
        sectionProperties.field_20_brcTop = (BorderCode) this.field_20_brcTop.clone();
        sectionProperties.field_21_brcLeft = (BorderCode) this.field_21_brcLeft.clone();
        sectionProperties.field_22_brcBottom = (BorderCode) this.field_22_brcBottom.clone();
        sectionProperties.field_23_brcRight = (BorderCode) this.field_23_brcRight.clone();
        sectionProperties.field_26_dttmPropRMark = (DateAndTime) this.field_26_dttmPropRMark.clone();
        return sectionProperties;
    }

    public int getNEdn() {
        return this.field_64_nedn;
    }

    public int getNFtn() {
        return this.field_62_nftn;
    }

    public int getNfcEdnRef() {
        return this.field_65_nfcednref;
    }

    public int getNfcFtnRef() {
        return this.field_63_nfcftnref;
    }

    public short getRncEdn() {
        return this.field_61_rncedn;
    }

    public short getRncFtn() {
        return this.field_60_rncftn;
    }

    public void setNEdn(int i2) {
        this.field_64_nedn = i2;
    }

    public void setNFtn(int i2) {
        this.field_62_nftn = i2;
    }

    public void setNfcEdnRef(int i2) {
        this.field_65_nfcednref = i2;
    }

    public void setNfcFtnRef(int i2) {
        this.field_63_nfcftnref = i2;
    }

    public void setRncEdn(short s) {
        this.field_61_rncedn = s;
    }

    public void setRncFtn(short s) {
        this.field_60_rncftn = s;
    }
}
