package org.apache.poi.hwpf.usermodel;

import b.b.a.a.a;
import org.apache.poi.hwpf.model.Colorref;
import org.apache.poi.hwpf.model.types.SHD80AbstractType;

public final class ShadingDescriptor80 extends SHD80AbstractType implements Cloneable {
    public ShadingDescriptor80() {
    }

    public boolean isEmpty() {
        return this.field_1_value == 0;
    }

    @Override // org.apache.poi.hwpf.model.types.SHD80AbstractType
    public byte[] serialize() {
        byte[] bArr = new byte[SHD80AbstractType.getSize()];
        serialize(bArr, 0);
        return bArr;
    }

    public ShadingDescriptor toShadingDescriptor() {
        ShadingDescriptor shadingDescriptor = new ShadingDescriptor();
        shadingDescriptor.setCvFore(Colorref.valueOfIco(getIcoFore()));
        shadingDescriptor.setCvBack(Colorref.valueOfIco(getIcoBack()));
        shadingDescriptor.setIpat(getIpat());
        return shadingDescriptor;
    }

    @Override // org.apache.poi.hwpf.model.types.SHD80AbstractType
    public String toString() {
        if (isEmpty()) {
            return "[SHD80] EMPTY";
        }
        StringBuilder b2 = a.b("[SHD80] (icoFore: ");
        b2.append((int) getIcoFore());
        b2.append("; icoBack: ");
        b2.append((int) getIcoBack());
        b2.append("; iPat: ");
        b2.append((int) getIpat());
        b2.append(")");
        return b2.toString();
    }

    public ShadingDescriptor80(byte[] bArr, int i2) {
        fillFields(bArr, i2);
    }

    @Override // java.lang.Object
    public ShadingDescriptor80 clone() {
        return (ShadingDescriptor80) super.clone();
    }

    public ShadingDescriptor80(short s) {
        this.field_1_value = s;
    }
}
