package org.apache.poi.hwpf.usermodel;

import java.util.ArrayList;

public final class Table extends Range {
    public ArrayList<TableRow> _rows;
    public boolean _rowsFound = false;
    public int _tableLevel;

    public Table(int i2, int i3, Range range, int i4) {
        super(i2, i3, range);
        this._tableLevel = i4;
        initRows();
    }

    private void initRows() {
        if (!this._rowsFound) {
            this._rows = new ArrayList<>();
            int numParagraphs = numParagraphs();
            int i2 = 0;
            int i3 = 0;
            while (i2 < numParagraphs) {
                Paragraph paragraph = getParagraph(i3);
                Paragraph paragraph2 = getParagraph(i2);
                i2++;
                if (paragraph2.isTableRowEnd() && paragraph2.getTableLevel() == this._tableLevel) {
                    this._rows.add(new TableRow(paragraph.getStartOffset(), paragraph2.getEndOffset(), this, this._tableLevel));
                    i3 = i2;
                }
            }
            this._rowsFound = true;
        }
    }

    public TableRow getRow(int i2) {
        initRows();
        return this._rows.get(i2);
    }

    public int getTableLevel() {
        return this._tableLevel;
    }

    public int numRows() {
        initRows();
        return this._rows.size();
    }

    @Override // org.apache.poi.hwpf.usermodel.Range
    public void reset() {
        this._rowsFound = false;
    }

    public int type() {
        return 5;
    }
}
