package org.apache.poi.hwpf.usermodel;

import org.apache.poi.hwpf.model.types.TCAbstractType;
import org.apache.poi.util.LittleEndian;

public final class TableCellDescriptor extends TCAbstractType implements Cloneable {
    public static final int SIZE = 20;

    public static TableCellDescriptor convertBytesToTC(byte[] bArr, int i2) {
        TableCellDescriptor tableCellDescriptor = new TableCellDescriptor();
        tableCellDescriptor.fillFields(bArr, i2);
        return tableCellDescriptor;
    }

    @Override // java.lang.Object
    public Object clone() {
        TableCellDescriptor tableCellDescriptor = (TableCellDescriptor) super.clone();
        tableCellDescriptor.setShd(getShd().clone());
        tableCellDescriptor.setBrcTop((BorderCode) getBrcTop().clone());
        tableCellDescriptor.setBrcLeft((BorderCode) getBrcLeft().clone());
        tableCellDescriptor.setBrcBottom((BorderCode) getBrcBottom().clone());
        tableCellDescriptor.setBrcRight((BorderCode) getBrcRight().clone());
        return tableCellDescriptor;
    }

    public void fillFields(byte[] bArr, int i2) {
        this.field_1_rgf = LittleEndian.getShort(bArr, i2 + 0);
        this.field_2_wWidth = LittleEndian.getShort(bArr, i2 + 2);
        setBrcTop(new BorderCode(bArr, i2 + 4));
        setBrcLeft(new BorderCode(bArr, i2 + 8));
        setBrcBottom(new BorderCode(bArr, i2 + 12));
        setBrcRight(new BorderCode(bArr, i2 + 16));
    }

    public void serialize(byte[] bArr, int i2) {
        LittleEndian.putShort(bArr, i2 + 0, this.field_1_rgf);
        LittleEndian.putShort(bArr, i2 + 2, this.field_2_wWidth);
        getBrcTop().serialize(bArr, i2 + 4);
        getBrcLeft().serialize(bArr, i2 + 8);
        getBrcBottom().serialize(bArr, i2 + 12);
        getBrcRight().serialize(bArr, i2 + 16);
    }
}
