package org.apache.poi.hwpf.usermodel;

public final class TableIterator {
    public int _index;
    public int _levelNum;
    public Range _range;

    public TableIterator(Range range, int i2) {
        this._range = range;
        this._index = 0;
        this._levelNum = i2;
    }

    public boolean hasNext() {
        int numParagraphs = this._range.numParagraphs();
        while (true) {
            int i2 = this._index;
            if (i2 >= numParagraphs) {
                return false;
            }
            Paragraph paragraph = this._range.getParagraph(i2);
            if (paragraph.isInTable() && paragraph.getTableLevel() == this._levelNum) {
                return true;
            }
            this._index++;
        }
    }

    public Table next() {
        int i2;
        int numParagraphs = this._range.numParagraphs();
        int i3 = this._index;
        while (true) {
            int i4 = this._index;
            if (i4 >= numParagraphs) {
                i2 = i3;
                break;
            }
            Paragraph paragraph = this._range.getParagraph(i4);
            if (!paragraph.isInTable() || paragraph.getTableLevel() < this._levelNum) {
                i2 = this._index;
            } else {
                this._index++;
            }
        }
        i2 = this._index;
        return new Table(this._range.getParagraph(i3).getStartOffset(), this._range.getParagraph(i2 - 1).getEndOffset(), this._range, this._levelNum);
    }

    public TableIterator(Range range) {
        this(range, 1);
    }
}
