package org.apache.poi.java.awt;

import b.b.a.a.a;
import java.beans.ConstructorProperties;
import org.apache.poi.hssf.usermodel.HSSFShapeTypes;
import org.apache.poi.ss.formula.functions.NumericFunction;

public class Color {
    public static final Color BLACK;
    public static final Color BLUE;
    public static final Color CYAN;
    public static final Color DARK_GRAY;
    public static final double FACTOR = 0.7d;
    public static final Color GRAY;
    public static final Color GREEN;
    public static final Color LIGHT_GRAY;
    public static final Color MAGENTA;
    public static final Color ORANGE;
    public static final Color PINK;
    public static final Color RED;
    public static final Color WHITE;
    public static final Color YELLOW;
    public static final Color black;
    public static final Color blue;
    public static final Color cyan;
    public static final Color darkGray;
    public static final Color gray;
    public static final Color green;
    public static final Color lightGray;
    public static final Color magenta;
    public static final Color orange;
    public static final Color pink;
    public static final Color red;
    public static final Color white;
    public static final Color yellow;
    public float falpha;
    public float[] frgbvalue;
    public float[] fvalue;
    public int value;

    static {
        Color color = new Color(255, 255, 255);
        white = color;
        WHITE = color;
        Color color2 = new Color((int) HSSFShapeTypes.ActionButtonInformation, (int) HSSFShapeTypes.ActionButtonInformation, (int) HSSFShapeTypes.ActionButtonInformation);
        lightGray = color2;
        LIGHT_GRAY = color2;
        Color color3 = new Color(128, 128, 128);
        gray = color3;
        GRAY = color3;
        Color color4 = new Color(64, 64, 64);
        darkGray = color4;
        DARK_GRAY = color4;
        Color color5 = new Color(0, 0, 0);
        black = color5;
        BLACK = color5;
        Color color6 = new Color(255, 0, 0);
        red = color6;
        RED = color6;
        Color color7 = new Color(255, 175, 175);
        pink = color7;
        PINK = color7;
        Color color8 = new Color(255, (int) HSSFShapeTypes.ActionButtonMovie, 0);
        orange = color8;
        ORANGE = color8;
        Color color9 = new Color(255, 255, 0);
        yellow = color9;
        YELLOW = color9;
        Color color10 = new Color(0, 255, 0);
        green = color10;
        GREEN = color10;
        Color color11 = new Color(255, 0, 255);
        magenta = color11;
        MAGENTA = color11;
        Color color12 = new Color(0, 255, 255);
        cyan = color12;
        CYAN = color12;
        Color color13 = new Color(0, 0, 255);
        blue = color13;
        BLUE = color13;
    }

    public Color(int i2, int i3, int i4) {
        this(i2, i3, i4, 255);
    }

    public static int HSBtoRGB(float f2, float f3, float f4) {
        int i2;
        int i3;
        int i4;
        if (f3 == 0.0f) {
            i4 = (int) ((f4 * 255.0f) + 0.5f);
            i3 = i4;
            i2 = i3;
        } else {
            float floor = (f2 - ((float) Math.floor((double) f2))) * 6.0f;
            float floor2 = floor - ((float) Math.floor((double) floor));
            float f5 = (1.0f - f3) * f4;
            float f6 = (1.0f - (f3 * floor2)) * f4;
            float f7 = (1.0f - ((1.0f - floor2) * f3)) * f4;
            int i5 = (int) floor;
            if (i5 == 0) {
                i4 = (int) ((f4 * 255.0f) + 0.5f);
                i3 = (int) ((f7 * 255.0f) + 0.5f);
            } else if (i5 == 1) {
                i4 = (int) ((f6 * 255.0f) + 0.5f);
                i3 = (int) ((f4 * 255.0f) + 0.5f);
            } else if (i5 != 2) {
                if (i5 == 3) {
                    i4 = (int) ((f5 * 255.0f) + 0.5f);
                    i3 = (int) ((f6 * 255.0f) + 0.5f);
                } else if (i5 == 4) {
                    i4 = (int) ((f7 * 255.0f) + 0.5f);
                    i3 = (int) ((f5 * 255.0f) + 0.5f);
                } else if (i5 != 5) {
                    i4 = 0;
                    i3 = 0;
                    i2 = 0;
                } else {
                    i4 = (int) ((f4 * 255.0f) + 0.5f);
                    i3 = (int) ((f5 * 255.0f) + 0.5f);
                    i2 = (int) ((f6 * 255.0f) + 0.5f);
                }
                i2 = (int) ((f4 * 255.0f) + 0.5f);
            } else {
                i4 = (int) ((f5 * 255.0f) + 0.5f);
                i3 = (int) ((f4 * 255.0f) + 0.5f);
                i2 = (int) ((f7 * 255.0f) + 0.5f);
            }
            i2 = (int) ((f5 * 255.0f) + 0.5f);
        }
        return (i4 << 16) | -16777216 | (i3 << 8) | (i2 << 0);
    }

    public static float[] RGBtoHSB(int i2, int i3, int i4, float[] fArr) {
        if (fArr == null) {
            fArr = new float[3];
        }
        int i5 = i2 > i3 ? i2 : i3;
        if (i4 > i5) {
            i5 = i4;
        }
        int i6 = i2 < i3 ? i2 : i3;
        if (i4 < i6) {
            i6 = i4;
        }
        float f2 = (float) i5;
        float f3 = f2 / 255.0f;
        float f4 = 0.0f;
        float f5 = i5 != 0 ? ((float) (i5 - i6)) / f2 : 0.0f;
        if (f5 != 0.0f) {
            float f6 = (float) (i5 - i6);
            float f7 = ((float) (i5 - i2)) / f6;
            float f8 = ((float) (i5 - i3)) / f6;
            float f9 = ((float) (i5 - i4)) / f6;
            float f10 = (i2 == i5 ? f9 - f8 : i3 == i5 ? (f7 + 2.0f) - f9 : (f8 + 4.0f) - f7) / 6.0f;
            f4 = f10 < 0.0f ? f10 + 1.0f : f10;
        }
        fArr[0] = f4;
        fArr[1] = f5;
        fArr[2] = f3;
        return fArr;
    }

    public static Color decode(String str) {
        int intValue = Integer.decode(str).intValue();
        return new Color((intValue >> 16) & 255, (intValue >> 8) & 255, intValue & 255);
    }

    public static Color getColor(String str) {
        return getColor(str, (Color) null);
    }

    public static Color getHSBColor(float f2, float f3, float f4) {
        return new Color(HSBtoRGB(f2, f3, f4));
    }

    public static void testColorValueRange(int i2, int i3, int i4, int i5) {
        boolean z;
        String str;
        if (i5 < 0 || i5 > 255) {
            str = " Alpha";
            z = true;
        } else {
            z = false;
            str = "";
        }
        if (i2 < 0 || i2 > 255) {
            str = a.b(str, " Red");
            z = true;
        }
        if (i3 < 0 || i3 > 255) {
            str = a.b(str, " Green");
            z = true;
        }
        if (i4 < 0 || i4 > 255) {
            str = a.b(str, " Blue");
            z = true;
        }
        if (z) {
            throw new IllegalArgumentException(a.b("Color parameter outside of expected range:", str));
        }
    }

    public Color brighter() {
        int red2 = getRed();
        int green2 = getGreen();
        int blue2 = getBlue();
        int alpha = getAlpha();
        if (red2 == 0 && green2 == 0 && blue2 == 0) {
            return new Color(3, 3, 3, alpha);
        }
        if (red2 > 0 && red2 < 3) {
            red2 = 3;
        }
        if (green2 > 0 && green2 < 3) {
            green2 = 3;
        }
        if (blue2 > 0 && blue2 < 3) {
            blue2 = 3;
        }
        return new Color(Math.min((int) (((double) red2) / 0.7d), 255), Math.min((int) (((double) green2) / 0.7d), 255), Math.min((int) (((double) blue2) / 0.7d), 255), alpha);
    }

    public Color darker() {
        return new Color(Math.max((int) (((double) getRed()) * 0.7d), 0), Math.max((int) (((double) getGreen()) * 0.7d), 0), Math.max((int) (((double) getBlue()) * 0.7d), 0), getAlpha());
    }

    public boolean equals(Object obj) {
        return (obj instanceof Color) && ((Color) obj).getRGB() == getRGB();
    }

    public int getAlpha() {
        return (getRGB() >> 24) & 255;
    }

    public int getBlue() {
        return (getRGB() >> 0) & 255;
    }

    public float[] getColorComponents(float[] fArr) {
        float[] fArr2 = this.fvalue;
        if (fArr2 == null) {
            return getRGBColorComponents(fArr);
        }
        int length = fArr2.length;
        if (fArr == null) {
            fArr = new float[length];
        }
        for (int i2 = 0; i2 < length; i2++) {
            fArr[i2] = this.fvalue[i2];
        }
        return fArr;
    }

    public float[] getComponents(float[] fArr) {
        float[] fArr2 = this.fvalue;
        if (fArr2 == null) {
            return getRGBComponents(fArr);
        }
        int length = fArr2.length;
        if (fArr == null) {
            fArr = new float[(length + 1)];
        }
        for (int i2 = 0; i2 < length; i2++) {
            fArr[i2] = this.fvalue[i2];
        }
        fArr[length] = this.falpha;
        return fArr;
    }

    public int getGreen() {
        return (getRGB() >> 8) & 255;
    }

    public int getRGB() {
        return this.value;
    }

    public float[] getRGBColorComponents(float[] fArr) {
        if (fArr == null) {
            fArr = new float[3];
        }
        float[] fArr2 = this.frgbvalue;
        if (fArr2 == null) {
            fArr[0] = ((float) getRed()) / 255.0f;
            fArr[1] = ((float) getGreen()) / 255.0f;
            fArr[2] = ((float) getBlue()) / 255.0f;
        } else {
            fArr[0] = fArr2[0];
            fArr[1] = fArr2[1];
            fArr[2] = fArr2[2];
        }
        return fArr;
    }

    public float[] getRGBComponents(float[] fArr) {
        if (fArr == null) {
            fArr = new float[4];
        }
        float[] fArr2 = this.frgbvalue;
        if (fArr2 == null) {
            fArr[0] = ((float) getRed()) / 255.0f;
            fArr[1] = ((float) getGreen()) / 255.0f;
            fArr[2] = ((float) getBlue()) / 255.0f;
            fArr[3] = ((float) getAlpha()) / 255.0f;
        } else {
            fArr[0] = fArr2[0];
            fArr[1] = fArr2[1];
            fArr[2] = fArr2[2];
            fArr[3] = this.falpha;
        }
        return fArr;
    }

    public int getRed() {
        return (getRGB() >> 16) & 255;
    }

    public int hashCode() {
        return this.value;
    }

    public String toString() {
        return Color.class.getName() + "[r=" + getRed() + ",g=" + getGreen() + ",b=" + getBlue() + "]";
    }

    @ConstructorProperties({"red", "green", "blue", "alpha"})
    public Color(int i2, int i3, int i4, int i5) {
        this.frgbvalue = null;
        this.fvalue = null;
        this.falpha = 0.0f;
        this.value = ((i5 & 255) << 24) | ((i2 & 255) << 16) | ((i3 & 255) << 8) | ((i4 & 255) << 0);
        testColorValueRange(i2, i3, i4, i5);
    }

    public static Color getColor(String str, Color color) {
        Integer integer = Integer.getInteger(str);
        if (integer == null) {
            return color;
        }
        int intValue = integer.intValue();
        return new Color((intValue >> 16) & 255, (intValue >> 8) & 255, intValue & 255);
    }

    public static Color getColor(String str, int i2) {
        Integer integer = Integer.getInteger(str);
        if (integer != null) {
            i2 = integer.intValue();
        }
        return new Color((i2 >> 16) & 255, (i2 >> 8) & 255, (i2 >> 0) & 255);
    }

    public static void testColorValueRange(float f2, float f3, float f4, float f5) {
        String str;
        boolean z;
        double d2 = (double) f5;
        if (d2 < NumericFunction.LOG_10_TO_BASE_e || d2 > 1.0d) {
            str = " Alpha";
            z = true;
        } else {
            z = false;
            str = "";
        }
        double d3 = (double) f2;
        if (d3 < NumericFunction.LOG_10_TO_BASE_e || d3 > 1.0d) {
            str = a.b(str, " Red");
            z = true;
        }
        double d4 = (double) f3;
        if (d4 < NumericFunction.LOG_10_TO_BASE_e || d4 > 1.0d) {
            str = a.b(str, " Green");
            z = true;
        }
        double d5 = (double) f4;
        if (d5 < NumericFunction.LOG_10_TO_BASE_e || d5 > 1.0d) {
            str = a.b(str, " Blue");
            z = true;
        }
        if (z) {
            throw new IllegalArgumentException(a.b("Color parameter outside of expected range:", str));
        }
    }

    public Color(int i2) {
        this.frgbvalue = null;
        this.fvalue = null;
        this.falpha = 0.0f;
        this.value = i2 | -16777216;
    }

    public Color(int i2, boolean z) {
        this.frgbvalue = null;
        this.fvalue = null;
        this.falpha = 0.0f;
        if (z) {
            this.value = i2;
        } else {
            this.value = i2 | -16777216;
        }
    }

    public Color(float f2, float f3, float f4) {
        this((int) (((double) (f2 * 255.0f)) + 0.5d), (int) (((double) (f3 * 255.0f)) + 0.5d), (int) (((double) (255.0f * f4)) + 0.5d));
        testColorValueRange(f2, f3, f4, 1.0f);
        float[] fArr = new float[3];
        this.frgbvalue = fArr;
        fArr[0] = f2;
        fArr[1] = f3;
        fArr[2] = f4;
        this.falpha = 1.0f;
        this.fvalue = fArr;
    }

    public Color(float f2, float f3, float f4, float f5) {
        this((int) (((double) (f2 * 255.0f)) + 0.5d), (int) (((double) (f3 * 255.0f)) + 0.5d), (int) (((double) (f4 * 255.0f)) + 0.5d), (int) (((double) (255.0f * f5)) + 0.5d));
        float[] fArr = new float[3];
        this.frgbvalue = fArr;
        fArr[0] = f2;
        fArr[1] = f3;
        fArr[2] = f4;
        this.falpha = f5;
        this.fvalue = fArr;
    }
}
