package org.apache.poi.javax.xml.stream;

import b.b.a.a.a;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.PrintStream;
import java.util.Properties;
import org.apache.xmlbeans.impl.piccolo.util.FactoryServiceFinder;

public class FactoryFinder {
    public static /* synthetic */ Class class$javax$xml$stream$FactoryFinder = null;
    public static boolean debug = false;

    public static abstract class ClassLoaderFinder {
        public ClassLoaderFinder() {
        }

        public abstract ClassLoader getContextClassLoader();
    }

    public static class ClassLoaderFinderConcrete extends ClassLoaderFinder {
        public ClassLoaderFinderConcrete() {
            super();
        }

        @Override // org.apache.poi.javax.xml.stream.FactoryFinder.ClassLoaderFinder
        public ClassLoader getContextClassLoader() {
            return Thread.currentThread().getContextClassLoader();
        }
    }

    static {
        try {
            debug = System.getProperty("xml.stream.debug") != null;
        } catch (Exception unused) {
        }
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw new NoClassDefFoundError(e2.getMessage());
        }
    }

    public static void debugPrintln(String str) {
        if (debug) {
            PrintStream printStream = System.err;
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append("STREAM: ");
            stringBuffer.append(str);
            printStream.println(stringBuffer.toString());
        }
    }

    public static Object find(String str) {
        return find(str, null);
    }

    public static ClassLoader findClassLoader() {
        Class cls;
        try {
            StringBuffer stringBuffer = new StringBuffer();
            if (class$javax$xml$stream$FactoryFinder == null) {
                cls = class$("org.apache.poi.javax.xml.stream.FactoryFinder");
                class$javax$xml$stream$FactoryFinder = cls;
            } else {
                cls = class$javax$xml$stream$FactoryFinder;
            }
            stringBuffer.append(cls.getName());
            stringBuffer.append("$ClassLoaderFinderConcrete");
            return ((ClassLoaderFinder) Class.forName(stringBuffer.toString()).newInstance()).getContextClassLoader();
        } catch (LinkageError unused) {
            Class cls2 = class$javax$xml$stream$FactoryFinder;
            if (cls2 == null) {
                cls2 = class$("org.apache.poi.javax.xml.stream.FactoryFinder");
                class$javax$xml$stream$FactoryFinder = cls2;
            }
            return cls2.getClassLoader();
        } catch (ClassNotFoundException unused2) {
            Class cls3 = class$javax$xml$stream$FactoryFinder;
            if (cls3 == null) {
                cls3 = class$("org.apache.poi.javax.xml.stream.FactoryFinder");
                class$javax$xml$stream$FactoryFinder = cls3;
            }
            return cls3.getClassLoader();
        } catch (Exception e2) {
            throw new FactoryConfigurationError(e2.toString(), e2);
        }
    }

    public static Object newInstance(String str, ClassLoader classLoader) {
        Class<?> cls;
        if (classLoader == null) {
            try {
                cls = Class.forName(str);
            } catch (ClassNotFoundException e2) {
                throw new FactoryConfigurationError(a.a("Provider ", str, " not found"), e2);
            } catch (Exception e3) {
                StringBuffer stringBuffer = new StringBuffer();
                stringBuffer.append("Provider ");
                stringBuffer.append(str);
                stringBuffer.append(" could not be instantiated: ");
                stringBuffer.append(e3);
                throw new FactoryConfigurationError(stringBuffer.toString(), e3);
            }
        } else {
            cls = classLoader.loadClass(str);
        }
        return cls.newInstance();
    }

    public static Object find(String str, String str2) {
        return find(str, str2, findClassLoader());
    }

    public static Object find(String str, String str2, ClassLoader classLoader) {
        InputStream inputStream;
        try {
            String property = System.getProperty(str);
            if (property != null) {
                StringBuffer stringBuffer = new StringBuffer();
                stringBuffer.append("found system property");
                stringBuffer.append(property);
                debugPrintln(stringBuffer.toString());
                return newInstance(property, classLoader);
            }
        } catch (SecurityException unused) {
        }
        try {
            String property2 = System.getProperty("java.home");
            StringBuffer stringBuffer2 = new StringBuffer();
            stringBuffer2.append(property2);
            stringBuffer2.append(File.separator);
            stringBuffer2.append("lib");
            stringBuffer2.append(File.separator);
            stringBuffer2.append("jaxp.properties");
            File file = new File(stringBuffer2.toString());
            if (file.exists()) {
                Properties properties = new Properties();
                properties.load(new FileInputStream(file));
                String property3 = properties.getProperty(str);
                if (property3 != null && property3.length() > 0) {
                    StringBuffer stringBuffer3 = new StringBuffer();
                    stringBuffer3.append("found java.home property ");
                    stringBuffer3.append(property3);
                    debugPrintln(stringBuffer3.toString());
                    return newInstance(property3, classLoader);
                }
            }
        } catch (Exception e2) {
            if (debug) {
                e2.printStackTrace();
            }
        }
        String a = a.a(FactoryServiceFinder.SERVICE, str);
        if (classLoader == null) {
            try {
                inputStream = ClassLoader.getSystemResourceAsStream(a);
            } catch (Exception e3) {
                if (debug) {
                    e3.printStackTrace();
                }
            }
        } else {
            inputStream = classLoader.getResourceAsStream(a);
        }
        if (inputStream != null) {
            StringBuffer stringBuffer4 = new StringBuffer();
            stringBuffer4.append("found ");
            stringBuffer4.append(a);
            debugPrintln(stringBuffer4.toString());
            BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(inputStream, "UTF-8"));
            String readLine = bufferedReader.readLine();
            bufferedReader.close();
            if (readLine != null && !"".equals(readLine)) {
                StringBuffer stringBuffer5 = new StringBuffer();
                stringBuffer5.append("loaded from services: ");
                stringBuffer5.append(readLine);
                debugPrintln(stringBuffer5.toString());
                return newInstance(readLine, classLoader);
            }
        }
        if (str2 != null) {
            StringBuffer stringBuffer6 = new StringBuffer();
            stringBuffer6.append("loaded from fallback value: ");
            stringBuffer6.append(str2);
            debugPrintln(stringBuffer6.toString());
            return newInstance(str2, classLoader);
        }
        throw new FactoryConfigurationError(a.a("Provider for ", str, " cannot be found"), (Exception) null);
    }
}
