package org.apache.poi.openxml4j.opc.internal;

import b.b.a.a.a;
import java.util.Collections;
import java.util.HashMap;
import java.util.Map;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import org.apache.poi.openxml4j.exceptions.InvalidFormatException;

public final class ContentType {
    public static final Pattern patternParams;
    public static final Pattern patternTypeSubType = Pattern.compile("^(" + "[\\x21-\\x7E&&[^\\(\\)<>@,;:\\\\/\"\\[\\]\\?={}\\x20\\x09]]" + "+)/(" + "[\\x21-\\x7E&&[^\\(\\)<>@,;:\\\\/\"\\[\\]\\?={}\\x20\\x09]]" + "+)$");
    public static final Pattern patternTypeSubTypeParams;
    public final Map<String, String> parameters;
    public final String subType;
    public final String type;

    static {
        String b2 = a.b("(", "[\\x21-\\x7E&&[^\\(\\)<>@,;:\\\\/\"\\[\\]\\?={}\\x20\\x09]]", "+)=(\"?", "[\\x21-\\x7E&&[^\\(\\)<>@,;:\\\\/\"\\[\\]\\?={}\\x20\\x09]]", "+\"?)");
        patternTypeSubTypeParams = Pattern.compile("^(" + "[\\x21-\\x7E&&[^\\(\\)<>@,;:\\\\/\"\\[\\]\\?={}\\x20\\x09]]" + "+)/(" + "[\\x21-\\x7E&&[^\\(\\)<>@,;:\\\\/\"\\[\\]\\?={}\\x20\\x09]]" + "+)(;" + b2 + ")*$");
        StringBuilder sb = new StringBuilder();
        sb.append(";");
        sb.append(b2);
        patternParams = Pattern.compile(sb.toString());
    }

    public ContentType(String str) {
        Matcher matcher = patternTypeSubType.matcher(str);
        matcher = !matcher.matches() ? patternTypeSubTypeParams.matcher(str) : matcher;
        if (!matcher.matches()) {
            throw new InvalidFormatException(a.b("The specified content type '", str, "' is not compliant with RFC 2616: malformed content type."));
        } else if (matcher.groupCount() >= 2) {
            this.type = matcher.group(1);
            this.subType = matcher.group(2);
            this.parameters = new HashMap();
            if (matcher.groupCount() >= 5) {
                Matcher matcher2 = patternParams.matcher(str.substring(matcher.end(2)));
                while (matcher2.find()) {
                    this.parameters.put(matcher2.group(1), matcher2.group(2));
                }
            }
        } else {
            this.type = "";
            this.subType = "";
            this.parameters = Collections.emptyMap();
        }
    }

    public boolean equals(Object obj) {
        return !(obj instanceof ContentType) || toString().equalsIgnoreCase(obj.toString());
    }

    public String getParameter(String str) {
        return this.parameters.get(str);
    }

    public String[] getParameterKeys() {
        Map<String, String> map = this.parameters;
        if (map == null) {
            return new String[0];
        }
        return (String[]) map.keySet().toArray(new String[this.parameters.size()]);
    }

    public String getSubType() {
        return this.subType;
    }

    public String getType() {
        return this.type;
    }

    public boolean hasParameters() {
        Map<String, String> map = this.parameters;
        return map != null && !map.isEmpty();
    }

    public int hashCode() {
        return toString().hashCode();
    }

    public final String toString() {
        return toString(true);
    }

    public final String toString(boolean z) {
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append(getType());
        stringBuffer.append(ZipHelper.FORWARD_SLASH);
        stringBuffer.append(getSubType());
        if (z) {
            for (Map.Entry<String, String> entry : this.parameters.entrySet()) {
                stringBuffer.append(";");
                stringBuffer.append(entry.getKey());
                stringBuffer.append("=");
                stringBuffer.append(entry.getValue());
            }
        }
        return stringBuffer.toString();
    }
}
