package org.apache.poi.openxml4j.opc.internal;

import java.io.ByteArrayOutputStream;
import java.io.OutputStream;

public final class MemoryPackagePartOutputStream extends OutputStream {
    public ByteArrayOutputStream _buff = new ByteArrayOutputStream();
    public MemoryPackagePart _part;

    public MemoryPackagePartOutputStream(MemoryPackagePart memoryPackagePart) {
        this._part = memoryPackagePart;
    }

    @Override // java.io.OutputStream, java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        flush();
    }

    @Override // java.io.OutputStream, java.io.Flushable
    public void flush() {
        this._buff.flush();
        MemoryPackagePart memoryPackagePart = this._part;
        byte[] bArr = memoryPackagePart.data;
        if (bArr != null) {
            byte[] bArr2 = new byte[(this._buff.size() + bArr.length)];
            byte[] bArr3 = this._part.data;
            System.arraycopy(bArr3, 0, bArr2, 0, bArr3.length);
            byte[] byteArray = this._buff.toByteArray();
            System.arraycopy(byteArray, 0, bArr2, this._part.data.length, byteArray.length);
            this._part.data = bArr2;
        } else {
            memoryPackagePart.data = this._buff.toByteArray();
        }
        this._buff.reset();
    }

    @Override // java.io.OutputStream
    public void write(int i2) {
        this._buff.write(i2);
    }

    @Override // java.io.OutputStream
    public void write(byte[] bArr, int i2, int i3) {
        this._buff.write(bArr, i2, i3);
    }

    @Override // java.io.OutputStream
    public void write(byte[] bArr) {
        this._buff.write(bArr);
    }
}
