package org.apache.poi.poifs.common;

public final class POIFSBigBlockSize {
    public int bigBlockSize;
    public short headerValue;

    public POIFSBigBlockSize(int i2, short s) {
        this.bigBlockSize = i2;
        this.headerValue = s;
    }

    public int getBATEntriesPerBlock() {
        return this.bigBlockSize / 4;
    }

    public int getBigBlockSize() {
        return this.bigBlockSize;
    }

    public short getHeaderValue() {
        return this.headerValue;
    }

    public int getNextXBATChainOffset() {
        return getXBATEntriesPerBlock() * 4;
    }

    public int getPropertiesPerBlock() {
        return this.bigBlockSize / 128;
    }

    public int getXBATEntriesPerBlock() {
        return getBATEntriesPerBlock() - 1;
    }
}
