package org.apache.poi.poifs.crypt;

import org.apache.poi.EncryptedDocumentException;

public enum CipherProvider {
    rc4("RC4", 1, "Microsoft Base Cryptographic Provider v1.0"),
    aes("AES", 24, "Microsoft Enhanced RSA and AES Cryptographic Provider");
    
    public final String cipherProviderName;
    public final int ecmaId;
    public final String jceId;

    /* access modifiers changed from: public */
    CipherProvider(String str, int i2, String str2) {
        this.jceId = str;
        this.ecmaId = i2;
        this.cipherProviderName = str2;
    }

    public static CipherProvider fromEcmaId(int i2) {
        CipherProvider[] values = values();
        for (CipherProvider cipherProvider : values) {
            if (cipherProvider.ecmaId == i2) {
                return cipherProvider;
            }
        }
        throw new EncryptedDocumentException("cipher provider not found");
    }
}
