package org.apache.poi.poifs.crypt.cryptoapi;

import b.b.a.a.a;
import org.apache.poi.EncryptedDocumentException;
import org.apache.poi.poifs.crypt.ChainingMode;
import org.apache.poi.poifs.crypt.CipherAlgorithm;
import org.apache.poi.poifs.crypt.CipherProvider;
import org.apache.poi.poifs.crypt.HashAlgorithm;
import org.apache.poi.poifs.crypt.standard.StandardEncryptionHeader;
import org.apache.poi.util.LittleEndianInput;

public class CryptoAPIEncryptionHeader extends StandardEncryptionHeader implements Cloneable {
    public CryptoAPIEncryptionHeader(LittleEndianInput littleEndianInput) {
        super(littleEndianInput);
    }

    @Override // org.apache.poi.poifs.crypt.EncryptionHeader
    public void setKeySize(int i2) {
        int[] iArr = getCipherAlgorithm().allowedKeySize;
        int length = iArr.length;
        boolean z = false;
        int i3 = 0;
        while (true) {
            if (i3 >= length) {
                break;
            } else if (iArr[i3] == i2) {
                z = true;
                break;
            } else {
                i3++;
            }
        }
        if (z) {
            super.setKeySize(i2);
            if (i2 > 40) {
                setCspName("Microsoft Enhanced Cryptographic Provider v1.0");
            } else {
                setCspName(CipherProvider.rc4.cipherProviderName);
            }
        } else {
            StringBuilder a = a.a("invalid keysize ", i2, " for cipher algorithm ");
            a.append(getCipherAlgorithm());
            throw new EncryptedDocumentException(a.toString());
        }
    }

    public CryptoAPIEncryptionHeader(CipherAlgorithm cipherAlgorithm, HashAlgorithm hashAlgorithm, int i2, int i3, ChainingMode chainingMode) {
        super(cipherAlgorithm, hashAlgorithm, i2, i3, chainingMode);
    }

    @Override // org.apache.poi.poifs.crypt.standard.StandardEncryptionHeader, org.apache.poi.poifs.crypt.standard.StandardEncryptionHeader, org.apache.poi.poifs.crypt.standard.StandardEncryptionHeader, org.apache.poi.poifs.crypt.EncryptionHeader, org.apache.poi.poifs.crypt.EncryptionHeader, java.lang.Object
    public CryptoAPIEncryptionHeader clone() {
        return (CryptoAPIEncryptionHeader) super.clone();
    }
}
