package org.apache.poi.poifs.crypt.cryptoapi;

import org.apache.poi.poifs.crypt.ChainingMode;
import org.apache.poi.poifs.crypt.CipherAlgorithm;
import org.apache.poi.poifs.crypt.HashAlgorithm;
import org.apache.poi.poifs.crypt.standard.StandardEncryptionVerifier;
import org.apache.poi.util.LittleEndianInput;

public class CryptoAPIEncryptionVerifier extends StandardEncryptionVerifier implements Cloneable {
    public CryptoAPIEncryptionVerifier(LittleEndianInput littleEndianInput, CryptoAPIEncryptionHeader cryptoAPIEncryptionHeader) {
        super(littleEndianInput, cryptoAPIEncryptionHeader);
    }

    @Override // org.apache.poi.poifs.crypt.EncryptionVerifier, org.apache.poi.poifs.crypt.standard.StandardEncryptionVerifier
    public void setEncryptedVerifier(byte[] bArr) {
        super.setEncryptedVerifier(bArr);
    }

    @Override // org.apache.poi.poifs.crypt.EncryptionVerifier, org.apache.poi.poifs.crypt.standard.StandardEncryptionVerifier
    public void setEncryptedVerifierHash(byte[] bArr) {
        super.setEncryptedVerifierHash(bArr);
    }

    @Override // org.apache.poi.poifs.crypt.EncryptionVerifier, org.apache.poi.poifs.crypt.standard.StandardEncryptionVerifier
    public void setSalt(byte[] bArr) {
        super.setSalt(bArr);
    }

    public CryptoAPIEncryptionVerifier(CipherAlgorithm cipherAlgorithm, HashAlgorithm hashAlgorithm, int i2, int i3, ChainingMode chainingMode) {
        super(cipherAlgorithm, hashAlgorithm, i2, i3, chainingMode);
    }

    @Override // org.apache.poi.poifs.crypt.EncryptionVerifier, org.apache.poi.poifs.crypt.EncryptionVerifier, java.lang.Object, org.apache.poi.poifs.crypt.standard.StandardEncryptionVerifier, org.apache.poi.poifs.crypt.standard.StandardEncryptionVerifier, org.apache.poi.poifs.crypt.standard.StandardEncryptionVerifier
    public CryptoAPIEncryptionVerifier clone() {
        return (CryptoAPIEncryptionVerifier) super.clone();
    }
}
