package org.apache.poi.poifs.dev;

import b.b.a.a.a;
import java.io.File;
import java.io.FileInputStream;
import java.io.PrintStream;
import java.util.Iterator;
import org.apache.poi.poifs.filesystem.DirectoryNode;
import org.apache.poi.poifs.filesystem.DocumentNode;
import org.apache.poi.poifs.filesystem.Entry;
import org.apache.poi.poifs.filesystem.NPOIFSFileSystem;
import org.apache.poi.poifs.filesystem.POIFSFileSystem;
import org.apache.poi.ss.formula.ptg.GreaterThanPtg;
import org.apache.xmlbeans.impl.jam.internal.JamPrinter;

public class POIFSLister {
    public static void displayDirectory(DirectoryNode directoryNode, String str, boolean z) {
        String str2;
        PrintStream printStream = System.out;
        StringBuilder b2 = a.b(str);
        b2.append(directoryNode.getName());
        b2.append(" -");
        printStream.println(b2.toString());
        String str3 = str + JamPrinter.INDENT;
        Iterator<Entry> entries = directoryNode.getEntries();
        boolean z2 = false;
        while (entries.hasNext()) {
            Entry next = entries.next();
            if (next instanceof DirectoryNode) {
                displayDirectory((DirectoryNode) next, str3, z);
            } else {
                DocumentNode documentNode = (DocumentNode) next;
                String name = documentNode.getName();
                if (name.charAt(0) < '\n') {
                    StringBuilder b3 = a.b("(0x0");
                    b3.append((int) name.charAt(0));
                    b3.append(")");
                    b3.append(name.substring(1));
                    name = name.substring(1) + " <" + b3.toString() + GreaterThanPtg.GREATERTHAN;
                }
                if (z) {
                    StringBuilder b4 = a.b(" [");
                    b4.append(documentNode.getSize());
                    b4.append(" / 0x");
                    b4.append(Integer.toHexString(documentNode.getSize()));
                    b4.append("]");
                    str2 = b4.toString();
                } else {
                    str2 = "";
                }
                System.out.println(str3 + name + str2);
            }
            z2 = true;
        }
        if (!z2) {
            System.out.println(str3 + "(no children)");
        }
    }

    public static void main(String[] strArr) {
        if (strArr.length == 0) {
            System.err.println("Must specify at least one file to view");
            System.exit(1);
        }
        boolean z = true;
        boolean z2 = false;
        for (int i2 = 0; i2 < strArr.length; i2++) {
            if (strArr[i2].equalsIgnoreCase("-size") || strArr[i2].equalsIgnoreCase("-sizes")) {
                z2 = true;
            } else if (strArr[i2].equalsIgnoreCase("-old") || strArr[i2].equalsIgnoreCase("-old-poifs")) {
                z = false;
            } else if (z) {
                viewFile(strArr[i2], z2);
            } else {
                viewFileOld(strArr[i2], z2);
            }
        }
    }

    public static void viewFile(String str, boolean z) {
        NPOIFSFileSystem nPOIFSFileSystem = new NPOIFSFileSystem(new File(str));
        displayDirectory(nPOIFSFileSystem.getRoot(), "", z);
        nPOIFSFileSystem.close();
    }

    public static void viewFileOld(String str, boolean z) {
        POIFSFileSystem pOIFSFileSystem = new POIFSFileSystem(new FileInputStream(str));
        displayDirectory(pOIFSFileSystem.getRoot(), "", z);
        pOIFSFileSystem.close();
    }
}
