package org.apache.poi.poifs.dev;

import java.io.IOException;
import java.io.LineNumberReader;
import java.io.StringReader;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public class POIFSViewEngine {
    public static final String _EOL = System.getProperty("line.separator");

    public static String indent(int i2, String str, String str2) {
        StringBuffer stringBuffer = new StringBuffer();
        StringBuffer stringBuffer2 = new StringBuffer();
        for (int i3 = 0; i3 < i2; i3++) {
            stringBuffer2.append(str);
        }
        LineNumberReader lineNumberReader = new LineNumberReader(new StringReader(str2));
        try {
            for (String readLine = lineNumberReader.readLine(); readLine != null; readLine = lineNumberReader.readLine()) {
                stringBuffer.append(stringBuffer2);
                stringBuffer.append(readLine);
                stringBuffer.append(_EOL);
            }
        } catch (IOException e2) {
            stringBuffer.append(stringBuffer2);
            stringBuffer.append(e2.getMessage());
            stringBuffer.append(_EOL);
        }
        return stringBuffer.toString();
    }

    public static List<String> inspectViewable(Object obj, boolean z, int i2, String str) {
        Object[] viewableArray;
        ArrayList arrayList = new ArrayList();
        if (obj instanceof POIFSViewable) {
            POIFSViewable pOIFSViewable = (POIFSViewable) obj;
            arrayList.add(indent(i2, str, pOIFSViewable.getShortDescription()));
            if (z) {
                if (pOIFSViewable.preferArray()) {
                    for (Object obj2 : pOIFSViewable.getViewableArray()) {
                        arrayList.addAll(inspectViewable(obj2, z, i2 + 1, str));
                    }
                } else {
                    Iterator<Object> viewableIterator = pOIFSViewable.getViewableIterator();
                    while (viewableIterator.hasNext()) {
                        arrayList.addAll(inspectViewable(viewableIterator.next(), z, i2 + 1, str));
                    }
                }
            }
        } else {
            arrayList.add(indent(i2, str, obj.toString()));
        }
        return arrayList;
    }
}
