package org.apache.poi.poifs.filesystem;

import b.b.a.a.a;
import java.nio.ByteBuffer;
import org.apache.poi.poifs.storage.BATBlock;

public abstract class BlockStore {

    public class ChainLoopDetector {
        public boolean[] used_blocks;

        public ChainLoopDetector(long j) {
            long blockStoreBlockSize = (long) BlockStore.this.getBlockStoreBlockSize();
            int i2 = (int) (j / blockStoreBlockSize);
            this.used_blocks = new boolean[(j % blockStoreBlockSize != 0 ? i2 + 1 : i2)];
        }

        public void claim(int i2) {
            boolean[] zArr = this.used_blocks;
            if (i2 < zArr.length) {
                if (!zArr[i2]) {
                    zArr[i2] = true;
                    return;
                }
                throw new IllegalStateException(a.b("Potential loop detected - Block ", i2, " was already claimed but was just requested again"));
            }
        }
    }

    public abstract ByteBuffer createBlockIfNeeded(int i2);

    public abstract BATBlock.BATBlockAndIndex getBATBlockAndIndex(int i2);

    public abstract ByteBuffer getBlockAt(int i2);

    public abstract int getBlockStoreBlockSize();

    public abstract ChainLoopDetector getChainLoopDetector();

    public abstract int getFreeBlock();

    public abstract int getNextBlock(int i2);

    public abstract void setNextBlock(int i2, int i3);
}
