package org.apache.poi.poifs.filesystem;

import org.apache.poi.openxml4j.opc.internal.ZipHelper;

public class DocumentDescriptor {
    public int hashcode = 0;
    public String name;
    public POIFSDocumentPath path;

    public DocumentDescriptor(POIFSDocumentPath pOIFSDocumentPath, String str) {
        if (pOIFSDocumentPath == null) {
            throw new NullPointerException("path must not be null");
        } else if (str == null) {
            throw new NullPointerException("name must not be null");
        } else if (str.length() != 0) {
            this.path = pOIFSDocumentPath;
            this.name = str;
        } else {
            throw new IllegalArgumentException("name cannot be empty");
        }
    }

    public boolean equals(Object obj) {
        if (obj != null && obj.getClass() == DocumentDescriptor.class) {
            if (this == obj) {
                return true;
            }
            DocumentDescriptor documentDescriptor = (DocumentDescriptor) obj;
            if (!this.path.equals(documentDescriptor.path) || !this.name.equals(documentDescriptor.name)) {
                return false;
            }
            return true;
        }
        return false;
    }

    public int hashCode() {
        if (this.hashcode == 0) {
            this.hashcode = this.path.hashCode() ^ this.name.hashCode();
        }
        return this.hashcode;
    }

    public String toString() {
        StringBuffer stringBuffer = new StringBuffer((this.path.length() + 1) * 40);
        for (int i2 = 0; i2 < this.path.length(); i2++) {
            stringBuffer.append(this.path.getComponent(i2));
            stringBuffer.append(ZipHelper.FORWARD_SLASH);
        }
        stringBuffer.append(this.name);
        return stringBuffer.toString();
    }
}
