package org.apache.poi.poifs.filesystem;

import java.io.FilterInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.security.GeneralSecurityException;
import org.apache.poi.EncryptedDocumentException;
import org.apache.poi.poifs.crypt.Decryptor;
import org.apache.poi.poifs.crypt.EncryptionInfo;
import org.apache.poi.util.Internal;
import org.apache.poi.util.Removal;

@Internal
public class DocumentFactoryHelper {
    public static InputStream getDecryptedStream(final NPOIFSFileSystem nPOIFSFileSystem, String str) {
        Decryptor instance = Decryptor.getInstance(new EncryptionInfo(nPOIFSFileSystem));
        boolean z = false;
        boolean z2 = true;
        if (str != null) {
            try {
                if (instance.verifyPassword(str)) {
                    z = true;
                }
            } catch (GeneralSecurityException e2) {
                throw new IOException(e2);
            }
        }
        if (z || !instance.verifyPassword(Decryptor.DEFAULT_PASSWORD)) {
            z2 = z;
        }
        if (z2) {
            return new FilterInputStream(instance.getDataStream(nPOIFSFileSystem.getRoot())) {
                /* class org.apache.poi.poifs.filesystem.DocumentFactoryHelper.AnonymousClass1 */

                @Override // java.io.FilterInputStream, java.io.Closeable, java.lang.AutoCloseable, java.io.InputStream
                public void close() {
                    nPOIFSFileSystem.close();
                    super.close();
                }
            };
        }
        if (str != null) {
            throw new EncryptedDocumentException("Password incorrect");
        }
        throw new EncryptedDocumentException("The supplied spreadsheet is protected, but no password was supplied");
    }

    @Removal(version = "4.0")
    @Deprecated
    public static boolean hasOOXMLHeader(InputStream inputStream) {
        return FileMagic.valueOf(inputStream) == FileMagic.OOXML;
    }
}
