package org.apache.poi.poifs.filesystem;

import java.io.IOException;
import java.io.OutputStream;
import java.util.Arrays;

public final class DocumentOutputStream extends OutputStream {
    public final int _limit;
    public final OutputStream _stream;
    public int _written = 0;

    public DocumentOutputStream(OutputStream outputStream, int i2) {
        this._stream = outputStream;
        this._limit = i2;
    }

    private void limitCheck(int i2) {
        int i3 = this._written;
        if (i3 + i2 <= this._limit) {
            this._written = i3 + i2;
            return;
        }
        throw new IOException("tried to write too much data");
    }

    @Override // java.io.OutputStream, java.io.Closeable, java.lang.AutoCloseable
    public void close() {
    }

    @Override // java.io.OutputStream, java.io.Flushable
    public void flush() {
        this._stream.flush();
    }

    @Override // java.io.OutputStream
    public void write(int i2) {
        limitCheck(1);
        this._stream.write(i2);
    }

    public void writeFiller(int i2, byte b2) {
        int i3 = this._written;
        if (i2 > i3) {
            byte[] bArr = new byte[(i2 - i3)];
            Arrays.fill(bArr, b2);
            this._stream.write(bArr);
        }
    }

    @Override // java.io.OutputStream
    public void write(byte[] bArr) {
        write(bArr, 0, bArr.length);
    }

    @Override // java.io.OutputStream
    public void write(byte[] bArr, int i2, int i3) {
        limitCheck(i3);
        this._stream.write(bArr, i2, i3);
    }
}
