package org.apache.poi.poifs.property;

import java.util.ArrayList;
import java.util.List;
import org.apache.poi.poifs.storage.ListManagedBlock;

public class PropertyFactory {
    public static List<Property> convertToProperties(ListManagedBlock[] listManagedBlockArr) {
        ArrayList arrayList = new ArrayList();
        for (ListManagedBlock listManagedBlock : listManagedBlockArr) {
            convertToProperties(listManagedBlock.getData(), arrayList);
        }
        return arrayList;
    }

    public static void convertToProperties(byte[] bArr, List<Property> list) {
        int length = bArr.length / 128;
        int i2 = 0;
        for (int i3 = 0; i3 < length; i3++) {
            byte b2 = bArr[i2 + 66];
            if (b2 == 1) {
                list.add(new DirectoryProperty(list.size(), bArr, i2));
            } else if (b2 == 2) {
                list.add(new DocumentProperty(list.size(), bArr, i2));
            } else if (b2 != 5) {
                list.add(null);
            } else {
                list.add(new RootProperty(list.size(), bArr, i2));
            }
            i2 += 128;
        }
    }
}
