package org.apache.poi.poifs.property;

import org.apache.poi.poifs.storage.SmallDocumentBlock;

public final class RootProperty extends DirectoryProperty {
    public static final String NAME = "Root Entry";

    public RootProperty() {
        super(NAME);
        setNodeColor((byte) 1);
        setPropertyType((byte) 5);
        setStartBlock(-2);
    }

    @Override // org.apache.poi.poifs.property.Property
    public String getName() {
        return NAME;
    }

    @Override // org.apache.poi.poifs.property.Property
    public void setSize(int i2) {
        super.setSize(SmallDocumentBlock.calcSize(i2));
    }

    public RootProperty(int i2, byte[] bArr, int i3) {
        super(i2, bArr, i3);
    }
}
