package org.apache.poi.poifs.storage;

import java.io.OutputStream;
import org.apache.poi.poifs.common.POIFSBigBlockSize;

public abstract class BigBlock implements BlockWritable {
    public POIFSBigBlockSize bigBlockSize;

    public BigBlock(POIFSBigBlockSize pOIFSBigBlockSize) {
        this.bigBlockSize = pOIFSBigBlockSize;
    }

    public void doWriteData(OutputStream outputStream, byte[] bArr) {
        outputStream.write(bArr);
    }

    @Override // org.apache.poi.poifs.storage.BlockWritable
    public void writeBlocks(OutputStream outputStream) {
        writeData(outputStream);
    }

    public abstract void writeData(OutputStream outputStream);
}
