package org.apache.poi.poifs.storage;

import b.b.a.a.a;
import java.io.IOException;
import java.io.InputStream;
import org.apache.lucene.codecs.lucene3x.Lucene3xNormsProducer;
import org.apache.poi.util.IOUtils;
import org.apache.poi.util.POILogFactory;
import org.apache.poi.util.POILogger;

public class RawDataBlock implements ListManagedBlock {
    public static POILogger log = POILogFactory.getLogger(RawDataBlock.class);
    public byte[] _data;
    public boolean _eof;
    public boolean _hasData;

    public RawDataBlock(InputStream inputStream) {
        this(inputStream, 512);
    }

    public boolean eof() {
        return this._eof;
    }

    public int getBigBlockSize() {
        return this._data.length;
    }

    @Override // org.apache.poi.poifs.storage.ListManagedBlock
    public byte[] getData() {
        if (hasData()) {
            return this._data;
        }
        throw new IOException("Cannot return empty data");
    }

    public boolean hasData() {
        return this._hasData;
    }

    public String toString() {
        StringBuilder b2 = a.b("RawDataBlock of size ");
        b2.append(this._data.length);
        return b2.toString();
    }

    public RawDataBlock(InputStream inputStream, int i2) {
        byte[] bArr = new byte[i2];
        this._data = bArr;
        int readFully = IOUtils.readFully(inputStream, bArr);
        this._hasData = readFully > 0;
        if (readFully == -1) {
            this._eof = true;
        } else if (readFully != i2) {
            this._eof = true;
            StringBuilder b2 = a.b(" byte");
            b2.append(readFully == 1 ? "" : Lucene3xNormsProducer.SEPARATE_NORMS_EXTENSION);
            String sb = b2.toString();
            POILogger pOILogger = log;
            pOILogger.log(7, "Unable to read entire block; " + readFully + sb + " read before EOF; expected " + i2 + " bytes. Your document " + "was either written by software that " + "ignores the spec, or has been truncated!");
        } else {
            this._eof = false;
        }
    }
}
