package org.apache.poi.poifs.storage;

import org.apache.poi.poifs.common.POIFSBigBlockSize;
import org.apache.poi.poifs.property.RootProperty;

public final class SmallBlockTableReader {
    public static BlockAllocationTableReader _getSmallDocumentBlockReader(POIFSBigBlockSize pOIFSBigBlockSize, RawDataBlockList rawDataBlockList, RootProperty rootProperty, int i2) {
        return prepareReader(pOIFSBigBlockSize, rawDataBlockList, prepareSmallDocumentBlocks(pOIFSBigBlockSize, rawDataBlockList, rootProperty, i2), rootProperty, i2);
    }

    public static BlockList getSmallDocumentBlocks(POIFSBigBlockSize pOIFSBigBlockSize, RawDataBlockList rawDataBlockList, RootProperty rootProperty, int i2) {
        BlockList prepareSmallDocumentBlocks = prepareSmallDocumentBlocks(pOIFSBigBlockSize, rawDataBlockList, rootProperty, i2);
        prepareReader(pOIFSBigBlockSize, rawDataBlockList, prepareSmallDocumentBlocks, rootProperty, i2);
        return prepareSmallDocumentBlocks;
    }

    public static BlockAllocationTableReader prepareReader(POIFSBigBlockSize pOIFSBigBlockSize, RawDataBlockList rawDataBlockList, BlockList blockList, RootProperty rootProperty, int i2) {
        return new BlockAllocationTableReader(pOIFSBigBlockSize, rawDataBlockList.fetchBlocks(i2, -1), blockList);
    }

    public static BlockList prepareSmallDocumentBlocks(POIFSBigBlockSize pOIFSBigBlockSize, RawDataBlockList rawDataBlockList, RootProperty rootProperty, int i2) {
        return new SmallDocumentBlockList(SmallDocumentBlock.extract(pOIFSBigBlockSize, rawDataBlockList.fetchBlocks(rootProperty.getStartBlock(), -1)));
    }
}
