package org.apache.poi.sl.draw;

import java.awt.Graphics2D;
import java.awt.Shape;
import java.awt.geom.AffineTransform;
import java.awt.geom.Path2D;
import java.util.ArrayList;
import java.util.Collection;
import org.apache.poi.sl.draw.geom.Outline;
import org.apache.poi.sl.draw.geom.Path;
import org.apache.poi.sl.usermodel.FillStyle;
import org.apache.poi.sl.usermodel.FreeformShape;
import org.apache.poi.sl.usermodel.StrokeStyle;
import org.apache.poi.sl.usermodel.TextParagraph;
import org.apache.poi.sl.usermodel.TextRun;
import org.apache.poi.sl.usermodel.TextShape;

public class DrawFreeformShape extends DrawAutoShape {
    public DrawFreeformShape(FreeformShape<?, ?> freeformShape) {
        super(freeformShape);
    }

    @Override // org.apache.poi.sl.draw.DrawSimpleShape
    public Collection<Outline> computeOutlines(Graphics2D graphics2D) {
        ArrayList arrayList = new ArrayList();
        FreeformShape freeformShape = (FreeformShape) getShape();
        Path2D.Double path = freeformShape.getPath();
        AffineTransform affineTransform = (AffineTransform) graphics2D.getRenderingHint(Drawable.GROUP_TRANSFORM);
        if (affineTransform == null) {
            affineTransform = new AffineTransform();
        }
        Shape createTransformedShape = affineTransform.createTransformedShape(path);
        FillStyle fillStyle = freeformShape.getFillStyle();
        StrokeStyle strokeStyle = freeformShape.getStrokeStyle();
        boolean z = true;
        boolean z2 = fillStyle != null;
        if (strokeStyle == null) {
            z = false;
        }
        arrayList.add(new Outline(createTransformedShape, new Path(z2, z)));
        return arrayList;
    }

    @Override // org.apache.poi.sl.draw.DrawShape, org.apache.poi.sl.draw.DrawTextShape, org.apache.poi.sl.draw.DrawTextShape, org.apache.poi.sl.draw.DrawTextShape, org.apache.poi.sl.draw.DrawSimpleShape, org.apache.poi.sl.draw.DrawSimpleShape
    public TextShape<?, ? extends TextParagraph<?, ?, ? extends TextRun>> getShape() {
        return (TextShape) this.shape;
    }
}
