package org.apache.poi.sl.draw;

import java.awt.Graphics2D;
import org.apache.poi.sl.usermodel.MasterSheet;
import org.apache.poi.sl.usermodel.Placeholder;
import org.apache.poi.sl.usermodel.Shape;
import org.apache.poi.sl.usermodel.SimpleShape;
import org.apache.poi.sl.usermodel.Slide;

public class DrawMasterSheet extends DrawSheet {
    public DrawMasterSheet(MasterSheet<?, ?> masterSheet) {
        super(masterSheet);
    }

    @Override // org.apache.poi.sl.draw.DrawSheet
    public boolean canDraw(Graphics2D graphics2D, Shape<?, ?> shape) {
        Placeholder placeholder;
        Slide slide = (Slide) graphics2D.getRenderingHint(Drawable.CURRENT_SLIDE);
        if (!(shape instanceof SimpleShape) || (placeholder = ((SimpleShape) shape).getPlaceholder()) == null) {
            return slide.getFollowMasterGraphics();
        }
        return slide.getDisplayPlaceholder(placeholder);
    }
}
