package org.apache.poi.sl.draw.binding;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CT_GroupTransform2D", namespace = "http://schemas.openxmlformats.org/drawingml/2006/main", propOrder = {"off", "ext", "chOff", "chExt"})
public class CTGroupTransform2D {
    @XmlElement(namespace = "http://schemas.openxmlformats.org/drawingml/2006/main")
    public CTPositiveSize2D chExt;
    @XmlElement(namespace = "http://schemas.openxmlformats.org/drawingml/2006/main")
    public CTPoint2D chOff;
    @XmlElement(namespace = "http://schemas.openxmlformats.org/drawingml/2006/main")
    public CTPositiveSize2D ext;
    @XmlAttribute
    public Boolean flipH;
    @XmlAttribute
    public Boolean flipV;
    @XmlElement(namespace = "http://schemas.openxmlformats.org/drawingml/2006/main")
    public CTPoint2D off;
    @XmlAttribute
    public Integer rot;

    public CTPositiveSize2D getChExt() {
        return this.chExt;
    }

    public CTPoint2D getChOff() {
        return this.chOff;
    }

    public CTPositiveSize2D getExt() {
        return this.ext;
    }

    public CTPoint2D getOff() {
        return this.off;
    }

    public int getRot() {
        Integer num = this.rot;
        if (num == null) {
            return 0;
        }
        return num.intValue();
    }

    public boolean isFlipH() {
        Boolean bool = this.flipH;
        if (bool == null) {
            return false;
        }
        return bool.booleanValue();
    }

    public boolean isFlipV() {
        Boolean bool = this.flipV;
        if (bool == null) {
            return false;
        }
        return bool.booleanValue();
    }

    public boolean isSetChExt() {
        return this.chExt != null;
    }

    public boolean isSetChOff() {
        return this.chOff != null;
    }

    public boolean isSetExt() {
        return this.ext != null;
    }

    public boolean isSetFlipH() {
        return this.flipH != null;
    }

    public boolean isSetFlipV() {
        return this.flipV != null;
    }

    public boolean isSetOff() {
        return this.off != null;
    }

    public boolean isSetRot() {
        return this.rot != null;
    }

    public void setChExt(CTPositiveSize2D cTPositiveSize2D) {
        this.chExt = cTPositiveSize2D;
    }

    public void setChOff(CTPoint2D cTPoint2D) {
        this.chOff = cTPoint2D;
    }

    public void setExt(CTPositiveSize2D cTPositiveSize2D) {
        this.ext = cTPositiveSize2D;
    }

    public void setFlipH(boolean z) {
        this.flipH = Boolean.valueOf(z);
    }

    public void setFlipV(boolean z) {
        this.flipV = Boolean.valueOf(z);
    }

    public void setOff(CTPoint2D cTPoint2D) {
        this.off = cTPoint2D;
    }

    public void setRot(int i2) {
        this.rot = Integer.valueOf(i2);
    }

    public void unsetFlipH() {
        this.flipH = null;
    }

    public void unsetFlipV() {
        this.flipV = null;
    }

    public void unsetRot() {
        this.rot = null;
    }
}
