package org.apache.poi.sl.draw.geom;

import java.awt.geom.Arc2D;
import java.awt.geom.Path2D;
import java.awt.geom.Point2D;
import org.apache.poi.sl.draw.binding.CTPath2DArcTo;

public class ArcToCommand implements PathCommand {
    public String hr;
    public String stAng;
    public String swAng;
    public String wr;

    public ArcToCommand(CTPath2DArcTo cTPath2DArcTo) {
        this.hr = cTPath2DArcTo.getHR();
        this.wr = cTPath2DArcTo.getWR();
        this.stAng = cTPath2DArcTo.getStAng();
        this.swAng = cTPath2DArcTo.getSwAng();
    }

    private double convertOoxml2AwtAngle(double d2, double d3, double d4) {
        double d5 = d4 / d3;
        double d6 = -d2;
        double d7 = d6 % 360.0d;
        double d8 = d6 - d7;
        int i2 = (int) (d7 / 90.0d);
        if (i2 == -3) {
            d8 -= 360.0d;
            d7 += 360.0d;
        } else if (i2 == -2 || i2 == -1) {
            d8 -= 180.0d;
            d7 += 180.0d;
        } else if (i2 == 1 || i2 == 2) {
            d8 += 180.0d;
            d7 -= 180.0d;
        } else if (i2 == 3) {
            d8 += 360.0d;
            d7 -= 360.0d;
        }
        return Math.toDegrees(Math.atan2(Math.tan(Math.toRadians(d7)), d5)) + d8;
    }

    @Override // org.apache.poi.sl.draw.geom.PathCommand
    public void execute(Path2D.Double r31, Context context) {
        double value = context.getValue(this.wr);
        double value2 = context.getValue(this.hr);
        double value3 = context.getValue(this.stAng) / 60000.0d;
        double convertOoxml2AwtAngle = convertOoxml2AwtAngle(value3, value, value2);
        double convertOoxml2AwtAngle2 = convertOoxml2AwtAngle(value3 + (context.getValue(this.swAng) / 60000.0d), value, value2) - convertOoxml2AwtAngle;
        double radians = Math.toRadians(value3);
        double atan2 = Math.atan2(Math.sin(radians) * value, Math.cos(radians) * value2);
        Point2D currentPoint = r31.getCurrentPoint();
        r31.append(new Arc2D.Double((currentPoint.getX() - (Math.cos(atan2) * value)) - value, (currentPoint.getY() - (Math.sin(atan2) * value2)) - value2, value * 2.0d, value2 * 2.0d, convertOoxml2AwtAngle, convertOoxml2AwtAngle2, 0), true);
    }
}
