package org.apache.poi.sl.image;

import java.awt.Dimension;
import java.awt.image.BufferedImage;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import javax.imageio.ImageIO;
import org.apache.poi.hssf.usermodel.HSSFShapeTypes;
import org.apache.poi.util.Internal;
import org.apache.poi.util.POILogFactory;
import org.apache.poi.util.POILogger;
import org.apache.poi.util.Units;

@Internal
public class ImageHeaderBitmap {
    public static final POILogger LOG = POILogFactory.getLogger(ImageHeaderBitmap.class);
    public final Dimension size;

    public ImageHeaderBitmap(byte[] bArr, int i2) {
        BufferedImage bufferedImage;
        try {
            bufferedImage = ImageIO.read(new ByteArrayInputStream(bArr, i2, bArr.length - i2));
        } catch (IOException e2) {
            LOG.log(5, "Can't determine image dimensions", e2);
            bufferedImage = null;
        }
        this.size = bufferedImage == null ? new Dimension((int) HSSFShapeTypes.ActionButtonMovie, (int) HSSFShapeTypes.ActionButtonMovie) : new Dimension((int) Units.pixelToPoints(bufferedImage.getWidth()), (int) Units.pixelToPoints(bufferedImage.getHeight()));
    }

    public Dimension getSize() {
        return this.size;
    }
}
