package org.apache.poi.sl.image;

import java.awt.Dimension;
import java.awt.Rectangle;
import org.apache.poi.util.Internal;

@Internal
public class ImageHeaderPICT {
    public static final double DEFAULT_RESOLUTION = 72.0d;
    public static final int PICT_HEADER_OFFSET = 512;
    public static final byte[] V2_HEADER = {0, 17, 2, -1, 12, 0, -1, -2, 0, 0};
    public final Rectangle bounds;
    public final double hRes;
    public final double vRes;

    public ImageHeaderPICT(byte[] bArr, int i2) {
        int i3 = i2 + 2;
        int readUnsignedShort = readUnsignedShort(bArr, i3);
        int i4 = i3 + 2;
        int readUnsignedShort2 = readUnsignedShort(bArr, i4);
        int i5 = i4 + 2;
        int readUnsignedShort3 = readUnsignedShort(bArr, i5);
        int i6 = i5 + 2;
        int readUnsignedShort4 = readUnsignedShort(bArr, i6);
        int i7 = i6 + 2;
        byte[] bArr2 = V2_HEADER;
        int length = bArr2.length;
        boolean z = false;
        int i8 = 0;
        while (true) {
            if (i8 >= length) {
                z = true;
                break;
            }
            int i9 = i7 + 1;
            if (bArr2[i8] != bArr[i7]) {
                i7 = i9;
                break;
            } else {
                i8++;
                i7 = i9;
            }
        }
        if (z) {
            this.hRes = readFixedPoint(bArr, i7);
            this.vRes = readFixedPoint(bArr, i7 + 4);
        } else {
            this.hRes = 72.0d;
            this.vRes = 72.0d;
        }
        this.bounds = new Rectangle(readUnsignedShort2, readUnsignedShort, readUnsignedShort4 - readUnsignedShort2, readUnsignedShort3 - readUnsignedShort);
    }

    public static double readFixedPoint(byte[] bArr, int i2) {
        return ((double) ((bArr[i2 + 3] & 255) | ((((bArr[i2] & 255) << 24) | ((bArr[i2 + 1] & 255) << 16)) | ((bArr[i2 + 2] & 255) << 8)))) / 65536.0d;
    }

    public static int readUnsignedShort(byte[] bArr, int i2) {
        return (bArr[i2 + 1] & 255) | ((bArr[i2] & 255) << 8);
    }

    public Rectangle getBounds() {
        return this.bounds;
    }

    public Dimension getSize() {
        return new Dimension((int) Math.round((((double) this.bounds.width) * 72.0d) / this.hRes), (int) Math.round((((double) this.bounds.height) * 72.0d) / this.vRes));
    }
}
