package org.apache.poi.sl.usermodel;

public final class Insets2D implements Cloneable {
    public double bottom;
    public double left;
    public double right;
    public double top;

    public Insets2D(double d2, double d3, double d4, double d5) {
        this.top = d2;
        this.left = d3;
        this.bottom = d4;
        this.right = d5;
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof Insets2D)) {
            return false;
        }
        Insets2D insets2D = (Insets2D) obj;
        if (this.top == insets2D.top && this.left == insets2D.left && this.bottom == insets2D.bottom && this.right == insets2D.right) {
            return true;
        }
        return false;
    }

    public int hashCode() {
        double d2 = this.left;
        double d3 = this.bottom + d2;
        double d4 = this.right;
        double d5 = this.top;
        double d6 = d4 + d5;
        double d7 = (((d3 + 1.0d) * d3) / 2.0d) + d2;
        double d8 = (((d6 + 1.0d) * d6) / 2.0d) + d5;
        double d9 = d7 + d8;
        return (int) ((((1.0d + d9) * d9) / 2.0d) + d8);
    }

    public void set(double d2, double d3, double d4, double d5) {
        this.top = d2;
        this.left = d3;
        this.bottom = d4;
        this.right = d5;
    }

    public String toString() {
        return Insets2D.class.getName() + "[top=" + this.top + ",left=" + this.left + ",bottom=" + this.bottom + ",right=" + this.right + "]";
    }

    @Override // java.lang.Object
    public Insets2D clone() {
        return new Insets2D(this.top, this.left, this.bottom, this.right);
    }
}
