package org.apache.poi.sl.usermodel;

import java.awt.Dimension;
import java.io.Closeable;
import java.io.File;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.List;
import org.apache.poi.sl.usermodel.PictureData;
import org.apache.poi.sl.usermodel.Shape;
import org.apache.poi.sl.usermodel.TextParagraph;

public interface SlideShow<S extends Shape<S, P>, P extends TextParagraph<S, P, ?>> extends Closeable {
    PictureData addPicture(File file, PictureData.PictureType pictureType);

    PictureData addPicture(InputStream inputStream, PictureData.PictureType pictureType);

    PictureData addPicture(byte[] bArr, PictureData.PictureType pictureType);

    MasterSheet<S, P> createMasterSheet();

    Slide<S, P> createSlide();

    PictureData findPictureData(byte[] bArr);

    Dimension getPageSize();

    List<? extends PictureData> getPictureData();

    Resources getResources();

    List<? extends MasterSheet<S, P>> getSlideMasters();

    List<? extends Slide<S, P>> getSlides();

    void setPageSize(Dimension dimension);

    void write(OutputStream outputStream);
}
