package org.apache.poi.sl.usermodel;

import org.apache.poi.sl.usermodel.Shape;
import org.apache.poi.sl.usermodel.TextParagraph;

public interface TableShape<S extends Shape<S, P>, P extends TextParagraph<S, P, ?>> extends Shape<S, P>, PlaceableShape<S, P> {
    TableCell<S, P> getCell(int i2, int i3);

    double getColumnWidth(int i2);

    int getNumberOfColumns();

    int getNumberOfRows();

    double getRowHeight(int i2);

    void setColumnWidth(int i2, double d2);

    void setRowHeight(int i2, double d2);
}
