package org.apache.poi.ss;

import org.apache.poi.ss.util.CellReference;

public enum SpreadsheetVersion {
    EXCEL97(65536, 256, 30, 3, 4000, 32767),
    EXCEL2007(1048576, 16384, 255, Integer.MAX_VALUE, 64000, 32767);
    
    public final int _maxCellStyles;
    public final int _maxColumns;
    public final int _maxCondFormats;
    public final int _maxFunctionArgs;
    public final int _maxRows;
    public final int _maxTextLength;

    /* access modifiers changed from: public */
    SpreadsheetVersion(int i2, int i3, int i4, int i5, int i6, int i7) {
        this._maxRows = i2;
        this._maxColumns = i3;
        this._maxFunctionArgs = i4;
        this._maxCondFormats = i5;
        this._maxCellStyles = i6;
        this._maxTextLength = i7;
    }

    public int getLastColumnIndex() {
        return this._maxColumns - 1;
    }

    public String getLastColumnName() {
        return CellReference.convertNumToColString(getLastColumnIndex());
    }

    public int getLastRowIndex() {
        return this._maxRows - 1;
    }

    public int getMaxCellStyles() {
        return this._maxCellStyles;
    }

    public int getMaxColumns() {
        return this._maxColumns;
    }

    public int getMaxConditionalFormats() {
        return this._maxCondFormats;
    }

    public int getMaxFunctionArgs() {
        return this._maxFunctionArgs;
    }

    public int getMaxRows() {
        return this._maxRows;
    }

    public int getMaxTextLength() {
        return this._maxTextLength;
    }
}
