package org.apache.poi.ss.format;

import b.b.a.a.a;
import java.util.HashMap;
import java.util.Map;
import org.apache.poi.ss.formula.ptg.GreaterThanPtg;
import org.apache.poi.ss.formula.ptg.LessThanPtg;

public abstract class CellFormatCondition {
    public static final int EQ = 4;
    public static final int GE = 3;
    public static final int GT = 2;
    public static final int LE = 1;
    public static final int LT = 0;
    public static final int NE = 5;
    public static final Map<String, Integer> TESTS;

    static {
        HashMap hashMap = new HashMap();
        TESTS = hashMap;
        hashMap.put(LessThanPtg.LESSTHAN, 0);
        TESTS.put("<=", 1);
        TESTS.put(GreaterThanPtg.GREATERTHAN, 2);
        TESTS.put(">=", 3);
        TESTS.put("=", 4);
        TESTS.put("==", 4);
        TESTS.put("!=", 5);
        TESTS.put("<>", 5);
    }

    public static CellFormatCondition getInstance(String str, String str2) {
        if (TESTS.containsKey(str)) {
            int intValue = TESTS.get(str).intValue();
            final double parseDouble = Double.parseDouble(str2);
            if (intValue == 0) {
                return new CellFormatCondition() {
                    /* class org.apache.poi.ss.format.CellFormatCondition.AnonymousClass1 */

                    @Override // org.apache.poi.ss.format.CellFormatCondition
                    public boolean pass(double d2) {
                        return d2 < parseDouble;
                    }
                };
            }
            if (intValue == 1) {
                return new CellFormatCondition() {
                    /* class org.apache.poi.ss.format.CellFormatCondition.AnonymousClass2 */

                    @Override // org.apache.poi.ss.format.CellFormatCondition
                    public boolean pass(double d2) {
                        return d2 <= parseDouble;
                    }
                };
            }
            if (intValue == 2) {
                return new CellFormatCondition() {
                    /* class org.apache.poi.ss.format.CellFormatCondition.AnonymousClass3 */

                    @Override // org.apache.poi.ss.format.CellFormatCondition
                    public boolean pass(double d2) {
                        return d2 > parseDouble;
                    }
                };
            }
            if (intValue == 3) {
                return new CellFormatCondition() {
                    /* class org.apache.poi.ss.format.CellFormatCondition.AnonymousClass4 */

                    @Override // org.apache.poi.ss.format.CellFormatCondition
                    public boolean pass(double d2) {
                        return d2 >= parseDouble;
                    }
                };
            }
            if (intValue == 4) {
                return new CellFormatCondition() {
                    /* class org.apache.poi.ss.format.CellFormatCondition.AnonymousClass5 */

                    @Override // org.apache.poi.ss.format.CellFormatCondition
                    public boolean pass(double d2) {
                        return d2 == parseDouble;
                    }
                };
            }
            if (intValue == 5) {
                return new CellFormatCondition() {
                    /* class org.apache.poi.ss.format.CellFormatCondition.AnonymousClass6 */

                    @Override // org.apache.poi.ss.format.CellFormatCondition
                    public boolean pass(double d2) {
                        return d2 != parseDouble;
                    }
                };
            }
            throw new IllegalArgumentException("Cannot create for test number " + intValue + "(\"" + str + "\")");
        }
        throw new IllegalArgumentException(a.b("Unknown test: ", str));
    }

    public abstract boolean pass(double d2);
}
