package org.apache.poi.ss.format;

import java.util.Locale;
import java.util.logging.Logger;
import org.apache.poi.ss.formula.ptg.StringPtg;
import org.apache.poi.util.LocaleUtil;

public abstract class CellFormatter {
    public static final Logger logger = Logger.getLogger(CellFormatter.class.getName());
    public final String format;
    public final Locale locale;

    public CellFormatter(String str) {
        this(LocaleUtil.getUserLocale(), str);
    }

    public static String quote(String str) {
        return StringPtg.FORMULA_DELIMITER + str + StringPtg.FORMULA_DELIMITER;
    }

    public String format(Object obj) {
        StringBuffer stringBuffer = new StringBuffer();
        formatValue(stringBuffer, obj);
        return stringBuffer.toString();
    }

    public abstract void formatValue(StringBuffer stringBuffer, Object obj);

    public String simpleFormat(Object obj) {
        StringBuffer stringBuffer = new StringBuffer();
        simpleValue(stringBuffer, obj);
        return stringBuffer.toString();
    }

    public abstract void simpleValue(StringBuffer stringBuffer, Object obj);

    public CellFormatter(Locale locale2, String str) {
        this.locale = locale2;
        this.format = str;
    }
}
