package org.apache.poi.ss.format;

import org.apache.poi.ss.format.CellNumberFormatter;
import org.apache.poi.util.Internal;

@Internal
public class CellNumberStringMod implements Comparable<CellNumberStringMod> {
    public static final int AFTER = 2;
    public static final int BEFORE = 1;
    public static final int REPLACE = 3;
    public CellNumberFormatter.Special end;
    public boolean endInclusive;
    public final int op;
    public final CellNumberFormatter.Special special;
    public boolean startInclusive;
    public CharSequence toAdd;

    public CellNumberStringMod(CellNumberFormatter.Special special2, CharSequence charSequence, int i2) {
        this.special = special2;
        this.toAdd = charSequence;
        this.op = i2;
    }

    public boolean equals(Object obj) {
        return (obj instanceof CellNumberStringMod) && compareTo((CellNumberStringMod) obj) == 0;
    }

    public CellNumberFormatter.Special getEnd() {
        return this.end;
    }

    public int getOp() {
        return this.op;
    }

    public CellNumberFormatter.Special getSpecial() {
        return this.special;
    }

    public CharSequence getToAdd() {
        return this.toAdd;
    }

    public int hashCode() {
        return this.special.hashCode() + this.op;
    }

    public boolean isEndInclusive() {
        return this.endInclusive;
    }

    public boolean isStartInclusive() {
        return this.startInclusive;
    }

    public int compareTo(CellNumberStringMod cellNumberStringMod) {
        int i2 = this.special.pos - cellNumberStringMod.special.pos;
        return i2 != 0 ? i2 : this.op - cellNumberStringMod.op;
    }

    public CellNumberStringMod(CellNumberFormatter.Special special2, boolean z, CellNumberFormatter.Special special3, boolean z2, char c) {
        this(special2, z, special3, z2);
        this.toAdd = c + "";
    }

    public CellNumberStringMod(CellNumberFormatter.Special special2, boolean z, CellNumberFormatter.Special special3, boolean z2) {
        this.special = special2;
        this.startInclusive = z;
        this.end = special3;
        this.endInclusive = z2;
        this.op = 3;
        this.toAdd = "";
    }
}
