package org.apache.poi.ss.format;

import java.util.Locale;
import java.util.regex.Matcher;
import org.apache.poi.ss.format.CellFormatPart;

public class CellTextFormatter extends CellFormatter {
    public static final CellFormatter SIMPLE_TEXT = new CellTextFormatter("@");
    public final String desc;
    public final int[] textPos;

    public CellTextFormatter(String str) {
        super(str);
        final int[] iArr = new int[1];
        String stringBuffer = CellFormatPart.parseFormat(str, CellFormatType.TEXT, new CellFormatPart.PartHandler() {
            /* class org.apache.poi.ss.format.CellTextFormatter.AnonymousClass1 */

            @Override // org.apache.poi.ss.format.CellFormatPart.PartHandler
            public String handlePart(Matcher matcher, String str, CellFormatType cellFormatType, StringBuffer stringBuffer) {
                if (!str.equals("@")) {
                    return null;
                }
                int[] iArr = iArr;
                iArr[0] = iArr[0] + 1;
                return "\u0000";
            }
        }).toString();
        this.desc = stringBuffer;
        int i2 = 0;
        this.textPos = new int[iArr[0]];
        int length = stringBuffer.length() - 1;
        while (true) {
            int[] iArr2 = this.textPos;
            if (i2 < iArr2.length) {
                iArr2[i2] = this.desc.lastIndexOf("\u0000", length);
                length = this.textPos[i2] - 1;
                i2++;
            } else {
                return;
            }
        }
    }

    @Override // org.apache.poi.ss.format.CellFormatter
    public void formatValue(StringBuffer stringBuffer, Object obj) {
        int length = stringBuffer.length();
        String obj2 = obj.toString();
        if (obj instanceof Boolean) {
            obj2 = obj2.toUpperCase(Locale.ROOT);
        }
        stringBuffer.append(this.desc);
        int i2 = 0;
        while (true) {
            int[] iArr = this.textPos;
            if (i2 < iArr.length) {
                int i3 = iArr[i2] + length;
                stringBuffer.replace(i3, i3 + 1, obj2);
                i2++;
            } else {
                return;
            }
        }
    }

    @Override // org.apache.poi.ss.format.CellFormatter
    public void simpleValue(StringBuffer stringBuffer, Object obj) {
        SIMPLE_TEXT.formatValue(stringBuffer, obj);
    }
}
