package org.apache.poi.ss.format;

import org.apache.poi.openxml4j.opc.internal.ZipHelper;
import org.apache.poi.ss.formula.functions.NumericFunction;

public class SimpleFraction {
    public final int denominator;
    public final int numerator;

    public SimpleFraction(int i2, int i3) {
        this.numerator = i2;
        this.denominator = i3;
    }

    public static SimpleFraction buildFractionExactDenominator(double d2, int i2) {
        return new SimpleFraction((int) Math.round(d2 * ((double) i2)), i2);
    }

    public static SimpleFraction buildFractionMaxDenominator(double d2, int i2) {
        return buildFractionMaxDenominator(d2, NumericFunction.LOG_10_TO_BASE_e, i2, 100);
    }

    public int getDenominator() {
        return this.denominator;
    }

    public int getNumerator() {
        return this.numerator;
    }

    public static SimpleFraction buildFractionMaxDenominator(double d2, double d3, int i2, int i3) {
        long j;
        long j2;
        String str;
        String str2;
        long j3;
        long floor = (long) Math.floor(d2);
        String str3 = ")";
        String str4 = ZipHelper.FORWARD_SLASH;
        if (floor <= 2147483647L) {
            int i4 = 1;
            if (Math.abs(((double) floor) - d2) < d3) {
                return new SimpleFraction((int) floor, 1);
            }
            int i5 = 0;
            double d4 = d2;
            long j4 = 0;
            long j5 = 1;
            long j6 = 1;
            boolean z = false;
            long j7 = floor;
            while (true) {
                int i6 = i5 + i4;
                double d5 = 1.0d / (d4 - ((double) floor));
                long floor2 = (long) Math.floor(d5);
                long j8 = floor;
                j = (floor2 * j7) + j6;
                j2 = (floor2 * j5) + j4;
                if (d3 != NumericFunction.LOG_10_TO_BASE_e || i2 <= 0) {
                    str2 = str3;
                    str = str4;
                } else {
                    str2 = str3;
                    str = str4;
                    long j9 = (long) i2;
                    if (Math.abs(j2) > j9 && Math.abs(j5) < j9) {
                        return new SimpleFraction((int) j7, (int) j5);
                    }
                }
                if (j > 2147483647L || j2 > 2147483647L) {
                } else {
                    double d6 = ((double) j) / ((double) j2);
                    if (i6 >= i3 || Math.abs(d6 - d2) <= d3 || j2 >= ((long) i2)) {
                        j3 = j5;
                        z = true;
                    } else {
                        j3 = j2;
                        j6 = j7;
                        d4 = d5;
                        j4 = j5;
                        j8 = floor2;
                        j7 = j;
                    }
                    if (!z) {
                        i5 = i6;
                        floor = j8;
                        i4 = 1;
                        j5 = j3;
                        str3 = str2;
                        str4 = str;
                    } else if (i6 >= i3) {
                        throw new RuntimeException("Unable to convert " + d2 + " to fraction after " + i3 + " iterations");
                    } else if (j2 < ((long) i2)) {
                        return new SimpleFraction((int) j, (int) j2);
                    } else {
                        return new SimpleFraction((int) j7, (int) j3);
                    }
                }
            }
            throw new RuntimeException("Overflow trying to convert " + d2 + " to fraction (" + j + str + j2 + str2);
        }
        throw new IllegalArgumentException("Overflow trying to convert " + d2 + " to fraction (" + floor + str4 + 1L + str3);
    }
}
