package org.apache.poi.ss.formula;

import org.apache.poi.ss.SpreadsheetVersion;
import org.apache.poi.ss.formula.ptg.NamePtg;
import org.apache.poi.ss.formula.ptg.NameXPtg;
import org.apache.poi.ss.formula.ptg.Ptg;
import org.apache.poi.ss.formula.udf.UDFFinder;
import org.apache.poi.util.Internal;

@Internal
public interface EvaluationWorkbook {

    public static class ExternalName {
        public final int _ix;
        public final String _nameName;
        public final int _nameNumber;

        public ExternalName(String str, int i2, int i3) {
            this._nameName = str;
            this._nameNumber = i2;
            this._ix = i3;
        }

        public int getIx() {
            return this._ix;
        }

        public String getName() {
            return this._nameName;
        }

        public int getNumber() {
            return this._nameNumber;
        }
    }

    public static class ExternalSheet {
        public final String _sheetName;
        public final String _workbookName;

        public ExternalSheet(String str, String str2) {
            this._workbookName = str;
            this._sheetName = str2;
        }

        public String getSheetName() {
            return this._sheetName;
        }

        public String getWorkbookName() {
            return this._workbookName;
        }
    }

    public static class ExternalSheetRange extends ExternalSheet {
        public final String _lastSheetName;

        public ExternalSheetRange(String str, String str2, String str3) {
            super(str, str2);
            this._lastSheetName = str3;
        }

        public String getFirstSheetName() {
            return getSheetName();
        }

        public String getLastSheetName() {
            return this._lastSheetName;
        }
    }

    void clearAllCachedResultValues();

    int convertFromExternSheetIndex(int i2);

    ExternalName getExternalName(int i2, int i3);

    ExternalName getExternalName(String str, String str2, int i2);

    ExternalSheet getExternalSheet(int i2);

    ExternalSheet getExternalSheet(String str, String str2, int i2);

    Ptg[] getFormulaTokens(EvaluationCell evaluationCell);

    EvaluationName getName(String str, int i2);

    EvaluationName getName(NamePtg namePtg);

    EvaluationSheet getSheet(int i2);

    int getSheetIndex(String str);

    int getSheetIndex(EvaluationSheet evaluationSheet);

    String getSheetName(int i2);

    SpreadsheetVersion getSpreadsheetVersion();

    UDFFinder getUDFFinder();

    String resolveNameXText(NameXPtg nameXPtg);
}
