package org.apache.poi.ss.formula;

public final class FormulaCellCacheEntrySet {
    public static final FormulaCellCacheEntry[] EMPTY_ARRAY = new FormulaCellCacheEntry[0];
    public FormulaCellCacheEntry[] _arr = EMPTY_ARRAY;
    public int _size;

    public static boolean addInternal(CellCacheEntry[] cellCacheEntryArr, CellCacheEntry cellCacheEntry) {
        int abs = Math.abs(cellCacheEntry.hashCode() % cellCacheEntryArr.length);
        for (int i2 = abs; i2 < cellCacheEntryArr.length; i2++) {
            CellCacheEntry cellCacheEntry2 = cellCacheEntryArr[i2];
            if (cellCacheEntry2 == cellCacheEntry) {
                return false;
            }
            if (cellCacheEntry2 == null) {
                cellCacheEntryArr[i2] = cellCacheEntry;
                return true;
            }
        }
        for (int i3 = 0; i3 < abs; i3++) {
            CellCacheEntry cellCacheEntry3 = cellCacheEntryArr[i3];
            if (cellCacheEntry3 == cellCacheEntry) {
                return false;
            }
            if (cellCacheEntry3 == null) {
                cellCacheEntryArr[i3] = cellCacheEntry;
                return true;
            }
        }
        throw new IllegalStateException("No empty space found");
    }

    public void add(CellCacheEntry cellCacheEntry) {
        int i2 = this._size * 3;
        FormulaCellCacheEntry[] formulaCellCacheEntryArr = this._arr;
        if (i2 >= formulaCellCacheEntryArr.length * 2) {
            FormulaCellCacheEntry[] formulaCellCacheEntryArr2 = new FormulaCellCacheEntry[(((formulaCellCacheEntryArr.length * 3) / 2) + 4)];
            for (int i3 = 0; i3 < formulaCellCacheEntryArr.length; i3++) {
                FormulaCellCacheEntry formulaCellCacheEntry = this._arr[i3];
                if (formulaCellCacheEntry != null) {
                    addInternal(formulaCellCacheEntryArr2, formulaCellCacheEntry);
                }
            }
            this._arr = formulaCellCacheEntryArr2;
        }
        if (addInternal(this._arr, cellCacheEntry)) {
            this._size++;
        }
    }

    public boolean remove(CellCacheEntry cellCacheEntry) {
        FormulaCellCacheEntry[] formulaCellCacheEntryArr = this._arr;
        if (this._size * 3 >= formulaCellCacheEntryArr.length || formulaCellCacheEntryArr.length <= 8) {
            int abs = Math.abs(cellCacheEntry.hashCode() % formulaCellCacheEntryArr.length);
            for (int i2 = abs; i2 < formulaCellCacheEntryArr.length; i2++) {
                if (formulaCellCacheEntryArr[i2] == cellCacheEntry) {
                    formulaCellCacheEntryArr[i2] = null;
                    this._size--;
                    return true;
                }
            }
            for (int i3 = 0; i3 < abs; i3++) {
                if (formulaCellCacheEntryArr[i3] == cellCacheEntry) {
                    formulaCellCacheEntryArr[i3] = null;
                    this._size--;
                    return true;
                }
            }
            return false;
        }
        FormulaCellCacheEntry[] formulaCellCacheEntryArr2 = new FormulaCellCacheEntry[(formulaCellCacheEntryArr.length / 2)];
        boolean z = false;
        for (int i4 = 0; i4 < formulaCellCacheEntryArr.length; i4++) {
            FormulaCellCacheEntry formulaCellCacheEntry = this._arr[i4];
            if (formulaCellCacheEntry != null) {
                if (formulaCellCacheEntry == cellCacheEntry) {
                    this._size--;
                    z = true;
                } else {
                    addInternal(formulaCellCacheEntryArr2, formulaCellCacheEntry);
                }
            }
        }
        this._arr = formulaCellCacheEntryArr2;
        return z;
    }

    public FormulaCellCacheEntry[] toArray() {
        int i2 = this._size;
        if (i2 < 1) {
            return EMPTY_ARRAY;
        }
        FormulaCellCacheEntry[] formulaCellCacheEntryArr = new FormulaCellCacheEntry[i2];
        int i3 = 0;
        int i4 = 0;
        while (true) {
            FormulaCellCacheEntry[] formulaCellCacheEntryArr2 = this._arr;
            if (i3 >= formulaCellCacheEntryArr2.length) {
                break;
            }
            FormulaCellCacheEntry formulaCellCacheEntry = formulaCellCacheEntryArr2[i3];
            if (formulaCellCacheEntry != null) {
                formulaCellCacheEntryArr[i4] = formulaCellCacheEntry;
                i4++;
            }
            i3++;
        }
        if (i4 == i2) {
            return formulaCellCacheEntryArr;
        }
        throw new IllegalStateException("size mismatch");
    }
}
