package org.apache.poi.ss.formula;

import b.b.a.a.a;
import java.util.Stack;
import org.apache.poi.ss.formula.ptg.AttrPtg;
import org.apache.poi.ss.formula.ptg.MemAreaPtg;
import org.apache.poi.ss.formula.ptg.MemErrPtg;
import org.apache.poi.ss.formula.ptg.MemFuncPtg;
import org.apache.poi.ss.formula.ptg.OperationPtg;
import org.apache.poi.ss.formula.ptg.ParenthesisPtg;
import org.apache.poi.ss.formula.ptg.Ptg;

public class FormulaRenderer {
    public static String[] getOperands(Stack<String> stack, int i2) {
        String[] strArr = new String[i2];
        for (int i3 = i2 - 1; i3 >= 0; i3--) {
            if (!stack.isEmpty()) {
                strArr[i3] = stack.pop();
            } else {
                StringBuilder a = a.a("Too few arguments supplied to operation. Expected (", i2, ") operands but got (");
                a.append((i2 - i3) - 1);
                a.append(")");
                throw new IllegalStateException(a.toString());
            }
        }
        return strArr;
    }

    public static String toFormulaString(FormulaRenderingWorkbook formulaRenderingWorkbook, Ptg[] ptgArr) {
        if (ptgArr == null || ptgArr.length == 0) {
            throw new IllegalArgumentException("ptgs must not be null");
        }
        Stack stack = new Stack();
        for (Ptg ptg : ptgArr) {
            if (!(ptg instanceof MemAreaPtg) && !(ptg instanceof MemFuncPtg) && !(ptg instanceof MemErrPtg)) {
                if (ptg instanceof ParenthesisPtg) {
                    stack.push("(" + ((String) stack.pop()) + ")");
                } else if (ptg instanceof AttrPtg) {
                    AttrPtg attrPtg = (AttrPtg) ptg;
                    if (!attrPtg.isOptimizedIf() && !attrPtg.isOptimizedChoose() && !attrPtg.isSkip() && !attrPtg.isSpace() && !attrPtg.isSemiVolatile()) {
                        if (attrPtg.isSum()) {
                            stack.push(attrPtg.toFormulaString(getOperands(stack, attrPtg.getNumberOfOperands())));
                        } else {
                            throw new RuntimeException("Unexpected tAttr: " + attrPtg);
                        }
                    }
                } else if (ptg instanceof WorkbookDependentFormula) {
                    stack.push(((WorkbookDependentFormula) ptg).toFormulaString(formulaRenderingWorkbook));
                } else if (!(ptg instanceof OperationPtg)) {
                    stack.push(ptg.toFormulaString());
                } else {
                    OperationPtg operationPtg = (OperationPtg) ptg;
                    stack.push(operationPtg.toFormulaString(getOperands(stack, operationPtg.getNumberOfOperands())));
                }
            }
        }
        if (!stack.isEmpty()) {
            String str = (String) stack.pop();
            if (stack.isEmpty()) {
                return str;
            }
            throw new IllegalStateException("too much stuff left on the stack");
        }
        throw new IllegalStateException("Stack underflow");
    }
}
