package org.apache.poi.ss.formula;

import org.apache.poi.ss.formula.eval.AreaEval;
import org.apache.poi.ss.formula.eval.RefEvalBase;
import org.apache.poi.ss.formula.eval.ValueEval;
import org.apache.poi.ss.formula.ptg.AreaI;
import org.apache.poi.ss.util.CellReference;

public final class LazyRefEval extends RefEvalBase {
    public final SheetRangeEvaluator _evaluator;

    public LazyRefEval(int i2, int i3, SheetRangeEvaluator sheetRangeEvaluator) {
        super(sheetRangeEvaluator, i2, i3);
        this._evaluator = sheetRangeEvaluator;
    }

    @Override // org.apache.poi.ss.formula.eval.RefEval
    public ValueEval getInnerValueEval(int i2) {
        return this._evaluator.getEvalForCell(i2, getRow(), getColumn());
    }

    public boolean isSubTotal() {
        return this._evaluator.getSheetEvaluator(getFirstSheetIndex()).isSubTotal(getRow(), getColumn());
    }

    @Override // org.apache.poi.ss.formula.eval.RefEval
    public AreaEval offset(int i2, int i3, int i4, int i5) {
        return new LazyAreaEval(new AreaI.OffsetArea(getRow(), getColumn(), i2, i3, i4, i5), this._evaluator);
    }

    public String toString() {
        CellReference cellReference = new CellReference(getRow(), getColumn());
        return LazyRefEval.class.getName() + "[" + this._evaluator.getSheetNameRange() + '!' + cellReference.formatAsString() + "]";
    }
}
