package org.apache.poi.ss.formula;

import b.b.a.a.a;
import org.apache.poi.ss.formula.eval.ValueEval;

public final class SheetRangeEvaluator implements SheetRange {
    public final int _firstSheetIndex;
    public final int _lastSheetIndex;
    public SheetRefEvaluator[] _sheetEvaluators;

    public SheetRangeEvaluator(int i2, int i3, SheetRefEvaluator[] sheetRefEvaluatorArr) {
        if (i2 < 0) {
            throw new IllegalArgumentException(a.b("Invalid firstSheetIndex: ", i2, "."));
        } else if (i3 >= i2) {
            this._firstSheetIndex = i2;
            this._lastSheetIndex = i3;
            this._sheetEvaluators = (SheetRefEvaluator[]) sheetRefEvaluatorArr.clone();
        } else {
            throw new IllegalArgumentException(a.b("Invalid lastSheetIndex: ", i3, " for firstSheetIndex: ", i2, "."));
        }
    }

    public ValueEval getEvalForCell(int i2, int i3, int i4) {
        return getSheetEvaluator(i2).getEvalForCell(i3, i4);
    }

    @Override // org.apache.poi.ss.formula.SheetRange
    public int getFirstSheetIndex() {
        return this._firstSheetIndex;
    }

    @Override // org.apache.poi.ss.formula.SheetRange
    public int getLastSheetIndex() {
        return this._lastSheetIndex;
    }

    public SheetRefEvaluator getSheetEvaluator(int i2) {
        int i3 = this._firstSheetIndex;
        if (i2 >= i3 && i2 <= this._lastSheetIndex) {
            return this._sheetEvaluators[i2 - i3];
        }
        StringBuilder a = a.a("Invalid SheetIndex: ", i2, " - Outside range ");
        a.append(this._firstSheetIndex);
        a.append(" : ");
        a.append(this._lastSheetIndex);
        throw new IllegalArgumentException(a.toString());
    }

    public String getSheetName(int i2) {
        return getSheetEvaluator(i2).getSheetName();
    }

    public String getSheetNameRange() {
        StringBuilder sb = new StringBuilder();
        sb.append(getSheetName(this._firstSheetIndex));
        if (this._firstSheetIndex != this._lastSheetIndex) {
            sb.append(':');
            sb.append(getSheetName(this._lastSheetIndex));
        }
        return sb.toString();
    }

    public SheetRangeEvaluator(int i2, SheetRefEvaluator sheetRefEvaluator) {
        this(i2, i2, new SheetRefEvaluator[]{sheetRefEvaluator});
    }
}
