package org.apache.poi.ss.formula;

public class SheetRangeIdentifier extends SheetIdentifier {
    public NameIdentifier _lastSheetIdentifier;

    public SheetRangeIdentifier(String str, NameIdentifier nameIdentifier, NameIdentifier nameIdentifier2) {
        super(str, nameIdentifier);
        this._lastSheetIdentifier = nameIdentifier2;
    }

    @Override // org.apache.poi.ss.formula.SheetIdentifier
    public void asFormulaString(StringBuffer stringBuffer) {
        super.asFormulaString(stringBuffer);
        stringBuffer.append(':');
        if (this._lastSheetIdentifier.isQuoted()) {
            stringBuffer.append("'");
            stringBuffer.append(this._lastSheetIdentifier.getName());
            stringBuffer.append("'");
            return;
        }
        stringBuffer.append(this._lastSheetIdentifier.getName());
    }

    public NameIdentifier getFirstSheetIdentifier() {
        return super.getSheetIdentifier();
    }

    public NameIdentifier getLastSheetIdentifier() {
        return this._lastSheetIdentifier;
    }
}
