package org.apache.poi.ss.formula;

import b.b.a.a.a;
import org.apache.poi.ss.formula.eval.ValueEval;
import org.apache.poi.ss.formula.ptg.FuncVarPtg;
import org.apache.poi.ss.formula.ptg.Ptg;
import org.apache.poi.ss.usermodel.CellType;

public final class SheetRefEvaluator {
    public final WorkbookEvaluator _bookEvaluator;
    public EvaluationSheet _sheet;
    public final int _sheetIndex;
    public final EvaluationTracker _tracker;

    public SheetRefEvaluator(WorkbookEvaluator workbookEvaluator, EvaluationTracker evaluationTracker, int i2) {
        if (i2 >= 0) {
            this._bookEvaluator = workbookEvaluator;
            this._tracker = evaluationTracker;
            this._sheetIndex = i2;
            return;
        }
        throw new IllegalArgumentException(a.b("Invalid sheetIndex: ", i2, "."));
    }

    private EvaluationSheet getSheet() {
        if (this._sheet == null) {
            this._sheet = this._bookEvaluator.getSheet(this._sheetIndex);
        }
        return this._sheet;
    }

    public ValueEval getEvalForCell(int i2, int i3) {
        return this._bookEvaluator.evaluateReference(getSheet(), this._sheetIndex, i2, i3, this._tracker);
    }

    public String getSheetName() {
        return this._bookEvaluator.getSheetName(this._sheetIndex);
    }

    public boolean isSubTotal(int i2, int i3) {
        EvaluationCell cell = getSheet().getCell(i2, i3);
        if (cell == null || cell.getCellTypeEnum() != CellType.FORMULA) {
            return false;
        }
        Ptg[] formulaTokens = this._bookEvaluator.getWorkbook().getFormulaTokens(cell);
        for (Ptg ptg : formulaTokens) {
            if ((ptg instanceof FuncVarPtg) && "SUBTOTAL".equals(((FuncVarPtg) ptg).getName())) {
                return true;
            }
        }
        return false;
    }
}
