package org.apache.poi.ss.formula;

import b.b.a.a.a;
import org.apache.poi.ss.formula.eval.FunctionNameEval;
import org.apache.poi.ss.formula.eval.NotImplementedFunctionException;
import org.apache.poi.ss.formula.eval.ValueEval;
import org.apache.poi.ss.formula.functions.FreeRefFunction;

public final class UserDefinedFunction implements FreeRefFunction {
    public static final FreeRefFunction instance = new UserDefinedFunction();

    @Override // org.apache.poi.ss.formula.functions.FreeRefFunction
    public ValueEval evaluate(ValueEval[] valueEvalArr, OperationEvaluationContext operationEvaluationContext) {
        int length = valueEvalArr.length;
        if (length >= 1) {
            ValueEval valueEval = valueEvalArr[0];
            if (valueEval instanceof FunctionNameEval) {
                String functionName = ((FunctionNameEval) valueEval).getFunctionName();
                FreeRefFunction findUserDefinedFunction = operationEvaluationContext.findUserDefinedFunction(functionName);
                if (findUserDefinedFunction != null) {
                    int i2 = length - 1;
                    ValueEval[] valueEvalArr2 = new ValueEval[i2];
                    System.arraycopy(valueEvalArr, 1, valueEvalArr2, 0, i2);
                    return findUserDefinedFunction.evaluate(valueEvalArr2, operationEvaluationContext);
                }
                throw new NotImplementedFunctionException(functionName);
            }
            StringBuilder b2 = a.b("First argument should be a NameEval, but got (");
            b2.append(valueEval.getClass().getName());
            b2.append(")");
            throw new RuntimeException(b2.toString());
        }
        throw new RuntimeException("function name argument missing");
    }
}
