package org.apache.poi.ss.formula.atp;

import b.b.a.a.a;
import java.util.Calendar;
import java.util.regex.Pattern;
import org.apache.poi.openxml4j.opc.internal.ZipHelper;
import org.apache.poi.ss.formula.eval.ErrorEval;
import org.apache.poi.ss.formula.eval.EvaluationException;
import org.apache.poi.util.LocaleUtil;

public class DateParser {
    public static Calendar makeDate(int i2, int i3, int i4) {
        if (i3 < 1 || i3 > 12) {
            throw new EvaluationException(ErrorEval.VALUE_INVALID);
        }
        Calendar localeCalendar = LocaleUtil.getLocaleCalendar(i2, i3 - 1, 1, 0, 0, 0);
        if (i4 < 1 || i4 > localeCalendar.getActualMaximum(5)) {
            throw new EvaluationException(ErrorEval.VALUE_INVALID);
        }
        localeCalendar.set(5, i4);
        return localeCalendar;
    }

    public static Calendar parseDate(String str) {
        String[] split = Pattern.compile(ZipHelper.FORWARD_SLASH).split(str);
        if (split.length == 3) {
            String str2 = split[2];
            int indexOf = str2.indexOf(32);
            if (indexOf > 0) {
                str2 = str2.substring(0, indexOf);
            }
            try {
                int parseInt = Integer.parseInt(split[0]);
                int parseInt2 = Integer.parseInt(split[1]);
                int parseInt3 = Integer.parseInt(str2);
                if (parseInt < 0 || parseInt2 < 0 || parseInt3 < 0 || (parseInt > 12 && parseInt2 > 12 && parseInt3 > 12)) {
                    throw new EvaluationException(ErrorEval.VALUE_INVALID);
                } else if (parseInt >= 1900 && parseInt < 9999) {
                    return makeDate(parseInt, parseInt2, parseInt3);
                } else {
                    throw new RuntimeException(a.b("Unable to determine date format for text '", str, "'"));
                }
            } catch (NumberFormatException unused) {
                throw new EvaluationException(ErrorEval.VALUE_INVALID);
            }
        } else {
            throw new EvaluationException(ErrorEval.VALUE_INVALID);
        }
    }
}
