package org.apache.poi.ss.formula.atp;

import org.apache.poi.ss.formula.OperationEvaluationContext;
import org.apache.poi.ss.formula.WorkbookEvaluator;
import org.apache.poi.ss.formula.eval.ErrorEval;
import org.apache.poi.ss.formula.eval.EvaluationException;
import org.apache.poi.ss.formula.eval.ValueEval;
import org.apache.poi.ss.formula.functions.FreeRefFunction;

public final class IfError implements FreeRefFunction {
    public static final FreeRefFunction instance = new IfError();

    public static ValueEval evaluateInternal(ValueEval valueEval, ValueEval valueEval2, int i2, int i3) {
        ValueEval dereferenceResult = WorkbookEvaluator.dereferenceResult(valueEval, i2, i3);
        return dereferenceResult instanceof ErrorEval ? valueEval2 : dereferenceResult;
    }

    @Override // org.apache.poi.ss.formula.functions.FreeRefFunction
    public ValueEval evaluate(ValueEval[] valueEvalArr, OperationEvaluationContext operationEvaluationContext) {
        if (valueEvalArr.length != 2) {
            return ErrorEval.VALUE_INVALID;
        }
        try {
            return evaluateInternal(valueEvalArr[0], valueEvalArr[1], operationEvaluationContext.getRowIndex(), operationEvaluationContext.getColumnIndex());
        } catch (EvaluationException e2) {
            return e2.getErrorEval();
        }
    }
}
