package org.apache.poi.ss.formula.eval;

import org.apache.poi.ss.formula.functions.NumericFunction;
import org.apache.poi.xssf.usermodel.XSSFCell;

public final class BoolEval implements NumericValueEval, StringValueEval {
    public static final BoolEval FALSE = new BoolEval(false);
    public static final BoolEval TRUE = new BoolEval(true);
    public boolean _value;

    public BoolEval(boolean z) {
        this._value = z;
    }

    public static BoolEval valueOf(boolean z) {
        return z ? TRUE : FALSE;
    }

    public boolean getBooleanValue() {
        return this._value;
    }

    @Override // org.apache.poi.ss.formula.eval.NumericValueEval
    public double getNumberValue() {
        if (this._value) {
            return 1.0d;
        }
        return NumericFunction.LOG_10_TO_BASE_e;
    }

    @Override // org.apache.poi.ss.formula.eval.StringValueEval
    public String getStringValue() {
        return this._value ? XSSFCell.TRUE : XSSFCell.FALSE;
    }

    public String toString() {
        return BoolEval.class.getName() + " [" + getStringValue() + "]";
    }
}
