package org.apache.poi.ss.formula.eval;

import b.b.a.a.a;
import org.apache.poi.ss.formula.functions.Fixed2ArgFunction;
import org.apache.poi.ss.formula.functions.Function;

public final class ConcatEval extends Fixed2ArgFunction {
    public static final Function instance = new ConcatEval();

    private Object getText(ValueEval valueEval) {
        if (valueEval instanceof StringValueEval) {
            return ((StringValueEval) valueEval).getStringValue();
        }
        if (valueEval == BlankEval.instance) {
            return "";
        }
        StringBuilder b2 = a.b("Unexpected value type (");
        b2.append(valueEval.getClass().getName());
        b2.append(")");
        throw new IllegalAccessError(b2.toString());
    }

    @Override // org.apache.poi.ss.formula.functions.Function2Arg
    public ValueEval evaluate(int i2, int i3, ValueEval valueEval, ValueEval valueEval2) {
        try {
            ValueEval singleValue = OperandResolver.getSingleValue(valueEval, i2, i3);
            ValueEval singleValue2 = OperandResolver.getSingleValue(valueEval2, i2, i3);
            StringBuilder sb = new StringBuilder();
            sb.append(getText(singleValue));
            sb.append(getText(singleValue2));
            return new StringEval(sb.toString());
        } catch (EvaluationException e2) {
            return e2.getErrorEval();
        }
    }
}
