package org.apache.poi.ss.formula.eval;

import b.b.a.a.a;
import org.apache.poi.ss.formula.functions.Fixed2ArgFunction;
import org.apache.poi.ss.formula.functions.Function;

public final class IntersectionEval extends Fixed2ArgFunction {
    public static final Function instance = new IntersectionEval();

    public static AreaEval evaluateRef(ValueEval valueEval) {
        if (valueEval instanceof AreaEval) {
            return (AreaEval) valueEval;
        }
        if (valueEval instanceof RefEval) {
            return ((RefEval) valueEval).offset(0, 0, 0, 0);
        }
        if (valueEval instanceof ErrorEval) {
            throw new EvaluationException((ErrorEval) valueEval);
        }
        StringBuilder b2 = a.b("Unexpected ref arg class (");
        b2.append(valueEval.getClass().getName());
        b2.append(")");
        throw new IllegalArgumentException(b2.toString());
    }

    public static AreaEval resolveRange(AreaEval areaEval, AreaEval areaEval2) {
        int firstColumn;
        int lastRow;
        int firstRow;
        int lastRow2;
        int firstRow2 = areaEval.getFirstRow();
        int firstColumn2 = areaEval.getFirstColumn();
        int lastColumn = areaEval2.getLastColumn();
        if (firstColumn2 <= lastColumn && (firstColumn = areaEval2.getFirstColumn()) <= areaEval.getLastColumn() && firstRow2 <= (lastRow = areaEval2.getLastRow()) && (firstRow = areaEval2.getFirstRow()) <= (lastRow2 = areaEval.getLastRow())) {
            return areaEval.offset(Math.max(firstRow2, firstRow) - firstRow2, Math.min(lastRow2, lastRow) - firstRow2, Math.max(firstColumn2, firstColumn) - firstColumn2, Math.min(areaEval.getLastColumn(), lastColumn) - firstColumn2);
        }
        return null;
    }

    @Override // org.apache.poi.ss.formula.functions.Function2Arg
    public ValueEval evaluate(int i2, int i3, ValueEval valueEval, ValueEval valueEval2) {
        try {
            AreaEval resolveRange = resolveRange(evaluateRef(valueEval), evaluateRef(valueEval2));
            return resolveRange == null ? ErrorEval.NULL_INTERSECTION : resolveRange;
        } catch (EvaluationException e2) {
            return e2.getErrorEval();
        }
    }
}
