package org.apache.poi.ss.formula.eval;

import b.b.a.a.a;
import org.apache.poi.ss.formula.functions.NumericFunction;
import org.apache.poi.ss.formula.ptg.IntPtg;
import org.apache.poi.ss.formula.ptg.NumberPtg;
import org.apache.poi.ss.formula.ptg.Ptg;
import org.apache.poi.ss.util.NumberToTextConverter;

public final class NumberEval implements NumericValueEval, StringValueEval {
    public static final NumberEval ZERO = new NumberEval((double) NumericFunction.LOG_10_TO_BASE_e);
    public String _stringValue;
    public final double _value;

    public NumberEval(Ptg ptg) {
        if (ptg == null) {
            throw new IllegalArgumentException("ptg must not be null");
        } else if (ptg instanceof IntPtg) {
            this._value = (double) ((IntPtg) ptg).getValue();
        } else if (ptg instanceof NumberPtg) {
            this._value = ((NumberPtg) ptg).getValue();
        } else {
            StringBuilder b2 = a.b("bad argument type (");
            b2.append(ptg.getClass().getName());
            b2.append(")");
            throw new IllegalArgumentException(b2.toString());
        }
    }

    @Override // org.apache.poi.ss.formula.eval.NumericValueEval
    public double getNumberValue() {
        return this._value;
    }

    @Override // org.apache.poi.ss.formula.eval.StringValueEval
    public String getStringValue() {
        if (this._stringValue == null) {
            this._stringValue = NumberToTextConverter.toText(this._value);
        }
        return this._stringValue;
    }

    public final String toString() {
        return NumberEval.class.getName() + " [" + getStringValue() + "]";
    }

    public NumberEval(double d2) {
        this._value = d2;
    }
}
