package org.apache.poi.ss.formula.eval;

import b.b.a.a.a;
import org.apache.poi.ss.formula.functions.Fixed2ArgFunction;
import org.apache.poi.ss.formula.functions.Function;
import org.apache.poi.ss.formula.functions.NumericFunction;
import org.apache.poi.ss.util.NumberComparer;

public abstract class RelationalOperationEval extends Fixed2ArgFunction {
    public static final Function EqualEval = new RelationalOperationEval() {
        /* class org.apache.poi.ss.formula.eval.RelationalOperationEval.AnonymousClass1 */

        @Override // org.apache.poi.ss.formula.eval.RelationalOperationEval
        public boolean convertComparisonResult(int i2) {
            return i2 == 0;
        }
    };
    public static final Function GreaterEqualEval = new RelationalOperationEval() {
        /* class org.apache.poi.ss.formula.eval.RelationalOperationEval.AnonymousClass2 */

        @Override // org.apache.poi.ss.formula.eval.RelationalOperationEval
        public boolean convertComparisonResult(int i2) {
            return i2 >= 0;
        }
    };
    public static final Function GreaterThanEval = new RelationalOperationEval() {
        /* class org.apache.poi.ss.formula.eval.RelationalOperationEval.AnonymousClass3 */

        @Override // org.apache.poi.ss.formula.eval.RelationalOperationEval
        public boolean convertComparisonResult(int i2) {
            return i2 > 0;
        }
    };
    public static final Function LessEqualEval = new RelationalOperationEval() {
        /* class org.apache.poi.ss.formula.eval.RelationalOperationEval.AnonymousClass4 */

        @Override // org.apache.poi.ss.formula.eval.RelationalOperationEval
        public boolean convertComparisonResult(int i2) {
            return i2 <= 0;
        }
    };
    public static final Function LessThanEval = new RelationalOperationEval() {
        /* class org.apache.poi.ss.formula.eval.RelationalOperationEval.AnonymousClass5 */

        @Override // org.apache.poi.ss.formula.eval.RelationalOperationEval
        public boolean convertComparisonResult(int i2) {
            return i2 < 0;
        }
    };
    public static final Function NotEqualEval = new RelationalOperationEval() {
        /* class org.apache.poi.ss.formula.eval.RelationalOperationEval.AnonymousClass6 */

        @Override // org.apache.poi.ss.formula.eval.RelationalOperationEval
        public boolean convertComparisonResult(int i2) {
            return i2 != 0;
        }
    };

    public static int compareBlank(ValueEval valueEval) {
        if (valueEval == BlankEval.instance) {
            return 0;
        }
        if (valueEval instanceof BoolEval) {
            if (((BoolEval) valueEval).getBooleanValue()) {
                return -1;
            }
            return 0;
        } else if (valueEval instanceof NumberEval) {
            return NumberComparer.compare(NumericFunction.LOG_10_TO_BASE_e, ((NumberEval) valueEval).getNumberValue());
        } else {
            if (!(valueEval instanceof StringEval)) {
                StringBuilder b2 = a.b("bad value class (");
                b2.append(valueEval.getClass().getName());
                b2.append(")");
                throw new IllegalArgumentException(b2.toString());
            } else if (((StringEval) valueEval).getStringValue().length() < 1) {
                return 0;
            } else {
                return -1;
            }
        }
    }

    public static int doCompare(ValueEval valueEval, ValueEval valueEval2) {
        BlankEval blankEval = BlankEval.instance;
        if (valueEval == blankEval) {
            return compareBlank(valueEval2);
        }
        if (valueEval2 == blankEval) {
            return -compareBlank(valueEval);
        }
        if (valueEval instanceof BoolEval) {
            if (!(valueEval2 instanceof BoolEval)) {
                return 1;
            }
            BoolEval boolEval = (BoolEval) valueEval;
            if (boolEval.getBooleanValue() == ((BoolEval) valueEval2).getBooleanValue()) {
                return 0;
            }
            if (boolEval.getBooleanValue()) {
                return 1;
            }
            return -1;
        } else if (valueEval2 instanceof BoolEval) {
            return -1;
        } else {
            if (valueEval instanceof StringEval) {
                if (valueEval2 instanceof StringEval) {
                    return ((StringEval) valueEval).getStringValue().compareToIgnoreCase(((StringEval) valueEval2).getStringValue());
                }
                return 1;
            } else if (valueEval2 instanceof StringEval) {
                return -1;
            } else {
                if ((valueEval instanceof NumberEval) && (valueEval2 instanceof NumberEval)) {
                    return NumberComparer.compare(((NumberEval) valueEval).getNumberValue(), ((NumberEval) valueEval2).getNumberValue());
                }
                StringBuilder b2 = a.b("Bad operand types (");
                b2.append(valueEval.getClass().getName());
                b2.append("), (");
                b2.append(valueEval2.getClass().getName());
                b2.append(")");
                throw new IllegalArgumentException(b2.toString());
            }
        }
    }

    public abstract boolean convertComparisonResult(int i2);

    @Override // org.apache.poi.ss.formula.functions.Function2Arg
    public ValueEval evaluate(int i2, int i3, ValueEval valueEval, ValueEval valueEval2) {
        try {
            return BoolEval.valueOf(convertComparisonResult(doCompare(OperandResolver.getSingleValue(valueEval, i2, i3), OperandResolver.getSingleValue(valueEval2, i2, i3))));
        } catch (EvaluationException e2) {
            return e2.getErrorEval();
        }
    }
}
