package org.apache.poi.ss.formula.eval;

import org.apache.poi.ss.formula.functions.Fixed1ArgFunction;
import org.apache.poi.ss.formula.functions.Function;
import org.apache.poi.ss.formula.functions.NumericFunction;

public final class UnaryMinusEval extends Fixed1ArgFunction {
    public static final Function instance = new UnaryMinusEval();

    @Override // org.apache.poi.ss.formula.functions.Function1Arg
    public ValueEval evaluate(int i2, int i3, ValueEval valueEval) {
        try {
            double coerceValueToDouble = OperandResolver.coerceValueToDouble(OperandResolver.getSingleValue(valueEval, i2, i3));
            if (coerceValueToDouble == NumericFunction.LOG_10_TO_BASE_e) {
                return NumberEval.ZERO;
            }
            return new NumberEval(-coerceValueToDouble);
        } catch (EvaluationException e2) {
            return e2.getErrorEval();
        }
    }
}
