package org.apache.poi.ss.formula.eval;

import org.apache.poi.ss.formula.functions.Fixed1ArgFunction;
import org.apache.poi.ss.formula.functions.Function;

public final class UnaryPlusEval extends Fixed1ArgFunction {
    public static final Function instance = new UnaryPlusEval();

    @Override // org.apache.poi.ss.formula.functions.Function1Arg
    public ValueEval evaluate(int i2, int i3, ValueEval valueEval) {
        try {
            ValueEval singleValue = OperandResolver.getSingleValue(valueEval, i2, i3);
            if (singleValue instanceof StringEval) {
                return singleValue;
            }
            return new NumberEval(OperandResolver.coerceValueToDouble(singleValue));
        } catch (EvaluationException e2) {
            return e2.getErrorEval();
        }
    }
}
