package org.apache.poi.ss.formula.function;

import java.util.Map;
import java.util.Set;

public final class FunctionMetadataRegistry {
    public static final int FUNCTION_INDEX_CHOOSE = 100;
    public static final short FUNCTION_INDEX_EXTERNAL = 255;
    public static final int FUNCTION_INDEX_IF = 1;
    public static final short FUNCTION_INDEX_INDIRECT = 148;
    public static final short FUNCTION_INDEX_SUM = 4;
    public static final String FUNCTION_NAME_IF = "IF";
    public static FunctionMetadataRegistry _instance;
    public final FunctionMetadata[] _functionDataByIndex;
    public final Map<String, FunctionMetadata> _functionDataByName;

    public FunctionMetadataRegistry(FunctionMetadata[] functionMetadataArr, Map<String, FunctionMetadata> map) {
        FunctionMetadata[] functionMetadataArr2;
        if (functionMetadataArr == null) {
            functionMetadataArr2 = null;
        } else {
            functionMetadataArr2 = (FunctionMetadata[]) functionMetadataArr.clone();
        }
        this._functionDataByIndex = functionMetadataArr2;
        this._functionDataByName = map;
    }

    public static FunctionMetadata getFunctionByIndex(int i2) {
        return getInstance().getFunctionByIndexInternal(i2);
    }

    private FunctionMetadata getFunctionByIndexInternal(int i2) {
        return this._functionDataByIndex[i2];
    }

    public static FunctionMetadata getFunctionByName(String str) {
        return getInstance().getFunctionByNameInternal(str);
    }

    private FunctionMetadata getFunctionByNameInternal(String str) {
        return this._functionDataByName.get(str);
    }

    public static FunctionMetadataRegistry getInstance() {
        if (_instance == null) {
            _instance = FunctionMetadataReader.createRegistry();
        }
        return _instance;
    }

    public static short lookupIndexByName(String str) {
        FunctionMetadata functionByNameInternal = getInstance().getFunctionByNameInternal(str);
        if (functionByNameInternal == null) {
            return -1;
        }
        return (short) functionByNameInternal.getIndex();
    }

    public Set<String> getAllFunctionNames() {
        return this._functionDataByName.keySet();
    }
}
