package org.apache.poi.ss.formula.functions;

import org.apache.poi.ss.formula.eval.BlankEval;
import org.apache.poi.ss.formula.eval.ErrorEval;
import org.apache.poi.ss.formula.eval.EvaluationException;
import org.apache.poi.ss.formula.eval.MissingArgEval;
import org.apache.poi.ss.formula.eval.OperandResolver;
import org.apache.poi.ss.formula.eval.ValueEval;

public final class Choose implements Function {
    public static int evaluateFirstArg(ValueEval valueEval, int i2, int i3) {
        return OperandResolver.coerceValueToInt(OperandResolver.getSingleValue(valueEval, i2, i3));
    }

    @Override // org.apache.poi.ss.formula.functions.Function
    public ValueEval evaluate(ValueEval[] valueEvalArr, int i2, int i3) {
        if (valueEvalArr.length < 2) {
            return ErrorEval.VALUE_INVALID;
        }
        try {
            int evaluateFirstArg = evaluateFirstArg(valueEvalArr[0], i2, i3);
            if (evaluateFirstArg >= 1) {
                if (evaluateFirstArg < valueEvalArr.length) {
                    ValueEval singleValue = OperandResolver.getSingleValue(valueEvalArr[evaluateFirstArg], i2, i3);
                    return singleValue == MissingArgEval.instance ? BlankEval.instance : singleValue;
                }
            }
            return ErrorEval.VALUE_INVALID;
        } catch (EvaluationException e2) {
            return e2.getErrorEval();
        }
    }
}
