package org.apache.poi.ss.formula.functions;

import org.apache.poi.ss.formula.TwoDEval;
import org.apache.poi.ss.formula.eval.ErrorEval;
import org.apache.poi.ss.formula.eval.NumberEval;
import org.apache.poi.ss.formula.eval.RefEval;
import org.apache.poi.ss.formula.eval.ValueEval;

public final class Columns extends Fixed1ArgFunction {
    @Override // org.apache.poi.ss.formula.functions.Function1Arg
    public ValueEval evaluate(int i2, int i3, ValueEval valueEval) {
        int i4;
        if (valueEval instanceof TwoDEval) {
            i4 = ((TwoDEval) valueEval).getWidth();
        } else if (!(valueEval instanceof RefEval)) {
            return ErrorEval.VALUE_INVALID;
        } else {
            i4 = 1;
        }
        return new NumberEval((double) i4);
    }
}
