package org.apache.poi.ss.formula.functions;

import b.b.a.a.a;
import org.apache.poi.ss.formula.ThreeDEval;
import org.apache.poi.ss.formula.eval.BlankEval;
import org.apache.poi.ss.formula.eval.NumberEval;
import org.apache.poi.ss.formula.eval.RefEval;
import org.apache.poi.ss.formula.eval.StringEval;
import org.apache.poi.ss.formula.eval.ValueEval;
import org.apache.poi.ss.formula.functions.CountUtils;

public final class Countblank extends Fixed1ArgFunction {
    public static final CountUtils.I_MatchPredicate predicate = new CountUtils.I_MatchPredicate() {
        /* class org.apache.poi.ss.formula.functions.Countblank.AnonymousClass1 */

        @Override // org.apache.poi.ss.formula.functions.CountUtils.I_MatchPredicate
        public boolean matches(ValueEval valueEval) {
            return valueEval == BlankEval.instance || ((valueEval instanceof StringEval) && "".equals(((StringEval) valueEval).getStringValue()));
        }
    };

    @Override // org.apache.poi.ss.formula.functions.Function1Arg
    public ValueEval evaluate(int i2, int i3, ValueEval valueEval) {
        int i4;
        if (valueEval instanceof RefEval) {
            i4 = CountUtils.countMatchingCellsInRef((RefEval) valueEval, predicate);
        } else if (valueEval instanceof ThreeDEval) {
            i4 = CountUtils.countMatchingCellsInArea((ThreeDEval) valueEval, predicate);
        } else {
            StringBuilder b2 = a.b("Bad range arg type (");
            b2.append(valueEval.getClass().getName());
            b2.append(")");
            throw new IllegalArgumentException(b2.toString());
        }
        return new NumberEval((double) i4);
    }
}
