package org.apache.poi.ss.formula.functions;

import org.apache.poi.ss.formula.functions.NumericFunction;

public final class Even extends NumericFunction.OneArg {
    public static final long PARITY_MASK = -2;

    public static long calcEven(double d2) {
        long j = ((long) d2) & -2;
        return ((double) j) == d2 ? j : j + 2;
    }

    @Override // org.apache.poi.ss.formula.functions.NumericFunction.OneArg
    public double evaluate(double d2) {
        long j;
        int i2 = (d2 > NumericFunction.LOG_10_TO_BASE_e ? 1 : (d2 == NumericFunction.LOG_10_TO_BASE_e ? 0 : -1));
        if (i2 == 0) {
            return NumericFunction.LOG_10_TO_BASE_e;
        }
        if (i2 > 0) {
            j = calcEven(d2);
        } else {
            j = -calcEven(-d2);
        }
        return (double) j;
    }
}
