package org.apache.poi.ss.formula.functions;

import b.b.a.a.a;
import org.apache.poi.ss.formula.TwoDEval;
import org.apache.poi.ss.formula.eval.BlankEval;
import org.apache.poi.ss.formula.eval.ErrorEval;
import org.apache.poi.ss.formula.eval.EvaluationException;
import org.apache.poi.ss.formula.eval.MissingArgEval;
import org.apache.poi.ss.formula.eval.OperandResolver;
import org.apache.poi.ss.formula.eval.RefEval;
import org.apache.poi.ss.formula.eval.ValueEval;

public final class Index implements Function2Arg, Function3Arg, Function4Arg {
    public static final /* synthetic */ boolean $assertionsDisabled = false;

    public static TwoDEval convertFirstArg(ValueEval valueEval) {
        if (valueEval instanceof RefEval) {
            return ((RefEval) valueEval).offset(0, 0, 0, 0);
        }
        if (valueEval instanceof TwoDEval) {
            return (TwoDEval) valueEval;
        }
        StringBuilder b2 = a.b("Incomplete code - cannot handle first arg of type (");
        b2.append(valueEval.getClass().getName());
        b2.append(")");
        throw new RuntimeException(b2.toString());
    }

    public static ValueEval getValueFromArea(TwoDEval twoDEval, int i2, int i3) {
        TwoDEval twoDEval2;
        if (i2 == 0) {
            twoDEval2 = twoDEval;
        } else if (i2 <= twoDEval.getHeight()) {
            twoDEval2 = twoDEval.getRow(i2 - 1);
        } else {
            throw new EvaluationException(ErrorEval.REF_INVALID);
        }
        if (i3 == 0) {
            return twoDEval2;
        }
        if (i3 <= twoDEval.getWidth()) {
            return twoDEval2.getColumn(i3 - 1);
        }
        throw new EvaluationException(ErrorEval.REF_INVALID);
    }

    public static int resolveIndexArg(ValueEval valueEval, int i2, int i3) {
        ValueEval singleValue = OperandResolver.getSingleValue(valueEval, i2, i3);
        if (singleValue == MissingArgEval.instance || singleValue == BlankEval.instance) {
            return 0;
        }
        int coerceValueToInt = OperandResolver.coerceValueToInt(singleValue);
        if (coerceValueToInt >= 0) {
            return coerceValueToInt;
        }
        throw new EvaluationException(ErrorEval.VALUE_INVALID);
    }

    @Override // org.apache.poi.ss.formula.functions.Function2Arg
    public ValueEval evaluate(int i2, int i3, ValueEval valueEval, ValueEval valueEval2) {
        TwoDEval convertFirstArg = convertFirstArg(valueEval);
        try {
            int resolveIndexArg = resolveIndexArg(valueEval2, i2, i3);
            int i4 = 0;
            if (!convertFirstArg.isColumn()) {
                if (!convertFirstArg.isRow()) {
                    return ErrorEval.REF_INVALID;
                }
                i4 = resolveIndexArg;
                resolveIndexArg = 0;
            }
            return getValueFromArea(convertFirstArg, resolveIndexArg, i4);
        } catch (EvaluationException e2) {
            return e2.getErrorEval();
        }
    }

    @Override // org.apache.poi.ss.formula.functions.Function3Arg
    public ValueEval evaluate(int i2, int i3, ValueEval valueEval, ValueEval valueEval2, ValueEval valueEval3) {
        try {
            return getValueFromArea(convertFirstArg(valueEval), resolveIndexArg(valueEval2, i2, i3), resolveIndexArg(valueEval3, i2, i3));
        } catch (EvaluationException e2) {
            return e2.getErrorEval();
        }
    }

    @Override // org.apache.poi.ss.formula.functions.Function4Arg
    public ValueEval evaluate(int i2, int i3, ValueEval valueEval, ValueEval valueEval2, ValueEval valueEval3, ValueEval valueEval4) {
        throw new RuntimeException("Incomplete code - don't know how to support the 'area_num' parameter yet)");
    }

    @Override // org.apache.poi.ss.formula.functions.Function
    public ValueEval evaluate(ValueEval[] valueEvalArr, int i2, int i3) {
        int length = valueEvalArr.length;
        if (length == 2) {
            return evaluate(i2, i3, valueEvalArr[0], valueEvalArr[1]);
        }
        if (length == 3) {
            return evaluate(i2, i3, valueEvalArr[0], valueEvalArr[1], valueEvalArr[2]);
        }
        if (length != 4) {
            return ErrorEval.VALUE_INVALID;
        }
        return evaluate(i2, i3, valueEvalArr[0], valueEvalArr[1], valueEvalArr[2], valueEvalArr[3]);
    }
}
