package org.apache.poi.ss.formula.functions;

import org.apache.poi.ss.formula.eval.ErrorEval;
import org.apache.poi.ss.formula.eval.EvaluationException;

public class Mirr extends MultiOperandNumericFunction {
    public Mirr() {
        super(false, false);
    }

    public static double mirr(double[] dArr, double d2, double d3) {
        double d4;
        int length = dArr.length - 1;
        int length2 = dArr.length;
        double d5 = NumericFunction.LOG_10_TO_BASE_e;
        double d6 = 0.0d;
        int i2 = 0;
        int i3 = 0;
        while (true) {
            d4 = 1.0d;
            if (i2 >= length2) {
                break;
            }
            double d7 = dArr[i2];
            if (d7 < d5) {
                d6 += d7 / Math.pow((d2 + 1.0d) + d3, (double) i3);
                i3++;
            }
            i2++;
            d5 = NumericFunction.LOG_10_TO_BASE_e;
        }
        int length3 = dArr.length;
        int i4 = 0;
        double d8 = NumericFunction.LOG_10_TO_BASE_e;
        while (i4 < length3) {
            double d9 = dArr[i4];
            if (d9 > NumericFunction.LOG_10_TO_BASE_e) {
                d8 += Math.pow(d2 + d4, (double) (length - i3)) * d9;
                i3++;
            }
            i4++;
            d4 = 1.0d;
        }
        if (d8 == NumericFunction.LOG_10_TO_BASE_e || d6 == NumericFunction.LOG_10_TO_BASE_e) {
            return NumericFunction.LOG_10_TO_BASE_e;
        }
        return Math.pow((-d8) / d6, 1.0d / ((double) length)) - 1.0d;
    }

    @Override // org.apache.poi.ss.formula.functions.MultiOperandNumericFunction
    public double evaluate(double[] dArr) {
        double d2 = dArr[dArr.length - 1];
        double d3 = dArr[dArr.length - 2];
        int length = dArr.length - 2;
        double[] dArr2 = new double[length];
        System.arraycopy(dArr, 0, dArr2, 0, length);
        boolean z = true;
        for (int i2 = 0; i2 < length; i2++) {
            z &= dArr2[i2] < NumericFunction.LOG_10_TO_BASE_e;
        }
        if (z) {
            return -1.0d;
        }
        boolean z2 = true;
        for (int i3 = 0; i3 < length; i3++) {
            z2 &= dArr2[i3] > NumericFunction.LOG_10_TO_BASE_e;
        }
        if (!z2) {
            return mirr(dArr2, d2, d3);
        }
        throw new EvaluationException(ErrorEval.DIV_ZERO);
    }

    @Override // org.apache.poi.ss.formula.functions.MultiOperandNumericFunction
    public int getMaxNumOperands() {
        return 3;
    }
}
