package org.apache.poi.ss.formula.functions;

import org.apache.poi.ss.formula.functions.NumericFunction;

public final class Odd extends NumericFunction.OneArg {
    public static final long PARITY_MASK = -2;

    public static long calcOdd(double d2) {
        double d3 = d2 + 1.0d;
        long j = ((long) d3) & -2;
        return Double.compare((double) j, d3) == 0 ? j - 1 : j + 1;
    }

    @Override // org.apache.poi.ss.formula.functions.NumericFunction.OneArg
    public double evaluate(double d2) {
        int i2 = (d2 > NumericFunction.LOG_10_TO_BASE_e ? 1 : (d2 == NumericFunction.LOG_10_TO_BASE_e ? 0 : -1));
        if (i2 == 0) {
            return 1.0d;
        }
        return (double) (i2 > 0 ? calcOdd(d2) : -calcOdd(-d2));
    }
}
