package org.apache.poi.ss.formula.functions;

import org.apache.poi.ss.formula.eval.ErrorEval;
import org.apache.poi.ss.formula.eval.EvaluationException;
import org.apache.poi.ss.formula.eval.OperandResolver;
import org.apache.poi.ss.formula.eval.StringEval;
import org.apache.poi.ss.formula.eval.ValueEval;

public class Rept extends Fixed2ArgFunction {
    @Override // org.apache.poi.ss.formula.functions.Function2Arg
    public ValueEval evaluate(int i2, int i3, ValueEval valueEval, ValueEval valueEval2) {
        try {
            String coerceValueToString = OperandResolver.coerceValueToString(OperandResolver.getSingleValue(valueEval, i2, i3));
            try {
                int coerceValueToDouble = (int) OperandResolver.coerceValueToDouble(valueEval2);
                StringBuffer stringBuffer = new StringBuffer(coerceValueToString.length() * coerceValueToDouble);
                for (int i4 = 0; i4 < coerceValueToDouble; i4++) {
                    stringBuffer.append(coerceValueToString);
                }
                if (stringBuffer.toString().length() > 32767) {
                    return ErrorEval.VALUE_INVALID;
                }
                return new StringEval(stringBuffer.toString());
            } catch (EvaluationException unused) {
                return ErrorEval.VALUE_INVALID;
            }
        } catch (EvaluationException e2) {
            return e2.getErrorEval();
        }
    }
}
