package org.apache.poi.ss.formula.functions;

import org.apache.poi.ss.formula.eval.AreaEval;
import org.apache.poi.ss.formula.eval.ErrorEval;
import org.apache.poi.ss.formula.eval.NumberEval;
import org.apache.poi.ss.formula.eval.RefEval;
import org.apache.poi.ss.formula.eval.ValueEval;

public final class RowFunc implements Function0Arg, Function1Arg {
    @Override // org.apache.poi.ss.formula.functions.Function0Arg
    public ValueEval evaluate(int i2, int i3) {
        return new NumberEval((double) (i2 + 1));
    }

    @Override // org.apache.poi.ss.formula.functions.Function1Arg
    public ValueEval evaluate(int i2, int i3, ValueEval valueEval) {
        int i4;
        if (valueEval instanceof AreaEval) {
            i4 = ((AreaEval) valueEval).getFirstRow();
        } else if (!(valueEval instanceof RefEval)) {
            return ErrorEval.VALUE_INVALID;
        } else {
            i4 = ((RefEval) valueEval).getRow();
        }
        return new NumberEval((double) (i4 + 1));
    }

    @Override // org.apache.poi.ss.formula.functions.Function
    public ValueEval evaluate(ValueEval[] valueEvalArr, int i2, int i3) {
        int length = valueEvalArr.length;
        if (length == 0) {
            return new NumberEval((double) (i2 + 1));
        }
        if (length != 1) {
            return ErrorEval.VALUE_INVALID;
        }
        return evaluate(i2, i3, valueEvalArr[0]);
    }
}
