package org.apache.poi.ss.formula.functions;

import org.apache.poi.ss.formula.eval.ErrorEval;
import org.apache.poi.ss.formula.eval.ValueEval;

public abstract class Var1or2ArgFunction implements Function1Arg, Function2Arg {
    @Override // org.apache.poi.ss.formula.functions.Function
    public final ValueEval evaluate(ValueEval[] valueEvalArr, int i2, int i3) {
        int length = valueEvalArr.length;
        if (length == 1) {
            return evaluate(i2, i3, valueEvalArr[0]);
        }
        if (length != 2) {
            return ErrorEval.VALUE_INVALID;
        }
        return evaluate(i2, i3, valueEvalArr[0], valueEvalArr[1]);
    }
}
