package org.apache.poi.ss.formula.functions;

import org.apache.poi.ss.formula.eval.ErrorEval;
import org.apache.poi.ss.formula.eval.ValueEval;

public abstract class Var2or3ArgFunction implements Function2Arg, Function3Arg {
    @Override // org.apache.poi.ss.formula.functions.Function
    public final ValueEval evaluate(ValueEval[] valueEvalArr, int i2, int i3) {
        int length = valueEvalArr.length;
        if (length == 2) {
            return evaluate(i2, i3, valueEvalArr[0], valueEvalArr[1]);
        }
        if (length != 3) {
            return ErrorEval.VALUE_INVALID;
        }
        return evaluate(i2, i3, valueEvalArr[0], valueEvalArr[1], valueEvalArr[2]);
    }
}
