package org.apache.poi.ss.formula.functions;

import org.apache.poi.ss.formula.eval.ErrorEval;
import org.apache.poi.ss.formula.eval.ValueEval;

public abstract class Var3or4ArgFunction implements Function3Arg, Function4Arg {
    @Override // org.apache.poi.ss.formula.functions.Function
    public final ValueEval evaluate(ValueEval[] valueEvalArr, int i2, int i3) {
        int length = valueEvalArr.length;
        if (length == 3) {
            return evaluate(i2, i3, valueEvalArr[0], valueEvalArr[1], valueEvalArr[2]);
        }
        if (length != 4) {
            return ErrorEval.VALUE_INVALID;
        }
        return evaluate(i2, i3, valueEvalArr[0], valueEvalArr[1], valueEvalArr[2], valueEvalArr[3]);
    }
}
