package org.apache.poi.ss.formula.functions;

import org.apache.poi.ss.formula.eval.BlankEval;
import org.apache.poi.ss.formula.eval.ErrorEval;
import org.apache.poi.ss.formula.eval.EvaluationException;
import org.apache.poi.ss.formula.eval.MissingArgEval;
import org.apache.poi.ss.formula.eval.NumberEval;
import org.apache.poi.ss.formula.eval.OperandResolver;
import org.apache.poi.ss.formula.eval.ValueEval;
import org.apache.poi.ss.usermodel.DateUtil;

public final class WeekdayFunc implements Function {
    public static final Function instance = new WeekdayFunc();

    @Override // org.apache.poi.ss.formula.functions.Function
    public ValueEval evaluate(ValueEval[] valueEvalArr, int i2, int i3) {
        int i4;
        try {
            if (valueEvalArr.length >= 1) {
                if (valueEvalArr.length <= 2) {
                    double coerceValueToDouble = OperandResolver.coerceValueToDouble(OperandResolver.getSingleValue(valueEvalArr[0], i2, i3));
                    if (!DateUtil.isValidExcelDate(coerceValueToDouble)) {
                        return ErrorEval.NUM_ERROR;
                    }
                    int i5 = DateUtil.getJavaCalendar(coerceValueToDouble, false).get(7);
                    if (valueEvalArr.length == 2) {
                        ValueEval singleValue = OperandResolver.getSingleValue(valueEvalArr[1], i2, i3);
                        if (singleValue != MissingArgEval.instance) {
                            if (singleValue != BlankEval.instance) {
                                i4 = OperandResolver.coerceValueToInt(singleValue);
                                if (i4 == 2) {
                                    i4 = 11;
                                }
                            }
                        }
                        return ErrorEval.NUM_ERROR;
                    }
                    i4 = 1;
                    if (i4 != 1) {
                        if (i4 == 3) {
                            i5 = ((i5 + 6) - 1) % 7;
                        } else if (i4 < 11 || i4 > 17) {
                            return ErrorEval.NUM_ERROR;
                        } else {
                            i5 = (((i5 + 6) - (i4 - 10)) % 7) + 1;
                        }
                    }
                    return new NumberEval((double) i5);
                }
            }
            return ErrorEval.VALUE_INVALID;
        } catch (EvaluationException e2) {
            return e2.getErrorEval();
        }
    }
}
