package org.apache.poi.ss.formula.ptg;

public interface AreaI {

    public static class OffsetArea implements AreaI {
        public final int _firstColumn;
        public final int _firstRow;
        public final int _lastColumn;
        public final int _lastRow;

        public OffsetArea(int i2, int i3, int i4, int i5, int i6, int i7) {
            this._firstRow = Math.min(i4, i5) + i2;
            this._lastRow = Math.max(i4, i5) + i2;
            this._firstColumn = Math.min(i6, i7) + i3;
            this._lastColumn = Math.max(i6, i7) + i3;
        }

        @Override // org.apache.poi.ss.formula.ptg.AreaI
        public int getFirstColumn() {
            return this._firstColumn;
        }

        @Override // org.apache.poi.ss.formula.ptg.AreaI
        public int getFirstRow() {
            return this._firstRow;
        }

        @Override // org.apache.poi.ss.formula.ptg.AreaI
        public int getLastColumn() {
            return this._lastColumn;
        }

        @Override // org.apache.poi.ss.formula.ptg.AreaI
        public int getLastRow() {
            return this._lastRow;
        }
    }

    int getFirstColumn();

    int getFirstRow();

    int getLastColumn();

    int getLastRow();
}
