package org.apache.poi.ss.formula.ptg;

import org.apache.poi.util.LittleEndianInput;
import org.apache.poi.util.LittleEndianOutput;
import org.apache.poi.xssf.usermodel.XSSFCell;

public final class BoolPtg extends ScalarConstantPtg {
    public static final BoolPtg FALSE = new BoolPtg(false);
    public static final int SIZE = 2;
    public static final BoolPtg TRUE = new BoolPtg(true);
    public static final byte sid = 29;
    public final boolean _value;

    public BoolPtg(boolean z) {
        this._value = z;
    }

    public static BoolPtg read(LittleEndianInput littleEndianInput) {
        boolean z = true;
        if (littleEndianInput.readByte() != 1) {
            z = false;
        }
        return valueOf(z);
    }

    public static BoolPtg valueOf(boolean z) {
        return z ? TRUE : FALSE;
    }

    @Override // org.apache.poi.ss.formula.ptg.Ptg
    public int getSize() {
        return 2;
    }

    public boolean getValue() {
        return this._value;
    }

    @Override // org.apache.poi.ss.formula.ptg.Ptg
    public String toFormulaString() {
        return this._value ? XSSFCell.TRUE : XSSFCell.FALSE;
    }

    @Override // org.apache.poi.ss.formula.ptg.Ptg
    public void write(LittleEndianOutput littleEndianOutput) {
        littleEndianOutput.writeByte(getPtgClass() + sid);
        littleEndianOutput.writeByte(this._value ? 1 : 0);
    }
}
