package org.apache.poi.ss.formula.ptg;

import org.apache.poi.ss.formula.EvaluationWorkbook;
import org.apache.poi.ss.formula.FormulaRenderingWorkbook;
import org.apache.poi.ss.formula.SheetNameFormatter;

public final class ExternSheetNameResolver {
    public static String prependSheetName(FormulaRenderingWorkbook formulaRenderingWorkbook, int i2, String str) {
        StringBuffer stringBuffer;
        EvaluationWorkbook.ExternalSheet externalSheet = formulaRenderingWorkbook.getExternalSheet(i2);
        if (externalSheet != null) {
            String workbookName = externalSheet.getWorkbookName();
            String sheetName = externalSheet.getSheetName();
            if (workbookName != null) {
                stringBuffer = new StringBuffer(str.length() + sheetName.length() + workbookName.length() + 4);
                SheetNameFormatter.appendFormat(stringBuffer, workbookName, sheetName);
            } else {
                stringBuffer = new StringBuffer(str.length() + sheetName.length() + 4);
                SheetNameFormatter.appendFormat(stringBuffer, sheetName);
            }
            if (externalSheet instanceof EvaluationWorkbook.ExternalSheetRange) {
                EvaluationWorkbook.ExternalSheetRange externalSheetRange = (EvaluationWorkbook.ExternalSheetRange) externalSheet;
                if (!externalSheetRange.getFirstSheetName().equals(externalSheetRange.getLastSheetName())) {
                    stringBuffer.append(':');
                    SheetNameFormatter.appendFormat(stringBuffer, externalSheetRange.getLastSheetName());
                }
            }
        } else {
            String sheetFirstNameByExternSheet = formulaRenderingWorkbook.getSheetFirstNameByExternSheet(i2);
            String sheetLastNameByExternSheet = formulaRenderingWorkbook.getSheetLastNameByExternSheet(i2);
            stringBuffer = new StringBuffer(str.length() + sheetFirstNameByExternSheet.length() + 4);
            if (sheetFirstNameByExternSheet.length() < 1) {
                stringBuffer.append("#REF");
            } else {
                SheetNameFormatter.appendFormat(stringBuffer, sheetFirstNameByExternSheet);
                if (!sheetFirstNameByExternSheet.equals(sheetLastNameByExternSheet)) {
                    stringBuffer.append(':');
                    stringBuffer.append(sheetLastNameByExternSheet);
                }
            }
        }
        stringBuffer.append('!');
        stringBuffer.append(str);
        return stringBuffer.toString();
    }
}
