package org.apache.poi.ss.formula.ptg;

import org.apache.poi.ss.formula.function.FunctionMetadata;
import org.apache.poi.ss.formula.function.FunctionMetadataRegistry;
import org.apache.poi.util.LittleEndianInput;
import org.apache.poi.util.LittleEndianOutput;

public final class FuncVarPtg extends AbstractFunctionPtg {
    public static final int SIZE = 4;
    public static final OperationPtg SUM = create("SUM", 1);
    public static final byte sid = 34;

    public FuncVarPtg(int i2, int i3, byte[] bArr, int i4) {
        super(i2, i3, bArr, i4);
    }

    public static FuncVarPtg create(LittleEndianInput littleEndianInput) {
        return create(littleEndianInput.readByte(), littleEndianInput.readShort());
    }

    @Override // org.apache.poi.ss.formula.ptg.Ptg, org.apache.poi.ss.formula.ptg.AbstractFunctionPtg
    public int getSize() {
        return 4;
    }

    @Override // org.apache.poi.ss.formula.ptg.Ptg
    public void write(LittleEndianOutput littleEndianOutput) {
        littleEndianOutput.writeByte(getPtgClass() + 34);
        littleEndianOutput.writeByte(getNumberOfOperands());
        littleEndianOutput.writeShort(getFunctionIndex());
    }

    public static FuncVarPtg create(String str, int i2) {
        return create(i2, AbstractFunctionPtg.lookupIndex(str));
    }

    public static FuncVarPtg create(int i2, int i3) {
        FunctionMetadata functionByIndex = FunctionMetadataRegistry.getFunctionByIndex(i3);
        if (functionByIndex != null) {
            return new FuncVarPtg(i3, functionByIndex.getReturnClassCode(), functionByIndex.getParameterClassCodes(), i2);
        }
        return new FuncVarPtg(i3, 32, new byte[]{32}, i2);
    }
}
