package org.apache.poi.ss.formula.ptg;

import b.b.a.a.a;
import org.apache.poi.util.LittleEndianInput;
import org.apache.poi.util.LittleEndianOutput;

public final class IntPtg extends ScalarConstantPtg {
    public static final int MAX_VALUE = 65535;
    public static final int MIN_VALUE = 0;
    public static final int SIZE = 3;
    public static final byte sid = 30;
    public final int field_1_value;

    public IntPtg(LittleEndianInput littleEndianInput) {
        this(littleEndianInput.readUShort());
    }

    public static boolean isInRange(int i2) {
        return i2 >= 0 && i2 <= 65535;
    }

    @Override // org.apache.poi.ss.formula.ptg.Ptg
    public int getSize() {
        return 3;
    }

    public int getValue() {
        return this.field_1_value;
    }

    @Override // org.apache.poi.ss.formula.ptg.Ptg
    public String toFormulaString() {
        return String.valueOf(getValue());
    }

    @Override // org.apache.poi.ss.formula.ptg.Ptg
    public void write(LittleEndianOutput littleEndianOutput) {
        littleEndianOutput.writeByte(getPtgClass() + sid);
        littleEndianOutput.writeShort(getValue());
    }

    public IntPtg(int i2) {
        if (isInRange(i2)) {
            this.field_1_value = i2;
            return;
        }
        throw new IllegalArgumentException(a.c("value is out of range: ", i2));
    }
}
