package org.apache.poi.ss.formula.udf;

import java.util.HashMap;
import org.apache.poi.ss.formula.functions.FreeRefFunction;
import org.apache.poi.util.Internal;

@Internal
public class IndexedUDFFinder extends AggregatingUDFFinder {
    public final HashMap<Integer, String> _funcMap = new HashMap<>();

    public IndexedUDFFinder(UDFFinder... uDFFinderArr) {
        super(uDFFinderArr);
    }

    @Override // org.apache.poi.ss.formula.udf.AggregatingUDFFinder, org.apache.poi.ss.formula.udf.UDFFinder
    public FreeRefFunction findFunction(String str) {
        FreeRefFunction findFunction = super.findFunction(str);
        if (findFunction != null) {
            this._funcMap.put(Integer.valueOf(getFunctionIndex(str)), str);
        }
        return findFunction;
    }

    public int getFunctionIndex(String str) {
        return str.hashCode();
    }

    public String getFunctionName(int i2) {
        return this._funcMap.get(Integer.valueOf(i2));
    }
}
