package org.apache.poi.ss.usermodel;

public enum BorderStyle {
    NONE(0),
    THIN(1),
    MEDIUM(2),
    DASHED(3),
    DOTTED(4),
    THICK(5),
    DOUBLE(6),
    HAIR(7),
    MEDIUM_DASHED(8),
    DASH_DOT(9),
    MEDIUM_DASH_DOT(10),
    DASH_DOT_DOT(11),
    MEDIUM_DASH_DOT_DOT(12),
    SLANTED_DASH_DOT(13);
    
    public static final BorderStyle[] _table = new BorderStyle[14];
    public final short code;

    /* access modifiers changed from: public */
    static {
        BorderStyle[] values = values();
        for (BorderStyle borderStyle : values) {
            _table[borderStyle.getCode()] = borderStyle;
        }
    }

    /* access modifiers changed from: public */
    BorderStyle(int i2) {
        this.code = (short) i2;
    }

    public short getCode() {
        return this.code;
    }

    public static BorderStyle valueOf(short s) {
        return _table[s];
    }
}
