package org.apache.poi.ss.usermodel;

import org.apache.poi.util.Internal;

public interface ClientAnchor {

    public enum AnchorType {
        MOVE_AND_RESIZE(0),
        DONT_MOVE_DO_RESIZE(1),
        MOVE_DONT_RESIZE(2),
        DONT_MOVE_AND_RESIZE(3);
        
        public final short value;

        /* access modifiers changed from: public */
        AnchorType(int i2) {
            this.value = (short) i2;
        }

        @Internal
        public static AnchorType byId(int i2) {
            return values()[i2];
        }
    }

    AnchorType getAnchorType();

    short getCol1();

    short getCol2();

    int getDx1();

    int getDx2();

    int getDy1();

    int getDy2();

    int getRow1();

    int getRow2();

    void setAnchorType(AnchorType anchorType);

    void setCol1(int i2);

    void setCol2(int i2);

    void setDx1(int i2);

    void setDx2(int i2);

    void setDy1(int i2);

    void setDy2(int i2);

    void setRow1(int i2);

    void setRow2(int i2);
}
