package org.apache.poi.ss.usermodel;

import java.util.HashMap;
import java.util.Map;

public class ConditionType {
    public static final ConditionType CELL_VALUE_IS = new ConditionType(1, "cellIs");
    public static final ConditionType COLOR_SCALE = new ConditionType(3, "colorScale");
    public static final ConditionType DATA_BAR = new ConditionType(4, "dataBar");
    public static final ConditionType FILTER = new ConditionType(5, null);
    public static final ConditionType FORMULA = new ConditionType(2, "expression");
    public static final ConditionType ICON_SET = new ConditionType(6, "iconSet");
    public static Map<Integer, ConditionType> lookup = new HashMap();
    public final byte id;
    public final String type;

    public ConditionType(int i2, String str) {
        this.id = (byte) i2;
        this.type = str;
        lookup.put(Integer.valueOf(i2), this);
    }

    public static ConditionType forId(byte b2) {
        return forId((int) b2);
    }

    public String toString() {
        return ((int) this.id) + " - " + this.type;
    }

    public static ConditionType forId(int i2) {
        return lookup.get(Integer.valueOf(i2));
    }
}
