package org.apache.poi.ss.usermodel;

public interface ConditionalFormattingThreshold {

    public enum RangeType {
        NUMBER(1, "num"),
        MIN(2, "min"),
        MAX(3, "max"),
        PERCENT(4, "percent"),
        PERCENTILE(5, "percentile"),
        UNALLOCATED(6, null),
        FORMULA(7, "formula");
        
        public final int id;
        public final String name;

        /* access modifiers changed from: public */
        RangeType(int i2, String str) {
            this.id = i2;
            this.name = str;
        }

        public static RangeType byId(int i2) {
            return values()[i2 - 1];
        }

        public static RangeType byName(String str) {
            RangeType[] values = values();
            for (RangeType rangeType : values) {
                if (rangeType.name.equals(str)) {
                    return rangeType;
                }
            }
            return null;
        }

        public String toString() {
            return this.id + " - " + this.name;
        }
    }

    String getFormula();

    RangeType getRangeType();

    Double getValue();

    void setFormula(String str);

    void setRangeType(RangeType rangeType);

    void setValue(Double d2);
}
