package org.apache.poi.ss.usermodel;

import b.b.a.a.a;
import java.util.HashMap;
import java.util.Map;

public enum FormulaError {
    _NO_ERROR(-1, "(no error)"),
    NULL(0, "#NULL!"),
    DIV0(7, "#DIV/0!"),
    VALUE(15, "#VALUE!"),
    REF(23, "#REF!"),
    NAME(29, "#NAME?"),
    NUM(36, "#NUM!"),
    NA(42, "#N/A"),
    CIRCULAR_REF(-60, "~CIRCULAR~REF~"),
    FUNCTION_NOT_IMPLEMENTED(-30, "~FUNCTION~NOT~IMPLEMENTED~");
    
    public static final Map<Byte, FormulaError> bmap = new HashMap();
    public static final Map<Integer, FormulaError> imap = new HashMap();
    public static final Map<String, FormulaError> smap = new HashMap();
    public final int longType;
    public final String repr;
    public final byte type;

    /* access modifiers changed from: public */
    static {
        FormulaError[] values = values();
        for (FormulaError formulaError : values) {
            bmap.put(Byte.valueOf(formulaError.getCode()), formulaError);
            imap.put(Integer.valueOf(formulaError.getLongCode()), formulaError);
            smap.put(formulaError.getString(), formulaError);
        }
    }

    /* access modifiers changed from: public */
    FormulaError(int i2, String str) {
        this.type = (byte) i2;
        this.longType = i2;
        this.repr = str;
    }

    public static FormulaError forInt(byte b2) {
        FormulaError formulaError = bmap.get(Byte.valueOf(b2));
        if (formulaError != null) {
            return formulaError;
        }
        throw new IllegalArgumentException(a.c("Unknown error type: ", b2));
    }

    public static FormulaError forString(String str) {
        FormulaError formulaError = smap.get(str);
        if (formulaError != null) {
            return formulaError;
        }
        throw new IllegalArgumentException(a.b("Unknown error code: ", str));
    }

    public static final boolean isValidCode(int i2) {
        FormulaError[] values = values();
        for (FormulaError formulaError : values) {
            if (formulaError.getCode() == i2 || formulaError.getLongCode() == i2) {
                return true;
            }
        }
        return false;
    }

    public byte getCode() {
        return this.type;
    }

    public int getLongCode() {
        return this.longType;
    }

    public String getString() {
        return this.repr;
    }

    public static FormulaError forInt(int i2) {
        FormulaError formulaError = imap.get(Integer.valueOf(i2));
        if (formulaError == null) {
            formulaError = bmap.get(Byte.valueOf((byte) i2));
        }
        if (formulaError != null) {
            return formulaError;
        }
        throw new IllegalArgumentException(a.c("Unknown error type: ", i2));
    }
}
