package org.apache.poi.ss.usermodel;

import java.util.Iterator;

public interface Row extends Iterable<Cell> {

    public enum MissingCellPolicy {
        RETURN_NULL_AND_BLANK,
        RETURN_BLANK_AS_NULL,
        CREATE_NULL_AS_BLANK
    }

    Iterator<Cell> cellIterator();

    Cell createCell(int i2);

    Cell createCell(int i2, int i3);

    Cell createCell(int i2, CellType cellType);

    Cell getCell(int i2);

    Cell getCell(int i2, MissingCellPolicy missingCellPolicy);

    short getFirstCellNum();

    short getHeight();

    float getHeightInPoints();

    short getLastCellNum();

    int getOutlineLevel();

    int getPhysicalNumberOfCells();

    int getRowNum();

    CellStyle getRowStyle();

    Sheet getSheet();

    boolean getZeroHeight();

    boolean isFormatted();

    void removeCell(Cell cell);

    void setHeight(short s);

    void setHeightInPoints(float f2);

    void setRowNum(int i2);

    void setRowStyle(CellStyle cellStyle);

    void setZeroHeight(boolean z);
}
