package org.apache.poi.ss.util;

import b.b.a.a.a;
import java.util.Locale;

public final class NumberComparer {
    public static int compare(double d2, double d3) {
        long doubleToLongBits = Double.doubleToLongBits(d2);
        long doubleToLongBits2 = Double.doubleToLongBits(d3);
        int biasedExponent = IEEEDouble.getBiasedExponent(doubleToLongBits);
        int biasedExponent2 = IEEEDouble.getBiasedExponent(doubleToLongBits2);
        if (biasedExponent == 2047) {
            StringBuilder b2 = a.b("Special double values are not allowed: ");
            b2.append(toHex(d2));
            throw new IllegalArgumentException(b2.toString());
        } else if (biasedExponent2 != 2047) {
            boolean z = doubleToLongBits < 0;
            if (z != (doubleToLongBits2 < 0)) {
                return z ? -1 : 1;
            }
            int i2 = biasedExponent - biasedExponent2;
            int abs = Math.abs(i2);
            if (abs > 1) {
                return z ? -i2 : i2;
            }
            if (abs != 1 && doubleToLongBits == doubleToLongBits2) {
                return 0;
            }
            if (biasedExponent == 0) {
                if (biasedExponent2 == 0) {
                    return compareSubnormalNumbers(doubleToLongBits & IEEEDouble.FRAC_MASK, IEEEDouble.FRAC_MASK & doubleToLongBits2, z);
                }
                return -compareAcrossSubnormalThreshold(doubleToLongBits2, doubleToLongBits, z);
            } else if (biasedExponent2 == 0) {
                return compareAcrossSubnormalThreshold(doubleToLongBits, doubleToLongBits2, z);
            } else {
                int compareNormalised = ExpandedDouble.fromRawBitsAndExponent(doubleToLongBits, biasedExponent - 1023).normaliseBaseTen().roundUnits().compareNormalised(ExpandedDouble.fromRawBitsAndExponent(doubleToLongBits2, biasedExponent2 - 1023).normaliseBaseTen().roundUnits());
                return z ? -compareNormalised : compareNormalised;
            }
        } else {
            StringBuilder b3 = a.b("Special double values are not allowed: ");
            b3.append(toHex(d2));
            throw new IllegalArgumentException(b3.toString());
        }
    }

    public static int compareAcrossSubnormalThreshold(long j, long j2, boolean z) {
        int i2;
        long j3 = j2 & IEEEDouble.FRAC_MASK;
        if (j3 == 0) {
            return z ? -1 : 1;
        }
        int i3 = ((j & IEEEDouble.FRAC_MASK) > 7 ? 1 : ((j & IEEEDouble.FRAC_MASK) == 7 ? 0 : -1));
        if (i3 > 0 || j3 < 4503599627370490L) {
            return z ? -1 : 1;
        }
        if (i3 == 0 && i2 == 0) {
            return 0;
        }
        return z ? 1 : -1;
    }

    public static int compareSubnormalNumbers(long j, long j2, boolean z) {
        int i2 = (j > j2 ? 1 : (j == j2 ? 0 : -1));
        int i3 = i2 > 0 ? 1 : i2 < 0 ? -1 : 0;
        return z ? -i3 : i3;
    }

    public static String toHex(double d2) {
        StringBuilder b2 = a.b("0x");
        b2.append(Long.toHexString(Double.doubleToLongBits(d2)).toUpperCase(Locale.ROOT));
        return b2.toString();
    }
}
