package org.apache.poi.ss.util;

public class PaneInformation {
    public static final byte PANE_LOWER_LEFT = 2;
    public static final byte PANE_LOWER_RIGHT = 0;
    public static final byte PANE_UPPER_LEFT = 3;
    public static final byte PANE_UPPER_RIGHT = 1;
    public final byte activePane;
    public final boolean frozen;
    public final short leftColumn;
    public final short topRow;
    public final short x;
    public final short y;

    public PaneInformation(short s, short s2, short s3, short s4, byte b2, boolean z) {
        this.x = s;
        this.y = s2;
        this.topRow = s3;
        this.leftColumn = s4;
        this.activePane = b2;
        this.frozen = z;
    }

    public byte getActivePane() {
        return this.activePane;
    }

    public short getHorizontalSplitPosition() {
        return this.y;
    }

    public short getHorizontalSplitTopRow() {
        return this.topRow;
    }

    public short getVerticalSplitLeftColumn() {
        return this.leftColumn;
    }

    public short getVerticalSplitPosition() {
        return this.x;
    }

    public boolean isFreezePane() {
        return this.frozen;
    }
}
