package org.apache.poi.ss.util;

import b.b.a.a.a;
import org.apache.poi.util.Removal;

public class WorkbookUtil {
    public static final String createSafeSheetName(String str) {
        return createSafeSheetName(str, ' ');
    }

    public static void validateSheetName(String str) {
        if (str != null) {
            int length = str.length();
            if (length < 1 || length > 31) {
                throw new IllegalArgumentException(a.b("sheetName '", str, "' is invalid - character count MUST be greater than or equal to 1 and less than or equal to 31"));
            }
            for (int i2 = 0; i2 < length; i2++) {
                char charAt = str.charAt(i2);
                if (!(charAt == '*' || charAt == '/' || charAt == ':' || charAt == '?')) {
                    switch (charAt) {
                        case '[':
                        case '\\':
                        case ']':
                            break;
                        default:
                    }
                }
                StringBuilder sb = new StringBuilder();
                sb.append("Invalid char (");
                sb.append(charAt);
                sb.append(") found at index (");
                sb.append(i2);
                sb.append(") in sheet name '");
                throw new IllegalArgumentException(a.a(sb, str, "'"));
            }
            if (str.charAt(0) == '\'' || str.charAt(length - 1) == '\'') {
                throw new IllegalArgumentException(a.b("Invalid sheet name '", str, "'. Sheet names must not begin or end with (')."));
            }
            return;
        }
        throw new IllegalArgumentException("sheetName must not be null");
    }

    @Removal(version = "3.18")
    @Deprecated
    public static void validateSheetState(int i2) {
        if (i2 != 0 && i2 != 1 && i2 != 2) {
            throw new IllegalArgumentException("Invalid sheet state : " + i2 + "\n" + "Sheet state must be one of the Workbook.SHEET_STATE_* constants");
        }
    }

    public static final String createSafeSheetName(String str, char c) {
        if (str == null) {
            return "null";
        }
        if (str.length() < 1) {
            return "empty";
        }
        int min = Math.min(31, str.length());
        StringBuilder sb = new StringBuilder(str.substring(0, min));
        for (int i2 = 0; i2 < min; i2++) {
            char charAt = sb.charAt(i2);
            if (!(charAt == 0 || charAt == 3)) {
                if (charAt != '\'') {
                    if (!(charAt == '*' || charAt == '/' || charAt == ':' || charAt == '?')) {
                        switch (charAt) {
                        }
                    }
                } else if (i2 == 0 || i2 == min - 1) {
                    sb.setCharAt(i2, c);
                }
            }
            sb.setCharAt(i2, c);
        }
        return sb.toString();
    }
}
