package org.apache.poi.util;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class CommonsLogger extends POILogger {
    public static final LogFactory _creator = LogFactory.getFactory();
    public Log log = null;

    @Override // org.apache.poi.util.POILogger
    public void _log(int i2, Object obj) {
        if (i2 == 9) {
            if (this.log.isFatalEnabled()) {
                this.log.fatal(obj);
            }
        } else if (i2 == 7) {
            if (this.log.isErrorEnabled()) {
                this.log.error(obj);
            }
        } else if (i2 == 5) {
            if (this.log.isWarnEnabled()) {
                this.log.warn(obj);
            }
        } else if (i2 == 3) {
            if (this.log.isInfoEnabled()) {
                this.log.info(obj);
            }
        } else if (i2 == 1) {
            if (this.log.isDebugEnabled()) {
                this.log.debug(obj);
            }
        } else if (this.log.isTraceEnabled()) {
            this.log.trace(obj);
        }
    }

    @Override // org.apache.poi.util.POILogger
    public boolean check(int i2) {
        if (i2 == 9) {
            if (this.log.isFatalEnabled()) {
                return true;
            }
            return false;
        } else if (i2 == 7) {
            if (this.log.isErrorEnabled()) {
                return true;
            }
            return false;
        } else if (i2 == 5) {
            if (this.log.isWarnEnabled()) {
                return true;
            }
            return false;
        } else if (i2 == 3) {
            if (this.log.isInfoEnabled()) {
                return true;
            }
            return false;
        } else if (i2 != 1 || !this.log.isDebugEnabled()) {
            return false;
        } else {
            return true;
        }
    }

    @Override // org.apache.poi.util.POILogger
    public void initialize(String str) {
        this.log = _creator.getInstance(str);
    }

    @Override // org.apache.poi.util.POILogger
    public void _log(int i2, Object obj, Throwable th) {
        if (i2 == 9) {
            if (!this.log.isFatalEnabled()) {
                return;
            }
            if (obj != null) {
                this.log.fatal(obj, th);
            } else {
                this.log.fatal(th);
            }
        } else if (i2 == 7) {
            if (!this.log.isErrorEnabled()) {
                return;
            }
            if (obj != null) {
                this.log.error(obj, th);
            } else {
                this.log.error(th);
            }
        } else if (i2 == 5) {
            if (!this.log.isWarnEnabled()) {
                return;
            }
            if (obj != null) {
                this.log.warn(obj, th);
            } else {
                this.log.warn(th);
            }
        } else if (i2 == 3) {
            if (!this.log.isInfoEnabled()) {
                return;
            }
            if (obj != null) {
                this.log.info(obj, th);
            } else {
                this.log.info(th);
            }
        } else if (i2 == 1) {
            if (!this.log.isDebugEnabled()) {
                return;
            }
            if (obj != null) {
                this.log.debug(obj, th);
            } else {
                this.log.debug(th);
            }
        } else if (!this.log.isTraceEnabled()) {
        } else {
            if (obj != null) {
                this.log.trace(obj, th);
            } else {
                this.log.trace(th);
            }
        }
    }
}
