package org.apache.poi.util;

import java.io.File;
import java.io.OutputStreamWriter;
import java.io.PrintWriter;
import java.nio.charset.Charset;
import java.util.Iterator;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.poifs.filesystem.NPOIFSFileSystem;
import org.apache.poi.ss.usermodel.Sheet;

public class DrawingDump {
    public static void main(String[] strArr) {
        PrintWriter printWriter = new PrintWriter(new OutputStreamWriter(System.out, Charset.defaultCharset()));
        NPOIFSFileSystem nPOIFSFileSystem = new NPOIFSFileSystem(new File(strArr[0]));
        HSSFWorkbook hSSFWorkbook = new HSSFWorkbook(nPOIFSFileSystem);
        try {
            printWriter.println("Drawing group:");
            hSSFWorkbook.dumpDrawingGroupRecords(true);
            Iterator<Sheet> it = hSSFWorkbook.iterator();
            while (it.hasNext()) {
                Sheet next = it.next();
                printWriter.println("Sheet " + 1 + "(" + next.getSheetName() + "):");
                ((HSSFSheet) next).dumpDrawingRecords(true, printWriter);
            }
        } finally {
            hSSFWorkbook.close();
            nPOIFSFileSystem.close();
        }
    }
}
