package org.apache.poi.util;

import b.b.a.a.a;
import java.awt.Font;
import java.awt.FontMetrics;
import java.awt.GraphicsEnvironment;
import java.awt.Toolkit;
import java.io.FileOutputStream;
import java.util.Properties;
import org.apache.poi.ss.util.SheetUtil;

public class FontMetricsDumper {
    @SuppressForbidden("command line tool")
    public static void main(String[] strArr) {
        Properties properties = new Properties();
        for (Font font : GraphicsEnvironment.getLocalGraphicsEnvironment().getAllFonts()) {
            String fontName = font.getFontName();
            FontMetrics fontMetrics = Toolkit.getDefaultToolkit().getFontMetrics(new Font(fontName, 1, 10));
            int height = fontMetrics.getHeight();
            properties.setProperty(a.b("font.", fontName, ".height"), height + "");
            StringBuilder sb = new StringBuilder();
            for (char c = 'a'; c <= 'z'; c = (char) (c + 1)) {
                sb.append(c);
                sb.append(", ");
            }
            for (char c2 = 'A'; c2 <= 'Z'; c2 = (char) (c2 + 1)) {
                sb.append(c2);
                sb.append(", ");
            }
            for (char c3 = SheetUtil.defaultChar; c3 <= '9'; c3 = (char) (c3 + 1)) {
                sb.append(c3);
                sb.append(", ");
            }
            StringBuilder sb2 = new StringBuilder();
            for (char c4 = 'a'; c4 <= 'z'; c4 = (char) (c4 + 1)) {
                sb2.append(fontMetrics.getWidths()[c4]);
                sb2.append(", ");
            }
            for (char c5 = 'A'; c5 <= 'Z'; c5 = (char) (c5 + 1)) {
                sb2.append(fontMetrics.getWidths()[c5]);
                sb2.append(", ");
            }
            for (char c6 = SheetUtil.defaultChar; c6 <= '9'; c6 = (char) (c6 + 1)) {
                sb2.append(fontMetrics.getWidths()[c6]);
                sb2.append(", ");
            }
            properties.setProperty(a.b("font.", fontName, ".characters"), sb.toString());
            properties.setProperty("font." + fontName + ".widths", sb2.toString());
        }
        FileOutputStream fileOutputStream = new FileOutputStream("font_metrics.properties");
        try {
            properties.store(fileOutputStream, "Font Metrics");
        } finally {
            fileOutputStream.close();
        }
    }
}
