package org.apache.poi.util;

public class IntList {
    public static final int _default_size = 128;
    public int[] _array;
    public int _limit;
    public int fillval;

    public IntList() {
        this(128);
    }

    private void fillArray(int i2, int[] iArr, int i3) {
        while (i3 < iArr.length) {
            iArr[i3] = i2;
            i3++;
        }
    }

    private void growArray(int i2) {
        if (i2 == this._array.length) {
            i2++;
        }
        int[] iArr = new int[i2];
        int i3 = this.fillval;
        if (i3 != 0) {
            fillArray(i3, iArr, this._array.length);
        }
        System.arraycopy(this._array, 0, iArr, 0, this._limit);
        this._array = iArr;
    }

    public void add(int i2, int i3) {
        int i4 = this._limit;
        if (i2 > i4) {
            throw new IndexOutOfBoundsException();
        } else if (i2 == i4) {
            add(i3);
        } else {
            if (i4 == this._array.length) {
                growArray(i4 * 2);
            }
            int[] iArr = this._array;
            System.arraycopy(iArr, i2, iArr, i2 + 1, this._limit - i2);
            this._array[i2] = i3;
            this._limit++;
        }
    }

    public boolean addAll(IntList intList) {
        int i2 = intList._limit;
        if (i2 == 0) {
            return true;
        }
        int i3 = this._limit;
        if (i3 + i2 > this._array.length) {
            growArray(i3 + i2);
        }
        System.arraycopy(intList._array, 0, this._array, this._limit, intList._limit);
        this._limit += intList._limit;
        return true;
    }

    public void clear() {
        this._limit = 0;
    }

    public boolean contains(int i2) {
        boolean z = false;
        int i3 = 0;
        while (!z && i3 < this._limit) {
            if (this._array[i3] == i2) {
                z = true;
            }
            i3++;
        }
        return z;
    }

    public boolean containsAll(IntList intList) {
        boolean z = true;
        if (this != intList) {
            int i2 = 0;
            while (z && i2 < intList._limit) {
                if (!contains(intList._array[i2])) {
                    z = false;
                }
                i2++;
            }
        }
        return z;
    }

    public boolean equals(Object obj) {
        boolean z = this == obj;
        if (!z && obj != null && obj.getClass() == IntList.class) {
            IntList intList = (IntList) obj;
            if (intList._limit == this._limit) {
                z = true;
                int i2 = 0;
                while (z && i2 < this._limit) {
                    z = this._array[i2] == intList._array[i2];
                    i2++;
                }
            }
        }
        return z;
    }

    public int get(int i2) {
        if (i2 < this._limit) {
            return this._array[i2];
        }
        throw new IndexOutOfBoundsException(i2 + " not accessible in a list of length " + this._limit);
    }

    public int hashCode() {
        int i2 = 0;
        for (int i3 = 0; i3 < this._limit; i3++) {
            i2 = (i2 * 31) + this._array[i3];
        }
        return i2;
    }

    public int indexOf(int i2) {
        int i3 = 0;
        while (i3 < this._limit && i2 != this._array[i3]) {
            i3++;
        }
        if (i3 == this._limit) {
            return -1;
        }
        return i3;
    }

    public boolean isEmpty() {
        return this._limit == 0;
    }

    public int lastIndexOf(int i2) {
        int i3 = this._limit - 1;
        while (i3 >= 0 && i2 != this._array[i3]) {
            i3--;
        }
        return i3;
    }

    public int remove(int i2) {
        int i3 = this._limit;
        if (i2 < i3) {
            int[] iArr = this._array;
            int i4 = iArr[i2];
            System.arraycopy(iArr, i2 + 1, iArr, i2, i3 - i2);
            this._limit--;
            return i4;
        }
        throw new IndexOutOfBoundsException();
    }

    public boolean removeAll(IntList intList) {
        boolean z = false;
        for (int i2 = 0; i2 < intList._limit; i2++) {
            if (removeValue(intList._array[i2])) {
                z = true;
            }
        }
        return z;
    }

    public boolean removeValue(int i2) {
        boolean z = false;
        int i3 = 0;
        while (!z) {
            int i4 = this._limit;
            if (i3 >= i4) {
                break;
            }
            int[] iArr = this._array;
            if (i2 == iArr[i3]) {
                int i5 = i3 + 1;
                if (i5 < i4) {
                    System.arraycopy(iArr, i5, iArr, i3, i4 - i3);
                }
                this._limit--;
                z = true;
            }
            i3++;
        }
        return z;
    }

    public boolean retainAll(IntList intList) {
        int i2 = 0;
        boolean z = false;
        while (i2 < this._limit) {
            if (!intList.contains(this._array[i2])) {
                remove(i2);
                z = true;
            } else {
                i2++;
            }
        }
        return z;
    }

    public int set(int i2, int i3) {
        if (i2 < this._limit) {
            int[] iArr = this._array;
            int i4 = iArr[i2];
            iArr[i2] = i3;
            return i4;
        }
        throw new IndexOutOfBoundsException();
    }

    public int size() {
        return this._limit;
    }

    public int[] toArray() {
        int i2 = this._limit;
        int[] iArr = new int[i2];
        System.arraycopy(this._array, 0, iArr, 0, i2);
        return iArr;
    }

    public IntList(int i2) {
        this(i2, 0);
    }

    public IntList(IntList intList) {
        this(intList._array.length);
        int[] iArr = intList._array;
        int[] iArr2 = this._array;
        System.arraycopy(iArr, 0, iArr2, 0, iArr2.length);
        this._limit = intList._limit;
    }

    public int[] toArray(int[] iArr) {
        int length = iArr.length;
        int i2 = this._limit;
        if (length != i2) {
            return toArray();
        }
        System.arraycopy(this._array, 0, iArr, 0, i2);
        return iArr;
    }

    public IntList(int i2, int i3) {
        this.fillval = 0;
        int[] iArr = new int[i2];
        this._array = iArr;
        if (0 != 0) {
            this.fillval = i3;
            fillArray(i3, iArr, 0);
        }
        this._limit = 0;
    }

    public boolean addAll(int i2, IntList intList) {
        int i3 = this._limit;
        if (i2 <= i3) {
            int i4 = intList._limit;
            if (i4 == 0) {
                return true;
            }
            if (i3 + i4 > this._array.length) {
                growArray(i3 + i4);
            }
            int[] iArr = this._array;
            System.arraycopy(iArr, i2, iArr, intList._limit + i2, this._limit - i2);
            System.arraycopy(intList._array, 0, this._array, i2, intList._limit);
            this._limit += intList._limit;
            return true;
        }
        throw new IndexOutOfBoundsException();
    }

    public boolean add(int i2) {
        int i3 = this._limit;
        if (i3 == this._array.length) {
            growArray(i3 * 2);
        }
        int[] iArr = this._array;
        int i4 = this._limit;
        this._limit = i4 + 1;
        iArr[i4] = i2;
        return true;
    }
}
