package org.apache.poi.util;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

public class IntMapper<T> {
    public static final int _default_size = 10;
    public List<T> elements;
    public Map<T, Integer> valueKeyMap;

    public IntMapper() {
        this(10);
    }

    public boolean add(T t) {
        int size = this.elements.size();
        this.elements.add(t);
        this.valueKeyMap.put(t, Integer.valueOf(size));
        return true;
    }

    public T get(int i2) {
        return this.elements.get(i2);
    }

    public int getIndex(T t) {
        Integer num = this.valueKeyMap.get(t);
        if (num == null) {
            return -1;
        }
        return num.intValue();
    }

    public Iterator<T> iterator() {
        return this.elements.iterator();
    }

    public int size() {
        return this.elements.size();
    }

    public IntMapper(int i2) {
        this.elements = new ArrayList(i2);
        this.valueKeyMap = new HashMap(i2);
    }
}
