package org.apache.poi.util;

import b.b.a.a.a;
import java.io.InputStream;

public class LongField implements FixedField {
    public final int _offset;
    public long _value;

    public LongField(int i2) {
        if (i2 >= 0) {
            this._offset = i2;
            return;
        }
        throw new ArrayIndexOutOfBoundsException(a.c("Illegal offset: ", i2));
    }

    public long get() {
        return this._value;
    }

    @Override // org.apache.poi.util.FixedField
    public void readFromBytes(byte[] bArr) {
        this._value = LittleEndian.getLong(bArr, this._offset);
    }

    @Override // org.apache.poi.util.FixedField
    public void readFromStream(InputStream inputStream) {
        this._value = LittleEndian.readLong(inputStream);
    }

    public void set(long j) {
        this._value = j;
    }

    @Override // org.apache.poi.util.FixedField
    public String toString() {
        return String.valueOf(this._value);
    }

    @Override // org.apache.poi.util.FixedField
    public void writeToBytes(byte[] bArr) {
        LittleEndian.putLong(bArr, this._offset, this._value);
    }

    public void set(long j, byte[] bArr) {
        this._value = j;
        writeToBytes(bArr);
    }

    public LongField(int i2, long j) {
        this(i2);
        set(j);
    }

    public LongField(int i2, byte[] bArr) {
        this(i2);
        readFromBytes(bArr);
    }

    public LongField(int i2, long j, byte[] bArr) {
        this(i2);
        set(j, bArr);
    }
}
