package org.apache.poi.util;

import java.util.HashMap;
import java.util.Map;

@Internal
public final class POILogFactory {
    public static String _loggerClassName = null;
    public static final Map<String, POILogger> _loggers = new HashMap();
    public static final POILogger _nullLogger = new NullLogger();

    public static POILogger getLogger(Class<?> cls) {
        return getLogger(cls.getName());
    }

    public static POILogger getLogger(String str) {
        if (_loggerClassName == null) {
            try {
                _loggerClassName = System.getProperty("org.apache.poi.util.POILogger");
            } catch (Exception unused) {
            }
            if (_loggerClassName == null) {
                _loggerClassName = _nullLogger.getClass().getName();
            }
        }
        if (_loggerClassName.equals(_nullLogger.getClass().getName())) {
            return _nullLogger;
        }
        POILogger pOILogger = _loggers.get(str);
        if (pOILogger == null) {
            try {
                pOILogger = (POILogger) Class.forName(_loggerClassName).newInstance();
                pOILogger.initialize(str);
            } catch (Exception unused2) {
                pOILogger = _nullLogger;
                _loggerClassName = pOILogger.getClass().getName();
            }
            _loggers.put(str, pOILogger);
        }
        return pOILogger;
    }
}
