package org.apache.poi.util;

@Internal
public abstract class POILogger {
    public static final int DEBUG = 1;
    public static final int ERROR = 7;
    public static final int FATAL = 9;
    public static final int INFO = 3;
    public static final String[] LEVEL_STRINGS = {"?0?", "DEBUG", "?2?", "INFO", "?4?", "WARN", "?6?", "ERROR", "?8?", "FATAL", "?10+?"};
    public static final String[] LEVEL_STRINGS_SHORT = {"?", "D", "?", "I", "?", "W", "?", "E", "?", "F", "?"};
    public static final int WARN = 5;

    public abstract void _log(int i2, Object obj);

    public abstract void _log(int i2, Object obj, Throwable th);

    public abstract boolean check(int i2);

    public abstract void initialize(String str);

    public void log(int i2, Object... objArr) {
        if (check(i2)) {
            StringBuilder sb = new StringBuilder(32);
            Throwable th = null;
            for (int i3 = 0; i3 < objArr.length; i3++) {
                if (i3 != objArr.length - 1 || !(objArr[i3] instanceof Throwable)) {
                    sb.append(objArr[i3]);
                } else {
                    th = (Throwable) objArr[i3];
                }
            }
            String replaceAll = sb.toString().replaceAll("[\r\n]+", " ");
            if (th == null) {
                _log(i2, replaceAll);
            } else {
                _log(i2, replaceAll, th);
            }
        }
    }
}
