package org.apache.poi.util;

import b.b.a.a.a;
import java.io.InputStream;

public class ShortField implements FixedField {
    public final int _offset;
    public short _value;

    public ShortField(int i2) {
        if (i2 >= 0) {
            this._offset = i2;
            return;
        }
        throw new ArrayIndexOutOfBoundsException(a.c("Illegal offset: ", i2));
    }

    public short get() {
        return this._value;
    }

    @Override // org.apache.poi.util.FixedField
    public void readFromBytes(byte[] bArr) {
        this._value = LittleEndian.getShort(bArr, this._offset);
    }

    @Override // org.apache.poi.util.FixedField
    public void readFromStream(InputStream inputStream) {
        this._value = LittleEndian.readShort(inputStream);
    }

    public void set(short s) {
        this._value = s;
    }

    @Override // org.apache.poi.util.FixedField
    public String toString() {
        return String.valueOf((int) this._value);
    }

    @Override // org.apache.poi.util.FixedField
    public void writeToBytes(byte[] bArr) {
        LittleEndian.putShort(bArr, this._offset, this._value);
    }

    public void set(short s, byte[] bArr) {
        this._value = s;
        writeToBytes(bArr);
    }

    public ShortField(int i2, short s) {
        this(i2);
        set(s);
    }

    public ShortField(int i2, byte[] bArr) {
        this(i2);
        readFromBytes(bArr);
    }

    public ShortField(int i2, short s, byte[] bArr) {
        this(i2);
        set(s, bArr);
    }
}
