package org.apache.poi.util;

import b.b.a.a.a;
import java.io.PrintStream;

public class SystemOutLogger extends POILogger {
    public String _cat;

    @Override // org.apache.poi.util.POILogger
    public void _log(int i2, Object obj) {
        _log(i2, obj, null);
    }

    @Override // org.apache.poi.util.POILogger
    public boolean check(int i2) {
        int i3;
        try {
            i3 = Integer.parseInt(System.getProperty("poi.log.level", "5"));
        } catch (SecurityException unused) {
            i3 = 1;
        }
        return i2 >= i3;
    }

    @Override // org.apache.poi.util.POILogger
    public void initialize(String str) {
        this._cat = str;
    }

    @Override // org.apache.poi.util.POILogger
    @SuppressForbidden("uses printStackTrace")
    public void _log(int i2, Object obj, Throwable th) {
        if (check(i2)) {
            PrintStream printStream = System.out;
            StringBuilder b2 = a.b("[");
            b2.append(this._cat);
            b2.append("]");
            String[] strArr = POILogger.LEVEL_STRINGS_SHORT;
            b2.append(strArr[Math.min(strArr.length - 1, i2)]);
            b2.append(" ");
            b2.append(obj);
            printStream.println(b2.toString());
            if (th != null) {
                th.printStackTrace(System.out);
            }
        }
    }
}
