package org.apache.poi.util;

import java.io.File;

public final class TempFile {
    public static final String JAVA_IO_TMPDIR = "java.io.tmpdir";
    public static TempFileCreationStrategy strategy = new DefaultTempFileCreationStrategy();

    public static class DefaultTempFileCreationStrategy extends DefaultTempFileCreationStrategy {
    }

    public static File createTempDirectory(String str) {
        return strategy.createTempDirectory(str);
    }

    public static File createTempFile(String str, String str2) {
        return strategy.createTempFile(str, str2);
    }

    public static void setTempFileCreationStrategy(TempFileCreationStrategy tempFileCreationStrategy) {
        if (tempFileCreationStrategy != null) {
            strategy = tempFileCreationStrategy;
            return;
        }
        throw new IllegalArgumentException("strategy == null");
    }
}
