package org.apache.poi.xdgf.geom;

import b.b.a.a.a;
import java.awt.geom.Dimension2D;
import org.apache.poi.ss.formula.functions.NumericFunction;

public class Dimension2dDouble extends Dimension2D {
    public double height;
    public double width;

    public Dimension2dDouble() {
        this.width = NumericFunction.LOG_10_TO_BASE_e;
        this.height = NumericFunction.LOG_10_TO_BASE_e;
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof Dimension2dDouble)) {
            return false;
        }
        Dimension2dDouble dimension2dDouble = (Dimension2dDouble) obj;
        if (this.width == dimension2dDouble.width && this.height == dimension2dDouble.height) {
            return true;
        }
        return false;
    }

    public double getHeight() {
        return this.height;
    }

    public double getWidth() {
        return this.width;
    }

    public int hashCode() {
        double d2 = this.width;
        double d3 = this.height + d2;
        return (int) Math.ceil((((1.0d + d3) * d3) / 2.0d) + d2);
    }

    public void setSize(double d2, double d3) {
        this.width = d2;
        this.height = d3;
    }

    public String toString() {
        StringBuilder b2 = a.b("Dimension2dDouble[");
        b2.append(this.width);
        b2.append(", ");
        b2.append(this.height);
        b2.append("]");
        return b2.toString();
    }

    public Dimension2dDouble(double d2, double d3) {
        this.width = d2;
        this.height = d3;
    }
}
