package org.apache.poi.xdgf.geom;

import com.graphbuilder.curve.ControlPath;
import com.graphbuilder.curve.GroupIterator;
import com.graphbuilder.curve.NURBSpline;
import com.graphbuilder.curve.ShapeMultiPath;
import com.graphbuilder.curve.ValueVector;

public class SplineRenderer {
    public static ShapeMultiPath createNurbsSpline(ControlPath controlPath, ValueVector valueVector, ValueVector valueVector2, int i2) {
        double d2 = valueVector.get(0);
        int size = valueVector.size();
        double d3 = valueVector.get(size - 1);
        for (int i3 = 0; i3 < size; i3++) {
            valueVector.set((valueVector.get(i3) - d2) / d3, i3);
        }
        int numPoints = controlPath.numPoints() + i2 + 1;
        while (size < numPoints) {
            valueVector.add(1.0d);
            size++;
        }
        NURBSpline nURBSpline = new NURBSpline(controlPath, new GroupIterator("0:n-1", controlPath.numPoints()));
        nURBSpline.setDegree(i2);
        nURBSpline.setKnotVectorType(2);
        nURBSpline.setKnotVector(valueVector);
        if (valueVector2 == null) {
            nURBSpline.setUseWeightVector(false);
        } else {
            nURBSpline.setWeightVector(valueVector2);
        }
        ShapeMultiPath shapeMultiPath = new ShapeMultiPath();
        shapeMultiPath.setFlatness(0.01d);
        nURBSpline.appendTo(shapeMultiPath);
        return shapeMultiPath;
    }
}
