package org.apache.poi.xdgf.usermodel;

import b.e.a.a.c.a.a.a;
import java.util.Map;
import org.apache.poi.POIXMLException;
import org.apache.poi.util.Internal;

public class XDGFCell {
    public a _cell;

    public XDGFCell(a aVar) {
        this._cell = aVar;
    }

    public static Boolean maybeGetBoolean(Map<String, XDGFCell> map, String str) {
        XDGFCell xDGFCell = map.get(str);
        if (xDGFCell == null) {
            return null;
        }
        if (xDGFCell.getValue().equals("0")) {
            return false;
        }
        if (xDGFCell.getValue().equals("1")) {
            return true;
        }
        StringBuilder b2 = b.b.a.a.a.b("Invalid boolean value for '");
        b2.append(xDGFCell.getName());
        b2.append("'");
        throw new POIXMLException(b2.toString());
    }

    public static Double maybeGetDouble(Map<String, XDGFCell> map, String str) {
        XDGFCell xDGFCell = map.get(str);
        if (xDGFCell != null) {
            return parseDoubleValue(xDGFCell._cell);
        }
        return null;
    }

    public static Integer maybeGetInteger(Map<String, XDGFCell> map, String str) {
        XDGFCell xDGFCell = map.get(str);
        if (xDGFCell != null) {
            return parseIntegerValue(xDGFCell._cell);
        }
        return null;
    }

    public static String maybeGetString(Map<String, XDGFCell> map, String str) {
        XDGFCell xDGFCell = map.get(str);
        if (xDGFCell == null) {
            return null;
        }
        String v = xDGFCell._cell.getV();
        if (v.equals("Themed")) {
            return null;
        }
        return v;
    }

    public static Double parseDoubleValue(a aVar) {
        try {
            return Double.valueOf(Double.parseDouble(aVar.getV()));
        } catch (NumberFormatException e2) {
            if (aVar.getV().equals("Themed")) {
                return null;
            }
            StringBuilder b2 = b.b.a.a.a.b("Invalid float value for '");
            b2.append(aVar.getN());
            b2.append("': ");
            b2.append(e2);
            throw new POIXMLException(b2.toString());
        }
    }

    public static Integer parseIntegerValue(a aVar) {
        try {
            return Integer.valueOf(Integer.parseInt(aVar.getV()));
        } catch (NumberFormatException e2) {
            if (aVar.getV().equals("Themed")) {
                return null;
            }
            StringBuilder b2 = b.b.a.a.a.b("Invalid integer value for '");
            b2.append(aVar.getN());
            b2.append("': ");
            b2.append(e2);
            throw new POIXMLException(b2.toString());
        }
    }

    public static Double parseVLength(a aVar) {
        try {
            return Double.valueOf(Double.parseDouble(aVar.getV()));
        } catch (NumberFormatException e2) {
            if (aVar.getV().equals("Themed")) {
                return null;
            }
            StringBuilder b2 = b.b.a.a.a.b("Invalid float value for '");
            b2.append(aVar.getN());
            b2.append("': ");
            b2.append(e2);
            throw new POIXMLException(b2.toString());
        }
    }

    public String getError() {
        return this._cell.getE();
    }

    public String getFormula() {
        return this._cell.getF();
    }

    public String getName() {
        return this._cell.getN();
    }

    public String getValue() {
        return this._cell.getV();
    }

    @Internal
    public a getXmlObject() {
        return this._cell;
    }
}
