package org.apache.poi.xdgf.usermodel;

import b.e.a.a.c.a.a.d;
import b.e.a.a.c.a.a.u;
import b.e.a.a.c.a.a.y;
import java.util.HashMap;
import java.util.Map;
import org.apache.poi.POIXMLException;
import org.apache.poi.util.Internal;

public class XDGFDocument {
    public long _defaultFillStyle = 0;
    public long _defaultGuideStyle = 0;
    public long _defaultLineStyle = 0;
    public long _defaultTextStyle = 0;
    public y _document;
    public Map<Long, XDGFStyleSheet> _styleSheets = new HashMap();

    public XDGFDocument(y yVar) {
        this._document = yVar;
        if (yVar.l()) {
            d t = this._document.t();
            if (t.i()) {
                this._defaultFillStyle = t.v();
            }
            if (t.u()) {
                this._defaultGuideStyle = t.Q();
            }
            if (t.o()) {
                this._defaultLineStyle = t.e0();
            }
            if (t.isSetDefaultTextStyle()) {
                this._defaultTextStyle = t.getDefaultTextStyle();
            }
            if (this._document.H()) {
                u[] A = this._document.getStyleSheets().A();
                for (u uVar : A) {
                    this._styleSheets.put(Long.valueOf(uVar.getID()), new XDGFStyleSheet(uVar, this));
                }
                return;
            }
            return;
        }
        throw new POIXMLException("Document settings not found");
    }

    public XDGFStyleSheet getDefaultFillStyle() {
        XDGFStyleSheet styleById = getStyleById(this._defaultFillStyle);
        if (styleById != null) {
            return styleById;
        }
        throw new POIXMLException("No default fill style found!");
    }

    public XDGFStyleSheet getDefaultGuideStyle() {
        XDGFStyleSheet styleById = getStyleById(this._defaultGuideStyle);
        if (styleById != null) {
            return styleById;
        }
        throw new POIXMLException("No default guide style found!");
    }

    public XDGFStyleSheet getDefaultLineStyle() {
        XDGFStyleSheet styleById = getStyleById(this._defaultLineStyle);
        if (styleById != null) {
            return styleById;
        }
        throw new POIXMLException("No default line style found!");
    }

    public XDGFStyleSheet getDefaultTextStyle() {
        XDGFStyleSheet styleById = getStyleById(this._defaultTextStyle);
        if (styleById != null) {
            return styleById;
        }
        throw new POIXMLException("No default text style found!");
    }

    public XDGFStyleSheet getStyleById(long j) {
        return this._styleSheets.get(Long.valueOf(j));
    }

    @Internal
    public y getXmlObject() {
        return this._document;
    }
}
