package org.apache.poi.xdgf.usermodel;

import b.e.a.a.c.a.a.f;
import b.e.a.a.c.a.a.g;
import b.e.a.a.c.a.a.h;
import java.io.IOException;
import java.util.Collection;
import java.util.Collections;
import java.util.HashMap;
import java.util.Map;
import org.apache.poi.POIXMLDocumentPart;
import org.apache.poi.POIXMLException;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.openxml4j.opc.PackagePart;
import org.apache.poi.util.Internal;
import org.apache.poi.xdgf.exceptions.XDGFException;
import org.apache.poi.xdgf.xml.XDGFXMLDocumentPart;
import org.apache.xmlbeans.XmlException;
import org.apache.xmlbeans.XmlOptions;

public class XDGFMasters extends XDGFXMLDocumentPart {
    public Map<Long, XDGFMaster> _masters = new HashMap();
    public h _mastersObject;

    public XDGFMasters(PackagePart packagePart, XDGFDocument xDGFDocument) {
        super(packagePart, xDGFDocument);
    }

    public XDGFMaster getMasterById(long j) {
        return this._masters.get(Long.valueOf(j));
    }

    public Collection<XDGFMaster> getMastersList() {
        return Collections.unmodifiableCollection(this._masters.values());
    }

    @Internal
    public h getXmlObject() {
        return this._mastersObject;
    }

    @Override // org.apache.poi.POIXMLDocumentPart
    public void onDocumentRead() {
        try {
            this._mastersObject = ((g) POIXMLTypeLoader.parse(getPackagePart().getInputStream(), g.f243i, (XmlOptions) null)).z();
            HashMap hashMap = new HashMap();
            f[] K = this._mastersObject.K();
            for (f fVar : K) {
                hashMap.put(fVar.getRel().getId(), fVar);
            }
            for (POIXMLDocumentPart.RelationPart relationPart : getRelationParts()) {
                POIXMLDocumentPart documentPart = relationPart.getDocumentPart();
                String id = relationPart.getRelationship().getId();
                f fVar2 = (f) hashMap.get(id);
                if (fVar2 == null) {
                    throw new POIXMLException("Master relationship for " + id + " not found");
                } else if (documentPart instanceof XDGFMasterContents) {
                    XDGFMasterContents xDGFMasterContents = (XDGFMasterContents) documentPart;
                    xDGFMasterContents.onDocumentRead();
                    XDGFMaster xDGFMaster = new XDGFMaster(fVar2, xDGFMasterContents, this._document);
                    this._masters.put(Long.valueOf(xDGFMaster.getID()), xDGFMaster);
                } else {
                    throw new POIXMLException("Unexpected masters relationship for " + id + ": " + documentPart);
                }
            }
        } catch (XmlException e2) {
            throw new POIXMLException(e2);
        } catch (IOException e3) {
            throw new POIXMLException(e3);
        } catch (POIXMLException e4) {
            throw XDGFException.wrap(this, e4);
        }
    }
}
