package org.apache.poi.xdgf.usermodel;

import b.e.a.a.c.a.a.l;
import java.awt.geom.Point2D;
import java.awt.geom.Rectangle2D;
import org.apache.poi.POIXMLException;
import org.apache.poi.ss.formula.functions.NumericFunction;
import org.apache.poi.util.Internal;
import org.apache.poi.xdgf.geom.Dimension2dDouble;

public class XDGFPage {
    public XDGFPageContents _content;
    public l _page;
    public XDGFSheet _pageSheet = null;
    public XDGFPages _pages;

    public XDGFPage(l lVar, XDGFPageContents xDGFPageContents, XDGFDocument xDGFDocument, XDGFPages xDGFPages) {
        this._page = lVar;
        this._content = xDGFPageContents;
        this._pages = xDGFPages;
        xDGFPageContents.setPage(this);
        if (lVar.c()) {
            this._pageSheet = new XDGFPageSheet(lVar.b(), xDGFDocument);
        }
    }

    public Rectangle2D getBoundingBox() {
        Dimension2dDouble pageSize = getPageSize();
        Point2D.Double pageOffset = getPageOffset();
        return new Rectangle2D.Double(-pageOffset.getX(), -pageOffset.getY(), pageSize.getWidth(), pageSize.getHeight());
    }

    public XDGFPageContents getContent() {
        return this._content;
    }

    public long getID() {
        return this._page.getID();
    }

    public String getName() {
        return this._page.getName();
    }

    public long getPageNumber() {
        return (long) (this._pages.getPageList().indexOf(this) + 1);
    }

    public Point2D.Double getPageOffset() {
        XDGFCell cell = this._pageSheet.getCell("XRulerOrigin");
        XDGFCell cell2 = this._pageSheet.getCell("YRulerOrigin");
        double d2 = NumericFunction.LOG_10_TO_BASE_e;
        double parseDouble = cell != null ? Double.parseDouble(cell.getValue()) : 0.0d;
        if (cell != null) {
            d2 = Double.parseDouble(cell2.getValue());
        }
        return new Point2D.Double(parseDouble, d2);
    }

    public XDGFSheet getPageSheet() {
        return this._pageSheet;
    }

    public Dimension2dDouble getPageSize() {
        XDGFCell cell = this._pageSheet.getCell("PageWidth");
        XDGFCell cell2 = this._pageSheet.getCell("PageHeight");
        if (cell != null && cell2 != null) {
            return new Dimension2dDouble(Double.parseDouble(cell.getValue()), Double.parseDouble(cell2.getValue()));
        }
        throw new POIXMLException("Cannot determine page size");
    }

    @Internal
    public l getXmlObject() {
        return this._page;
    }
}
