package org.apache.poi.xdgf.usermodel;

import b.e.a.a.c.a.a.i;
import java.io.IOException;
import java.util.HashMap;
import java.util.Map;
import org.apache.poi.POIXMLDocumentPart;
import org.apache.poi.POIXMLException;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.openxml4j.opc.PackagePart;
import org.apache.poi.xdgf.exceptions.XDGFException;
import org.apache.xmlbeans.XmlException;
import org.apache.xmlbeans.XmlOptions;

public class XDGFPageContents extends XDGFBaseContents {
    public Map<Long, XDGFMaster> _masters = new HashMap();
    public XDGFPage _page;

    public XDGFPageContents(PackagePart packagePart, XDGFDocument xDGFDocument) {
        super(packagePart, xDGFDocument);
    }

    public XDGFMaster getMasterById(long j) {
        return this._masters.get(Long.valueOf(j));
    }

    public XDGFPage getPage() {
        return this._page;
    }

    @Override // org.apache.poi.POIXMLDocumentPart, org.apache.poi.xdgf.usermodel.XDGFBaseContents
    public void onDocumentRead() {
        try {
            this._pageContents = ((i) POIXMLTypeLoader.parse(getPackagePart().getInputStream(), i.j, (XmlOptions) null)).r();
            for (POIXMLDocumentPart pOIXMLDocumentPart : getRelations()) {
                if (pOIXMLDocumentPart instanceof XDGFMasterContents) {
                    XDGFMaster master = ((XDGFMasterContents) pOIXMLDocumentPart).getMaster();
                    this._masters.put(Long.valueOf(master.getID()), master);
                }
            }
            super.onDocumentRead();
            for (XDGFShape xDGFShape : this._shapes.values()) {
                if (xDGFShape.isTopmost()) {
                    xDGFShape.setupMaster(this, null);
                }
            }
        } catch (XmlException e2) {
            throw new POIXMLException(e2);
        } catch (IOException e3) {
            throw new POIXMLException(e3);
        } catch (POIXMLException e4) {
            throw XDGFException.wrap(this, e4);
        }
    }

    public void setPage(XDGFPage xDGFPage) {
        this._page = xDGFPage;
    }
}
