package org.apache.poi.xdgf.usermodel;

import b.e.a.a.c.a.a.l;
import b.e.a.a.c.a.a.m;
import b.e.a.a.c.a.a.n;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import org.apache.poi.POIXMLDocumentPart;
import org.apache.poi.POIXMLException;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.openxml4j.opc.PackagePart;
import org.apache.poi.util.Internal;
import org.apache.poi.xdgf.exceptions.XDGFException;
import org.apache.poi.xdgf.xml.XDGFXMLDocumentPart;
import org.apache.xmlbeans.XmlException;
import org.apache.xmlbeans.XmlOptions;

public class XDGFPages extends XDGFXMLDocumentPart {
    public List<XDGFPage> _pages = new ArrayList();
    public n _pagesObject;

    public XDGFPages(PackagePart packagePart, XDGFDocument xDGFDocument) {
        super(packagePart, xDGFDocument);
    }

    public List<XDGFPage> getPageList() {
        return Collections.unmodifiableList(this._pages);
    }

    @Internal
    public n getXmlObject() {
        return this._pagesObject;
    }

    @Override // org.apache.poi.POIXMLDocumentPart
    public void onDocumentRead() {
        try {
            n pages = ((m) POIXMLTypeLoader.parse(getPackagePart().getInputStream(), m.k, (XmlOptions) null)).getPages();
            this._pagesObject = pages;
            l[] F = pages.F();
            for (l lVar : F) {
                String id = lVar.getRel().getId();
                POIXMLDocumentPart relationById = getRelationById(id);
                if (relationById == null) {
                    throw new POIXMLException("PageSettings relationship for " + id + " not found");
                } else if (relationById instanceof XDGFPageContents) {
                    XDGFPageContents xDGFPageContents = (XDGFPageContents) relationById;
                    XDGFPage xDGFPage = new XDGFPage(lVar, xDGFPageContents, this._document, this);
                    xDGFPageContents.onDocumentRead();
                    this._pages.add(xDGFPage);
                } else {
                    throw new POIXMLException("Unexpected pages relationship for " + id + ": " + relationById);
                }
            }
        } catch (XmlException e2) {
            throw new POIXMLException(e2);
        } catch (IOException e3) {
            throw new POIXMLException(e3);
        } catch (POIXMLException e4) {
            throw XDGFException.wrap(this, e4);
        }
    }
}
