package org.apache.poi.xdgf.usermodel;

import b.e.a.a.c.a.a.w;
import b.e.a.a.c.a.a.z.a;
import java.awt.Font;
import java.awt.Graphics2D;
import java.awt.font.FontRenderContext;
import java.awt.font.TextLayout;
import java.awt.geom.AffineTransform;
import java.awt.geom.Path2D;
import java.awt.geom.Point2D;
import java.awt.geom.Rectangle2D;
import org.apache.poi.ss.formula.functions.NumericFunction;
import org.apache.poi.util.Internal;

public class XDGFText {
    public XDGFShape _parent;
    public w _text;

    public XDGFText(w wVar, XDGFShape xDGFShape) {
        this._text = wVar;
        this._parent = xDGFShape;
    }

    public void draw(Graphics2D graphics2D) {
        Font font;
        double d2;
        FontRenderContext fontRenderContext;
        FontRenderContext fontRenderContext2;
        Font font2;
        String textContent = getTextContent();
        if (textContent.length() != 0) {
            Rectangle2D.Double textBounds = getTextBounds();
            String[] split = textContent.trim().split("\n");
            FontRenderContext fontRenderContext3 = graphics2D.getFontRenderContext();
            Font font3 = graphics2D.getFont();
            AffineTransform transform = graphics2D.getTransform();
            Boolean flipX = this._parent.getFlipX();
            if (this._parent.getFlipY() == null || !this._parent.getFlipY().booleanValue()) {
                fontRenderContext = fontRenderContext3;
                font = font3;
                graphics2D.translate(textBounds.x, textBounds.y);
                graphics2D.scale(1.0d, -1.0d);
                double height = (-textBounds.height) + graphics2D.getFontMetrics().getMaxCharBounds(graphics2D).getHeight();
                d2 = NumericFunction.LOG_10_TO_BASE_e;
                graphics2D.translate((double) NumericFunction.LOG_10_TO_BASE_e, height);
            } else {
                fontRenderContext = fontRenderContext3;
                font = font3;
                d2 = NumericFunction.LOG_10_TO_BASE_e;
            }
            if (flipX != null && this._parent.getFlipX().booleanValue()) {
                graphics2D.scale(-1.0d, 1.0d);
                graphics2D.translate(-textBounds.width, d2);
            }
            Double txtAngle = this._parent.getTxtAngle();
            if (txtAngle != null && Math.abs(txtAngle.doubleValue()) > 0.01d) {
                graphics2D.rotate(txtAngle.doubleValue());
            }
            int length = split.length;
            int i2 = 0;
            float f2 = 0.0f;
            float f3 = 0.0f;
            while (i2 < length) {
                String str = split[i2];
                if (str.length() == 0) {
                    fontRenderContext2 = fontRenderContext;
                    font2 = font;
                } else {
                    font2 = font;
                    TextLayout textLayout = new TextLayout(str, font2, fontRenderContext);
                    if (textLayout.isLeftToRight()) {
                        textLayout.draw(graphics2D, f2, f3);
                        fontRenderContext2 = fontRenderContext;
                    } else {
                        fontRenderContext2 = fontRenderContext;
                        textLayout.draw(graphics2D, (float) (textBounds.width - ((double) textLayout.getAdvance())), f3);
                    }
                    f3 += textLayout.getAscent() + textLayout.getDescent() + textLayout.getLeading();
                }
                i2++;
                font = font2;
                fontRenderContext = fontRenderContext2;
                f2 = 0.0f;
            }
            graphics2D.setTransform(transform);
        }
    }

    public Path2D.Double getBoundsAsPath() {
        Rectangle2D.Double textBounds = getTextBounds();
        Double valueOf = Double.valueOf(textBounds.getWidth());
        Double valueOf2 = Double.valueOf(textBounds.getHeight());
        Path2D.Double r2 = new Path2D.Double();
        r2.moveTo((double) NumericFunction.LOG_10_TO_BASE_e, (double) NumericFunction.LOG_10_TO_BASE_e);
        r2.lineTo(valueOf.doubleValue(), (double) NumericFunction.LOG_10_TO_BASE_e);
        r2.lineTo(valueOf.doubleValue(), valueOf2.doubleValue());
        r2.lineTo((double) NumericFunction.LOG_10_TO_BASE_e, valueOf2.doubleValue());
        r2.lineTo((double) NumericFunction.LOG_10_TO_BASE_e, (double) NumericFunction.LOG_10_TO_BASE_e);
        return r2;
    }

    public Rectangle2D.Double getTextBounds() {
        double doubleValue = this._parent.getTxtPinX().doubleValue();
        double doubleValue2 = this._parent.getTxtPinY().doubleValue();
        double doubleValue3 = this._parent.getTxtLocPinX().doubleValue();
        return new Rectangle2D.Double(doubleValue - doubleValue3, doubleValue2 - this._parent.getTxtLocPinY().doubleValue(), this._parent.getTxtWidth().doubleValue(), this._parent.getTxtHeight().doubleValue());
    }

    public Point2D.Double getTextCenter() {
        return new Point2D.Double(this._parent.getTxtLocPinX().doubleValue(), this._parent.getTxtLocPinY().doubleValue());
    }

    public String getTextContent() {
        return ((a) this._text).getStringValue();
    }

    @Internal
    public w getXmlObject() {
        return this._text;
    }
}
