package org.apache.poi.xdgf.usermodel;

import b.e.a.a.c.a.a.x;
import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import org.apache.poi.POIXMLDocument;
import org.apache.poi.POIXMLDocumentPart;
import org.apache.poi.POIXMLException;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.openxml4j.opc.OPCPackage;
import org.apache.poi.openxml4j.opc.PackagePart;
import org.apache.poi.util.PackageHelper;
import org.apache.xmlbeans.XmlException;
import org.apache.xmlbeans.XmlOptions;

public class XmlVisioDocument extends POIXMLDocument {
    public XDGFDocument _document;
    public XDGFMasters _masters;
    public XDGFPages _pages;

    public XmlVisioDocument(OPCPackage oPCPackage) {
        super(oPCPackage, "http://schemas.microsoft.com/visio/2010/relationships/document");
        try {
            this._document = new XDGFDocument(((x) POIXMLTypeLoader.parse(getPackagePart().getInputStream(), x.l, (XmlOptions) null)).V());
            load(new XDGFFactory(this._document));
        } catch (XmlException e2) {
            throw new POIXMLException(e2);
        } catch (IOException e3) {
            throw new POIXMLException(e3);
        }
    }

    @Override // org.apache.poi.POIXMLDocument
    public List<PackagePart> getAllEmbedds() {
        return new ArrayList();
    }

    public Collection<XDGFPage> getPages() {
        return this._pages.getPageList();
    }

    public XDGFStyleSheet getStyleById(long j) {
        return this._document.getStyleById(j);
    }

    @Override // org.apache.poi.POIXMLDocumentPart
    public void onDocumentRead() {
        for (POIXMLDocumentPart pOIXMLDocumentPart : getRelations()) {
            if (pOIXMLDocumentPart instanceof XDGFPages) {
                this._pages = (XDGFPages) pOIXMLDocumentPart;
            } else if (pOIXMLDocumentPart instanceof XDGFMasters) {
                this._masters = (XDGFMasters) pOIXMLDocumentPart;
            }
        }
        XDGFMasters xDGFMasters = this._masters;
        if (xDGFMasters != null) {
            xDGFMasters.onDocumentRead();
        }
        this._pages.onDocumentRead();
    }

    public XmlVisioDocument(InputStream inputStream) {
        this(PackageHelper.open(inputStream));
    }
}
