package org.apache.poi.xdgf.usermodel.section;

import b.e.a.a.c.a.a.a;
import b.e.a.a.c.a.a.q;
import java.util.HashMap;
import java.util.Map;
import org.apache.poi.POIXMLException;
import org.apache.poi.ss.formula.ptg.GreaterThanPtg;
import org.apache.poi.util.Internal;
import org.apache.poi.xdgf.usermodel.XDGFCell;
import org.apache.poi.xdgf.usermodel.XDGFSheet;
import org.apache.poi.xdgf.util.ObjectFactory;

public abstract class XDGFSection {
    public static final ObjectFactory<XDGFSection, q> _sectionTypes;
    public Map<String, XDGFCell> _cells = new HashMap();
    public XDGFSheet _containingSheet;
    public q _section;

    static {
        ObjectFactory<XDGFSection, q> objectFactory = new ObjectFactory<>();
        _sectionTypes = objectFactory;
        try {
            objectFactory.put("LineGradient", GenericSection.class, q.class, XDGFSheet.class);
            _sectionTypes.put("FillGradient", GenericSection.class, q.class, XDGFSheet.class);
            _sectionTypes.put("Character", CharacterSection.class, q.class, XDGFSheet.class);
            _sectionTypes.put("Paragraph", GenericSection.class, q.class, XDGFSheet.class);
            _sectionTypes.put("Tabs", GenericSection.class, q.class, XDGFSheet.class);
            _sectionTypes.put("Scratch", GenericSection.class, q.class, XDGFSheet.class);
            _sectionTypes.put("Connection", GenericSection.class, q.class, XDGFSheet.class);
            _sectionTypes.put("ConnectionABCD", GenericSection.class, q.class, XDGFSheet.class);
            _sectionTypes.put("Field", GenericSection.class, q.class, XDGFSheet.class);
            _sectionTypes.put("Control", GenericSection.class, q.class, XDGFSheet.class);
            _sectionTypes.put("Geometry", GeometrySection.class, q.class, XDGFSheet.class);
            _sectionTypes.put("Actions", GenericSection.class, q.class, XDGFSheet.class);
            _sectionTypes.put("Layer", GenericSection.class, q.class, XDGFSheet.class);
            _sectionTypes.put("User", GenericSection.class, q.class, XDGFSheet.class);
            _sectionTypes.put("Property", GenericSection.class, q.class, XDGFSheet.class);
            _sectionTypes.put("Hyperlink", GenericSection.class, q.class, XDGFSheet.class);
            _sectionTypes.put("Reviewer", GenericSection.class, q.class, XDGFSheet.class);
            _sectionTypes.put("Annotation", GenericSection.class, q.class, XDGFSheet.class);
            _sectionTypes.put("ActionTag", GenericSection.class, q.class, XDGFSheet.class);
        } catch (NoSuchMethodException unused) {
            throw new POIXMLException("Internal error");
        } catch (SecurityException unused2) {
            throw new POIXMLException("Internal error");
        }
    }

    public XDGFSection(q qVar, XDGFSheet xDGFSheet) {
        this._section = qVar;
        this._containingSheet = xDGFSheet;
        a[] a = qVar.a();
        for (a aVar : a) {
            this._cells.put(aVar.getN(), new XDGFCell(aVar));
        }
    }

    public static XDGFSection load(q qVar, XDGFSheet xDGFSheet) {
        return _sectionTypes.load(qVar.getN(), qVar, xDGFSheet);
    }

    @Internal
    public q getXmlObject() {
        return this._section;
    }

    public abstract void setupMaster(XDGFSection xDGFSection);

    public String toString() {
        StringBuilder b2 = b.b.a.a.a.b("<Section type=");
        b2.append(this._section.getN());
        b2.append(" from ");
        b2.append(this._containingSheet);
        b2.append(GreaterThanPtg.GREATERTHAN);
        return b2.toString();
    }
}
