package org.apache.poi.xdgf.usermodel.section.geometry;

import b.e.a.a.c.a.a.a;
import b.e.a.a.c.a.a.p;
import java.awt.geom.AffineTransform;
import java.awt.geom.Arc2D;
import java.awt.geom.Path2D;
import java.awt.geom.Point2D;
import org.apache.poi.POIXMLException;
import org.apache.poi.ss.formula.functions.NumericFunction;
import org.apache.poi.xdgf.usermodel.XDGFCell;
import org.apache.poi.xdgf.usermodel.XDGFShape;

public class ArcTo implements GeometryRow {
    public ArcTo _master = null;
    public Double a = null;
    public Boolean deleted = null;
    public Double x = null;
    public Double y = null;

    public ArcTo(p pVar) {
        if (pVar.isSetDel()) {
            this.deleted = Boolean.valueOf(pVar.getDel());
        }
        a[] a2 = pVar.a();
        for (a aVar : a2) {
            String n = aVar.getN();
            if (n.equals("X")) {
                this.x = XDGFCell.parseDoubleValue(aVar);
            } else if (n.equals("Y")) {
                this.y = XDGFCell.parseDoubleValue(aVar);
            } else if (n.equals("A")) {
                this.a = XDGFCell.parseDoubleValue(aVar);
            } else {
                throw new POIXMLException(b.b.a.a.a.b("Invalid cell '", n, "' in ArcTo row"));
            }
        }
    }

    @Override // org.apache.poi.xdgf.usermodel.section.geometry.GeometryRow
    public void addToPath(Path2D.Double r28, XDGFShape xDGFShape) {
        if (!getDel()) {
            Point2D currentPoint = r28.getCurrentPoint();
            double doubleValue = getX().doubleValue();
            double doubleValue2 = getY().doubleValue();
            double doubleValue3 = getA().doubleValue();
            if (doubleValue3 == NumericFunction.LOG_10_TO_BASE_e) {
                r28.lineTo(doubleValue, doubleValue2);
                return;
            }
            double x2 = currentPoint.getX();
            double y2 = currentPoint.getY();
            double d2 = doubleValue2 - y2;
            double d3 = doubleValue - x2;
            double hypot = Math.hypot(d2, d3);
            double abs = ((hypot * hypot) + ((4.0d * doubleValue3) * doubleValue3)) / (Math.abs(doubleValue3) * 8.0d);
            r28.append(AffineTransform.getRotateInstance(Math.atan2(doubleValue2 - ((d2 / 2.0d) + y2), doubleValue - ((d3 / 2.0d) + x2)), x2, y2).createTransformedShape(new Arc2D.Double(x2, y2 - abs, hypot, abs * 2.0d, 180.0d, x2 < doubleValue ? 180.0d : -180.0d, 0)), true);
        }
    }

    public Double getA() {
        Double d2 = this.a;
        return d2 == null ? this._master.a : d2;
    }

    public boolean getDel() {
        Boolean bool = this.deleted;
        if (bool != null) {
            return bool.booleanValue();
        }
        ArcTo arcTo = this._master;
        if (arcTo != null) {
            return arcTo.getDel();
        }
        return false;
    }

    public Double getX() {
        Double d2 = this.x;
        return d2 == null ? this._master.x : d2;
    }

    public Double getY() {
        Double d2 = this.y;
        return d2 == null ? this._master.y : d2;
    }

    @Override // org.apache.poi.xdgf.usermodel.section.geometry.GeometryRow
    public void setupMaster(GeometryRow geometryRow) {
        this._master = (ArcTo) geometryRow;
    }
}
