package org.apache.poi.xdgf.usermodel.section.geometry;

import b.e.a.a.c.a.a.p;
import org.apache.poi.POIXMLException;
import org.apache.poi.xdgf.util.ObjectFactory;

public class GeometryRowFactory {
    public static final ObjectFactory<GeometryRow, p> _rowTypes;

    static {
        ObjectFactory<GeometryRow, p> objectFactory = new ObjectFactory<>();
        _rowTypes = objectFactory;
        try {
            objectFactory.put("ArcTo", ArcTo.class, p.class);
            _rowTypes.put("Ellipse", Ellipse.class, p.class);
            _rowTypes.put("EllipticalArcTo", EllipticalArcTo.class, p.class);
            _rowTypes.put("InfiniteLine", InfiniteLine.class, p.class);
            _rowTypes.put("LineTo", LineTo.class, p.class);
            _rowTypes.put("MoveTo", MoveTo.class, p.class);
            _rowTypes.put("NURBSTo", NURBSTo.class, p.class);
            _rowTypes.put("PolylineTo", PolyLineTo.class, p.class);
            _rowTypes.put("PolyLineTo", PolyLineTo.class, p.class);
            _rowTypes.put("RelCubBezTo", RelCubBezTo.class, p.class);
            _rowTypes.put("RelEllipticalArcTo", RelEllipticalArcTo.class, p.class);
            _rowTypes.put("RelLineTo", RelLineTo.class, p.class);
            _rowTypes.put("RelMoveTo", RelMoveTo.class, p.class);
            _rowTypes.put("RelQuadBezTo", RelQuadBezTo.class, p.class);
            _rowTypes.put("SplineKnot", SplineKnot.class, p.class);
            _rowTypes.put("SplineStart", SplineStart.class, p.class);
        } catch (NoSuchMethodException e2) {
            throw new POIXMLException("Internal error", e2);
        } catch (SecurityException e3) {
            throw new POIXMLException("Internal error", e3);
        }
    }

    public static GeometryRow load(p pVar) {
        return _rowTypes.load(pVar.getT(), pVar);
    }
}
