package org.apache.poi.xdgf.usermodel.section.geometry;

import b.e.a.a.c.a.a.a;
import b.e.a.a.c.a.a.p;
import java.awt.geom.Path2D;
import org.apache.poi.POIXMLException;
import org.apache.poi.xdgf.usermodel.XDGFCell;
import org.apache.poi.xdgf.usermodel.XDGFShape;

public class RelMoveTo implements GeometryRow {
    public RelMoveTo _master = null;
    public Boolean deleted = null;
    public Double x = null;
    public Double y = null;

    public RelMoveTo(p pVar) {
        if (pVar.isSetDel()) {
            this.deleted = Boolean.valueOf(pVar.getDel());
        }
        a[] a = pVar.a();
        for (a aVar : a) {
            String n = aVar.getN();
            if (n.equals("X")) {
                this.x = XDGFCell.parseDoubleValue(aVar);
            } else if (n.equals("Y")) {
                this.y = XDGFCell.parseDoubleValue(aVar);
            } else {
                throw new POIXMLException(b.b.a.a.a.b("Invalid cell '", n, "' in RelMoveTo row"));
            }
        }
    }

    @Override // org.apache.poi.xdgf.usermodel.section.geometry.GeometryRow
    public void addToPath(Path2D.Double r7, XDGFShape xDGFShape) {
        if (!getDel()) {
            r7.moveTo(xDGFShape.getWidth().doubleValue() * getX().doubleValue(), xDGFShape.getHeight().doubleValue() * getY().doubleValue());
        }
    }

    public boolean getDel() {
        Boolean bool = this.deleted;
        if (bool != null) {
            return bool.booleanValue();
        }
        RelMoveTo relMoveTo = this._master;
        if (relMoveTo != null) {
            return relMoveTo.getDel();
        }
        return false;
    }

    public Double getX() {
        Double d2 = this.x;
        return d2 == null ? this._master.x : d2;
    }

    public Double getY() {
        Double d2 = this.y;
        return d2 == null ? this._master.y : d2;
    }

    @Override // org.apache.poi.xdgf.usermodel.section.geometry.GeometryRow
    public void setupMaster(GeometryRow geometryRow) {
        this._master = (RelMoveTo) geometryRow;
    }
}
