package org.apache.poi.xdgf.usermodel.shape;

import b.b.a.a.a;
import java.awt.Font;
import java.awt.Graphics2D;
import java.awt.geom.Path2D;
import org.apache.poi.xdgf.usermodel.XDGFShape;

public class ShapeDebuggerRenderer extends ShapeRenderer {
    public ShapeVisitorAcceptor _debugAcceptor = null;

    public ShapeDebuggerRenderer() {
    }

    @Override // org.apache.poi.xdgf.usermodel.shape.ShapeRenderer
    public Path2D drawPath(XDGFShape xDGFShape) {
        Path2D drawPath = super.drawPath(xDGFShape);
        ShapeVisitorAcceptor shapeVisitorAcceptor = this._debugAcceptor;
        if (shapeVisitorAcceptor == null || shapeVisitorAcceptor.accept(xDGFShape)) {
            Font font = this._graphics.getFont();
            this._graphics.scale(1.0d, -1.0d);
            this._graphics.setFont(font.deriveFont(0.05f));
            StringBuilder b2 = a.b("");
            b2.append(xDGFShape.getID());
            String sb = b2.toString();
            float f2 = -0.1f;
            if (xDGFShape.hasMasterShape()) {
                StringBuilder d2 = a.d(sb, " MS:");
                d2.append(xDGFShape.getMasterShape().getID());
                sb = d2.toString();
                f2 = -0.25f;
            }
            this._graphics.drawString(sb, f2, 0.0f);
            this._graphics.setFont(font);
            this._graphics.scale(1.0d, -1.0d);
        }
        return drawPath;
    }

    public void setDebugAcceptor(ShapeVisitorAcceptor shapeVisitorAcceptor) {
        this._debugAcceptor = shapeVisitorAcceptor;
    }

    public ShapeDebuggerRenderer(Graphics2D graphics2D) {
        super(graphics2D);
    }
}
