package org.apache.poi.xdgf.usermodel.shape;

import java.awt.geom.AffineTransform;
import org.apache.poi.xdgf.usermodel.XDGFShape;

public abstract class ShapeVisitor {
    public ShapeVisitorAcceptor _acceptor = getAcceptor();

    public boolean accept(XDGFShape xDGFShape) {
        return this._acceptor.accept(xDGFShape);
    }

    public ShapeVisitorAcceptor getAcceptor() {
        return new ShapeVisitorAcceptor() {
            /* class org.apache.poi.xdgf.usermodel.shape.ShapeVisitor.AnonymousClass1 */

            @Override // org.apache.poi.xdgf.usermodel.shape.ShapeVisitorAcceptor
            public boolean accept(XDGFShape xDGFShape) {
                return !xDGFShape.isDeleted();
            }
        };
    }

    public void setAcceptor(ShapeVisitorAcceptor shapeVisitorAcceptor) {
        this._acceptor = shapeVisitorAcceptor;
    }

    public abstract void visit(XDGFShape xDGFShape, AffineTransform affineTransform, int i2);
}
