package org.apache.poi.xdgf.util;

import b.b.a.a.a;
import java.awt.geom.AffineTransform;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.PrintStream;
import org.apache.poi.ss.formula.ptg.UnaryMinusPtg;
import org.apache.poi.xdgf.usermodel.XDGFPage;
import org.apache.poi.xdgf.usermodel.XDGFShape;
import org.apache.poi.xdgf.usermodel.XmlVisioDocument;
import org.apache.poi.xdgf.usermodel.shape.ShapeVisitor;
import org.apache.xmlbeans.impl.jam.internal.JamPrinter;

public class HierarchyPrinter {
    public static void main(String[] strArr) {
        if (strArr.length != 2) {
            System.err.println("Usage: in.vsdx outdir");
            System.exit(1);
        }
        String str = strArr[0];
        printHierarchy(new XmlVisioDocument(new FileInputStream(str)), strArr[1]);
    }

    public static void printHierarchy(XDGFPage xDGFPage, File file) {
        StringBuilder b2 = a.b("page");
        b2.append(xDGFPage.getPageNumber());
        b2.append(UnaryMinusPtg.MINUS);
        b2.append(Util.sanitizeFilename(xDGFPage.getName()));
        b2.append(".txt");
        PrintStream printStream = new PrintStream(new FileOutputStream(new File(file, b2.toString())), false, "utf-8");
        printHierarchy(xDGFPage, printStream);
        printStream.close();
    }

    public static void printHierarchy(XDGFPage xDGFPage, final PrintStream printStream) {
        xDGFPage.getContent().visitShapes(new ShapeVisitor() {
            /* class org.apache.poi.xdgf.util.HierarchyPrinter.AnonymousClass1 */

            @Override // org.apache.poi.xdgf.usermodel.shape.ShapeVisitor
            public void visit(XDGFShape xDGFShape, AffineTransform affineTransform, int i2) {
                for (int i3 = 0; i3 < i2; i3++) {
                    printStream.append((CharSequence) JamPrinter.INDENT);
                }
                PrintStream printStream = printStream;
                printStream.println(xDGFShape + " [" + xDGFShape.getShapeType() + ", " + xDGFShape.getSymbolName() + "] " + xDGFShape.getMasterShape() + " " + xDGFShape.getTextAsString().trim());
            }
        });
    }

    public static void printHierarchy(XmlVisioDocument xmlVisioDocument, String str) {
        File file = new File(str);
        for (XDGFPage xDGFPage : xmlVisioDocument.getPages()) {
            printHierarchy(xDGFPage, file);
        }
    }
}
