package org.apache.poi.xdgf.util;

import b.b.a.a.a;
import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.util.HashMap;
import java.util.Map;
import org.apache.poi.POIXMLException;
import org.apache.xmlbeans.XmlObject;

public class ObjectFactory<T, X extends XmlObject> {
    public Map<String, Constructor<? extends T>> _types = new HashMap();

    public T load(String str, Object... objArr) {
        Constructor<? extends T> constructor = this._types.get(str);
        if (constructor != null) {
            try {
                return (T) constructor.newInstance(objArr);
            } catch (InvocationTargetException e2) {
                throw new POIXMLException(e2.getCause());
            } catch (Exception e3) {
                throw new POIXMLException(e3);
            }
        } else {
            throw new POIXMLException(a.b("Invalid '", ((XmlObject) objArr[0]).schemaType().getName().getLocalPart(), "' name '", str, "'"));
        }
    }

    public void put(String str, Class<? extends T> cls, Class<?>... clsArr) {
        this._types.put(str, cls.getDeclaredConstructor(clsArr));
    }
}
