package org.apache.poi.xslf.model;

import org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties;
import org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties;

public abstract class CharacterPropertyFetcher<T> extends ParagraphPropertyFetcher<T> {
    public CharacterPropertyFetcher(int i2) {
        super(i2);
    }

    public abstract boolean fetch(CTTextCharacterProperties cTTextCharacterProperties);

    @Override // org.apache.poi.xslf.model.ParagraphPropertyFetcher
    public boolean fetch(CTTextParagraphProperties cTTextParagraphProperties) {
        if (cTTextParagraphProperties == null || !cTTextParagraphProperties.isSetDefRPr()) {
            return false;
        }
        return fetch(cTTextParagraphProperties.getDefRPr());
    }
}
