package org.apache.poi.xslf.usermodel;

import b.b.a.a.a;
import org.apache.poi.sl.usermodel.AutoShape;
import org.openxmlformats.schemas.drawingml.x2006.main.CTNonVisualDrawingProps;
import org.openxmlformats.schemas.drawingml.x2006.main.CTPresetGeometry2D;
import org.openxmlformats.schemas.drawingml.x2006.main.CTTextBody;
import org.openxmlformats.schemas.drawingml.x2006.main.CTTextBodyProperties;
import org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties;
import org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraph;
import org.openxmlformats.schemas.drawingml.x2006.main.STShapeType;
import org.openxmlformats.schemas.drawingml.x2006.main.STTextAlignType;
import org.openxmlformats.schemas.drawingml.x2006.main.STTextAnchoringType;
import org.openxmlformats.schemas.presentationml.x2006.main.CTShape;
import org.openxmlformats.schemas.presentationml.x2006.main.CTShapeNonVisual;

public class XSLFAutoShape extends XSLFTextShape implements AutoShape<XSLFShape, XSLFTextParagraph> {
    public XSLFAutoShape(CTShape cTShape, XSLFSheet xSLFSheet) {
        super(cTShape, xSLFSheet);
    }

    public static XSLFAutoShape create(CTShape cTShape, XSLFSheet xSLFSheet) {
        if (cTShape.getSpPr().isSetCustGeom()) {
            return new XSLFFreeformShape(cTShape, xSLFSheet);
        }
        if (cTShape.getNvSpPr().getCNvSpPr().isSetTxBox()) {
            return new XSLFTextBox(cTShape, xSLFSheet);
        }
        return new XSLFAutoShape(cTShape, xSLFSheet);
    }

    public static void initTextBody(CTTextBody cTTextBody) {
        CTTextBodyProperties addNewBodyPr = cTTextBody.addNewBodyPr();
        addNewBodyPr.setAnchor(STTextAnchoringType.T);
        addNewBodyPr.setRtlCol(false);
        CTTextParagraph addNewP = cTTextBody.addNewP();
        addNewP.addNewPPr().setAlgn(STTextAlignType.L);
        CTTextCharacterProperties addNewEndParaRPr = addNewP.addNewEndParaRPr();
        addNewEndParaRPr.setLang("en-US");
        addNewEndParaRPr.setSz(1100);
        addNewP.addNewR().setT("");
        cTTextBody.addNewLstStyle();
    }

    public static CTShape prototype(int i2) {
        CTShape newInstance = CTShape.Factory.newInstance();
        CTShapeNonVisual addNewNvSpPr = newInstance.addNewNvSpPr();
        CTNonVisualDrawingProps addNewCNvPr = addNewNvSpPr.addNewCNvPr();
        addNewCNvPr.setName("AutoShape " + i2);
        addNewCNvPr.setId((long) (i2 + 1));
        addNewNvSpPr.addNewCNvSpPr();
        addNewNvSpPr.addNewNvPr();
        CTPresetGeometry2D addNewPrstGeom = newInstance.addNewSpPr().addNewPrstGeom();
        addNewPrstGeom.setPrst(STShapeType.RECT);
        addNewPrstGeom.addNewAvLst();
        return newInstance;
    }

    @Override // org.apache.poi.xslf.usermodel.XSLFTextShape
    public CTTextBody getTextBody(boolean z) {
        CTShape cTShape = (CTShape) getXmlObject();
        CTTextBody txBody = cTShape.getTxBody();
        if (txBody != null || !z) {
            return txBody;
        }
        CTTextBody addNewTxBody = cTShape.addNewTxBody();
        initTextBody(addNewTxBody);
        return addNewTxBody;
    }

    public String toString() {
        StringBuilder b2 = a.b("[");
        b2.append(getClass().getSimpleName());
        b2.append("] ");
        b2.append(getShapeName());
        return b2.toString();
    }
}
