package org.apache.poi.xslf.usermodel;

import org.apache.poi.POIXMLDocumentPart;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.openxml4j.opc.PackagePart;
import org.openxmlformats.schemas.presentationml.x2006.main.CTCommentAuthor;
import org.openxmlformats.schemas.presentationml.x2006.main.CTCommentAuthorList;
import org.openxmlformats.schemas.presentationml.x2006.main.CmAuthorLstDocument;

public class XSLFCommentAuthors extends POIXMLDocumentPart {
    public final CTCommentAuthorList _authors;

    public XSLFCommentAuthors() {
        this._authors = CmAuthorLstDocument.Factory.newInstance().addNewCmAuthorLst();
    }

    public CTCommentAuthor getAuthorById(long j) {
        CTCommentAuthor[] cmAuthorArray = this._authors.getCmAuthorArray();
        for (CTCommentAuthor cTCommentAuthor : cmAuthorArray) {
            if (cTCommentAuthor.getId() == j) {
                return cTCommentAuthor;
            }
        }
        return null;
    }

    public CTCommentAuthorList getCTCommentAuthorsList() {
        return this._authors;
    }

    public XSLFCommentAuthors(PackagePart packagePart) {
        super(packagePart);
        this._authors = CmAuthorLstDocument.Factory.parse(getPackagePart().getInputStream(), POIXMLTypeLoader.DEFAULT_XML_OPTIONS).getCmAuthorLst();
    }
}
