package org.apache.poi.xslf.usermodel;

import org.apache.poi.POIXMLDocumentPart;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.openxml4j.opc.PackagePart;
import org.openxmlformats.schemas.presentationml.x2006.main.CTComment;
import org.openxmlformats.schemas.presentationml.x2006.main.CTCommentList;
import org.openxmlformats.schemas.presentationml.x2006.main.CmLstDocument;

public class XSLFComments extends POIXMLDocumentPart {
    public final CTCommentList _comments;

    public XSLFComments() {
        this._comments = CmLstDocument.Factory.newInstance().addNewCmLst();
    }

    public CTCommentList getCTCommentsList() {
        return this._comments;
    }

    public CTComment getCommentAt(int i2) {
        return this._comments.getCmArray(i2);
    }

    public int getNumberOfComments() {
        return this._comments.sizeOfCmArray();
    }

    public XSLFComments(PackagePart packagePart) {
        super(packagePart);
        this._comments = CmLstDocument.Factory.parse(getPackagePart().getInputStream(), POIXMLTypeLoader.DEFAULT_XML_OPTIONS).getCmLst();
    }
}
