package org.apache.poi.xslf.usermodel;

import b.b.a.a.a;
import java.awt.geom.AffineTransform;
import java.awt.geom.Path2D;
import java.awt.geom.PathIterator;
import java.awt.geom.Rectangle2D;
import org.apache.poi.sl.usermodel.FreeformShape;
import org.apache.poi.util.Units;
import org.apache.xmlbeans.XmlObject;
import org.openxmlformats.schemas.drawingml.x2006.main.CTAdjPoint2D;
import org.openxmlformats.schemas.drawingml.x2006.main.CTCustomGeometry2D;
import org.openxmlformats.schemas.drawingml.x2006.main.CTGeomRect;
import org.openxmlformats.schemas.drawingml.x2006.main.CTNonVisualDrawingProps;
import org.openxmlformats.schemas.drawingml.x2006.main.CTPath2D;
import org.openxmlformats.schemas.drawingml.x2006.main.CTPath2DClose;
import org.openxmlformats.schemas.drawingml.x2006.main.CTPath2DCubicBezierTo;
import org.openxmlformats.schemas.drawingml.x2006.main.CTPath2DLineTo;
import org.openxmlformats.schemas.drawingml.x2006.main.CTPath2DMoveTo;
import org.openxmlformats.schemas.drawingml.x2006.main.CTPath2DQuadBezierTo;
import org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties;
import org.openxmlformats.schemas.presentationml.x2006.main.CTShape;
import org.openxmlformats.schemas.presentationml.x2006.main.CTShapeNonVisual;

public class XSLFFreeformShape extends XSLFAutoShape implements FreeformShape<XSLFShape, XSLFTextParagraph> {
    public XSLFFreeformShape(CTShape cTShape, XSLFSheet xSLFSheet) {
        super(cTShape, xSLFSheet);
    }

    public static CTShape prototype(int i2) {
        CTShape newInstance = CTShape.Factory.newInstance();
        CTShapeNonVisual addNewNvSpPr = newInstance.addNewNvSpPr();
        CTNonVisualDrawingProps addNewCNvPr = addNewNvSpPr.addNewCNvPr();
        addNewCNvPr.setName("Freeform " + i2);
        addNewCNvPr.setId((long) (i2 + 1));
        addNewNvSpPr.addNewCNvSpPr();
        addNewNvSpPr.addNewNvPr();
        CTCustomGeometry2D addNewCustGeom = newInstance.addNewSpPr().addNewCustGeom();
        addNewCustGeom.addNewAvLst();
        addNewCustGeom.addNewGdLst();
        addNewCustGeom.addNewAhLst();
        addNewCustGeom.addNewCxnLst();
        CTGeomRect addNewRect = addNewCustGeom.addNewRect();
        addNewRect.setR("r");
        addNewRect.setB("b");
        addNewRect.setT("t");
        addNewRect.setL("l");
        addNewCustGeom.addNewPathLst();
        return newInstance;
    }

    @Override // org.apache.poi.sl.usermodel.FreeformShape
    public Path2D.Double getPath() {
        int i2;
        int i3;
        Path2D.Double r22;
        XmlObject[] xmlObjectArr;
        int i4;
        int i5;
        Path2D.Double r13 = new Path2D.Double();
        Rectangle2D anchor = getAnchor();
        XmlObject shapeProperties = getShapeProperties();
        if (!(shapeProperties instanceof CTShapeProperties)) {
            return null;
        }
        CTPath2D[] pathArray = ((CTShapeProperties) shapeProperties).getCustGeom().getPathLst().getPathArray();
        int length = pathArray.length;
        int i6 = 0;
        int i7 = 0;
        while (i7 < length) {
            CTPath2D cTPath2D = pathArray[i7];
            double width = anchor.getWidth() / Units.toPoints(cTPath2D.getW());
            double height = anchor.getHeight() / Units.toPoints(cTPath2D.getH());
            XmlObject[] selectPath = cTPath2D.selectPath("*");
            int length2 = selectPath.length;
            int i8 = 0;
            while (i8 < length2) {
                XmlObject xmlObject = selectPath[i8];
                if (xmlObject instanceof CTPath2DMoveTo) {
                    CTAdjPoint2D pt = ((CTPath2DMoveTo) xmlObject).getPt();
                    r13.moveTo((double) ((float) (Units.toPoints(((Long) pt.getX()).longValue()) * width)), (double) ((float) (Units.toPoints(((Long) pt.getY()).longValue()) * height)));
                } else if (xmlObject instanceof CTPath2DLineTo) {
                    CTAdjPoint2D pt2 = ((CTPath2DLineTo) xmlObject).getPt();
                    r13.lineTo((double) ((float) Units.toPoints(((Long) pt2.getX()).longValue())), (double) ((float) Units.toPoints(((Long) pt2.getY()).longValue())));
                } else if (xmlObject instanceof CTPath2DQuadBezierTo) {
                    CTPath2DQuadBezierTo cTPath2DQuadBezierTo = (CTPath2DQuadBezierTo) xmlObject;
                    CTAdjPoint2D ptArray = cTPath2DQuadBezierTo.getPtArray(i6);
                    CTAdjPoint2D ptArray2 = cTPath2DQuadBezierTo.getPtArray(1);
                    r22 = r13;
                    i2 = i8;
                    r22.quadTo((double) ((float) (Units.toPoints(((Long) ptArray.getX()).longValue()) * width)), (double) ((float) (Units.toPoints(((Long) ptArray.getY()).longValue()) * height)), (double) ((float) (Units.toPoints(((Long) ptArray2.getX()).longValue()) * width)), (double) ((float) (Units.toPoints(((Long) ptArray2.getY()).longValue()) * height)));
                    i4 = i7;
                    xmlObjectArr = selectPath;
                    i3 = length2;
                    i5 = length;
                    i8 = i2 + 1;
                    length = i5;
                    i7 = i4;
                    selectPath = xmlObjectArr;
                    r13 = r22;
                    length2 = i3;
                    i6 = 0;
                } else {
                    i2 = i8;
                    r22 = r13;
                    if (xmlObject instanceof CTPath2DCubicBezierTo) {
                        CTPath2DCubicBezierTo cTPath2DCubicBezierTo = (CTPath2DCubicBezierTo) xmlObject;
                        CTAdjPoint2D ptArray3 = cTPath2DCubicBezierTo.getPtArray(0);
                        CTAdjPoint2D ptArray4 = cTPath2DCubicBezierTo.getPtArray(1);
                        CTAdjPoint2D ptArray5 = cTPath2DCubicBezierTo.getPtArray(2);
                        i3 = length2;
                        i4 = i7;
                        xmlObjectArr = selectPath;
                        i5 = length;
                        r22.curveTo((double) ((float) (Units.toPoints(((Long) ptArray3.getX()).longValue()) * width)), (double) ((float) (Units.toPoints(((Long) ptArray3.getY()).longValue()) * height)), (double) ((float) (Units.toPoints(((Long) ptArray4.getX()).longValue()) * width)), (double) ((float) (Units.toPoints(((Long) ptArray4.getY()).longValue()) * height)), (double) ((float) (Units.toPoints(((Long) ptArray5.getX()).longValue()) * width)), (double) ((float) (Units.toPoints(((Long) ptArray5.getY()).longValue()) * height)));
                    } else {
                        i4 = i7;
                        xmlObjectArr = selectPath;
                        i3 = length2;
                        i5 = length;
                        if (xmlObject instanceof CTPath2DClose) {
                            r22.closePath();
                        }
                    }
                    i8 = i2 + 1;
                    length = i5;
                    i7 = i4;
                    selectPath = xmlObjectArr;
                    r13 = r22;
                    length2 = i3;
                    i6 = 0;
                }
                i3 = length2;
                i2 = i8;
                i4 = i7;
                xmlObjectArr = selectPath;
                r22 = r13;
                i5 = length;
                i8 = i2 + 1;
                length = i5;
                i7 = i4;
                selectPath = xmlObjectArr;
                r13 = r22;
                length2 = i3;
                i6 = 0;
            }
            i7++;
            r13 = r13;
            i6 = 0;
        }
        AffineTransform affineTransform = new AffineTransform();
        affineTransform.translate(anchor.getX(), anchor.getY());
        return new Path2D.Double(affineTransform.createTransformedShape(r13));
    }

    @Override // org.apache.poi.sl.usermodel.FreeformShape
    public int setPath(Path2D.Double r17) {
        CTPath2D newInstance = CTPath2D.Factory.newInstance();
        Rectangle2D bounds2D = r17.getBounds2D();
        int emu = Units.toEMU(bounds2D.getX());
        int emu2 = Units.toEMU(bounds2D.getY());
        PathIterator pathIterator = r17.getPathIterator(new AffineTransform());
        newInstance.setH((long) Units.toEMU(bounds2D.getHeight()));
        newInstance.setW((long) Units.toEMU(bounds2D.getWidth()));
        int i2 = 0;
        while (!pathIterator.isDone()) {
            double[] dArr = new double[6];
            int currentSegment = pathIterator.currentSegment(dArr);
            if (currentSegment == 0) {
                CTAdjPoint2D addNewPt = newInstance.addNewMoveTo().addNewPt();
                addNewPt.setX(Integer.valueOf(Units.toEMU(dArr[0]) - emu));
                addNewPt.setY(Integer.valueOf(Units.toEMU(dArr[1]) - emu2));
            } else if (currentSegment != 1) {
                if (currentSegment == 2) {
                    CTPath2DQuadBezierTo addNewQuadBezTo = newInstance.addNewQuadBezTo();
                    CTAdjPoint2D addNewPt2 = addNewQuadBezTo.addNewPt();
                    addNewPt2.setX(Integer.valueOf(Units.toEMU(dArr[0]) - emu));
                    addNewPt2.setY(Integer.valueOf(Units.toEMU(dArr[1]) - emu2));
                    CTAdjPoint2D addNewPt3 = addNewQuadBezTo.addNewPt();
                    addNewPt3.setX(Integer.valueOf(Units.toEMU(dArr[2]) - emu));
                    addNewPt3.setY(Integer.valueOf(Units.toEMU(dArr[3]) - emu2));
                    i2 += 2;
                } else if (currentSegment == 3) {
                    CTPath2DCubicBezierTo addNewCubicBezTo = newInstance.addNewCubicBezTo();
                    CTAdjPoint2D addNewPt4 = addNewCubicBezTo.addNewPt();
                    addNewPt4.setX(Integer.valueOf(Units.toEMU(dArr[0]) - emu));
                    addNewPt4.setY(Integer.valueOf(Units.toEMU(dArr[1]) - emu2));
                    CTAdjPoint2D addNewPt5 = addNewCubicBezTo.addNewPt();
                    addNewPt5.setX(Integer.valueOf(Units.toEMU(dArr[2]) - emu));
                    addNewPt5.setY(Integer.valueOf(Units.toEMU(dArr[3]) - emu2));
                    CTAdjPoint2D addNewPt6 = addNewCubicBezTo.addNewPt();
                    addNewPt6.setX(Integer.valueOf(Units.toEMU(dArr[4]) - emu));
                    addNewPt6.setY(Integer.valueOf(Units.toEMU(dArr[5]) - emu2));
                    i2 += 3;
                } else if (currentSegment == 4) {
                    i2++;
                    newInstance.addNewClose();
                } else {
                    throw new IllegalStateException(a.c("Unrecognized path segment type: ", currentSegment));
                }
                pathIterator.next();
            } else {
                CTAdjPoint2D addNewPt7 = newInstance.addNewLnTo().addNewPt();
                addNewPt7.setX(Integer.valueOf(Units.toEMU(dArr[0]) - emu));
                addNewPt7.setY(Integer.valueOf(Units.toEMU(dArr[1]) - emu2));
            }
            i2++;
            pathIterator.next();
        }
        XmlObject shapeProperties = getShapeProperties();
        if (!(shapeProperties instanceof CTShapeProperties)) {
            return -1;
        }
        ((CTShapeProperties) shapeProperties).getCustGeom().getPathLst().setPathArray(new CTPath2D[]{newInstance});
        setAnchor(bounds2D);
        return i2;
    }
}
