package org.apache.poi.xslf.usermodel;

import org.apache.poi.sl.usermodel.AutoShape;
import org.apache.poi.sl.usermodel.ConnectorShape;
import org.apache.poi.sl.usermodel.FreeformShape;
import org.apache.poi.sl.usermodel.GroupShape;
import org.apache.poi.sl.usermodel.PictureData;
import org.apache.poi.sl.usermodel.PictureShape;
import org.apache.poi.sl.usermodel.ShapeContainer;
import org.apache.poi.sl.usermodel.TextBox;

public interface XSLFShapeContainer extends ShapeContainer<XSLFShape, XSLFTextParagraph> {
    void clear();

    /* Return type fixed from 'org.apache.poi.xslf.usermodel.XSLFAutoShape' to match base method */
    @Override // org.apache.poi.sl.usermodel.ShapeContainer
    AutoShape<XSLFShape, XSLFTextParagraph> createAutoShape();

    /* Return type fixed from 'org.apache.poi.xslf.usermodel.XSLFConnectorShape' to match base method */
    @Override // org.apache.poi.sl.usermodel.ShapeContainer
    ConnectorShape<XSLFShape, XSLFTextParagraph> createConnector();

    /* Return type fixed from 'org.apache.poi.xslf.usermodel.XSLFFreeformShape' to match base method */
    @Override // org.apache.poi.sl.usermodel.ShapeContainer
    FreeformShape<XSLFShape, XSLFTextParagraph> createFreeform();

    /* Return type fixed from 'org.apache.poi.xslf.usermodel.XSLFGroupShape' to match base method */
    @Override // org.apache.poi.sl.usermodel.ShapeContainer
    GroupShape<XSLFShape, XSLFTextParagraph> createGroup();

    /* Return type fixed from 'org.apache.poi.xslf.usermodel.XSLFPictureShape' to match base method */
    @Override // org.apache.poi.sl.usermodel.ShapeContainer
    PictureShape<XSLFShape, XSLFTextParagraph> createPicture(PictureData pictureData);

    /* Return type fixed from 'org.apache.poi.xslf.usermodel.XSLFTextBox' to match base method */
    @Override // org.apache.poi.sl.usermodel.ShapeContainer
    TextBox<XSLFShape, XSLFTextParagraph> createTextBox();
}
