package org.apache.poi.xslf.util;

import b.b.a.a.a;
import java.awt.Dimension;
import java.awt.Graphics2D;
import java.awt.RenderingHints;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.PrintStream;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import java.util.Set;
import java.util.TreeSet;
import javax.imageio.ImageIO;
import org.apache.poi.openxml4j.opc.ContentTypes;
import org.apache.poi.sl.draw.DrawFactory;
import org.apache.poi.sl.usermodel.Slide;
import org.apache.poi.sl.usermodel.SlideShow;
import org.apache.poi.sl.usermodel.SlideShowFactory;
import org.apache.poi.ss.formula.ptg.UnaryMinusPtg;
import org.apache.poi.xssf.usermodel.XSSFDataValidationConstraint;

public class PPTX2PNG {
    public static void main(String[] strArr) {
        Iterator<Integer> it;
        boolean z;
        List<? extends Slide<?, ?>> list;
        String str;
        if (strArr.length == 0) {
            usage(null);
            return;
        }
        float f2 = 1.0f;
        String str2 = "-1";
        String str3 = ContentTypes.EXTENSION_PNG;
        File file = null;
        File file2 = null;
        int i2 = 0;
        boolean z2 = false;
        while (i2 < strArr.length) {
            if (!strArr[i2].startsWith(UnaryMinusPtg.MINUS)) {
                file = new File(strArr[i2]);
            } else if ("-scale".equals(strArr[i2])) {
                i2++;
                f2 = Float.parseFloat(strArr[i2]);
            } else if ("-slide".equals(strArr[i2])) {
                i2++;
                str2 = strArr[i2];
            } else if ("-format".equals(strArr[i2])) {
                i2++;
                str3 = strArr[i2];
            } else if ("-outdir".equals(strArr[i2])) {
                i2++;
                file2 = new File(strArr[i2]);
            } else if ("-quiet".equals(strArr[i2])) {
                z2 = true;
            }
            i2++;
        }
        if (file == null || !file.exists()) {
            usage("File not specified or it doesn't exist");
        } else if (str3 == null || !str3.matches("^(png|gif|jpg|null)$")) {
            usage("Invalid format given");
        } else {
            if (file2 == null) {
                file2 = file.getParentFile();
            }
            if (!"null".equals(str3) && (file2 == null || !file2.exists() || !file2.isDirectory())) {
                usage("Output directory doesn't exist");
            } else if (f2 < 0.0f) {
                usage("Invalid scale given");
            } else {
                if (!z2) {
                    System.out.println("Processing " + file);
                }
                SlideShow<?, ?> create = SlideShowFactory.create(file, null, true);
                try {
                    List<? extends Slide<?, ?>> slides = create.getSlides();
                    Set<Integer> slideIndexes = slideIndexes(slides.size(), str2);
                    if (slideIndexes.isEmpty()) {
                        usage("slidenum must be either -1 (for all) or within range: [1.." + slides.size() + "] for " + file);
                        return;
                    }
                    Dimension pageSize = create.getPageSize();
                    int i3 = (int) (((float) pageSize.width) * f2);
                    int i4 = (int) (((float) pageSize.height) * f2);
                    Iterator<Integer> it2 = slideIndexes.iterator();
                    while (it2.hasNext()) {
                        Integer next = it2.next();
                        Slide slide = (Slide) slides.get(next.intValue());
                        String title = slide.getTitle();
                        if (!z2) {
                            PrintStream printStream = System.out;
                            it = it2;
                            StringBuilder sb = new StringBuilder();
                            list = slides;
                            sb.append("Rendering slide ");
                            sb.append(next);
                            if (title == null) {
                                z = z2;
                                str = "";
                            } else {
                                StringBuilder sb2 = new StringBuilder();
                                z = z2;
                                sb2.append(": ");
                                sb2.append(title);
                                str = sb2.toString();
                            }
                            sb.append(str);
                            printStream.println(sb.toString());
                        } else {
                            it = it2;
                            list = slides;
                            z = z2;
                        }
                        BufferedImage bufferedImage = new BufferedImage(i3, i4, 2);
                        Graphics2D createGraphics = bufferedImage.createGraphics();
                        DrawFactory.getInstance(createGraphics).fixFonts(createGraphics);
                        createGraphics.setRenderingHint(RenderingHints.KEY_ANTIALIASING, RenderingHints.VALUE_ANTIALIAS_ON);
                        createGraphics.setRenderingHint(RenderingHints.KEY_RENDERING, RenderingHints.VALUE_RENDER_QUALITY);
                        createGraphics.setRenderingHint(RenderingHints.KEY_INTERPOLATION, RenderingHints.VALUE_INTERPOLATION_BICUBIC);
                        createGraphics.setRenderingHint(RenderingHints.KEY_FRACTIONALMETRICS, RenderingHints.VALUE_FRACTIONALMETRICS_ON);
                        double d2 = (double) f2;
                        createGraphics.scale(d2, d2);
                        slide.draw(createGraphics);
                        if (!"null".equals(str3)) {
                            ImageIO.write(bufferedImage, str3, new File(file2, String.format(Locale.ROOT, "%1$s-%2$04d.%3$s", file.getName().replaceFirst(".pptx?", ""), next, str3)));
                        }
                        createGraphics.dispose();
                        bufferedImage.flush();
                        it2 = it;
                        str3 = str3;
                        slides = list;
                        z2 = z;
                    }
                    create.close();
                    if (!z2) {
                        System.out.println("Done");
                    }
                } finally {
                    create.close();
                }
            }
        }
    }

    public static Set<Integer> slideIndexes(int i2, String str) {
        TreeSet treeSet = new TreeSet();
        if ("-1".equals(str)) {
            for (int i3 = 0; i3 < i2; i3++) {
                treeSet.add(Integer.valueOf(i3));
            }
        } else {
            String[] split = str.split(XSSFDataValidationConstraint.LIST_SEPARATOR);
            for (String str2 : split) {
                String[] split2 = str2.split(UnaryMinusPtg.MINUS);
                int length = split2.length;
                if (length == 1) {
                    int parseInt = Integer.parseInt(split2[0]);
                    if (str2.contains(UnaryMinusPtg.MINUS)) {
                        int i4 = str2.startsWith(UnaryMinusPtg.MINUS) ? 0 : parseInt;
                        int min = str2.endsWith(UnaryMinusPtg.MINUS) ? i2 : Math.min(parseInt, i2);
                        for (int max = Math.max(i4, 1); max < min; max++) {
                            treeSet.add(Integer.valueOf(max - 1));
                        }
                    } else {
                        treeSet.add(Integer.valueOf(Math.max(parseInt, 1) - 1));
                    }
                } else if (length == 2) {
                    int min2 = Math.min(Integer.parseInt(split2[0]), i2);
                    int min3 = Math.min(Integer.parseInt(split2[1]), i2);
                    for (int max2 = Math.max(min2, 1); max2 < min3; max2++) {
                        treeSet.add(Integer.valueOf(max2 - 1));
                    }
                }
            }
        }
        return treeSet;
    }

    public static void usage(String str) {
        StringBuilder b2 = a.b("Usage: PPTX2PNG [options] <ppt or pptx file>\n");
        b2.append(str == null ? "" : a.b("Error: ", str, "\n"));
        b2.append("Options:\n");
        b2.append("    -scale <float>   scale factor\n");
        b2.append("    -slide <integer> 1-based index of a slide to render\n");
        b2.append("    -format <type>   png,gif,jpg (,null for testing)");
        b2.append("    -outdir <dir>    output directory, defaults to origin of the ppt/pptx file");
        b2.append("    -quiet           do not write to console (for normal processing)");
        System.out.println(b2.toString());
    }
}
