package org.apache.poi.xssf.binary;

import org.apache.poi.util.Internal;
import org.apache.poi.util.LittleEndian;

@Internal
public class XSSFBCellHeader {
    public static int length = 8;
    public int colNum;
    public int rowNum;
    public boolean showPhonetic;
    public int styleIdx;

    public static void parse(byte[] bArr, int i2, int i3, XSSFBCellHeader xSSFBCellHeader) {
        xSSFBCellHeader.reset(i3, XSSFBUtils.castToInt(LittleEndian.getUInt(bArr, i2)), XSSFBUtils.get24BitInt(bArr, i2 + 4), false);
    }

    public int getColNum() {
        return this.colNum;
    }

    public int getStyleIdx() {
        return this.styleIdx;
    }

    public void reset(int i2, int i3, int i4, boolean z) {
        this.rowNum = i2;
        this.colNum = i3;
        this.styleIdx = i4;
        this.showPhonetic = z;
    }
}
