package org.apache.poi.xssf.binary;

import org.apache.poi.util.Internal;
import org.apache.poi.util.LittleEndian;

@Internal
public class XSSFBCellRange {
    public static final int length = 16;
    public int firstCol;
    public int firstRow;
    public int lastCol;
    public int lastRow;

    public static XSSFBCellRange parse(byte[] bArr, int i2, XSSFBCellRange xSSFBCellRange) {
        if (xSSFBCellRange == null) {
            xSSFBCellRange = new XSSFBCellRange();
        }
        xSSFBCellRange.firstRow = XSSFBUtils.castToInt(LittleEndian.getUInt(bArr, i2));
        int i3 = i2 + 4;
        xSSFBCellRange.lastRow = XSSFBUtils.castToInt(LittleEndian.getUInt(bArr, i3));
        int i4 = i3 + 4;
        xSSFBCellRange.firstCol = XSSFBUtils.castToInt(LittleEndian.getUInt(bArr, i4));
        xSSFBCellRange.lastCol = XSSFBUtils.castToInt(LittleEndian.getUInt(bArr, i4 + 4));
        return xSSFBCellRange;
    }
}
