package org.apache.poi.xssf.binary;

import org.apache.poi.ss.usermodel.ClientAnchor;
import org.apache.poi.ss.usermodel.RichTextString;
import org.apache.poi.ss.util.CellAddress;
import org.apache.poi.util.Internal;
import org.apache.poi.xssf.usermodel.XSSFComment;

@Internal
public class XSSFBComment extends XSSFComment {
    public final String author;
    public final CellAddress cellAddress;
    public final XSSFBRichTextString comment;
    public boolean visible = true;

    public XSSFBComment(CellAddress cellAddress2, String str, String str2) {
        super(null, null, null);
        this.cellAddress = cellAddress2;
        this.author = str;
        this.comment = new XSSFBRichTextString(str2);
    }

    @Override // org.apache.poi.ss.usermodel.Comment, org.apache.poi.xssf.usermodel.XSSFComment
    public CellAddress getAddress() {
        return this.cellAddress;
    }

    @Override // org.apache.poi.ss.usermodel.Comment, org.apache.poi.xssf.usermodel.XSSFComment
    public String getAuthor() {
        return this.author;
    }

    @Override // org.apache.poi.ss.usermodel.Comment, org.apache.poi.xssf.usermodel.XSSFComment
    public ClientAnchor getClientAnchor() {
        return null;
    }

    @Override // org.apache.poi.ss.usermodel.Comment, org.apache.poi.xssf.usermodel.XSSFComment
    public int getColumn() {
        return this.cellAddress.getColumn();
    }

    @Override // org.apache.poi.ss.usermodel.Comment, org.apache.poi.xssf.usermodel.XSSFComment
    public int getRow() {
        return this.cellAddress.getRow();
    }

    @Override // org.apache.poi.ss.usermodel.Comment, org.apache.poi.xssf.usermodel.XSSFComment
    public boolean isVisible() {
        return this.visible;
    }

    @Override // org.apache.poi.ss.usermodel.Comment, org.apache.poi.xssf.usermodel.XSSFComment
    public void setAddress(CellAddress cellAddress2) {
        throw new IllegalArgumentException("XSSFBComment is read only");
    }

    @Override // org.apache.poi.ss.usermodel.Comment, org.apache.poi.xssf.usermodel.XSSFComment
    public void setAuthor(String str) {
        throw new IllegalArgumentException("XSSFBComment is read only");
    }

    @Override // org.apache.poi.ss.usermodel.Comment, org.apache.poi.xssf.usermodel.XSSFComment
    public void setColumn(int i2) {
        throw new IllegalArgumentException("XSSFBComment is read only");
    }

    @Override // org.apache.poi.ss.usermodel.Comment, org.apache.poi.xssf.usermodel.XSSFComment
    public void setRow(int i2) {
        throw new IllegalArgumentException("XSSFBComment is read only");
    }

    @Override // org.apache.poi.ss.usermodel.Comment, org.apache.poi.xssf.usermodel.XSSFComment
    public void setString(RichTextString richTextString) {
        throw new IllegalArgumentException("XSSFBComment is read only");
    }

    @Override // org.apache.poi.ss.usermodel.Comment, org.apache.poi.xssf.usermodel.XSSFComment
    public void setVisible(boolean z) {
        throw new IllegalArgumentException("XSSFBComment is read only.");
    }

    @Override // org.apache.poi.ss.usermodel.Comment, org.apache.poi.xssf.usermodel.XSSFComment
    public void setAddress(int i2, int i3) {
        throw new IllegalArgumentException("XSSFBComment is read only");
    }

    @Override // org.apache.poi.ss.usermodel.Comment, org.apache.poi.xssf.usermodel.XSSFComment, org.apache.poi.xssf.usermodel.XSSFComment
    public XSSFBRichTextString getString() {
        return this.comment;
    }
}
