package org.apache.poi.xssf.binary;

import org.apache.poi.util.Internal;
import org.apache.poi.xssf.usermodel.helpers.HeaderFooterHelper;

@Internal
public class XSSFBHeaderFooter {
    public static final HeaderFooterHelper HEADER_FOOTER_HELPER = new HeaderFooterHelper();
    public final String headerFooterTypeLabel;
    public final boolean isHeader;
    public String rawString;

    public XSSFBHeaderFooter(String str, boolean z) {
        this.headerFooterTypeLabel = str;
        this.isHeader = z;
    }

    public String getHeaderFooterTypeLabel() {
        return this.headerFooterTypeLabel;
    }

    public String getRawString() {
        return this.rawString;
    }

    public String getString() {
        StringBuilder sb = new StringBuilder();
        String leftSection = HEADER_FOOTER_HELPER.getLeftSection(this.rawString);
        String centerSection = HEADER_FOOTER_HELPER.getCenterSection(this.rawString);
        String rightSection = HEADER_FOOTER_HELPER.getRightSection(this.rawString);
        if (leftSection != null && leftSection.length() > 0) {
            sb.append(leftSection);
        }
        if (centerSection != null && centerSection.length() > 0) {
            if (sb.length() > 0) {
                sb.append(" ");
            }
            sb.append(centerSection);
        }
        if (rightSection != null && rightSection.length() > 0) {
            if (sb.length() > 0) {
                sb.append(" ");
            }
            sb.append(rightSection);
        }
        return sb.toString();
    }

    public boolean isHeader() {
        return this.isHeader;
    }

    public void setRawString(String str) {
        this.rawString = str;
    }
}
