package org.apache.poi.xssf.binary;

import org.apache.poi.util.Internal;

@Internal
public class XSSFBHeaderFooters {
    public XSSFBHeaderFooter footer;
    public XSSFBHeaderFooter footerEven;
    public XSSFBHeaderFooter footerFirst;
    public XSSFBHeaderFooter header;
    public XSSFBHeaderFooter headerEven;
    public XSSFBHeaderFooter headerFirst;

    public static XSSFBHeaderFooters parse(byte[] bArr) {
        XSSFBHeaderFooters xSSFBHeaderFooters = new XSSFBHeaderFooters();
        xSSFBHeaderFooters.header = new XSSFBHeaderFooter("header", true);
        xSSFBHeaderFooters.footer = new XSSFBHeaderFooter("footer", false);
        xSSFBHeaderFooters.headerEven = new XSSFBHeaderFooter("evenHeader", true);
        xSSFBHeaderFooters.footerEven = new XSSFBHeaderFooter("evenFooter", false);
        xSSFBHeaderFooters.headerFirst = new XSSFBHeaderFooter("firstHeader", true);
        xSSFBHeaderFooters.footerFirst = new XSSFBHeaderFooter("firstFooter", false);
        int readHeaderFooter = readHeaderFooter(bArr, 2, xSSFBHeaderFooters.header) + 2;
        int readHeaderFooter2 = readHeaderFooter(bArr, readHeaderFooter, xSSFBHeaderFooters.footer) + readHeaderFooter;
        int readHeaderFooter3 = readHeaderFooter(bArr, readHeaderFooter2, xSSFBHeaderFooters.headerEven) + readHeaderFooter2;
        int readHeaderFooter4 = readHeaderFooter(bArr, readHeaderFooter3, xSSFBHeaderFooters.footerEven) + readHeaderFooter3;
        readHeaderFooter(bArr, readHeaderFooter(bArr, readHeaderFooter4, xSSFBHeaderFooters.headerFirst) + readHeaderFooter4, xSSFBHeaderFooters.footerFirst);
        return xSSFBHeaderFooters;
    }

    public static int readHeaderFooter(byte[] bArr, int i2, XSSFBHeaderFooter xSSFBHeaderFooter) {
        if (i2 + 4 >= bArr.length) {
            return 0;
        }
        StringBuilder sb = new StringBuilder();
        int readXLNullableWideString = XSSFBUtils.readXLNullableWideString(bArr, i2, sb);
        xSSFBHeaderFooter.setRawString(sb.toString());
        return readXLNullableWideString;
    }

    public XSSFBHeaderFooter getFooter() {
        return this.footer;
    }

    public XSSFBHeaderFooter getFooterEven() {
        return this.footerEven;
    }

    public XSSFBHeaderFooter getFooterFirst() {
        return this.footerFirst;
    }

    public XSSFBHeaderFooter getHeader() {
        return this.header;
    }

    public XSSFBHeaderFooter getHeaderEven() {
        return this.headerEven;
    }

    public XSSFBHeaderFooter getHeaderFirst() {
        return this.headerFirst;
    }
}
