package org.apache.poi.xssf.binary;

import b.b.a.a.a;
import org.apache.poi.ss.util.CellRangeAddress;
import org.apache.poi.util.Internal;

@Internal
public class XSSFHyperlinkRecord {
    public final CellRangeAddress cellRangeAddress;
    public String display;
    public String location;
    public final String relId;
    public String toolTip;

    public XSSFHyperlinkRecord(CellRangeAddress cellRangeAddress2, String str, String str2, String str3, String str4) {
        this.cellRangeAddress = cellRangeAddress2;
        this.relId = str;
        this.location = str2;
        this.toolTip = str3;
        this.display = str4;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || XSSFHyperlinkRecord.class != obj.getClass()) {
            return false;
        }
        XSSFHyperlinkRecord xSSFHyperlinkRecord = (XSSFHyperlinkRecord) obj;
        CellRangeAddress cellRangeAddress2 = this.cellRangeAddress;
        if (cellRangeAddress2 == null ? xSSFHyperlinkRecord.cellRangeAddress != null : !cellRangeAddress2.equals(xSSFHyperlinkRecord.cellRangeAddress)) {
            return false;
        }
        String str = this.relId;
        if (str == null ? xSSFHyperlinkRecord.relId != null : !str.equals(xSSFHyperlinkRecord.relId)) {
            return false;
        }
        String str2 = this.location;
        if (str2 == null ? xSSFHyperlinkRecord.location != null : !str2.equals(xSSFHyperlinkRecord.location)) {
            return false;
        }
        String str3 = this.toolTip;
        if (str3 == null ? xSSFHyperlinkRecord.toolTip != null : !str3.equals(xSSFHyperlinkRecord.toolTip)) {
            return false;
        }
        String str4 = this.display;
        String str5 = xSSFHyperlinkRecord.display;
        if (str4 != null) {
            return str4.equals(str5);
        }
        if (str5 == null) {
            return true;
        }
        return false;
    }

    public CellRangeAddress getCellRangeAddress() {
        return this.cellRangeAddress;
    }

    public String getDisplay() {
        return this.display;
    }

    public String getLocation() {
        return this.location;
    }

    public String getRelId() {
        return this.relId;
    }

    public String getToolTip() {
        return this.toolTip;
    }

    public int hashCode() {
        CellRangeAddress cellRangeAddress2 = this.cellRangeAddress;
        int i2 = 0;
        int hashCode = (cellRangeAddress2 != null ? cellRangeAddress2.hashCode() : 0) * 31;
        String str = this.relId;
        int hashCode2 = (hashCode + (str != null ? str.hashCode() : 0)) * 31;
        String str2 = this.location;
        int hashCode3 = (hashCode2 + (str2 != null ? str2.hashCode() : 0)) * 31;
        String str3 = this.toolTip;
        int hashCode4 = (hashCode3 + (str3 != null ? str3.hashCode() : 0)) * 31;
        String str4 = this.display;
        if (str4 != null) {
            i2 = str4.hashCode();
        }
        return hashCode4 + i2;
    }

    public void setDisplay(String str) {
        this.display = str;
    }

    public void setLocation(String str) {
        this.location = str;
    }

    public void setToolTip(String str) {
        this.toolTip = str;
    }

    public String toString() {
        StringBuilder b2 = a.b("XSSFHyperlinkRecord{cellRangeAddress=");
        b2.append(this.cellRangeAddress);
        b2.append(", relId='");
        b2.append(this.relId);
        b2.append('\'');
        b2.append(", location='");
        b2.append(this.location);
        b2.append('\'');
        b2.append(", toolTip='");
        b2.append(this.toolTip);
        b2.append('\'');
        b2.append(", display='");
        b2.append(this.display);
        b2.append('\'');
        b2.append('}');
        return b2.toString();
    }
}
