package org.apache.poi.xssf.streaming;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.zip.GZIPInputStream;
import java.util.zip.GZIPOutputStream;
import org.apache.poi.util.TempFile;
import org.apache.poi.xssf.model.SharedStringsTable;

public class GZIPSheetDataWriter extends SheetDataWriter {
    public GZIPSheetDataWriter() {
    }

    @Override // org.apache.poi.xssf.streaming.SheetDataWriter
    public File createTempFile() {
        return TempFile.createTempFile("poi-sxssf-sheet-xml", ".gz");
    }

    @Override // org.apache.poi.xssf.streaming.SheetDataWriter
    public InputStream decorateInputStream(FileInputStream fileInputStream) {
        return new GZIPInputStream(fileInputStream);
    }

    @Override // org.apache.poi.xssf.streaming.SheetDataWriter
    public OutputStream decorateOutputStream(FileOutputStream fileOutputStream) {
        return new GZIPOutputStream(fileOutputStream);
    }

    public GZIPSheetDataWriter(SharedStringsTable sharedStringsTable) {
        super(sharedStringsTable);
    }
}
