package org.apache.poi.xssf.streaming;

import org.apache.poi.ss.formula.EvaluationCell;
import org.apache.poi.ss.formula.EvaluationSheet;
import org.apache.poi.util.Internal;
import org.apache.poi.xssf.streaming.SXSSFFormulaEvaluator;

@Internal
public final class SXSSFEvaluationSheet implements EvaluationSheet {
    public final SXSSFSheet _xs;

    public SXSSFEvaluationSheet(SXSSFSheet sXSSFSheet) {
        this._xs = sXSSFSheet;
    }

    @Override // org.apache.poi.ss.formula.EvaluationSheet
    public void clearAllCachedResultValues() {
    }

    @Override // org.apache.poi.ss.formula.EvaluationSheet
    public EvaluationCell getCell(int i2, int i3) {
        SXSSFRow row = this._xs.getRow(i2);
        if (row != null) {
            SXSSFCell cell = row.getCell(i3);
            if (cell == null) {
                return null;
            }
            return new SXSSFEvaluationCell(cell, this);
        } else if (i2 > this._xs.getLastFlushedRowNum()) {
            return null;
        } else {
            throw new SXSSFFormulaEvaluator.RowFlushedException(i2);
        }
    }

    public SXSSFSheet getSXSSFSheet() {
        return this._xs;
    }
}
