package org.apache.poi.xssf.usermodel;

import org.apache.poi.hssf.util.HSSFColor;

public class DefaultIndexedColorMap implements IndexedColorMap {
    public static byte[] getDefaultRGB(int i2) {
        HSSFColor hSSFColor = HSSFColor.getIndexHash().get(Integer.valueOf(i2));
        if (hSSFColor == null) {
            return null;
        }
        short[] triplet = hSSFColor.getTriplet();
        return new byte[]{(byte) triplet[0], (byte) triplet[1], (byte) triplet[2]};
    }

    @Override // org.apache.poi.xssf.usermodel.IndexedColorMap
    public byte[] getRGB(int i2) {
        return getDefaultRGB(i2);
    }
}
