package org.apache.poi.xssf.usermodel;

import b.e.a.a.a.b;
import b.e.a.a.b.a;
import b.e.a.a.b.c;
import b.e.a.a.b.d;
import b.e.a.a.b.e;
import b.e.a.b.g;
import b.e.a.b.h;
import b.e.a.b.i;
import b.e.a.b.j;
import b.e.a.b.n;
import b.e.a.b.o;
import b.e.a.b.p;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.StringReader;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import org.apache.poi.POIXMLDocumentPart;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.poi.openxml4j.opc.PackagePart;
import org.apache.poi.ss.usermodel.DataFormatter;
import org.apache.poi.util.DocumentHelper;
import org.apache.poi.util.ReplacingInputStream;
import org.apache.xmlbeans.XmlCursor;
import org.apache.xmlbeans.XmlException;
import org.apache.xmlbeans.XmlObject;
import org.w3c.dom.Node;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;

public final class XSSFVMLDrawing extends POIXMLDocumentPart {
    public static final String COMMENT_SHAPE_TYPE_ID = "_x0000_t202";
    public static final QName QNAME_SHAPE = new QName("urn:schemas-microsoft-com:vml", "shape");
    public static final QName QNAME_SHAPE_LAYOUT = new QName("urn:schemas-microsoft-com:office:office", "shapelayout");
    public static final QName QNAME_SHAPE_TYPE = new QName("urn:schemas-microsoft-com:vml", "shapetype");
    public static final Pattern ptrn_shapeId = Pattern.compile("_x0000_s(\\d+)");
    public List<XmlObject> _items = new ArrayList();
    public List<QName> _qnames = new ArrayList();
    public int _shapeId = 1024;
    public String _shapeTypeId;

    public XSSFVMLDrawing() {
        newDrawing();
    }

    private void newDrawing() {
        c cVar = (c) POIXMLTypeLoader.newInstance(c.c, null);
        cVar.a(n.p);
        a f0 = cVar.f0();
        f0.a(n.p);
        f0.setData("1");
        this._items.add(cVar);
        this._qnames.add(QNAME_SHAPE_LAYOUT);
        j jVar = (j) POIXMLTypeLoader.newInstance(j.o, null);
        this._shapeTypeId = COMMENT_SHAPE_TYPE_ID;
        jVar.setId(COMMENT_SHAPE_TYPE_ID);
        jVar.j("21600,21600");
        jVar.a(202.0f);
        jVar.h("m,l,21600r21600,l21600,xe");
        jVar.a0().a(o.q);
        g addNewPath = jVar.addNewPath();
        addNewPath.b(p.r);
        addNewPath.a(d.f239e);
        this._items.add(jVar);
        this._qnames.add(QNAME_SHAPE_TYPE);
    }

    @Override // org.apache.poi.POIXMLDocumentPart
    public void commit() {
        OutputStream outputStream = getPackagePart().getOutputStream();
        write(outputStream);
        outputStream.close();
    }

    public i findCommentShape(int i2, int i3) {
        for (XmlObject xmlObject : this._items) {
            if (xmlObject instanceof i) {
                i iVar = (i) xmlObject;
                if (iVar.x() > 0) {
                    b.e.a.a.a.a a = iVar.a(0);
                    if (a.b0() == b.f237b) {
                        int intValue = a.getRowArray(0).intValue();
                        int intValue2 = a.b(0).intValue();
                        if (intValue == i2 && intValue2 == i3) {
                            return iVar;
                        }
                    } else {
                        continue;
                    }
                } else {
                    continue;
                }
            }
        }
        return null;
    }

    public List<XmlObject> getItems() {
        return this._items;
    }

    public i newCommentShape() {
        i iVar = (i) POIXMLTypeLoader.newInstance(i.n, null);
        StringBuilder b2 = b.b.a.a.a.b("_x0000_s");
        int i2 = this._shapeId + 1;
        this._shapeId = i2;
        b2.append(i2);
        iVar.setId(b2.toString());
        iVar.setType(DataFormatter.defaultFractionWholePartFormat + this._shapeTypeId);
        iVar.a("position:absolute; visibility:hidden");
        iVar.k("#ffffe1");
        iVar.a(e.f241g);
        iVar.addNewFill().setColor("#ffffe1");
        h addNewShadow = iVar.addNewShadow();
        addNewShadow.a(p.r);
        addNewShadow.setColor("black");
        addNewShadow.d(p.r);
        iVar.addNewPath().a(d.f238d);
        iVar.n().a("mso-direction-alt:auto");
        b.e.a.a.a.a addNewClientData = iVar.addNewClientData();
        addNewClientData.a(b.f237b);
        addNewClientData.k();
        addNewClientData.J();
        addNewClientData.addNewAnchor().setStringValue("1, 15, 0, 2, 3, 15, 3, 16");
        addNewClientData.G().setStringValue("False");
        addNewClientData.addNewRow().setBigIntegerValue(new BigInteger("0"));
        addNewClientData.I().setBigIntegerValue(new BigInteger("0"));
        this._items.add(iVar);
        this._qnames.add(QNAME_SHAPE);
        return iVar;
    }

    public void read(InputStream inputStream) {
        try {
            XmlObject parse = XmlObject.Factory.parse(DocumentHelper.readDocument(new ReplacingInputStream(inputStream, "<br>", "<br/>")), POIXMLTypeLoader.DEFAULT_XML_OPTIONS);
            this._qnames = new ArrayList();
            this._items = new ArrayList();
            XmlObject[] selectPath = parse.selectPath("$this/xml/*");
            for (XmlObject xmlObject : selectPath) {
                Node domNode = xmlObject.getDomNode();
                QName qName = new QName(domNode.getNamespaceURI(), domNode.getLocalName());
                if (qName.equals(QNAME_SHAPE_LAYOUT)) {
                    this._items.add((c) POIXMLTypeLoader.parse(xmlObject.xmlText(), c.c, POIXMLTypeLoader.DEFAULT_XML_OPTIONS));
                } else if (qName.equals(QNAME_SHAPE_TYPE)) {
                    j jVar = (j) POIXMLTypeLoader.parse(xmlObject.xmlText(), j.o, POIXMLTypeLoader.DEFAULT_XML_OPTIONS);
                    this._items.add(jVar);
                    this._shapeTypeId = jVar.getId();
                } else if (qName.equals(QNAME_SHAPE)) {
                    i iVar = (i) POIXMLTypeLoader.parse(xmlObject.xmlText(), i.n, POIXMLTypeLoader.DEFAULT_XML_OPTIONS);
                    String id = iVar.getId();
                    if (id != null) {
                        Matcher matcher = ptrn_shapeId.matcher(id);
                        if (matcher.find()) {
                            this._shapeId = Math.max(this._shapeId, Integer.parseInt(matcher.group(1)));
                        }
                    }
                    this._items.add(iVar);
                } else {
                    try {
                        this._items.add(XmlObject.Factory.parse(DocumentHelper.readDocument(new InputSource(new StringReader(xmlObject.xmlText()))), POIXMLTypeLoader.DEFAULT_XML_OPTIONS));
                    } catch (SAXException e2) {
                        throw new XmlException(e2.getMessage(), e2);
                    }
                }
                this._qnames.add(qName);
            }
        } catch (SAXException e3) {
            throw new XmlException(e3.getMessage(), e3);
        }
    }

    public boolean removeCommentShape(int i2, int i3) {
        i findCommentShape = findCommentShape(i2, i3);
        return findCommentShape != null && this._items.remove(findCommentShape);
    }

    public void write(OutputStream outputStream) {
        XmlObject newInstance = XmlObject.Factory.newInstance();
        XmlCursor newCursor = newInstance.newCursor();
        newCursor.toNextToken();
        newCursor.beginElement("xml");
        for (int i2 = 0; i2 < this._items.size(); i2++) {
            XmlCursor newCursor2 = this._items.get(i2).newCursor();
            newCursor.beginElement(this._qnames.get(i2));
            while (newCursor2.toNextToken() == XmlCursor.TokenType.ATTR) {
                Node domNode = newCursor2.getDomNode();
                newCursor.insertAttributeWithValue(domNode.getLocalName(), domNode.getNamespaceURI(), domNode.getNodeValue());
            }
            newCursor2.toStartDoc();
            newCursor2.copyXmlContents(newCursor);
            newCursor.toNextToken();
            newCursor2.dispose();
        }
        newCursor.dispose();
        newInstance.save(outputStream, POIXMLTypeLoader.DEFAULT_XML_OPTIONS);
    }

    public XSSFVMLDrawing(PackagePart packagePart) {
        super(packagePart);
        read(getPackagePart().getInputStream());
    }
}
