package org.apache.poi.xssf.usermodel.helpers;

import b.b.a.a.a;
import org.apache.poi.openxml4j.opc.internal.ZipHelper;
import org.apache.poi.xssf.usermodel.XSSFTable;
import org.openxmlformats.schemas.spreadsheetml.x2006.main.CTTableColumn;
import org.openxmlformats.schemas.spreadsheetml.x2006.main.CTXmlColumnPr;
import org.openxmlformats.schemas.spreadsheetml.x2006.main.STXmlDataType;

public class XSSFXmlColumnPr {
    public CTTableColumn ctTableColumn;
    public CTXmlColumnPr ctXmlColumnPr;
    public XSSFTable table;

    public XSSFXmlColumnPr(XSSFTable xSSFTable, CTTableColumn cTTableColumn, CTXmlColumnPr cTXmlColumnPr) {
        this.table = xSSFTable;
        this.ctTableColumn = cTTableColumn;
        this.ctXmlColumnPr = cTXmlColumnPr;
    }

    public long getId() {
        return this.ctTableColumn.getId();
    }

    public String getLocalXPath() {
        StringBuilder sb = new StringBuilder();
        String[] split = this.ctXmlColumnPr.getXpath().split(ZipHelper.FORWARD_SLASH);
        for (int length = this.table.getCommonXpath().split(ZipHelper.FORWARD_SLASH).length - 1; length < split.length; length++) {
            StringBuilder b2 = a.b(ZipHelper.FORWARD_SLASH);
            b2.append(split[length]);
            sb.append(b2.toString());
        }
        return sb.toString();
    }

    public long getMapId() {
        return this.ctXmlColumnPr.getMapId();
    }

    public String getXPath() {
        return this.ctXmlColumnPr.getXpath();
    }

    public STXmlDataType.Enum getXmlDataType() {
        return this.ctXmlColumnPr.getXmlDataType();
    }
}
