package org.apache.poi.xssf.util;

import java.util.Comparator;
import org.openxmlformats.schemas.spreadsheetml.x2006.main.CTCol;

public class CTColComparator {
    public static final Comparator<CTCol> BY_MAX = new Comparator<CTCol>() {
        /* class org.apache.poi.xssf.util.CTColComparator.AnonymousClass1 */

        public int compare(CTCol cTCol, CTCol cTCol2) {
            int i2 = (cTCol.getMax() > cTCol2.getMax() ? 1 : (cTCol.getMax() == cTCol2.getMax() ? 0 : -1));
            if (i2 < 0) {
                return -1;
            }
            return i2 > 0 ? 1 : 0;
        }
    };
    public static final Comparator<CTCol> BY_MIN_MAX = new Comparator<CTCol>() {
        /* class org.apache.poi.xssf.util.CTColComparator.AnonymousClass2 */

        public int compare(CTCol cTCol, CTCol cTCol2) {
            int i2 = (cTCol.getMin() > cTCol2.getMin() ? 1 : (cTCol.getMin() == cTCol2.getMin() ? 0 : -1));
            if (i2 < 0) {
                return -1;
            }
            if (i2 > 0) {
                return 1;
            }
            return CTColComparator.BY_MAX.compare(cTCol, cTCol2);
        }
    };
}
