package org.apache.poi.xwpf.usermodel;

import b.b.a.a.a;
import java.util.HashMap;
import java.util.Map;

public enum ParagraphAlignment {
    LEFT(1),
    CENTER(2),
    RIGHT(3),
    BOTH(4),
    MEDIUM_KASHIDA(5),
    DISTRIBUTE(6),
    NUM_TAB(7),
    HIGH_KASHIDA(8),
    LOW_KASHIDA(9),
    THAI_DISTRIBUTE(10);
    
    public static Map<Integer, ParagraphAlignment> imap = new HashMap();
    public final int value;

    /* access modifiers changed from: public */
    static {
        ParagraphAlignment[] values = values();
        for (ParagraphAlignment paragraphAlignment : values) {
            imap.put(Integer.valueOf(paragraphAlignment.getValue()), paragraphAlignment);
        }
    }

    /* access modifiers changed from: public */
    ParagraphAlignment(int i2) {
        this.value = i2;
    }

    public int getValue() {
        return this.value;
    }

    public static ParagraphAlignment valueOf(int i2) {
        ParagraphAlignment paragraphAlignment = imap.get(Integer.valueOf(i2));
        if (paragraphAlignment != null) {
            return paragraphAlignment;
        }
        throw new IllegalArgumentException(a.c("Unknown paragraph alignment: ", i2));
    }
}
