package org.apache.poi.xwpf.usermodel;

import b.b.a.a.a;
import java.util.HashMap;
import java.util.Map;

public enum UnderlinePatterns {
    SINGLE(1),
    WORDS(2),
    DOUBLE(3),
    THICK(4),
    DOTTED(5),
    DOTTED_HEAVY(6),
    DASH(7),
    DASHED_HEAVY(8),
    DASH_LONG(9),
    DASH_LONG_HEAVY(10),
    DOT_DASH(11),
    DASH_DOT_HEAVY(12),
    DOT_DOT_DASH(13),
    DASH_DOT_DOT_HEAVY(14),
    WAVE(15),
    WAVY_HEAVY(16),
    WAVY_DOUBLE(17),
    NONE(18);
    
    public static Map<Integer, UnderlinePatterns> imap = new HashMap();
    public final int value;

    /* access modifiers changed from: public */
    static {
        UnderlinePatterns[] values = values();
        for (UnderlinePatterns underlinePatterns : values) {
            imap.put(Integer.valueOf(underlinePatterns.getValue()), underlinePatterns);
        }
    }

    /* access modifiers changed from: public */
    UnderlinePatterns(int i2) {
        this.value = i2;
    }

    public int getValue() {
        return this.value;
    }

    public static UnderlinePatterns valueOf(int i2) {
        UnderlinePatterns underlinePatterns = imap.get(Integer.valueOf(i2));
        if (underlinePatterns != null) {
            return underlinePatterns;
        }
        throw new IllegalArgumentException(a.c("Unknown underline pattern: ", i2));
    }
}
