package org.apache.poi.xwpf.usermodel;

import org.apache.poi.util.Internal;
import org.openxmlformats.schemas.wordprocessingml.x2006.main.CTHyperlink;
import org.openxmlformats.schemas.wordprocessingml.x2006.main.CTR;

public class XWPFHyperlinkRun extends XWPFRun {
    public CTHyperlink hyperlink;

    public XWPFHyperlinkRun(CTHyperlink cTHyperlink, CTR ctr, IRunBody iRunBody) {
        super(ctr, iRunBody);
        this.hyperlink = cTHyperlink;
    }

    public String getAnchor() {
        return this.hyperlink.getAnchor();
    }

    @Internal
    public CTHyperlink getCTHyperlink() {
        return this.hyperlink;
    }

    public XWPFHyperlink getHyperlink(XWPFDocument xWPFDocument) {
        String hyperlinkId = getHyperlinkId();
        if (hyperlinkId == null) {
            return null;
        }
        return xWPFDocument.getHyperlinkByID(hyperlinkId);
    }

    public String getHyperlinkId() {
        return this.hyperlink.getId();
    }

    public void setHyperlinkId(String str) {
        this.hyperlink.setId(str);
    }
}
