package org.apache.xerces.dom;

import org.w3c.dom.DOMImplementation;
import org.w3c.dom.DocumentType;

public class DOMImplementationImpl extends CoreDOMImplementationImpl implements DOMImplementation {
    public static final DOMImplementationImpl singleton = new DOMImplementationImpl();

    public static DOMImplementation getDOMImplementation() {
        return singleton;
    }

    @Override // org.apache.xerces.dom.CoreDOMImplementationImpl
    public CoreDocumentImpl createDocument(DocumentType documentType) {
        return new DocumentImpl(documentType);
    }

    @Override // org.w3c.dom.DOMImplementation, org.apache.xerces.dom.CoreDOMImplementationImpl
    public boolean hasFeature(String str, String str2) {
        boolean hasFeature = super.hasFeature(str, str2);
        if (hasFeature) {
            return hasFeature;
        }
        boolean z = str2 == null || str2.length() == 0;
        if (str.startsWith("+")) {
            str = str.substring(1);
        }
        if ((!str.equalsIgnoreCase("Events") || (!z && !str2.equals("2.0"))) && ((!str.equalsIgnoreCase("MutationEvents") || (!z && !str2.equals("2.0"))) && ((!str.equalsIgnoreCase("Traversal") || (!z && !str2.equals("2.0"))) && (!str.equalsIgnoreCase("Range") || (!z && !str2.equals("2.0")))))) {
            if (str.equalsIgnoreCase("MutationEvents")) {
                return z || str2.equals("2.0");
            }
            return false;
        }
    }
}
