package org.apache.xerces.dom;

import org.w3c.dom.DOMLocator;
import org.w3c.dom.Node;

public class DOMLocatorImpl implements DOMLocator {
    public int fByteOffset = -1;
    public int fColumnNumber = -1;
    public int fLineNumber = -1;
    public Node fRelatedNode = null;
    public String fUri = null;
    public int fUtf16Offset = -1;

    public DOMLocatorImpl() {
    }

    public DOMLocatorImpl(int i2, int i3, int i4, String str) {
        this.fLineNumber = i2;
        this.fColumnNumber = i3;
        this.fUri = str;
        this.fUtf16Offset = i4;
    }

    public DOMLocatorImpl(int i2, int i3, int i4, Node node, String str) {
        this.fLineNumber = i2;
        this.fColumnNumber = i3;
        this.fByteOffset = i4;
        this.fRelatedNode = node;
        this.fUri = str;
    }

    public DOMLocatorImpl(int i2, int i3, int i4, Node node, String str, int i5) {
        this.fLineNumber = i2;
        this.fColumnNumber = i3;
        this.fByteOffset = i4;
        this.fRelatedNode = node;
        this.fUri = str;
        this.fUtf16Offset = i5;
    }

    public DOMLocatorImpl(int i2, int i3, String str) {
        this.fLineNumber = i2;
        this.fColumnNumber = i3;
        this.fUri = str;
    }

    @Override // org.w3c.dom.DOMLocator
    public int getByteOffset() {
        return this.fByteOffset;
    }

    @Override // org.w3c.dom.DOMLocator
    public int getColumnNumber() {
        return this.fColumnNumber;
    }

    @Override // org.w3c.dom.DOMLocator
    public int getLineNumber() {
        return this.fLineNumber;
    }

    @Override // org.w3c.dom.DOMLocator
    public Node getRelatedNode() {
        return this.fRelatedNode;
    }

    @Override // org.w3c.dom.DOMLocator
    public String getUri() {
        return this.fUri;
    }

    @Override // org.w3c.dom.DOMLocator
    public int getUtf16Offset() {
        return this.fUtf16Offset;
    }
}
