package org.apache.xerces.dom;

import b.b.a.a.a;
import java.text.MessageFormat;
import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;
import org.apache.poi.util.LittleEndianCP950Reader;

public class DOMMessageFormatter {
    public static final String DOM_DOMAIN = "http://www.w3.org/dom/DOMTR";
    public static final String SERIALIZER_DOMAIN = "http://apache.org/xml/serializer";
    public static final String XML_DOMAIN = "http://www.w3.org/TR/1998/REC-xml-19980210";
    public static ResourceBundle domResourceBundle;
    public static Locale locale;
    public static ResourceBundle serResourceBundle;
    public static ResourceBundle xmlResourceBundle;

    public DOMMessageFormatter() {
        locale = Locale.getDefault();
    }

    public static String formatMessage(String str, String str2, Object[] objArr) {
        ResourceBundle resourceBundle = getResourceBundle(str);
        if (resourceBundle == null) {
            init();
            resourceBundle = getResourceBundle(str);
            if (resourceBundle == null) {
                throw new MissingResourceException(a.a("Unknown domain", str), null, str2);
            }
        }
        try {
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append(str2);
            stringBuffer.append(": ");
            stringBuffer.append(resourceBundle.getString(str2));
            String stringBuffer2 = stringBuffer.toString();
            if (objArr != null) {
                try {
                    stringBuffer2 = MessageFormat.format(stringBuffer2, objArr);
                } catch (Exception unused) {
                    String string = resourceBundle.getString("FormatFailed");
                    StringBuffer stringBuffer3 = new StringBuffer();
                    stringBuffer3.append(string);
                    stringBuffer3.append(" ");
                    stringBuffer3.append(resourceBundle.getString(str2));
                    stringBuffer2 = stringBuffer3.toString();
                }
            }
            if (stringBuffer2 != null) {
                return stringBuffer2;
            }
            if (objArr.length <= 0) {
                return str2;
            }
            StringBuffer stringBuffer4 = new StringBuffer(str2);
            stringBuffer4.append(LittleEndianCP950Reader.UNMAPPABLE);
            for (int i2 = 0; i2 < objArr.length; i2++) {
                if (i2 > 0) {
                    stringBuffer4.append('&');
                }
                stringBuffer4.append(String.valueOf(objArr[i2]));
            }
            return str2;
        } catch (MissingResourceException unused2) {
            throw new MissingResourceException(str2, resourceBundle.getString("BadMessageKey"), str2);
        }
    }

    public static ResourceBundle getResourceBundle(String str) {
        if (str == DOM_DOMAIN || str.equals(DOM_DOMAIN)) {
            return domResourceBundle;
        }
        if (str == "http://www.w3.org/TR/1998/REC-xml-19980210" || str.equals("http://www.w3.org/TR/1998/REC-xml-19980210")) {
            return xmlResourceBundle;
        }
        if (str == SERIALIZER_DOMAIN || str.equals(SERIALIZER_DOMAIN)) {
            return serResourceBundle;
        }
        return null;
    }

    public static void init() {
        Locale locale2 = locale;
        if (locale2 == null) {
            locale2 = Locale.getDefault();
        }
        domResourceBundle = ResourceBundle.getBundle("org.apache.xerces.impl.msg.DOMMessages", locale2);
        serResourceBundle = ResourceBundle.getBundle("org.apache.xerces.impl.msg.XMLSerializerMessages", locale2);
        xmlResourceBundle = ResourceBundle.getBundle("org.apache.xerces.impl.msg.XMLMessages", locale2);
    }

    public static void setLocale(Locale locale2) {
        locale = locale2;
    }
}
