package org.apache.xerces.dom;

public class DeferredCommentImpl extends CommentImpl implements DeferredNode {
    public static final long serialVersionUID = 6498796371083589338L;
    public transient int fNodeIndex;

    public DeferredCommentImpl(DeferredDocumentImpl deferredDocumentImpl, int i2) {
        super(deferredDocumentImpl, null);
        this.fNodeIndex = i2;
        needsSyncData(true);
    }

    @Override // org.apache.xerces.dom.DeferredNode
    public int getNodeIndex() {
        return this.fNodeIndex;
    }

    @Override // org.apache.xerces.dom.NodeImpl
    public void synchronizeData() {
        needsSyncData(false);
        this.data = ((DeferredDocumentImpl) ownerDocument()).getNodeValueString(this.fNodeIndex);
    }
}
