package org.apache.xerces.dom;

import b.b.a.a.a;
import java.util.ArrayList;
import java.util.Hashtable;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.Element;
import org.w3c.dom.Node;

public class DeferredDocumentImpl extends DocumentImpl implements DeferredNode {
    public static final int CHUNK_MASK = 2047;
    public static final int CHUNK_SHIFT = 11;
    public static final int CHUNK_SIZE = 2048;
    public static final boolean DEBUG_IDS = false;
    public static final boolean DEBUG_PRINT_REF_COUNTS = false;
    public static final boolean DEBUG_PRINT_TABLES = false;
    public static final int INITIAL_CHUNK_COUNT = 32;
    public static final int[] INIT_ARRAY = new int[2049];
    public static final long serialVersionUID = 5186323580749626857L;
    public final transient StringBuffer fBufferStr;
    public transient int fIdCount;
    public transient int[] fIdElement;
    public transient String[] fIdName;
    public boolean fNamespacesEnabled;
    public transient int fNodeCount;
    public transient int[][] fNodeExtra;
    public transient int[][] fNodeLastChild;
    public transient Object[][] fNodeName;
    public transient int[][] fNodeParent;
    public transient int[][] fNodePrevSib;
    public transient int[][] fNodeType;
    public transient Object[][] fNodeURI;
    public transient Object[][] fNodeValue;
    public final transient ArrayList fStrChunks;

    public static final class IntVector {
        public int[] data;
        public int size;

        private void ensureCapacity(int i2) {
            int[] iArr = this.data;
            if (iArr == null) {
                this.data = new int[(i2 + 15)];
            } else if (i2 > iArr.length) {
                int[] iArr2 = new int[(i2 + 15)];
                System.arraycopy(iArr, 0, iArr2, 0, iArr.length);
                this.data = iArr2;
            }
        }

        public void addElement(int i2) {
            ensureCapacity(this.size + 1);
            int[] iArr = this.data;
            int i3 = this.size;
            this.size = i3 + 1;
            iArr[i3] = i2;
        }

        public int elementAt(int i2) {
            return this.data[i2];
        }

        public void removeAllElements() {
            this.size = 0;
        }

        public int size() {
            return this.size;
        }
    }

    public static final class RefCount {
        public int fCount;
    }

    static {
        for (int i2 = 0; i2 < 2048; i2++) {
            INIT_ARRAY[i2] = -1;
        }
    }

    public DeferredDocumentImpl() {
        this(false);
    }

    public DeferredDocumentImpl(boolean z) {
        this(z, false);
    }

    public DeferredDocumentImpl(boolean z, boolean z2) {
        super(z2);
        this.fNodeCount = 0;
        this.fNamespacesEnabled = false;
        this.fBufferStr = new StringBuffer();
        this.fStrChunks = new ArrayList();
        needsSyncData(true);
        needsSyncChildren(true);
        this.fNamespacesEnabled = z;
    }

    public static int binarySearch(int[] iArr, int i2, int i3, int i4) {
        while (i2 <= i3) {
            int i5 = (i2 + i3) >>> 1;
            int i6 = iArr[i5];
            if (i6 == i4) {
                while (i5 > 0 && iArr[i5 - 1] == i4) {
                    i5--;
                }
                return i5;
            } else if (i6 > i4) {
                i3 = i5 - 1;
            } else {
                i2 = i5 + 1;
            }
        }
        return -1;
    }

    private final int clearChunkIndex(int[][] iArr, int i2, int i3) {
        int i4 = iArr[i2] != null ? iArr[i2][i3] : -1;
        if (i4 != -1) {
            int[] iArr2 = iArr[i2];
            iArr2[2048] = iArr2[2048] - 1;
            iArr[i2][i3] = -1;
            if (iArr[i2][2048] == 0) {
                iArr[i2] = null;
            }
        }
        return i4;
    }

    private final String clearChunkValue(Object[][] objArr, int i2, int i3) {
        String str = objArr[i2] != null ? (String) objArr[i2][i3] : null;
        if (str != null) {
            objArr[i2][i3] = null;
            RefCount refCount = (RefCount) objArr[i2][2048];
            int i4 = refCount.fCount - 1;
            refCount.fCount = i4;
            if (i4 == 0) {
                objArr[i2] = null;
            }
        }
        return str;
    }

    private final void createChunk(int[][] iArr, int i2) {
        iArr[i2] = new int[2049];
        System.arraycopy(INIT_ARRAY, 0, iArr[i2], 0, 2048);
    }

    private final void createChunk(Object[][] objArr, int i2) {
        objArr[i2] = new Object[2049];
        objArr[i2][2048] = new RefCount();
    }

    private final int getChunkIndex(int[][] iArr, int i2, int i3) {
        if (iArr[i2] != null) {
            return iArr[i2][i3];
        }
        return -1;
    }

    private final String getChunkValue(Object[][] objArr, int i2, int i3) {
        if (objArr[i2] != null) {
            return (String) objArr[i2][i3];
        }
        return null;
    }

    private final String getNodeValue(int i2, int i3) {
        Object obj = this.fNodeValue[i2][i3];
        if (obj == null) {
            return null;
        }
        return obj instanceof String ? (String) obj : obj.toString();
    }

    public static void print(int[] iArr, int i2, int i3, int i4, int i5) {
    }

    private final void putIdentifier0(String str, Element element) {
        if (this.identifiers == null) {
            this.identifiers = new Hashtable();
        }
        this.identifiers.put(str, element);
    }

    private final int setChunkIndex(int[][] iArr, int i2, int i3, int i4) {
        if (i2 == -1) {
            return clearChunkIndex(iArr, i3, i4);
        }
        int[] iArr2 = iArr[i3];
        if (iArr2 == null) {
            createChunk(iArr, i3);
            iArr2 = iArr[i3];
        }
        int i5 = iArr2[i4];
        if (i5 == -1) {
            iArr2[2048] = iArr2[2048] + 1;
        }
        iArr2[i4] = i2;
        return i5;
    }

    private final String setChunkValue(Object[][] objArr, Object obj, int i2, int i3) {
        if (obj == null) {
            return clearChunkValue(objArr, i2, i3);
        }
        Object[] objArr2 = objArr[i2];
        if (objArr2 == null) {
            createChunk(objArr, i2);
            objArr2 = objArr[i2];
        }
        String str = (String) objArr2[i3];
        if (str == null) {
            ((RefCount) objArr2[2048]).fCount++;
        }
        objArr2[i3] = obj;
        return str;
    }

    public void appendChild(int i2, int i3) {
        int i4 = i2 >> 11;
        int i5 = i2 & 2047;
        int i6 = i3 >> 11;
        int i7 = i3 & 2047;
        setChunkIndex(this.fNodeParent, i2, i6, i7);
        setChunkIndex(this.fNodePrevSib, getChunkIndex(this.fNodeLastChild, i4, i5), i6, i7);
        setChunkIndex(this.fNodeLastChild, i3, i4, i5);
    }

    public int cloneNode(int i2, boolean z) {
        int i3 = i2 >> 11;
        int i4 = i2 & 2047;
        int i5 = this.fNodeType[i3][i4];
        int createNode = createNode((short) i5);
        int i6 = createNode >> 11;
        int i7 = createNode & 2047;
        Object[][] objArr = this.fNodeName;
        setChunkValue(objArr, objArr[i3][i4], i6, i7);
        Object[][] objArr2 = this.fNodeValue;
        setChunkValue(objArr2, objArr2[i3][i4], i6, i7);
        Object[][] objArr3 = this.fNodeURI;
        setChunkValue(objArr3, objArr3[i3][i4], i6, i7);
        int i8 = this.fNodeExtra[i3][i4];
        if (i8 != -1) {
            if (!(i5 == 2 || i5 == 3)) {
                i8 = cloneNode(i8, false);
            }
            setChunkIndex(this.fNodeExtra, i8, i6, i7);
        }
        if (z) {
            int lastChild = getLastChild(i2, false);
            int i9 = -1;
            while (lastChild != -1) {
                int cloneNode = cloneNode(lastChild, z);
                insertBefore(createNode, cloneNode, i9);
                lastChild = getRealPrevSibling(lastChild, false);
                i9 = cloneNode;
            }
        }
        return createNode;
    }

    public int createDeferredAttribute(String str, String str2, String str3, boolean z) {
        int createNode = createNode(2);
        int i2 = createNode >> 11;
        int i3 = createNode & 2047;
        setChunkValue(this.fNodeName, str, i2, i3);
        setChunkValue(this.fNodeURI, str2, i2, i3);
        setChunkValue(this.fNodeValue, str3, i2, i3);
        setChunkIndex(this.fNodeExtra, z ? 32 : 0, i2, i3);
        return createNode;
    }

    public int createDeferredAttribute(String str, String str2, boolean z) {
        return createDeferredAttribute(str, null, str2, z);
    }

    public int createDeferredCDATASection(String str) {
        int createNode = createNode(4);
        setChunkValue(this.fNodeValue, str, createNode >> 11, createNode & 2047);
        return createNode;
    }

    public int createDeferredComment(String str) {
        int createNode = createNode(8);
        setChunkValue(this.fNodeValue, str, createNode >> 11, createNode & 2047);
        return createNode;
    }

    public int createDeferredDocument() {
        return createNode(9);
    }

    public int createDeferredDocumentType(String str, String str2, String str3) {
        int createNode = createNode(10);
        int i2 = createNode >> 11;
        int i3 = createNode & 2047;
        setChunkValue(this.fNodeName, str, i2, i3);
        setChunkValue(this.fNodeValue, str2, i2, i3);
        setChunkValue(this.fNodeURI, str3, i2, i3);
        return createNode;
    }

    public int createDeferredElement(String str) {
        return createDeferredElement(null, str);
    }

    public int createDeferredElement(String str, String str2) {
        int createNode = createNode(1);
        int i2 = createNode >> 11;
        int i3 = createNode & 2047;
        setChunkValue(this.fNodeName, str2, i2, i3);
        setChunkValue(this.fNodeURI, str, i2, i3);
        return createNode;
    }

    public int createDeferredElement(String str, String str2, Object obj) {
        int createNode = createNode(1);
        int i2 = createNode >> 11;
        int i3 = createNode & 2047;
        setChunkValue(this.fNodeName, str2, i2, i3);
        setChunkValue(this.fNodeURI, str, i2, i3);
        setChunkValue(this.fNodeValue, obj, i2, i3);
        return createNode;
    }

    public int createDeferredElementDefinition(String str) {
        int createNode = createNode(21);
        setChunkValue(this.fNodeName, str, createNode >> 11, createNode & 2047);
        return createNode;
    }

    public int createDeferredEntity(String str, String str2, String str3, String str4, String str5) {
        int createNode = createNode(6);
        int i2 = createNode >> 11;
        int i3 = createNode & 2047;
        int createNode2 = createNode(6);
        int i4 = createNode2 >> 11;
        int i5 = createNode2 & 2047;
        setChunkValue(this.fNodeName, str, i2, i3);
        setChunkValue(this.fNodeValue, str2, i2, i3);
        setChunkValue(this.fNodeURI, str3, i2, i3);
        setChunkIndex(this.fNodeExtra, createNode2, i2, i3);
        setChunkValue(this.fNodeName, str4, i4, i5);
        setChunkValue(this.fNodeValue, null, i4, i5);
        setChunkValue(this.fNodeURI, null, i4, i5);
        int createNode3 = createNode(6);
        setChunkIndex(this.fNodeExtra, createNode3, i4, i5);
        setChunkValue(this.fNodeName, str5, createNode3 >> 11, createNode3 & 2047);
        return createNode;
    }

    public int createDeferredEntityReference(String str, String str2) {
        int createNode = createNode(5);
        int i2 = createNode >> 11;
        int i3 = createNode & 2047;
        setChunkValue(this.fNodeName, str, i2, i3);
        setChunkValue(this.fNodeValue, str2, i2, i3);
        return createNode;
    }

    public int createDeferredNotation(String str, String str2, String str3, String str4) {
        int createNode = createNode(12);
        int i2 = createNode >> 11;
        int i3 = createNode & 2047;
        int createNode2 = createNode(12);
        setChunkValue(this.fNodeName, str, i2, i3);
        setChunkValue(this.fNodeValue, str2, i2, i3);
        setChunkValue(this.fNodeURI, str3, i2, i3);
        setChunkIndex(this.fNodeExtra, createNode2, i2, i3);
        setChunkValue(this.fNodeName, str4, createNode2 >> 11, createNode2 & 2047);
        return createNode;
    }

    public int createDeferredProcessingInstruction(String str, String str2) {
        int createNode = createNode(7);
        int i2 = createNode >> 11;
        int i3 = createNode & 2047;
        setChunkValue(this.fNodeName, str, i2, i3);
        setChunkValue(this.fNodeValue, str2, i2, i3);
        return createNode;
    }

    public int createDeferredTextNode(String str, boolean z) {
        int createNode = createNode(3);
        int i2 = createNode >> 11;
        int i3 = createNode & 2047;
        setChunkValue(this.fNodeValue, str, i2, i3);
        setChunkIndex(this.fNodeExtra, z ? 1 : 0, i2, i3);
        return createNode;
    }

    public int createNode(short s) {
        int i2 = this.fNodeCount;
        int i3 = i2 >> 11;
        ensureCapacity(i3);
        setChunkIndex(this.fNodeType, s, i3, i2 & 2047);
        int i4 = this.fNodeCount;
        this.fNodeCount = i4 + 1;
        return i4;
    }

    public void ensureCapacity(int i2) {
        int[][] iArr = this.fNodeType;
        if (iArr == null) {
            this.fNodeType = new int[32][];
            this.fNodeName = new Object[32][];
            this.fNodeValue = new Object[32][];
            this.fNodeParent = new int[32][];
            this.fNodeLastChild = new int[32][];
            this.fNodePrevSib = new int[32][];
            this.fNodeURI = new Object[32][];
            this.fNodeExtra = new int[32][];
        } else if (iArr.length <= i2) {
            int i3 = i2 * 2;
            int[][] iArr2 = new int[i3][];
            System.arraycopy(iArr, 0, iArr2, 0, i2);
            this.fNodeType = iArr2;
            Object[][] objArr = new Object[i3][];
            System.arraycopy(this.fNodeName, 0, objArr, 0, i2);
            this.fNodeName = objArr;
            Object[][] objArr2 = new Object[i3][];
            System.arraycopy(this.fNodeValue, 0, objArr2, 0, i2);
            this.fNodeValue = objArr2;
            int[][] iArr3 = new int[i3][];
            System.arraycopy(this.fNodeParent, 0, iArr3, 0, i2);
            this.fNodeParent = iArr3;
            int[][] iArr4 = new int[i3][];
            System.arraycopy(this.fNodeLastChild, 0, iArr4, 0, i2);
            this.fNodeLastChild = iArr4;
            int[][] iArr5 = new int[i3][];
            System.arraycopy(this.fNodePrevSib, 0, iArr5, 0, i2);
            this.fNodePrevSib = iArr5;
            Object[][] objArr3 = new Object[i3][];
            System.arraycopy(this.fNodeURI, 0, objArr3, 0, i2);
            this.fNodeURI = objArr3;
            int[][] iArr6 = new int[i3][];
            System.arraycopy(this.fNodeExtra, 0, iArr6, 0, i2);
            this.fNodeExtra = iArr6;
        } else if (iArr[i2] != null) {
            return;
        }
        createChunk(this.fNodeType, i2);
        createChunk(this.fNodeName, i2);
        createChunk(this.fNodeValue, i2);
        createChunk(this.fNodeParent, i2);
        createChunk(this.fNodeLastChild, i2);
        createChunk(this.fNodePrevSib, i2);
        createChunk(this.fNodeURI, i2);
        createChunk(this.fNodeExtra, i2);
    }

    public String getAttribute(int i2, String str) {
        if (i2 == -1 || str == null) {
            return null;
        }
        int chunkIndex = getChunkIndex(this.fNodeExtra, i2 >> 11, i2 & 2047);
        while (chunkIndex != -1) {
            int i3 = chunkIndex >> 11;
            int i4 = chunkIndex & 2047;
            if (getChunkValue(this.fNodeName, i3, i4) == str) {
                return getChunkValue(this.fNodeValue, i3, i4);
            }
            chunkIndex = getChunkIndex(this.fNodePrevSib, i3, i4);
        }
        return null;
    }

    public String getDeferredEntityBaseURI(int i2) {
        if (i2 != -1) {
            return getNodeName(getNodeExtra(getNodeExtra(i2, false), false), false);
        }
        return null;
    }

    @Override // org.apache.xerces.dom.CoreDocumentImpl, org.w3c.dom.Document, org.apache.xerces.dom.DocumentImpl
    public DOMImplementation getImplementation() {
        return DeferredDOMImplementationImpl.getDOMImplementation();
    }

    public int getLastChild(int i2) {
        return getLastChild(i2, true);
    }

    public int getLastChild(int i2, boolean z) {
        if (i2 == -1) {
            return -1;
        }
        int i3 = i2 >> 11;
        int i4 = i2 & 2047;
        return z ? clearChunkIndex(this.fNodeLastChild, i3, i4) : getChunkIndex(this.fNodeLastChild, i3, i4);
    }

    public boolean getNamespacesEnabled() {
        return this.fNamespacesEnabled;
    }

    public int getNodeExtra(int i2) {
        return getNodeExtra(i2, true);
    }

    public int getNodeExtra(int i2, boolean z) {
        if (i2 == -1) {
            return -1;
        }
        int i3 = i2 >> 11;
        int i4 = i2 & 2047;
        return z ? clearChunkIndex(this.fNodeExtra, i3, i4) : getChunkIndex(this.fNodeExtra, i3, i4);
    }

    @Override // org.apache.xerces.dom.DeferredNode
    public int getNodeIndex() {
        return 0;
    }

    public String getNodeName(int i2) {
        return getNodeName(i2, true);
    }

    public String getNodeName(int i2, boolean z) {
        if (i2 == -1) {
            return null;
        }
        int i3 = i2 >> 11;
        int i4 = i2 & 2047;
        return z ? clearChunkValue(this.fNodeName, i3, i4) : getChunkValue(this.fNodeName, i3, i4);
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r6v0, types: [org.apache.xerces.dom.DeferredDocumentImpl, org.apache.xerces.dom.CoreDocumentImpl, org.apache.xerces.dom.DeferredNode] */
    /* JADX WARN: Type inference failed for: r2v6, types: [org.apache.xerces.dom.DeferredElementNSImpl] */
    /* JADX WARNING: Unknown variable types count: 1 */
    public DeferredNode getNodeObject(int i2) {
        if (i2 == -1) {
            return null;
        }
        int i3 = i2 >> 11;
        int i4 = i2 & 2047;
        int chunkIndex = getChunkIndex(this.fNodeType, i3, i4);
        if (!(chunkIndex == 3 || chunkIndex == 4)) {
            clearChunkIndex(this.fNodeType, i3, i4);
        }
        if (chunkIndex == 12) {
            return new DeferredNotationImpl(this, i2);
        }
        if (chunkIndex == 21) {
            return new DeferredElementDefinitionImpl(this, i2);
        }
        switch (chunkIndex) {
            case 1:
                DeferredElementImpl deferredElementNSImpl = this.fNamespacesEnabled ? new DeferredElementNSImpl(this, i2) : new DeferredElementImpl(this, i2);
                int[] iArr = this.fIdElement;
                if (iArr != null) {
                    int binarySearch = binarySearch(iArr, 0, this.fIdCount - 1, i2);
                    while (binarySearch != -1) {
                        String str = this.fIdName[binarySearch];
                        if (str != null) {
                            putIdentifier0(str, deferredElementNSImpl);
                            this.fIdName[binarySearch] = null;
                        }
                        binarySearch++;
                        if (binarySearch >= this.fIdCount || this.fIdElement[binarySearch] != i2) {
                            binarySearch = -1;
                        }
                    }
                }
                return deferredElementNSImpl;
            case 2:
                return this.fNamespacesEnabled ? new DeferredAttrNSImpl(this, i2) : new DeferredAttrImpl(this, i2);
            case 3:
                return new DeferredTextImpl(this, i2);
            case 4:
                return new DeferredCDATASectionImpl(this, i2);
            case 5:
                return new DeferredEntityReferenceImpl(this, i2);
            case 6:
                return new DeferredEntityImpl(this, i2);
            case 7:
                return new DeferredProcessingInstructionImpl(this, i2);
            case 8:
                return new DeferredCommentImpl(this, i2);
            case 9:
                return this;
            case 10:
                DeferredDocumentTypeImpl deferredDocumentTypeImpl = new DeferredDocumentTypeImpl(this, i2);
                this.docType = deferredDocumentTypeImpl;
                return deferredDocumentTypeImpl;
            default:
                throw new IllegalArgumentException(a.b("type: ", chunkIndex));
        }
    }

    public short getNodeType(int i2) {
        return getNodeType(i2, true);
    }

    public short getNodeType(int i2, boolean z) {
        if (i2 == -1) {
            return -1;
        }
        int i3 = i2 >> 11;
        int i4 = i2 & 2047;
        return (short) (z ? clearChunkIndex(this.fNodeType, i3, i4) : getChunkIndex(this.fNodeType, i3, i4));
    }

    public String getNodeURI(int i2) {
        return getNodeURI(i2, true);
    }

    public String getNodeURI(int i2, boolean z) {
        if (i2 == -1) {
            return null;
        }
        int i3 = i2 >> 11;
        int i4 = i2 & 2047;
        return z ? clearChunkValue(this.fNodeURI, i3, i4) : getChunkValue(this.fNodeURI, i3, i4);
    }

    public String getNodeValue(int i2) {
        return getNodeValue(i2, true);
    }

    public String getNodeValue(int i2, boolean z) {
        if (i2 == -1) {
            return null;
        }
        int i3 = i2 >> 11;
        int i4 = i2 & 2047;
        return z ? clearChunkValue(this.fNodeValue, i3, i4) : getChunkValue(this.fNodeValue, i3, i4);
    }

    public String getNodeValueString(int i2) {
        return getNodeValueString(i2, true);
    }

    public String getNodeValueString(int i2, boolean z) {
        int lastChild;
        if (i2 == -1) {
            return null;
        }
        int i3 = i2 >> 11;
        int i4 = i2 & 2047;
        String clearChunkValue = z ? clearChunkValue(this.fNodeValue, i3, i4) : getChunkValue(this.fNodeValue, i3, i4);
        if (clearChunkValue == null) {
            return null;
        }
        int chunkIndex = getChunkIndex(this.fNodeType, i3, i4);
        if (chunkIndex == 3) {
            int realPrevSibling = getRealPrevSibling(i2);
            if (realPrevSibling != -1 && getNodeType(realPrevSibling, false) == 3) {
                this.fStrChunks.add(clearChunkValue);
                do {
                    int i5 = realPrevSibling >> 11;
                    int i6 = realPrevSibling & 2047;
                    this.fStrChunks.add(getChunkValue(this.fNodeValue, i5, i6));
                    realPrevSibling = getChunkIndex(this.fNodePrevSib, i5, i6);
                    if (realPrevSibling == -1) {
                        break;
                    }
                } while (getNodeType(realPrevSibling, false) == 3);
                for (int size = this.fStrChunks.size() - 1; size >= 0; size--) {
                    this.fBufferStr.append((String) this.fStrChunks.get(size));
                }
            }
            return clearChunkValue;
        }
        if (chunkIndex == 4 && (lastChild = getLastChild(i2, false)) != -1) {
            this.fBufferStr.append(clearChunkValue);
            while (lastChild != -1) {
                int i7 = lastChild >> 11;
                int i8 = lastChild & 2047;
                this.fStrChunks.add(getChunkValue(this.fNodeValue, i7, i8));
                lastChild = getChunkIndex(this.fNodePrevSib, i7, i8);
            }
            for (int size2 = this.fStrChunks.size() - 1; size2 >= 0; size2--) {
                this.fBufferStr.append((String) this.fStrChunks.get(size2));
            }
        }
        return clearChunkValue;
        String stringBuffer = this.fBufferStr.toString();
        this.fStrChunks.clear();
        this.fBufferStr.setLength(0);
        return stringBuffer;
    }

    public int getParentNode(int i2) {
        return getParentNode(i2, false);
    }

    public int getParentNode(int i2, boolean z) {
        if (i2 == -1) {
            return -1;
        }
        int i3 = i2 >> 11;
        int i4 = i2 & 2047;
        return z ? clearChunkIndex(this.fNodeParent, i3, i4) : getChunkIndex(this.fNodeParent, i3, i4);
    }

    public int getPrevSibling(int i2) {
        return getPrevSibling(i2, true);
    }

    public int getPrevSibling(int i2, boolean z) {
        if (i2 == -1) {
            return -1;
        }
        int i3 = i2 >> 11;
        int i4 = i2 & 2047;
        if (getChunkIndex(this.fNodeType, i3, i4) != 3) {
            return getChunkIndex(this.fNodePrevSib, i3, i4);
        }
        while (true) {
            int chunkIndex = getChunkIndex(this.fNodePrevSib, i3, i4);
            if (chunkIndex == -1) {
                return chunkIndex;
            }
            i3 = chunkIndex >> 11;
            int i5 = chunkIndex & 2047;
            if (getChunkIndex(this.fNodeType, i3, i5) != 3) {
                return chunkIndex;
            }
            i4 = i5;
        }
    }

    public int getRealPrevSibling(int i2) {
        return getRealPrevSibling(i2, true);
    }

    public int getRealPrevSibling(int i2, boolean z) {
        if (i2 == -1) {
            return -1;
        }
        int i3 = i2 >> 11;
        int i4 = i2 & 2047;
        return z ? clearChunkIndex(this.fNodePrevSib, i3, i4) : getChunkIndex(this.fNodePrevSib, i3, i4);
    }

    public Object getTypeInfo(int i2) {
        if (i2 == -1) {
            return null;
        }
        int i3 = i2 >> 11;
        int i4 = i2 & 2047;
        Object[][] objArr = this.fNodeValue;
        Object obj = objArr[i3] != null ? objArr[i3][i4] : null;
        if (obj != null) {
            Object[][] objArr2 = this.fNodeValue;
            objArr2[i3][i4] = null;
            RefCount refCount = (RefCount) objArr2[i3][2048];
            int i5 = refCount.fCount - 1;
            refCount.fCount = i5;
            if (i5 == 0) {
                objArr2[i3] = null;
            }
        }
        return obj;
    }

    public int insertBefore(int i2, int i3, int i4) {
        if (i4 == -1) {
            appendChild(i2, i3);
            return i3;
        }
        int i5 = i4 >> 11;
        int i6 = i4 & 2047;
        int chunkIndex = getChunkIndex(this.fNodePrevSib, i5, i6);
        setChunkIndex(this.fNodePrevSib, i3, i5, i6);
        setChunkIndex(this.fNodePrevSib, chunkIndex, i3 >> 11, i3 & 2047);
        return i3;
    }

    public int lookupElementDefinition(String str) {
        if (this.fNodeCount > 1) {
            int chunkIndex = getChunkIndex(this.fNodeLastChild, 0, 0);
            while (true) {
                if (chunkIndex == -1) {
                    chunkIndex = -1;
                    break;
                }
                int i2 = chunkIndex >> 11;
                int i3 = chunkIndex & 2047;
                if (getChunkIndex(this.fNodeType, i2, i3) == 10) {
                    break;
                }
                chunkIndex = getChunkIndex(this.fNodePrevSib, i2, i3);
            }
            if (chunkIndex == -1) {
                return -1;
            }
            int chunkIndex2 = getChunkIndex(this.fNodeLastChild, chunkIndex >> 11, chunkIndex & 2047);
            while (chunkIndex2 != -1) {
                int i4 = chunkIndex2 >> 11;
                int i5 = chunkIndex2 & 2047;
                if (getChunkIndex(this.fNodeType, i4, i5) == 21 && getChunkValue(this.fNodeName, i4, i5) == str) {
                    return chunkIndex2;
                }
                chunkIndex2 = getChunkIndex(this.fNodePrevSib, i4, i5);
            }
        }
        return -1;
    }

    public void print() {
    }

    public void putIdentifier(String str, int i2) {
        if (this.fIdName == null) {
            this.fIdName = new String[64];
            this.fIdElement = new int[64];
        }
        int i3 = this.fIdCount;
        String[] strArr = this.fIdName;
        if (i3 == strArr.length) {
            int i4 = i3 * 2;
            String[] strArr2 = new String[i4];
            System.arraycopy(strArr, 0, strArr2, 0, i3);
            this.fIdName = strArr2;
            int[] iArr = new int[i4];
            System.arraycopy(this.fIdElement, 0, iArr, 0, this.fIdCount);
            this.fIdElement = iArr;
        }
        String[] strArr3 = this.fIdName;
        int i5 = this.fIdCount;
        strArr3[i5] = str;
        this.fIdElement[i5] = i2;
        this.fIdCount = i5 + 1;
    }

    public void setAsLastChild(int i2, int i3) {
        setChunkIndex(this.fNodeLastChild, i3, i2 >> 11, i2 & 2047);
    }

    public int setAttributeNode(int i2, int i3) {
        int i4 = i2 >> 11;
        int i5 = i2 & 2047;
        int i6 = i3 >> 11;
        int i7 = i3 & 2047;
        String chunkValue = getChunkValue(this.fNodeName, i6, i7);
        int chunkIndex = getChunkIndex(this.fNodeExtra, i4, i5);
        int i8 = -1;
        int i9 = -1;
        int i10 = -1;
        while (chunkIndex != -1) {
            i9 = chunkIndex >> 11;
            i10 = chunkIndex & 2047;
            if (getChunkValue(this.fNodeName, i9, i10).equals(chunkValue)) {
                break;
            }
            i8 = chunkIndex;
            chunkIndex = getChunkIndex(this.fNodePrevSib, i9, i10);
        }
        if (chunkIndex != -1) {
            int chunkIndex2 = getChunkIndex(this.fNodePrevSib, i9, i10);
            if (i8 == -1) {
                setChunkIndex(this.fNodeExtra, chunkIndex2, i4, i5);
            } else {
                setChunkIndex(this.fNodePrevSib, chunkIndex2, i8 >> 11, i8 & 2047);
            }
            clearChunkIndex(this.fNodeType, i9, i10);
            clearChunkValue(this.fNodeName, i9, i10);
            clearChunkValue(this.fNodeValue, i9, i10);
            clearChunkIndex(this.fNodeParent, i9, i10);
            clearChunkIndex(this.fNodePrevSib, i9, i10);
            int clearChunkIndex = clearChunkIndex(this.fNodeLastChild, i9, i10);
            int i11 = clearChunkIndex >> 11;
            int i12 = clearChunkIndex & 2047;
            clearChunkIndex(this.fNodeType, i11, i12);
            clearChunkValue(this.fNodeValue, i11, i12);
            clearChunkIndex(this.fNodeParent, i11, i12);
            clearChunkIndex(this.fNodeLastChild, i11, i12);
        }
        int chunkIndex3 = getChunkIndex(this.fNodeExtra, i4, i5);
        setChunkIndex(this.fNodeExtra, i3, i4, i5);
        setChunkIndex(this.fNodePrevSib, chunkIndex3, i6, i7);
        return chunkIndex;
    }

    public int setDeferredAttribute(int i2, String str, String str2, String str3, boolean z) {
        int createDeferredAttribute = createDeferredAttribute(str, str2, str3, z);
        int i3 = createDeferredAttribute >> 11;
        int i4 = createDeferredAttribute & 2047;
        setChunkIndex(this.fNodeParent, i2, i3, i4);
        int i5 = i2 >> 11;
        int i6 = i2 & 2047;
        int chunkIndex = getChunkIndex(this.fNodeExtra, i5, i6);
        if (chunkIndex != 0) {
            setChunkIndex(this.fNodePrevSib, chunkIndex, i3, i4);
        }
        setChunkIndex(this.fNodeExtra, createDeferredAttribute, i5, i6);
        return createDeferredAttribute;
    }

    public int setDeferredAttribute(int i2, String str, String str2, String str3, boolean z, boolean z2, Object obj) {
        int createDeferredAttribute = createDeferredAttribute(str, str2, str3, z);
        int i3 = createDeferredAttribute >> 11;
        int i4 = createDeferredAttribute & 2047;
        setChunkIndex(this.fNodeParent, i2, i3, i4);
        int i5 = i2 >> 11;
        int i6 = i2 & 2047;
        int chunkIndex = getChunkIndex(this.fNodeExtra, i5, i6);
        if (chunkIndex != 0) {
            setChunkIndex(this.fNodePrevSib, chunkIndex, i3, i4);
        }
        setChunkIndex(this.fNodeExtra, createDeferredAttribute, i5, i6);
        int chunkIndex2 = getChunkIndex(this.fNodeExtra, i3, i4);
        if (z2) {
            setChunkIndex(this.fNodeExtra, chunkIndex2 | 512, i3, i4);
            putIdentifier(getChunkValue(this.fNodeValue, i3, i4), i2);
        }
        if (obj != null) {
            int createNode = createNode(20);
            setChunkIndex(this.fNodeLastChild, createNode, i3, i4);
            setChunkValue(this.fNodeValue, obj, createNode >> 11, createNode & 2047);
        }
        return createDeferredAttribute;
    }

    public void setEntityInfo(int i2, String str, String str2) {
        int nodeExtra = getNodeExtra(i2, false);
        if (nodeExtra != -1) {
            int i3 = nodeExtra >> 11;
            int i4 = nodeExtra & 2047;
            setChunkValue(this.fNodeValue, str, i3, i4);
            setChunkValue(this.fNodeURI, str2, i3, i4);
        }
    }

    public void setIdAttribute(int i2) {
        int i3 = i2 >> 11;
        int i4 = i2 & 2047;
        setChunkIndex(this.fNodeExtra, getChunkIndex(this.fNodeExtra, i3, i4) | 512, i3, i4);
    }

    public void setIdAttributeNode(int i2, int i3) {
        int i4 = i3 >> 11;
        int i5 = i3 & 2047;
        setChunkIndex(this.fNodeExtra, getChunkIndex(this.fNodeExtra, i4, i5) | 512, i4, i5);
        putIdentifier(getChunkValue(this.fNodeValue, i4, i5), i2);
    }

    public void setInputEncoding(int i2, String str) {
        int nodeExtra = getNodeExtra(getNodeExtra(i2, false), false);
        setChunkValue(this.fNodeValue, str, nodeExtra >> 11, nodeExtra & 2047);
    }

    public void setInternalSubset(int i2, String str) {
        int createNode = createNode(10);
        setChunkIndex(this.fNodeExtra, createNode, i2 >> 11, i2 & 2047);
        setChunkValue(this.fNodeValue, str, createNode >> 11, createNode & 2047);
    }

    public void setNamespacesEnabled(boolean z) {
        this.fNamespacesEnabled = z;
    }

    public void setTypeInfo(int i2, Object obj) {
        setChunkValue(this.fNodeValue, obj, i2 >> 11, i2 & 2047);
    }

    @Override // org.apache.xerces.dom.ParentNode
    public void synchronizeChildren() {
        if (needsSyncData()) {
            synchronizeData();
            if (!needsSyncChildren()) {
                return;
            }
        }
        boolean z = this.mutationEvents;
        this.mutationEvents = false;
        needsSyncChildren(false);
        getNodeType(0);
        int lastChild = getLastChild(0);
        ChildNode childNode = null;
        ChildNode childNode2 = null;
        while (lastChild != -1) {
            ChildNode childNode3 = (ChildNode) getNodeObject(lastChild);
            if (childNode == null) {
                childNode = childNode3;
            } else {
                childNode2.previousSibling = childNode3;
            }
            childNode3.ownerNode = this;
            childNode3.isOwned(true);
            childNode3.nextSibling = childNode2;
            short nodeType = childNode3.getNodeType();
            if (nodeType == 1) {
                this.docElement = (ElementImpl) childNode3;
            } else if (nodeType == 10) {
                this.docType = (DocumentTypeImpl) childNode3;
            }
            lastChild = getPrevSibling(lastChild);
            childNode2 = childNode3;
        }
        if (childNode2 != null) {
            this.firstChild = childNode2;
            childNode2.isFirstChild(true);
            lastChild(childNode);
        }
        this.mutationEvents = z;
    }

    public final void synchronizeChildren(AttrImpl attrImpl, int i2) {
        boolean mutationEvents = getMutationEvents();
        setMutationEvents(false);
        attrImpl.needsSyncChildren(false);
        int lastChild = getLastChild(i2);
        if (getPrevSibling(lastChild) == -1) {
            attrImpl.value = getNodeValueString(i2);
            attrImpl.hasStringValue(true);
        } else {
            ChildNode childNode = null;
            int i3 = lastChild;
            ChildNode childNode2 = null;
            while (i3 != -1) {
                ChildNode childNode3 = (ChildNode) getNodeObject(i3);
                if (childNode == null) {
                    childNode = childNode3;
                } else {
                    childNode2.previousSibling = childNode3;
                }
                childNode3.ownerNode = attrImpl;
                childNode3.isOwned(true);
                childNode3.nextSibling = childNode2;
                i3 = getPrevSibling(i3);
                childNode2 = childNode3;
            }
            if (childNode != null) {
                attrImpl.value = childNode2;
                childNode2.isFirstChild(true);
                attrImpl.lastChild(childNode);
            }
            attrImpl.hasStringValue(false);
        }
        setMutationEvents(mutationEvents);
    }

    public final void synchronizeChildren(ParentNode parentNode, int i2) {
        boolean mutationEvents = getMutationEvents();
        setMutationEvents(false);
        parentNode.needsSyncChildren(false);
        int lastChild = getLastChild(i2);
        ChildNode childNode = null;
        ChildNode childNode2 = null;
        while (lastChild != -1) {
            ChildNode childNode3 = (ChildNode) getNodeObject(lastChild);
            if (childNode == null) {
                childNode = childNode3;
            } else {
                childNode2.previousSibling = childNode3;
            }
            childNode3.ownerNode = parentNode;
            childNode3.isOwned(true);
            childNode3.nextSibling = childNode2;
            lastChild = getPrevSibling(lastChild);
            childNode2 = childNode3;
        }
        if (childNode != null) {
            parentNode.firstChild = childNode2;
            childNode2.isFirstChild(true);
            parentNode.lastChild(childNode);
        }
        setMutationEvents(mutationEvents);
    }

    @Override // org.apache.xerces.dom.NodeImpl
    public void synchronizeData() {
        int i2 = 0;
        needsSyncData(false);
        if (this.fIdElement != null) {
            IntVector intVector = new IntVector();
            while (i2 < this.fIdCount) {
                int i3 = this.fIdElement[i2];
                String str = this.fIdName[i2];
                if (str != null) {
                    intVector.removeAllElements();
                    int i4 = i3;
                    do {
                        intVector.addElement(i4);
                        i4 = getChunkIndex(this.fNodeParent, i4 >> 11, i4 & 2047);
                    } while (i4 != -1);
                    Node node = this;
                    for (int size = intVector.size() - 2; size >= 0; size--) {
                        int elementAt = intVector.elementAt(size);
                        Node lastChild = node.getLastChild();
                        while (true) {
                            if (lastChild == null) {
                                break;
                            }
                            if ((lastChild instanceof DeferredNode) && ((DeferredNode) lastChild).getNodeIndex() == elementAt) {
                                node = lastChild;
                                break;
                            }
                            lastChild = lastChild.getPreviousSibling();
                        }
                    }
                    Element element = (Element) node;
                    putIdentifier0(str, element);
                    this.fIdName[i2] = null;
                    while (true) {
                        int i5 = i2 + 1;
                        if (i5 >= this.fIdCount || this.fIdElement[i5] != i3) {
                            break;
                        }
                        String str2 = this.fIdName[i5];
                        if (str2 != null) {
                            putIdentifier0(str2, element);
                        }
                        i2 = i5;
                    }
                }
                i2++;
            }
        }
    }
}
