package org.apache.xerces.dom;

import org.w3c.dom.DocumentFragment;
import org.w3c.dom.Text;

public class DocumentFragmentImpl extends ParentNode implements DocumentFragment {
    public static final long serialVersionUID = -7596449967279236746L;

    public DocumentFragmentImpl() {
    }

    public DocumentFragmentImpl(CoreDocumentImpl coreDocumentImpl) {
        super(coreDocumentImpl);
    }

    @Override // org.apache.xerces.dom.NodeImpl, org.w3c.dom.Node
    public String getNodeName() {
        return "#document-fragment";
    }

    @Override // org.apache.xerces.dom.NodeImpl, org.w3c.dom.Node
    public short getNodeType() {
        return 11;
    }

    @Override // org.apache.xerces.dom.NodeImpl, org.w3c.dom.Node, org.apache.xerces.dom.ParentNode
    public void normalize() {
        if (!isNormalized()) {
            if (needsSyncChildren()) {
                synchronizeChildren();
            }
            ChildNode childNode = this.firstChild;
            while (childNode != null) {
                ChildNode childNode2 = childNode.nextSibling;
                if (childNode.getNodeType() == 3) {
                    if (childNode2 != null && childNode2.getNodeType() == 3) {
                        ((Text) childNode).appendData(childNode2.getNodeValue());
                        removeChild(childNode2);
                        childNode2 = childNode;
                    } else if (childNode.getNodeValue() == null || childNode.getNodeValue().length() == 0) {
                        removeChild(childNode);
                    }
                }
                childNode.normalize();
                childNode = childNode2;
            }
            isNormalized(true);
        }
    }
}
