package org.apache.xerces.impl;

import b.b.a.a.a;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.Reader;
import java.io.StringReader;
import java.io.UnsupportedEncodingException;
import java.net.HttpURLConnection;
import java.net.URL;
import java.net.URLConnection;
import java.security.AccessController;
import java.security.PrivilegedAction;
import java.util.Hashtable;
import java.util.Iterator;
import java.util.Locale;
import java.util.Map;
import java.util.Stack;
import java.util.StringTokenizer;
import org.apache.poi.openxml4j.opc.internal.ZipHelper;
import org.apache.poi.ss.formula.ptg.PercentPtg;
import org.apache.poi.ss.formula.ptg.StringPtg;
import org.apache.poi.ss.util.SheetUtil;
import org.apache.xerces.impl.io.ASCIIReader;
import org.apache.xerces.impl.io.Latin1Reader;
import org.apache.xerces.impl.io.UCSReader;
import org.apache.xerces.impl.io.UTF16Reader;
import org.apache.xerces.impl.io.UTF8Reader;
import org.apache.xerces.impl.validation.ValidationManager;
import org.apache.xerces.util.AugmentationsImpl;
import org.apache.xerces.util.EncodingMap;
import org.apache.xerces.util.HTTPInputSource;
import org.apache.xerces.util.SecurityManager;
import org.apache.xerces.util.SymbolTable;
import org.apache.xerces.util.URI;
import org.apache.xerces.util.XMLChar;
import org.apache.xerces.util.XMLEntityDescriptionImpl;
import org.apache.xerces.util.XMLResourceIdentifierImpl;
import org.apache.xerces.xni.Augmentations;
import org.apache.xerces.xni.XMLResourceIdentifier;
import org.apache.xerces.xni.parser.XMLComponent;
import org.apache.xerces.xni.parser.XMLComponentManager;
import org.apache.xerces.xni.parser.XMLConfigurationException;
import org.apache.xerces.xni.parser.XMLEntityResolver;
import org.apache.xerces.xni.parser.XMLInputSource;
import org.apache.xmlbeans.impl.common.JarHelper;

public class XMLEntityManager implements XMLComponent, XMLEntityResolver {
    public static final String ALLOW_JAVA_ENCODINGS = "http://apache.org/xml/features/allow-java-encodings";
    public static final String BUFFER_SIZE = "http://apache.org/xml/properties/input-buffer-size";
    public static final boolean DEBUG_BUFFER = false;
    public static final boolean DEBUG_ENCODINGS = false;
    public static final boolean DEBUG_ENTITIES = false;
    public static final boolean DEBUG_RESOLVER = false;
    public static final int DEFAULT_BUFFER_SIZE = 2048;
    public static final int DEFAULT_INTERNAL_BUFFER_SIZE = 512;
    public static final int DEFAULT_XMLDECL_BUFFER_SIZE = 64;
    public static final String DTDEntity = "[dtd]".intern();
    public static final String ENTITY_RESOLVER = "http://apache.org/xml/properties/internal/entity-resolver";
    public static final String ERROR_REPORTER = "http://apache.org/xml/properties/internal/error-reporter";
    public static final String EXTERNAL_GENERAL_ENTITIES = "http://xml.org/sax/features/external-general-entities";
    public static final String EXTERNAL_PARAMETER_ENTITIES = "http://xml.org/sax/features/external-parameter-entities";
    public static final Boolean[] FEATURE_DEFAULTS;
    public static PrivilegedAction GET_USER_DIR_SYSTEM_PROPERTY = new PrivilegedAction() {
        /* class org.apache.xerces.impl.XMLEntityManager.AnonymousClass1 */

        @Override // java.security.PrivilegedAction
        public Object run() {
            return System.getProperty("user.dir");
        }
    };
    public static final String PARSER_SETTINGS = "http://apache.org/xml/features/internal/parser-settings";
    public static final Object[] PROPERTY_DEFAULTS = {null, null, null, null, new Integer(2048), null};
    public static final String[] RECOGNIZED_FEATURES = {"http://xml.org/sax/features/validation", "http://xml.org/sax/features/external-general-entities", "http://xml.org/sax/features/external-parameter-entities", "http://apache.org/xml/features/allow-java-encodings", "http://apache.org/xml/features/warn-on-duplicate-entitydef", "http://apache.org/xml/features/standard-uri-conformant"};
    public static final String[] RECOGNIZED_PROPERTIES = {"http://apache.org/xml/properties/internal/symbol-table", "http://apache.org/xml/properties/internal/error-reporter", "http://apache.org/xml/properties/internal/entity-resolver", "http://apache.org/xml/properties/internal/validation-manager", "http://apache.org/xml/properties/input-buffer-size", "http://apache.org/xml/properties/security-manager"};
    public static final String SECURITY_MANAGER = "http://apache.org/xml/properties/security-manager";
    public static final String STANDARD_URI_CONFORMANT = "http://apache.org/xml/features/standard-uri-conformant";
    public static final String SYMBOL_TABLE = "http://apache.org/xml/properties/internal/symbol-table";
    public static final String VALIDATION = "http://xml.org/sax/features/validation";
    public static final String VALIDATION_MANAGER = "http://apache.org/xml/properties/internal/validation-manager";
    public static final String WARN_ON_DUPLICATE_ENTITYDEF = "http://apache.org/xml/features/warn-on-duplicate-entitydef";
    public static final String XMLEntity = "[xml]".intern();
    public static final char[] gAfterEscaping1 = new char[128];
    public static final char[] gAfterEscaping2 = new char[128];
    public static final char[] gHexChs = {SheetUtil.defaultChar, '1', '2', '3', '4', '5', '6', '7', '8', '9', 'A', 'B', 'C', 'D', 'E', 'F'};
    public static final boolean[] gNeedEscaping = new boolean[128];
    public static String gUserDir;
    public static URI gUserDirURI;
    public boolean fAllowJavaEncodings;
    public int fBufferSize;
    public final CharacterBufferPool fCharacterBufferPool;
    public ScannedEntity fCurrentEntity;
    public Hashtable fDeclaredEntities;
    public final Hashtable fEntities;
    public final Augmentations fEntityAugs;
    public int fEntityExpansionCount;
    public int fEntityExpansionLimit;
    public XMLEntityHandler fEntityHandler;
    public XMLEntityResolver fEntityResolver;
    public XMLEntityScanner fEntityScanner;
    public final Stack fEntityStack;
    public XMLErrorReporter fErrorReporter;
    public boolean fExternalGeneralEntities;
    public boolean fExternalParameterEntities;
    public boolean fHasPEReferences;
    public boolean fInExternalSubset;
    public final ByteBufferPool fLargeByteBufferPool;
    public Stack fReaderStack;
    public final XMLResourceIdentifierImpl fResourceIdentifier;
    public SecurityManager fSecurityManager;
    public final ByteBufferPool fSmallByteBufferPool;
    public boolean fStandalone;
    public boolean fStrictURI;
    public SymbolTable fSymbolTable;
    public byte[] fTempByteBuffer;
    public boolean fValidation;
    public ValidationManager fValidationManager;
    public boolean fWarnDuplicateEntityDef;
    public XMLEntityScanner fXML10EntityScanner;
    public XMLEntityScanner fXML11EntityScanner;

    public static final class ByteBufferPool {
        public static final int DEFAULT_POOL_SIZE = 3;
        public int fBufferSize;
        public byte[][] fByteBufferPool;
        public int fDepth;
        public int fPoolSize;

        public ByteBufferPool(int i2) {
            this(3, i2);
        }

        public ByteBufferPool(int i2, int i3) {
            this.fPoolSize = i2;
            this.fBufferSize = i3;
            this.fByteBufferPool = new byte[i2][];
            this.fDepth = 0;
        }

        public byte[] getBuffer() {
            int i2 = this.fDepth;
            if (i2 <= 0) {
                return new byte[this.fBufferSize];
            }
            byte[][] bArr = this.fByteBufferPool;
            int i3 = i2 - 1;
            this.fDepth = i3;
            return bArr[i3];
        }

        public void returnBuffer(byte[] bArr) {
            int i2 = this.fDepth;
            byte[][] bArr2 = this.fByteBufferPool;
            if (i2 < bArr2.length) {
                this.fDepth = i2 + 1;
                bArr2[i2] = bArr;
            }
        }

        public void setBufferSize(int i2) {
            this.fBufferSize = i2;
            this.fByteBufferPool = new byte[this.fPoolSize][];
            this.fDepth = 0;
        }
    }

    public static final class CharacterBuffer {
        public final char[] ch;
        public final boolean isExternal;

        public CharacterBuffer(boolean z, int i2) {
            this.isExternal = z;
            this.ch = new char[i2];
        }
    }

    public static final class CharacterBufferPool {
        public static final int DEFAULT_POOL_SIZE = 3;
        public CharacterBuffer[] fExternalBufferPool;
        public int fExternalBufferSize;
        public int fExternalTop;
        public CharacterBuffer[] fInternalBufferPool;
        public int fInternalBufferSize;
        public int fInternalTop;
        public int fPoolSize;

        public CharacterBufferPool(int i2, int i3) {
            this(3, i2, i3);
        }

        public CharacterBufferPool(int i2, int i3, int i4) {
            this.fExternalBufferSize = i3;
            this.fInternalBufferSize = i4;
            this.fPoolSize = i2;
            init();
        }

        private void init() {
            int i2 = this.fPoolSize;
            this.fInternalBufferPool = new CharacterBuffer[i2];
            this.fExternalBufferPool = new CharacterBuffer[i2];
            this.fInternalTop = -1;
            this.fExternalTop = -1;
        }

        public CharacterBuffer getBuffer(boolean z) {
            if (z) {
                int i2 = this.fExternalTop;
                if (i2 <= -1) {
                    return new CharacterBuffer(true, this.fExternalBufferSize);
                }
                CharacterBuffer[] characterBufferArr = this.fExternalBufferPool;
                this.fExternalTop = i2 - 1;
                return characterBufferArr[i2];
            }
            int i3 = this.fInternalTop;
            if (i3 <= -1) {
                return new CharacterBuffer(false, this.fInternalBufferSize);
            }
            CharacterBuffer[] characterBufferArr2 = this.fInternalBufferPool;
            this.fInternalTop = i3 - 1;
            return characterBufferArr2[i3];
        }

        public void returnBuffer(CharacterBuffer characterBuffer) {
            if (characterBuffer.isExternal) {
                int i2 = this.fExternalTop;
                CharacterBuffer[] characterBufferArr = this.fExternalBufferPool;
                if (i2 < characterBufferArr.length - 1) {
                    int i3 = i2 + 1;
                    this.fExternalTop = i3;
                    characterBufferArr[i3] = characterBuffer;
                    return;
                }
                return;
            }
            int i4 = this.fInternalTop;
            CharacterBuffer[] characterBufferArr2 = this.fInternalBufferPool;
            if (i4 < characterBufferArr2.length - 1) {
                int i5 = i4 + 1;
                this.fInternalTop = i5;
                characterBufferArr2[i5] = characterBuffer;
            }
        }

        public void setExternalBufferSize(int i2) {
            this.fExternalBufferSize = i2;
            this.fExternalBufferPool = new CharacterBuffer[this.fPoolSize];
            this.fExternalTop = -1;
        }
    }

    public static class EncodingInfo {
        public static final EncodingInfo EBCDIC = new EncodingInfo("CP037", null, false);
        public static final EncodingInfo UCS_4_BIG_ENDIAN = new EncodingInfo("ISO-10646-UCS-4", Boolean.TRUE, false);
        public static final EncodingInfo UCS_4_LITTLE_ENDIAN = new EncodingInfo("ISO-10646-UCS-4", Boolean.FALSE, false);
        public static final EncodingInfo UCS_4_UNUSUAL_BYTE_ORDER = new EncodingInfo("ISO-10646-UCS-4", null, false);
        public static final EncodingInfo UTF_16_BIG_ENDIAN = new EncodingInfo("UTF-16", Boolean.TRUE, false);
        public static final EncodingInfo UTF_16_BIG_ENDIAN_WITH_BOM = new EncodingInfo("UTF-16", Boolean.TRUE, true);
        public static final EncodingInfo UTF_16_LITTLE_ENDIAN = new EncodingInfo("UTF-16", Boolean.FALSE, false);
        public static final EncodingInfo UTF_16_LITTLE_ENDIAN_WITH_BOM = new EncodingInfo("UTF-16", Boolean.FALSE, true);
        public static final EncodingInfo UTF_8 = new EncodingInfo("UTF-8", null, false);
        public static final EncodingInfo UTF_8_WITH_BOM = new EncodingInfo("UTF-8", null, true);
        public final String encoding;
        public final boolean hasBOM;
        public final Boolean isBigEndian;

        public EncodingInfo(String str, Boolean bool, boolean z) {
            this.encoding = str;
            this.isBigEndian = bool;
            this.hasBOM = z;
        }
    }

    public static abstract class Entity {
        public boolean inExternalSubset;
        public String name;

        public Entity() {
            clear();
        }

        public Entity(String str, boolean z) {
            this.name = str;
            this.inExternalSubset = z;
        }

        public void clear() {
            this.name = null;
            this.inExternalSubset = false;
        }

        public boolean isEntityDeclInExternalSubset() {
            return this.inExternalSubset;
        }

        public abstract boolean isExternal();

        public abstract boolean isUnparsed();

        public void setValues(Entity entity) {
            this.name = entity.name;
            this.inExternalSubset = entity.inExternalSubset;
        }
    }

    public static class ExternalEntity extends Entity {
        public XMLResourceIdentifier entityLocation;
        public String notation;

        public ExternalEntity() {
            clear();
        }

        public ExternalEntity(String str, XMLResourceIdentifier xMLResourceIdentifier, String str2, boolean z) {
            super(str, z);
            this.entityLocation = xMLResourceIdentifier;
            this.notation = str2;
        }

        @Override // org.apache.xerces.impl.XMLEntityManager.Entity
        public void clear() {
            super.clear();
            this.entityLocation = null;
            this.notation = null;
        }

        @Override // org.apache.xerces.impl.XMLEntityManager.Entity
        public final boolean isExternal() {
            return true;
        }

        @Override // org.apache.xerces.impl.XMLEntityManager.Entity
        public final boolean isUnparsed() {
            return this.notation != null;
        }

        @Override // org.apache.xerces.impl.XMLEntityManager.Entity
        public void setValues(Entity entity) {
            super.setValues(entity);
            this.entityLocation = null;
            this.notation = null;
        }

        public void setValues(ExternalEntity externalEntity) {
            super.setValues((Entity) externalEntity);
            this.entityLocation = externalEntity.entityLocation;
            this.notation = externalEntity.notation;
        }
    }

    public static class InternalEntity extends Entity {
        public String text;

        public InternalEntity() {
            clear();
        }

        public InternalEntity(String str, String str2, boolean z) {
            super(str, z);
            this.text = str2;
        }

        @Override // org.apache.xerces.impl.XMLEntityManager.Entity
        public void clear() {
            super.clear();
            this.text = null;
        }

        @Override // org.apache.xerces.impl.XMLEntityManager.Entity
        public final boolean isExternal() {
            return false;
        }

        @Override // org.apache.xerces.impl.XMLEntityManager.Entity
        public final boolean isUnparsed() {
            return false;
        }

        @Override // org.apache.xerces.impl.XMLEntityManager.Entity
        public void setValues(Entity entity) {
            super.setValues(entity);
            this.text = null;
        }

        public void setValues(InternalEntity internalEntity) {
            super.setValues((Entity) internalEntity);
            this.text = internalEntity.text;
        }
    }

    public final class RewindableInputStream extends InputStream {
        public byte[] fData = new byte[64];
        public int fEndOffset;
        public InputStream fInputStream;
        public int fLength;
        public int fMark;
        public int fOffset;
        public int fStartOffset;

        public RewindableInputStream(InputStream inputStream) {
            this.fInputStream = inputStream;
            this.fStartOffset = 0;
            this.fEndOffset = -1;
            this.fOffset = 0;
            this.fLength = 0;
            this.fMark = 0;
        }

        @Override // java.io.InputStream
        public int available() {
            int i2 = this.fLength;
            int i3 = this.fOffset;
            int i4 = i2 - i3;
            if (i4 != 0) {
                return i4;
            }
            if (i3 == this.fEndOffset) {
                return -1;
            }
            if (XMLEntityManager.this.fCurrentEntity.mayReadChunks) {
                return this.fInputStream.available();
            }
            return 0;
        }

        @Override // java.io.Closeable, java.lang.AutoCloseable, java.io.InputStream
        public void close() {
            InputStream inputStream = this.fInputStream;
            if (inputStream != null) {
                inputStream.close();
                this.fInputStream = null;
            }
        }

        public void mark(int i2) {
            this.fMark = this.fOffset;
        }

        public boolean markSupported() {
            return true;
        }

        @Override // java.io.InputStream
        public int read() {
            int i2 = this.fOffset;
            if (i2 < this.fLength) {
                byte[] bArr = this.fData;
                this.fOffset = i2 + 1;
                return bArr[i2] & 255;
            } else if (i2 == this.fEndOffset) {
                return -1;
            } else {
                return XMLEntityManager.this.fCurrentEntity.mayReadChunks ? this.fInputStream.read() : readAndBuffer();
            }
        }

        @Override // java.io.InputStream
        public int read(byte[] bArr, int i2, int i3) {
            int i4 = this.fLength;
            int i5 = this.fOffset;
            int i6 = i4 - i5;
            if (i6 != 0) {
                if (i3 >= i6) {
                    i3 = i6;
                } else if (i3 <= 0) {
                    return 0;
                }
                if (bArr != null) {
                    System.arraycopy(this.fData, this.fOffset, bArr, i2, i3);
                }
                this.fOffset += i3;
                return i3;
            } else if (i5 == this.fEndOffset) {
                return -1;
            } else {
                if (XMLEntityManager.this.fCurrentEntity.mayReadChunks) {
                    return this.fInputStream.read(bArr, i2, i3);
                }
                int readAndBuffer = readAndBuffer();
                if (readAndBuffer == -1) {
                    this.fEndOffset = this.fOffset;
                    return -1;
                }
                bArr[i2] = (byte) readAndBuffer;
                return 1;
            }
        }

        public int readAndBuffer() {
            int i2 = this.fOffset;
            byte[] bArr = this.fData;
            if (i2 == bArr.length) {
                byte[] bArr2 = new byte[(i2 << 1)];
                System.arraycopy(bArr, 0, bArr2, 0, i2);
                this.fData = bArr2;
            }
            int read = this.fInputStream.read();
            if (read == -1) {
                this.fEndOffset = this.fOffset;
                return -1;
            }
            byte[] bArr3 = this.fData;
            int i3 = this.fLength;
            this.fLength = i3 + 1;
            bArr3[i3] = (byte) read;
            this.fOffset++;
            return read & 255;
        }

        @Override // java.io.InputStream
        public void reset() {
            this.fOffset = this.fMark;
        }

        public void rewind() {
            this.fOffset = this.fStartOffset;
        }

        public void setStartOffset(int i2) {
            this.fStartOffset = i2;
        }

        @Override // java.io.InputStream
        public long skip(long j) {
            if (j <= 0) {
                return 0;
            }
            int i2 = this.fLength;
            int i3 = this.fOffset;
            int i4 = i2 - i3;
            if (i4 != 0) {
                long j2 = (long) i4;
                if (j <= j2) {
                    this.fOffset = (int) (((long) i3) + j);
                    return j;
                }
                int i5 = i3 + i4;
                this.fOffset = i5;
                if (i5 == this.fEndOffset) {
                    return j2;
                }
                return this.fInputStream.skip(j - j2) + j2;
            } else if (i3 == this.fEndOffset) {
                return 0;
            } else {
                return this.fInputStream.skip(j);
            }
        }
    }

    public class ScannedEntity extends Entity {
        public int baseCharOffset;
        public char[] ch = null;
        public int columnNumber = 1;
        public int count;
        public String encoding;
        public XMLResourceIdentifier entityLocation;
        public boolean externallySpecifiedEncoding = false;
        public byte[] fByteBuffer;
        public CharacterBuffer fCharacterBuffer;
        public boolean isExternal;
        public int lineNumber = 1;
        public boolean literal;
        public boolean mayReadChunks;
        public int position;
        public Reader reader;
        public int startPosition;
        public InputStream stream;
        public final /* synthetic */ XMLEntityManager this$0;
        public String xmlVersion = "1.0";

        public ScannedEntity(XMLEntityManager xMLEntityManager, String str, XMLResourceIdentifier xMLResourceIdentifier, InputStream inputStream, Reader reader2, byte[] bArr, String str2, boolean z, boolean z2, boolean z3) {
            super(str, xMLEntityManager.fInExternalSubset);
            this.this$0 = xMLEntityManager;
            this.entityLocation = xMLResourceIdentifier;
            this.stream = inputStream;
            this.reader = reader2;
            this.encoding = str2;
            this.literal = z;
            this.mayReadChunks = z2;
            this.isExternal = z3;
            CharacterBuffer buffer = xMLEntityManager.fCharacterBufferPool.getBuffer(z3);
            this.fCharacterBuffer = buffer;
            this.ch = buffer.ch;
            this.fByteBuffer = bArr;
        }

        public int getCharacterOffset() {
            for (int size = this.this$0.fEntityStack.size() - 1; size >= 0; size--) {
                ScannedEntity scannedEntity = (ScannedEntity) this.this$0.fEntityStack.elementAt(size);
                if (scannedEntity.isExternal()) {
                    return (scannedEntity.position - scannedEntity.startPosition) + scannedEntity.baseCharOffset;
                }
            }
            return -1;
        }

        public int getColumnNumber() {
            for (int size = this.this$0.fEntityStack.size() - 1; size >= 0; size--) {
                ScannedEntity scannedEntity = (ScannedEntity) this.this$0.fEntityStack.elementAt(size);
                if (scannedEntity.isExternal()) {
                    return scannedEntity.columnNumber;
                }
            }
            return -1;
        }

        public String getEncoding() {
            for (int size = this.this$0.fEntityStack.size() - 1; size >= 0; size--) {
                ScannedEntity scannedEntity = (ScannedEntity) this.this$0.fEntityStack.elementAt(size);
                if (scannedEntity.isExternal()) {
                    return scannedEntity.encoding;
                }
            }
            return null;
        }

        public String getExpandedSystemId() {
            for (int size = this.this$0.fEntityStack.size() - 1; size >= 0; size--) {
                ScannedEntity scannedEntity = (ScannedEntity) this.this$0.fEntityStack.elementAt(size);
                XMLResourceIdentifier xMLResourceIdentifier = scannedEntity.entityLocation;
                if (!(xMLResourceIdentifier == null || xMLResourceIdentifier.getExpandedSystemId() == null)) {
                    return scannedEntity.entityLocation.getExpandedSystemId();
                }
            }
            return null;
        }

        public int getLineNumber() {
            for (int size = this.this$0.fEntityStack.size() - 1; size >= 0; size--) {
                ScannedEntity scannedEntity = (ScannedEntity) this.this$0.fEntityStack.elementAt(size);
                if (scannedEntity.isExternal()) {
                    return scannedEntity.lineNumber;
                }
            }
            return -1;
        }

        public String getLiteralSystemId() {
            for (int size = this.this$0.fEntityStack.size() - 1; size >= 0; size--) {
                ScannedEntity scannedEntity = (ScannedEntity) this.this$0.fEntityStack.elementAt(size);
                XMLResourceIdentifier xMLResourceIdentifier = scannedEntity.entityLocation;
                if (!(xMLResourceIdentifier == null || xMLResourceIdentifier.getLiteralSystemId() == null)) {
                    return scannedEntity.entityLocation.getLiteralSystemId();
                }
            }
            return null;
        }

        public String getXMLVersion() {
            for (int size = this.this$0.fEntityStack.size() - 1; size >= 0; size--) {
                ScannedEntity scannedEntity = (ScannedEntity) this.this$0.fEntityStack.elementAt(size);
                if (scannedEntity.isExternal()) {
                    return scannedEntity.xmlVersion;
                }
            }
            return null;
        }

        public boolean isEncodingExternallySpecified() {
            return this.externallySpecifiedEncoding;
        }

        @Override // org.apache.xerces.impl.XMLEntityManager.Entity
        public final boolean isExternal() {
            return this.isExternal;
        }

        @Override // org.apache.xerces.impl.XMLEntityManager.Entity
        public final boolean isUnparsed() {
            return false;
        }

        public void setEncodingExternallySpecified(boolean z) {
            this.externallySpecifiedEncoding = z;
        }

        public void setReader(InputStream inputStream, String str, Boolean bool) {
            this.this$0.fTempByteBuffer = this.fByteBuffer;
            this.reader = this.this$0.createReader(inputStream, str, bool);
            this.fByteBuffer = this.this$0.fTempByteBuffer;
        }

        public String toString() {
            StringBuffer a = a.a("name=\"");
            a.append(this.name);
            a.append(StringPtg.FORMULA_DELIMITER);
            a.append(",ch=");
            a.append(this.ch);
            a.append(",position=");
            a.append(this.position);
            a.append(",count=");
            a.append(this.count);
            a.append(",baseCharOffset=");
            a.append(this.baseCharOffset);
            a.append(",startPosition=");
            a.append(this.startPosition);
            return a.toString();
        }
    }

    static {
        Boolean bool = Boolean.TRUE;
        Boolean bool2 = Boolean.FALSE;
        FEATURE_DEFAULTS = new Boolean[]{null, bool, bool, bool2, bool2, bool2};
        for (int i2 = 0; i2 <= 31; i2++) {
            gNeedEscaping[i2] = true;
            char[] cArr = gAfterEscaping1;
            char[] cArr2 = gHexChs;
            cArr[i2] = cArr2[i2 >> 4];
            gAfterEscaping2[i2] = cArr2[i2 & 15];
        }
        gNeedEscaping[127] = true;
        gAfterEscaping1[127] = '7';
        gAfterEscaping2[127] = 'F';
        char[] cArr3 = {' ', '<', '>', '#', '%', StringPtg.FORMULA_DELIMITER, '{', '}', '|', '\\', '^', '~', '[', ']', '`'};
        for (int i3 = 0; i3 < 15; i3++) {
            char c = cArr3[i3];
            gNeedEscaping[c] = true;
            char[] cArr4 = gAfterEscaping1;
            char[] cArr5 = gHexChs;
            cArr4[c] = cArr5[c >> 4];
            gAfterEscaping2[c] = cArr5[c & 15];
        }
    }

    public XMLEntityManager() {
        this(null);
    }

    public XMLEntityManager(XMLEntityManager xMLEntityManager) {
        this.fExternalGeneralEntities = true;
        this.fExternalParameterEntities = true;
        this.fBufferSize = 2048;
        Hashtable hashtable = null;
        this.fSecurityManager = null;
        this.fInExternalSubset = false;
        this.fEntityExpansionLimit = 0;
        this.fEntityExpansionCount = 0;
        this.fEntities = new Hashtable();
        this.fEntityStack = new Stack();
        this.fResourceIdentifier = new XMLResourceIdentifierImpl();
        this.fEntityAugs = new AugmentationsImpl();
        this.fSmallByteBufferPool = new ByteBufferPool(this.fBufferSize);
        this.fLargeByteBufferPool = new ByteBufferPool(this.fBufferSize << 1);
        this.fTempByteBuffer = null;
        this.fCharacterBufferPool = new CharacterBufferPool(this.fBufferSize, 512);
        this.fReaderStack = new Stack();
        this.fDeclaredEntities = xMLEntityManager != null ? xMLEntityManager.getDeclaredEntities() : hashtable;
        setScannerVersion(1);
    }

    public static void absolutizeAgainstUserDir(URI uri) {
        uri.absolutize(getUserDir());
    }

    private Reader createASCIIReader(InputStream inputStream) {
        if (this.fTempByteBuffer == null) {
            this.fTempByteBuffer = this.fSmallByteBufferPool.getBuffer();
        }
        return new ASCIIReader(inputStream, this.fTempByteBuffer, this.fErrorReporter.getMessageFormatter("http://www.w3.org/TR/1998/REC-xml-19980210"), this.fErrorReporter.getLocale());
    }

    private Reader createLatin1Reader(InputStream inputStream) {
        if (this.fTempByteBuffer == null) {
            this.fTempByteBuffer = this.fSmallByteBufferPool.getBuffer();
        }
        return new Latin1Reader(inputStream, this.fTempByteBuffer);
    }

    public static OutputStream createOutputStream(String str) {
        File parentFile;
        String expandSystemId = expandSystemId(str, null, true);
        if (expandSystemId != null) {
            str = expandSystemId;
        }
        URL url = new URL(str);
        String protocol = url.getProtocol();
        String host = url.getHost();
        if (!protocol.equals("file") || !(host == null || host.length() == 0 || host.equals("localhost"))) {
            URLConnection openConnection = url.openConnection();
            openConnection.setDoInput(false);
            openConnection.setDoOutput(true);
            openConnection.setUseCaches(false);
            if (openConnection instanceof HttpURLConnection) {
                ((HttpURLConnection) openConnection).setRequestMethod("PUT");
            }
            return openConnection.getOutputStream();
        }
        File file = new File(getPathWithoutEscapes(url.getPath()));
        if (!file.exists() && (parentFile = file.getParentFile()) != null && !parentFile.exists()) {
            parentFile.mkdirs();
        }
        return new FileOutputStream(file);
    }

    private Reader createUTF16Reader(InputStream inputStream, boolean z) {
        byte[] bArr = this.fTempByteBuffer;
        if (bArr == null) {
            this.fTempByteBuffer = this.fLargeByteBufferPool.getBuffer();
        } else if (bArr.length == this.fBufferSize) {
            this.fSmallByteBufferPool.returnBuffer(bArr);
            this.fTempByteBuffer = this.fLargeByteBufferPool.getBuffer();
        }
        return new UTF16Reader(inputStream, this.fTempByteBuffer, z, this.fErrorReporter.getMessageFormatter("http://www.w3.org/TR/1998/REC-xml-19980210"), this.fErrorReporter.getLocale());
    }

    private Reader createUTF8Reader(InputStream inputStream) {
        if (this.fTempByteBuffer == null) {
            this.fTempByteBuffer = this.fSmallByteBufferPool.getBuffer();
        }
        return new UTF8Reader(inputStream, this.fTempByteBuffer, this.fErrorReporter.getMessageFormatter("http://www.w3.org/TR/1998/REC-xml-19980210"), this.fErrorReporter.getLocale());
    }

    /* JADX WARNING: Removed duplicated region for block: B:31:0x0076 A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:32:0x0077  */
    public static String expandSystemId(String str, String str2, boolean z) {
        URI uri;
        URI uri2 = null;
        if (str == null) {
            return null;
        }
        if (z) {
            return expandSystemIdStrictOn(str, str2);
        }
        try {
            return expandSystemIdStrictOff(str, str2);
        } catch (URI.MalformedURIException unused) {
            if (str.length() == 0) {
                return str;
            }
            String fixURI = fixURI(str);
            if (str2 != null) {
                try {
                    if (str2.length() != 0 && !str2.equals(str)) {
                        try {
                            uri = new URI(fixURI(str2).trim());
                        } catch (URI.MalformedURIException unused2) {
                            uri = str2.indexOf(58) != -1 ? new URI("file", "", fixURI(str2).trim(), null, null) : new URI(getUserDir(), fixURI(str2));
                        }
                        uri2 = new URI(uri, fixURI.trim());
                        return uri2 == null ? str : uri2.toString();
                    }
                } catch (Exception unused3) {
                    if (uri2 == null) {
                    }
                }
            }
            uri = getUserDir();
            uri2 = new URI(uri, fixURI.trim());
            if (uri2 == null) {
            }
        }
    }

    public static String expandSystemIdStrictOff(String str, String str2) {
        URI uri;
        URI uri2 = new URI(str, true);
        if (!uri2.isAbsoluteURI()) {
            if (str2 == null || str2.length() == 0) {
                uri = getUserDir();
            } else {
                uri = new URI(str2, true);
                if (!uri.isAbsoluteURI()) {
                    uri.absolutize(getUserDir());
                }
            }
            uri2.absolutize(uri);
            return uri2.toString();
        } else if (uri2.getScheme().length() > 1) {
            return str;
        } else {
            throw new URI.MalformedURIException();
        }
    }

    public static String expandSystemIdStrictOn(String str, String str2) {
        URI uri;
        URI uri2 = new URI(str, true);
        if (uri2.isAbsoluteURI()) {
            return str;
        }
        if (str2 == null || str2.length() == 0) {
            uri = getUserDir();
        } else {
            uri = new URI(str2, true);
            if (!uri.isAbsoluteURI()) {
                uri.absolutize(getUserDir());
            }
        }
        uri2.absolutize(uri);
        return uri2.toString();
    }

    /* JADX WARNING: Removed duplicated region for block: B:17:0x0059  */
    /* JADX WARNING: Removed duplicated region for block: B:20:0x0063  */
    public static String fixURI(String str) {
        StringBuffer stringBuffer;
        int indexOf;
        String str2;
        String replace = str.replace(File.separatorChar, JarHelper.SEP);
        if (replace.length() >= 2) {
            char charAt = replace.charAt(1);
            if (charAt == ':') {
                char upperCase = Character.toUpperCase(replace.charAt(0));
                if (upperCase >= 'A' && upperCase <= 'Z') {
                    stringBuffer = new StringBuffer(replace.length() + 8);
                    str2 = "file:///";
                }
            } else if (charAt == '/' && replace.charAt(0) == '/') {
                stringBuffer = new StringBuffer(replace.length() + 5);
                str2 = "file:";
            }
            stringBuffer.append(str2);
            indexOf = replace.indexOf(32);
            if (indexOf < 0) {
                if (stringBuffer == null) {
                    stringBuffer = new StringBuffer(replace.length());
                }
                for (int i2 = 0; i2 < indexOf; i2++) {
                    stringBuffer.append(replace.charAt(i2));
                }
                stringBuffer.append("%20");
                for (int i3 = indexOf + 1; i3 < replace.length(); i3++) {
                    if (replace.charAt(i3) == ' ') {
                        stringBuffer.append("%20");
                    } else {
                        stringBuffer.append(replace.charAt(i3));
                    }
                }
            } else if (stringBuffer == null) {
                return replace;
            } else {
                stringBuffer.append(replace);
            }
            return stringBuffer.toString();
        }
        stringBuffer = null;
        indexOf = replace.indexOf(32);
        if (indexOf < 0) {
        }
        return stringBuffer.toString();
    }

    public static String getPathWithoutEscapes(String str) {
        if (str == null || str.length() == 0 || str.indexOf(37) == -1) {
            return str;
        }
        StringTokenizer stringTokenizer = new StringTokenizer(str, PercentPtg.PERCENT);
        StringBuffer stringBuffer = new StringBuffer(str.length());
        int countTokens = stringTokenizer.countTokens();
        stringBuffer.append(stringTokenizer.nextToken());
        for (int i2 = 1; i2 < countTokens; i2++) {
            String nextToken = stringTokenizer.nextToken();
            stringBuffer.append((char) Integer.valueOf(nextToken.substring(0, 2), 16).intValue());
            stringBuffer.append(nextToken.substring(2));
        }
        return stringBuffer.toString();
    }

    public static synchronized URI getUserDir() {
        char c;
        char charAt;
        char upperCase;
        synchronized (XMLEntityManager.class) {
            String str = "";
            try {
                str = (String) AccessController.doPrivileged(GET_USER_DIR_SYSTEM_PROPERTY);
            } catch (SecurityException unused) {
            }
            if (str.length() == 0) {
                return new URI("file", "", "", null, null);
            }
            if (gUserDirURI != null && str.equals(gUserDir)) {
                return gUserDirURI;
            }
            gUserDir = str;
            String replace = str.replace(File.separatorChar, JarHelper.SEP);
            int length = replace.length();
            StringBuffer stringBuffer = new StringBuffer(length * 3);
            if (length >= 2 && replace.charAt(1) == ':' && (upperCase = Character.toUpperCase(replace.charAt(0))) >= 'A' && upperCase <= 'Z') {
                stringBuffer.append(JarHelper.SEP);
            }
            int i2 = 0;
            while (i2 < length && (charAt = replace.charAt(i2)) < 128) {
                if (gNeedEscaping[charAt]) {
                    stringBuffer.append('%');
                    stringBuffer.append(gAfterEscaping1[charAt]);
                    stringBuffer.append(gAfterEscaping2[charAt]);
                } else {
                    stringBuffer.append((char) charAt);
                }
                i2++;
            }
            if (i2 < length) {
                try {
                    byte[] bytes = replace.substring(i2).getBytes("UTF-8");
                    for (byte b2 : bytes) {
                        if (b2 < 0) {
                            int i3 = b2 + 256;
                            stringBuffer.append('%');
                            stringBuffer.append(gHexChs[i3 >> 4]);
                            c = gHexChs[i3 & 15];
                        } else if (gNeedEscaping[b2]) {
                            stringBuffer.append('%');
                            stringBuffer.append(gAfterEscaping1[b2]);
                            c = gAfterEscaping2[b2];
                        } else {
                            stringBuffer.append((char) b2);
                        }
                        stringBuffer.append(c);
                    }
                } catch (UnsupportedEncodingException unused2) {
                    return new URI("file", "", replace, null, null);
                }
            }
            if (!replace.endsWith(ZipHelper.FORWARD_SLASH)) {
                stringBuffer.append(JarHelper.SEP);
            }
            URI uri = new URI("file", "", stringBuffer.toString(), null, null);
            gUserDirURI = uri;
            return uri;
        }
    }

    public static final void print(ScannedEntity scannedEntity) {
    }

    public void addExternalEntity(String str, String str2, String str3, String str4) {
        String str5;
        ScannedEntity scannedEntity;
        XMLResourceIdentifier xMLResourceIdentifier;
        if (!this.fEntities.containsKey(str)) {
            if (str4 == null) {
                int size = this.fEntityStack.size();
                if (!(size != 0 || (scannedEntity = this.fCurrentEntity) == null || (xMLResourceIdentifier = scannedEntity.entityLocation) == null)) {
                    str4 = xMLResourceIdentifier.getExpandedSystemId();
                }
                for (int i2 = size - 1; i2 >= 0; i2--) {
                    ScannedEntity scannedEntity2 = (ScannedEntity) this.fEntityStack.elementAt(i2);
                    XMLResourceIdentifier xMLResourceIdentifier2 = scannedEntity2.entityLocation;
                    if (xMLResourceIdentifier2 != null && xMLResourceIdentifier2.getExpandedSystemId() != null) {
                        str4 = scannedEntity2.entityLocation.getExpandedSystemId();
                    }
                }
                str5 = str4;
                this.fEntities.put(str, new ExternalEntity(str, new XMLEntityDescriptionImpl(str, str2, str3, str5, expandSystemId(str3, str5, false)), null, this.fInExternalSubset));
            }
            str5 = str4;
            this.fEntities.put(str, new ExternalEntity(str, new XMLEntityDescriptionImpl(str, str2, str3, str5, expandSystemId(str3, str5, false)), null, this.fInExternalSubset));
        } else if (this.fWarnDuplicateEntityDef) {
            this.fErrorReporter.reportError("http://www.w3.org/TR/1998/REC-xml-19980210", "MSG_DUPLICATE_ENTITY_DEFINITION", new Object[]{str}, 0);
        }
    }

    public void addInternalEntity(String str, String str2) {
        if (!this.fEntities.containsKey(str)) {
            this.fEntities.put(str, new InternalEntity(str, str2, this.fInExternalSubset));
        } else if (this.fWarnDuplicateEntityDef) {
            this.fErrorReporter.reportError("http://www.w3.org/TR/1998/REC-xml-19980210", "MSG_DUPLICATE_ENTITY_DEFINITION", new Object[]{str}, 0);
        }
    }

    public void addUnparsedEntity(String str, String str2, String str3, String str4, String str5) {
        if (!this.fEntities.containsKey(str)) {
            this.fEntities.put(str, new ExternalEntity(str, new XMLEntityDescriptionImpl(str, str2, str3, str4, null), str5, this.fInExternalSubset));
        } else if (this.fWarnDuplicateEntityDef) {
            this.fErrorReporter.reportError("http://www.w3.org/TR/1998/REC-xml-19980210", "MSG_DUPLICATE_ENTITY_DEFINITION", new Object[]{str}, 0);
        }
    }

    public void closeReaders() {
        for (int size = this.fReaderStack.size() - 1; size >= 0; size--) {
            try {
                ((Reader) this.fReaderStack.pop()).close();
            } catch (IOException unused) {
            }
        }
    }

    public Reader createReader(InputStream inputStream, String str, Boolean bool) {
        if (str == "UTF-8" || str == null) {
            return createUTF8Reader(inputStream);
        }
        if (str == "UTF-16" && bool != null) {
            return createUTF16Reader(inputStream, bool.booleanValue());
        }
        String upperCase = str.toUpperCase(Locale.ENGLISH);
        if (upperCase.equals("UTF-8")) {
            return createUTF8Reader(inputStream);
        }
        if (upperCase.equals("UTF-16BE")) {
            return createUTF16Reader(inputStream, true);
        }
        if (upperCase.equals("UTF-16LE")) {
            return createUTF16Reader(inputStream, false);
        }
        if (upperCase.equals("ISO-10646-UCS-4")) {
            if (bool != null) {
                return bool.booleanValue() ? new UCSReader(inputStream, 8) : new UCSReader(inputStream, 4);
            }
            this.fErrorReporter.reportError("http://www.w3.org/TR/1998/REC-xml-19980210", "EncodingByteOrderUnsupported", new Object[]{str}, 2);
        }
        if (upperCase.equals("ISO-10646-UCS-2")) {
            if (bool != null) {
                return bool.booleanValue() ? new UCSReader(inputStream, 2) : new UCSReader(inputStream, 1);
            }
            this.fErrorReporter.reportError("http://www.w3.org/TR/1998/REC-xml-19980210", "EncodingByteOrderUnsupported", new Object[]{str}, 2);
        }
        boolean isValidIANAEncoding = XMLChar.isValidIANAEncoding(str);
        boolean isValidJavaEncoding = XMLChar.isValidJavaEncoding(str);
        if (!isValidIANAEncoding || (this.fAllowJavaEncodings && !isValidJavaEncoding)) {
            this.fErrorReporter.reportError("http://www.w3.org/TR/1998/REC-xml-19980210", "EncodingDeclInvalid", new Object[]{str}, 2);
            return createLatin1Reader(inputStream);
        }
        String iANA2JavaMapping = EncodingMap.getIANA2JavaMapping(upperCase);
        if (iANA2JavaMapping == null) {
            if (!this.fAllowJavaEncodings) {
                this.fErrorReporter.reportError("http://www.w3.org/TR/1998/REC-xml-19980210", "EncodingDeclInvalid", new Object[]{str}, 2);
                return createLatin1Reader(inputStream);
            }
        } else if (iANA2JavaMapping.equals("ASCII")) {
            return createASCIIReader(inputStream);
        } else {
            if (iANA2JavaMapping.equals("ISO8859_1")) {
                return createLatin1Reader(inputStream);
            }
            str = iANA2JavaMapping;
        }
        return new InputStreamReader(inputStream, str);
    }

    public void endEntity() {
        XMLEntityHandler xMLEntityHandler = this.fEntityHandler;
        ScannedEntity scannedEntity = null;
        if (xMLEntityHandler != null) {
            xMLEntityHandler.endEntity(this.fCurrentEntity.name, null);
        }
        try {
            this.fCurrentEntity.reader.close();
        } catch (IOException unused) {
        }
        if (!this.fReaderStack.isEmpty()) {
            this.fReaderStack.pop();
        }
        this.fCharacterBufferPool.returnBuffer(this.fCurrentEntity.fCharacterBuffer);
        if (this.fCurrentEntity.fByteBuffer != null) {
            if (this.fCurrentEntity.fByteBuffer.length == this.fBufferSize) {
                this.fSmallByteBufferPool.returnBuffer(this.fCurrentEntity.fByteBuffer);
            } else {
                this.fLargeByteBufferPool.returnBuffer(this.fCurrentEntity.fByteBuffer);
            }
        }
        if (this.fEntityStack.size() > 0) {
            scannedEntity = (ScannedEntity) this.fEntityStack.pop();
        }
        this.fCurrentEntity = scannedEntity;
        this.fEntityScanner.setCurrentEntity(scannedEntity);
    }

    public void endExternalSubset() {
        this.fInExternalSubset = false;
    }

    public ScannedEntity getCurrentEntity() {
        return this.fCurrentEntity;
    }

    public XMLResourceIdentifier getCurrentResourceIdentifier() {
        return this.fResourceIdentifier;
    }

    public Hashtable getDeclaredEntities() {
        return this.fEntities;
    }

    public EncodingInfo getEncodingInfo(byte[] bArr, int i2) {
        if (i2 < 2) {
            return EncodingInfo.UTF_8;
        }
        int i3 = bArr[0] & 255;
        int i4 = bArr[1] & 255;
        if (i3 == 254 && i4 == 255) {
            return EncodingInfo.UTF_16_BIG_ENDIAN_WITH_BOM;
        }
        if (i3 == 255 && i4 == 254) {
            return EncodingInfo.UTF_16_LITTLE_ENDIAN_WITH_BOM;
        }
        if (i2 < 3) {
            return EncodingInfo.UTF_8;
        }
        int i5 = bArr[2] & 255;
        if (i3 == 239 && i4 == 187 && i5 == 191) {
            return EncodingInfo.UTF_8_WITH_BOM;
        }
        if (i2 < 4) {
            return EncodingInfo.UTF_8;
        }
        int i6 = bArr[3] & 255;
        return (i3 == 0 && i4 == 0 && i5 == 0 && i6 == 60) ? EncodingInfo.UCS_4_BIG_ENDIAN : (i3 == 60 && i4 == 0 && i5 == 0 && i6 == 0) ? EncodingInfo.UCS_4_LITTLE_ENDIAN : (i3 == 0 && i4 == 0 && i5 == 60 && i6 == 0) ? EncodingInfo.UCS_4_UNUSUAL_BYTE_ORDER : (i3 == 0 && i4 == 60 && i5 == 0 && i6 == 0) ? EncodingInfo.UCS_4_UNUSUAL_BYTE_ORDER : (i3 == 0 && i4 == 60 && i5 == 0 && i6 == 63) ? EncodingInfo.UTF_16_BIG_ENDIAN : (i3 == 60 && i4 == 0 && i5 == 63 && i6 == 0) ? EncodingInfo.UTF_16_LITTLE_ENDIAN : (i3 == 76 && i4 == 111 && i5 == 167 && i6 == 148) ? EncodingInfo.EBCDIC : EncodingInfo.UTF_8;
    }

    public XMLEntityScanner getEntityScanner() {
        if (this.fEntityScanner == null) {
            if (this.fXML10EntityScanner == null) {
                this.fXML10EntityScanner = new XMLEntityScanner();
            }
            this.fXML10EntityScanner.reset(this.fSymbolTable, this, this.fErrorReporter);
            this.fEntityScanner = this.fXML10EntityScanner;
        }
        return this.fEntityScanner;
    }

    @Override // org.apache.xerces.xni.parser.XMLComponent
    public Boolean getFeatureDefault(String str) {
        int i2 = 0;
        while (true) {
            String[] strArr = RECOGNIZED_FEATURES;
            if (i2 >= strArr.length) {
                return null;
            }
            if (strArr[i2].equals(str)) {
                return FEATURE_DEFAULTS[i2];
            }
            i2++;
        }
    }

    @Override // org.apache.xerces.xni.parser.XMLComponent
    public Object getPropertyDefault(String str) {
        int i2 = 0;
        while (true) {
            String[] strArr = RECOGNIZED_PROPERTIES;
            if (i2 >= strArr.length) {
                return null;
            }
            if (strArr[i2].equals(str)) {
                return PROPERTY_DEFAULTS[i2];
            }
            i2++;
        }
    }

    @Override // org.apache.xerces.xni.parser.XMLComponent
    public String[] getRecognizedFeatures() {
        return (String[]) RECOGNIZED_FEATURES.clone();
    }

    @Override // org.apache.xerces.xni.parser.XMLComponent
    public String[] getRecognizedProperties() {
        return (String[]) RECOGNIZED_PROPERTIES.clone();
    }

    public final boolean hasPEReferences() {
        return this.fHasPEReferences;
    }

    public boolean isDeclaredEntity(String str) {
        return ((Entity) this.fEntities.get(str)) != null;
    }

    public boolean isEntityDeclInExternalSubset(String str) {
        Entity entity = (Entity) this.fEntities.get(str);
        if (entity == null) {
            return false;
        }
        return entity.isEntityDeclInExternalSubset();
    }

    public boolean isExternalEntity(String str) {
        Entity entity = (Entity) this.fEntities.get(str);
        if (entity == null) {
            return false;
        }
        return entity.isExternal();
    }

    public boolean isStandalone() {
        return this.fStandalone;
    }

    public boolean isUnparsedEntity(String str) {
        Entity entity = (Entity) this.fEntities.get(str);
        if (entity == null) {
            return false;
        }
        return entity.isUnparsed();
    }

    public final void notifyHasPEReferences() {
        this.fHasPEReferences = true;
    }

    public void reset() {
        SecurityManager securityManager = this.fSecurityManager;
        this.fEntityExpansionLimit = securityManager != null ? securityManager.getEntityExpansionLimit() : 0;
        this.fStandalone = false;
        this.fHasPEReferences = false;
        this.fEntities.clear();
        this.fEntityStack.removeAllElements();
        this.fEntityExpansionCount = 0;
        this.fCurrentEntity = null;
        XMLEntityScanner xMLEntityScanner = this.fXML10EntityScanner;
        if (xMLEntityScanner != null) {
            xMLEntityScanner.reset(this.fSymbolTable, this, this.fErrorReporter);
        }
        XMLEntityScanner xMLEntityScanner2 = this.fXML11EntityScanner;
        if (xMLEntityScanner2 != null) {
            xMLEntityScanner2.reset(this.fSymbolTable, this, this.fErrorReporter);
        }
        Hashtable hashtable = this.fDeclaredEntities;
        if (hashtable != null) {
            for (Map.Entry entry : hashtable.entrySet()) {
                this.fEntities.put(entry.getKey(), entry.getValue());
            }
        }
        this.fEntityHandler = null;
    }

    @Override // org.apache.xerces.xni.parser.XMLComponent
    public void reset(XMLComponentManager xMLComponentManager) {
        boolean z;
        try {
            z = xMLComponentManager.getFeature("http://apache.org/xml/features/internal/parser-settings");
        } catch (XMLConfigurationException unused) {
            z = true;
        }
        if (!z) {
            reset();
            return;
        }
        try {
            this.fValidation = xMLComponentManager.getFeature("http://xml.org/sax/features/validation");
        } catch (XMLConfigurationException unused2) {
            this.fValidation = false;
        }
        try {
            this.fExternalGeneralEntities = xMLComponentManager.getFeature("http://xml.org/sax/features/external-general-entities");
        } catch (XMLConfigurationException unused3) {
            this.fExternalGeneralEntities = true;
        }
        try {
            this.fExternalParameterEntities = xMLComponentManager.getFeature("http://xml.org/sax/features/external-parameter-entities");
        } catch (XMLConfigurationException unused4) {
            this.fExternalParameterEntities = true;
        }
        try {
            this.fAllowJavaEncodings = xMLComponentManager.getFeature("http://apache.org/xml/features/allow-java-encodings");
        } catch (XMLConfigurationException unused5) {
            this.fAllowJavaEncodings = false;
        }
        try {
            this.fWarnDuplicateEntityDef = xMLComponentManager.getFeature("http://apache.org/xml/features/warn-on-duplicate-entitydef");
        } catch (XMLConfigurationException unused6) {
            this.fWarnDuplicateEntityDef = false;
        }
        try {
            this.fStrictURI = xMLComponentManager.getFeature("http://apache.org/xml/features/standard-uri-conformant");
        } catch (XMLConfigurationException unused7) {
            this.fStrictURI = false;
        }
        this.fSymbolTable = (SymbolTable) xMLComponentManager.getProperty("http://apache.org/xml/properties/internal/symbol-table");
        this.fErrorReporter = (XMLErrorReporter) xMLComponentManager.getProperty("http://apache.org/xml/properties/internal/error-reporter");
        try {
            this.fEntityResolver = (XMLEntityResolver) xMLComponentManager.getProperty("http://apache.org/xml/properties/internal/entity-resolver");
        } catch (XMLConfigurationException unused8) {
            this.fEntityResolver = null;
        }
        try {
            this.fValidationManager = (ValidationManager) xMLComponentManager.getProperty("http://apache.org/xml/properties/internal/validation-manager");
        } catch (XMLConfigurationException unused9) {
            this.fValidationManager = null;
        }
        try {
            this.fSecurityManager = (SecurityManager) xMLComponentManager.getProperty("http://apache.org/xml/properties/security-manager");
        } catch (XMLConfigurationException unused10) {
            this.fSecurityManager = null;
        }
        reset();
    }

    @Override // org.apache.xerces.xni.parser.XMLEntityResolver
    public XMLInputSource resolveEntity(XMLResourceIdentifier xMLResourceIdentifier) {
        ScannedEntity scannedEntity;
        XMLResourceIdentifier xMLResourceIdentifier2;
        XMLInputSource xMLInputSource = null;
        if (xMLResourceIdentifier == null) {
            return null;
        }
        String publicId = xMLResourceIdentifier.getPublicId();
        String literalSystemId = xMLResourceIdentifier.getLiteralSystemId();
        String baseSystemId = xMLResourceIdentifier.getBaseSystemId();
        String expandedSystemId = xMLResourceIdentifier.getExpandedSystemId();
        boolean z = true;
        boolean z2 = expandedSystemId == null;
        if (baseSystemId != null || (scannedEntity = this.fCurrentEntity) == null || (xMLResourceIdentifier2 = scannedEntity.entityLocation) == null || (baseSystemId = xMLResourceIdentifier2.getExpandedSystemId()) == null) {
            z = z2;
        }
        if (this.fEntityResolver != null) {
            if (z) {
                expandedSystemId = expandSystemId(literalSystemId, baseSystemId, false);
            }
            xMLResourceIdentifier.setBaseSystemId(baseSystemId);
            xMLResourceIdentifier.setExpandedSystemId(expandedSystemId);
            xMLInputSource = this.fEntityResolver.resolveEntity(xMLResourceIdentifier);
        }
        return xMLInputSource == null ? new XMLInputSource(publicId, literalSystemId, baseSystemId) : xMLInputSource;
    }

    public void setEntityHandler(XMLEntityHandler xMLEntityHandler) {
        this.fEntityHandler = xMLEntityHandler;
    }

    @Override // org.apache.xerces.xni.parser.XMLComponent
    public void setFeature(String str, boolean z) {
        if (str.startsWith(Constants.XERCES_FEATURE_PREFIX) && str.length() - 31 == 20 && str.endsWith(Constants.ALLOW_JAVA_ENCODINGS_FEATURE)) {
            this.fAllowJavaEncodings = z;
        }
    }

    @Override // org.apache.xerces.xni.parser.XMLComponent
    public void setProperty(String str, Object obj) {
        Integer num;
        if (str.startsWith(Constants.XERCES_PROPERTY_PREFIX)) {
            int length = str.length() - 33;
            if (length == 21 && str.endsWith(Constants.SYMBOL_TABLE_PROPERTY)) {
                this.fSymbolTable = (SymbolTable) obj;
            } else if (length == 23 && str.endsWith(Constants.ERROR_REPORTER_PROPERTY)) {
                this.fErrorReporter = (XMLErrorReporter) obj;
            } else if (length != 24 || !str.endsWith(Constants.ENTITY_RESOLVER_PROPERTY)) {
                if (length == 17 && str.endsWith(Constants.BUFFER_SIZE_PROPERTY) && (num = (Integer) obj) != null && num.intValue() > 64) {
                    int intValue = num.intValue();
                    this.fBufferSize = intValue;
                    this.fEntityScanner.setBufferSize(intValue);
                    this.fSmallByteBufferPool.setBufferSize(this.fBufferSize);
                    this.fLargeByteBufferPool.setBufferSize(this.fBufferSize << 1);
                    this.fCharacterBufferPool.setExternalBufferSize(this.fBufferSize);
                }
                if (length == 16 && str.endsWith(Constants.SECURITY_MANAGER_PROPERTY)) {
                    SecurityManager securityManager = (SecurityManager) obj;
                    this.fSecurityManager = securityManager;
                    this.fEntityExpansionLimit = securityManager != null ? securityManager.getEntityExpansionLimit() : 0;
                }
            } else {
                this.fEntityResolver = (XMLEntityResolver) obj;
            }
        }
    }

    public void setScannerVersion(short s) {
        XMLEntityScanner xMLEntityScanner;
        if (s == 1) {
            if (this.fXML10EntityScanner == null) {
                this.fXML10EntityScanner = new XMLEntityScanner();
            }
            this.fXML10EntityScanner.reset(this.fSymbolTable, this, this.fErrorReporter);
            xMLEntityScanner = this.fXML10EntityScanner;
        } else {
            if (this.fXML11EntityScanner == null) {
                this.fXML11EntityScanner = new XML11EntityScanner();
            }
            this.fXML11EntityScanner.reset(this.fSymbolTable, this, this.fErrorReporter);
            xMLEntityScanner = this.fXML11EntityScanner;
        }
        this.fEntityScanner = xMLEntityScanner;
        xMLEntityScanner.setCurrentEntity(this.fCurrentEntity);
    }

    public void setStandalone(boolean z) {
        this.fStandalone = z;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:112:0x01c0, code lost:
        if (r7[3] == 60) goto L_0x01c2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:122:0x01d7, code lost:
        if (r7[3] == 0) goto L_0x01d9;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:123:0x01d9, code lost:
        r6 = java.lang.Boolean.FALSE;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:149:0x022c, code lost:
        if (r7[3] == 0) goto L_0x01d9;
     */
    public String setupCurrentEntity(String str, XMLInputSource xMLInputSource, boolean z, boolean z2) {
        String str2;
        String str3;
        String str4;
        Reader reader;
        RewindableInputStream rewindableInputStream;
        Reader createReader;
        Boolean bool;
        Boolean bool2;
        int i2;
        boolean z3;
        String publicId = xMLInputSource.getPublicId();
        String systemId = xMLInputSource.getSystemId();
        String baseSystemId = xMLInputSource.getBaseSystemId();
        String encoding = xMLInputSource.getEncoding();
        int i3 = 0;
        boolean z4 = encoding != null;
        Boolean bool3 = null;
        this.fTempByteBuffer = null;
        Reader characterStream = xMLInputSource.getCharacterStream();
        String expandSystemId = expandSystemId(systemId, baseSystemId, this.fStrictURI);
        String str5 = baseSystemId == null ? expandSystemId : baseSystemId;
        if (characterStream == null) {
            InputStream byteStream = xMLInputSource.getByteStream();
            if (byteStream == null) {
                URLConnection openConnection = new URL(expandSystemId).openConnection();
                if (!(openConnection instanceof HttpURLConnection)) {
                    byteStream = openConnection.getInputStream();
                } else {
                    if (xMLInputSource instanceof HTTPInputSource) {
                        HttpURLConnection httpURLConnection = (HttpURLConnection) openConnection;
                        HTTPInputSource hTTPInputSource = (HTTPInputSource) xMLInputSource;
                        Iterator hTTPRequestProperties = hTTPInputSource.getHTTPRequestProperties();
                        while (hTTPRequestProperties.hasNext()) {
                            Map.Entry entry = (Map.Entry) hTTPRequestProperties.next();
                            httpURLConnection.setRequestProperty((String) entry.getKey(), (String) entry.getValue());
                        }
                        z3 = hTTPInputSource.getFollowHTTPRedirects();
                        if (!z3) {
                            httpURLConnection.setInstanceFollowRedirects(z3);
                        }
                    } else {
                        z3 = true;
                    }
                    InputStream inputStream = openConnection.getInputStream();
                    if (z3) {
                        String url = openConnection.getURL().toString();
                        if (!url.equals(expandSystemId)) {
                            systemId = url;
                            expandSystemId = systemId;
                        }
                    }
                    byteStream = inputStream;
                }
            }
            RewindableInputStream rewindableInputStream2 = new RewindableInputStream(byteStream);
            long j = 2;
            if (encoding == null) {
                byte[] bArr = new byte[4];
                while (i3 < 4) {
                    bArr[i3] = (byte) rewindableInputStream2.readAndBuffer();
                    i3++;
                    j = 2;
                }
                if (i3 == 4) {
                    EncodingInfo encodingInfo = getEncodingInfo(bArr, i3);
                    String str6 = encodingInfo.encoding;
                    Boolean bool4 = encodingInfo.isBigEndian;
                    rewindableInputStream2.reset();
                    if (encodingInfo.hasBOM) {
                        if (str6 == "UTF-8") {
                            rewindableInputStream2.skip(3);
                        } else if (str6 == "UTF-16") {
                            rewindableInputStream2.skip(j);
                        }
                    }
                    str3 = systemId;
                    reader = createReader(rewindableInputStream2, str6, bool4);
                    str2 = str6;
                    str4 = expandSystemId;
                    rewindableInputStream = rewindableInputStream2;
                }
            } else {
                encoding = encoding.toUpperCase(Locale.ENGLISH);
                if (encoding.equals("UTF-8")) {
                    int[] iArr = new int[3];
                    int i4 = 0;
                    while (i4 < 3) {
                        iArr[i4] = rewindableInputStream2.readAndBuffer();
                        if (iArr[i4] == -1) {
                            break;
                        }
                        i4++;
                    }
                    if (!(i4 == 3 && iArr[0] == 239 && iArr[1] == 187 && iArr[2] == 191)) {
                        rewindableInputStream2.reset();
                    }
                    createReader = createReader(rewindableInputStream2, "UTF-8", null);
                } else if (encoding.equals("UTF-16")) {
                    int[] iArr2 = new int[4];
                    int i5 = 0;
                    for (int i6 = 4; i5 < i6; i6 = 4) {
                        iArr2[i5] = rewindableInputStream2.readAndBuffer();
                        if (iArr2[i5] == -1) {
                            break;
                        }
                        i5++;
                    }
                    rewindableInputStream2.reset();
                    if (i5 >= 2) {
                        int i7 = iArr2[0];
                        int i8 = iArr2[1];
                        if (i7 == 254 && i8 == 255) {
                            bool = Boolean.TRUE;
                        } else if (i7 == 255 && i8 == 254) {
                            bool = Boolean.FALSE;
                        } else if (i5 == 4) {
                            int i9 = iArr2[2];
                            int i10 = iArr2[3];
                            if (i7 == 0 && i8 == 60 && i9 == 0) {
                                i2 = 63;
                                if (i10 == 63) {
                                    bool2 = Boolean.TRUE;
                                    bool = (i7 != 60 && i8 == 0 && i9 == i2 && i10 == 0) ? Boolean.FALSE : bool2;
                                    createReader = createReader(rewindableInputStream2, "UTF-16", bool);
                                }
                            } else {
                                i2 = 63;
                            }
                            bool2 = null;
                            if (i7 != 60) {
                            }
                            createReader = createReader(rewindableInputStream2, "UTF-16", bool);
                        }
                        rewindableInputStream2.skip(2);
                        createReader = createReader(rewindableInputStream2, "UTF-16", bool);
                    }
                    bool = null;
                    createReader = createReader(rewindableInputStream2, "UTF-16", bool);
                } else {
                    if (encoding.equals("ISO-10646-UCS-4")) {
                        int i11 = 4;
                        int[] iArr3 = new int[4];
                        int i12 = 0;
                        while (i12 < i11) {
                            iArr3[i12] = rewindableInputStream2.readAndBuffer();
                            if (iArr3[i12] == -1) {
                                break;
                            }
                            i12++;
                            i11 = 4;
                        }
                        rewindableInputStream2.reset();
                        if (i12 == i11) {
                            int i13 = (iArr3[0] == 0 && iArr3[1] == 0 && iArr3[2] == 0) ? 60 : 60;
                            if (iArr3[0] == i13) {
                                if (iArr3[1] == 0) {
                                    if (iArr3[2] == 0) {
                                    }
                                }
                            }
                        }
                        bool3 = null;
                    } else if (encoding.equals("ISO-10646-UCS-2")) {
                        int[] iArr4 = new int[4];
                        int i14 = 0;
                        while (i14 < 4) {
                            iArr4[i14] = rewindableInputStream2.readAndBuffer();
                            if (iArr4[i14] == -1) {
                                break;
                            }
                            i14++;
                        }
                        rewindableInputStream2.reset();
                        if (i14 == 4) {
                            if (!(iArr4[0] == 0 && iArr4[1] == 60 && iArr4[2] == 0 && iArr4[3] == 63)) {
                                if (iArr4[0] == 60) {
                                    if (iArr4[1] == 0) {
                                        if (iArr4[2] == 63) {
                                        }
                                    }
                                }
                            }
                        }
                        bool3 = null;
                    } else {
                        createReader = createReader(rewindableInputStream2, encoding, null);
                    }
                    bool3 = Boolean.TRUE;
                }
                rewindableInputStream = rewindableInputStream2;
                str3 = systemId;
                reader = createReader;
                str2 = encoding;
                str4 = expandSystemId;
            }
            createReader = createReader(rewindableInputStream2, encoding, bool3);
            rewindableInputStream = rewindableInputStream2;
            str3 = systemId;
            reader = createReader;
            str2 = encoding;
            str4 = expandSystemId;
        } else {
            str3 = systemId;
            str2 = encoding;
            reader = characterStream;
            str4 = expandSystemId;
            rewindableInputStream = null;
        }
        this.fReaderStack.push(reader);
        ScannedEntity scannedEntity = this.fCurrentEntity;
        if (scannedEntity != null) {
            this.fEntityStack.push(scannedEntity);
        }
        ScannedEntity scannedEntity2 = new ScannedEntity(this, str, new XMLResourceIdentifierImpl(publicId, str3, str5, str4), rewindableInputStream, reader, this.fTempByteBuffer, str2, z, false, z2);
        this.fCurrentEntity = scannedEntity2;
        scannedEntity2.setEncodingExternallySpecified(z4);
        this.fEntityScanner.setCurrentEntity(this.fCurrentEntity);
        this.fResourceIdentifier.setValues(publicId, str3, str5, str4);
        return str2;
    }

    public void startDTDEntity(XMLInputSource xMLInputSource) {
        startEntity(DTDEntity, xMLInputSource, false, true);
    }

    public void startDocumentEntity(XMLInputSource xMLInputSource) {
        startEntity(XMLEntity, xMLInputSource, false, true);
    }

    public void startEntity(String str, XMLInputSource xMLInputSource, boolean z, boolean z2) {
        String str2 = setupCurrentEntity(str, xMLInputSource, z, z2);
        if (this.fSecurityManager != null) {
            int i2 = this.fEntityExpansionCount;
            this.fEntityExpansionCount = i2 + 1;
            if (i2 > this.fEntityExpansionLimit) {
                this.fErrorReporter.reportError("http://www.w3.org/TR/1998/REC-xml-19980210", "EntityExpansionLimitExceeded", new Object[]{new Integer(this.fEntityExpansionLimit)}, 2);
                this.fEntityExpansionCount = 0;
            }
        }
        XMLEntityHandler xMLEntityHandler = this.fEntityHandler;
        if (xMLEntityHandler != null) {
            xMLEntityHandler.startEntity(str, this.fResourceIdentifier, str2, null);
        }
    }

    public void startEntity(String str, boolean z) {
        ValidationManager validationManager;
        Entity entity = (Entity) this.fEntities.get(str);
        if (entity != null) {
            boolean isExternal = entity.isExternal();
            if (isExternal && ((validationManager = this.fValidationManager) == null || !validationManager.isCachedDTD())) {
                boolean isUnparsed = entity.isUnparsed();
                boolean startsWith = str.startsWith(PercentPtg.PERCENT);
                boolean z2 = !startsWith;
                if (isUnparsed || ((z2 && !this.fExternalGeneralEntities) || (startsWith && !this.fExternalParameterEntities))) {
                    if (this.fEntityHandler != null) {
                        this.fResourceIdentifier.clear();
                        ExternalEntity externalEntity = (ExternalEntity) entity;
                        XMLResourceIdentifier xMLResourceIdentifier = externalEntity.entityLocation;
                        String literalSystemId = xMLResourceIdentifier != null ? xMLResourceIdentifier.getLiteralSystemId() : null;
                        XMLResourceIdentifier xMLResourceIdentifier2 = externalEntity.entityLocation;
                        String baseSystemId = xMLResourceIdentifier2 != null ? xMLResourceIdentifier2.getBaseSystemId() : null;
                        String expandSystemId = expandSystemId(literalSystemId, baseSystemId, false);
                        XMLResourceIdentifierImpl xMLResourceIdentifierImpl = this.fResourceIdentifier;
                        XMLResourceIdentifier xMLResourceIdentifier3 = externalEntity.entityLocation;
                        xMLResourceIdentifierImpl.setValues(xMLResourceIdentifier3 != null ? xMLResourceIdentifier3.getPublicId() : null, literalSystemId, baseSystemId, expandSystemId);
                        this.fEntityAugs.removeAllItems();
                        this.fEntityAugs.putItem(Constants.ENTITY_SKIPPED, Boolean.TRUE);
                        this.fEntityHandler.startEntity(str, this.fResourceIdentifier, null, this.fEntityAugs);
                        this.fEntityAugs.removeAllItems();
                        this.fEntityAugs.putItem(Constants.ENTITY_SKIPPED, Boolean.TRUE);
                        this.fEntityHandler.endEntity(str, this.fEntityAugs);
                        return;
                    }
                    return;
                }
            }
            int size = this.fEntityStack.size();
            int i2 = size;
            while (i2 >= 0) {
                if ((i2 == size ? this.fCurrentEntity : (Entity) this.fEntityStack.elementAt(i2)).name == str) {
                    StringBuffer stringBuffer = new StringBuffer(str);
                    for (int i3 = i2 + 1; i3 < size; i3++) {
                        stringBuffer.append(" -> ");
                        stringBuffer.append(((Entity) this.fEntityStack.elementAt(i3)).name);
                    }
                    stringBuffer.append(" -> ");
                    stringBuffer.append(this.fCurrentEntity.name);
                    stringBuffer.append(" -> ");
                    stringBuffer.append(str);
                    this.fErrorReporter.reportError("http://www.w3.org/TR/1998/REC-xml-19980210", "RecursiveReference", new Object[]{str, stringBuffer.toString()}, 2);
                    if (this.fEntityHandler != null) {
                        this.fResourceIdentifier.clear();
                        if (isExternal) {
                            ExternalEntity externalEntity2 = (ExternalEntity) entity;
                            XMLResourceIdentifier xMLResourceIdentifier4 = externalEntity2.entityLocation;
                            String literalSystemId2 = xMLResourceIdentifier4 != null ? xMLResourceIdentifier4.getLiteralSystemId() : null;
                            XMLResourceIdentifier xMLResourceIdentifier5 = externalEntity2.entityLocation;
                            String baseSystemId2 = xMLResourceIdentifier5 != null ? xMLResourceIdentifier5.getBaseSystemId() : null;
                            String expandSystemId2 = expandSystemId(literalSystemId2, baseSystemId2, false);
                            XMLResourceIdentifierImpl xMLResourceIdentifierImpl2 = this.fResourceIdentifier;
                            XMLResourceIdentifier xMLResourceIdentifier6 = externalEntity2.entityLocation;
                            xMLResourceIdentifierImpl2.setValues(xMLResourceIdentifier6 != null ? xMLResourceIdentifier6.getPublicId() : null, literalSystemId2, baseSystemId2, expandSystemId2);
                        }
                        this.fEntityAugs.removeAllItems();
                        this.fEntityAugs.putItem(Constants.ENTITY_SKIPPED, Boolean.TRUE);
                        this.fEntityHandler.startEntity(str, this.fResourceIdentifier, null, this.fEntityAugs);
                        this.fEntityAugs.removeAllItems();
                        this.fEntityAugs.putItem(Constants.ENTITY_SKIPPED, Boolean.TRUE);
                        this.fEntityHandler.endEntity(str, this.fEntityAugs);
                        return;
                    }
                    return;
                }
                i2--;
            }
            startEntity(str, isExternal ? resolveEntity(((ExternalEntity) entity).entityLocation) : new XMLInputSource((String) null, (String) null, (String) null, new StringReader(((InternalEntity) entity).text), (String) null), z, isExternal);
        } else if (this.fEntityHandler != null) {
            this.fResourceIdentifier.clear();
            this.fEntityAugs.removeAllItems();
            this.fEntityAugs.putItem(Constants.ENTITY_SKIPPED, Boolean.TRUE);
            this.fEntityHandler.startEntity(str, this.fResourceIdentifier, null, this.fEntityAugs);
            this.fEntityAugs.removeAllItems();
            this.fEntityAugs.putItem(Constants.ENTITY_SKIPPED, Boolean.TRUE);
            this.fEntityHandler.endEntity(str, this.fEntityAugs);
        }
    }

    public void startExternalSubset() {
        this.fInExternalSubset = true;
    }
}
