package org.apache.xerces.impl.dtd;

import java.util.Hashtable;
import org.apache.xerces.xni.grammars.XMLGrammarDescription;

public class DTDGrammarBucket {
    public DTDGrammar fActiveGrammar;
    public final Hashtable fGrammars = new Hashtable();
    public boolean fIsStandalone;

    public void clear() {
        this.fGrammars.clear();
        this.fActiveGrammar = null;
        this.fIsStandalone = false;
    }

    public DTDGrammar getActiveGrammar() {
        return this.fActiveGrammar;
    }

    public DTDGrammar getGrammar(XMLGrammarDescription xMLGrammarDescription) {
        return (DTDGrammar) this.fGrammars.get((XMLDTDDescription) xMLGrammarDescription);
    }

    public boolean getStandalone() {
        return this.fIsStandalone;
    }

    public void putGrammar(DTDGrammar dTDGrammar) {
        this.fGrammars.put((XMLDTDDescription) dTDGrammar.getGrammarDescription(), dTDGrammar);
    }

    public void setActiveGrammar(DTDGrammar dTDGrammar) {
        this.fActiveGrammar = dTDGrammar;
    }

    public void setStandalone(boolean z) {
        this.fIsStandalone = z;
    }
}
