package org.apache.xerces.impl.dtd.models;

public abstract class CMNode {
    public boolean fCompactedForUPA = false;
    public CMStateSet fFirstPos = null;
    public CMStateSet fFollowPos = null;
    public CMStateSet fLastPos = null;
    public int fMaxStates = -1;
    public final int fType;

    public CMNode(int i2) {
        this.fType = i2;
    }

    public abstract void calcFirstPos(CMStateSet cMStateSet);

    public abstract void calcLastPos(CMStateSet cMStateSet);

    public final CMStateSet firstPos() {
        if (this.fFirstPos == null) {
            CMStateSet cMStateSet = new CMStateSet(this.fMaxStates);
            this.fFirstPos = cMStateSet;
            calcFirstPos(cMStateSet);
        }
        return this.fFirstPos;
    }

    public boolean isCompactedForUPA() {
        return this.fCompactedForUPA;
    }

    public abstract boolean isNullable();

    public final CMStateSet lastPos() {
        if (this.fLastPos == null) {
            CMStateSet cMStateSet = new CMStateSet(this.fMaxStates);
            this.fLastPos = cMStateSet;
            calcLastPos(cMStateSet);
        }
        return this.fLastPos;
    }

    public final void setFollowPos(CMStateSet cMStateSet) {
        this.fFollowPos = cMStateSet;
    }

    public void setIsCompactUPAModel(boolean z) {
        this.fCompactedForUPA = z;
    }

    public final void setMaxStates(int i2) {
        this.fMaxStates = i2;
    }

    public final int type() {
        return this.fType;
    }
}
