package org.apache.xerces.impl.dtd.models;

import org.apache.xerces.xni.QName;

public class SimpleContentModel implements ContentModelValidator {
    public static final short CHOICE = -1;
    public static final short SEQUENCE = -1;
    public final QName fFirstChild = new QName();
    public final int fOperator;
    public final QName fSecondChild = new QName();

    public SimpleContentModel(short s, QName qName, QName qName2) {
        this.fFirstChild.setValues(qName);
        QName qName3 = this.fSecondChild;
        if (qName2 != null) {
            qName3.setValues(qName2);
        } else {
            qName3.clear();
        }
        this.fOperator = s;
    }

    @Override // org.apache.xerces.impl.dtd.models.ContentModelValidator
    public int validate(QName[] qNameArr, int i2, int i3) {
        int i4 = this.fOperator;
        int i5 = 0;
        if (i4 != 0) {
            if (i4 != 1) {
                if (i4 != 2) {
                    if (i4 != 3) {
                        if (i4 != 4) {
                            if (i4 != 5) {
                                throw new RuntimeException("ImplementationMessages.VAL_CST");
                            } else if (i3 == 2) {
                                if (qNameArr[i2].rawname != this.fFirstChild.rawname) {
                                    return 0;
                                }
                                return qNameArr[i2 + 1].rawname != this.fSecondChild.rawname ? 1 : -1;
                            } else if (i3 > 2) {
                                return 2;
                            } else {
                                return i3;
                            }
                        } else if (i3 == 0) {
                            return 0;
                        } else {
                            if (qNameArr[i2].rawname == this.fFirstChild.rawname || qNameArr[i2].rawname == this.fSecondChild.rawname) {
                                return i3 > 1 ? 1 : -1;
                            }
                            return 0;
                        }
                    } else if (i3 == 0) {
                        return 0;
                    } else {
                        while (i5 < i3) {
                            if (qNameArr[i2 + i5].rawname != this.fFirstChild.rawname) {
                                return i5;
                            }
                            i5++;
                        }
                        return -1;
                    }
                } else if (i3 <= 0) {
                    return -1;
                } else {
                    while (i5 < i3) {
                        if (qNameArr[i2 + i5].rawname != this.fFirstChild.rawname) {
                            return i5;
                        }
                        i5++;
                    }
                    return -1;
                }
            } else if (i3 != 1 || qNameArr[i2].rawname == this.fFirstChild.rawname) {
                return i3 > 1 ? 1 : -1;
            } else {
                return 0;
            }
        } else if (i3 != 0 && qNameArr[i2].rawname == this.fFirstChild.rawname) {
            return i3 > 1 ? 1 : -1;
        } else {
            return 0;
        }
    }
}
