package org.apache.xerces.impl.dv;

import b.b.a.a.a;
import java.text.MessageFormat;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

public class DatatypeException extends Exception {
    public static final long serialVersionUID = 1940805832730465578L;
    public final Object[] args;
    public final String key;

    public DatatypeException(String str, Object[] objArr) {
        super(str);
        this.key = str;
        this.args = objArr;
    }

    public Object[] getArgs() {
        return this.args;
    }

    public String getKey() {
        return this.key;
    }

    public String getMessage() {
        ResourceBundle bundle = ResourceBundle.getBundle("org.apache.xerces.impl.msg.XMLSchemaMessages");
        if (bundle != null) {
            String string = bundle.getString(this.key);
            if (string != null) {
                Object[] objArr = this.args;
                if (objArr == null) {
                    return string;
                }
                try {
                    return MessageFormat.format(string, objArr);
                } catch (Exception unused) {
                    StringBuffer c = a.c(bundle.getString("FormatFailed"), " ");
                    c.append(bundle.getString(this.key));
                    return c.toString();
                }
            } else {
                throw new MissingResourceException(bundle.getString("BadMessageKey"), "org.apache.xerces.impl.msg.XMLSchemaMessages", this.key);
            }
        } else {
            throw new MissingResourceException("Property file not found!", "org.apache.xerces.impl.msg.XMLSchemaMessages", this.key);
        }
    }
}
