package org.apache.xerces.impl.dv.dtd;

import java.util.Hashtable;
import java.util.Map;
import org.apache.xerces.impl.dv.DatatypeValidator;

public class XML11DTDDVFactoryImpl extends DTDDVFactoryImpl {
    public static final Hashtable fXML11BuiltInTypes;

    static {
        Hashtable hashtable = new Hashtable();
        fXML11BuiltInTypes = hashtable;
        hashtable.put("XML11ID", new XML11IDDatatypeValidator());
        XML11IDREFDatatypeValidator xML11IDREFDatatypeValidator = new XML11IDREFDatatypeValidator();
        fXML11BuiltInTypes.put("XML11IDREF", xML11IDREFDatatypeValidator);
        fXML11BuiltInTypes.put("XML11IDREFS", new ListDatatypeValidator(xML11IDREFDatatypeValidator));
        XML11NMTOKENDatatypeValidator xML11NMTOKENDatatypeValidator = new XML11NMTOKENDatatypeValidator();
        fXML11BuiltInTypes.put("XML11NMTOKEN", xML11NMTOKENDatatypeValidator);
        fXML11BuiltInTypes.put("XML11NMTOKENS", new ListDatatypeValidator(xML11NMTOKENDatatypeValidator));
    }

    @Override // org.apache.xerces.impl.dv.DTDDVFactory, org.apache.xerces.impl.dv.dtd.DTDDVFactoryImpl
    public DatatypeValidator getBuiltInDV(String str) {
        return (DatatypeValidator) (fXML11BuiltInTypes.get(str) != null ? fXML11BuiltInTypes : DTDDVFactoryImpl.fBuiltInTypes).get(str);
    }

    @Override // org.apache.xerces.impl.dv.DTDDVFactory, org.apache.xerces.impl.dv.dtd.DTDDVFactoryImpl
    public Hashtable getBuiltInTypes() {
        Hashtable hashtable = (Hashtable) DTDDVFactoryImpl.fBuiltInTypes.clone();
        for (Map.Entry entry : fXML11BuiltInTypes.entrySet()) {
            hashtable.put(entry.getKey(), entry.getValue());
        }
        return hashtable;
    }
}
