package org.apache.xerces.impl.dv.util;

import org.apache.poi.hssf.usermodel.HSSFShapeTypes;
import org.apache.xmlbeans.impl.common.JarHelper;

public final class Base64 {
    public static final int BASELENGTH = 128;
    public static final int EIGHTBIT = 8;
    public static final int FOURBYTE = 4;
    public static final int LOOKUPLENGTH = 64;
    public static final char PAD = '=';
    public static final int SIGN = -128;
    public static final int SIXBIT = 6;
    public static final int SIXTEENBIT = 16;
    public static final int TWENTYFOURBITGROUP = 24;
    public static final byte[] base64Alphabet = new byte[128];
    public static final boolean fDebug = false;
    public static final char[] lookUpBase64Alphabet = new char[64];

    static {
        int i2;
        int i3;
        int i4 = 0;
        for (int i5 = 0; i5 < 128; i5++) {
            base64Alphabet[i5] = -1;
        }
        for (int i6 = 90; i6 >= 65; i6--) {
            base64Alphabet[i6] = (byte) (i6 - 65);
        }
        int i7 = 122;
        while (true) {
            i2 = 26;
            if (i7 < 97) {
                break;
            }
            base64Alphabet[i7] = (byte) ((i7 - 97) + 26);
            i7--;
        }
        int i8 = 57;
        while (true) {
            i3 = 52;
            if (i8 < 48) {
                break;
            }
            base64Alphabet[i8] = (byte) ((i8 - 48) + 52);
            i8--;
        }
        byte[] bArr = base64Alphabet;
        bArr[43] = 62;
        bArr[47] = 63;
        for (int i9 = 0; i9 <= 25; i9++) {
            lookUpBase64Alphabet[i9] = (char) (i9 + 65);
        }
        int i10 = 0;
        while (i2 <= 51) {
            lookUpBase64Alphabet[i2] = (char) (i10 + 97);
            i2++;
            i10++;
        }
        while (i3 <= 61) {
            lookUpBase64Alphabet[i3] = (char) (i4 + 48);
            i3++;
            i4++;
        }
        char[] cArr = lookUpBase64Alphabet;
        cArr[62] = '+';
        cArr[63] = JarHelper.SEP;
    }

    public static byte[] decode(String str) {
        if (str == null) {
            return null;
        }
        char[] charArray = str.toCharArray();
        int removeWhiteSpace = removeWhiteSpace(charArray);
        if (removeWhiteSpace % 4 != 0) {
            return null;
        }
        int i2 = removeWhiteSpace / 4;
        if (i2 == 0) {
            return new byte[0];
        }
        byte[] bArr = new byte[(i2 * 3)];
        int i3 = 0;
        int i4 = 0;
        int i5 = 0;
        while (i3 < i2 - 1) {
            int i6 = i4 + 1;
            char c = charArray[i4];
            if (isData(c)) {
                int i7 = i6 + 1;
                char c2 = charArray[i6];
                if (isData(c2)) {
                    int i8 = i7 + 1;
                    char c3 = charArray[i7];
                    if (isData(c3)) {
                        int i9 = i8 + 1;
                        char c4 = charArray[i8];
                        if (isData(c4)) {
                            byte[] bArr2 = base64Alphabet;
                            byte b2 = bArr2[c];
                            byte b3 = bArr2[c2];
                            byte b4 = bArr2[c3];
                            byte b5 = bArr2[c4];
                            int i10 = i5 + 1;
                            bArr[i5] = (byte) ((b2 << 2) | (b3 >> 4));
                            int i11 = i10 + 1;
                            bArr[i10] = (byte) (((b3 & 15) << 4) | ((b4 >> 2) & 15));
                            i5 = i11 + 1;
                            bArr[i11] = (byte) ((b4 << 6) | b5);
                            i3++;
                            i4 = i9;
                        }
                    }
                }
            }
            return null;
        }
        int i12 = i4 + 1;
        char c5 = charArray[i4];
        if (!isData(c5)) {
            return null;
        }
        int i13 = i12 + 1;
        char c6 = charArray[i12];
        if (!isData(c6)) {
            return null;
        }
        byte[] bArr3 = base64Alphabet;
        byte b6 = bArr3[c5];
        byte b7 = bArr3[c6];
        int i14 = i13 + 1;
        char c7 = charArray[i13];
        char c8 = charArray[i14];
        if (isData(c7) && isData(c8)) {
            byte[] bArr4 = base64Alphabet;
            byte b8 = bArr4[c7];
            byte b9 = bArr4[c8];
            int i15 = i5 + 1;
            bArr[i5] = (byte) ((b6 << 2) | (b7 >> 4));
            bArr[i15] = (byte) (((b7 & 15) << 4) | ((b8 >> 2) & 15));
            bArr[i15 + 1] = (byte) (b9 | (b8 << 6));
            return bArr;
        } else if (!isPad(c7) || !isPad(c8)) {
            if (isPad(c7) || !isPad(c8)) {
                return null;
            }
            byte b10 = base64Alphabet[c7];
            if ((b10 & 3) != 0) {
                return null;
            }
            int i16 = i3 * 3;
            byte[] bArr5 = new byte[(i16 + 2)];
            System.arraycopy(bArr, 0, bArr5, 0, i16);
            bArr5[i5] = (byte) ((b6 << 2) | (b7 >> 4));
            bArr5[i5 + 1] = (byte) (((b10 >> 2) & 15) | ((b7 & 15) << 4));
            return bArr5;
        } else if ((b7 & 15) != 0) {
            return null;
        } else {
            int i17 = i3 * 3;
            byte[] bArr6 = new byte[(i17 + 1)];
            System.arraycopy(bArr, 0, bArr6, 0, i17);
            bArr6[i5] = (byte) ((b6 << 2) | (b7 >> 4));
            return bArr6;
        }
    }

    public static String encode(byte[] bArr) {
        if (bArr == null) {
            return null;
        }
        int length = bArr.length * 8;
        if (length == 0) {
            return "";
        }
        int i2 = length % 24;
        int i3 = length / 24;
        char[] cArr = new char[((i2 != 0 ? i3 + 1 : i3) * 4)];
        int i4 = 0;
        int i5 = 0;
        int i6 = 0;
        while (i4 < i3) {
            int i7 = i5 + 1;
            byte b2 = bArr[i5];
            int i8 = i7 + 1;
            byte b3 = bArr[i7];
            int i9 = i8 + 1;
            byte b4 = bArr[i8];
            byte b5 = (byte) (b3 & 15);
            byte b6 = (byte) (b2 & 3);
            int i10 = b2 & Byte.MIN_VALUE;
            int i11 = b2 >> 2;
            if (i10 != 0) {
                i11 ^= HSSFShapeTypes.ActionButtonInformation;
            }
            byte b7 = (byte) i11;
            int i12 = b3 & Byte.MIN_VALUE;
            int i13 = b3 >> 4;
            if (i12 != 0) {
                i13 ^= 240;
            }
            byte b8 = (byte) i13;
            int i14 = (b4 & Byte.MIN_VALUE) == 0 ? b4 >> 6 : (b4 >> 6) ^ 252;
            int i15 = i6 + 1;
            char[] cArr2 = lookUpBase64Alphabet;
            cArr[i6] = cArr2[b7];
            int i16 = i15 + 1;
            cArr[i15] = cArr2[(b6 << 4) | b8];
            int i17 = i16 + 1;
            cArr[i16] = cArr2[(b5 << 2) | ((byte) i14)];
            cArr[i17] = cArr2[b4 & 63];
            i4++;
            i6 = i17 + 1;
            i5 = i9;
        }
        if (i2 == 8) {
            byte b9 = bArr[i5];
            byte b10 = (byte) (b9 & 3);
            int i18 = b9 & Byte.MIN_VALUE;
            int i19 = b9 >> 2;
            if (i18 != 0) {
                i19 ^= HSSFShapeTypes.ActionButtonInformation;
            }
            int i20 = i6 + 1;
            char[] cArr3 = lookUpBase64Alphabet;
            cArr[i6] = cArr3[(byte) i19];
            int i21 = i20 + 1;
            cArr[i20] = cArr3[b10 << 4];
            cArr[i21] = PAD;
            cArr[i21 + 1] = PAD;
        } else if (i2 == 16) {
            byte b11 = bArr[i5];
            byte b12 = bArr[i5 + 1];
            byte b13 = (byte) (b12 & 15);
            byte b14 = (byte) (b11 & 3);
            int i22 = b11 & Byte.MIN_VALUE;
            int i23 = b11 >> 2;
            if (i22 != 0) {
                i23 ^= HSSFShapeTypes.ActionButtonInformation;
            }
            byte b15 = (byte) i23;
            int i24 = b12 & Byte.MIN_VALUE;
            int i25 = b12 >> 4;
            if (i24 != 0) {
                i25 ^= 240;
            }
            int i26 = i6 + 1;
            char[] cArr4 = lookUpBase64Alphabet;
            cArr[i6] = cArr4[b15];
            int i27 = i26 + 1;
            cArr[i26] = cArr4[((byte) i25) | (b14 << 4)];
            cArr[i27] = cArr4[b13 << 2];
            cArr[i27 + 1] = PAD;
        }
        return new String(cArr);
    }

    public static boolean isBase64(char c) {
        return isWhiteSpace(c) || isPad(c) || isData(c);
    }

    public static boolean isData(char c) {
        return c < 128 && base64Alphabet[c] != -1;
    }

    public static boolean isPad(char c) {
        return c == '=';
    }

    public static boolean isWhiteSpace(char c) {
        return c == ' ' || c == '\r' || c == '\n' || c == '\t';
    }

    public static int removeWhiteSpace(char[] cArr) {
        if (cArr == null) {
            return 0;
        }
        int length = cArr.length;
        int i2 = 0;
        for (int i3 = 0; i3 < length; i3++) {
            if (!isWhiteSpace(cArr[i3])) {
                cArr[i2] = cArr[i3];
                i2++;
            }
        }
        return i2;
    }
}
