package org.apache.xerces.impl.dv.xs;

import b.b.a.a.a;
import java.math.BigInteger;
import javax.xml.datatype.DatatypeFactory;
import javax.xml.datatype.XMLGregorianCalendar;
import org.apache.poi.ss.formula.functions.NumericFunction;
import org.apache.xerces.impl.dv.InvalidDatatypeValueException;
import org.apache.xerces.impl.dv.ValidationContext;
import org.apache.xerces.impl.dv.xs.AbstractDateTimeDV;
import org.apache.xerces.impl.xs.SchemaSymbols;

public class DateTimeDV extends AbstractDateTimeDV {
    @Override // org.apache.xerces.impl.dv.xs.TypeValidator
    public Object getActualValue(String str, ValidationContext validationContext) {
        try {
            return parse(str);
        } catch (Exception unused) {
            throw new InvalidDatatypeValueException("cvc-datatype-valid.1.2.1", new Object[]{str, SchemaSymbols.ATTVAL_DATETIME});
        }
    }

    @Override // org.apache.xerces.impl.dv.xs.AbstractDateTimeDV
    public XMLGregorianCalendar getXMLGregorianCalendar(AbstractDateTimeDV.DateTimeData dateTimeData) {
        DatatypeFactory datatypeFactory = AbstractDateTimeDV.datatypeFactory;
        BigInteger valueOf = BigInteger.valueOf((long) dateTimeData.unNormYear);
        int i2 = dateTimeData.unNormMonth;
        int i3 = dateTimeData.unNormDay;
        int i4 = dateTimeData.unNormHour;
        int i5 = dateTimeData.unNormMinute;
        double d2 = dateTimeData.unNormSecond;
        return datatypeFactory.newXMLGregorianCalendar(valueOf, i2, i3, i4, i5, (int) d2, d2 != NumericFunction.LOG_10_TO_BASE_e ? getFractionalSecondsAsBigDecimal(dateTimeData) : null, dateTimeData.hasTimeZone() ? (dateTimeData.timezoneHr * 60) + dateTimeData.timezoneMin : Integer.MIN_VALUE);
    }

    public AbstractDateTimeDV.DateTimeData parse(String str) {
        AbstractDateTimeDV.DateTimeData dateTimeData = new AbstractDateTimeDV.DateTimeData(str, this);
        int length = str.length();
        int indexOf = indexOf(str, 0, length, 'T');
        int date = getDate(str, 0, indexOf, dateTimeData);
        getTime(str, indexOf + 1, length, dateTimeData);
        if (date == indexOf) {
            validateDateTime(dateTimeData);
            saveUnnormalized(dateTimeData);
            int i2 = dateTimeData.utc;
            if (!(i2 == 0 || i2 == 90)) {
                normalize(dateTimeData);
            }
            return dateTimeData;
        }
        throw new RuntimeException(a.a(str, " is an invalid dateTime dataype value. ", "Invalid character(s) seprating date and time values."));
    }
}
