package org.apache.xerces.impl.dv.xs;

import java.math.BigDecimal;
import java.math.BigInteger;
import javax.xml.datatype.DatatypeFactory;
import javax.xml.datatype.Duration;
import org.apache.poi.ss.formula.functions.NumericFunction;
import org.apache.xerces.impl.dv.InvalidDatatypeValueException;
import org.apache.xerces.impl.dv.ValidationContext;
import org.apache.xerces.impl.dv.xs.AbstractDateTimeDV;

public class DayTimeDurationDV extends DurationDV {
    @Override // org.apache.xerces.impl.dv.xs.DurationDV, org.apache.xerces.impl.dv.xs.TypeValidator
    public Object getActualValue(String str, ValidationContext validationContext) {
        try {
            return parse(str, 2);
        } catch (Exception unused) {
            throw new InvalidDatatypeValueException("cvc-datatype-valid.1.2.1", new Object[]{str, "dayTimeDuration"});
        }
    }

    @Override // org.apache.xerces.impl.dv.xs.DurationDV, org.apache.xerces.impl.dv.xs.AbstractDateTimeDV
    public Duration getDuration(AbstractDateTimeDV.DateTimeData dateTimeData) {
        int i2 = (dateTimeData.day < 0 || dateTimeData.hour < 0 || dateTimeData.minute < 0 || dateTimeData.second < NumericFunction.LOG_10_TO_BASE_e) ? -1 : 1;
        DatatypeFactory datatypeFactory = AbstractDateTimeDV.datatypeFactory;
        boolean z = i2 == 1;
        int i3 = dateTimeData.day;
        BigInteger valueOf = i3 != Integer.MIN_VALUE ? BigInteger.valueOf((long) (i3 * i2)) : null;
        int i4 = dateTimeData.hour;
        BigInteger valueOf2 = i4 != Integer.MIN_VALUE ? BigInteger.valueOf((long) (i4 * i2)) : null;
        int i5 = dateTimeData.minute;
        return datatypeFactory.newDuration(z, (BigInteger) null, (BigInteger) null, valueOf, valueOf2, i5 != Integer.MIN_VALUE ? BigInteger.valueOf((long) (i5 * i2)) : null, dateTimeData.second != -2.147483648E9d ? new BigDecimal(String.valueOf(((double) i2) * dateTimeData.second)) : null);
    }
}
