package org.apache.xerces.impl.dv.xs;

import b.b.a.a.a;
import java.math.BigDecimal;
import java.math.BigInteger;
import javax.xml.datatype.DatatypeFactory;
import javax.xml.datatype.Duration;
import org.apache.poi.ss.formula.functions.NumericFunction;
import org.apache.xerces.impl.dv.InvalidDatatypeValueException;
import org.apache.xerces.impl.dv.ValidationContext;
import org.apache.xerces.impl.dv.xs.AbstractDateTimeDV;
import org.apache.xmlbeans.impl.common.NameUtil;

public class DurationDV extends AbstractDateTimeDV {
    public static final AbstractDateTimeDV.DateTimeData[] DATETIMES = {new AbstractDateTimeDV.DateTimeData(1696, 9, 1, 0, 0, NumericFunction.LOG_10_TO_BASE_e, 90, null, true, null), new AbstractDateTimeDV.DateTimeData(1697, 2, 1, 0, 0, NumericFunction.LOG_10_TO_BASE_e, 90, null, true, null), new AbstractDateTimeDV.DateTimeData(1903, 3, 1, 0, 0, NumericFunction.LOG_10_TO_BASE_e, 90, null, true, null), new AbstractDateTimeDV.DateTimeData(1903, 7, 1, 0, 0, NumericFunction.LOG_10_TO_BASE_e, 90, null, true, null)};
    public static final int DAYTIMEDURATION_TYPE = 2;
    public static final int DURATION_TYPE = 0;
    public static final int YEARMONTHDURATION_TYPE = 1;

    private AbstractDateTimeDV.DateTimeData addDuration(AbstractDateTimeDV.DateTimeData dateTimeData, AbstractDateTimeDV.DateTimeData dateTimeData2, AbstractDateTimeDV.DateTimeData dateTimeData3) {
        int i2;
        resetDateObj(dateTimeData3);
        int i3 = dateTimeData2.month + dateTimeData.month;
        dateTimeData3.month = modulo(i3, 1, 13);
        dateTimeData3.year = dateTimeData2.year + dateTimeData.year + fQuotient(i3, 1, 13);
        double d2 = dateTimeData2.second + dateTimeData.second;
        int floor = (int) Math.floor(d2 / 60.0d);
        dateTimeData3.second = d2 - ((double) (floor * 60));
        int i4 = dateTimeData2.minute + dateTimeData.minute + floor;
        int fQuotient = fQuotient(i4, 60);
        dateTimeData3.minute = mod(i4, 60, fQuotient);
        int i5 = dateTimeData2.hour + dateTimeData.hour + fQuotient;
        int fQuotient2 = fQuotient(i5, 24);
        dateTimeData3.hour = mod(i5, 24, fQuotient2);
        dateTimeData3.day = dateTimeData2.day + dateTimeData.day + fQuotient2;
        while (true) {
            int maxDayInMonthFor = maxDayInMonthFor(dateTimeData3.year, dateTimeData3.month);
            int i6 = dateTimeData3.day;
            if (i6 < 1) {
                dateTimeData3.day = maxDayInMonthFor(dateTimeData3.year, dateTimeData3.month - 1) + i6;
                i2 = -1;
            } else if (i6 > maxDayInMonthFor) {
                dateTimeData3.day = i6 - maxDayInMonthFor;
                i2 = 1;
            } else {
                dateTimeData3.utc = 90;
                return dateTimeData3;
            }
            int i7 = dateTimeData3.month + i2;
            dateTimeData3.month = modulo(i7, 1, 13);
            dateTimeData3.year = fQuotient(i7, 1, 13) + dateTimeData3.year;
        }
    }

    private short compareResults(short s, short s2, boolean z) {
        if (s2 == 2) {
            return 2;
        }
        if (s != s2 && z) {
            return 2;
        }
        if (s == s2 || z) {
            return s;
        }
        if (s == 0 || s2 == 0) {
            return s != 0 ? s : s2;
        }
        return 2;
    }

    @Override // org.apache.xerces.impl.dv.xs.AbstractDateTimeDV
    public short compareDates(AbstractDateTimeDV.DateTimeData dateTimeData, AbstractDateTimeDV.DateTimeData dateTimeData2, boolean z) {
        short compareResults;
        short compareResults2;
        if (compareOrder(dateTimeData, dateTimeData2) == 0) {
            return 0;
        }
        AbstractDateTimeDV.DateTimeData[] dateTimeDataArr = {new AbstractDateTimeDV.DateTimeData(null, this), new AbstractDateTimeDV.DateTimeData(null, this)};
        short compareOrder = compareOrder(addDuration(dateTimeData, DATETIMES[0], dateTimeDataArr[0]), addDuration(dateTimeData2, DATETIMES[0], dateTimeDataArr[1]));
        if (compareOrder == 2 || (compareResults = compareResults(compareOrder, compareOrder(addDuration(dateTimeData, DATETIMES[1], dateTimeDataArr[0]), addDuration(dateTimeData2, DATETIMES[1], dateTimeDataArr[1])), z)) == 2 || (compareResults2 = compareResults(compareResults, compareOrder(addDuration(dateTimeData, DATETIMES[2], dateTimeDataArr[0]), addDuration(dateTimeData2, DATETIMES[2], dateTimeDataArr[1])), z)) == 2) {
            return 2;
        }
        return compareResults(compareResults2, compareOrder(addDuration(dateTimeData, DATETIMES[3], dateTimeDataArr[0]), addDuration(dateTimeData2, DATETIMES[3], dateTimeDataArr[1])), z);
    }

    @Override // org.apache.xerces.impl.dv.xs.AbstractDateTimeDV
    public String dateToString(AbstractDateTimeDV.DateTimeData dateTimeData) {
        StringBuffer stringBuffer = new StringBuffer(30);
        if (dateTimeData.year < 0 || dateTimeData.month < 0 || dateTimeData.day < 0 || dateTimeData.hour < 0 || dateTimeData.minute < 0 || dateTimeData.second < NumericFunction.LOG_10_TO_BASE_e) {
            stringBuffer.append(NameUtil.HYPHEN);
        }
        stringBuffer.append('P');
        int i2 = -1;
        stringBuffer.append((dateTimeData.year < 0 ? -1 : 1) * dateTimeData.year);
        stringBuffer.append('Y');
        stringBuffer.append((dateTimeData.month < 0 ? -1 : 1) * dateTimeData.month);
        stringBuffer.append('M');
        stringBuffer.append((dateTimeData.day < 0 ? -1 : 1) * dateTimeData.day);
        stringBuffer.append('D');
        stringBuffer.append('T');
        stringBuffer.append((dateTimeData.hour < 0 ? -1 : 1) * dateTimeData.hour);
        stringBuffer.append('H');
        if (dateTimeData.minute >= 0) {
            i2 = 1;
        }
        stringBuffer.append(i2 * dateTimeData.minute);
        stringBuffer.append('M');
        append2(stringBuffer, (dateTimeData.second < NumericFunction.LOG_10_TO_BASE_e ? -1.0d : 1.0d) * dateTimeData.second);
        stringBuffer.append('S');
        return stringBuffer.toString();
    }

    @Override // org.apache.xerces.impl.dv.xs.TypeValidator
    public Object getActualValue(String str, ValidationContext validationContext) {
        try {
            return parse(str, 0);
        } catch (Exception unused) {
            throw new InvalidDatatypeValueException("cvc-datatype-valid.1.2.1", new Object[]{str, "duration"});
        }
    }

    @Override // org.apache.xerces.impl.dv.xs.AbstractDateTimeDV
    public Duration getDuration(AbstractDateTimeDV.DateTimeData dateTimeData) {
        int i2 = (dateTimeData.year < 0 || dateTimeData.month < 0 || dateTimeData.day < 0 || dateTimeData.hour < 0 || dateTimeData.minute < 0 || dateTimeData.second < NumericFunction.LOG_10_TO_BASE_e) ? -1 : 1;
        DatatypeFactory datatypeFactory = AbstractDateTimeDV.datatypeFactory;
        boolean z = i2 == 1;
        int i3 = dateTimeData.year;
        BigInteger valueOf = i3 != Integer.MIN_VALUE ? BigInteger.valueOf((long) (i3 * i2)) : null;
        int i4 = dateTimeData.month;
        BigInteger valueOf2 = i4 != Integer.MIN_VALUE ? BigInteger.valueOf((long) (i4 * i2)) : null;
        int i5 = dateTimeData.day;
        BigInteger valueOf3 = i5 != Integer.MIN_VALUE ? BigInteger.valueOf((long) (i5 * i2)) : null;
        int i6 = dateTimeData.hour;
        BigInteger valueOf4 = i6 != Integer.MIN_VALUE ? BigInteger.valueOf((long) (i6 * i2)) : null;
        int i7 = dateTimeData.minute;
        return datatypeFactory.newDuration(z, valueOf, valueOf2, valueOf3, valueOf4, i7 != Integer.MIN_VALUE ? BigInteger.valueOf((long) (i7 * i2)) : null, dateTimeData.second != -2.147483648E9d ? new BigDecimal(String.valueOf(((double) i2) * dateTimeData.second)) : null);
    }

    public AbstractDateTimeDV.DateTimeData parse(String str, int i2) {
        int i3;
        int length = str.length();
        AbstractDateTimeDV.DateTimeData dateTimeData = new AbstractDateTimeDV.DateTimeData(str, this);
        boolean z = false;
        char charAt = str.charAt(0);
        if (charAt == 'P' || charAt == '-') {
            dateTimeData.utc = charAt == '-' ? 45 : 0;
            boolean z2 = true;
            if (charAt != '-') {
                i3 = 1;
            } else if (str.charAt(1) == 'P') {
                i3 = 2;
            } else {
                throw new SchemaDateTimeException();
            }
            int i4 = dateTimeData.utc == 45 ? -1 : 1;
            int indexOf = indexOf(str, i3, length, 'T');
            if (indexOf == -1) {
                indexOf = length;
            } else if (i2 == 1) {
                throw new SchemaDateTimeException();
            }
            int indexOf2 = indexOf(str, i3, indexOf, 'Y');
            if (indexOf2 != -1) {
                if (i2 != 2) {
                    dateTimeData.year = parseInt(str, i3, indexOf2) * i4;
                    i3 = indexOf2 + 1;
                    z = true;
                } else {
                    throw new SchemaDateTimeException();
                }
            }
            int indexOf3 = indexOf(str, i3, indexOf, 'M');
            if (indexOf3 != -1) {
                if (i2 != 2) {
                    dateTimeData.month = parseInt(str, i3, indexOf3) * i4;
                    i3 = indexOf3 + 1;
                    z = true;
                } else {
                    throw new SchemaDateTimeException();
                }
            }
            int indexOf4 = indexOf(str, i3, indexOf, 'D');
            if (indexOf4 != -1) {
                if (i2 != 1) {
                    dateTimeData.day = parseInt(str, i3, indexOf4) * i4;
                    i3 = indexOf4 + 1;
                    z = true;
                } else {
                    throw new SchemaDateTimeException();
                }
            }
            if (length != indexOf || i3 == length) {
                if (length != indexOf) {
                    int i5 = i3 + 1;
                    int indexOf5 = indexOf(str, i5, length, 'H');
                    if (indexOf5 != -1) {
                        dateTimeData.hour = parseInt(str, i5, indexOf5) * i4;
                        i5 = indexOf5 + 1;
                        z = true;
                    }
                    int indexOf6 = indexOf(str, i5, length, 'M');
                    if (indexOf6 != -1) {
                        dateTimeData.minute = parseInt(str, i5, indexOf6) * i4;
                        i5 = indexOf6 + 1;
                        z = true;
                    }
                    int indexOf7 = indexOf(str, i5, length, 'S');
                    if (indexOf7 != -1) {
                        dateTimeData.second = parseSecond(str, i5, indexOf7) * ((double) i4);
                        i5 = indexOf7 + 1;
                    } else {
                        z2 = z;
                    }
                    if (i5 != length || str.charAt(i5 - 1) == 'T') {
                        throw new SchemaDateTimeException();
                    }
                    z = z2;
                }
                if (z) {
                    return dateTimeData;
                }
                throw new SchemaDateTimeException();
            }
            throw new SchemaDateTimeException();
        }
        throw new SchemaDateTimeException();
    }

    @Override // org.apache.xerces.impl.dv.xs.AbstractDateTimeDV
    public double parseSecond(String str, int i2, int i3) {
        int i4 = -1;
        for (int i5 = i2; i5 < i3; i5++) {
            char charAt = str.charAt(i5);
            if (charAt == '.') {
                i4 = i5;
            } else if (charAt > '9' || charAt < '0') {
                throw new NumberFormatException(a.a("'", str, "' has wrong format"));
            }
        }
        if (i4 + 1 != i3) {
            double parseDouble = Double.parseDouble(str.substring(i2, i3));
            if (parseDouble != Double.POSITIVE_INFINITY) {
                return parseDouble;
            }
            throw new NumberFormatException(a.a("'", str, "' has wrong format"));
        }
        throw new NumberFormatException(a.a("'", str, "' has wrong format"));
    }
}
