package org.apache.xerces.impl.dv.xs;

import org.apache.xerces.impl.dv.InvalidDatatypeValueException;
import org.apache.xerces.impl.dv.ValidationContext;
import org.apache.xerces.util.XMLChar;

public class EntityDV extends TypeValidator {
    @Override // org.apache.xerces.impl.dv.xs.TypeValidator
    public void checkExtraRules(Object obj, ValidationContext validationContext) {
        if (!validationContext.isEntityUnparsed((String) obj)) {
            throw new InvalidDatatypeValueException("UndeclaredEntity", new Object[]{obj});
        }
    }

    @Override // org.apache.xerces.impl.dv.xs.TypeValidator
    public Object getActualValue(String str, ValidationContext validationContext) {
        if (XMLChar.isValidNCName(str)) {
            return str;
        }
        throw new InvalidDatatypeValueException("cvc-datatype-valid.1.2.1", new Object[]{str, "NCName"});
    }

    @Override // org.apache.xerces.impl.dv.xs.TypeValidator
    public short getAllowedFacets() {
        return 2079;
    }
}
