package org.apache.xerces.impl.dv.xs;

import org.apache.xerces.impl.dv.InvalidDatatypeValueException;
import org.apache.xerces.impl.dv.ValidationContext;
import org.apache.xerces.util.XMLChar;
import org.apache.xmlbeans.XmlErrorCodes;

public class IDDV extends TypeValidator {
    @Override // org.apache.xerces.impl.dv.xs.TypeValidator
    public void checkExtraRules(Object obj, ValidationContext validationContext) {
        String str = (String) obj;
        if (!validationContext.isIdDeclared(str)) {
            validationContext.addId(str);
        } else {
            throw new InvalidDatatypeValueException(XmlErrorCodes.ID_VALID$DUPLICATE, new Object[]{str});
        }
    }

    @Override // org.apache.xerces.impl.dv.xs.TypeValidator
    public Object getActualValue(String str, ValidationContext validationContext) {
        if (XMLChar.isValidNCName(str)) {
            return str;
        }
        throw new InvalidDatatypeValueException("cvc-datatype-valid.1.2.1", new Object[]{str, "NCName"});
    }

    @Override // org.apache.xerces.impl.dv.xs.TypeValidator
    public short getAllowedFacets() {
        return 2079;
    }
}
