package org.apache.xerces.impl.dv.xs;

import b.b.a.a.a;
import java.util.AbstractList;
import org.apache.xerces.impl.dv.ValidationContext;
import org.apache.xerces.xs.datatypes.ObjectList;

public class ListDV extends TypeValidator {

    public static final class ListData extends AbstractList implements ObjectList {
        public String canonical;
        public final Object[] data;

        public ListData(Object[] objArr) {
            this.data = objArr;
        }

        @Override // org.apache.xerces.xs.datatypes.ObjectList
        public boolean contains(Object obj) {
            int i2 = 0;
            while (true) {
                Object[] objArr = this.data;
                if (i2 >= objArr.length) {
                    return false;
                }
                if (obj == objArr[i2]) {
                    return true;
                }
                i2++;
            }
        }

        public boolean equals(Object obj) {
            if (!(obj instanceof ListData)) {
                return false;
            }
            Object[] objArr = ((ListData) obj).data;
            int length = this.data.length;
            if (length != objArr.length) {
                return false;
            }
            for (int i2 = 0; i2 < length; i2++) {
                if (!this.data[i2].equals(objArr[i2])) {
                    return false;
                }
            }
            return true;
        }

        @Override // java.util.List, java.util.AbstractList
        public Object get(int i2) {
            if (i2 >= 0) {
                Object[] objArr = this.data;
                if (i2 < objArr.length) {
                    return objArr[i2];
                }
            }
            throw new IndexOutOfBoundsException(a.b("Index: ", i2));
        }

        @Override // org.apache.xerces.xs.datatypes.ObjectList
        public int getLength() {
            return this.data.length;
        }

        public int hashCode() {
            int i2 = 0;
            int i3 = 0;
            while (true) {
                Object[] objArr = this.data;
                if (i2 >= objArr.length) {
                    return i3;
                }
                i3 ^= objArr[i2].hashCode();
                i2++;
            }
        }

        @Override // org.apache.xerces.xs.datatypes.ObjectList
        public Object item(int i2) {
            if (i2 < 0) {
                return null;
            }
            Object[] objArr = this.data;
            if (i2 >= objArr.length) {
                return null;
            }
            return objArr[i2];
        }

        public int size() {
            return getLength();
        }

        public synchronized String toString() {
            if (this.canonical == null) {
                int length = this.data.length;
                StringBuffer stringBuffer = new StringBuffer();
                if (length > 0) {
                    stringBuffer.append(this.data[0].toString());
                }
                for (int i2 = 1; i2 < length; i2++) {
                    stringBuffer.append(' ');
                    stringBuffer.append(this.data[i2].toString());
                }
                this.canonical = stringBuffer.toString();
            }
            return this.canonical;
        }
    }

    @Override // org.apache.xerces.impl.dv.xs.TypeValidator
    public Object getActualValue(String str, ValidationContext validationContext) {
        return str;
    }

    @Override // org.apache.xerces.impl.dv.xs.TypeValidator
    public short getAllowedFacets() {
        return 2079;
    }

    @Override // org.apache.xerces.impl.dv.xs.TypeValidator
    public int getDataLength(Object obj) {
        return ((ListData) obj).getLength();
    }
}
