package org.apache.xerces.impl.dv.xs;

import b.b.a.a.a;
import javax.xml.datatype.XMLGregorianCalendar;
import org.apache.xerces.impl.dv.InvalidDatatypeValueException;
import org.apache.xerces.impl.dv.ValidationContext;
import org.apache.xerces.impl.dv.xs.AbstractDateTimeDV;
import org.apache.xerces.impl.xs.SchemaSymbols;
import org.apache.xmlbeans.impl.common.NameUtil;

public class MonthDV extends AbstractDateTimeDV {
    @Override // org.apache.xerces.impl.dv.xs.AbstractDateTimeDV
    public String dateToString(AbstractDateTimeDV.DateTimeData dateTimeData) {
        StringBuffer stringBuffer = new StringBuffer(5);
        stringBuffer.append(NameUtil.HYPHEN);
        stringBuffer.append(NameUtil.HYPHEN);
        append(stringBuffer, dateTimeData.month, 2);
        append(stringBuffer, (char) dateTimeData.utc, 0);
        return stringBuffer.toString();
    }

    @Override // org.apache.xerces.impl.dv.xs.TypeValidator
    public Object getActualValue(String str, ValidationContext validationContext) {
        try {
            return parse(str);
        } catch (Exception unused) {
            throw new InvalidDatatypeValueException("cvc-datatype-valid.1.2.1", new Object[]{str, SchemaSymbols.ATTVAL_MONTH});
        }
    }

    @Override // org.apache.xerces.impl.dv.xs.AbstractDateTimeDV
    public XMLGregorianCalendar getXMLGregorianCalendar(AbstractDateTimeDV.DateTimeData dateTimeData) {
        return AbstractDateTimeDV.datatypeFactory.newXMLGregorianCalendar(Integer.MIN_VALUE, dateTimeData.unNormMonth, Integer.MIN_VALUE, Integer.MIN_VALUE, Integer.MIN_VALUE, Integer.MIN_VALUE, Integer.MIN_VALUE, dateTimeData.hasTimeZone() ? (dateTimeData.timezoneHr * 60) + dateTimeData.timezoneMin : Integer.MIN_VALUE);
    }

    public AbstractDateTimeDV.DateTimeData parse(String str) {
        AbstractDateTimeDV.DateTimeData dateTimeData = new AbstractDateTimeDV.DateTimeData(str, this);
        int length = str.length();
        dateTimeData.year = 2000;
        dateTimeData.day = 1;
        if (str.charAt(0) == '-' && str.charAt(1) == '-') {
            int i2 = 4;
            dateTimeData.month = parseInt(str, 2, 4);
            if (str.length() >= 6 && str.charAt(4) == '-' && str.charAt(5) == '-') {
                i2 = 6;
            }
            if (i2 < length) {
                if (isNextCharUTCSign(str, i2, length)) {
                    getTimeZone(str, dateTimeData, i2, length);
                } else {
                    throw new SchemaDateTimeException(a.a("Error in month parsing: ", str));
                }
            }
            validateDateTime(dateTimeData);
            saveUnnormalized(dateTimeData);
            int i3 = dateTimeData.utc;
            if (!(i3 == 0 || i3 == 90)) {
                normalize(dateTimeData);
            }
            dateTimeData.position = 1;
            return dateTimeData;
        }
        throw new SchemaDateTimeException(a.a("Invalid format for gMonth: ", str));
    }
}
