package org.apache.xerces.impl.dv.xs;

import b.b.a.a.a;
import java.math.BigInteger;
import java.util.AbstractList;
import java.util.Locale;
import java.util.StringTokenizer;
import java.util.Vector;
import org.apache.poi.xssf.usermodel.XSSFDataValidationConstraint;
import org.apache.xerces.impl.dv.DatatypeException;
import org.apache.xerces.impl.dv.InvalidDatatypeFacetException;
import org.apache.xerces.impl.dv.InvalidDatatypeValueException;
import org.apache.xerces.impl.dv.ValidatedInfo;
import org.apache.xerces.impl.dv.ValidationContext;
import org.apache.xerces.impl.dv.XSFacets;
import org.apache.xerces.impl.dv.XSSimpleType;
import org.apache.xerces.impl.dv.xs.ListDV;
import org.apache.xerces.impl.xpath.regex.RegularExpression;
import org.apache.xerces.impl.xs.SchemaSymbols;
import org.apache.xerces.impl.xs.util.ObjectListImpl;
import org.apache.xerces.impl.xs.util.ShortListImpl;
import org.apache.xerces.impl.xs.util.StringListImpl;
import org.apache.xerces.impl.xs.util.XSObjectListImpl;
import org.apache.xerces.util.XMLChar;
import org.apache.xerces.xni.NamespaceContext;
import org.apache.xerces.xs.ShortList;
import org.apache.xerces.xs.StringList;
import org.apache.xerces.xs.XSAnnotation;
import org.apache.xerces.xs.XSFacet;
import org.apache.xerces.xs.XSMultiValueFacet;
import org.apache.xerces.xs.XSNamespaceItem;
import org.apache.xerces.xs.XSObject;
import org.apache.xerces.xs.XSObjectList;
import org.apache.xerces.xs.XSSimpleTypeDefinition;
import org.apache.xerces.xs.XSTypeDefinition;
import org.apache.xerces.xs.datatypes.ObjectList;
import org.apache.xmlbeans.XmlErrorCodes;
import org.w3c.dom.TypeInfo;

public class XSSimpleTypeDecl implements XSSimpleType, TypeInfo {
    public static final short ANYATOMICTYPE_DT = 49;
    public static final String ANY_TYPE = "anyType";
    public static final short DAYTIMEDURATION_DT = 47;
    public static final int DERIVATION_ANY = 0;
    public static final int DERIVATION_EXTENSION = 2;
    public static final int DERIVATION_LIST = 8;
    public static final int DERIVATION_RESTRICTION = 1;
    public static final int DERIVATION_UNION = 4;
    public static final short DV_ANYATOMICTYPE = 29;
    public static final short DV_ANYSIMPLETYPE = 0;
    public static final short DV_ANYURI = 17;
    public static final short DV_BASE64BINARY = 16;
    public static final short DV_BOOLEAN = 2;
    public static final short DV_DATE = 9;
    public static final short DV_DATETIME = 7;
    public static final short DV_DAYTIMEDURATION = 28;
    public static final short DV_DECIMAL = 3;
    public static final short DV_DOUBLE = 5;
    public static final short DV_DURATION = 6;
    public static final short DV_ENTITY = 23;
    public static final short DV_FLOAT = 4;
    public static final short DV_GDAY = 13;
    public static final short DV_GMONTH = 14;
    public static final short DV_GMONTHDAY = 12;
    public static final short DV_GYEAR = 11;
    public static final short DV_GYEARMONTH = 10;
    public static final short DV_HEXBINARY = 15;
    public static final short DV_ID = 21;
    public static final short DV_IDREF = 22;
    public static final short DV_INTEGER = 24;
    public static final short DV_LIST = 25;
    public static final short DV_NOTATION = 20;
    public static final short DV_PRECISIONDECIMAL = 19;
    public static final short DV_QNAME = 18;
    public static final short DV_STRING = 1;
    public static final short DV_TIME = 8;
    public static final short DV_UNION = 26;
    public static final short DV_YEARMONTHDURATION = 27;
    public static final short NORMALIZE_FULL = 2;
    public static final short NORMALIZE_NONE = 0;
    public static final short NORMALIZE_TRIM = 1;
    public static final short PRECISIONDECIMAL_DT = 48;
    public static final short SPECIAL_PATTERN_NAME = 2;
    public static final short SPECIAL_PATTERN_NCNAME = 3;
    public static final short SPECIAL_PATTERN_NMTOKEN = 1;
    public static final short SPECIAL_PATTERN_NONE = 0;
    public static final String[] SPECIAL_PATTERN_STRING = {"NONE", "NMTOKEN", SchemaSymbols.ATTVAL_NAME, "NCName"};
    public static final String URI_SCHEMAFORSCHEMA = "http://www.w3.org/2001/XMLSchema";
    public static final String[] WS_FACET_STRING = {SchemaSymbols.ATTVAL_PRESERVE, SchemaSymbols.ATTVAL_REPLACE, SchemaSymbols.ATTVAL_COLLAPSE};
    public static final short YEARMONTHDURATION_DT = 46;
    public static final XSSimpleTypeDecl fAnyAtomicType;
    public static final XSSimpleTypeDecl fAnySimpleType;
    public static final short[] fDVNormalizeType = {0, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 1, 1, 1, 1, 1, 1, 1, 2, 0, 1, 1, 0};
    public static final ValidationContext fDummyContext = new ValidationContext() {
        /* class org.apache.xerces.impl.dv.xs.XSSimpleTypeDecl.AnonymousClass2 */

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public void addId(String str) {
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public void addIdRef(String str) {
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public Locale getLocale() {
            return Locale.getDefault();
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public String getSymbol(String str) {
            return str.intern();
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public String getURI(String str) {
            return null;
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public boolean isEntityDeclared(String str) {
            return false;
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public boolean isEntityUnparsed(String str) {
            return false;
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public boolean isIdDeclared(String str) {
            return false;
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public boolean needExtraChecking() {
            return false;
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public boolean needFacetChecking() {
            return true;
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public boolean needToNormalize() {
            return false;
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public boolean useNamespaces() {
            return true;
        }
    };
    public static final ValidationContext fEmptyContext = new ValidationContext() {
        /* class org.apache.xerces.impl.dv.xs.XSSimpleTypeDecl.AnonymousClass1 */

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public void addId(String str) {
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public void addIdRef(String str) {
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public Locale getLocale() {
            return Locale.getDefault();
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public String getSymbol(String str) {
            return str.intern();
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public String getURI(String str) {
            return null;
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public boolean isEntityDeclared(String str) {
            return false;
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public boolean isEntityUnparsed(String str) {
            return false;
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public boolean isIdDeclared(String str) {
            return false;
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public boolean needExtraChecking() {
            return false;
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public boolean needFacetChecking() {
            return true;
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public boolean needToNormalize() {
            return true;
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public boolean useNamespaces() {
            return true;
        }
    };
    public static final TypeValidator[] gDVs = {new AnySimpleDV(), new StringDV(), new BooleanDV(), new DecimalDV(), new FloatDV(), new DoubleDV(), new DurationDV(), new DateTimeDV(), new TimeDV(), new DateDV(), new YearMonthDV(), new YearDV(), new MonthDayDV(), new DayDV(), new MonthDV(), new HexBinaryDV(), new Base64BinaryDV(), new AnyURIDV(), new QNameDV(), new PrecisionDecimalDV(), new QNameDV(), new IDDV(), new IDREFDV(), new EntityDV(), new IntegerDV(), new ListDV(), new UnionDV(), new YearMonthDurationDV(), new DayTimeDurationDV(), new AnyAtomicDV()};
    public XSObjectList enumerationAnnotations;
    public ObjectList fActualEnumeration;
    public XSObjectList fAnnotations;
    public boolean fAnonymous;
    public XSSimpleTypeDecl fBase;
    public boolean fBounded;
    public short fBuiltInKind;
    public TypeValidator[] fDVs;
    public ValidatedInfo[] fEnumeration;
    public ObjectList fEnumerationItemTypeList;
    public int fEnumerationSize;
    public ShortList fEnumerationTypeList;
    public XSObjectListImpl fFacets;
    public short fFacetsDefined;
    public short fFinalSet;
    public boolean fFinite;
    public short fFixedFacet;
    public int fFractionDigits;
    public boolean fIsImmutable;
    public XSSimpleTypeDecl fItemType;
    public int fLength;
    public StringList fLexicalEnumeration;
    public StringList fLexicalPattern;
    public Object fMaxExclusive;
    public Object fMaxInclusive;
    public int fMaxLength;
    public XSSimpleTypeDecl[] fMemberTypes;
    public Object fMinExclusive;
    public Object fMinInclusive;
    public int fMinLength;
    public XSObjectListImpl fMultiValueFacets;
    public XSNamespaceItem fNamespaceItem;
    public boolean fNumeric;
    public short fOrdered;
    public Vector fPattern;
    public Vector fPatternStr;
    public short fPatternType;
    public String fTargetNamespace;
    public int fTotalDigits;
    public String fTypeName;
    public short fValidationDV;
    public short fVariety;
    public short fWhiteSpace;
    public XSAnnotation fractionDigitsAnnotation;
    public XSAnnotation lengthAnnotation;
    public XSAnnotation maxExclusiveAnnotation;
    public XSAnnotation maxInclusiveAnnotation;
    public XSAnnotation maxLengthAnnotation;
    public XSAnnotation minExclusiveAnnotation;
    public XSAnnotation minInclusiveAnnotation;
    public XSAnnotation minLengthAnnotation;
    public XSObjectListImpl patternAnnotations;
    public XSAnnotation totalDigitsAnnotation;
    public XSAnnotation whiteSpaceAnnotation;

    public static abstract class AbstractObjectList extends AbstractList implements ObjectList {
        public AbstractObjectList() {
        }

        @Override // java.util.List, java.util.AbstractList
        public Object get(int i2) {
            if (i2 >= 0 && i2 < getLength()) {
                return item(i2);
            }
            throw new IndexOutOfBoundsException(a.b("Index: ", i2));
        }

        @Override // org.apache.xerces.xs.datatypes.ObjectList
        public abstract int getLength();

        @Override // org.apache.xerces.xs.datatypes.ObjectList
        public abstract Object item(int i2);

        public int size() {
            return getLength();
        }
    }

    public static final class ValidationContextImpl implements ValidationContext {
        public final ValidationContext fExternal;
        public NamespaceContext fNSContext;

        public ValidationContextImpl(ValidationContext validationContext) {
            this.fExternal = validationContext;
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public void addId(String str) {
            this.fExternal.addId(str);
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public void addIdRef(String str) {
            this.fExternal.addIdRef(str);
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public Locale getLocale() {
            return this.fExternal.getLocale();
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public String getSymbol(String str) {
            return this.fExternal.getSymbol(str);
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public String getURI(String str) {
            NamespaceContext namespaceContext = this.fNSContext;
            return namespaceContext == null ? this.fExternal.getURI(str) : namespaceContext.getURI(str);
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public boolean isEntityDeclared(String str) {
            return this.fExternal.isEntityDeclared(str);
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public boolean isEntityUnparsed(String str) {
            return this.fExternal.isEntityUnparsed(str);
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public boolean isIdDeclared(String str) {
            return this.fExternal.isIdDeclared(str);
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public boolean needExtraChecking() {
            return this.fExternal.needExtraChecking();
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public boolean needFacetChecking() {
            return this.fExternal.needFacetChecking();
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public boolean needToNormalize() {
            return this.fExternal.needToNormalize();
        }

        public void setNSContext(NamespaceContext namespaceContext) {
            this.fNSContext = namespaceContext;
        }

        @Override // org.apache.xerces.impl.dv.ValidationContext
        public boolean useNamespaces() {
            return true;
        }
    }

    public static final class XSFacetImpl implements XSFacet {
        public final XSObjectList annotations;
        public Object avalue;
        public final boolean fixed;
        public final int ivalue;
        public final short kind;
        public final String svalue;

        public XSFacetImpl(short s, String str, int i2, Object obj, boolean z, XSAnnotation xSAnnotation) {
            this.kind = s;
            this.svalue = str;
            this.ivalue = i2;
            this.avalue = obj;
            this.fixed = z;
            if (xSAnnotation != null) {
                XSObjectListImpl xSObjectListImpl = new XSObjectListImpl();
                this.annotations = xSObjectListImpl;
                xSObjectListImpl.addXSObject(xSAnnotation);
                return;
            }
            this.annotations = XSObjectListImpl.EMPTY_LIST;
        }

        @Override // org.apache.xerces.xs.XSFacet
        public Object getActualFacetValue() {
            if (this.avalue == null) {
                this.avalue = this.kind == 16 ? this.svalue : BigInteger.valueOf((long) this.ivalue);
            }
            return this.avalue;
        }

        @Override // org.apache.xerces.xs.XSFacet
        public XSAnnotation getAnnotation() {
            return (XSAnnotation) this.annotations.item(0);
        }

        @Override // org.apache.xerces.xs.XSFacet
        public XSObjectList getAnnotations() {
            return this.annotations;
        }

        @Override // org.apache.xerces.xs.XSFacet
        public short getFacetKind() {
            return this.kind;
        }

        @Override // org.apache.xerces.xs.XSFacet
        public boolean getFixed() {
            return this.fixed;
        }

        @Override // org.apache.xerces.xs.XSFacet
        public int getIntFacetValue() {
            return this.ivalue;
        }

        @Override // org.apache.xerces.xs.XSFacet
        public String getLexicalFacetValue() {
            return this.svalue;
        }

        @Override // org.apache.xerces.xs.XSObject
        public String getName() {
            return null;
        }

        @Override // org.apache.xerces.xs.XSObject
        public String getNamespace() {
            return null;
        }

        @Override // org.apache.xerces.xs.XSObject
        public XSNamespaceItem getNamespaceItem() {
            return null;
        }

        @Override // org.apache.xerces.xs.XSObject
        public short getType() {
            return 13;
        }
    }

    public static final class XSMVFacetImpl implements XSMultiValueFacet {
        public final XSObjectList annotations;
        public final ObjectList avalues;
        public final short kind;
        public final StringList svalues;

        public XSMVFacetImpl(short s, StringList stringList, ObjectList objectList, XSObjectList xSObjectList) {
            this.kind = s;
            this.svalues = stringList;
            this.avalues = objectList;
            this.annotations = xSObjectList == null ? XSObjectListImpl.EMPTY_LIST : xSObjectList;
        }

        @Override // org.apache.xerces.xs.XSMultiValueFacet
        public XSObjectList getAnnotations() {
            return this.annotations;
        }

        @Override // org.apache.xerces.xs.XSMultiValueFacet
        public ObjectList getEnumerationValues() {
            return this.avalues;
        }

        @Override // org.apache.xerces.xs.XSMultiValueFacet
        public short getFacetKind() {
            return this.kind;
        }

        @Override // org.apache.xerces.xs.XSMultiValueFacet
        public StringList getLexicalFacetValues() {
            return this.svalues;
        }

        @Override // org.apache.xerces.xs.XSObject
        public String getName() {
            return null;
        }

        @Override // org.apache.xerces.xs.XSObject
        public String getNamespace() {
            return null;
        }

        @Override // org.apache.xerces.xs.XSObject
        public XSNamespaceItem getNamespaceItem() {
            return null;
        }

        @Override // org.apache.xerces.xs.XSObject
        public short getType() {
            return 14;
        }
    }

    static {
        XSSimpleTypeDecl xSSimpleTypeDecl = new XSSimpleTypeDecl(null, SchemaSymbols.ATTVAL_ANYSIMPLETYPE, 0, 0, false, true, false, true, 1);
        fAnySimpleType = xSSimpleTypeDecl;
        fAnyAtomicType = new XSSimpleTypeDecl(xSSimpleTypeDecl, "anyAtomicType", 29, 0, false, true, false, true, 49);
    }

    public XSSimpleTypeDecl() {
        this.fDVs = gDVs;
        this.fIsImmutable = false;
        this.fFinalSet = 0;
        this.fVariety = -1;
        this.fValidationDV = -1;
        this.fFacetsDefined = 0;
        this.fFixedFacet = 0;
        this.fWhiteSpace = 0;
        this.fLength = -1;
        this.fMinLength = -1;
        this.fMaxLength = -1;
        this.fTotalDigits = -1;
        this.fFractionDigits = -1;
        this.fAnnotations = null;
        this.fPatternType = 0;
        this.fNamespaceItem = null;
        this.fAnonymous = false;
    }

    public XSSimpleTypeDecl(String str, String str2, short s, XSSimpleTypeDecl xSSimpleTypeDecl, boolean z, XSObjectList xSObjectList) {
        this.fDVs = gDVs;
        this.fIsImmutable = false;
        this.fFinalSet = 0;
        this.fVariety = -1;
        this.fValidationDV = -1;
        this.fFacetsDefined = 0;
        this.fFixedFacet = 0;
        this.fWhiteSpace = 0;
        this.fLength = -1;
        this.fMinLength = -1;
        this.fMaxLength = -1;
        this.fTotalDigits = -1;
        this.fFractionDigits = -1;
        this.fAnnotations = null;
        this.fPatternType = 0;
        this.fNamespaceItem = null;
        this.fAnonymous = false;
        this.fBase = fAnySimpleType;
        this.fTypeName = str;
        this.fTargetNamespace = str2;
        this.fFinalSet = s;
        this.fAnnotations = xSObjectList;
        this.fVariety = 2;
        this.fItemType = xSSimpleTypeDecl;
        this.fValidationDV = 25;
        this.fFacetsDefined = 16;
        this.fFixedFacet = 16;
        this.fWhiteSpace = 2;
        calcFundamentalFacets();
        this.fIsImmutable = z;
        this.fBuiltInKind = 44;
    }

    public XSSimpleTypeDecl(String str, String str2, short s, XSSimpleTypeDecl[] xSSimpleTypeDeclArr, XSObjectList xSObjectList) {
        this.fDVs = gDVs;
        this.fIsImmutable = false;
        this.fFinalSet = 0;
        this.fVariety = -1;
        this.fValidationDV = -1;
        this.fFacetsDefined = 0;
        this.fFixedFacet = 0;
        this.fWhiteSpace = 0;
        this.fLength = -1;
        this.fMinLength = -1;
        this.fMaxLength = -1;
        this.fTotalDigits = -1;
        this.fFractionDigits = -1;
        this.fAnnotations = null;
        this.fPatternType = 0;
        this.fNamespaceItem = null;
        this.fAnonymous = false;
        this.fBase = fAnySimpleType;
        this.fTypeName = str;
        this.fTargetNamespace = str2;
        this.fFinalSet = s;
        this.fAnnotations = xSObjectList;
        this.fVariety = 3;
        this.fMemberTypes = xSSimpleTypeDeclArr;
        this.fValidationDV = 26;
        this.fFacetsDefined = 16;
        this.fWhiteSpace = 2;
        calcFundamentalFacets();
        this.fIsImmutable = false;
        this.fBuiltInKind = 45;
    }

    public XSSimpleTypeDecl(XSSimpleTypeDecl xSSimpleTypeDecl, String str, String str2, short s, boolean z, XSObjectList xSObjectList) {
        this.fDVs = gDVs;
        this.fIsImmutable = false;
        this.fFinalSet = 0;
        this.fVariety = -1;
        this.fValidationDV = -1;
        this.fFacetsDefined = 0;
        this.fFixedFacet = 0;
        this.fWhiteSpace = 0;
        this.fLength = -1;
        this.fMinLength = -1;
        this.fMaxLength = -1;
        this.fTotalDigits = -1;
        this.fFractionDigits = -1;
        this.fAnnotations = null;
        this.fPatternType = 0;
        this.fNamespaceItem = null;
        this.fAnonymous = false;
        this.fBase = xSSimpleTypeDecl;
        this.fTypeName = str;
        this.fTargetNamespace = str2;
        this.fFinalSet = s;
        this.fAnnotations = xSObjectList;
        short s2 = xSSimpleTypeDecl.fVariety;
        this.fVariety = s2;
        this.fValidationDV = xSSimpleTypeDecl.fValidationDV;
        if (s2 == 2) {
            this.fItemType = xSSimpleTypeDecl.fItemType;
        } else if (s2 == 3) {
            this.fMemberTypes = xSSimpleTypeDecl.fMemberTypes;
        }
        XSSimpleTypeDecl xSSimpleTypeDecl2 = this.fBase;
        this.fLength = xSSimpleTypeDecl2.fLength;
        this.fMinLength = xSSimpleTypeDecl2.fMinLength;
        this.fMaxLength = xSSimpleTypeDecl2.fMaxLength;
        this.fPattern = xSSimpleTypeDecl2.fPattern;
        this.fPatternStr = xSSimpleTypeDecl2.fPatternStr;
        this.fEnumeration = xSSimpleTypeDecl2.fEnumeration;
        this.fEnumerationSize = xSSimpleTypeDecl2.fEnumerationSize;
        this.fWhiteSpace = xSSimpleTypeDecl2.fWhiteSpace;
        this.fMaxExclusive = xSSimpleTypeDecl2.fMaxExclusive;
        this.fMaxInclusive = xSSimpleTypeDecl2.fMaxInclusive;
        this.fMinExclusive = xSSimpleTypeDecl2.fMinExclusive;
        this.fMinInclusive = xSSimpleTypeDecl2.fMinInclusive;
        this.fTotalDigits = xSSimpleTypeDecl2.fTotalDigits;
        this.fFractionDigits = xSSimpleTypeDecl2.fFractionDigits;
        this.fPatternType = xSSimpleTypeDecl2.fPatternType;
        this.fFixedFacet = xSSimpleTypeDecl2.fFixedFacet;
        this.fFacetsDefined = xSSimpleTypeDecl2.fFacetsDefined;
        this.lengthAnnotation = xSSimpleTypeDecl2.lengthAnnotation;
        this.minLengthAnnotation = xSSimpleTypeDecl2.minLengthAnnotation;
        this.maxLengthAnnotation = xSSimpleTypeDecl2.maxLengthAnnotation;
        this.patternAnnotations = xSSimpleTypeDecl2.patternAnnotations;
        this.enumerationAnnotations = xSSimpleTypeDecl2.enumerationAnnotations;
        this.whiteSpaceAnnotation = xSSimpleTypeDecl2.whiteSpaceAnnotation;
        this.maxExclusiveAnnotation = xSSimpleTypeDecl2.maxExclusiveAnnotation;
        this.maxInclusiveAnnotation = xSSimpleTypeDecl2.maxInclusiveAnnotation;
        this.minExclusiveAnnotation = xSSimpleTypeDecl2.minExclusiveAnnotation;
        this.minInclusiveAnnotation = xSSimpleTypeDecl2.minInclusiveAnnotation;
        this.totalDigitsAnnotation = xSSimpleTypeDecl2.totalDigitsAnnotation;
        this.fractionDigitsAnnotation = xSSimpleTypeDecl2.fractionDigitsAnnotation;
        calcFundamentalFacets();
        this.fIsImmutable = z;
        this.fBuiltInKind = xSSimpleTypeDecl.fBuiltInKind;
    }

    public XSSimpleTypeDecl(XSSimpleTypeDecl xSSimpleTypeDecl, String str, String str2, short s, boolean z, XSObjectList xSObjectList, short s2) {
        this(xSSimpleTypeDecl, str, str2, s, z, xSObjectList);
        this.fBuiltInKind = s2;
    }

    public XSSimpleTypeDecl(XSSimpleTypeDecl xSSimpleTypeDecl, String str, short s, short s2, boolean z, boolean z2, boolean z3, boolean z4, short s3) {
        this.fDVs = gDVs;
        this.fIsImmutable = false;
        this.fFinalSet = 0;
        this.fVariety = -1;
        this.fValidationDV = -1;
        this.fFacetsDefined = 0;
        this.fFixedFacet = 0;
        this.fWhiteSpace = 0;
        this.fLength = -1;
        this.fMinLength = -1;
        this.fMaxLength = -1;
        this.fTotalDigits = -1;
        this.fFractionDigits = -1;
        this.fAnnotations = null;
        this.fPatternType = 0;
        this.fNamespaceItem = null;
        this.fAnonymous = false;
        this.fIsImmutable = z4;
        this.fBase = xSSimpleTypeDecl;
        this.fTypeName = str;
        this.fTargetNamespace = "http://www.w3.org/2001/XMLSchema";
        this.fVariety = 1;
        this.fValidationDV = s;
        this.fFacetsDefined = 16;
        if (s == 0 || s == 29 || s == 1) {
            this.fWhiteSpace = 0;
        } else {
            this.fWhiteSpace = 2;
            this.fFixedFacet = 16;
        }
        this.fOrdered = s2;
        this.fBounded = z;
        this.fFinite = z2;
        this.fNumeric = z3;
        this.fAnnotations = null;
        this.fBuiltInKind = s3;
    }

    private void appendEnumString(StringBuffer stringBuffer) {
        stringBuffer.append('[');
        for (int i2 = 0; i2 < this.fEnumerationSize; i2++) {
            if (i2 != 0) {
                stringBuffer.append(", ");
            }
            stringBuffer.append(this.fEnumeration[i2].actualValue);
        }
        stringBuffer.append(']');
    }

    private void calcFundamentalFacets() {
        setOrdered();
        setNumeric();
        setBounded();
        setCardinality();
    }

    private void checkExtraRules(ValidationContext validationContext, ValidatedInfo validatedInfo) {
        Object obj = validatedInfo.actualValue;
        short s = this.fVariety;
        if (s == 1) {
            this.fDVs[this.fValidationDV].checkExtraRules(obj, validationContext);
        } else if (s == 2) {
            ListDV.ListData listData = (ListDV.ListData) obj;
            XSSimpleType xSSimpleType = validatedInfo.memberType;
            int length = listData.getLength();
            try {
                if (this.fItemType.fVariety == 3) {
                    XSSimpleTypeDecl[] xSSimpleTypeDeclArr = (XSSimpleTypeDecl[]) validatedInfo.memberTypes;
                    for (int i2 = length - 1; i2 >= 0; i2--) {
                        validatedInfo.actualValue = listData.item(i2);
                        validatedInfo.memberType = xSSimpleTypeDeclArr[i2];
                        this.fItemType.checkExtraRules(validationContext, validatedInfo);
                    }
                } else {
                    for (int i3 = length - 1; i3 >= 0; i3--) {
                        validatedInfo.actualValue = listData.item(i3);
                        this.fItemType.checkExtraRules(validationContext, validatedInfo);
                    }
                }
            } finally {
                validatedInfo.actualValue = listData;
                validatedInfo.memberType = xSSimpleType;
            }
        } else {
            ((XSSimpleTypeDecl) validatedInfo.memberType).checkExtraRules(validationContext, validatedInfo);
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:39:0x00d2, code lost:
        r15 = true;
     */
    private void checkFacets(ValidatedInfo validatedInfo) {
        int compare;
        int compare2;
        int totalDigits;
        int fractionDigits;
        boolean z;
        Object obj = validatedInfo.actualValue;
        String str = validatedInfo.normalizedValue;
        short s = validatedInfo.actualValueType;
        ShortList shortList = validatedInfo.itemValueTypes;
        short s2 = this.fValidationDV;
        if (!(s2 == 18 || s2 == 20)) {
            int dataLength = this.fDVs[s2].getDataLength(obj);
            if ((this.fFacetsDefined & 4) != 0 && dataLength > this.fMaxLength) {
                throw new InvalidDatatypeValueException(XmlErrorCodes.DATATYPE_MAX_LENGTH_VALID, new Object[]{str, Integer.toString(dataLength), Integer.toString(this.fMaxLength), this.fTypeName});
            } else if ((this.fFacetsDefined & 2) != 0 && dataLength < this.fMinLength) {
                throw new InvalidDatatypeValueException(XmlErrorCodes.DATATYPE_MIN_LENGTH_VALID, new Object[]{str, Integer.toString(dataLength), Integer.toString(this.fMinLength), this.fTypeName});
            } else if (!((this.fFacetsDefined & 1) == 0 || dataLength == this.fLength)) {
                throw new InvalidDatatypeValueException(XmlErrorCodes.DATATYPE_LENGTH_VALID, new Object[]{str, Integer.toString(dataLength), Integer.toString(this.fLength), this.fTypeName});
            }
        }
        if ((this.fFacetsDefined & 2048) != 0) {
            int i2 = this.fEnumerationSize;
            short convertToPrimitiveKind = convertToPrimitiveKind(s);
            int i3 = 0;
            while (true) {
                if (i3 >= i2) {
                    z = false;
                    break;
                }
                short convertToPrimitiveKind2 = convertToPrimitiveKind(this.fEnumeration[i3].actualValueType);
                if ((convertToPrimitiveKind == convertToPrimitiveKind2 || ((convertToPrimitiveKind == 1 && convertToPrimitiveKind2 == 2) || (convertToPrimitiveKind == 2 && convertToPrimitiveKind2 == 1))) && this.fEnumeration[i3].actualValue.equals(obj)) {
                    if (convertToPrimitiveKind != 44 && convertToPrimitiveKind != 43) {
                        break;
                    }
                    ShortList shortList2 = this.fEnumeration[i3].itemValueTypes;
                    int length = shortList != null ? shortList.getLength() : 0;
                    if (length == (shortList2 != null ? shortList2.getLength() : 0)) {
                        int i4 = 0;
                        while (i4 < length) {
                            short convertToPrimitiveKind3 = convertToPrimitiveKind(shortList.item(i4));
                            short convertToPrimitiveKind4 = convertToPrimitiveKind(shortList2.item(i4));
                            if (convertToPrimitiveKind3 != convertToPrimitiveKind4 && ((convertToPrimitiveKind3 != 1 || convertToPrimitiveKind4 != 2) && (convertToPrimitiveKind3 != 2 || convertToPrimitiveKind4 != 1))) {
                                break;
                            }
                            i4++;
                        }
                        if (i4 == length) {
                            break;
                        }
                    } else {
                        continue;
                    }
                }
                i3++;
            }
            if (!z) {
                StringBuffer stringBuffer = new StringBuffer();
                appendEnumString(stringBuffer);
                throw new InvalidDatatypeValueException(XmlErrorCodes.DATATYPE_ENUM_VALID, new Object[]{str, stringBuffer.toString()});
            }
        }
        if ((this.fFacetsDefined & XSSimpleTypeDefinition.FACET_FRACTIONDIGITS) != 0 && (fractionDigits = this.fDVs[this.fValidationDV].getFractionDigits(obj)) > this.fFractionDigits) {
            throw new InvalidDatatypeValueException(XmlErrorCodes.DATATYPE_FRACTION_DIGITS_VALID, new Object[]{str, Integer.toString(fractionDigits), Integer.toString(this.fFractionDigits)});
        } else if ((this.fFacetsDefined & 512) != 0 && (totalDigits = this.fDVs[this.fValidationDV].getTotalDigits(obj)) > this.fTotalDigits) {
            throw new InvalidDatatypeValueException(XmlErrorCodes.DATATYPE_TOTAL_DIGITS_VALID, new Object[]{str, Integer.toString(totalDigits), Integer.toString(this.fTotalDigits)});
        } else if ((this.fFacetsDefined & 32) != 0 && (compare2 = this.fDVs[this.fValidationDV].compare(obj, this.fMaxInclusive)) != -1 && compare2 != 0) {
            throw new InvalidDatatypeValueException(XmlErrorCodes.DATATYPE_MAX_INCLUSIVE_VALID, new Object[]{str, this.fMaxInclusive, this.fTypeName});
        } else if ((this.fFacetsDefined & 64) != 0 && this.fDVs[this.fValidationDV].compare(obj, this.fMaxExclusive) != -1) {
            throw new InvalidDatatypeValueException(XmlErrorCodes.DATATYPE_MAX_EXCLUSIVE_VALID, new Object[]{str, this.fMaxExclusive, this.fTypeName});
        } else if ((this.fFacetsDefined & 256) != 0 && (compare = this.fDVs[this.fValidationDV].compare(obj, this.fMinInclusive)) != 1 && compare != 0) {
            throw new InvalidDatatypeValueException(XmlErrorCodes.DATATYPE_MIN_INCLUSIVE_VALID, new Object[]{str, this.fMinInclusive, this.fTypeName});
        } else if ((this.fFacetsDefined & 128) != 0 && this.fDVs[this.fValidationDV].compare(obj, this.fMinExclusive) != 1) {
            throw new InvalidDatatypeValueException(XmlErrorCodes.DATATYPE_MIN_EXCLUSIVE_VALID, new Object[]{str, this.fMinExclusive, this.fTypeName});
        }
    }

    private short convertToPrimitiveKind(short s) {
        if (s <= 20) {
            return s;
        }
        if (s <= 29) {
            return 2;
        }
        if (s <= 42) {
            return 4;
        }
        return s;
    }

    /* JADX WARNING: Removed duplicated region for block: B:26:0x0074  */
    private Object getActualValue(Object obj, ValidationContext validationContext, ValidatedInfo validatedInfo, boolean z) {
        XSSimpleTypeDecl xSSimpleTypeDecl;
        short s;
        boolean z2;
        boolean isValidNCName;
        String normalize = z ? normalize(obj, this.fWhiteSpace) : obj.toString();
        if ((this.fFacetsDefined & 8) != 0) {
            for (int size = this.fPattern.size() - 1; size >= 0; size--) {
                if (!((RegularExpression) this.fPattern.elementAt(size)).matches(normalize)) {
                    throw new InvalidDatatypeValueException(XmlErrorCodes.DATATYPE_PATTERN_VALID, new Object[]{obj, this.fPatternStr.elementAt(size), this.fTypeName});
                }
            }
        }
        short s2 = this.fVariety;
        if (s2 == 1) {
            short s3 = this.fPatternType;
            if (s3 != 0) {
                if (s3 == 1) {
                    isValidNCName = XMLChar.isValidNmtoken(normalize);
                } else if (s3 == 2) {
                    isValidNCName = XMLChar.isValidName(normalize);
                } else if (s3 == 3) {
                    isValidNCName = XMLChar.isValidNCName(normalize);
                } else {
                    z2 = false;
                    if (z2) {
                        throw new InvalidDatatypeValueException("cvc-datatype-valid.1.2.1", new Object[]{normalize, SPECIAL_PATTERN_STRING[this.fPatternType]});
                    }
                }
                z2 = !isValidNCName;
                if (z2) {
                }
            }
            validatedInfo.normalizedValue = normalize;
            Object actualValue = this.fDVs[this.fValidationDV].getActualValue(normalize, validationContext);
            validatedInfo.actualValue = actualValue;
            validatedInfo.actualValueType = this.fBuiltInKind;
            validatedInfo.actualType = this;
            return actualValue;
        } else if (s2 == 2) {
            StringTokenizer stringTokenizer = new StringTokenizer(normalize, " ");
            int countTokens = stringTokenizer.countTokens();
            Object[] objArr = new Object[countTokens];
            boolean z3 = this.fItemType.getVariety() == 3;
            int i2 = z3 ? countTokens : 1;
            short[] sArr = new short[i2];
            if (!z3) {
                sArr[0] = this.fItemType.fBuiltInKind;
            }
            XSSimpleTypeDecl[] xSSimpleTypeDeclArr = new XSSimpleTypeDecl[countTokens];
            for (int i3 = 0; i3 < countTokens; i3++) {
                objArr[i3] = this.fItemType.getActualValue(stringTokenizer.nextToken(), validationContext, validatedInfo, false);
                if (!(!validationContext.needFacetChecking() || (s = (xSSimpleTypeDecl = this.fItemType).fFacetsDefined) == 0 || s == 16)) {
                    xSSimpleTypeDecl.checkFacets(validatedInfo);
                }
                xSSimpleTypeDeclArr[i3] = (XSSimpleTypeDecl) validatedInfo.memberType;
                if (z3) {
                    sArr[i3] = xSSimpleTypeDeclArr[i3].fBuiltInKind;
                }
            }
            ListDV.ListData listData = new ListDV.ListData(objArr);
            validatedInfo.actualValue = listData;
            validatedInfo.actualValueType = z3 ? (short) 43 : 44;
            validatedInfo.memberType = null;
            validatedInfo.memberTypes = xSSimpleTypeDeclArr;
            validatedInfo.itemValueTypes = new ShortListImpl(sArr, i2);
            validatedInfo.normalizedValue = normalize;
            validatedInfo.actualType = this;
            return listData;
        } else {
            String obj2 = (this.fMemberTypes.length <= 1 || obj == null) ? obj : obj.toString();
            int i4 = 0;
            while (true) {
                XSSimpleTypeDecl[] xSSimpleTypeDeclArr2 = this.fMemberTypes;
                if (i4 >= xSSimpleTypeDeclArr2.length) {
                    StringBuffer stringBuffer = new StringBuffer();
                    for (int i5 = 0; i5 < this.fMemberTypes.length; i5++) {
                        if (i5 != 0) {
                            stringBuffer.append(" | ");
                        }
                        XSSimpleTypeDecl xSSimpleTypeDecl2 = this.fMemberTypes[i5];
                        if (xSSimpleTypeDecl2.fTargetNamespace != null) {
                            stringBuffer.append('{');
                            stringBuffer.append(xSSimpleTypeDecl2.fTargetNamespace);
                            stringBuffer.append('}');
                        }
                        stringBuffer.append(xSSimpleTypeDecl2.fTypeName);
                        if (xSSimpleTypeDecl2.fEnumeration != null) {
                            stringBuffer.append(" : ");
                            xSSimpleTypeDecl2.appendEnumString(stringBuffer);
                        }
                    }
                    throw new InvalidDatatypeValueException(XmlErrorCodes.DATATYPE_VALID$UNION, new Object[]{obj, this.fTypeName, stringBuffer.toString()});
                }
                try {
                    Object actualValue2 = xSSimpleTypeDeclArr2[i4].getActualValue(obj2, validationContext, validatedInfo, true);
                    if (!(!validationContext.needFacetChecking() || this.fMemberTypes[i4].fFacetsDefined == 0 || this.fMemberTypes[i4].fFacetsDefined == 16)) {
                        this.fMemberTypes[i4].checkFacets(validatedInfo);
                    }
                    validatedInfo.memberType = this.fMemberTypes[i4];
                    validatedInfo.actualType = this;
                    return actualValue2;
                } catch (InvalidDatatypeValueException unused) {
                    i4++;
                }
            }
        }
    }

    public static TypeValidator[] getGDVs() {
        return (TypeValidator[]) gDVs.clone();
    }

    private short getPrimitiveDV(short s) {
        if (s == 21 || s == 22 || s == 23) {
            return 1;
        }
        if (s == 24) {
            return 3;
        }
        return s;
    }

    private boolean isDerivedByAny(String str, String str2, XSTypeDefinition xSTypeDefinition) {
        XSTypeDefinition xSTypeDefinition2;
        XSTypeDefinition xSTypeDefinition3 = null;
        while (xSTypeDefinition != null && xSTypeDefinition != xSTypeDefinition3) {
            if ((str2.equals(xSTypeDefinition.getName()) && ((str == null && xSTypeDefinition.getNamespace() == null) || (str != null && str.equals(xSTypeDefinition.getNamespace())))) || isDerivedByRestriction(str, str2, xSTypeDefinition) || isDerivedByList(str, str2, xSTypeDefinition) || isDerivedByUnion(str, str2, xSTypeDefinition)) {
                return true;
            }
            XSSimpleTypeDecl xSSimpleTypeDecl = (XSSimpleTypeDecl) xSTypeDefinition;
            if (xSSimpleTypeDecl.getVariety() == 0 || xSSimpleTypeDecl.getVariety() == 1) {
                xSTypeDefinition2 = xSTypeDefinition.getBaseType();
            } else {
                if (xSSimpleTypeDecl.getVariety() == 3) {
                    if (xSSimpleTypeDecl.getMemberTypes().getLength() > 0) {
                        return isDerivedByAny(str, str2, (XSTypeDefinition) xSSimpleTypeDecl.getMemberTypes().item(0));
                    }
                } else if (xSSimpleTypeDecl.getVariety() == 2) {
                    xSTypeDefinition2 = xSSimpleTypeDecl.getItemType();
                }
                xSTypeDefinition3 = xSTypeDefinition;
            }
            xSTypeDefinition3 = xSTypeDefinition;
            xSTypeDefinition = xSTypeDefinition2;
        }
        return false;
    }

    private boolean isDerivedByList(String str, String str2, XSTypeDefinition xSTypeDefinition) {
        XSSimpleTypeDefinition itemType;
        if (xSTypeDefinition == null) {
            return false;
        }
        XSSimpleTypeDefinition xSSimpleTypeDefinition = (XSSimpleTypeDefinition) xSTypeDefinition;
        return xSSimpleTypeDefinition.getVariety() == 2 && (itemType = xSSimpleTypeDefinition.getItemType()) != null && isDerivedByRestriction(str, str2, itemType);
    }

    private boolean isDerivedByRestriction(String str, String str2, XSTypeDefinition xSTypeDefinition) {
        XSTypeDefinition xSTypeDefinition2 = null;
        while (xSTypeDefinition != null && xSTypeDefinition != xSTypeDefinition2) {
            if (str2.equals(xSTypeDefinition.getName())) {
                if (str != null && str.equals(xSTypeDefinition.getNamespace())) {
                    return true;
                }
                if (xSTypeDefinition.getNamespace() == null && str == null) {
                    return true;
                }
            }
            xSTypeDefinition2 = xSTypeDefinition;
            xSTypeDefinition = xSTypeDefinition.getBaseType();
        }
        return false;
    }

    private boolean isDerivedByUnion(String str, String str2, XSTypeDefinition xSTypeDefinition) {
        if (xSTypeDefinition != null) {
            XSSimpleTypeDefinition xSSimpleTypeDefinition = (XSSimpleTypeDefinition) xSTypeDefinition;
            if (xSSimpleTypeDefinition.getVariety() == 3) {
                XSObjectList memberTypes = xSSimpleTypeDefinition.getMemberTypes();
                for (int i2 = 0; i2 < memberTypes.getLength(); i2++) {
                    if (memberTypes.item(i2) != null && isDerivedByRestriction(str, str2, (XSSimpleTypeDefinition) memberTypes.item(i2))) {
                        return true;
                    }
                }
            }
        }
        return false;
    }

    public static String normalize(String str, short s) {
        int i2;
        int i3;
        char charAt;
        int length = str == null ? 0 : str.length();
        if (length == 0 || s == 0) {
            return str;
        }
        StringBuffer stringBuffer = new StringBuffer();
        if (s == 1) {
            for (int i4 = 0; i4 < length; i4++) {
                char charAt2 = str.charAt(i4);
                if (charAt2 == '\t' || charAt2 == '\n' || charAt2 == '\r') {
                    stringBuffer.append(' ');
                } else {
                    stringBuffer.append(charAt2);
                }
            }
        } else {
            int i5 = 0;
            boolean z = true;
            while (i5 < length) {
                char charAt3 = str.charAt(i5);
                if (charAt3 == '\t' || charAt3 == '\n' || charAt3 == '\r' || charAt3 == ' ') {
                    while (true) {
                        i2 = length - 1;
                        if (i5 < i2 && ((charAt = str.charAt((i3 = i5 + 1))) == '\t' || charAt == '\n' || charAt == '\r' || charAt == ' ')) {
                            i5 = i3;
                        }
                    }
                    if (i5 < i2 && !z) {
                        stringBuffer.append(' ');
                    }
                } else {
                    stringBuffer.append(charAt3);
                    z = false;
                }
                i5++;
            }
        }
        return stringBuffer.toString();
    }

    /* JADX WARNING: Code restructure failed: missing block: B:18:0x002d, code lost:
        if ((r0 & 4) == 0) goto L_0x001b;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:9:0x0018, code lost:
        if ((r0 & 64) == 0) goto L_0x001b;
     */
    private void setBounded() {
        short s = this.fVariety;
        if (s == 1) {
            short s2 = this.fFacetsDefined;
            if (!((s2 & 256) == 0 && (s2 & 128) == 0)) {
                short s3 = this.fFacetsDefined;
                if ((s3 & 32) == 0) {
                }
                this.fBounded = true;
                return;
            }
        } else {
            if (s == 2) {
                short s4 = this.fFacetsDefined;
                if ((s4 & 1) == 0) {
                    if ((s4 & 2) != 0) {
                    }
                }
            } else if (s == 3) {
                XSSimpleTypeDecl[] xSSimpleTypeDeclArr = this.fMemberTypes;
                short primitiveDV = xSSimpleTypeDeclArr.length > 0 ? getPrimitiveDV(xSSimpleTypeDeclArr[0].fValidationDV) : 0;
                for (int i2 = 0; i2 < xSSimpleTypeDeclArr.length; i2++) {
                    if (!xSSimpleTypeDeclArr[i2].getBounded() || primitiveDV != getPrimitiveDV(xSSimpleTypeDeclArr[i2].fValidationDV)) {
                        this.fBounded = false;
                        return;
                    }
                }
            } else {
                return;
            }
            this.fBounded = true;
            return;
        }
        this.fBounded = false;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:18:0x002e, code lost:
        if ((r0 & 64) == 0) goto L_0x004f;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:22:0x003a, code lost:
        if (specialCardinalityCheck() == false) goto L_0x004f;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:30:0x004c, code lost:
        if ((r0 & 4) == 0) goto L_0x004f;
     */
    private void setCardinality() {
        XSSimpleTypeDecl[] xSSimpleTypeDeclArr;
        short s = this.fVariety;
        if (s == 1) {
            if (!this.fBase.fFinite) {
                short s2 = this.fFacetsDefined;
                if ((s2 & 1) == 0 && (s2 & 4) == 0 && (s2 & 512) == 0) {
                    if (!((s2 & 256) == 0 && (s2 & 128) == 0)) {
                        short s3 = this.fFacetsDefined;
                        if ((s3 & 32) == 0) {
                        }
                        if ((this.fFacetsDefined & XSSimpleTypeDefinition.FACET_FRACTIONDIGITS) == 0) {
                        }
                    }
                    this.fFinite = false;
                    return;
                }
            }
        } else if (s == 2) {
            short s4 = this.fFacetsDefined;
            if ((s4 & 1) == 0) {
                if ((s4 & 2) != 0) {
                }
                this.fFinite = false;
                return;
            }
        } else if (s == 3) {
            for (XSSimpleTypeDecl xSSimpleTypeDecl : this.fMemberTypes) {
                if (!xSSimpleTypeDecl.getFinite()) {
                    this.fFinite = false;
                    return;
                }
            }
        } else {
            return;
        }
        this.fFinite = true;
    }

    private void setNumeric() {
        XSSimpleTypeDecl[] xSSimpleTypeDeclArr;
        short s = this.fVariety;
        if (s == 1) {
            this.fNumeric = this.fBase.fNumeric;
        } else if (s == 2) {
            this.fNumeric = false;
        } else if (s == 3) {
            for (XSSimpleTypeDecl xSSimpleTypeDecl : this.fMemberTypes) {
                if (!xSSimpleTypeDecl.getNumeric()) {
                    this.fNumeric = false;
                    return;
                }
            }
            this.fNumeric = true;
        }
    }

    private void setOrdered() {
        XSSimpleTypeDecl xSSimpleTypeDecl;
        short s = this.fVariety;
        if (s == 1) {
            xSSimpleTypeDecl = this.fBase;
        } else {
            if (s != 2) {
                if (s == 3) {
                    XSSimpleTypeDecl[] xSSimpleTypeDeclArr = this.fMemberTypes;
                    if (xSSimpleTypeDeclArr.length == 0) {
                        this.fOrdered = 1;
                        return;
                    }
                    short primitiveDV = getPrimitiveDV(xSSimpleTypeDeclArr[0].fValidationDV);
                    boolean z = primitiveDV != 0;
                    boolean z2 = this.fMemberTypes[0].fOrdered == 0;
                    for (int i2 = 1; i2 < this.fMemberTypes.length && (z || z2); i2++) {
                        if (z) {
                            z = primitiveDV == getPrimitiveDV(this.fMemberTypes[i2].fValidationDV);
                        }
                        if (z2) {
                            z2 = this.fMemberTypes[i2].fOrdered == 0;
                        }
                    }
                    if (z) {
                        xSSimpleTypeDecl = this.fMemberTypes[0];
                    } else if (!z2) {
                        this.fOrdered = 1;
                        return;
                    }
                } else {
                    return;
                }
            }
            this.fOrdered = 0;
            return;
        }
        this.fOrdered = xSSimpleTypeDecl.fOrdered;
    }

    private boolean specialCardinalityCheck() {
        short s = this.fBase.fValidationDV;
        return s == 9 || s == 10 || s == 11 || s == 12 || s == 13 || s == 14;
    }

    private String whiteSpaceValue(short s) {
        return WS_FACET_STRING[s];
    }

    @Override // org.apache.xerces.impl.dv.XSSimpleType
    public void applyFacets(XSFacets xSFacets, short s, short s2, ValidationContext validationContext) {
        if (validationContext == null) {
            validationContext = fEmptyContext;
        }
        applyFacets(xSFacets, s, s2, 0, validationContext);
    }

    /* JADX WARNING: Removed duplicated region for block: B:122:0x0352 A[SYNTHETIC, Splitter:B:122:0x0352] */
    /* JADX WARNING: Removed duplicated region for block: B:126:0x0381  */
    /* JADX WARNING: Removed duplicated region for block: B:153:0x0453 A[SYNTHETIC, Splitter:B:153:0x0453] */
    /* JADX WARNING: Removed duplicated region for block: B:157:0x0482  */
    /* JADX WARNING: Removed duplicated region for block: B:310:0x08d3  */
    /* JADX WARNING: Removed duplicated region for block: B:328:0x0963  */
    /* JADX WARNING: Removed duplicated region for block: B:335:0x098f  */
    /* JADX WARNING: Removed duplicated region for block: B:348:0x09f2  */
    /* JADX WARNING: Removed duplicated region for block: B:361:0x0a58  */
    /* JADX WARNING: Removed duplicated region for block: B:368:0x0a89  */
    /* JADX WARNING: Removed duplicated region for block: B:391:0x0b23  */
    public void applyFacets(XSFacets xSFacets, short s, short s2, short s3, ValidationContext validationContext) {
        short s4;
        XSObjectListImpl xSObjectListImpl;
        short s5;
        short s6;
        short s7;
        int i2;
        int i3;
        short s8;
        int i4;
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        int i12;
        int i13;
        char c;
        short s9;
        char c2;
        int i14;
        int i15;
        int i16;
        int i17;
        int compare;
        int compare2;
        int i18;
        boolean z;
        boolean z2;
        Vector vector;
        int i19;
        RegularExpression regularExpression;
        if (!this.fIsImmutable) {
            ValidatedInfo validatedInfo = new ValidatedInfo();
            this.fFacetsDefined = 0;
            this.fFixedFacet = 0;
            short allowedFacets = this.fDVs[this.fValidationDV].getAllowedFacets();
            if ((s & 1) != 0) {
                if ((allowedFacets & 1) == 0) {
                    reportError(XmlErrorCodes.FACETS_APPLICABLE, new Object[]{"length", this.fTypeName});
                } else {
                    this.fLength = xSFacets.length;
                    this.lengthAnnotation = xSFacets.lengthAnnotation;
                    this.fFacetsDefined = (short) (this.fFacetsDefined | 1);
                    if ((s2 & 1) != 0) {
                        this.fFixedFacet = (short) (this.fFixedFacet | 1);
                    }
                }
            }
            if ((s & 2) != 0) {
                if ((allowedFacets & 2) == 0) {
                    reportError(XmlErrorCodes.FACETS_APPLICABLE, new Object[]{"minLength", this.fTypeName});
                } else {
                    this.fMinLength = xSFacets.minLength;
                    this.minLengthAnnotation = xSFacets.minLengthAnnotation;
                    this.fFacetsDefined = (short) (this.fFacetsDefined | 2);
                    if ((s2 & 2) != 0) {
                        this.fFixedFacet = (short) (this.fFixedFacet | 2);
                    }
                }
            }
            if ((s & 4) != 0) {
                if ((allowedFacets & 4) == 0) {
                    reportError(XmlErrorCodes.FACETS_APPLICABLE, new Object[]{"maxLength", this.fTypeName});
                } else {
                    this.fMaxLength = xSFacets.maxLength;
                    this.maxLengthAnnotation = xSFacets.maxLengthAnnotation;
                    this.fFacetsDefined = (short) (this.fFacetsDefined | 4);
                    if ((s2 & 4) != 0) {
                        this.fFixedFacet = (short) (this.fFixedFacet | 4);
                    }
                }
            }
            if ((s & 8) != 0) {
                if ((allowedFacets & 8) == 0) {
                    reportError(XmlErrorCodes.FACETS_APPLICABLE, new Object[]{"pattern", this.fTypeName});
                } else {
                    this.patternAnnotations = xSFacets.patternAnnotations;
                    try {
                        regularExpression = new RegularExpression(xSFacets.pattern, "X", validationContext.getLocale());
                    } catch (Exception e2) {
                        reportError("InvalidRegex", new Object[]{xSFacets.pattern, e2.getLocalizedMessage()});
                        regularExpression = null;
                    }
                    if (regularExpression != null) {
                        Vector vector2 = new Vector();
                        this.fPattern = vector2;
                        vector2.addElement(regularExpression);
                        Vector vector3 = new Vector();
                        this.fPatternStr = vector3;
                        vector3.addElement(xSFacets.pattern);
                        this.fFacetsDefined = (short) (this.fFacetsDefined | 8);
                        if ((s2 & 8) != 0) {
                            this.fFixedFacet = (short) (this.fFixedFacet | 8);
                        }
                    }
                }
            }
            if ((s & 16) != 0) {
                if ((allowedFacets & 16) == 0) {
                    reportError(XmlErrorCodes.FACETS_APPLICABLE, new Object[]{"whiteSpace", this.fTypeName});
                } else {
                    this.fWhiteSpace = xSFacets.whiteSpace;
                    this.whiteSpaceAnnotation = xSFacets.whiteSpaceAnnotation;
                    this.fFacetsDefined = (short) (this.fFacetsDefined | 16);
                    if ((s2 & 16) != 0) {
                        this.fFixedFacet = (short) (this.fFixedFacet | 16);
                    }
                }
            }
            if ((s & 2048) != 0) {
                if ((allowedFacets & 2048) == 0) {
                    reportError(XmlErrorCodes.FACETS_APPLICABLE, new Object[]{"enumeration", this.fTypeName});
                } else {
                    Vector vector4 = xSFacets.enumeration;
                    int size = vector4.size();
                    this.fEnumeration = new ValidatedInfo[size];
                    Vector vector5 = xSFacets.enumNSDecls;
                    ValidationContextImpl validationContextImpl = new ValidationContextImpl(validationContext);
                    this.enumerationAnnotations = xSFacets.enumAnnotations;
                    this.fEnumerationSize = 0;
                    int i20 = 0;
                    while (i20 < size) {
                        if (vector5 != null) {
                            validationContextImpl.setNSContext((NamespaceContext) vector5.elementAt(i20));
                        }
                        try {
                            ValidatedInfo actualEnumValue = getActualEnumValue((String) vector4.elementAt(i20), validationContextImpl, null);
                            ValidatedInfo[] validatedInfoArr = this.fEnumeration;
                            i19 = size;
                            try {
                                int i21 = this.fEnumerationSize;
                                vector = vector5;
                                try {
                                    this.fEnumerationSize = i21 + 1;
                                    validatedInfoArr[i21] = actualEnumValue;
                                } catch (InvalidDatatypeValueException unused) {
                                }
                            } catch (InvalidDatatypeValueException unused2) {
                                vector = vector5;
                                reportError(XmlErrorCodes.DATATYPE_ENUM_RESTRICTION, new Object[]{vector4.elementAt(i20), getBaseType().getName()});
                                i20++;
                                size = i19;
                                vector5 = vector;
                            }
                        } catch (InvalidDatatypeValueException unused3) {
                            i19 = size;
                            vector = vector5;
                            reportError(XmlErrorCodes.DATATYPE_ENUM_RESTRICTION, new Object[]{vector4.elementAt(i20), getBaseType().getName()});
                            i20++;
                            size = i19;
                            vector5 = vector;
                        }
                        i20++;
                        size = i19;
                        vector5 = vector;
                    }
                    this.fFacetsDefined = (short) (this.fFacetsDefined | 2048);
                    if ((s2 & 2048) != 0) {
                        this.fFixedFacet = (short) (this.fFixedFacet | 2048);
                    }
                }
            }
            if ((s & 32) != 0) {
                if ((allowedFacets & 32) == 0) {
                    reportError(XmlErrorCodes.FACETS_APPLICABLE, new Object[]{"maxInclusive", this.fTypeName});
                } else {
                    this.maxInclusiveAnnotation = xSFacets.maxInclusiveAnnotation;
                    try {
                        this.fMaxInclusive = this.fBase.getActualValue(xSFacets.maxInclusive, validationContext, validatedInfo, true);
                        this.fFacetsDefined = (short) (this.fFacetsDefined | 32);
                        if ((s2 & 32) != 0) {
                            this.fFixedFacet = (short) (this.fFixedFacet | 32);
                        }
                    } catch (InvalidDatatypeValueException e3) {
                        reportError(e3.getKey(), e3.getArgs());
                        reportError("FacetValueFromBase", new Object[]{this.fTypeName, xSFacets.maxInclusive, "maxInclusive", this.fBase.getName()});
                    }
                    XSSimpleTypeDecl xSSimpleTypeDecl = this.fBase;
                    if (!((xSSimpleTypeDecl.fFacetsDefined & 32) == 0 || (xSSimpleTypeDecl.fFixedFacet & 32) == 0 || this.fDVs[this.fValidationDV].compare(this.fMaxInclusive, xSSimpleTypeDecl.fMaxInclusive) == 0)) {
                        reportError("FixedFacetValue", new Object[]{"maxInclusive", this.fMaxInclusive, this.fBase.fMaxInclusive, this.fTypeName});
                    }
                    try {
                        this.fBase.validate(validationContext, validatedInfo);
                    } catch (InvalidDatatypeValueException e4) {
                        reportError(e4.getKey(), e4.getArgs());
                        reportError("FacetValueFromBase", new Object[]{this.fTypeName, xSFacets.maxInclusive, "maxInclusive", this.fBase.getName()});
                    }
                }
            }
            if ((s & 64) != 0) {
                if ((allowedFacets & 64) == 0) {
                    reportError(XmlErrorCodes.FACETS_APPLICABLE, new Object[]{"maxExclusive", this.fTypeName});
                } else {
                    this.maxExclusiveAnnotation = xSFacets.maxExclusiveAnnotation;
                    try {
                        this.fMaxExclusive = this.fBase.getActualValue(xSFacets.maxExclusive, validationContext, validatedInfo, true);
                        this.fFacetsDefined = (short) (this.fFacetsDefined | 64);
                        if ((s2 & 64) != 0) {
                            this.fFixedFacet = (short) (this.fFixedFacet | 64);
                        }
                    } catch (InvalidDatatypeValueException e5) {
                        reportError(e5.getKey(), e5.getArgs());
                        reportError("FacetValueFromBase", new Object[]{this.fTypeName, xSFacets.maxExclusive, "maxExclusive", this.fBase.getName()});
                    }
                    XSSimpleTypeDecl xSSimpleTypeDecl2 = this.fBase;
                    if ((xSSimpleTypeDecl2.fFacetsDefined & 64) != 0) {
                        int compare3 = this.fDVs[this.fValidationDV].compare(this.fMaxExclusive, xSSimpleTypeDecl2.fMaxExclusive);
                        XSSimpleTypeDecl xSSimpleTypeDecl3 = this.fBase;
                        if (!((xSSimpleTypeDecl3.fFixedFacet & 64) == 0 || compare3 == 0)) {
                            reportError("FixedFacetValue", new Object[]{"maxExclusive", xSFacets.maxExclusive, xSSimpleTypeDecl3.fMaxExclusive, this.fTypeName});
                        }
                        if (compare3 == 0) {
                            z2 = false;
                            if (!z2) {
                                try {
                                    this.fBase.validate(validationContext, validatedInfo);
                                } catch (InvalidDatatypeValueException e6) {
                                    reportError(e6.getKey(), e6.getArgs());
                                    reportError("FacetValueFromBase", new Object[]{this.fTypeName, xSFacets.maxExclusive, "maxExclusive", this.fBase.getName()});
                                }
                            } else {
                                XSSimpleTypeDecl xSSimpleTypeDecl4 = this.fBase;
                                if ((xSSimpleTypeDecl4.fFacetsDefined & 32) != 0 && this.fDVs[this.fValidationDV].compare(this.fMaxExclusive, xSSimpleTypeDecl4.fMaxInclusive) > 0) {
                                    reportError("maxExclusive-valid-restriction.2", new Object[]{xSFacets.maxExclusive, this.fBase.fMaxInclusive});
                                }
                            }
                        }
                    }
                    z2 = true;
                    if (!z2) {
                    }
                }
            }
            if ((s & 128) != 0) {
                if ((allowedFacets & 128) == 0) {
                    reportError(XmlErrorCodes.FACETS_APPLICABLE, new Object[]{"minExclusive", this.fTypeName});
                } else {
                    this.minExclusiveAnnotation = xSFacets.minExclusiveAnnotation;
                    try {
                        this.fMinExclusive = this.fBase.getActualValue(xSFacets.minExclusive, validationContext, validatedInfo, true);
                        this.fFacetsDefined = (short) (this.fFacetsDefined | 128);
                        if ((s2 & 128) != 0) {
                            this.fFixedFacet = (short) (this.fFixedFacet | 128);
                        }
                    } catch (InvalidDatatypeValueException e7) {
                        reportError(e7.getKey(), e7.getArgs());
                        reportError("FacetValueFromBase", new Object[]{this.fTypeName, xSFacets.minExclusive, "minExclusive", this.fBase.getName()});
                    }
                    XSSimpleTypeDecl xSSimpleTypeDecl5 = this.fBase;
                    if ((xSSimpleTypeDecl5.fFacetsDefined & 128) != 0) {
                        int compare4 = this.fDVs[this.fValidationDV].compare(this.fMinExclusive, xSSimpleTypeDecl5.fMinExclusive);
                        XSSimpleTypeDecl xSSimpleTypeDecl6 = this.fBase;
                        if (!((xSSimpleTypeDecl6.fFixedFacet & 128) == 0 || compare4 == 0)) {
                            reportError("FixedFacetValue", new Object[]{"minExclusive", xSFacets.minExclusive, xSSimpleTypeDecl6.fMinExclusive, this.fTypeName});
                        }
                        if (compare4 == 0) {
                            z = false;
                            if (!z) {
                                try {
                                    this.fBase.validate(validationContext, validatedInfo);
                                } catch (InvalidDatatypeValueException e8) {
                                    reportError(e8.getKey(), e8.getArgs());
                                    reportError("FacetValueFromBase", new Object[]{this.fTypeName, xSFacets.minExclusive, "minExclusive", this.fBase.getName()});
                                }
                            } else {
                                XSSimpleTypeDecl xSSimpleTypeDecl7 = this.fBase;
                                if ((xSSimpleTypeDecl7.fFacetsDefined & 256) != 0 && this.fDVs[this.fValidationDV].compare(this.fMinExclusive, xSSimpleTypeDecl7.fMinInclusive) < 0) {
                                    reportError("minExclusive-valid-restriction.3", new Object[]{xSFacets.minExclusive, this.fBase.fMinInclusive});
                                }
                            }
                        }
                    }
                    z = true;
                    if (!z) {
                    }
                }
            }
            if ((s & 256) != 0) {
                if ((allowedFacets & 256) == 0) {
                    reportError(XmlErrorCodes.FACETS_APPLICABLE, new Object[]{"minInclusive", this.fTypeName});
                } else {
                    this.minInclusiveAnnotation = xSFacets.minInclusiveAnnotation;
                    try {
                        this.fMinInclusive = this.fBase.getActualValue(xSFacets.minInclusive, validationContext, validatedInfo, true);
                        this.fFacetsDefined = (short) (this.fFacetsDefined | 256);
                        if ((s2 & 256) != 0) {
                            this.fFixedFacet = (short) (this.fFixedFacet | 256);
                        }
                    } catch (InvalidDatatypeValueException e9) {
                        reportError(e9.getKey(), e9.getArgs());
                        reportError("FacetValueFromBase", new Object[]{this.fTypeName, xSFacets.minInclusive, "minInclusive", this.fBase.getName()});
                    }
                    XSSimpleTypeDecl xSSimpleTypeDecl8 = this.fBase;
                    if (!((xSSimpleTypeDecl8.fFacetsDefined & 256) == 0 || (xSSimpleTypeDecl8.fFixedFacet & 256) == 0 || this.fDVs[this.fValidationDV].compare(this.fMinInclusive, xSSimpleTypeDecl8.fMinInclusive) == 0)) {
                        reportError("FixedFacetValue", new Object[]{"minInclusive", xSFacets.minInclusive, this.fBase.fMinInclusive, this.fTypeName});
                    }
                    try {
                        this.fBase.validate(validationContext, validatedInfo);
                    } catch (InvalidDatatypeValueException e10) {
                        reportError(e10.getKey(), e10.getArgs());
                        reportError("FacetValueFromBase", new Object[]{this.fTypeName, xSFacets.minInclusive, "minInclusive", this.fBase.getName()});
                    }
                }
            }
            if ((s & 512) != 0) {
                if ((allowedFacets & 512) == 0) {
                    reportError(XmlErrorCodes.FACETS_APPLICABLE, new Object[]{"totalDigits", this.fTypeName});
                } else {
                    this.totalDigitsAnnotation = xSFacets.totalDigitsAnnotation;
                    this.fTotalDigits = xSFacets.totalDigits;
                    this.fFacetsDefined = (short) (this.fFacetsDefined | 512);
                    if ((s2 & 512) != 0) {
                        this.fFixedFacet = (short) (this.fFixedFacet | 512);
                    }
                }
            }
            if ((s & XSSimpleTypeDefinition.FACET_FRACTIONDIGITS) != 0) {
                if ((allowedFacets & XSSimpleTypeDefinition.FACET_FRACTIONDIGITS) == 0) {
                    reportError(XmlErrorCodes.FACETS_APPLICABLE, new Object[]{"fractionDigits", this.fTypeName});
                } else {
                    this.fFractionDigits = xSFacets.fractionDigits;
                    this.fractionDigitsAnnotation = xSFacets.fractionDigitsAnnotation;
                    this.fFacetsDefined = (short) (this.fFacetsDefined | XSSimpleTypeDefinition.FACET_FRACTIONDIGITS);
                    if ((s2 & XSSimpleTypeDefinition.FACET_FRACTIONDIGITS) != 0) {
                        this.fFixedFacet = (short) (this.fFixedFacet | XSSimpleTypeDefinition.FACET_FRACTIONDIGITS);
                    }
                }
            }
            if (s3 != 0) {
                this.fPatternType = s3;
            }
            short s10 = this.fFacetsDefined;
            if (s10 != 0) {
                if (!((s10 & 2) == 0 || (s10 & 4) == 0 || (i18 = this.fMinLength) <= this.fMaxLength)) {
                    reportError(XmlErrorCodes.DATATYPE_MIN_LENGTH_LE_MAX_LENGTH, new Object[]{Integer.toString(i18), Integer.toString(this.fMaxLength), this.fTypeName});
                }
                short s11 = this.fFacetsDefined;
                if (!((s11 & 64) == 0 || (s11 & 32) == 0)) {
                    reportError(XmlErrorCodes.DATATYPE_MIN_INCLUSIVE_MAX_EXCLUSIVE, new Object[]{this.fMaxInclusive, this.fMaxExclusive, this.fTypeName});
                }
                short s12 = this.fFacetsDefined;
                if (!((s12 & 128) == 0 || (s12 & 256) == 0)) {
                    reportError(XmlErrorCodes.DATATYPE_MIN_INCLUSIVE_MIN_EXCLUSIVE, new Object[]{this.fMinInclusive, this.fMinExclusive, this.fTypeName});
                }
                short s13 = this.fFacetsDefined;
                if (!((s13 & 32) == 0 || (s13 & 256) == 0 || (compare2 = this.fDVs[this.fValidationDV].compare(this.fMinInclusive, this.fMaxInclusive)) == -1 || compare2 == 0)) {
                    reportError(XmlErrorCodes.DATATYPE_MIN_INCLUSIVE_LTE_MAX_INCLUSIVE, new Object[]{this.fMinInclusive, this.fMaxInclusive, this.fTypeName});
                }
                short s14 = this.fFacetsDefined;
                if (!((s14 & 64) == 0 || (s14 & 128) == 0 || (compare = this.fDVs[this.fValidationDV].compare(this.fMinExclusive, this.fMaxExclusive)) == -1 || compare == 0)) {
                    reportError(XmlErrorCodes.DATATYPE_MIN_EXCLUSIVE_LE_MAX_EXCLUSIVE, new Object[]{this.fMinExclusive, this.fMaxExclusive, this.fTypeName});
                }
                short s15 = this.fFacetsDefined;
                if (!((s15 & 32) == 0 || (s15 & 128) == 0 || this.fDVs[this.fValidationDV].compare(this.fMinExclusive, this.fMaxInclusive) == -1)) {
                    reportError(XmlErrorCodes.DATATYPE_MIN_EXCLUSIVE_LE_MAX_INCLUSIVE, new Object[]{this.fMinExclusive, this.fMaxInclusive, this.fTypeName});
                }
                short s16 = this.fFacetsDefined;
                if (!((s16 & 64) == 0 || (s16 & 256) == 0 || this.fDVs[this.fValidationDV].compare(this.fMinInclusive, this.fMaxExclusive) == -1)) {
                    reportError(XmlErrorCodes.DATATYPE_MIN_INCLUSIVE_LE_MAX_EXCLUSIVE, new Object[]{this.fMinInclusive, this.fMaxExclusive, this.fTypeName});
                }
                short s17 = this.fFacetsDefined;
                if ((s17 & XSSimpleTypeDefinition.FACET_FRACTIONDIGITS) == 0 || (s17 & 512) == 0 || (i17 = this.fFractionDigits) <= this.fTotalDigits) {
                    s5 = 1;
                } else {
                    s5 = 1;
                    reportError(XmlErrorCodes.DATATYPE_FRACTION_DIGITS_LE_TOTAL_DIGITS, new Object[]{Integer.toString(i17), Integer.toString(this.fTotalDigits), this.fTypeName});
                }
                if ((this.fFacetsDefined & s5) != 0) {
                    XSSimpleTypeDecl xSSimpleTypeDecl9 = this.fBase;
                    if ((xSSimpleTypeDecl9.fFacetsDefined & 2) != 0 && (i16 = this.fLength) < xSSimpleTypeDecl9.fMinLength) {
                        reportError("length-minLength-maxLength.1.1", new Object[]{this.fTypeName, Integer.toString(i16), Integer.toString(this.fBase.fMinLength)});
                    }
                    XSSimpleTypeDecl xSSimpleTypeDecl10 = this.fBase;
                    if ((xSSimpleTypeDecl10.fFacetsDefined & 4) != 0 && (i15 = this.fLength) > xSSimpleTypeDecl10.fMaxLength) {
                        reportError("length-minLength-maxLength.2.1", new Object[]{this.fTypeName, Integer.toString(i15), Integer.toString(this.fBase.fMaxLength)});
                    }
                    XSSimpleTypeDecl xSSimpleTypeDecl11 = this.fBase;
                    s6 = 1;
                    if (!((xSSimpleTypeDecl11.fFacetsDefined & 1) == 0 || (i14 = this.fLength) == xSSimpleTypeDecl11.fLength)) {
                        reportError(XmlErrorCodes.DATATYPE_LENGTH_RESTRICTION, new Object[]{Integer.toString(i14), Integer.toString(this.fBase.fLength), this.fTypeName});
                    }
                } else {
                    s6 = 1;
                }
                if (!((this.fBase.fFacetsDefined & s6) == 0 && (this.fFacetsDefined & s6) == 0)) {
                    if ((this.fFacetsDefined & 2) != 0) {
                        int i22 = this.fBase.fLength;
                        if (i22 < this.fMinLength) {
                            s9 = 2;
                            reportError("length-minLength-maxLength.1.1", new Object[]{this.fTypeName, Integer.toString(i22), Integer.toString(this.fMinLength)});
                        } else {
                            s9 = 2;
                        }
                        if ((this.fBase.fFacetsDefined & s9) == 0) {
                            c2 = 0;
                            reportError("length-minLength-maxLength.1.2.a", new Object[]{this.fTypeName});
                        } else {
                            c2 = 0;
                        }
                        int i23 = this.fMinLength;
                        if (i23 != this.fBase.fMinLength) {
                            Object[] objArr = new Object[3];
                            objArr[c2] = this.fTypeName;
                            objArr[1] = Integer.toString(i23);
                            objArr[2] = Integer.toString(this.fBase.fMinLength);
                            reportError("length-minLength-maxLength.1.2.b", objArr);
                        }
                    }
                    if ((this.fFacetsDefined & 4) != 0) {
                        int i24 = this.fBase.fLength;
                        if (i24 > this.fMaxLength) {
                            reportError("length-minLength-maxLength.2.1", new Object[]{this.fTypeName, Integer.toString(i24), Integer.toString(this.fMaxLength)});
                        }
                        if ((this.fBase.fFacetsDefined & 4) == 0) {
                            c = 0;
                            reportError("length-minLength-maxLength.2.2.a", new Object[]{this.fTypeName});
                        } else {
                            c = 0;
                        }
                        int i25 = this.fMaxLength;
                        if (i25 != this.fBase.fMaxLength) {
                            Object[] objArr2 = new Object[3];
                            objArr2[c] = this.fTypeName;
                            objArr2[1] = Integer.toString(i25);
                            s7 = 2;
                            objArr2[2] = Integer.toString(this.fBase.fBase.fMaxLength);
                            reportError("length-minLength-maxLength.2.2.b", objArr2);
                            if ((this.fFacetsDefined & s7) != 0) {
                                XSSimpleTypeDecl xSSimpleTypeDecl12 = this.fBase;
                                short s18 = xSSimpleTypeDecl12.fFacetsDefined;
                                if ((s18 & 4) != 0) {
                                    int i26 = this.fMinLength;
                                    if (i26 > xSSimpleTypeDecl12.fMaxLength) {
                                        reportError(XmlErrorCodes.DATATYPE_MIN_LENGTH_LE_MAX_LENGTH, new Object[]{Integer.toString(i26), Integer.toString(this.fBase.fMaxLength), this.fTypeName});
                                    }
                                } else if ((s18 & 2) != 0) {
                                    if ((xSSimpleTypeDecl12.fFixedFacet & 2) == 0 || (i13 = this.fMinLength) == xSSimpleTypeDecl12.fMinLength) {
                                        i12 = 3;
                                    } else {
                                        i12 = 3;
                                        reportError("FixedFacetValue", new Object[]{"minLength", Integer.toString(i13), Integer.toString(this.fBase.fMinLength), this.fTypeName});
                                    }
                                    int i27 = this.fMinLength;
                                    if (i27 < this.fBase.fMinLength) {
                                        Object[] objArr3 = new Object[i12];
                                        objArr3[0] = Integer.toString(i27);
                                        objArr3[1] = Integer.toString(this.fBase.fMinLength);
                                        objArr3[2] = this.fTypeName;
                                        reportError(XmlErrorCodes.DATATYPE_MIN_LENGTH_RESTRICTION, objArr3);
                                    }
                                }
                            }
                            if ((this.fFacetsDefined & 4) != 0) {
                                XSSimpleTypeDecl xSSimpleTypeDecl13 = this.fBase;
                                if ((xSSimpleTypeDecl13.fFacetsDefined & 2) != 0 && this.fMaxLength < (i11 = xSSimpleTypeDecl13.fMinLength)) {
                                    reportError(XmlErrorCodes.DATATYPE_MIN_LENGTH_LE_MAX_LENGTH, new Object[]{Integer.toString(i11), Integer.toString(this.fMaxLength)});
                                }
                            }
                            if ((this.fFacetsDefined & 4) != 0) {
                                XSSimpleTypeDecl xSSimpleTypeDecl14 = this.fBase;
                                if ((xSSimpleTypeDecl14.fFacetsDefined & 4) != 0) {
                                    if ((xSSimpleTypeDecl14.fFixedFacet & 4) == 0 || (i10 = this.fMaxLength) == xSSimpleTypeDecl14.fMaxLength) {
                                        i9 = 3;
                                    } else {
                                        i9 = 3;
                                        reportError("FixedFacetValue", new Object[]{"maxLength", Integer.toString(i10), Integer.toString(this.fBase.fMaxLength), this.fTypeName});
                                    }
                                    int i28 = this.fMaxLength;
                                    if (i28 > this.fBase.fMaxLength) {
                                        Object[] objArr4 = new Object[i9];
                                        objArr4[0] = Integer.toString(i28);
                                        objArr4[1] = Integer.toString(this.fBase.fMaxLength);
                                        objArr4[2] = this.fTypeName;
                                        reportError(XmlErrorCodes.DATATYPE_MAX_LENGTH_RESTRICTION, objArr4);
                                    }
                                }
                            }
                            if ((this.fFacetsDefined & 512) != 0) {
                                XSSimpleTypeDecl xSSimpleTypeDecl15 = this.fBase;
                                if ((xSSimpleTypeDecl15.fFacetsDefined & 512) != 0) {
                                    if ((xSSimpleTypeDecl15.fFixedFacet & 512) == 0 || (i8 = this.fTotalDigits) == xSSimpleTypeDecl15.fTotalDigits) {
                                        i7 = 3;
                                    } else {
                                        i7 = 3;
                                        reportError("FixedFacetValue", new Object[]{"totalDigits", Integer.toString(i8), Integer.toString(this.fBase.fTotalDigits), this.fTypeName});
                                    }
                                    int i29 = this.fTotalDigits;
                                    if (i29 > this.fBase.fTotalDigits) {
                                        Object[] objArr5 = new Object[i7];
                                        objArr5[0] = Integer.toString(i29);
                                        objArr5[1] = Integer.toString(this.fBase.fTotalDigits);
                                        objArr5[2] = this.fTypeName;
                                        reportError(XmlErrorCodes.DATATYPE_TOTAL_DIGITS_RESTRICTION, objArr5);
                                    }
                                }
                            }
                            if ((this.fFacetsDefined & XSSimpleTypeDefinition.FACET_FRACTIONDIGITS) != 0) {
                                XSSimpleTypeDecl xSSimpleTypeDecl16 = this.fBase;
                                if ((xSSimpleTypeDecl16.fFacetsDefined & 512) != 0 && (i6 = this.fFractionDigits) > xSSimpleTypeDecl16.fTotalDigits) {
                                    reportError(XmlErrorCodes.DATATYPE_FRACTION_DIGITS_LE_TOTAL_DIGITS, new Object[]{Integer.toString(i6), Integer.toString(this.fTotalDigits), this.fTypeName});
                                }
                            }
                            if ((this.fFacetsDefined & XSSimpleTypeDefinition.FACET_FRACTIONDIGITS) != 0) {
                                XSSimpleTypeDecl xSSimpleTypeDecl17 = this.fBase;
                                if ((xSSimpleTypeDecl17.fFacetsDefined & XSSimpleTypeDefinition.FACET_FRACTIONDIGITS) != 0) {
                                    if (((xSSimpleTypeDecl17.fFixedFacet & XSSimpleTypeDefinition.FACET_FRACTIONDIGITS) == 0 || this.fFractionDigits == xSSimpleTypeDecl17.fFractionDigits) && (this.fValidationDV != 24 || this.fFractionDigits == 0)) {
                                        i5 = 3;
                                    } else {
                                        i5 = 3;
                                        reportError("FixedFacetValue", new Object[]{"fractionDigits", Integer.toString(this.fFractionDigits), Integer.toString(this.fBase.fFractionDigits), this.fTypeName});
                                    }
                                    int i30 = this.fFractionDigits;
                                    if (i30 > this.fBase.fFractionDigits) {
                                        Object[] objArr6 = new Object[i5];
                                        objArr6[0] = Integer.toString(i30);
                                        objArr6[1] = Integer.toString(this.fBase.fFractionDigits);
                                        objArr6[2] = this.fTypeName;
                                        reportError(XmlErrorCodes.DATATYPE_FRACTION_DIGITS_RESTRICTION, objArr6);
                                    }
                                } else if (this.fValidationDV == 24 && (i4 = this.fFractionDigits) != 0) {
                                    reportError("FixedFacetValue", new Object[]{"fractionDigits", Integer.toString(i4), "0", this.fTypeName});
                                }
                            }
                            if ((this.fFacetsDefined & 16) != 0) {
                                XSSimpleTypeDecl xSSimpleTypeDecl18 = this.fBase;
                                if ((xSSimpleTypeDecl18.fFacetsDefined & 16) != 0) {
                                    if ((xSSimpleTypeDecl18.fFixedFacet & 16) == 0 || (s8 = this.fWhiteSpace) == xSSimpleTypeDecl18.fWhiteSpace) {
                                        i2 = 2;
                                    } else {
                                        i2 = 2;
                                        reportError("FixedFacetValue", new Object[]{"whiteSpace", whiteSpaceValue(s8), whiteSpaceValue(this.fBase.fWhiteSpace), this.fTypeName});
                                    }
                                    if (this.fWhiteSpace == 0 && this.fBase.fWhiteSpace == i2) {
                                        Object[] objArr7 = new Object[i2];
                                        objArr7[0] = this.fTypeName;
                                        i3 = 1;
                                        objArr7[1] = SchemaSymbols.ATTVAL_PRESERVE;
                                        reportError("whiteSpace-valid-restriction.1", objArr7);
                                    } else {
                                        i3 = 1;
                                    }
                                    if (this.fWhiteSpace == i3 && this.fBase.fWhiteSpace == 2) {
                                        Object[] objArr8 = new Object[2];
                                        objArr8[0] = this.fTypeName;
                                        objArr8[i3] = SchemaSymbols.ATTVAL_REPLACE;
                                        reportError("whiteSpace-valid-restriction.1", objArr8);
                                    }
                                    if (this.fWhiteSpace == 0 && this.fBase.fWhiteSpace == i3) {
                                        Object[] objArr9 = new Object[i3];
                                        objArr9[0] = this.fTypeName;
                                        reportError("whiteSpace-valid-restriction.2", objArr9);
                                    }
                                }
                            }
                        }
                    }
                }
                s7 = 2;
                if ((this.fFacetsDefined & s7) != 0) {
                }
                if ((this.fFacetsDefined & 4) != 0) {
                }
                if ((this.fFacetsDefined & 4) != 0) {
                }
                if ((this.fFacetsDefined & 512) != 0) {
                }
                if ((this.fFacetsDefined & XSSimpleTypeDefinition.FACET_FRACTIONDIGITS) != 0) {
                }
                if ((this.fFacetsDefined & XSSimpleTypeDefinition.FACET_FRACTIONDIGITS) != 0) {
                }
                if ((this.fFacetsDefined & 16) != 0) {
                }
            }
            short s19 = this.fFacetsDefined;
            if ((s19 & 1) == 0) {
                XSSimpleTypeDecl xSSimpleTypeDecl19 = this.fBase;
                if ((xSSimpleTypeDecl19.fFacetsDefined & 1) != 0) {
                    this.fFacetsDefined = (short) (s19 | 1);
                    this.fLength = xSSimpleTypeDecl19.fLength;
                    this.lengthAnnotation = xSSimpleTypeDecl19.lengthAnnotation;
                }
            }
            short s20 = this.fFacetsDefined;
            if ((s20 & 2) == 0) {
                XSSimpleTypeDecl xSSimpleTypeDecl20 = this.fBase;
                if ((xSSimpleTypeDecl20.fFacetsDefined & 2) != 0) {
                    this.fFacetsDefined = (short) (s20 | 2);
                    this.fMinLength = xSSimpleTypeDecl20.fMinLength;
                    this.minLengthAnnotation = xSSimpleTypeDecl20.minLengthAnnotation;
                }
            }
            short s21 = this.fFacetsDefined;
            if ((s21 & 4) == 0) {
                XSSimpleTypeDecl xSSimpleTypeDecl21 = this.fBase;
                if ((xSSimpleTypeDecl21.fFacetsDefined & 4) != 0) {
                    this.fFacetsDefined = (short) (s21 | 4);
                    this.fMaxLength = xSSimpleTypeDecl21.fMaxLength;
                    this.maxLengthAnnotation = xSSimpleTypeDecl21.maxLengthAnnotation;
                }
            }
            XSSimpleTypeDecl xSSimpleTypeDecl22 = this.fBase;
            if ((xSSimpleTypeDecl22.fFacetsDefined & 8) != 0) {
                short s22 = this.fFacetsDefined;
                if ((s22 & 8) == 0) {
                    this.fFacetsDefined = (short) (s22 | 8);
                    this.fPattern = xSSimpleTypeDecl22.fPattern;
                    this.fPatternStr = xSSimpleTypeDecl22.fPatternStr;
                    xSObjectListImpl = xSSimpleTypeDecl22.patternAnnotations;
                } else {
                    for (int size2 = xSSimpleTypeDecl22.fPattern.size() - 1; size2 >= 0; size2--) {
                        this.fPattern.addElement(this.fBase.fPattern.elementAt(size2));
                        this.fPatternStr.addElement(this.fBase.fPatternStr.elementAt(size2));
                    }
                    xSObjectListImpl = this.fBase.patternAnnotations;
                    if (xSObjectListImpl != null) {
                        if (this.patternAnnotations != null) {
                            for (int length = xSObjectListImpl.getLength() - 1; length >= 0; length--) {
                                this.patternAnnotations.addXSObject(this.fBase.patternAnnotations.item(length));
                            }
                        }
                    }
                }
                this.patternAnnotations = xSObjectListImpl;
            }
            short s23 = this.fFacetsDefined;
            if ((s23 & 16) == 0) {
                XSSimpleTypeDecl xSSimpleTypeDecl23 = this.fBase;
                if ((xSSimpleTypeDecl23.fFacetsDefined & 16) != 0) {
                    this.fFacetsDefined = (short) (s23 | 16);
                    this.fWhiteSpace = xSSimpleTypeDecl23.fWhiteSpace;
                    this.whiteSpaceAnnotation = xSSimpleTypeDecl23.whiteSpaceAnnotation;
                }
            }
            short s24 = this.fFacetsDefined;
            if ((s24 & 2048) == 0) {
                XSSimpleTypeDecl xSSimpleTypeDecl24 = this.fBase;
                if ((xSSimpleTypeDecl24.fFacetsDefined & 2048) != 0) {
                    this.fFacetsDefined = (short) (s24 | 2048);
                    this.fEnumeration = xSSimpleTypeDecl24.fEnumeration;
                    this.fEnumerationSize = xSSimpleTypeDecl24.fEnumerationSize;
                    this.enumerationAnnotations = xSSimpleTypeDecl24.enumerationAnnotations;
                }
            }
            XSSimpleTypeDecl xSSimpleTypeDecl25 = this.fBase;
            if ((xSSimpleTypeDecl25.fFacetsDefined & 64) != 0) {
                short s25 = this.fFacetsDefined;
                if ((s25 & 64) == 0 && (s25 & 32) == 0) {
                    this.fFacetsDefined = (short) (s25 | 64);
                    this.fMaxExclusive = xSSimpleTypeDecl25.fMaxExclusive;
                    this.maxExclusiveAnnotation = xSSimpleTypeDecl25.maxExclusiveAnnotation;
                }
            }
            XSSimpleTypeDecl xSSimpleTypeDecl26 = this.fBase;
            if ((xSSimpleTypeDecl26.fFacetsDefined & 32) != 0) {
                short s26 = this.fFacetsDefined;
                if ((s26 & 64) == 0 && (s26 & 32) == 0) {
                    this.fFacetsDefined = (short) (s26 | 32);
                    this.fMaxInclusive = xSSimpleTypeDecl26.fMaxInclusive;
                    this.maxInclusiveAnnotation = xSSimpleTypeDecl26.maxInclusiveAnnotation;
                }
            }
            XSSimpleTypeDecl xSSimpleTypeDecl27 = this.fBase;
            if ((xSSimpleTypeDecl27.fFacetsDefined & 128) != 0) {
                short s27 = this.fFacetsDefined;
                if ((s27 & 128) == 0 && (s27 & 256) == 0) {
                    this.fFacetsDefined = (short) (s27 | 128);
                    this.fMinExclusive = xSSimpleTypeDecl27.fMinExclusive;
                    this.minExclusiveAnnotation = xSSimpleTypeDecl27.minExclusiveAnnotation;
                }
            }
            XSSimpleTypeDecl xSSimpleTypeDecl28 = this.fBase;
            if ((xSSimpleTypeDecl28.fFacetsDefined & 256) != 0) {
                short s28 = this.fFacetsDefined;
                if ((s28 & 128) == 0 && (s28 & 256) == 0) {
                    this.fFacetsDefined = (short) (s28 | 256);
                    this.fMinInclusive = xSSimpleTypeDecl28.fMinInclusive;
                    this.minInclusiveAnnotation = xSSimpleTypeDecl28.minInclusiveAnnotation;
                }
            }
            XSSimpleTypeDecl xSSimpleTypeDecl29 = this.fBase;
            if ((xSSimpleTypeDecl29.fFacetsDefined & 512) != 0) {
                short s29 = this.fFacetsDefined;
                if ((s29 & 512) == 0) {
                    this.fFacetsDefined = (short) (s29 | 512);
                    this.fTotalDigits = xSSimpleTypeDecl29.fTotalDigits;
                    this.totalDigitsAnnotation = xSSimpleTypeDecl29.totalDigitsAnnotation;
                }
            }
            XSSimpleTypeDecl xSSimpleTypeDecl30 = this.fBase;
            if ((xSSimpleTypeDecl30.fFacetsDefined & XSSimpleTypeDefinition.FACET_FRACTIONDIGITS) != 0) {
                short s30 = this.fFacetsDefined;
                if ((s30 & XSSimpleTypeDefinition.FACET_FRACTIONDIGITS) == 0) {
                    this.fFacetsDefined = (short) (s30 | XSSimpleTypeDefinition.FACET_FRACTIONDIGITS);
                    this.fFractionDigits = xSSimpleTypeDecl30.fFractionDigits;
                    this.fractionDigitsAnnotation = xSSimpleTypeDecl30.fractionDigitsAnnotation;
                }
            }
            if (this.fPatternType == 0 && (s4 = this.fBase.fPatternType) != 0) {
                this.fPatternType = s4;
            }
            this.fFixedFacet = (short) (this.fFixedFacet | this.fBase.fFixedFacet);
            calcFundamentalFacets();
        }
    }

    public void applyFacets1(XSFacets xSFacets, short s, short s2) {
        try {
            applyFacets(xSFacets, s, s2, 0, fDummyContext);
            this.fIsImmutable = true;
        } catch (InvalidDatatypeFacetException unused) {
            throw new RuntimeException("internal error");
        }
    }

    public void applyFacets1(XSFacets xSFacets, short s, short s2, short s3) {
        try {
            applyFacets(xSFacets, s, s2, s3, fDummyContext);
            this.fIsImmutable = true;
        } catch (InvalidDatatypeFacetException unused) {
            throw new RuntimeException("internal error");
        }
    }

    @Override // org.apache.xerces.xs.XSTypeDefinition
    public boolean derivedFrom(String str, String str2, short s) {
        if (str2 == null) {
            return false;
        }
        if ("http://www.w3.org/2001/XMLSchema".equals(str) && "anyType".equals(str2)) {
            return true;
        }
        XSTypeDefinition xSTypeDefinition = this;
        while (true) {
            if ((!str2.equals(xSTypeDefinition.getName()) || (!(str == null && xSTypeDefinition.getNamespace() == null) && (str == null || !str.equals(xSTypeDefinition.getNamespace())))) && xSTypeDefinition != fAnySimpleType) {
                xSTypeDefinition = xSTypeDefinition.getBaseType();
            }
        }
        return xSTypeDefinition != fAnySimpleType;
    }

    @Override // org.apache.xerces.xs.XSTypeDefinition
    public boolean derivedFromType(XSTypeDefinition xSTypeDefinition, short s) {
        if (xSTypeDefinition == null) {
            return false;
        }
        while (xSTypeDefinition instanceof XSSimpleTypeDelegate) {
            xSTypeDefinition = ((XSSimpleTypeDelegate) xSTypeDefinition).type;
        }
        if (xSTypeDefinition.getBaseType() == xSTypeDefinition) {
            return true;
        }
        XSTypeDefinition xSTypeDefinition2 = this;
        while (xSTypeDefinition2 != xSTypeDefinition && xSTypeDefinition2 != fAnySimpleType) {
            xSTypeDefinition2 = xSTypeDefinition2.getBaseType();
        }
        return xSTypeDefinition2 == xSTypeDefinition;
    }

    public ValidatedInfo getActualEnumValue(String str, ValidationContext validationContext, ValidatedInfo validatedInfo) {
        return this.fBase.validateWithInfo(str, validationContext, validatedInfo);
    }

    public ObjectList getActualEnumeration() {
        if (this.fActualEnumeration == null) {
            this.fActualEnumeration = new AbstractObjectList() {
                /* class org.apache.xerces.impl.dv.xs.XSSimpleTypeDecl.AnonymousClass3 */

                @Override // org.apache.xerces.xs.datatypes.ObjectList
                public boolean contains(Object obj) {
                    if (XSSimpleTypeDecl.this.fEnumeration == null) {
                        return false;
                    }
                    for (int i2 = 0; i2 < XSSimpleTypeDecl.this.fEnumerationSize; i2++) {
                        if (XSSimpleTypeDecl.this.fEnumeration[i2].getActualValue().equals(obj)) {
                            return true;
                        }
                    }
                    return false;
                }

                @Override // org.apache.xerces.impl.dv.xs.XSSimpleTypeDecl.AbstractObjectList, org.apache.xerces.xs.datatypes.ObjectList
                public int getLength() {
                    if (XSSimpleTypeDecl.this.fEnumeration != null) {
                        return XSSimpleTypeDecl.this.fEnumerationSize;
                    }
                    return 0;
                }

                @Override // org.apache.xerces.impl.dv.xs.XSSimpleTypeDecl.AbstractObjectList, org.apache.xerces.xs.datatypes.ObjectList
                public Object item(int i2) {
                    if (i2 < 0 || i2 >= getLength()) {
                        return null;
                    }
                    return XSSimpleTypeDecl.this.fEnumeration[i2].getActualValue();
                }
            };
        }
        return this.fActualEnumeration;
    }

    @Override // org.apache.xerces.xs.XSSimpleTypeDefinition
    public XSObjectList getAnnotations() {
        XSObjectList xSObjectList = this.fAnnotations;
        return xSObjectList != null ? xSObjectList : XSObjectListImpl.EMPTY_LIST;
    }

    @Override // org.apache.xerces.xs.XSTypeDefinition
    public boolean getAnonymous() {
        return this.fAnonymous || this.fTypeName == null;
    }

    @Override // org.apache.xerces.xs.XSTypeDefinition
    public XSTypeDefinition getBaseType() {
        return this.fBase;
    }

    @Override // org.apache.xerces.xs.XSSimpleTypeDefinition
    public boolean getBounded() {
        return this.fBounded;
    }

    @Override // org.apache.xerces.xs.XSSimpleTypeDefinition
    public short getBuiltInKind() {
        return this.fBuiltInKind;
    }

    @Override // org.apache.xerces.xs.XSSimpleTypeDefinition
    public short getDefinedFacets() {
        int i2;
        short s = this.fValidationDV;
        if (s == 0 || s == 29) {
            return 0;
        }
        if (this.fPatternType != 0) {
            i2 = this.fFacetsDefined | 8;
        } else if (s != 24) {
            return this.fFacetsDefined;
        } else {
            i2 = this.fFacetsDefined | 8 | 1024;
        }
        return (short) i2;
    }

    public ObjectList getEnumerationItemTypeList() {
        if (this.fEnumerationItemTypeList == null) {
            if (this.fEnumeration == null) {
                return null;
            }
            this.fEnumerationItemTypeList = new AbstractObjectList() {
                /* class org.apache.xerces.impl.dv.xs.XSSimpleTypeDecl.AnonymousClass4 */

                @Override // org.apache.xerces.xs.datatypes.ObjectList
                public boolean contains(Object obj) {
                    if (XSSimpleTypeDecl.this.fEnumeration == null || !(obj instanceof ShortList)) {
                        return false;
                    }
                    for (int i2 = 0; i2 < XSSimpleTypeDecl.this.fEnumerationSize; i2++) {
                        if (XSSimpleTypeDecl.this.fEnumeration[i2].itemValueTypes == obj) {
                            return true;
                        }
                    }
                    return false;
                }

                @Override // org.apache.xerces.impl.dv.xs.XSSimpleTypeDecl.AbstractObjectList, org.apache.xerces.xs.datatypes.ObjectList
                public int getLength() {
                    if (XSSimpleTypeDecl.this.fEnumeration != null) {
                        return XSSimpleTypeDecl.this.fEnumerationSize;
                    }
                    return 0;
                }

                @Override // org.apache.xerces.impl.dv.xs.XSSimpleTypeDecl.AbstractObjectList, org.apache.xerces.xs.datatypes.ObjectList
                public Object item(int i2) {
                    if (i2 < 0 || i2 >= getLength()) {
                        return null;
                    }
                    return XSSimpleTypeDecl.this.fEnumeration[i2].itemValueTypes;
                }
            };
        }
        return this.fEnumerationItemTypeList;
    }

    public ShortList getEnumerationTypeList() {
        if (this.fEnumerationTypeList == null) {
            if (this.fEnumeration == null) {
                return ShortListImpl.EMPTY_LIST;
            }
            short[] sArr = new short[this.fEnumerationSize];
            for (int i2 = 0; i2 < this.fEnumerationSize; i2++) {
                sArr[i2] = this.fEnumeration[i2].actualValueType;
            }
            this.fEnumerationTypeList = new ShortListImpl(sArr, this.fEnumerationSize);
        }
        return this.fEnumerationTypeList;
    }

    @Override // org.apache.xerces.xs.XSSimpleTypeDefinition
    public XSObject getFacet(int i2) {
        int i3 = 0;
        if (i2 == 2048 || i2 == 8) {
            XSObjectList multiValueFacets = getMultiValueFacets();
            while (i3 < multiValueFacets.getLength()) {
                XSMultiValueFacet xSMultiValueFacet = (XSMultiValueFacet) multiValueFacets.item(i3);
                if (xSMultiValueFacet.getFacetKind() == i2) {
                    return xSMultiValueFacet;
                }
                i3++;
            }
            return null;
        }
        XSObjectList facets = getFacets();
        while (i3 < facets.getLength()) {
            XSFacet xSFacet = (XSFacet) facets.item(i3);
            if (xSFacet.getFacetKind() == i2) {
                return xSFacet;
            }
            i3++;
        }
        return null;
    }

    /* JADX WARNING: Removed duplicated region for block: B:59:0x0104  */
    /* JADX WARNING: Removed duplicated region for block: B:66:0x0126  */
    /* JADX WARNING: Removed duplicated region for block: B:73:0x0148  */
    /* JADX WARNING: Removed duplicated region for block: B:80:0x016a  */
    /* JADX WARNING: Removed duplicated region for block: B:86:0x018a  */
    /* JADX WARNING: Removed duplicated region for block: B:87:0x0190  */
    @Override // org.apache.xerces.xs.XSSimpleTypeDefinition
    public XSObjectList getFacets() {
        int i2;
        Object obj;
        Object obj2;
        Object obj3;
        Object obj4;
        short s;
        if (this.fFacets == null && (this.fFacetsDefined != 0 || this.fValidationDV == 24)) {
            XSFacetImpl[] xSFacetImplArr = new XSFacetImpl[10];
            if ((this.fFacetsDefined & 16) == 0 || (s = this.fValidationDV) == 0 || s == 29) {
                i2 = 0;
            } else {
                xSFacetImplArr[0] = new XSFacetImpl(16, WS_FACET_STRING[this.fWhiteSpace], 0, null, (this.fFixedFacet & 16) != 0, this.whiteSpaceAnnotation);
                i2 = 1;
            }
            int i3 = this.fLength;
            if (i3 != -1) {
                xSFacetImplArr[i2] = new XSFacetImpl(1, Integer.toString(i3), this.fLength, null, (this.fFixedFacet & 1) != 0, this.lengthAnnotation);
                i2++;
            }
            int i4 = this.fMinLength;
            if (i4 != -1) {
                xSFacetImplArr[i2] = new XSFacetImpl(2, Integer.toString(i4), this.fMinLength, null, (this.fFixedFacet & 2) != 0, this.minLengthAnnotation);
                i2++;
            }
            int i5 = this.fMaxLength;
            if (i5 != -1) {
                xSFacetImplArr[i2] = new XSFacetImpl(4, Integer.toString(i5), this.fMaxLength, null, (this.fFixedFacet & 4) != 0, this.maxLengthAnnotation);
                i2++;
            }
            int i6 = this.fTotalDigits;
            if (i6 != -1) {
                xSFacetImplArr[i2] = new XSFacetImpl(512, Integer.toString(i6), this.fTotalDigits, null, (this.fFixedFacet & 512) != 0, this.totalDigitsAnnotation);
                i2++;
            }
            if (this.fValidationDV == 24) {
                xSFacetImplArr[i2] = new XSFacetImpl(XSSimpleTypeDefinition.FACET_FRACTIONDIGITS, "0", 0, null, true, this.fractionDigitsAnnotation);
            } else {
                int i7 = this.fFractionDigits;
                if (i7 != -1) {
                    xSFacetImplArr[i2] = new XSFacetImpl(XSSimpleTypeDefinition.FACET_FRACTIONDIGITS, Integer.toString(i7), this.fFractionDigits, null, (this.fFixedFacet & XSSimpleTypeDefinition.FACET_FRACTIONDIGITS) != 0, this.fractionDigitsAnnotation);
                }
                obj = this.fMaxInclusive;
                if (obj != null) {
                    xSFacetImplArr[i2] = new XSFacetImpl(32, obj.toString(), 0, this.fMaxInclusive, (this.fFixedFacet & 32) != 0, this.maxInclusiveAnnotation);
                    i2++;
                }
                obj2 = this.fMaxExclusive;
                if (obj2 != null) {
                    xSFacetImplArr[i2] = new XSFacetImpl(64, obj2.toString(), 0, this.fMaxExclusive, (this.fFixedFacet & 64) != 0, this.maxExclusiveAnnotation);
                    i2++;
                }
                obj3 = this.fMinExclusive;
                if (obj3 != null) {
                    xSFacetImplArr[i2] = new XSFacetImpl(128, obj3.toString(), 0, this.fMinExclusive, (this.fFixedFacet & 128) != 0, this.minExclusiveAnnotation);
                    i2++;
                }
                obj4 = this.fMinInclusive;
                if (obj4 != null) {
                    xSFacetImplArr[i2] = new XSFacetImpl(256, obj4.toString(), 0, this.fMinInclusive, (this.fFixedFacet & 256) != 0, this.minInclusiveAnnotation);
                    i2++;
                }
                this.fFacets = i2 <= 0 ? new XSObjectListImpl(xSFacetImplArr, i2) : XSObjectListImpl.EMPTY_LIST;
            }
            i2++;
            obj = this.fMaxInclusive;
            if (obj != null) {
            }
            obj2 = this.fMaxExclusive;
            if (obj2 != null) {
            }
            obj3 = this.fMinExclusive;
            if (obj3 != null) {
            }
            obj4 = this.fMinInclusive;
            if (obj4 != null) {
            }
            this.fFacets = i2 <= 0 ? new XSObjectListImpl(xSFacetImplArr, i2) : XSObjectListImpl.EMPTY_LIST;
        }
        XSObjectListImpl xSObjectListImpl = this.fFacets;
        return xSObjectListImpl != null ? xSObjectListImpl : XSObjectListImpl.EMPTY_LIST;
    }

    @Override // org.apache.xerces.xs.XSTypeDefinition
    public short getFinal() {
        return this.fFinalSet;
    }

    @Override // org.apache.xerces.xs.XSSimpleTypeDefinition
    public boolean getFinite() {
        return this.fFinite;
    }

    @Override // org.apache.xerces.xs.XSSimpleTypeDefinition
    public short getFixedFacets() {
        return this.fValidationDV == 24 ? (short) (this.fFixedFacet | XSSimpleTypeDefinition.FACET_FRACTIONDIGITS) : this.fFixedFacet;
    }

    @Override // org.apache.xerces.xs.XSSimpleTypeDefinition
    public XSSimpleTypeDefinition getItemType() {
        if (this.fVariety == 2) {
            return this.fItemType;
        }
        return null;
    }

    @Override // org.apache.xerces.xs.XSSimpleTypeDefinition
    public StringList getLexicalEnumeration() {
        if (this.fLexicalEnumeration == null) {
            if (this.fEnumeration == null) {
                return StringListImpl.EMPTY_LIST;
            }
            int i2 = this.fEnumerationSize;
            String[] strArr = new String[i2];
            for (int i3 = 0; i3 < i2; i3++) {
                strArr[i3] = this.fEnumeration[i3].normalizedValue;
            }
            this.fLexicalEnumeration = new StringListImpl(strArr, i2);
        }
        return this.fLexicalEnumeration;
    }

    @Override // org.apache.xerces.xs.XSSimpleTypeDefinition
    public String getLexicalFacetValue(short s) {
        if (s == 1) {
            int i2 = this.fLength;
            if (i2 == -1) {
                return null;
            }
            return Integer.toString(i2);
        } else if (s == 2) {
            int i3 = this.fMinLength;
            if (i3 == -1) {
                return null;
            }
            return Integer.toString(i3);
        } else if (s == 4) {
            int i4 = this.fMaxLength;
            if (i4 == -1) {
                return null;
            }
            return Integer.toString(i4);
        } else if (s == 16) {
            short s2 = this.fValidationDV;
            if (s2 == 0 || s2 == 29) {
                return null;
            }
            return WS_FACET_STRING[this.fWhiteSpace];
        } else if (s == 32) {
            Object obj = this.fMaxInclusive;
            if (obj == null) {
                return null;
            }
            return obj.toString();
        } else if (s == 64) {
            Object obj2 = this.fMaxExclusive;
            if (obj2 == null) {
                return null;
            }
            return obj2.toString();
        } else if (s == 128) {
            Object obj3 = this.fMinExclusive;
            if (obj3 == null) {
                return null;
            }
            return obj3.toString();
        } else if (s == 256) {
            Object obj4 = this.fMinInclusive;
            if (obj4 == null) {
                return null;
            }
            return obj4.toString();
        } else if (s == 512) {
            int i5 = this.fTotalDigits;
            if (i5 == -1) {
                return null;
            }
            return Integer.toString(i5);
        } else if (s != 1024) {
            return null;
        } else {
            if (this.fValidationDV == 24) {
                return "0";
            }
            int i6 = this.fFractionDigits;
            if (i6 == -1) {
                return null;
            }
            return Integer.toString(i6);
        }
    }

    @Override // org.apache.xerces.xs.XSSimpleTypeDefinition
    public StringList getLexicalPattern() {
        String[] strArr;
        if (this.fPatternType == 0 && this.fValidationDV != 24 && this.fPatternStr == null) {
            return StringListImpl.EMPTY_LIST;
        }
        if (this.fLexicalPattern == null) {
            Vector vector = this.fPatternStr;
            int size = vector == null ? 0 : vector.size();
            short s = this.fPatternType;
            if (s == 1) {
                strArr = new String[(size + 1)];
                strArr[size] = "\\c+";
            } else if (s == 2) {
                strArr = new String[(size + 1)];
                strArr[size] = "\\i\\c*";
            } else if (s == 3) {
                strArr = new String[(size + 2)];
                strArr[size] = "\\i\\c*";
                strArr[size + 1] = "[\\i-[:]][\\c-[:]]*";
            } else if (this.fValidationDV == 24) {
                strArr = new String[(size + 1)];
                strArr[size] = "[\\-+]?[0-9]+";
            } else {
                strArr = new String[size];
            }
            for (int i2 = 0; i2 < size; i2++) {
                strArr[i2] = (String) this.fPatternStr.elementAt(i2);
            }
            this.fLexicalPattern = new StringListImpl(strArr, strArr.length);
        }
        return this.fLexicalPattern;
    }

    public Object getMaxExclusiveValue() {
        return this.fMaxExclusive;
    }

    public Object getMaxInclusiveValue() {
        return this.fMaxInclusive;
    }

    @Override // org.apache.xerces.xs.XSSimpleTypeDefinition
    public XSObjectList getMemberTypes() {
        if (this.fVariety != 3) {
            return XSObjectListImpl.EMPTY_LIST;
        }
        XSSimpleTypeDecl[] xSSimpleTypeDeclArr = this.fMemberTypes;
        return new XSObjectListImpl(xSSimpleTypeDeclArr, xSSimpleTypeDeclArr.length);
    }

    public Object getMinExclusiveValue() {
        return this.fMinExclusive;
    }

    public Object getMinInclusiveValue() {
        return this.fMinInclusive;
    }

    @Override // org.apache.xerces.xs.XSSimpleTypeDefinition
    public XSObjectList getMultiValueFacets() {
        if (this.fMultiValueFacets == null) {
            short s = this.fFacetsDefined;
            if (!((s & 2048) == 0 && (s & 8) == 0 && this.fPatternType == 0 && this.fValidationDV != 24)) {
                XSMVFacetImpl[] xSMVFacetImplArr = new XSMVFacetImpl[2];
                int i2 = 0;
                if (!((this.fFacetsDefined & 8) == 0 && this.fPatternType == 0 && this.fValidationDV != 24)) {
                    xSMVFacetImplArr[0] = new XSMVFacetImpl(8, getLexicalPattern(), null, this.patternAnnotations);
                    i2 = 1;
                }
                if (this.fEnumeration != null) {
                    xSMVFacetImplArr[i2] = new XSMVFacetImpl(2048, getLexicalEnumeration(), new ObjectListImpl(this.fEnumeration, this.fEnumerationSize), this.enumerationAnnotations);
                    i2++;
                }
                this.fMultiValueFacets = new XSObjectListImpl(xSMVFacetImplArr, i2);
            }
        }
        XSObjectListImpl xSObjectListImpl = this.fMultiValueFacets;
        return xSObjectListImpl != null ? xSObjectListImpl : XSObjectListImpl.EMPTY_LIST;
    }

    @Override // org.apache.xerces.xs.XSObject
    public String getName() {
        if (getAnonymous()) {
            return null;
        }
        return this.fTypeName;
    }

    @Override // org.apache.xerces.xs.XSObject
    public String getNamespace() {
        return this.fTargetNamespace;
    }

    @Override // org.apache.xerces.xs.XSObject
    public XSNamespaceItem getNamespaceItem() {
        return this.fNamespaceItem;
    }

    @Override // org.apache.xerces.xs.XSSimpleTypeDefinition
    public boolean getNumeric() {
        return this.fNumeric;
    }

    @Override // org.apache.xerces.xs.XSSimpleTypeDefinition
    public short getOrdered() {
        return this.fOrdered;
    }

    @Override // org.apache.xerces.impl.dv.XSSimpleType
    public short getPrimitiveKind() {
        short s;
        if (this.fVariety != 1 || (s = this.fValidationDV) == 0) {
            return 0;
        }
        if (s == 21 || s == 22 || s == 23) {
            return 1;
        }
        if (s == 24) {
            return 3;
        }
        return s;
    }

    @Override // org.apache.xerces.xs.XSSimpleTypeDefinition
    public XSSimpleTypeDefinition getPrimitiveType() {
        if (this.fVariety != 1 || this.fValidationDV == 0) {
            return null;
        }
        XSSimpleTypeDecl xSSimpleTypeDecl = this;
        while (true) {
            XSSimpleTypeDecl xSSimpleTypeDecl2 = xSSimpleTypeDecl.fBase;
            if (xSSimpleTypeDecl2 == fAnySimpleType) {
                return xSSimpleTypeDecl;
            }
            xSSimpleTypeDecl = xSSimpleTypeDecl2;
        }
    }

    @Override // org.apache.xerces.xs.XSObject
    public short getType() {
        return 3;
    }

    @Override // org.apache.xerces.xs.XSTypeDefinition
    public short getTypeCategory() {
        return 16;
    }

    @Override // org.w3c.dom.TypeInfo
    public String getTypeName() {
        return this.fTypeName;
    }

    @Override // org.w3c.dom.TypeInfo
    public String getTypeNamespace() {
        return getNamespace();
    }

    @Override // org.apache.xerces.xs.XSSimpleTypeDefinition
    public short getVariety() {
        if (this.fValidationDV == 0) {
            return 0;
        }
        return this.fVariety;
    }

    @Override // org.apache.xerces.impl.dv.XSSimpleType
    public short getWhitespace() {
        if (this.fVariety != 3) {
            return this.fWhiteSpace;
        }
        throw new DatatypeException("dt-whitespace", new Object[]{this.fTypeName});
    }

    public boolean isDOMDerivedFrom(String str, String str2, int i2) {
        if (str2 == null) {
            return false;
        }
        if (SchemaSymbols.URI_SCHEMAFORSCHEMA.equals(str) && "anyType".equals(str2) && ((i2 & 1) != 0 || i2 == 0)) {
            return true;
        }
        int i3 = i2 & 1;
        if (i3 != 0 && isDerivedByRestriction(str, str2, this)) {
            return true;
        }
        int i4 = i2 & 8;
        if (i4 != 0 && isDerivedByList(str, str2, this)) {
            return true;
        }
        int i5 = i2 & 4;
        if (i5 != 0 && isDerivedByUnion(str, str2, this)) {
            return true;
        }
        int i6 = i2 & 2;
        if ((i6 == 0 || i3 != 0 || i4 != 0 || i5 != 0) && i6 == 0 && i3 == 0 && i4 == 0 && i5 == 0) {
            return isDerivedByAny(str, str2, this);
        }
        return false;
    }

    @Override // org.apache.xerces.xs.XSSimpleTypeDefinition
    public boolean isDefinedFacet(short s) {
        short s2 = this.fValidationDV;
        if (s2 == 0 || s2 == 29) {
            return false;
        }
        if ((this.fFacetsDefined & s) != 0) {
            return true;
        }
        if (this.fPatternType != 0) {
            return s == 8;
        }
        if (s2 == 24) {
            return s == 8 || s == 1024;
        }
        return false;
    }

    @Override // org.w3c.dom.TypeInfo
    public boolean isDerivedFrom(String str, String str2, int i2) {
        return isDOMDerivedFrom(str, str2, i2);
    }

    @Override // org.apache.xerces.impl.dv.XSSimpleType
    public boolean isEqual(Object obj, Object obj2) {
        if (obj == null) {
            return false;
        }
        return obj.equals(obj2);
    }

    @Override // org.apache.xerces.xs.XSTypeDefinition
    public boolean isFinal(short s) {
        return (s & this.fFinalSet) != 0;
    }

    @Override // org.apache.xerces.xs.XSSimpleTypeDefinition
    public boolean isFixedFacet(short s) {
        if ((this.fFixedFacet & s) != 0) {
            return true;
        }
        return this.fValidationDV == 24 && s == 1024;
    }

    @Override // org.apache.xerces.impl.dv.XSSimpleType
    public boolean isIDType() {
        short s = this.fVariety;
        if (s == 1) {
            return this.fValidationDV == 21;
        }
        if (s == 2) {
            return this.fItemType.isIDType();
        }
        if (s == 3) {
            int i2 = 0;
            while (true) {
                XSSimpleTypeDecl[] xSSimpleTypeDeclArr = this.fMemberTypes;
                if (i2 >= xSSimpleTypeDeclArr.length) {
                    break;
                } else if (xSSimpleTypeDeclArr[i2].isIDType()) {
                    return true;
                } else {
                    i2++;
                }
            }
        }
        return false;
    }

    public boolean isIdentical(Object obj, Object obj2) {
        if (obj == null) {
            return false;
        }
        return this.fDVs[this.fValidationDV].isIdentical(obj, obj2);
    }

    public String normalize(Object obj, short s) {
        int i2;
        int i3;
        char charAt;
        if (obj == null) {
            return null;
        }
        if ((this.fFacetsDefined & 8) == 0) {
            short s2 = fDVNormalizeType[this.fValidationDV];
            if (s2 == 0) {
                return obj.toString();
            }
            if (s2 == 1) {
                return XMLChar.trim(obj.toString());
            }
        }
        if (!(obj instanceof StringBuffer)) {
            return normalize(obj.toString(), s);
        }
        StringBuffer stringBuffer = (StringBuffer) obj;
        int length = stringBuffer.length();
        if (length == 0) {
            return "";
        }
        if (s == 0) {
            return stringBuffer.toString();
        }
        if (s == 1) {
            for (int i4 = 0; i4 < length; i4++) {
                char charAt2 = stringBuffer.charAt(i4);
                if (charAt2 == '\t' || charAt2 == '\n' || charAt2 == '\r') {
                    stringBuffer.setCharAt(i4, ' ');
                }
            }
        } else {
            int i5 = 0;
            int i6 = 0;
            boolean z = true;
            while (i5 < length) {
                char charAt3 = stringBuffer.charAt(i5);
                if (charAt3 == '\t' || charAt3 == '\n' || charAt3 == '\r' || charAt3 == ' ') {
                    while (true) {
                        i2 = length - 1;
                        if (i5 < i2 && ((charAt = stringBuffer.charAt((i3 = i5 + 1))) == '\t' || charAt == '\n' || charAt == '\r' || charAt == ' ')) {
                            i5 = i3;
                        }
                    }
                    if (i5 < i2 && !z) {
                        stringBuffer.setCharAt(i6, ' ');
                        i6++;
                    }
                } else {
                    stringBuffer.setCharAt(i6, charAt3);
                    i6++;
                    z = false;
                }
                i5++;
            }
            stringBuffer.setLength(i6);
        }
        return stringBuffer.toString();
    }

    public void reportError(String str, Object[] objArr) {
        throw new InvalidDatatypeFacetException(str, objArr);
    }

    public void reset() {
        if (!this.fIsImmutable) {
            this.fItemType = null;
            this.fMemberTypes = null;
            this.fTypeName = null;
            this.fTargetNamespace = null;
            this.fFinalSet = 0;
            this.fBase = null;
            this.fVariety = -1;
            this.fValidationDV = -1;
            this.fFacetsDefined = 0;
            this.fFixedFacet = 0;
            this.fWhiteSpace = 0;
            this.fLength = -1;
            this.fMinLength = -1;
            this.fMaxLength = -1;
            this.fTotalDigits = -1;
            this.fFractionDigits = -1;
            this.fPattern = null;
            this.fPatternStr = null;
            this.fEnumeration = null;
            this.fLexicalPattern = null;
            this.fLexicalEnumeration = null;
            this.fActualEnumeration = null;
            this.fEnumerationTypeList = null;
            this.fEnumerationItemTypeList = null;
            this.fMaxInclusive = null;
            this.fMaxExclusive = null;
            this.fMinExclusive = null;
            this.fMinInclusive = null;
            this.lengthAnnotation = null;
            this.minLengthAnnotation = null;
            this.maxLengthAnnotation = null;
            this.whiteSpaceAnnotation = null;
            this.totalDigitsAnnotation = null;
            this.fractionDigitsAnnotation = null;
            this.patternAnnotations = null;
            this.enumerationAnnotations = null;
            this.maxInclusiveAnnotation = null;
            this.maxExclusiveAnnotation = null;
            this.minInclusiveAnnotation = null;
            this.minExclusiveAnnotation = null;
            this.fPatternType = 0;
            this.fAnnotations = null;
            this.fFacets = null;
        }
    }

    public void setAnonymous(boolean z) {
        this.fAnonymous = z;
    }

    public void setDVs(TypeValidator[] typeValidatorArr) {
        this.fDVs = typeValidatorArr;
    }

    public XSSimpleTypeDecl setListValues(String str, String str2, short s, XSSimpleTypeDecl xSSimpleTypeDecl, XSObjectList xSObjectList) {
        if (this.fIsImmutable) {
            return null;
        }
        this.fBase = fAnySimpleType;
        this.fAnonymous = false;
        this.fTypeName = str;
        this.fTargetNamespace = str2;
        this.fFinalSet = s;
        this.fAnnotations = xSObjectList;
        this.fVariety = 2;
        this.fItemType = xSSimpleTypeDecl;
        this.fValidationDV = 25;
        this.fFacetsDefined = 16;
        this.fFixedFacet = 16;
        this.fWhiteSpace = 2;
        calcFundamentalFacets();
        this.fBuiltInKind = 44;
        return this;
    }

    public void setNamespaceItem(XSNamespaceItem xSNamespaceItem) {
        this.fNamespaceItem = xSNamespaceItem;
    }

    public XSSimpleTypeDecl setRestrictionValues(XSSimpleTypeDecl xSSimpleTypeDecl, String str, String str2, short s, XSObjectList xSObjectList) {
        if (this.fIsImmutable) {
            return null;
        }
        this.fBase = xSSimpleTypeDecl;
        this.fAnonymous = false;
        this.fTypeName = str;
        this.fTargetNamespace = str2;
        this.fFinalSet = s;
        this.fAnnotations = xSObjectList;
        short s2 = xSSimpleTypeDecl.fVariety;
        this.fVariety = s2;
        this.fValidationDV = xSSimpleTypeDecl.fValidationDV;
        if (s2 == 2) {
            this.fItemType = xSSimpleTypeDecl.fItemType;
        } else if (s2 == 3) {
            this.fMemberTypes = xSSimpleTypeDecl.fMemberTypes;
        }
        XSSimpleTypeDecl xSSimpleTypeDecl2 = this.fBase;
        this.fLength = xSSimpleTypeDecl2.fLength;
        this.fMinLength = xSSimpleTypeDecl2.fMinLength;
        this.fMaxLength = xSSimpleTypeDecl2.fMaxLength;
        this.fPattern = xSSimpleTypeDecl2.fPattern;
        this.fPatternStr = xSSimpleTypeDecl2.fPatternStr;
        this.fEnumeration = xSSimpleTypeDecl2.fEnumeration;
        this.fEnumerationSize = xSSimpleTypeDecl2.fEnumerationSize;
        this.fWhiteSpace = xSSimpleTypeDecl2.fWhiteSpace;
        this.fMaxExclusive = xSSimpleTypeDecl2.fMaxExclusive;
        this.fMaxInclusive = xSSimpleTypeDecl2.fMaxInclusive;
        this.fMinExclusive = xSSimpleTypeDecl2.fMinExclusive;
        this.fMinInclusive = xSSimpleTypeDecl2.fMinInclusive;
        this.fTotalDigits = xSSimpleTypeDecl2.fTotalDigits;
        this.fFractionDigits = xSSimpleTypeDecl2.fFractionDigits;
        this.fPatternType = xSSimpleTypeDecl2.fPatternType;
        this.fFixedFacet = xSSimpleTypeDecl2.fFixedFacet;
        this.fFacetsDefined = xSSimpleTypeDecl2.fFacetsDefined;
        calcFundamentalFacets();
        this.fBuiltInKind = xSSimpleTypeDecl.fBuiltInKind;
        return this;
    }

    public XSSimpleTypeDecl setUnionValues(String str, String str2, short s, XSSimpleTypeDecl[] xSSimpleTypeDeclArr, XSObjectList xSObjectList) {
        if (this.fIsImmutable) {
            return null;
        }
        this.fBase = fAnySimpleType;
        this.fAnonymous = false;
        this.fTypeName = str;
        this.fTargetNamespace = str2;
        this.fFinalSet = s;
        this.fAnnotations = xSObjectList;
        this.fVariety = 3;
        this.fMemberTypes = xSSimpleTypeDeclArr;
        this.fValidationDV = 26;
        this.fFacetsDefined = 16;
        this.fWhiteSpace = 2;
        calcFundamentalFacets();
        this.fBuiltInKind = 45;
        return this;
    }

    public String toString() {
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append(this.fTargetNamespace);
        stringBuffer.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
        stringBuffer.append(this.fTypeName);
        return stringBuffer.toString();
    }

    @Override // org.apache.xerces.impl.dv.XSSimpleType
    public Object validate(Object obj, ValidationContext validationContext, ValidatedInfo validatedInfo) {
        if (validationContext == null) {
            validationContext = fEmptyContext;
        }
        if (validatedInfo == null) {
            validatedInfo = new ValidatedInfo();
        } else {
            validatedInfo.memberType = null;
        }
        Object actualValue = getActualValue(obj, validationContext, validatedInfo, validationContext == null || validationContext.needToNormalize());
        validate(validationContext, validatedInfo);
        return actualValue;
    }

    @Override // org.apache.xerces.impl.dv.XSSimpleType
    public Object validate(String str, ValidationContext validationContext, ValidatedInfo validatedInfo) {
        if (validationContext == null) {
            validationContext = fEmptyContext;
        }
        if (validatedInfo == null) {
            validatedInfo = new ValidatedInfo();
        } else {
            validatedInfo.memberType = null;
        }
        Object actualValue = getActualValue(str, validationContext, validatedInfo, validationContext == null || validationContext.needToNormalize());
        validate(validationContext, validatedInfo);
        return actualValue;
    }

    @Override // org.apache.xerces.impl.dv.XSSimpleType
    public void validate(ValidationContext validationContext, ValidatedInfo validatedInfo) {
        short s;
        if (validationContext == null) {
            validationContext = fEmptyContext;
        }
        if (!(!validationContext.needFacetChecking() || (s = this.fFacetsDefined) == 0 || s == 16)) {
            checkFacets(validatedInfo);
        }
        if (validationContext.needExtraChecking()) {
            checkExtraRules(validationContext, validatedInfo);
        }
    }

    public ValidatedInfo validateWithInfo(String str, ValidationContext validationContext, ValidatedInfo validatedInfo) {
        if (validationContext == null) {
            validationContext = fEmptyContext;
        }
        if (validatedInfo == null) {
            validatedInfo = new ValidatedInfo();
        } else {
            validatedInfo.memberType = null;
        }
        getActualValue(str, validationContext, validatedInfo, validationContext == null || validationContext.needToNormalize());
        validate(validationContext, validatedInfo);
        return validatedInfo;
    }
}
