package org.apache.xerces.impl.io;

import java.io.CharConversionException;
import java.util.Locale;
import org.apache.xerces.util.MessageFormatter;

public final class MalformedByteSequenceException extends CharConversionException {
    public static final long serialVersionUID = 8436382245048328739L;
    public Object[] fArguments;
    public String fDomain;
    public MessageFormatter fFormatter;
    public String fKey;
    public Locale fLocale;
    public String fMessage;

    public MalformedByteSequenceException(MessageFormatter messageFormatter, Locale locale, String str, String str2, Object[] objArr) {
        this.fFormatter = messageFormatter;
        this.fLocale = locale;
        this.fDomain = str;
        this.fKey = str2;
        this.fArguments = objArr;
    }

    public Object[] getArguments() {
        return this.fArguments;
    }

    public String getDomain() {
        return this.fDomain;
    }

    public String getKey() {
        return this.fKey;
    }

    public synchronized String getMessage() {
        if (this.fMessage == null) {
            this.fMessage = this.fFormatter.formatMessage(this.fLocale, this.fKey, this.fArguments);
            this.fFormatter = null;
            this.fLocale = null;
        }
        return this.fMessage;
    }
}
