package org.apache.xerces.impl.validation;

public final class ConfigurableValidationState extends ValidationState {
    public boolean fIdIdrefChecking = true;
    public boolean fUnparsedEntityChecking = true;

    @Override // org.apache.xerces.impl.dv.ValidationContext, org.apache.xerces.impl.validation.ValidationState
    public void addId(String str) {
        if (this.fIdIdrefChecking) {
            super.addId(str);
        }
    }

    @Override // org.apache.xerces.impl.dv.ValidationContext, org.apache.xerces.impl.validation.ValidationState
    public void addIdRef(String str) {
        if (this.fIdIdrefChecking) {
            super.addIdRef(str);
        }
    }

    @Override // org.apache.xerces.impl.validation.ValidationState
    public String checkIDRefID() {
        if (this.fIdIdrefChecking) {
            return super.checkIDRefID();
        }
        return null;
    }

    @Override // org.apache.xerces.impl.dv.ValidationContext, org.apache.xerces.impl.validation.ValidationState
    public boolean isEntityDeclared(String str) {
        if (this.fUnparsedEntityChecking) {
            return super.isEntityDeclared(str);
        }
        return true;
    }

    @Override // org.apache.xerces.impl.dv.ValidationContext, org.apache.xerces.impl.validation.ValidationState
    public boolean isEntityUnparsed(String str) {
        if (this.fUnparsedEntityChecking) {
            return super.isEntityUnparsed(str);
        }
        return true;
    }

    @Override // org.apache.xerces.impl.dv.ValidationContext, org.apache.xerces.impl.validation.ValidationState
    public boolean isIdDeclared(String str) {
        if (this.fIdIdrefChecking) {
            return super.isIdDeclared(str);
        }
        return false;
    }

    public void setIdIdrefChecking(boolean z) {
        this.fIdIdrefChecking = z;
    }

    public void setUnparsedEntityChecking(boolean z) {
        this.fUnparsedEntityChecking = z;
    }
}
