package org.apache.xerces.impl.xpath.regex;

import b.b.a.a.a;
import java.io.PrintStream;
import java.text.CharacterIterator;
import org.apache.lucene.codecs.lucene3x.Lucene3xNormsProducer;
import org.apache.poi.ss.formula.functions.Complex;
import org.apache.poi.ss.formula.ptg.UnaryMinusPtg;

public final class REUtil {
    public static final int CACHESIZE = 20;
    public static final RegularExpression[] regexCache = new RegularExpression[20];

    public static final int composeFromSurrogates(int i2, int i3) {
        return ((((i2 - 55296) << 10) + 65536) + i3) - 56320;
    }

    public static final String createOptionString(int i2) {
        StringBuffer stringBuffer = new StringBuffer(9);
        if ((i2 & 256) != 0) {
            stringBuffer.append('F');
        }
        if ((i2 & 128) != 0) {
            stringBuffer.append('H');
        }
        if ((i2 & 512) != 0) {
            stringBuffer.append('X');
        }
        if ((i2 & 2) != 0) {
            stringBuffer.append('i');
        }
        if ((i2 & 8) != 0) {
            stringBuffer.append('m');
        }
        if ((i2 & 4) != 0) {
            stringBuffer.append('s');
        }
        if ((i2 & 32) != 0) {
            stringBuffer.append('u');
        }
        if ((i2 & 64) != 0) {
            stringBuffer.append('w');
        }
        if ((i2 & 16) != 0) {
            stringBuffer.append('x');
        }
        if ((i2 & 1024) != 0) {
            stringBuffer.append(',');
        }
        return stringBuffer.toString().intern();
    }

    public static RegularExpression createRegex(String str, String str2) {
        RegularExpression regularExpression;
        int parseOptions = parseOptions(str2);
        synchronized (regexCache) {
            int i2 = 0;
            while (true) {
                regularExpression = null;
                if (i2 >= 20) {
                    break;
                }
                RegularExpression regularExpression2 = regexCache[i2];
                if (regularExpression2 == null) {
                    i2 = -1;
                    break;
                } else if (regularExpression2.equals(str, parseOptions)) {
                    regularExpression = regularExpression2;
                    break;
                } else {
                    i2++;
                }
            }
            if (regularExpression == null) {
                regularExpression = new RegularExpression(str, str2);
                System.arraycopy(regexCache, 0, regexCache, 1, 19);
                regexCache[0] = regularExpression;
            } else if (i2 != 0) {
                System.arraycopy(regexCache, 0, regexCache, 1, i2);
                regexCache[0] = regularExpression;
            }
        }
        return regularExpression;
    }

    public static final String decomposeToSurrogates(int i2) {
        int i3 = i2 - 65536;
        return new String(new char[]{(char) ((i3 >> 10) + 55296), (char) ((i3 & 1023) + 56320)});
    }

    public static void dumpString(String str) {
        for (int i2 = 0; i2 < str.length(); i2++) {
            System.out.print(Integer.toHexString(str.charAt(i2)));
            System.out.print(" ");
        }
        System.out.println();
    }

    public static final int getOptionValue(int i2) {
        if (i2 == 44) {
            return 1024;
        }
        if (i2 == 70) {
            return 256;
        }
        if (i2 == 72) {
            return 128;
        }
        if (i2 == 88) {
            return 512;
        }
        if (i2 == 105) {
            return 2;
        }
        if (i2 == 109) {
            return 8;
        }
        if (i2 == 115) {
            return 4;
        }
        if (i2 == 117) {
            return 32;
        }
        if (i2 != 119) {
            return i2 != 120 ? 0 : 16;
        }
        return 64;
    }

    public static final boolean isHighSurrogate(int i2) {
        return (i2 & 64512) == 55296;
    }

    public static final boolean isLowSurrogate(int i2) {
        return (i2 & 64512) == 56320;
    }

    public static void main(String[] strArr) {
        String str;
        PrintStream printStream;
        String str2;
        PrintStream printStream2;
        PrintStream printStream3;
        StringBuffer stringBuffer;
        StringBuffer stringBuffer2;
        String str3;
        String str4 = null;
        try {
            if (strArr.length == 0) {
                System.out.println("Error:Usage: java REUtil -i|-m|-s|-u|-w|-X regularExpression String");
                System.exit(0);
            }
            String str5 = "";
            String str6 = null;
            for (int i2 = 0; i2 < strArr.length; i2++) {
                if (strArr[i2].length() != 0) {
                    if (strArr[i2].charAt(0) == '-') {
                        if (strArr[i2].equals("-i")) {
                            stringBuffer2 = new StringBuffer();
                            stringBuffer2.append(str5);
                            str3 = Complex.DEFAULT_SUFFIX;
                        } else if (strArr[i2].equals("-m")) {
                            stringBuffer2 = new StringBuffer();
                            stringBuffer2.append(str5);
                            str3 = "m";
                        } else if (strArr[i2].equals("-s")) {
                            stringBuffer2 = new StringBuffer();
                            stringBuffer2.append(str5);
                            str3 = Lucene3xNormsProducer.SEPARATE_NORMS_EXTENSION;
                        } else if (strArr[i2].equals("-u")) {
                            stringBuffer2 = new StringBuffer();
                            stringBuffer2.append(str5);
                            str3 = "u";
                        } else if (strArr[i2].equals("-w")) {
                            stringBuffer2 = new StringBuffer();
                            stringBuffer2.append(str5);
                            str3 = "w";
                        } else if (strArr[i2].equals("-X")) {
                            stringBuffer2 = new StringBuffer();
                            stringBuffer2.append(str5);
                            str3 = "X";
                        } else {
                            printStream3 = System.err;
                            stringBuffer = new StringBuffer();
                            stringBuffer.append("Unknown option: ");
                            stringBuffer.append(strArr[i2]);
                            printStream3.println(stringBuffer.toString());
                        }
                        stringBuffer2.append(str3);
                        str5 = stringBuffer2.toString();
                    }
                }
                if (str4 == null) {
                    str4 = strArr[i2];
                } else if (str6 == null) {
                    str6 = strArr[i2];
                } else {
                    printStream3 = System.err;
                    stringBuffer = new StringBuffer();
                    stringBuffer.append("Unnecessary: ");
                    stringBuffer.append(strArr[i2]);
                    printStream3.println(stringBuffer.toString());
                }
            }
            RegularExpression regularExpression = new RegularExpression(str4, str5);
            PrintStream printStream4 = System.out;
            StringBuffer stringBuffer3 = new StringBuffer();
            stringBuffer3.append("RegularExpression: ");
            stringBuffer3.append(regularExpression);
            printStream4.println(stringBuffer3.toString());
            Match match = new Match();
            regularExpression.matches(str6, match);
            for (int i3 = 0; i3 < match.getNumberOfGroups(); i3++) {
                if (i3 == 0) {
                    printStream = System.out;
                    str = "Matched range for the whole pattern: ";
                } else {
                    printStream = System.out;
                    StringBuffer stringBuffer4 = new StringBuffer();
                    stringBuffer4.append("[");
                    stringBuffer4.append(i3);
                    stringBuffer4.append("]: ");
                    str = stringBuffer4.toString();
                }
                printStream.print(str);
                if (match.getBeginning(i3) < 0) {
                    printStream2 = System.out;
                    str2 = "-1";
                } else {
                    PrintStream printStream5 = System.out;
                    StringBuffer stringBuffer5 = new StringBuffer();
                    stringBuffer5.append(match.getBeginning(i3));
                    stringBuffer5.append(", ");
                    stringBuffer5.append(match.getEnd(i3));
                    stringBuffer5.append(", ");
                    printStream5.print(stringBuffer5.toString());
                    printStream2 = System.out;
                    StringBuffer stringBuffer6 = new StringBuffer();
                    stringBuffer6.append("\"");
                    stringBuffer6.append(match.getCapturedText(i3));
                    stringBuffer6.append("\"");
                    str2 = stringBuffer6.toString();
                }
                printStream2.println(str2);
            }
        } catch (ParseException e2) {
            if (0 == 0) {
                e2.printStackTrace();
                return;
            }
            PrintStream printStream6 = System.err;
            StringBuffer a = a.a("org.apache.xerces.utils.regex.ParseException: ");
            a.append(e2.getMessage());
            printStream6.println(a.toString());
            PrintStream printStream7 = System.err;
            StringBuffer stringBuffer7 = new StringBuffer();
            stringBuffer7.append("        ");
            stringBuffer7.append((String) null);
            printStream7.println(stringBuffer7.toString());
            int location = e2.getLocation();
            if (location >= 0) {
                System.err.print("        ");
                for (int i4 = 0; i4 < location; i4++) {
                    System.err.print(UnaryMinusPtg.MINUS);
                }
                System.err.println("^");
            }
        } catch (Exception e3) {
            e3.printStackTrace();
        }
    }

    public static boolean matches(String str, String str2) {
        return createRegex(str, null).matches(str2);
    }

    public static boolean matches(String str, String str2, String str3) {
        return createRegex(str, str2).matches(str3);
    }

    public static final int parseOptions(String str) {
        if (str == null) {
            return 0;
        }
        int i2 = 0;
        for (int i3 = 0; i3 < str.length(); i3++) {
            int optionValue = getOptionValue(str.charAt(i3));
            if (optionValue != 0) {
                i2 |= optionValue;
            } else {
                StringBuffer a = a.a("Unknown Option: ");
                a.append(str.substring(i3));
                throw new ParseException(a.toString(), -1);
            }
        }
        return i2;
    }

    public static String quoteMeta(String str) {
        int length = str.length();
        StringBuffer stringBuffer = null;
        for (int i2 = 0; i2 < length; i2++) {
            char charAt = str.charAt(i2);
            if (".*+?{[()|\\^$".indexOf(charAt) >= 0) {
                if (stringBuffer == null) {
                    stringBuffer = new StringBuffer(((length - i2) * 2) + i2);
                    if (i2 > 0) {
                        stringBuffer.append(str.substring(0, i2));
                    }
                }
                stringBuffer.append('\\');
            } else if (stringBuffer == null) {
            }
            stringBuffer.append((char) charAt);
        }
        return stringBuffer != null ? stringBuffer.toString() : str;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:52:0x00a0, code lost:
        if (r3 > 0) goto L_0x009b;
     */
    public static String stripExtendedComment(String str) {
        char charAt;
        int i2;
        char charAt2;
        int length = str.length();
        StringBuffer stringBuffer = new StringBuffer(length);
        int i3 = 0;
        int i4 = 0;
        while (i3 < length) {
            int i5 = i3 + 1;
            char charAt3 = str.charAt(i3);
            if (charAt3 != '\t' && charAt3 != '\n' && charAt3 != '\f' && charAt3 != '\r' && charAt3 != ' ') {
                if (charAt3 == '#') {
                    while (true) {
                        i3 = i5;
                        if (i3 < length) {
                            i5 = i3 + 1;
                            char charAt4 = str.charAt(i3);
                            if (charAt4 != '\r') {
                                if (charAt4 == '\n') {
                                    break;
                                }
                            } else {
                                break;
                            }
                        } else {
                            break;
                        }
                    }
                    i3 = i5;
                } else {
                    if (charAt3 == '\\' && i5 < length) {
                        charAt = str.charAt(i5);
                        if (!(charAt == '#' || charAt == '\t' || charAt == '\n' || charAt == '\f' || charAt == '\r' || charAt == ' ')) {
                            stringBuffer.append('\\');
                        }
                    } else if (charAt3 == '[') {
                        i4++;
                        stringBuffer.append((char) charAt3);
                        if (i5 < length) {
                            charAt = str.charAt(i5);
                            if (!(charAt == '[' || charAt == ']')) {
                                if (charAt == '^' && (i2 = i5 + 1) < length && ((charAt2 = str.charAt(i2)) == '[' || charAt2 == ']')) {
                                    stringBuffer.append('^');
                                    stringBuffer.append((char) charAt2);
                                    i3 = i5 + 2;
                                }
                            }
                        }
                        i3 = i5;
                    } else if (i4 > 0 && charAt3 == ']') {
                        i4--;
                    }
                    stringBuffer.append((char) charAt);
                    i3 = i5 + 1;
                }
            }
            stringBuffer.append((char) charAt3);
            i3 = i5;
        }
        return stringBuffer.toString();
    }

    public static final String substring(CharacterIterator characterIterator, int i2, int i3) {
        int i4 = i3 - i2;
        char[] cArr = new char[i4];
        for (int i5 = 0; i5 < i4; i5++) {
            cArr[i5] = characterIterator.setIndex(i5 + i2);
        }
        return new String(cArr);
    }
}
