package org.apache.xerces.impl.xpath.regex;

import b.b.a.a.a;
import java.io.PrintStream;
import java.io.Serializable;
import org.apache.poi.xssf.usermodel.XSSFDataValidationConstraint;
import org.apache.xmlbeans.impl.common.NameUtil;

public final class RangeToken extends Token implements Serializable {
    public static final int MAPSIZE = 256;
    public static final long serialVersionUID = -553983121197679934L;
    public boolean compacted;
    public RangeToken icaseCache = null;
    public int[] map = null;
    public int nonMapIndex;
    public int[] ranges;
    public boolean sorted;

    public RangeToken(int i2) {
        super(i2);
        setSorted(false);
    }

    public static Token complementRanges(Token token) {
        int i2 = token.type;
        if (i2 == 4 || i2 == 5) {
            RangeToken rangeToken = (RangeToken) token;
            rangeToken.sortRanges();
            rangeToken.compactRanges();
            int[] iArr = rangeToken.ranges;
            int length = iArr.length + 2;
            int i3 = 0;
            if (iArr[0] == 0) {
                length -= 2;
            }
            int[] iArr2 = rangeToken.ranges;
            int i4 = iArr2[iArr2.length - 1];
            if (i4 == 1114111) {
                length -= 2;
            }
            RangeToken createRange = Token.createRange();
            int[] iArr3 = new int[length];
            createRange.ranges = iArr3;
            int[] iArr4 = rangeToken.ranges;
            if (iArr4[0] > 0) {
                iArr3[0] = 0;
                iArr3[1] = iArr4[0] - 1;
                i3 = 2;
            }
            int i5 = 1;
            while (true) {
                int[] iArr5 = rangeToken.ranges;
                if (i5 >= iArr5.length - 2) {
                    break;
                }
                int[] iArr6 = createRange.ranges;
                int i6 = i3 + 1;
                iArr6[i3] = iArr5[i5] + 1;
                i3 = i6 + 1;
                iArr6[i6] = iArr5[i5 + 1] - 1;
                i5 += 2;
            }
            if (i4 != 1114111) {
                int[] iArr7 = createRange.ranges;
                iArr7[i3] = i4 + 1;
                iArr7[i3 + 1] = 1114111;
            }
            createRange.setCompacted();
            return createRange;
        }
        StringBuffer a = a.a("Token#complementRanges(): must be RANGE: ");
        a.append(token.type);
        throw new IllegalArgumentException(a.toString());
    }

    private void createMap() {
        int[] iArr = new int[8];
        int length = this.ranges.length;
        int i2 = 0;
        for (int i3 = 0; i3 < 8; i3++) {
            iArr[i3] = 0;
        }
        while (true) {
            int[] iArr2 = this.ranges;
            if (i2 >= iArr2.length) {
                break;
            }
            int i4 = iArr2[i2];
            int i5 = iArr2[i2 + 1];
            if (i4 >= 256) {
                break;
            }
            while (i4 <= i5 && i4 < 256) {
                int i6 = i4 / 32;
                iArr[i6] = iArr[i6] | (1 << (i4 & 31));
                i4++;
            }
            if (i5 >= 256) {
                break;
            }
            i2 += 2;
        }
        length = i2;
        this.map = iArr;
        this.nonMapIndex = length;
    }

    public static String escapeCharInCharClass(int i2) {
        StringBuffer stringBuffer;
        String str;
        String str2;
        int i3;
        if (i2 == 9) {
            return "\\t";
        }
        if (i2 == 10) {
            return "\\n";
        }
        if (i2 == 12) {
            return "\\f";
        }
        if (i2 == 13) {
            return "\\r";
        }
        if (i2 == 27) {
            return "\\e";
        }
        if (!(i2 == 44 || i2 == 45)) {
            switch (i2) {
                case 91:
                case 92:
                case 93:
                case 94:
                    break;
                default:
                    if (i2 >= 32) {
                        if (i2 < 65536) {
                            stringBuffer = new StringBuffer();
                            str = "";
                            stringBuffer.append(str);
                            stringBuffer.append((char) i2);
                            break;
                        } else {
                            str2 = a.a(i2, a.a("0"));
                            stringBuffer = a.a("\\v");
                            i3 = str2.length() - 6;
                        }
                    } else {
                        str2 = a.a(i2, a.a("0"));
                        stringBuffer = a.a("\\x");
                        i3 = str2.length() - 2;
                    }
                    stringBuffer.append(str2.substring(i3, str2.length()));
                    break;
            }
            return stringBuffer.toString();
        }
        stringBuffer = new StringBuffer();
        str = "\\";
        stringBuffer.append(str);
        stringBuffer.append((char) i2);
        return stringBuffer.toString();
    }

    private final boolean isCompacted() {
        return this.compacted;
    }

    private final boolean isSorted() {
        return this.sorted;
    }

    private final void setCompacted() {
        this.compacted = true;
    }

    private final void setSorted(boolean z) {
        this.sorted = z;
        if (!z) {
            this.compacted = false;
        }
    }

    @Override // org.apache.xerces.impl.xpath.regex.Token
    public void addRange(int i2, int i3) {
        this.icaseCache = null;
        if (i2 > i3) {
            i3 = i2;
            i2 = i3;
        }
        int[] iArr = this.ranges;
        if (iArr == null) {
            int[] iArr2 = new int[2];
            this.ranges = iArr2;
            iArr2[0] = i2;
            iArr2[1] = i3;
            setSorted(true);
            return;
        }
        int length = iArr.length;
        int i4 = length - 1;
        if (iArr[i4] + 1 == i2) {
            iArr[i4] = i3;
            return;
        }
        int[] iArr3 = new int[(length + 2)];
        System.arraycopy(iArr, 0, iArr3, 0, length);
        this.ranges = iArr3;
        if (iArr3[i4] >= i2) {
            setSorted(false);
        }
        int[] iArr4 = this.ranges;
        iArr4[length] = i2;
        iArr4[length + 1] = i3;
        if (!this.sorted) {
            sortRanges();
        }
    }

    @Override // org.apache.xerces.impl.xpath.regex.Token
    public void compactRanges() {
        int i2;
        int i3;
        int[] iArr = this.ranges;
        if (iArr != null && iArr.length > 2 && !isCompacted()) {
            int i4 = 0;
            int i5 = 0;
            while (true) {
                int[] iArr2 = this.ranges;
                if (i4 >= iArr2.length) {
                    if (i5 != iArr2.length) {
                        int[] iArr3 = new int[i5];
                        System.arraycopy(iArr2, 0, iArr3, 0, i5);
                        this.ranges = iArr3;
                    }
                    setCompacted();
                    return;
                }
                if (i5 != i4) {
                    int i6 = i4 + 1;
                    iArr2[i5] = iArr2[i4];
                    i2 = i6 + 1;
                    iArr2[i5 + 1] = iArr2[i6];
                } else {
                    i2 = i4 + 2;
                }
                int i7 = i5 + 1;
                int i8 = this.ranges[i7];
                i4 = i2;
                while (true) {
                    int[] iArr4 = this.ranges;
                    if (i4 < iArr4.length && (i3 = i8 + 1) >= iArr4[i4]) {
                        if (i3 == iArr4[i4]) {
                            iArr4[i7] = iArr4[i4 + 1];
                            i8 = iArr4[i7];
                        } else {
                            int i9 = i4 + 1;
                            if (i8 >= iArr4[i9]) {
                                continue;
                            } else if (i8 < iArr4[i9]) {
                                iArr4[i7] = iArr4[i9];
                                i8 = iArr4[i7];
                            } else {
                                StringBuffer a = a.a("Token#compactRanges(): Internel Error: [");
                                a.append(this.ranges[i5]);
                                a.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
                                a.append(this.ranges[i7]);
                                a.append("] [");
                                a.append(this.ranges[i4]);
                                a.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
                                a.append(this.ranges[i9]);
                                a.append("]");
                                throw new RuntimeException(a.toString());
                            }
                        }
                        i4 += 2;
                    }
                }
                i5 += 2;
            }
        }
    }

    public void dumpRanges() {
        String str;
        PrintStream printStream;
        System.err.print("RANGE: ");
        if (this.ranges == null) {
            printStream = System.err;
            str = " NULL";
        } else {
            for (int i2 = 0; i2 < this.ranges.length; i2 += 2) {
                PrintStream printStream2 = System.err;
                StringBuffer a = a.a("[");
                a.append(this.ranges[i2]);
                a.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
                a.append(this.ranges[i2 + 1]);
                a.append("] ");
                printStream2.print(a.toString());
            }
            printStream = System.err;
            str = "";
        }
        printStream.println(str);
    }

    public synchronized RangeToken getCaseInsensitiveToken() {
        if (this.icaseCache != null) {
            return this.icaseCache;
        }
        RangeToken createRange = this.type == 4 ? Token.createRange() : Token.createNRange();
        for (int i2 = 0; i2 < this.ranges.length; i2 += 2) {
            for (int i3 = this.ranges[i2]; i3 <= this.ranges[i2 + 1]; i3++) {
                if (i3 > 65535) {
                    createRange.addRange(i3, i3);
                } else {
                    char upperCase = Character.toUpperCase((char) i3);
                    createRange.addRange(upperCase, upperCase);
                }
            }
        }
        RangeToken createRange2 = this.type == 4 ? Token.createRange() : Token.createNRange();
        for (int i4 = 0; i4 < createRange.ranges.length; i4 += 2) {
            for (int i5 = createRange.ranges[i4]; i5 <= createRange.ranges[i4 + 1]; i5++) {
                if (i5 > 65535) {
                    createRange2.addRange(i5, i5);
                } else {
                    char lowerCase = Character.toLowerCase((char) i5);
                    createRange2.addRange(lowerCase, lowerCase);
                }
            }
        }
        createRange2.mergeRanges(createRange);
        createRange2.mergeRanges(this);
        createRange2.compactRanges();
        this.icaseCache = createRange2;
        return createRange2;
    }

    @Override // org.apache.xerces.impl.xpath.regex.Token
    public void intersectRanges(Token token) {
        RangeToken rangeToken = (RangeToken) token;
        if (rangeToken.ranges != null && this.ranges != null) {
            this.icaseCache = null;
            sortRanges();
            compactRanges();
            rangeToken.sortRanges();
            rangeToken.compactRanges();
            int[] iArr = new int[(this.ranges.length + rangeToken.ranges.length)];
            int i2 = 0;
            int i3 = 0;
            int i4 = 0;
            while (true) {
                int[] iArr2 = this.ranges;
                if (i2 >= iArr2.length) {
                    break;
                }
                int[] iArr3 = rangeToken.ranges;
                if (i3 >= iArr3.length) {
                    break;
                }
                int i5 = iArr2[i2];
                int i6 = i2 + 1;
                int i7 = iArr2[i6];
                int i8 = iArr3[i3];
                int i9 = i3 + 1;
                int i10 = iArr3[i9];
                if (i7 >= i8) {
                    if (i7 < i8 || i5 > i10) {
                        if (i10 >= i5) {
                            StringBuffer a = a.a("Token#intersectRanges(): Internal Error: [");
                            a.append(this.ranges[i2]);
                            a.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
                            a.append(this.ranges[i6]);
                            a.append("] & [");
                            a.append(rangeToken.ranges[i3]);
                            a.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
                            a.append(rangeToken.ranges[i9]);
                            a.append("]");
                            throw new RuntimeException(a.toString());
                        }
                    } else if (i8 <= i5 && i7 <= i10) {
                        int i11 = i4 + 1;
                        iArr[i4] = i5;
                        i4 = i11 + 1;
                        iArr[i11] = i7;
                    } else if (i8 <= i5) {
                        int i12 = i4 + 1;
                        iArr[i4] = i5;
                        i4 = i12 + 1;
                        iArr[i12] = i10;
                        this.ranges[i2] = i10 + 1;
                    } else if (i7 <= i10) {
                        int i13 = i4 + 1;
                        iArr[i4] = i8;
                        i4 = i13 + 1;
                        iArr[i13] = i7;
                    } else {
                        int i14 = i4 + 1;
                        iArr[i4] = i8;
                        i4 = i14 + 1;
                        iArr[i14] = i10;
                        this.ranges[i2] = i10 + 1;
                    }
                    i3 += 2;
                }
                i2 += 2;
            }
            while (true) {
                int[] iArr4 = this.ranges;
                if (i2 >= iArr4.length) {
                    int[] iArr5 = new int[i4];
                    this.ranges = iArr5;
                    System.arraycopy(iArr, 0, iArr5, 0, i4);
                    return;
                }
                int i15 = i4 + 1;
                int i16 = i2 + 1;
                iArr[i4] = iArr4[i2];
                i4 = i15 + 1;
                i2 = i16 + 1;
                iArr[i15] = iArr4[i16];
            }
        }
    }

    @Override // org.apache.xerces.impl.xpath.regex.Token
    public boolean match(int i2) {
        if (this.map == null) {
            createMap();
        }
        if (this.type == 4) {
            if (i2 < 256) {
                return ((1 << (i2 & 31)) & this.map[i2 / 32]) != 0;
            }
            int i3 = this.nonMapIndex;
            while (true) {
                int[] iArr = this.ranges;
                if (i3 >= iArr.length) {
                    return false;
                }
                if (iArr[i3] <= i2 && i2 <= iArr[i3 + 1]) {
                    return true;
                }
                i3 += 2;
            }
        } else if (i2 < 256) {
            return ((1 << (i2 & 31)) & this.map[i2 / 32]) == 0;
        } else {
            int i4 = this.nonMapIndex;
            while (true) {
                int[] iArr2 = this.ranges;
                if (i4 >= iArr2.length) {
                    return true;
                }
                if (iArr2[i4] <= i2 && i2 <= iArr2[i4 + 1]) {
                    return false;
                }
                i4 += 2;
            }
        }
    }

    @Override // org.apache.xerces.impl.xpath.regex.Token
    public void mergeRanges(Token token) {
        RangeToken rangeToken = (RangeToken) token;
        sortRanges();
        rangeToken.sortRanges();
        if (rangeToken.ranges != null) {
            this.icaseCache = null;
            setSorted(true);
            int[] iArr = this.ranges;
            int i2 = 0;
            if (iArr == null) {
                int[] iArr2 = new int[rangeToken.ranges.length];
                this.ranges = iArr2;
                int[] iArr3 = rangeToken.ranges;
                System.arraycopy(iArr3, 0, iArr2, 0, iArr3.length);
                return;
            }
            int[] iArr4 = new int[(iArr.length + rangeToken.ranges.length)];
            int i3 = 0;
            int i4 = 0;
            while (true) {
                if (i2 < this.ranges.length || i3 < rangeToken.ranges.length) {
                    int[] iArr5 = this.ranges;
                    if (i2 >= iArr5.length) {
                        int i5 = i4 + 1;
                        int[] iArr6 = rangeToken.ranges;
                        int i6 = i3 + 1;
                        iArr4[i4] = iArr6[i3];
                        i4 = i5 + 1;
                        i3 = i6 + 1;
                        iArr4[i5] = iArr6[i6];
                    } else {
                        int[] iArr7 = rangeToken.ranges;
                        if (i3 >= iArr7.length) {
                            int i7 = i4 + 1;
                            int i8 = i2 + 1;
                            iArr4[i4] = iArr5[i2];
                            i4 = i7 + 1;
                            i2 = i8 + 1;
                            iArr4[i7] = iArr5[i8];
                        } else if (iArr7[i3] < iArr5[i2] || (iArr7[i3] == iArr5[i2] && iArr7[i3 + 1] < iArr5[i2 + 1])) {
                            int i9 = i4 + 1;
                            int[] iArr8 = rangeToken.ranges;
                            int i10 = i3 + 1;
                            iArr4[i4] = iArr8[i3];
                            i4 = i9 + 1;
                            i3 = i10 + 1;
                            iArr4[i9] = iArr8[i10];
                        } else {
                            int i11 = i4 + 1;
                            int[] iArr9 = this.ranges;
                            int i12 = i2 + 1;
                            iArr4[i4] = iArr9[i2];
                            i4 = i11 + 1;
                            i2 = i12 + 1;
                            iArr4[i11] = iArr9[i12];
                        }
                    }
                } else {
                    this.ranges = iArr4;
                    return;
                }
            }
        }
    }

    @Override // org.apache.xerces.impl.xpath.regex.Token
    public void sortRanges() {
        int[] iArr;
        if (!isSorted() && (iArr = this.ranges) != null) {
            for (int length = iArr.length - 4; length >= 0; length -= 2) {
                int i2 = 0;
                while (i2 <= length) {
                    int[] iArr2 = this.ranges;
                    int i3 = i2 + 2;
                    if (iArr2[i2] > iArr2[i3] || (iArr2[i2] == iArr2[i3] && iArr2[i2 + 1] > iArr2[i2 + 3])) {
                        int[] iArr3 = this.ranges;
                        int i4 = iArr3[i3];
                        iArr3[i3] = iArr3[i2];
                        iArr3[i2] = i4;
                        int i5 = i2 + 3;
                        int i6 = iArr3[i5];
                        int i7 = i2 + 1;
                        iArr3[i5] = iArr3[i7];
                        iArr3[i7] = i6;
                    }
                    i2 = i3;
                }
            }
            setSorted(true);
        }
    }

    @Override // org.apache.xerces.impl.xpath.regex.Token
    public void subtractRanges(Token token) {
        if (token.type == 5) {
            intersectRanges(token);
            return;
        }
        RangeToken rangeToken = (RangeToken) token;
        if (rangeToken.ranges != null && this.ranges != null) {
            this.icaseCache = null;
            sortRanges();
            compactRanges();
            rangeToken.sortRanges();
            rangeToken.compactRanges();
            int[] iArr = new int[(this.ranges.length + rangeToken.ranges.length)];
            int i2 = 0;
            int i3 = 0;
            int i4 = 0;
            while (true) {
                int[] iArr2 = this.ranges;
                if (i2 >= iArr2.length) {
                    break;
                }
                int[] iArr3 = rangeToken.ranges;
                if (i3 >= iArr3.length) {
                    break;
                }
                int i5 = iArr2[i2];
                int i6 = i2 + 1;
                int i7 = iArr2[i6];
                int i8 = iArr3[i3];
                int i9 = i3 + 1;
                int i10 = iArr3[i9];
                if (i7 < i8) {
                    int i11 = i4 + 1;
                    iArr[i4] = iArr2[i2];
                    i4 = i11 + 1;
                    i2 = i6 + 1;
                    iArr[i11] = iArr2[i6];
                } else {
                    if (i7 >= i8 && i5 <= i10) {
                        if (i8 > i5 || i7 > i10) {
                            if (i8 <= i5) {
                                this.ranges[i2] = i10 + 1;
                            } else {
                                int i12 = i4 + 1;
                                if (i7 <= i10) {
                                    iArr[i4] = i5;
                                    i4 = i12 + 1;
                                    iArr[i12] = i8 - 1;
                                } else {
                                    iArr[i4] = i5;
                                    i4 = i12 + 1;
                                    iArr[i12] = i8 - 1;
                                    this.ranges[i2] = i10 + 1;
                                }
                            }
                        }
                        i2 += 2;
                    } else if (i10 >= i5) {
                        StringBuffer a = a.a("Token#subtractRanges(): Internal Error: [");
                        a.append(this.ranges[i2]);
                        a.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
                        a.append(this.ranges[i6]);
                        a.append("] - [");
                        a.append(rangeToken.ranges[i3]);
                        a.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
                        a.append(rangeToken.ranges[i9]);
                        a.append("]");
                        throw new RuntimeException(a.toString());
                    }
                    i3 += 2;
                }
            }
            while (true) {
                int[] iArr4 = this.ranges;
                if (i2 >= iArr4.length) {
                    int[] iArr5 = new int[i4];
                    this.ranges = iArr5;
                    System.arraycopy(iArr, 0, iArr5, 0, i4);
                    return;
                }
                int i13 = i4 + 1;
                int i14 = i2 + 1;
                iArr[i4] = iArr4[i2];
                i4 = i13 + 1;
                i2 = i14 + 1;
                iArr[i13] = iArr4[i14];
            }
        }
    }

    @Override // org.apache.xerces.impl.xpath.regex.Token
    public String toString(int i2) {
        StringBuffer stringBuffer;
        int i3;
        int i4;
        int i5 = 0;
        if (this.type == 4) {
            if (this == Token.token_dot) {
                return ".";
            }
            if (this == Token.token_0to9) {
                return "\\d";
            }
            if (this == Token.token_wordchars) {
                return "\\w";
            }
            if (this == Token.token_spaces) {
                return "\\s";
            }
            stringBuffer = new StringBuffer();
            stringBuffer.append('[');
            while (i5 < this.ranges.length) {
                if ((i2 & 1024) != 0 && i5 > 0) {
                    stringBuffer.append(',');
                }
                int[] iArr = this.ranges;
                int i6 = i5 + 1;
                if (iArr[i5] == iArr[i6]) {
                    i4 = iArr[i5];
                } else {
                    stringBuffer.append(escapeCharInCharClass(iArr[i5]));
                    stringBuffer.append(NameUtil.HYPHEN);
                    i4 = this.ranges[i6];
                }
                stringBuffer.append(escapeCharInCharClass(i4));
                i5 += 2;
            }
        } else if (this == Token.token_not_0to9) {
            return "\\D";
        } else {
            if (this == Token.token_not_wordchars) {
                return "\\W";
            }
            if (this == Token.token_not_spaces) {
                return "\\S";
            }
            stringBuffer = a.a("[^");
            while (i5 < this.ranges.length) {
                if ((i2 & 1024) != 0 && i5 > 0) {
                    stringBuffer.append(',');
                }
                int[] iArr2 = this.ranges;
                int i7 = i5 + 1;
                if (iArr2[i5] == iArr2[i7]) {
                    i3 = iArr2[i5];
                } else {
                    stringBuffer.append(escapeCharInCharClass(iArr2[i5]));
                    stringBuffer.append(NameUtil.HYPHEN);
                    i3 = this.ranges[i7];
                }
                stringBuffer.append(escapeCharInCharClass(i3));
                i5 += 2;
            }
        }
        stringBuffer.append(']');
        return stringBuffer.toString();
    }
}
