package org.apache.xerces.impl.xpath.regex;

import b.b.a.a.a;
import java.io.Serializable;
import java.util.Hashtable;
import java.util.Vector;
import org.apache.poi.ss.formula.ptg.StringPtg;
import org.apache.poi.xssf.usermodel.XSSFDataValidationConstraint;

public class Token implements Serializable {
    public static final int ANCHOR = 8;
    public static final int BACKREFERENCE = 12;
    public static final int CHAR = 0;
    public static final int CHAR_FINAL_QUOTE = 30;
    public static final int CHAR_INIT_QUOTE = 29;
    public static final int CHAR_LETTER = 31;
    public static final int CHAR_MARK = 32;
    public static final int CHAR_NUMBER = 33;
    public static final int CHAR_OTHER = 35;
    public static final int CHAR_PUNCTUATION = 36;
    public static final int CHAR_SEPARATOR = 34;
    public static final int CHAR_SYMBOL = 37;
    public static final int CLOSURE = 3;
    public static final int CONCAT = 1;
    public static final int CONDITION = 26;
    public static final boolean COUNTTOKENS = true;
    public static final int DOT = 11;
    public static final int EMPTY = 7;
    public static final int FC_ANY = 2;
    public static final int FC_CONTINUE = 0;
    public static final int FC_TERMINAL = 1;
    public static final int INDEPENDENT = 24;
    public static final int LOOKAHEAD = 20;
    public static final int LOOKBEHIND = 22;
    public static final int MODIFIERGROUP = 25;
    public static final int NEGATIVELOOKAHEAD = 21;
    public static final int NEGATIVELOOKBEHIND = 23;
    public static final int NONBMP_BLOCK_START = 84;
    public static final int NONGREEDYCLOSURE = 9;
    public static final int NRANGE = 5;
    public static final int PAREN = 6;
    public static final int RANGE = 4;
    public static final int STRING = 10;
    public static final int UNION = 2;
    public static final int UTF16_MAX = 1114111;
    public static final String[] blockNames = {"Basic Latin", "Latin-1 Supplement", "Latin Extended-A", "Latin Extended-B", "IPA Extensions", "Spacing Modifier Letters", "Combining Diacritical Marks", "Greek", "Cyrillic", "Armenian", "Hebrew", "Arabic", "Syriac", "Thaana", "Devanagari", "Bengali", "Gurmukhi", "Gujarati", "Oriya", "Tamil", "Telugu", "Kannada", "Malayalam", "Sinhala", "Thai", "Lao", "Tibetan", "Myanmar", "Georgian", "Hangul Jamo", "Ethiopic", "Cherokee", "Unified Canadian Aboriginal Syllabics", "Ogham", "Runic", "Khmer", "Mongolian", "Latin Extended Additional", "Greek Extended", "General Punctuation", "Superscripts and Subscripts", "Currency Symbols", "Combining Marks for Symbols", "Letterlike Symbols", "Number Forms", "Arrows", "Mathematical Operators", "Miscellaneous Technical", "Control Pictures", "Optical Character Recognition", "Enclosed Alphanumerics", "Box Drawing", "Block Elements", "Geometric Shapes", "Miscellaneous Symbols", "Dingbats", "Braille Patterns", "CJK Radicals Supplement", "Kangxi Radicals", "Ideographic Description Characters", "CJK Symbols and Punctuation", "Hiragana", "Katakana", "Bopomofo", "Hangul Compatibility Jamo", "Kanbun", "Bopomofo Extended", "Enclosed CJK Letters and Months", "CJK Compatibility", "CJK Unified Ideographs Extension A", "CJK Unified Ideographs", "Yi Syllables", "Yi Radicals", "Hangul Syllables", "Private Use", "CJK Compatibility Ideographs", "Alphabetic Presentation Forms", "Arabic Presentation Forms-A", "Combining Half Marks", "CJK Compatibility Forms", "Small Form Variants", "Arabic Presentation Forms-B", "Specials", "Halfwidth and Fullwidth Forms", "Old Italic", "Gothic", "Deseret", "Byzantine Musical Symbols", "Musical Symbols", "Mathematical Alphanumeric Symbols", "CJK Unified Ideographs Extension B", "CJK Compatibility Ideographs Supplement", "Tags"};
    public static final String blockRanges = "\u0000ÿĀſƀɏɐʯʰ˿̀ͯͰϿЀӿ԰֏֐׿؀ۿ܀ݏހ޿ऀॿঀ৿਀੿઀૿଀୿஀௿ఀ౿ಀ೿ഀൿ඀෿฀๿຀໿ༀ࿿က႟Ⴀჿᄀᇿሀ፿Ꭰ᏿᐀ᙿ ᚟ᚠ᛿ក៿᠀᢯Ḁỿἀ῿ ⁯⁰₟₠⃏⃐⃿℀⅏⅐↏←⇿∀⋿⌀⏿␀␿⑀⑟①⓿─╿▀▟■◿☀⛿✀➿⠀⣿⺀⻿⼀⿟⿰⿿　〿぀ゟ゠ヿ㄀ㄯ㄰㆏㆐㆟ㆠㆿ㈀㋿㌀㏿㐀䶵一鿿ꀀ꒏꒐꓏가힣豈﫿ﬀﭏﭐ﷿︠︯︰﹏﹐﹯ﹰ﻾﻿﻿＀￯";
    public static final Hashtable categories = new Hashtable();
    public static final Hashtable categories2 = new Hashtable();
    public static final String[] categoryNames = {"Cn", "Lu", "Ll", "Lt", "Lm", "Lo", "Mn", "Me", "Mc", "Nd", "Nl", "No", "Zs", "Zl", "Zp", "Cc", "Cf", null, "Co", "Cs", "Pd", "Ps", "Pe", "Pc", "Po", "Sm", "Sc", "Sk", "So", "Pi", "Pf", "L", "M", "N", "Z", "C", "P", "S"};
    public static final int[] nonBMPBlockRanges = {66304, 66351, 66352, 66383, 66560, 66639, 118784, 119039, 119040, 119295, 119808, 120831, 131072, 173782, 194560, 195103, 917504, 917631};
    public static Hashtable nonxs = null;
    public static final long serialVersionUID = 8484976002585487481L;
    public static Token token_0to9 = null;
    public static Token token_ccs = null;
    public static Token token_dot = new Token(11);
    public static Token token_empty = new Token(7);
    public static Token token_grapheme = null;
    public static Token token_linebeginning = createAnchor(94);
    public static Token token_linebeginning2 = createAnchor(64);
    public static Token token_lineend = createAnchor(36);
    public static Token token_not_0to9 = complementRanges(token_0to9);
    public static Token token_not_spaces = complementRanges(token_spaces);
    public static Token token_not_wordchars = complementRanges(token_wordchars);
    public static Token token_not_wordedge = createAnchor(66);
    public static Token token_spaces = null;
    public static Token token_stringbeginning = createAnchor(65);
    public static Token token_stringend = createAnchor(122);
    public static Token token_stringend2 = createAnchor(90);
    public static Token token_wordbeginning = createAnchor(60);
    public static Token token_wordchars = null;
    public static Token token_wordedge = createAnchor(98);
    public static Token token_wordend = createAnchor(62);
    public static int tokens = 0;
    public static final String viramaString = "्্੍્୍்్್്ฺ྄";
    public final int type;

    public static class CharToken extends Token implements Serializable {
        public static final long serialVersionUID = -4394272816279496989L;
        public final int chardata;

        public CharToken(int i2, int i3) {
            super(i2);
            this.chardata = i3;
        }

        @Override // org.apache.xerces.impl.xpath.regex.Token
        public int getChar() {
            return this.chardata;
        }

        @Override // org.apache.xerces.impl.xpath.regex.Token
        public boolean match(int i2) {
            if (this.type == 0) {
                return i2 == this.chardata;
            }
            StringBuffer a = a.a("NFAArrow#match(): Internal error: ");
            a.append(this.type);
            throw new RuntimeException(a.toString());
        }

        @Override // org.apache.xerces.impl.xpath.regex.Token
        public String toString(int i2) {
            StringBuffer stringBuffer;
            int i3 = this.type;
            if (i3 == 0) {
                int i4 = this.chardata;
                if (i4 == 9) {
                    return "\\t";
                }
                if (i4 == 10) {
                    return "\\n";
                }
                if (i4 == 12) {
                    return "\\f";
                }
                if (i4 == 13) {
                    return "\\r";
                }
                if (i4 == 27) {
                    return "\\e";
                }
                if (!(i4 == 46 || i4 == 63 || i4 == 91 || i4 == 92 || i4 == 123 || i4 == 124)) {
                    switch (i4) {
                        case 40:
                        case 41:
                        case 42:
                        case 43:
                            break;
                        default:
                            if (i4 < 65536) {
                                stringBuffer = new StringBuffer();
                                break;
                            } else {
                                String a = a.a(this.chardata, a.a("0"));
                                StringBuffer a2 = a.a("\\v");
                                a2.append(a.substring(a.length() - 6, a.length()));
                                return a2.toString();
                            }
                    }
                }
                stringBuffer = new StringBuffer();
                stringBuffer.append("\\");
                stringBuffer.append((char) this.chardata);
                return stringBuffer.toString();
            } else if (i3 != 8) {
                return null;
            } else {
                if (this == Token.token_linebeginning || this == Token.token_lineend) {
                    stringBuffer = new StringBuffer();
                } else {
                    stringBuffer = new StringBuffer();
                    stringBuffer.append("\\");
                    stringBuffer.append((char) this.chardata);
                    return stringBuffer.toString();
                }
            }
            stringBuffer.append("");
            stringBuffer.append((char) this.chardata);
            return stringBuffer.toString();
        }
    }

    public static class ClosureToken extends Token implements Serializable {
        public static final long serialVersionUID = 1308971930673997452L;
        public final Token child;
        public int max;
        public int min;

        public ClosureToken(int i2, Token token) {
            super(i2);
            this.child = token;
            setMin(-1);
            setMax(-1);
        }

        @Override // org.apache.xerces.impl.xpath.regex.Token
        public Token getChild(int i2) {
            return this.child;
        }

        @Override // org.apache.xerces.impl.xpath.regex.Token
        public final int getMax() {
            return this.max;
        }

        @Override // org.apache.xerces.impl.xpath.regex.Token
        public final int getMin() {
            return this.min;
        }

        @Override // org.apache.xerces.impl.xpath.regex.Token
        public final void setMax(int i2) {
            this.max = i2;
        }

        @Override // org.apache.xerces.impl.xpath.regex.Token
        public final void setMin(int i2) {
            this.min = i2;
        }

        @Override // org.apache.xerces.impl.xpath.regex.Token
        public int size() {
            return 1;
        }

        @Override // org.apache.xerces.impl.xpath.regex.Token
        public String toString(int i2) {
            StringBuffer stringBuffer;
            String str;
            int i3;
            String str2;
            if (this.type == 3) {
                if (getMin() >= 0 || getMax() >= 0) {
                    str2 = "}";
                    if (getMin() == getMax()) {
                        stringBuffer = new StringBuffer();
                    } else if (getMin() >= 0 && getMax() >= 0) {
                        stringBuffer = new StringBuffer();
                        stringBuffer.append(this.child.toString(i2));
                        stringBuffer.append("{");
                        stringBuffer.append(getMin());
                        stringBuffer.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
                        i3 = getMax();
                        stringBuffer.append(i3);
                        stringBuffer.append(str2);
                        return stringBuffer.toString();
                    } else if (getMin() < 0 || getMax() >= 0) {
                        StringBuffer a = a.a("Token#toString(): CLOSURE ");
                        a.append(getMin());
                        a.append(", ");
                        a.append(getMax());
                        throw new RuntimeException(a.toString());
                    } else {
                        stringBuffer = new StringBuffer();
                        stringBuffer.append(this.child.toString(i2));
                        stringBuffer.append("{");
                        stringBuffer.append(getMin());
                        str = ",}";
                        stringBuffer.append(str);
                        return stringBuffer.toString();
                    }
                } else {
                    stringBuffer = new StringBuffer();
                    stringBuffer.append(this.child.toString(i2));
                    str = "*";
                    stringBuffer.append(str);
                    return stringBuffer.toString();
                }
            } else if (getMin() >= 0 || getMax() >= 0) {
                str2 = "}?";
                if (getMin() == getMax()) {
                    stringBuffer = new StringBuffer();
                } else if (getMin() >= 0 && getMax() >= 0) {
                    stringBuffer = new StringBuffer();
                    stringBuffer.append(this.child.toString(i2));
                    stringBuffer.append("{");
                    stringBuffer.append(getMin());
                    stringBuffer.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
                    i3 = getMax();
                    stringBuffer.append(i3);
                    stringBuffer.append(str2);
                    return stringBuffer.toString();
                } else if (getMin() < 0 || getMax() >= 0) {
                    StringBuffer a2 = a.a("Token#toString(): NONGREEDYCLOSURE ");
                    a2.append(getMin());
                    a2.append(", ");
                    a2.append(getMax());
                    throw new RuntimeException(a2.toString());
                } else {
                    stringBuffer = new StringBuffer();
                    stringBuffer.append(this.child.toString(i2));
                    stringBuffer.append("{");
                    stringBuffer.append(getMin());
                    str = ",}?";
                    stringBuffer.append(str);
                    return stringBuffer.toString();
                }
            } else {
                stringBuffer = new StringBuffer();
                stringBuffer.append(this.child.toString(i2));
                str = "*?";
                stringBuffer.append(str);
                return stringBuffer.toString();
            }
            stringBuffer.append(this.child.toString(i2));
            stringBuffer.append("{");
            i3 = getMin();
            stringBuffer.append(i3);
            stringBuffer.append(str2);
            return stringBuffer.toString();
        }
    }

    public static class ConcatToken extends Token implements Serializable {
        public static final long serialVersionUID = 8717321425541346381L;
        public final Token child;
        public final Token child2;

        public ConcatToken(Token token, Token token2) {
            super(1);
            this.child = token;
            this.child2 = token2;
        }

        @Override // org.apache.xerces.impl.xpath.regex.Token
        public Token getChild(int i2) {
            return i2 == 0 ? this.child : this.child2;
        }

        @Override // org.apache.xerces.impl.xpath.regex.Token
        public int size() {
            return 2;
        }

        @Override // org.apache.xerces.impl.xpath.regex.Token
        public String toString(int i2) {
            String str;
            StringBuffer stringBuffer;
            Token token = this.child2;
            if (token.type == 3 && token.getChild(0) == this.child) {
                stringBuffer = new StringBuffer();
                stringBuffer.append(this.child.toString(i2));
                str = "+";
            } else {
                Token token2 = this.child2;
                if (token2.type == 9 && token2.getChild(0) == this.child) {
                    stringBuffer = new StringBuffer();
                    stringBuffer.append(this.child.toString(i2));
                    str = "+?";
                } else {
                    stringBuffer = new StringBuffer();
                    stringBuffer.append(this.child.toString(i2));
                    str = this.child2.toString(i2);
                }
            }
            stringBuffer.append(str);
            return stringBuffer.toString();
        }
    }

    public static class ConditionToken extends Token implements Serializable {
        public static final long serialVersionUID = 4353765277910594411L;
        public final Token condition;
        public final Token no;
        public final int refNumber;
        public final Token yes;

        public ConditionToken(int i2, Token token, Token token2, Token token3) {
            super(26);
            this.refNumber = i2;
            this.condition = token;
            this.yes = token2;
            this.no = token3;
        }

        @Override // org.apache.xerces.impl.xpath.regex.Token
        public Token getChild(int i2) {
            if (i2 == 0) {
                return this.yes;
            }
            if (i2 == 1) {
                return this.no;
            }
            throw new RuntimeException(a.b("Internal Error: ", i2));
        }

        @Override // org.apache.xerces.impl.xpath.regex.Token
        public int size() {
            return this.no == null ? 1 : 2;
        }

        /* JADX WARNING: Removed duplicated region for block: B:10:0x003e  */
        /* JADX WARNING: Removed duplicated region for block: B:11:0x0041  */
        @Override // org.apache.xerces.impl.xpath.regex.Token
        public String toString(int i2) {
            StringBuffer stringBuffer;
            Token token;
            Token token2;
            if (this.refNumber > 0) {
                stringBuffer = a.a("(?(");
                stringBuffer.append(this.refNumber);
            } else if (this.condition.type == 8) {
                stringBuffer = a.a("(?(");
                stringBuffer.append(this.condition);
            } else {
                stringBuffer = a.a("(?");
                stringBuffer.append(this.condition);
                String stringBuffer2 = stringBuffer.toString();
                token = this.no;
                StringBuffer a = a.a(stringBuffer2);
                if (token != null) {
                    token2 = this.yes;
                } else {
                    a.append(this.yes);
                    a.append("|");
                    token2 = this.no;
                }
                a.append(token2);
                a.append(")");
                return a.toString();
            }
            stringBuffer.append(")");
            String stringBuffer22 = stringBuffer.toString();
            token = this.no;
            StringBuffer a2 = a.a(stringBuffer22);
            if (token != null) {
            }
            a2.append(token2);
            a2.append(")");
            return a2.toString();
        }
    }

    public static class FixedStringContainer {
        public int options = 0;
        public Token token = null;
    }

    public static class ModifierToken extends Token implements Serializable {
        public static final long serialVersionUID = -9114536559696480356L;
        public final int add;
        public final Token child;
        public final int mask;

        public ModifierToken(Token token, int i2, int i3) {
            super(25);
            this.child = token;
            this.add = i2;
            this.mask = i3;
        }

        @Override // org.apache.xerces.impl.xpath.regex.Token
        public Token getChild(int i2) {
            return this.child;
        }

        public int getOptions() {
            return this.add;
        }

        public int getOptionsMask() {
            return this.mask;
        }

        @Override // org.apache.xerces.impl.xpath.regex.Token
        public int size() {
            return 1;
        }

        @Override // org.apache.xerces.impl.xpath.regex.Token
        public String toString(int i2) {
            StringBuffer a = a.a("(?");
            int i3 = this.add;
            String str = "";
            a.append(i3 == 0 ? str : REUtil.createOptionString(i3));
            int i4 = this.mask;
            if (i4 != 0) {
                str = REUtil.createOptionString(i4);
            }
            a.append(str);
            a.append(":");
            a.append(this.child.toString(i2));
            a.append(")");
            return a.toString();
        }
    }

    public static class ParenToken extends Token implements Serializable {
        public static final long serialVersionUID = -5938014719827987704L;
        public final Token child;
        public final int parennumber;

        public ParenToken(int i2, Token token, int i3) {
            super(i2);
            this.child = token;
            this.parennumber = i3;
        }

        @Override // org.apache.xerces.impl.xpath.regex.Token
        public Token getChild(int i2) {
            return this.child;
        }

        @Override // org.apache.xerces.impl.xpath.regex.Token
        public int getParenNumber() {
            return this.parennumber;
        }

        @Override // org.apache.xerces.impl.xpath.regex.Token
        public int size() {
            return 1;
        }

        @Override // org.apache.xerces.impl.xpath.regex.Token
        public String toString(int i2) {
            String str;
            StringBuffer stringBuffer;
            int i3 = this.type;
            if (i3 != 6) {
                switch (i3) {
                    case 20:
                        stringBuffer = new StringBuffer();
                        str = "(?=";
                        break;
                    case 21:
                        stringBuffer = new StringBuffer();
                        str = "(?!";
                        break;
                    case 22:
                        stringBuffer = new StringBuffer();
                        str = "(?<=";
                        break;
                    case 23:
                        stringBuffer = new StringBuffer();
                        str = "(?<!";
                        break;
                    case 24:
                        stringBuffer = new StringBuffer();
                        str = "(?>";
                        break;
                    default:
                        return null;
                }
            } else if (this.parennumber == 0) {
                stringBuffer = new StringBuffer();
                str = "(?:";
            } else {
                stringBuffer = new StringBuffer();
                str = "(";
            }
            stringBuffer.append(str);
            stringBuffer.append(this.child.toString(i2));
            stringBuffer.append(")");
            return stringBuffer.toString();
        }
    }

    public static class StringToken extends Token implements Serializable {
        public static final long serialVersionUID = -4614366944218504172L;
        public final int refNumber;
        public String string;

        public StringToken(int i2, String str, int i3) {
            super(i2);
            this.string = str;
            this.refNumber = i3;
        }

        @Override // org.apache.xerces.impl.xpath.regex.Token
        public int getReferenceNumber() {
            return this.refNumber;
        }

        @Override // org.apache.xerces.impl.xpath.regex.Token
        public String getString() {
            return this.string;
        }

        @Override // org.apache.xerces.impl.xpath.regex.Token
        public String toString(int i2) {
            if (this.type != 12) {
                return REUtil.quoteMeta(this.string);
            }
            StringBuffer a = a.a("\\");
            a.append(this.refNumber);
            return a.toString();
        }
    }

    public static class UnionToken extends Token implements Serializable {
        public static final long serialVersionUID = -2568843945989489861L;
        public Vector children;

        public UnionToken(int i2) {
            super(i2);
        }

        @Override // org.apache.xerces.impl.xpath.regex.Token
        public void addChild(Token token) {
            int i2;
            StringBuffer stringBuffer;
            String str;
            if (token != null) {
                if (this.children == null) {
                    this.children = new Vector();
                }
                if (this.type == 2) {
                    this.children.addElement(token);
                } else if (token.type == 1) {
                    for (int i3 = 0; i3 < token.size(); i3++) {
                        addChild(token.getChild(i3));
                    }
                } else {
                    int size = this.children.size();
                    if (size == 0) {
                        this.children.addElement(token);
                        return;
                    }
                    int i4 = size - 1;
                    Token token2 = (Token) this.children.elementAt(i4);
                    int i5 = token2.type;
                    if ((i5 == 0 || i5 == 10) && ((i2 = token.type) == 0 || i2 == 10)) {
                        int length = token.type == 0 ? 2 : token.getString().length();
                        if (token2.type == 0) {
                            stringBuffer = new StringBuffer(length + 2);
                            int i6 = token2.getChar();
                            if (i6 >= 65536) {
                                stringBuffer.append(REUtil.decomposeToSurrogates(i6));
                            } else {
                                stringBuffer.append((char) i6);
                            }
                            token2 = Token.createString(null);
                            this.children.setElementAt(token2, i4);
                        } else {
                            stringBuffer = new StringBuffer(token2.getString().length() + length);
                            stringBuffer.append(token2.getString());
                        }
                        if (token.type == 0) {
                            int i7 = token.getChar();
                            if (i7 >= 65536) {
                                str = REUtil.decomposeToSurrogates(i7);
                            } else {
                                stringBuffer.append((char) i7);
                                ((StringToken) token2).string = new String(stringBuffer);
                                return;
                            }
                        } else {
                            str = token.getString();
                        }
                        stringBuffer.append(str);
                        ((StringToken) token2).string = new String(stringBuffer);
                        return;
                    }
                    this.children.addElement(token);
                }
            }
        }

        @Override // org.apache.xerces.impl.xpath.regex.Token
        public Token getChild(int i2) {
            return (Token) this.children.elementAt(i2);
        }

        @Override // org.apache.xerces.impl.xpath.regex.Token
        public int size() {
            Vector vector = this.children;
            if (vector == null) {
                return 0;
            }
            return vector.size();
        }

        @Override // org.apache.xerces.impl.xpath.regex.Token
        public String toString(int i2) {
            StringBuffer stringBuffer;
            String str;
            StringBuffer stringBuffer2;
            String str2;
            if (this.type != 1) {
                if (this.children.size() == 2 && getChild(1).type == 7) {
                    stringBuffer = new StringBuffer();
                    stringBuffer.append(getChild(0).toString(i2));
                    str = "?";
                } else if (this.children.size() == 2 && getChild(0).type == 7) {
                    stringBuffer = new StringBuffer();
                    stringBuffer.append(getChild(1).toString(i2));
                    str = "??";
                } else {
                    StringBuffer stringBuffer3 = new StringBuffer();
                    stringBuffer3.append(((Token) this.children.elementAt(0)).toString(i2));
                    for (int i3 = 1; i3 < this.children.size(); i3++) {
                        stringBuffer3.append('|');
                        stringBuffer3.append(((Token) this.children.elementAt(i3)).toString(i2));
                    }
                    return new String(stringBuffer3);
                }
                stringBuffer.append(str);
                return stringBuffer.toString();
            } else if (this.children.size() == 2) {
                Token child = getChild(0);
                Token child2 = getChild(1);
                if (child2.type == 3 && child2.getChild(0) == child) {
                    stringBuffer2 = new StringBuffer();
                    stringBuffer2.append(child.toString(i2));
                    str2 = "+";
                } else if (child2.type == 9 && child2.getChild(0) == child) {
                    stringBuffer2 = new StringBuffer();
                    stringBuffer2.append(child.toString(i2));
                    str2 = "+?";
                } else {
                    StringBuffer stringBuffer4 = new StringBuffer();
                    stringBuffer4.append(child.toString(i2));
                    stringBuffer4.append(child2.toString(i2));
                    return stringBuffer4.toString();
                }
                stringBuffer2.append(str2);
                return stringBuffer2.toString();
            } else {
                StringBuffer stringBuffer5 = new StringBuffer();
                for (int i4 = 0; i4 < this.children.size(); i4++) {
                    stringBuffer5.append(((Token) this.children.elementAt(i4)).toString(i2));
                }
                return new String(stringBuffer5);
            }
        }
    }

    static {
        RangeToken createRange = createRange();
        token_0to9 = createRange;
        createRange.addRange(48, 57);
        RangeToken createRange2 = createRange();
        token_wordchars = createRange2;
        createRange2.addRange(48, 57);
        token_wordchars.addRange(65, 90);
        token_wordchars.addRange(95, 95);
        token_wordchars.addRange(97, 122);
        RangeToken createRange3 = createRange();
        token_spaces = createRange3;
        createRange3.addRange(9, 9);
        token_spaces.addRange(10, 10);
        token_spaces.addRange(12, 12);
        token_spaces.addRange(13, 13);
        token_spaces.addRange(32, 32);
    }

    public Token(int i2) {
        this.type = i2;
    }

    public static Token complementRanges(Token token) {
        return RangeToken.complementRanges(token);
    }

    public static CharToken createAnchor(int i2) {
        tokens++;
        return new CharToken(8, i2);
    }

    public static StringToken createBackReference(int i2) {
        tokens++;
        return new StringToken(12, null, i2);
    }

    public static CharToken createChar(int i2) {
        tokens++;
        return new CharToken(0, i2);
    }

    public static ClosureToken createClosure(Token token) {
        tokens++;
        return new ClosureToken(3, token);
    }

    public static ConcatToken createConcat(Token token, Token token2) {
        tokens++;
        return new ConcatToken(token, token2);
    }

    public static UnionToken createConcat() {
        tokens++;
        return new UnionToken(1);
    }

    public static ConditionToken createCondition(int i2, Token token, Token token2, Token token3) {
        tokens++;
        return new ConditionToken(i2, token, token2, token3);
    }

    public static Token createEmpty() {
        return token_empty;
    }

    public static ParenToken createLook(int i2, Token token) {
        tokens++;
        return new ParenToken(i2, token, 0);
    }

    public static ModifierToken createModifierGroup(Token token, int i2, int i3) {
        tokens++;
        return new ModifierToken(token, i2, i3);
    }

    public static ClosureToken createNGClosure(Token token) {
        tokens++;
        return new ClosureToken(9, token);
    }

    public static RangeToken createNRange() {
        tokens++;
        return new RangeToken(5);
    }

    public static ParenToken createParen(Token token, int i2) {
        tokens++;
        return new ParenToken(6, token, i2);
    }

    public static RangeToken createRange() {
        tokens++;
        return new RangeToken(4);
    }

    public static StringToken createString(String str) {
        tokens++;
        return new StringToken(10, str, 0);
    }

    public static UnionToken createUnion() {
        tokens++;
        return new UnionToken(2);
    }

    public static synchronized Token getCombiningCharacterSequence() {
        synchronized (Token.class) {
            if (token_ccs != null) {
                return token_ccs;
            }
            ConcatToken createConcat = createConcat(getRange("M", false), createClosure(getRange("M", true)));
            token_ccs = createConcat;
            return createConcat;
        }
    }

    public static synchronized Token getGraphemePattern() {
        synchronized (Token.class) {
            if (token_grapheme != null) {
                return token_grapheme;
            }
            RangeToken createRange = createRange();
            createRange.mergeRanges(getRange("ASSIGNED", true));
            createRange.subtractRanges(getRange("M", true));
            createRange.subtractRanges(getRange("C", true));
            RangeToken createRange2 = createRange();
            for (int i2 = 0; i2 < 11; i2++) {
                createRange2.addRange(i2, i2);
            }
            RangeToken createRange3 = createRange();
            createRange3.mergeRanges(getRange("M", true));
            createRange3.addRange(4448, 4607);
            createRange3.addRange(65438, 65439);
            UnionToken createUnion = createUnion();
            createUnion.addChild(createRange);
            createUnion.addChild(token_empty);
            UnionToken createUnion2 = createUnion();
            createUnion2.addChild(createConcat(createRange2, getRange("L", true)));
            createUnion2.addChild(createRange3);
            ConcatToken createConcat = createConcat(createUnion, createClosure(createUnion2));
            token_grapheme = createConcat;
            return createConcat;
        }
    }

    public static RangeToken getRange(String str, boolean z) {
        if (categories.size() == 0) {
            synchronized (categories) {
                int length = categoryNames.length;
                Token[] tokenArr = new Token[length];
                for (int i2 = 0; i2 < length; i2++) {
                    tokenArr[i2] = createRange();
                }
                int i3 = 0;
                while (true) {
                    char c = StringPtg.FORMULA_DELIMITER;
                    if (i3 >= 65536) {
                        tokenArr[0].addRange(65536, 1114111);
                        for (int i4 = 0; i4 < length; i4++) {
                            if (categoryNames[i4] != null) {
                                if (i4 == 0) {
                                    tokenArr[i4].addRange(65536, 1114111);
                                }
                                categories.put(categoryNames[i4], tokenArr[i4]);
                                categories2.put(categoryNames[i4], complementRanges(tokenArr[i4]));
                            }
                        }
                        StringBuffer stringBuffer = new StringBuffer(50);
                        for (int i5 = 0; i5 < blockNames.length; i5++) {
                            RangeToken createRange = createRange();
                            if (i5 < 84) {
                                int i6 = i5 * 2;
                                createRange.addRange("\u0000ÿĀſƀɏɐʯʰ˿̀ͯͰϿЀӿ԰֏֐׿؀ۿ܀ݏހ޿ऀॿঀ৿਀੿઀૿଀୿஀௿ఀ౿ಀ೿ഀൿ඀෿฀๿຀໿ༀ࿿က႟Ⴀჿᄀᇿሀ፿Ꭰ᏿᐀ᙿ ᚟ᚠ᛿ក៿᠀᢯Ḁỿἀ῿ ⁯⁰₟₠⃏⃐⃿℀⅏⅐↏←⇿∀⋿⌀⏿␀␿⑀⑟①⓿─╿▀▟■◿☀⛿✀➿⠀⣿⺀⻿⼀⿟⿰⿿　〿぀ゟ゠ヿ㄀ㄯ㄰㆏㆐㆟ㆠㆿ㈀㋿㌀㏿㐀䶵一鿿ꀀ꒏꒐꓏가힣豈﫿ﬀﭏﭐ﷿︠︯︰﹏﹐﹯ﹰ﻾﻿﻿＀￯".charAt(i6), "\u0000ÿĀſƀɏɐʯʰ˿̀ͯͰϿЀӿ԰֏֐׿؀ۿ܀ݏހ޿ऀॿঀ৿਀੿઀૿଀୿஀௿ఀ౿ಀ೿ഀൿ඀෿฀๿຀໿ༀ࿿က႟Ⴀჿᄀᇿሀ፿Ꭰ᏿᐀ᙿ ᚟ᚠ᛿ក៿᠀᢯Ḁỿἀ῿ ⁯⁰₟₠⃏⃐⃿℀⅏⅐↏←⇿∀⋿⌀⏿␀␿⑀⑟①⓿─╿▀▟■◿☀⛿✀➿⠀⣿⺀⻿⼀⿟⿰⿿　〿぀ゟ゠ヿ㄀ㄯ㄰㆏㆐㆟ㆠㆿ㈀㋿㌀㏿㐀䶵一鿿ꀀ꒏꒐꓏가힣豈﫿ﬀﭏﭐ﷿︠︯︰﹏﹐﹯ﹰ﻾﻿﻿＀￯".charAt(i6 + 1));
                            } else {
                                int i7 = (i5 - 84) * 2;
                                createRange.addRange(nonBMPBlockRanges[i7], nonBMPBlockRanges[i7 + 1]);
                            }
                            String str2 = blockNames[i5];
                            if (str2.equals("Specials")) {
                                createRange.addRange(65520, 65533);
                            }
                            if (str2.equals("Private Use")) {
                                createRange.addRange(983040, 1048573);
                                createRange.addRange(1048576, 1114109);
                            }
                            categories.put(str2, createRange);
                            categories2.put(str2, complementRanges(createRange));
                            stringBuffer.setLength(0);
                            stringBuffer.append("Is");
                            if (str2.indexOf(32) >= 0) {
                                for (int i8 = 0; i8 < str2.length(); i8++) {
                                    if (str2.charAt(i8) != ' ') {
                                        stringBuffer.append(str2.charAt(i8));
                                    }
                                }
                            } else {
                                stringBuffer.append(str2);
                            }
                            setAlias(stringBuffer.toString(), str2, true);
                        }
                        setAlias("ASSIGNED", "Cn", false);
                        setAlias("UNASSIGNED", "Cn", true);
                        RangeToken createRange2 = createRange();
                        createRange2.addRange(0, 1114111);
                        categories.put("ALL", createRange2);
                        categories2.put("ALL", complementRanges(createRange2));
                        registerNonXS("ASSIGNED");
                        registerNonXS("UNASSIGNED");
                        registerNonXS("ALL");
                        RangeToken createRange3 = createRange();
                        createRange3.mergeRanges(tokenArr[1]);
                        createRange3.mergeRanges(tokenArr[2]);
                        createRange3.mergeRanges(tokenArr[5]);
                        categories.put("IsAlpha", createRange3);
                        categories2.put("IsAlpha", complementRanges(createRange3));
                        registerNonXS("IsAlpha");
                        RangeToken createRange4 = createRange();
                        createRange4.mergeRanges(createRange3);
                        createRange4.mergeRanges(tokenArr[9]);
                        categories.put("IsAlnum", createRange4);
                        categories2.put("IsAlnum", complementRanges(createRange4));
                        registerNonXS("IsAlnum");
                        RangeToken createRange5 = createRange();
                        createRange5.mergeRanges(token_spaces);
                        createRange5.mergeRanges(tokenArr[34]);
                        categories.put("IsSpace", createRange5);
                        categories2.put("IsSpace", complementRanges(createRange5));
                        registerNonXS("IsSpace");
                        RangeToken createRange6 = createRange();
                        createRange6.mergeRanges(createRange4);
                        createRange6.addRange(95, 95);
                        categories.put("IsWord", createRange6);
                        categories2.put("IsWord", complementRanges(createRange6));
                        registerNonXS("IsWord");
                        RangeToken createRange7 = createRange();
                        createRange7.addRange(0, 127);
                        categories.put("IsASCII", createRange7);
                        categories2.put("IsASCII", complementRanges(createRange7));
                        registerNonXS("IsASCII");
                        RangeToken createRange8 = createRange();
                        createRange8.mergeRanges(tokenArr[35]);
                        createRange8.addRange(32, 32);
                        categories.put("IsGraph", complementRanges(createRange8));
                        categories2.put("IsGraph", createRange8);
                        registerNonXS("IsGraph");
                        RangeToken createRange9 = createRange();
                        createRange9.addRange(48, 57);
                        createRange9.addRange(65, 70);
                        createRange9.addRange(97, 102);
                        categories.put("IsXDigit", complementRanges(createRange9));
                        categories2.put("IsXDigit", createRange9);
                        registerNonXS("IsXDigit");
                        setAlias("IsDigit", "Nd", true);
                        setAlias("IsUpper", "Lu", true);
                        setAlias("IsLower", "Ll", true);
                        setAlias("IsCntrl", "C", true);
                        setAlias("IsPrint", "C", false);
                        setAlias("IsPunct", "P", true);
                        registerNonXS("IsDigit");
                        registerNonXS("IsUpper");
                        registerNonXS("IsLower");
                        registerNonXS("IsCntrl");
                        registerNonXS("IsPrint");
                        registerNonXS("IsPunct");
                        setAlias("alpha", "IsAlpha", true);
                        setAlias("alnum", "IsAlnum", true);
                        setAlias("ascii", "IsASCII", true);
                        setAlias("cntrl", "IsCntrl", true);
                        setAlias("digit", "IsDigit", true);
                        setAlias("graph", "IsGraph", true);
                        setAlias("lower", "IsLower", true);
                        setAlias("print", "IsPrint", true);
                        setAlias("punct", "IsPunct", true);
                        setAlias("space", "IsSpace", true);
                        setAlias("upper", "IsUpper", true);
                        setAlias("word", "IsWord", true);
                        setAlias("xdigit", "IsXDigit", true);
                        registerNonXS("alpha");
                        registerNonXS("alnum");
                        registerNonXS("ascii");
                        registerNonXS("cntrl");
                        registerNonXS("digit");
                        registerNonXS("graph");
                        registerNonXS("lower");
                        registerNonXS("print");
                        registerNonXS("punct");
                        registerNonXS("space");
                        registerNonXS("upper");
                        registerNonXS("word");
                        registerNonXS("xdigit");
                    } else {
                        int type2 = Character.getType((char) i3);
                        if (type2 == 21 || type2 == 22) {
                            if (i3 == 171 || i3 == 8216 || i3 == 8219 || i3 == 8220 || i3 == 8223 || i3 == 8249) {
                                type2 = 29;
                            }
                            if (i3 == 187 || i3 == 8217 || i3 == 8221 || i3 == 8250) {
                                type2 = 30;
                            }
                        }
                        tokenArr[type2].addRange(i3, i3);
                        switch (type2) {
                            case 0:
                            case 15:
                            case 16:
                            case 18:
                            case 19:
                                c = '#';
                                break;
                            case 1:
                            case 2:
                            case 3:
                            case 4:
                            case 5:
                                c = 31;
                                break;
                            case 6:
                            case 7:
                            case 8:
                                c = ' ';
                                break;
                            case 9:
                            case 10:
                            case 11:
                                c = '!';
                                break;
                            case 12:
                            case 13:
                            case 14:
                                break;
                            case 17:
                            default:
                                StringBuffer stringBuffer2 = new StringBuffer();
                                stringBuffer2.append("org.apache.xerces.utils.regex.Token#getRange(): Unknown Unicode category: ");
                                stringBuffer2.append(type2);
                                throw new RuntimeException(stringBuffer2.toString());
                            case 20:
                            case 21:
                            case 22:
                            case 23:
                            case 24:
                            case 29:
                            case 30:
                                c = '$';
                                break;
                            case 25:
                            case 26:
                            case 27:
                            case 28:
                                c = '%';
                                break;
                        }
                        tokenArr[c].addRange(i3, i3);
                        i3++;
                    }
                }
            }
        }
        return (RangeToken) (z ? categories : categories2).get(str);
    }

    public static RangeToken getRange(String str, boolean z, boolean z2) {
        RangeToken range = getRange(str, z);
        if (!z2 || range == null || !isRegisterNonXS(str)) {
            return range;
        }
        return null;
    }

    public static boolean isRegisterNonXS(String str) {
        Hashtable hashtable = nonxs;
        if (hashtable == null) {
            return false;
        }
        return hashtable.containsKey(str);
    }

    public static final boolean isSet(int i2, int i3) {
        return (i2 & i3) == i3;
    }

    private final boolean isShorterThan(Token token) {
        if (token == null) {
            return false;
        }
        if (this.type == 10) {
            int length = getString().length();
            if (token.type == 10) {
                return length < token.getString().length();
            }
            StringBuffer a = a.a("Internal Error: Illegal type: ");
            a.append(token.type);
            throw new RuntimeException(a.toString());
        }
        StringBuffer a2 = a.a("Internal Error: Illegal type: ");
        a2.append(this.type);
        throw new RuntimeException(a2.toString());
    }

    public static void registerNonXS(String str) {
        if (nonxs == null) {
            nonxs = new Hashtable();
        }
        nonxs.put(str, str);
    }

    public static void setAlias(String str, String str2, boolean z) {
        Hashtable hashtable;
        Token token = (Token) categories.get(str2);
        Token token2 = (Token) categories2.get(str2);
        if (z) {
            categories.put(str, token);
            hashtable = categories2;
        } else {
            categories2.put(str, token);
            hashtable = categories;
        }
        hashtable.put(str, token2);
    }

    public void addChild(Token token) {
        throw new RuntimeException("Not supported.");
    }

    public void addRange(int i2, int i3) {
        throw new RuntimeException("Not supported.");
    }

    /*  JADX ERROR: JadxRuntimeException in pass: RegionMakerVisitor
        jadx.core.utils.exceptions.JadxRuntimeException: Failed to find switch 'out' block
        	at jadx.core.dex.visitors.regions.RegionMaker.processSwitch(RegionMaker.java:786)
        	at jadx.core.dex.visitors.regions.RegionMaker.traverse(RegionMaker.java:130)
        	at jadx.core.dex.visitors.regions.RegionMaker.makeRegion(RegionMaker.java:88)
        	at jadx.core.dex.visitors.regions.RegionMaker.processSwitch(RegionMaker.java:825)
        	at jadx.core.dex.visitors.regions.RegionMaker.traverse(RegionMaker.java:130)
        	at jadx.core.dex.visitors.regions.RegionMaker.makeRegion(RegionMaker.java:88)
        	at jadx.core.dex.visitors.regions.RegionMakerVisitor.visit(RegionMakerVisitor.java:50)
        */
    public final int analyzeFirstCharacter(org.apache.xerces.impl.xpath.regex.RangeToken r7, int r8) {
        /*
        // Method dump skipped, instructions count: 334
        */
        throw new UnsupportedOperationException("Method not decompiled: org.apache.xerces.impl.xpath.regex.Token.analyzeFirstCharacter(org.apache.xerces.impl.xpath.regex.RangeToken, int):int");
    }

    public void compactRanges() {
        throw new RuntimeException("Not supported.");
    }

    /* JADX WARNING: Removed duplicated region for block: B:22:0x0064  */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x006c  */
    public final void findFixedString(FixedStringContainer fixedStringContainer, int i2) {
        int i3 = this.type;
        Token token = null;
        switch (i3) {
            case 0:
                fixedStringContainer.token = null;
                return;
            case 1:
                int i4 = 0;
                for (int i5 = 0; i5 < size(); i5++) {
                    getChild(i5).findFixedString(fixedStringContainer, i2);
                    if (token == null || token.isShorterThan(fixedStringContainer.token)) {
                        token = fixedStringContainer.token;
                        i4 = fixedStringContainer.options;
                    }
                }
                fixedStringContainer.token = token;
                fixedStringContainer.options = i4;
                return;
            case 2:
            case 3:
            case 4:
            case 5:
            case 7:
            case 8:
            case 9:
            case 11:
            case 12:
                fixedStringContainer.token = null;
                return;
            case 6:
                getChild(0).findFixedString(fixedStringContainer, i2);
                return;
            case 10:
                fixedStringContainer.token = this;
                fixedStringContainer.options = i2;
                return;
            default:
                switch (i3) {
                    case 20:
                    case 21:
                    case 22:
                    case 23:
                    case 26:
                        break;
                    case 24:
                        break;
                    case 25:
                        ModifierToken modifierToken = (ModifierToken) this;
                        getChild(0).findFixedString(fixedStringContainer, (i2 | modifierToken.getOptions()) & (~modifierToken.getOptionsMask()));
                        return;
                    default:
                        StringBuffer a = a.a("Token#findFixedString(): Invalid Type: ");
                        a.append(this.type);
                        throw new RuntimeException(a.toString());
                }
        }
    }

    public int getChar() {
        return -1;
    }

    public Token getChild(int i2) {
        return null;
    }

    public int getMax() {
        return -1;
    }

    /* JADX WARNING: Removed duplicated region for block: B:26:0x005c  */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x0087  */
    public final int getMaxLength() {
        int i2 = this.type;
        int i3 = 1;
        switch (i2) {
            case 0:
                return 1;
            case 1:
                int i4 = 0;
                for (int i5 = 0; i5 < size(); i5++) {
                    int maxLength = getChild(i5).getMaxLength();
                    if (maxLength < 0) {
                        return -1;
                    }
                    i4 += maxLength;
                }
                return i4;
            case 2:
                if (size() == 0) {
                    return 0;
                }
                int maxLength2 = getChild(0).getMaxLength();
                while (maxLength2 >= 0 && i3 < size()) {
                    int maxLength3 = getChild(i3).getMaxLength();
                    if (maxLength3 < 0) {
                        return -1;
                    }
                    if (maxLength3 > maxLength2) {
                        maxLength2 = maxLength3;
                    }
                    i3++;
                }
                return maxLength2;
            case 3:
            case 9:
                if (getMax() < 0) {
                    return -1;
                }
                return getChild(0).getMaxLength() * getMax();
            case 4:
            case 5:
            case 11:
                return 2;
            case 6:
                return getChild(0).getMaxLength();
            case 7:
            case 8:
                return 0;
            case 10:
                return getString().length();
            case 12:
                return -1;
            default:
                switch (i2) {
                    case 20:
                    case 21:
                    case 22:
                    case 23:
                        return 0;
                    case 24:
                    case 25:
                        break;
                    case 26:
                        break;
                    default:
                        StringBuffer a = a.a("Token#getMaxLength(): Invalid Type: ");
                        a.append(this.type);
                        throw new RuntimeException(a.toString());
                }
        }
    }

    public int getMin() {
        return -1;
    }

    /* JADX WARNING: Removed duplicated region for block: B:24:0x0056  */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x007a  */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x0083 A[RETURN] */
    public final int getMinLength() {
        int i2 = this.type;
        switch (i2) {
            case 0:
            case 4:
            case 5:
            case 11:
                return 1;
            case 1:
                int i3 = 0;
                for (int i4 = 0; i4 < size(); i4++) {
                    i3 += getChild(i4).getMinLength();
                }
                return i3;
            case 2:
                if (size() == 0) {
                    return 0;
                }
                int minLength = getChild(0).getMinLength();
                for (int i5 = 1; i5 < size(); i5++) {
                    int minLength2 = getChild(i5).getMinLength();
                    if (minLength2 < minLength) {
                        minLength = minLength2;
                    }
                }
                return minLength;
            case 3:
            case 9:
                if (getMin() < 0) {
                    return 0;
                }
                return getChild(0).getMinLength() * getMin();
            case 6:
                return getChild(0).getMinLength();
            case 7:
            case 8:
                return 0;
            case 10:
                return getString().length();
            case 12:
                return 0;
            default:
                switch (i2) {
                    case 20:
                    case 21:
                    case 22:
                    case 23:
                        break;
                    case 24:
                    case 25:
                        break;
                    case 26:
                        break;
                    default:
                        StringBuffer a = a.a("Token#getMinLength(): Invalid Type: ");
                        a.append(this.type);
                        throw new RuntimeException(a.toString());
                }
        }
    }

    public int getParenNumber() {
        return 0;
    }

    public int getReferenceNumber() {
        return 0;
    }

    public String getString() {
        return null;
    }

    public void intersectRanges(Token token) {
        throw new RuntimeException("Not supported.");
    }

    public boolean match(int i2) {
        StringBuffer a = a.a("NFAArrow#match(): Internal error: ");
        a.append(this.type);
        throw new RuntimeException(a.toString());
    }

    public void mergeRanges(Token token) {
        throw new RuntimeException("Not supported.");
    }

    public void setMax(int i2) {
    }

    public void setMin(int i2) {
    }

    public int size() {
        return 0;
    }

    public void sortRanges() {
        throw new RuntimeException("Not supported.");
    }

    public void subtractRanges(Token token) {
        throw new RuntimeException("Not supported.");
    }

    public String toString() {
        return toString(0);
    }

    public String toString(int i2) {
        return this.type == 11 ? "." : "";
    }
}
