package org.apache.xerces.impl.xs;

import b.b.a.a.a;
import java.util.AbstractList;
import org.apache.xerces.xs.StringList;

public final class PSVIErrorList extends AbstractList implements StringList {
    public final String[] fArray;
    public final int fLength;
    public final int fOffset;

    public PSVIErrorList(String[] strArr, boolean z) {
        this.fArray = strArr;
        this.fLength = strArr.length >> 1;
        this.fOffset = !z ? 1 : 0;
    }

    @Override // org.apache.xerces.xs.StringList
    public boolean contains(String str) {
        if (str == null) {
            for (int i2 = 0; i2 < this.fLength; i2++) {
                if (this.fArray[(i2 << 1) + this.fOffset] == null) {
                    return true;
                }
            }
        } else {
            for (int i3 = 0; i3 < this.fLength; i3++) {
                if (str.equals(this.fArray[(i3 << 1) + this.fOffset])) {
                    return true;
                }
            }
        }
        return false;
    }

    @Override // java.util.List, java.util.AbstractList
    public Object get(int i2) {
        if (i2 >= 0 && i2 < this.fLength) {
            return this.fArray[(i2 << 1) + this.fOffset];
        }
        throw new IndexOutOfBoundsException(a.b("Index: ", i2));
    }

    @Override // org.apache.xerces.xs.StringList
    public int getLength() {
        return this.fLength;
    }

    @Override // org.apache.xerces.xs.StringList
    public String item(int i2) {
        if (i2 < 0 || i2 >= this.fLength) {
            return null;
        }
        return this.fArray[(i2 << 1) + this.fOffset];
    }

    public int size() {
        return getLength();
    }
}
