package org.apache.xerces.impl.xs;

import b.b.a.a.a;
import java.lang.ref.SoftReference;
import java.util.Vector;
import org.apache.poi.xssf.usermodel.XSSFDataValidationConstraint;
import org.apache.xerces.impl.dv.SchemaDVFactory;
import org.apache.xerces.impl.dv.ValidatedInfo;
import org.apache.xerces.impl.dv.XSSimpleType;
import org.apache.xerces.impl.dv.xs.XSSimpleTypeDecl;
import org.apache.xerces.impl.xs.identity.IdentityConstraint;
import org.apache.xerces.impl.xs.util.ObjectListImpl;
import org.apache.xerces.impl.xs.util.SimpleLocator;
import org.apache.xerces.impl.xs.util.StringListImpl;
import org.apache.xerces.impl.xs.util.XSNamedMap4Types;
import org.apache.xerces.impl.xs.util.XSNamedMapImpl;
import org.apache.xerces.impl.xs.util.XSObjectListImpl;
import org.apache.xerces.parsers.AbstractDOMParser;
import org.apache.xerces.parsers.DOMParser;
import org.apache.xerces.parsers.SAXParser;
import org.apache.xerces.parsers.XML11Configuration;
import org.apache.xerces.util.SymbolHash;
import org.apache.xerces.util.SymbolTable;
import org.apache.xerces.xni.NamespaceContext;
import org.apache.xerces.xni.grammars.XMLGrammarDescription;
import org.apache.xerces.xni.grammars.XSGrammar;
import org.apache.xerces.xs.StringList;
import org.apache.xerces.xs.XSAnnotation;
import org.apache.xerces.xs.XSAttributeDeclaration;
import org.apache.xerces.xs.XSAttributeGroupDefinition;
import org.apache.xerces.xs.XSElementDeclaration;
import org.apache.xerces.xs.XSIDCDefinition;
import org.apache.xerces.xs.XSModel;
import org.apache.xerces.xs.XSModelGroupDefinition;
import org.apache.xerces.xs.XSNamedMap;
import org.apache.xerces.xs.XSNamespaceItem;
import org.apache.xerces.xs.XSNotationDeclaration;
import org.apache.xerces.xs.XSObjectList;
import org.apache.xerces.xs.XSParticle;
import org.apache.xerces.xs.XSTypeDefinition;
import org.apache.xerces.xs.XSWildcard;
import org.apache.xerces.xs.datatypes.ObjectList;
import org.xml.sax.SAXException;

public class SchemaGrammar implements XSGrammar, XSNamespaceItem {
    public static final int BASICSET_COUNT = 29;
    public static final int FULLSET_COUNT = 46;
    public static final boolean[] GLOBAL_COMP = {false, true, true, true, false, true, true, false, false, false, true, true, false, false, false, true, true};
    public static final int GRAMMAR_XS = 1;
    public static final int GRAMMAR_XSI = 2;
    public static final int INC_SIZE = 16;
    public static final int INITIAL_SIZE = 16;
    public static final short MAX_COMP_IDX = 16;
    public static final int REDEFINED_GROUP_INIT_SIZE = 2;
    public static final BuiltinSchemaGrammar SG_SchemaNS = new BuiltinSchemaGrammar(1, 1);
    public static final BuiltinSchemaGrammar SG_SchemaNSExtended = new BuiltinSchemaGrammar(1, 2);
    public static final BuiltinSchemaGrammar SG_XSI = new BuiltinSchemaGrammar(2, 1);
    public static final XSSimpleType fAnySimpleType = ((XSSimpleType) SG_SchemaNS.getGlobalTypeDecl(SchemaSymbols.ATTVAL_ANYSIMPLETYPE));
    public static final XSComplexTypeDecl fAnyType = new XSAnyType();
    public SymbolHash fAllGlobalElemDecls;
    public XSAnnotationImpl[] fAnnotations;
    public int fCTCount;
    public SimpleLocator[] fCTLocators;
    public XSComplexTypeDecl[] fComplexTypeDecls;
    public XSNamedMap[] fComponents;
    public ObjectList[] fComponentsExt;
    public SoftReference fDOMParser;
    public Vector fDocuments;
    public boolean fFullChecked;
    public SymbolHash fGlobalAttrDecls;
    public SymbolHash fGlobalAttrDeclsExt;
    public SymbolHash fGlobalAttrGrpDecls;
    public SymbolHash fGlobalAttrGrpDeclsExt;
    public SymbolHash fGlobalElemDecls;
    public SymbolHash fGlobalElemDeclsExt;
    public SymbolHash fGlobalGroupDecls;
    public SymbolHash fGlobalGroupDeclsExt;
    public SymbolHash fGlobalIDConstraintDecls;
    public SymbolHash fGlobalIDConstraintDeclsExt;
    public SymbolHash fGlobalNotationDecls;
    public SymbolHash fGlobalNotationDeclsExt;
    public SymbolHash fGlobalTypeDecls;
    public SymbolHash fGlobalTypeDeclsExt;
    public XSDDescription fGrammarDescription;
    public Vector fImported;
    public boolean fIsImmutable;
    public Vector fLocations;
    public int fNumAnnotations;
    public int fRGCount;
    public SimpleLocator[] fRGLocators;
    public XSGroupDecl[] fRedefinedGroupDecls;
    public SoftReference fSAXParser;
    public int fSubGroupCount;
    public XSElementDecl[] fSubGroups;
    public SymbolTable fSymbolTable;
    public String fTargetNamespace;

    public static class BuiltinAttrDecl extends XSAttributeDecl {
        public BuiltinAttrDecl(String str, String str2, XSSimpleType xSSimpleType, short s) {
            this.fName = str;
            this.fTargetNamespace = str2;
            this.fType = xSSimpleType;
            this.fScope = s;
        }

        @Override // org.apache.xerces.xs.XSAttributeDeclaration, org.apache.xerces.impl.xs.XSAttributeDecl
        public XSAnnotation getAnnotation() {
            return null;
        }

        @Override // org.apache.xerces.xs.XSObject, org.apache.xerces.impl.xs.XSAttributeDecl
        public XSNamespaceItem getNamespaceItem() {
            return SchemaGrammar.SG_XSI;
        }

        @Override // org.apache.xerces.impl.xs.XSAttributeDecl
        public void reset() {
        }

        public void setValues(String str, String str2, XSSimpleType xSSimpleType, short s, short s2, ValidatedInfo validatedInfo, XSComplexTypeDecl xSComplexTypeDecl) {
        }
    }

    public static class BuiltinSchemaGrammar extends SchemaGrammar {
        public static final String EXTENDED_SCHEMA_FACTORY_CLASS = "org.apache.xerces.impl.dv.xs.ExtendedSchemaDVFactoryImpl";

        public BuiltinSchemaGrammar(int i2, short s) {
            SchemaDVFactory instance = s == 1 ? SchemaDVFactory.getInstance() : SchemaDVFactory.getInstance(EXTENDED_SCHEMA_FACTORY_CLASS);
            if (i2 == 1) {
                this.fTargetNamespace = SchemaSymbols.URI_SCHEMAFORSCHEMA;
                XSDDescription xSDDescription = new XSDDescription();
                this.fGrammarDescription = xSDDescription;
                xSDDescription.fContextType = 3;
                xSDDescription.setNamespace(SchemaSymbols.URI_SCHEMAFORSCHEMA);
                this.fGlobalAttrDecls = new SymbolHash(1);
                this.fGlobalAttrGrpDecls = new SymbolHash(1);
                this.fGlobalElemDecls = new SymbolHash(1);
                this.fGlobalGroupDecls = new SymbolHash(1);
                this.fGlobalNotationDecls = new SymbolHash(1);
                this.fGlobalIDConstraintDecls = new SymbolHash(1);
                this.fGlobalAttrDeclsExt = new SymbolHash(1);
                this.fGlobalAttrGrpDeclsExt = new SymbolHash(1);
                this.fGlobalElemDeclsExt = new SymbolHash(1);
                this.fGlobalGroupDeclsExt = new SymbolHash(1);
                this.fGlobalNotationDeclsExt = new SymbolHash(1);
                this.fGlobalIDConstraintDeclsExt = new SymbolHash(1);
                this.fGlobalTypeDeclsExt = new SymbolHash(1);
                this.fAllGlobalElemDecls = new SymbolHash(1);
                SymbolHash builtInTypes = instance.getBuiltInTypes();
                this.fGlobalTypeDecls = builtInTypes;
                int length = builtInTypes.getLength();
                XSTypeDefinition[] xSTypeDefinitionArr = new XSTypeDefinition[length];
                this.fGlobalTypeDecls.getValues(xSTypeDefinitionArr, 0);
                for (int i3 = 0; i3 < length; i3++) {
                    XSTypeDefinition xSTypeDefinition = xSTypeDefinitionArr[i3];
                    if (xSTypeDefinition instanceof XSSimpleTypeDecl) {
                        ((XSSimpleTypeDecl) xSTypeDefinition).setNamespaceItem(this);
                    }
                }
                this.fGlobalTypeDecls.put(SchemaGrammar.fAnyType.getName(), SchemaGrammar.fAnyType);
            } else if (i2 == 2) {
                this.fTargetNamespace = SchemaSymbols.URI_XSI;
                XSDDescription xSDDescription2 = new XSDDescription();
                this.fGrammarDescription = xSDDescription2;
                xSDDescription2.fContextType = 3;
                xSDDescription2.setNamespace(SchemaSymbols.URI_XSI);
                this.fGlobalAttrGrpDecls = new SymbolHash(1);
                this.fGlobalElemDecls = new SymbolHash(1);
                this.fGlobalGroupDecls = new SymbolHash(1);
                this.fGlobalNotationDecls = new SymbolHash(1);
                this.fGlobalIDConstraintDecls = new SymbolHash(1);
                this.fGlobalTypeDecls = new SymbolHash(1);
                this.fGlobalAttrDeclsExt = new SymbolHash(1);
                this.fGlobalAttrGrpDeclsExt = new SymbolHash(1);
                this.fGlobalElemDeclsExt = new SymbolHash(1);
                this.fGlobalGroupDeclsExt = new SymbolHash(1);
                this.fGlobalNotationDeclsExt = new SymbolHash(1);
                this.fGlobalIDConstraintDeclsExt = new SymbolHash(1);
                this.fGlobalTypeDeclsExt = new SymbolHash(1);
                this.fAllGlobalElemDecls = new SymbolHash(1);
                this.fGlobalAttrDecls = new SymbolHash(8);
                String str = SchemaSymbols.XSI_TYPE;
                this.fGlobalAttrDecls.put(str, new BuiltinAttrDecl(str, SchemaSymbols.URI_XSI, instance.getBuiltInType("QName"), 1));
                String str2 = SchemaSymbols.XSI_NIL;
                this.fGlobalAttrDecls.put(str2, new BuiltinAttrDecl(str2, SchemaSymbols.URI_XSI, instance.getBuiltInType("boolean"), 1));
                XSSimpleType builtInType = instance.getBuiltInType("anyURI");
                String str3 = SchemaSymbols.XSI_SCHEMALOCATION;
                String str4 = SchemaSymbols.URI_XSI;
                XSSimpleType createTypeList = instance.createTypeList("#AnonType_schemaLocation", str4, 0, builtInType, null);
                if (createTypeList instanceof XSSimpleTypeDecl) {
                    ((XSSimpleTypeDecl) createTypeList).setAnonymous(true);
                }
                this.fGlobalAttrDecls.put(str3, new BuiltinAttrDecl(str3, str4, createTypeList, 1));
                String str5 = SchemaSymbols.XSI_NONAMESPACESCHEMALOCATION;
                this.fGlobalAttrDecls.put(str5, new BuiltinAttrDecl(str5, SchemaSymbols.URI_XSI, builtInType, 1));
            }
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addComplexTypeDecl(XSComplexTypeDecl xSComplexTypeDecl, SimpleLocator simpleLocator) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public synchronized void addDocument(Object obj, String str) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalAttributeDecl(XSAttributeDecl xSAttributeDecl) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalAttributeDecl(XSAttributeDecl xSAttributeDecl, String str) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalAttributeGroupDecl(XSAttributeGroupDecl xSAttributeGroupDecl) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalAttributeGroupDecl(XSAttributeGroupDecl xSAttributeGroupDecl, String str) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalComplexTypeDecl(XSComplexTypeDecl xSComplexTypeDecl) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalComplexTypeDecl(XSComplexTypeDecl xSComplexTypeDecl, String str) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalElementDecl(XSElementDecl xSElementDecl) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalElementDecl(XSElementDecl xSElementDecl, String str) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalElementDeclAll(XSElementDecl xSElementDecl) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalGroupDecl(XSGroupDecl xSGroupDecl) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalGroupDecl(XSGroupDecl xSGroupDecl, String str) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalNotationDecl(XSNotationDecl xSNotationDecl) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalNotationDecl(XSNotationDecl xSNotationDecl, String str) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalSimpleTypeDecl(XSSimpleType xSSimpleType) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalSimpleTypeDecl(XSSimpleType xSSimpleType, String str) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalTypeDecl(XSTypeDefinition xSTypeDefinition) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalTypeDecl(XSTypeDefinition xSTypeDefinition, String str) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addRedefinedGroupDecl(XSGroupDecl xSGroupDecl, XSGroupDecl xSGroupDecl2, SimpleLocator simpleLocator) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public synchronized DOMParser getDOMParser() {
            return null;
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar, org.apache.xerces.xni.grammars.Grammar
        public XMLGrammarDescription getGrammarDescription() {
            return this.fGrammarDescription.makeClone();
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public synchronized SAXParser getSAXParser() {
            return null;
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void setImportedGrammars(Vector vector) {
        }
    }

    public static final class Schema4Annotations extends SchemaGrammar {
        public static final Schema4Annotations INSTANCE = new Schema4Annotations();

        public Schema4Annotations() {
            this.fTargetNamespace = SchemaSymbols.URI_SCHEMAFORSCHEMA;
            XSDDescription xSDDescription = new XSDDescription();
            this.fGrammarDescription = xSDDescription;
            xSDDescription.fContextType = 3;
            xSDDescription.setNamespace(SchemaSymbols.URI_SCHEMAFORSCHEMA);
            this.fGlobalAttrDecls = new SymbolHash(1);
            this.fGlobalAttrGrpDecls = new SymbolHash(1);
            this.fGlobalElemDecls = new SymbolHash(6);
            this.fGlobalGroupDecls = new SymbolHash(1);
            this.fGlobalNotationDecls = new SymbolHash(1);
            this.fGlobalIDConstraintDecls = new SymbolHash(1);
            this.fGlobalAttrDeclsExt = new SymbolHash(1);
            this.fGlobalAttrGrpDeclsExt = new SymbolHash(1);
            this.fGlobalElemDeclsExt = new SymbolHash(6);
            this.fGlobalGroupDeclsExt = new SymbolHash(1);
            this.fGlobalNotationDeclsExt = new SymbolHash(1);
            this.fGlobalIDConstraintDeclsExt = new SymbolHash(1);
            this.fGlobalTypeDeclsExt = new SymbolHash(1);
            this.fAllGlobalElemDecls = new SymbolHash(6);
            this.fGlobalTypeDecls = SchemaGrammar.SG_SchemaNS.fGlobalTypeDecls;
            XSElementDecl createAnnotationElementDecl = createAnnotationElementDecl(SchemaSymbols.ELT_ANNOTATION);
            XSElementDecl createAnnotationElementDecl2 = createAnnotationElementDecl(SchemaSymbols.ELT_DOCUMENTATION);
            XSElementDecl createAnnotationElementDecl3 = createAnnotationElementDecl(SchemaSymbols.ELT_APPINFO);
            this.fGlobalElemDecls.put(createAnnotationElementDecl.fName, createAnnotationElementDecl);
            this.fGlobalElemDecls.put(createAnnotationElementDecl2.fName, createAnnotationElementDecl2);
            this.fGlobalElemDecls.put(createAnnotationElementDecl3.fName, createAnnotationElementDecl3);
            SymbolHash symbolHash = this.fGlobalElemDeclsExt;
            StringBuffer a = a.a(XSSFDataValidationConstraint.LIST_SEPARATOR);
            a.append(createAnnotationElementDecl.fName);
            symbolHash.put(a.toString(), createAnnotationElementDecl);
            SymbolHash symbolHash2 = this.fGlobalElemDeclsExt;
            StringBuffer a2 = a.a(XSSFDataValidationConstraint.LIST_SEPARATOR);
            a2.append(createAnnotationElementDecl2.fName);
            symbolHash2.put(a2.toString(), createAnnotationElementDecl2);
            SymbolHash symbolHash3 = this.fGlobalElemDeclsExt;
            StringBuffer a3 = a.a(XSSFDataValidationConstraint.LIST_SEPARATOR);
            a3.append(createAnnotationElementDecl3.fName);
            symbolHash3.put(a3.toString(), createAnnotationElementDecl3);
            this.fAllGlobalElemDecls.put(createAnnotationElementDecl, createAnnotationElementDecl);
            this.fAllGlobalElemDecls.put(createAnnotationElementDecl2, createAnnotationElementDecl2);
            this.fAllGlobalElemDecls.put(createAnnotationElementDecl3, createAnnotationElementDecl3);
            XSComplexTypeDecl xSComplexTypeDecl = new XSComplexTypeDecl();
            XSComplexTypeDecl xSComplexTypeDecl2 = new XSComplexTypeDecl();
            XSComplexTypeDecl xSComplexTypeDecl3 = new XSComplexTypeDecl();
            createAnnotationElementDecl.fType = xSComplexTypeDecl;
            createAnnotationElementDecl2.fType = xSComplexTypeDecl2;
            createAnnotationElementDecl3.fType = xSComplexTypeDecl3;
            XSAttributeGroupDecl xSAttributeGroupDecl = new XSAttributeGroupDecl();
            XSAttributeGroupDecl xSAttributeGroupDecl2 = new XSAttributeGroupDecl();
            XSAttributeGroupDecl xSAttributeGroupDecl3 = new XSAttributeGroupDecl();
            XSAttributeUseImpl xSAttributeUseImpl = new XSAttributeUseImpl();
            XSAttributeDecl xSAttributeDecl = new XSAttributeDecl();
            xSAttributeUseImpl.fAttrDecl = xSAttributeDecl;
            xSAttributeDecl.setValues(SchemaSymbols.ATT_ID, null, (XSSimpleType) this.fGlobalTypeDecls.get(SchemaSymbols.ATTVAL_ID), 0, 2, null, xSComplexTypeDecl, null);
            xSAttributeUseImpl.fUse = 0;
            xSAttributeUseImpl.fConstraintType = 0;
            XSAttributeUseImpl xSAttributeUseImpl2 = new XSAttributeUseImpl();
            XSAttributeDecl xSAttributeDecl2 = new XSAttributeDecl();
            xSAttributeUseImpl2.fAttrDecl = xSAttributeDecl2;
            xSAttributeDecl2.setValues(SchemaSymbols.ATT_SOURCE, null, (XSSimpleType) this.fGlobalTypeDecls.get("anyURI"), 0, 2, null, xSComplexTypeDecl2, null);
            xSAttributeUseImpl2.fUse = 0;
            xSAttributeUseImpl2.fConstraintType = 0;
            XSAttributeUseImpl xSAttributeUseImpl3 = new XSAttributeUseImpl();
            XSAttributeDecl xSAttributeDecl3 = new XSAttributeDecl();
            xSAttributeUseImpl3.fAttrDecl = xSAttributeDecl3;
            xSAttributeDecl3.setValues("lang".intern(), NamespaceContext.XML_URI, (XSSimpleType) this.fGlobalTypeDecls.get("language"), 0, 2, null, xSComplexTypeDecl2, null);
            xSAttributeUseImpl3.fUse = 0;
            xSAttributeUseImpl3.fConstraintType = 0;
            XSAttributeUseImpl xSAttributeUseImpl4 = new XSAttributeUseImpl();
            XSAttributeDecl xSAttributeDecl4 = new XSAttributeDecl();
            xSAttributeUseImpl4.fAttrDecl = xSAttributeDecl4;
            xSAttributeDecl4.setValues(SchemaSymbols.ATT_SOURCE, null, (XSSimpleType) this.fGlobalTypeDecls.get("anyURI"), 0, 2, null, xSComplexTypeDecl3, null);
            xSAttributeUseImpl4.fUse = 0;
            xSAttributeUseImpl4.fConstraintType = 0;
            XSWildcardDecl xSWildcardDecl = new XSWildcardDecl();
            xSWildcardDecl.fNamespaceList = new String[]{this.fTargetNamespace, null};
            xSWildcardDecl.fType = 2;
            xSWildcardDecl.fProcessContents = 3;
            xSAttributeGroupDecl.addAttributeUse(xSAttributeUseImpl);
            xSAttributeGroupDecl.fAttributeWC = xSWildcardDecl;
            xSAttributeGroupDecl2.addAttributeUse(xSAttributeUseImpl2);
            xSAttributeGroupDecl2.addAttributeUse(xSAttributeUseImpl3);
            xSAttributeGroupDecl2.fAttributeWC = xSWildcardDecl;
            xSAttributeGroupDecl3.addAttributeUse(xSAttributeUseImpl4);
            xSAttributeGroupDecl3.fAttributeWC = xSWildcardDecl;
            XSParticleDecl createUnboundedModelGroupParticle = createUnboundedModelGroupParticle();
            XSModelGroupImpl xSModelGroupImpl = new XSModelGroupImpl();
            xSModelGroupImpl.fCompositor = 101;
            xSModelGroupImpl.fParticleCount = 2;
            XSParticleDecl[] xSParticleDeclArr = new XSParticleDecl[2];
            xSModelGroupImpl.fParticles = xSParticleDeclArr;
            xSParticleDeclArr[0] = createChoiceElementParticle(createAnnotationElementDecl3);
            xSModelGroupImpl.fParticles[1] = createChoiceElementParticle(createAnnotationElementDecl2);
            createUnboundedModelGroupParticle.fValue = xSModelGroupImpl;
            XSParticleDecl createUnboundedAnyWildcardSequenceParticle = createUnboundedAnyWildcardSequenceParticle();
            StringBuffer a4 = a.a("#AnonType_");
            a4.append(SchemaSymbols.ELT_ANNOTATION);
            xSComplexTypeDecl.setValues(a4.toString(), this.fTargetNamespace, SchemaGrammar.fAnyType, 2, 0, 3, 2, false, xSAttributeGroupDecl, null, createUnboundedModelGroupParticle, new XSObjectListImpl(null, 0));
            StringBuffer a5 = a.a("#AnonType_");
            a5.append(SchemaSymbols.ELT_ANNOTATION);
            xSComplexTypeDecl.setName(a5.toString());
            xSComplexTypeDecl.setIsAnonymous();
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append("#AnonType_");
            stringBuffer.append(SchemaSymbols.ELT_DOCUMENTATION);
            xSComplexTypeDecl2.setValues(stringBuffer.toString(), this.fTargetNamespace, SchemaGrammar.fAnyType, 2, 0, 3, 3, false, xSAttributeGroupDecl2, null, createUnboundedAnyWildcardSequenceParticle, new XSObjectListImpl(null, 0));
            StringBuffer a6 = a.a("#AnonType_");
            a6.append(SchemaSymbols.ELT_DOCUMENTATION);
            xSComplexTypeDecl2.setName(a6.toString());
            xSComplexTypeDecl2.setIsAnonymous();
            StringBuffer stringBuffer2 = new StringBuffer();
            stringBuffer2.append("#AnonType_");
            stringBuffer2.append(SchemaSymbols.ELT_APPINFO);
            xSComplexTypeDecl3.setValues(stringBuffer2.toString(), this.fTargetNamespace, SchemaGrammar.fAnyType, 2, 0, 3, 3, false, xSAttributeGroupDecl3, null, createUnboundedAnyWildcardSequenceParticle, new XSObjectListImpl(null, 0));
            StringBuffer a7 = a.a("#AnonType_");
            a7.append(SchemaSymbols.ELT_APPINFO);
            xSComplexTypeDecl3.setName(a7.toString());
            xSComplexTypeDecl3.setIsAnonymous();
        }

        private XSElementDecl createAnnotationElementDecl(String str) {
            XSElementDecl xSElementDecl = new XSElementDecl();
            xSElementDecl.fName = str;
            xSElementDecl.fTargetNamespace = this.fTargetNamespace;
            xSElementDecl.setIsGlobal();
            xSElementDecl.fBlock = 7;
            xSElementDecl.setConstraintType(0);
            return xSElementDecl;
        }

        private XSParticleDecl createAnyLaxWildcardParticle() {
            XSParticleDecl xSParticleDecl = new XSParticleDecl();
            xSParticleDecl.fMinOccurs = 1;
            xSParticleDecl.fMaxOccurs = 1;
            xSParticleDecl.fType = 2;
            XSWildcardDecl xSWildcardDecl = new XSWildcardDecl();
            xSWildcardDecl.fNamespaceList = null;
            xSWildcardDecl.fType = 1;
            xSWildcardDecl.fProcessContents = 3;
            xSParticleDecl.fValue = xSWildcardDecl;
            return xSParticleDecl;
        }

        private XSParticleDecl createChoiceElementParticle(XSElementDecl xSElementDecl) {
            XSParticleDecl xSParticleDecl = new XSParticleDecl();
            xSParticleDecl.fMinOccurs = 1;
            xSParticleDecl.fMaxOccurs = 1;
            xSParticleDecl.fType = 1;
            xSParticleDecl.fValue = xSElementDecl;
            return xSParticleDecl;
        }

        private XSParticleDecl createUnboundedAnyWildcardSequenceParticle() {
            XSParticleDecl createUnboundedModelGroupParticle = createUnboundedModelGroupParticle();
            XSModelGroupImpl xSModelGroupImpl = new XSModelGroupImpl();
            xSModelGroupImpl.fCompositor = 102;
            xSModelGroupImpl.fParticleCount = 1;
            XSParticleDecl[] xSParticleDeclArr = new XSParticleDecl[1];
            xSModelGroupImpl.fParticles = xSParticleDeclArr;
            xSParticleDeclArr[0] = createAnyLaxWildcardParticle();
            createUnboundedModelGroupParticle.fValue = xSModelGroupImpl;
            return createUnboundedModelGroupParticle;
        }

        private XSParticleDecl createUnboundedModelGroupParticle() {
            XSParticleDecl xSParticleDecl = new XSParticleDecl();
            xSParticleDecl.fMinOccurs = 0;
            xSParticleDecl.fMaxOccurs = -1;
            xSParticleDecl.fType = 3;
            return xSParticleDecl;
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addComplexTypeDecl(XSComplexTypeDecl xSComplexTypeDecl, SimpleLocator simpleLocator) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public synchronized void addDocument(Object obj, String str) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalAttributeDecl(XSAttributeDecl xSAttributeDecl) {
        }

        public void addGlobalAttributeDecl(XSAttributeGroupDecl xSAttributeGroupDecl, String str) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalAttributeGroupDecl(XSAttributeGroupDecl xSAttributeGroupDecl) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalAttributeGroupDecl(XSAttributeGroupDecl xSAttributeGroupDecl, String str) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalComplexTypeDecl(XSComplexTypeDecl xSComplexTypeDecl) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalComplexTypeDecl(XSComplexTypeDecl xSComplexTypeDecl, String str) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalElementDecl(XSElementDecl xSElementDecl) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalElementDecl(XSElementDecl xSElementDecl, String str) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalElementDeclAll(XSElementDecl xSElementDecl) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalGroupDecl(XSGroupDecl xSGroupDecl) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalGroupDecl(XSGroupDecl xSGroupDecl, String str) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalNotationDecl(XSNotationDecl xSNotationDecl) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalNotationDecl(XSNotationDecl xSNotationDecl, String str) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalSimpleTypeDecl(XSSimpleType xSSimpleType) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalSimpleTypeDecl(XSSimpleType xSSimpleType, String str) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalTypeDecl(XSTypeDefinition xSTypeDefinition) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addGlobalTypeDecl(XSTypeDefinition xSTypeDefinition, String str) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void addRedefinedGroupDecl(XSGroupDecl xSGroupDecl, XSGroupDecl xSGroupDecl2, SimpleLocator simpleLocator) {
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public synchronized DOMParser getDOMParser() {
            return null;
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar, org.apache.xerces.xni.grammars.Grammar
        public XMLGrammarDescription getGrammarDescription() {
            return this.fGrammarDescription.makeClone();
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public synchronized SAXParser getSAXParser() {
            return null;
        }

        @Override // org.apache.xerces.impl.xs.SchemaGrammar
        public void setImportedGrammars(Vector vector) {
        }
    }

    public static class XSAnyType extends XSComplexTypeDecl {
        public XSAnyType() {
            this.fName = "anyType";
            this.fTargetNamespace = SchemaSymbols.URI_SCHEMAFORSCHEMA;
            this.fBaseType = this;
            this.fDerivedBy = 2;
            this.fContentType = 3;
            this.fParticle = null;
            this.fAttrGrp = null;
        }

        @Override // org.apache.xerces.impl.xs.XSComplexTypeDecl, org.apache.xerces.xs.XSComplexTypeDefinition
        public XSObjectList getAnnotations() {
            return XSObjectListImpl.EMPTY_LIST;
        }

        @Override // org.apache.xerces.impl.xs.XSComplexTypeDecl
        public XSAttributeGroupDecl getAttrGrp() {
            XSWildcardDecl xSWildcardDecl = new XSWildcardDecl();
            xSWildcardDecl.fProcessContents = 3;
            XSAttributeGroupDecl xSAttributeGroupDecl = new XSAttributeGroupDecl();
            xSAttributeGroupDecl.fAttributeWC = xSWildcardDecl;
            return xSAttributeGroupDecl;
        }

        @Override // org.apache.xerces.impl.xs.XSComplexTypeDecl, org.apache.xerces.xs.XSComplexTypeDefinition
        public XSObjectList getAttributeUses() {
            return XSObjectListImpl.EMPTY_LIST;
        }

        @Override // org.apache.xerces.impl.xs.XSComplexTypeDecl, org.apache.xerces.xs.XSComplexTypeDefinition
        public XSWildcard getAttributeWildcard() {
            XSWildcardDecl xSWildcardDecl = new XSWildcardDecl();
            xSWildcardDecl.fProcessContents = 3;
            return xSWildcardDecl;
        }

        @Override // org.apache.xerces.impl.xs.XSComplexTypeDecl, org.apache.xerces.xs.XSObject
        public XSNamespaceItem getNamespaceItem() {
            return SchemaGrammar.SG_SchemaNS;
        }

        @Override // org.apache.xerces.impl.xs.XSComplexTypeDecl, org.apache.xerces.xs.XSComplexTypeDefinition
        public XSParticle getParticle() {
            XSWildcardDecl xSWildcardDecl = new XSWildcardDecl();
            xSWildcardDecl.fProcessContents = 3;
            XSParticleDecl xSParticleDecl = new XSParticleDecl();
            xSParticleDecl.fMinOccurs = 0;
            xSParticleDecl.fMaxOccurs = -1;
            xSParticleDecl.fType = 2;
            xSParticleDecl.fValue = xSWildcardDecl;
            XSModelGroupImpl xSModelGroupImpl = new XSModelGroupImpl();
            xSModelGroupImpl.fCompositor = 102;
            xSModelGroupImpl.fParticleCount = 1;
            XSParticleDecl[] xSParticleDeclArr = new XSParticleDecl[1];
            xSModelGroupImpl.fParticles = xSParticleDeclArr;
            xSParticleDeclArr[0] = xSParticleDecl;
            XSParticleDecl xSParticleDecl2 = new XSParticleDecl();
            xSParticleDecl2.fType = 3;
            xSParticleDecl2.fValue = xSModelGroupImpl;
            return xSParticleDecl2;
        }

        @Override // org.apache.xerces.impl.xs.XSComplexTypeDecl
        public void reset() {
        }

        @Override // org.apache.xerces.impl.xs.XSComplexTypeDecl
        public void setContainsTypeID() {
        }

        @Override // org.apache.xerces.impl.xs.XSComplexTypeDecl
        public void setIsAbstractType() {
        }

        @Override // org.apache.xerces.impl.xs.XSComplexTypeDecl
        public void setIsAnonymous() {
        }

        @Override // org.apache.xerces.impl.xs.XSComplexTypeDecl
        public void setName(String str) {
        }

        public void setValues(String str, String str2, XSTypeDefinition xSTypeDefinition, short s, short s2, short s3, short s4, boolean z, XSAttributeGroupDecl xSAttributeGroupDecl, XSSimpleType xSSimpleType, XSParticleDecl xSParticleDecl) {
        }
    }

    public SchemaGrammar() {
        this.fGrammarDescription = null;
        this.fAnnotations = null;
        this.fSymbolTable = null;
        this.fSAXParser = null;
        this.fDOMParser = null;
        this.fIsImmutable = false;
        this.fImported = null;
        this.fCTCount = 0;
        this.fComplexTypeDecls = new XSComplexTypeDecl[16];
        this.fCTLocators = new SimpleLocator[16];
        this.fRGCount = 0;
        this.fRedefinedGroupDecls = new XSGroupDecl[2];
        this.fRGLocators = new SimpleLocator[1];
        this.fFullChecked = false;
        this.fSubGroupCount = 0;
        this.fSubGroups = new XSElementDecl[16];
        this.fComponents = null;
        this.fComponentsExt = null;
        this.fDocuments = null;
        this.fLocations = null;
    }

    public SchemaGrammar(String str, XSDDescription xSDDescription, SymbolTable symbolTable) {
        this.fGrammarDescription = null;
        this.fAnnotations = null;
        this.fSymbolTable = null;
        this.fSAXParser = null;
        this.fDOMParser = null;
        this.fIsImmutable = false;
        this.fImported = null;
        this.fCTCount = 0;
        this.fComplexTypeDecls = new XSComplexTypeDecl[16];
        this.fCTLocators = new SimpleLocator[16];
        this.fRGCount = 0;
        this.fRedefinedGroupDecls = new XSGroupDecl[2];
        this.fRGLocators = new SimpleLocator[1];
        this.fFullChecked = false;
        this.fSubGroupCount = 0;
        this.fSubGroups = new XSElementDecl[16];
        this.fComponents = null;
        this.fComponentsExt = null;
        this.fDocuments = null;
        this.fLocations = null;
        this.fTargetNamespace = str;
        this.fGrammarDescription = xSDDescription;
        this.fSymbolTable = symbolTable;
        this.fGlobalAttrDecls = new SymbolHash();
        this.fGlobalAttrGrpDecls = new SymbolHash();
        this.fGlobalElemDecls = new SymbolHash();
        this.fGlobalGroupDecls = new SymbolHash();
        this.fGlobalNotationDecls = new SymbolHash();
        this.fGlobalIDConstraintDecls = new SymbolHash();
        this.fGlobalAttrDeclsExt = new SymbolHash();
        this.fGlobalAttrGrpDeclsExt = new SymbolHash();
        this.fGlobalElemDeclsExt = new SymbolHash();
        this.fGlobalGroupDeclsExt = new SymbolHash();
        this.fGlobalNotationDeclsExt = new SymbolHash();
        this.fGlobalIDConstraintDeclsExt = new SymbolHash();
        this.fGlobalTypeDeclsExt = new SymbolHash();
        this.fAllGlobalElemDecls = new SymbolHash();
        this.fGlobalTypeDecls = this.fTargetNamespace == SchemaSymbols.URI_SCHEMAFORSCHEMA ? SG_SchemaNS.fGlobalTypeDecls.makeClone() : new SymbolHash();
    }

    public SchemaGrammar(SchemaGrammar schemaGrammar) {
        this.fGrammarDescription = null;
        this.fAnnotations = null;
        this.fSymbolTable = null;
        this.fSAXParser = null;
        this.fDOMParser = null;
        this.fIsImmutable = false;
        this.fImported = null;
        this.fCTCount = 0;
        this.fComplexTypeDecls = new XSComplexTypeDecl[16];
        this.fCTLocators = new SimpleLocator[16];
        this.fRGCount = 0;
        this.fRedefinedGroupDecls = new XSGroupDecl[2];
        this.fRGLocators = new SimpleLocator[1];
        this.fFullChecked = false;
        this.fSubGroupCount = 0;
        this.fSubGroups = new XSElementDecl[16];
        this.fComponents = null;
        this.fComponentsExt = null;
        this.fDocuments = null;
        this.fLocations = null;
        this.fTargetNamespace = schemaGrammar.fTargetNamespace;
        this.fGrammarDescription = schemaGrammar.fGrammarDescription.makeClone();
        this.fSymbolTable = schemaGrammar.fSymbolTable;
        this.fGlobalAttrDecls = schemaGrammar.fGlobalAttrDecls.makeClone();
        this.fGlobalAttrGrpDecls = schemaGrammar.fGlobalAttrGrpDecls.makeClone();
        this.fGlobalElemDecls = schemaGrammar.fGlobalElemDecls.makeClone();
        this.fGlobalGroupDecls = schemaGrammar.fGlobalGroupDecls.makeClone();
        this.fGlobalNotationDecls = schemaGrammar.fGlobalNotationDecls.makeClone();
        this.fGlobalIDConstraintDecls = schemaGrammar.fGlobalIDConstraintDecls.makeClone();
        this.fGlobalTypeDecls = schemaGrammar.fGlobalTypeDecls.makeClone();
        this.fGlobalAttrDeclsExt = schemaGrammar.fGlobalAttrDeclsExt.makeClone();
        this.fGlobalAttrGrpDeclsExt = schemaGrammar.fGlobalAttrGrpDeclsExt.makeClone();
        this.fGlobalElemDeclsExt = schemaGrammar.fGlobalElemDeclsExt.makeClone();
        this.fGlobalGroupDeclsExt = schemaGrammar.fGlobalGroupDeclsExt.makeClone();
        this.fGlobalNotationDeclsExt = schemaGrammar.fGlobalNotationDeclsExt.makeClone();
        this.fGlobalIDConstraintDeclsExt = schemaGrammar.fGlobalIDConstraintDeclsExt.makeClone();
        this.fGlobalTypeDeclsExt = schemaGrammar.fGlobalTypeDeclsExt.makeClone();
        this.fAllGlobalElemDecls = schemaGrammar.fAllGlobalElemDecls.makeClone();
        int i2 = schemaGrammar.fNumAnnotations;
        this.fNumAnnotations = i2;
        if (i2 > 0) {
            XSAnnotationImpl[] xSAnnotationImplArr = new XSAnnotationImpl[schemaGrammar.fAnnotations.length];
            this.fAnnotations = xSAnnotationImplArr;
            System.arraycopy(schemaGrammar.fAnnotations, 0, xSAnnotationImplArr, 0, i2);
        }
        int i3 = schemaGrammar.fSubGroupCount;
        this.fSubGroupCount = i3;
        if (i3 > 0) {
            XSElementDecl[] xSElementDeclArr = new XSElementDecl[schemaGrammar.fSubGroups.length];
            this.fSubGroups = xSElementDeclArr;
            System.arraycopy(schemaGrammar.fSubGroups, 0, xSElementDeclArr, 0, i3);
        }
        int i4 = schemaGrammar.fCTCount;
        this.fCTCount = i4;
        if (i4 > 0) {
            XSComplexTypeDecl[] xSComplexTypeDeclArr = new XSComplexTypeDecl[schemaGrammar.fComplexTypeDecls.length];
            this.fComplexTypeDecls = xSComplexTypeDeclArr;
            this.fCTLocators = new SimpleLocator[schemaGrammar.fCTLocators.length];
            System.arraycopy(schemaGrammar.fComplexTypeDecls, 0, xSComplexTypeDeclArr, 0, i4);
            System.arraycopy(schemaGrammar.fCTLocators, 0, this.fCTLocators, 0, this.fCTCount);
        }
        int i5 = schemaGrammar.fRGCount;
        this.fRGCount = i5;
        if (i5 > 0) {
            XSGroupDecl[] xSGroupDeclArr = new XSGroupDecl[schemaGrammar.fRedefinedGroupDecls.length];
            this.fRedefinedGroupDecls = xSGroupDeclArr;
            this.fRGLocators = new SimpleLocator[schemaGrammar.fRGLocators.length];
            System.arraycopy(schemaGrammar.fRedefinedGroupDecls, 0, xSGroupDeclArr, 0, i5);
            System.arraycopy(schemaGrammar.fRGLocators, 0, this.fRGLocators, 0, this.fRGCount);
        }
        if (schemaGrammar.fImported != null) {
            this.fImported = new Vector();
            for (int i6 = 0; i6 < schemaGrammar.fImported.size(); i6++) {
                this.fImported.add(schemaGrammar.fImported.elementAt(i6));
            }
        }
        if (schemaGrammar.fLocations != null) {
            for (int i7 = 0; i7 < schemaGrammar.fLocations.size(); i7++) {
                addDocument(null, (String) schemaGrammar.fLocations.elementAt(i7));
            }
        }
    }

    public static SchemaGrammar getS4SGrammar(short s) {
        return s == 1 ? SG_SchemaNS : SG_SchemaNSExtended;
    }

    public static final XSComplexTypeDecl[] resize(XSComplexTypeDecl[] xSComplexTypeDeclArr, int i2) {
        XSComplexTypeDecl[] xSComplexTypeDeclArr2 = new XSComplexTypeDecl[i2];
        System.arraycopy(xSComplexTypeDeclArr, 0, xSComplexTypeDeclArr2, 0, Math.min(xSComplexTypeDeclArr.length, i2));
        return xSComplexTypeDeclArr2;
    }

    public static final XSElementDecl[] resize(XSElementDecl[] xSElementDeclArr, int i2) {
        XSElementDecl[] xSElementDeclArr2 = new XSElementDecl[i2];
        System.arraycopy(xSElementDeclArr, 0, xSElementDeclArr2, 0, Math.min(xSElementDeclArr.length, i2));
        return xSElementDeclArr2;
    }

    public static final XSGroupDecl[] resize(XSGroupDecl[] xSGroupDeclArr, int i2) {
        XSGroupDecl[] xSGroupDeclArr2 = new XSGroupDecl[i2];
        System.arraycopy(xSGroupDeclArr, 0, xSGroupDeclArr2, 0, Math.min(xSGroupDeclArr.length, i2));
        return xSGroupDeclArr2;
    }

    public static final SimpleLocator[] resize(SimpleLocator[] simpleLocatorArr, int i2) {
        SimpleLocator[] simpleLocatorArr2 = new SimpleLocator[i2];
        System.arraycopy(simpleLocatorArr, 0, simpleLocatorArr2, 0, Math.min(simpleLocatorArr.length, i2));
        return simpleLocatorArr2;
    }

    public void addAnnotation(XSAnnotationImpl xSAnnotationImpl) {
        if (xSAnnotationImpl != null) {
            XSAnnotationImpl[] xSAnnotationImplArr = this.fAnnotations;
            if (xSAnnotationImplArr == null) {
                this.fAnnotations = new XSAnnotationImpl[2];
            } else {
                int i2 = this.fNumAnnotations;
                if (i2 == xSAnnotationImplArr.length) {
                    XSAnnotationImpl[] xSAnnotationImplArr2 = new XSAnnotationImpl[(i2 << 1)];
                    System.arraycopy(xSAnnotationImplArr, 0, xSAnnotationImplArr2, 0, i2);
                    this.fAnnotations = xSAnnotationImplArr2;
                }
            }
            XSAnnotationImpl[] xSAnnotationImplArr3 = this.fAnnotations;
            int i3 = this.fNumAnnotations;
            this.fNumAnnotations = i3 + 1;
            xSAnnotationImplArr3[i3] = xSAnnotationImpl;
        }
    }

    public void addComplexTypeDecl(XSComplexTypeDecl xSComplexTypeDecl, SimpleLocator simpleLocator) {
        int i2 = this.fCTCount;
        XSComplexTypeDecl[] xSComplexTypeDeclArr = this.fComplexTypeDecls;
        if (i2 == xSComplexTypeDeclArr.length) {
            this.fComplexTypeDecls = resize(xSComplexTypeDeclArr, i2 + 16);
            this.fCTLocators = resize(this.fCTLocators, this.fCTCount + 16);
        }
        SimpleLocator[] simpleLocatorArr = this.fCTLocators;
        int i3 = this.fCTCount;
        simpleLocatorArr[i3] = simpleLocator;
        XSComplexTypeDecl[] xSComplexTypeDeclArr2 = this.fComplexTypeDecls;
        this.fCTCount = i3 + 1;
        xSComplexTypeDeclArr2[i3] = xSComplexTypeDecl;
    }

    public synchronized void addDocument(Object obj, String str) {
        if (this.fDocuments == null) {
            this.fDocuments = new Vector();
            this.fLocations = new Vector();
        }
        this.fDocuments.addElement(obj);
        this.fLocations.addElement(str);
    }

    public void addGlobalAttributeDecl(XSAttributeDecl xSAttributeDecl) {
        this.fGlobalAttrDecls.put(xSAttributeDecl.fName, xSAttributeDecl);
        xSAttributeDecl.setNamespaceItem(this);
    }

    public void addGlobalAttributeDecl(XSAttributeDecl xSAttributeDecl, String str) {
        SymbolHash symbolHash = this.fGlobalAttrDeclsExt;
        StringBuffer stringBuffer = new StringBuffer();
        if (str == null) {
            str = "";
        }
        stringBuffer.append(str);
        stringBuffer.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
        stringBuffer.append(xSAttributeDecl.fName);
        symbolHash.put(stringBuffer.toString(), xSAttributeDecl);
        if (xSAttributeDecl.getNamespaceItem() == null) {
            xSAttributeDecl.setNamespaceItem(this);
        }
    }

    public void addGlobalAttributeGroupDecl(XSAttributeGroupDecl xSAttributeGroupDecl) {
        this.fGlobalAttrGrpDecls.put(xSAttributeGroupDecl.fName, xSAttributeGroupDecl);
        xSAttributeGroupDecl.setNamespaceItem(this);
    }

    public void addGlobalAttributeGroupDecl(XSAttributeGroupDecl xSAttributeGroupDecl, String str) {
        SymbolHash symbolHash = this.fGlobalAttrGrpDeclsExt;
        StringBuffer stringBuffer = new StringBuffer();
        if (str == null) {
            str = "";
        }
        stringBuffer.append(str);
        stringBuffer.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
        stringBuffer.append(xSAttributeGroupDecl.fName);
        symbolHash.put(stringBuffer.toString(), xSAttributeGroupDecl);
        if (xSAttributeGroupDecl.getNamespaceItem() == null) {
            xSAttributeGroupDecl.setNamespaceItem(this);
        }
    }

    public void addGlobalComplexTypeDecl(XSComplexTypeDecl xSComplexTypeDecl) {
        this.fGlobalTypeDecls.put(xSComplexTypeDecl.getName(), xSComplexTypeDecl);
        xSComplexTypeDecl.setNamespaceItem(this);
    }

    public void addGlobalComplexTypeDecl(XSComplexTypeDecl xSComplexTypeDecl, String str) {
        SymbolHash symbolHash = this.fGlobalTypeDeclsExt;
        StringBuffer stringBuffer = new StringBuffer();
        if (str == null) {
            str = "";
        }
        stringBuffer.append(str);
        stringBuffer.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
        stringBuffer.append(xSComplexTypeDecl.getName());
        symbolHash.put(stringBuffer.toString(), xSComplexTypeDecl);
        if (xSComplexTypeDecl.getNamespaceItem() == null) {
            xSComplexTypeDecl.setNamespaceItem(this);
        }
    }

    public void addGlobalElementDecl(XSElementDecl xSElementDecl) {
        this.fGlobalElemDecls.put(xSElementDecl.fName, xSElementDecl);
        xSElementDecl.setNamespaceItem(this);
    }

    public void addGlobalElementDecl(XSElementDecl xSElementDecl, String str) {
        SymbolHash symbolHash = this.fGlobalElemDeclsExt;
        StringBuffer stringBuffer = new StringBuffer();
        if (str == null) {
            str = "";
        }
        stringBuffer.append(str);
        stringBuffer.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
        stringBuffer.append(xSElementDecl.fName);
        symbolHash.put(stringBuffer.toString(), xSElementDecl);
        if (xSElementDecl.getNamespaceItem() == null) {
            xSElementDecl.setNamespaceItem(this);
        }
    }

    public void addGlobalElementDeclAll(XSElementDecl xSElementDecl) {
        if (this.fAllGlobalElemDecls.get(xSElementDecl) == null) {
            this.fAllGlobalElemDecls.put(xSElementDecl, xSElementDecl);
            if (xSElementDecl.fSubGroup != null) {
                int i2 = this.fSubGroupCount;
                XSElementDecl[] xSElementDeclArr = this.fSubGroups;
                if (i2 == xSElementDeclArr.length) {
                    this.fSubGroups = resize(xSElementDeclArr, i2 + 16);
                }
                XSElementDecl[] xSElementDeclArr2 = this.fSubGroups;
                int i3 = this.fSubGroupCount;
                this.fSubGroupCount = i3 + 1;
                xSElementDeclArr2[i3] = xSElementDecl;
            }
        }
    }

    public void addGlobalGroupDecl(XSGroupDecl xSGroupDecl) {
        this.fGlobalGroupDecls.put(xSGroupDecl.fName, xSGroupDecl);
        xSGroupDecl.setNamespaceItem(this);
    }

    public void addGlobalGroupDecl(XSGroupDecl xSGroupDecl, String str) {
        SymbolHash symbolHash = this.fGlobalGroupDeclsExt;
        StringBuffer stringBuffer = new StringBuffer();
        if (str == null) {
            str = "";
        }
        stringBuffer.append(str);
        stringBuffer.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
        stringBuffer.append(xSGroupDecl.fName);
        symbolHash.put(stringBuffer.toString(), xSGroupDecl);
        if (xSGroupDecl.getNamespaceItem() == null) {
            xSGroupDecl.setNamespaceItem(this);
        }
    }

    public void addGlobalNotationDecl(XSNotationDecl xSNotationDecl) {
        this.fGlobalNotationDecls.put(xSNotationDecl.fName, xSNotationDecl);
        xSNotationDecl.setNamespaceItem(this);
    }

    public void addGlobalNotationDecl(XSNotationDecl xSNotationDecl, String str) {
        SymbolHash symbolHash = this.fGlobalNotationDeclsExt;
        StringBuffer stringBuffer = new StringBuffer();
        if (str == null) {
            str = "";
        }
        stringBuffer.append(str);
        stringBuffer.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
        stringBuffer.append(xSNotationDecl.fName);
        symbolHash.put(stringBuffer.toString(), xSNotationDecl);
        if (xSNotationDecl.getNamespaceItem() == null) {
            xSNotationDecl.setNamespaceItem(this);
        }
    }

    public void addGlobalSimpleTypeDecl(XSSimpleType xSSimpleType) {
        this.fGlobalTypeDecls.put(xSSimpleType.getName(), xSSimpleType);
        if (xSSimpleType instanceof XSSimpleTypeDecl) {
            ((XSSimpleTypeDecl) xSSimpleType).setNamespaceItem(this);
        }
    }

    public void addGlobalSimpleTypeDecl(XSSimpleType xSSimpleType, String str) {
        SymbolHash symbolHash = this.fGlobalTypeDeclsExt;
        StringBuffer stringBuffer = new StringBuffer();
        if (str == null) {
            str = "";
        }
        stringBuffer.append(str);
        stringBuffer.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
        stringBuffer.append(xSSimpleType.getName());
        symbolHash.put(stringBuffer.toString(), xSSimpleType);
        if (xSSimpleType.getNamespaceItem() == null && (xSSimpleType instanceof XSSimpleTypeDecl)) {
            ((XSSimpleTypeDecl) xSSimpleType).setNamespaceItem(this);
        }
    }

    public void addGlobalTypeDecl(XSTypeDefinition xSTypeDefinition) {
        this.fGlobalTypeDecls.put(xSTypeDefinition.getName(), xSTypeDefinition);
        if (xSTypeDefinition instanceof XSComplexTypeDecl) {
            ((XSComplexTypeDecl) xSTypeDefinition).setNamespaceItem(this);
        } else if (xSTypeDefinition instanceof XSSimpleTypeDecl) {
            ((XSSimpleTypeDecl) xSTypeDefinition).setNamespaceItem(this);
        }
    }

    public void addGlobalTypeDecl(XSTypeDefinition xSTypeDefinition, String str) {
        SymbolHash symbolHash = this.fGlobalTypeDeclsExt;
        StringBuffer stringBuffer = new StringBuffer();
        if (str == null) {
            str = "";
        }
        stringBuffer.append(str);
        stringBuffer.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
        stringBuffer.append(xSTypeDefinition.getName());
        symbolHash.put(stringBuffer.toString(), xSTypeDefinition);
        if (xSTypeDefinition.getNamespaceItem() != null) {
            return;
        }
        if (xSTypeDefinition instanceof XSComplexTypeDecl) {
            ((XSComplexTypeDecl) xSTypeDefinition).setNamespaceItem(this);
        } else if (xSTypeDefinition instanceof XSSimpleTypeDecl) {
            ((XSSimpleTypeDecl) xSTypeDefinition).setNamespaceItem(this);
        }
    }

    public final void addIDConstraintDecl(XSElementDecl xSElementDecl, IdentityConstraint identityConstraint) {
        xSElementDecl.addIDConstraint(identityConstraint);
        this.fGlobalIDConstraintDecls.put(identityConstraint.getIdentityConstraintName(), identityConstraint);
    }

    public final void addIDConstraintDecl(XSElementDecl xSElementDecl, IdentityConstraint identityConstraint, String str) {
        SymbolHash symbolHash = this.fGlobalIDConstraintDeclsExt;
        StringBuffer stringBuffer = new StringBuffer();
        if (str == null) {
            str = "";
        }
        stringBuffer.append(str);
        stringBuffer.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
        stringBuffer.append(identityConstraint.getIdentityConstraintName());
        symbolHash.put(stringBuffer.toString(), identityConstraint);
    }

    public void addRedefinedGroupDecl(XSGroupDecl xSGroupDecl, XSGroupDecl xSGroupDecl2, SimpleLocator simpleLocator) {
        int i2 = this.fRGCount;
        XSGroupDecl[] xSGroupDeclArr = this.fRedefinedGroupDecls;
        if (i2 == xSGroupDeclArr.length) {
            this.fRedefinedGroupDecls = resize(xSGroupDeclArr, i2 << 1);
            this.fRGLocators = resize(this.fRGLocators, this.fRGCount);
        }
        SimpleLocator[] simpleLocatorArr = this.fRGLocators;
        int i3 = this.fRGCount;
        simpleLocatorArr[i3 / 2] = simpleLocator;
        XSGroupDecl[] xSGroupDeclArr2 = this.fRedefinedGroupDecls;
        int i4 = i3 + 1;
        this.fRGCount = i4;
        xSGroupDeclArr2[i3] = xSGroupDecl;
        this.fRGCount = i4 + 1;
        xSGroupDeclArr2[i4] = xSGroupDecl2;
    }

    @Override // org.apache.xerces.xs.XSNamespaceItem
    public XSObjectList getAnnotations() {
        return this.fNumAnnotations == 0 ? XSObjectListImpl.EMPTY_LIST : new XSObjectListImpl(this.fAnnotations, this.fNumAnnotations);
    }

    @Override // org.apache.xerces.xs.XSNamespaceItem
    public XSAttributeDeclaration getAttributeDeclaration(String str) {
        return getGlobalAttributeDecl(str);
    }

    @Override // org.apache.xerces.xs.XSNamespaceItem
    public XSAttributeGroupDefinition getAttributeGroup(String str) {
        return getGlobalAttributeGroupDecl(str);
    }

    @Override // org.apache.xerces.xs.XSNamespaceItem
    public synchronized XSNamedMap getComponents(short s) {
        if (s > 0 && s <= 16) {
            if (GLOBAL_COMP[s]) {
                if (this.fComponents == null) {
                    this.fComponents = new XSNamedMap[17];
                }
                if (this.fComponents[s] == null) {
                    SymbolHash symbolHash = null;
                    if (s == 1) {
                        symbolHash = this.fGlobalAttrDecls;
                    } else if (s != 2) {
                        if (s != 3) {
                            if (s == 5) {
                                symbolHash = this.fGlobalAttrGrpDecls;
                            } else if (s == 6) {
                                symbolHash = this.fGlobalGroupDecls;
                            } else if (s == 10) {
                                symbolHash = this.fGlobalIDConstraintDecls;
                            } else if (s == 11) {
                                symbolHash = this.fGlobalNotationDecls;
                            } else if (!(s == 15 || s == 16)) {
                            }
                        }
                        symbolHash = this.fGlobalTypeDecls;
                    } else {
                        symbolHash = this.fGlobalElemDecls;
                    }
                    if (s != 15) {
                        if (s != 16) {
                            this.fComponents[s] = new XSNamedMapImpl(this.fTargetNamespace, symbolHash);
                        }
                    }
                    this.fComponents[s] = new XSNamedMap4Types(this.fTargetNamespace, symbolHash, s);
                }
                return this.fComponents[s];
            }
        }
        return XSNamedMapImpl.EMPTY_MAP;
    }

    public synchronized ObjectList getComponentsExt(short s) {
        if (s > 0 && s <= 16) {
            if (GLOBAL_COMP[s]) {
                if (this.fComponentsExt == null) {
                    this.fComponentsExt = new ObjectList[17];
                }
                if (this.fComponentsExt[s] == null) {
                    SymbolHash symbolHash = null;
                    if (s == 1) {
                        symbolHash = this.fGlobalAttrDeclsExt;
                    } else if (s != 2) {
                        if (s != 3) {
                            if (s == 5) {
                                symbolHash = this.fGlobalAttrGrpDeclsExt;
                            } else if (s == 6) {
                                symbolHash = this.fGlobalGroupDeclsExt;
                            } else if (s == 10) {
                                symbolHash = this.fGlobalIDConstraintDeclsExt;
                            } else if (s == 11) {
                                symbolHash = this.fGlobalNotationDeclsExt;
                            } else if (!(s == 15 || s == 16)) {
                            }
                        }
                        symbolHash = this.fGlobalTypeDeclsExt;
                    } else {
                        symbolHash = this.fGlobalElemDeclsExt;
                    }
                    Object[] entries = symbolHash.getEntries();
                    this.fComponentsExt[s] = new ObjectListImpl(entries, entries.length);
                }
                return this.fComponentsExt[s];
            }
        }
        return ObjectListImpl.EMPTY_LIST;
    }

    public synchronized DOMParser getDOMParser() {
        DOMParser dOMParser;
        if (this.fDOMParser != null && (dOMParser = (DOMParser) this.fDOMParser.get()) != null) {
            return dOMParser;
        }
        XML11Configuration xML11Configuration = new XML11Configuration(this.fSymbolTable);
        xML11Configuration.setFeature("http://xml.org/sax/features/namespaces", true);
        xML11Configuration.setFeature("http://xml.org/sax/features/validation", false);
        DOMParser dOMParser2 = new DOMParser(xML11Configuration);
        try {
            dOMParser2.setFeature(AbstractDOMParser.DEFER_NODE_EXPANSION, false);
        } catch (SAXException unused) {
        }
        this.fDOMParser = new SoftReference(dOMParser2);
        return dOMParser2;
    }

    @Override // org.apache.xerces.xs.XSNamespaceItem
    public StringList getDocumentLocations() {
        return new StringListImpl(this.fLocations);
    }

    @Override // org.apache.xerces.xs.XSNamespaceItem
    public XSElementDeclaration getElementDeclaration(String str) {
        return getGlobalElementDecl(str);
    }

    public final XSAttributeDecl getGlobalAttributeDecl(String str) {
        return (XSAttributeDecl) this.fGlobalAttrDecls.get(str);
    }

    public final XSAttributeDecl getGlobalAttributeDecl(String str, String str2) {
        SymbolHash symbolHash = this.fGlobalAttrDeclsExt;
        StringBuffer stringBuffer = new StringBuffer();
        if (str2 == null) {
            str2 = "";
        }
        stringBuffer.append(str2);
        stringBuffer.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
        stringBuffer.append(str);
        return (XSAttributeDecl) symbolHash.get(stringBuffer.toString());
    }

    public final XSAttributeGroupDecl getGlobalAttributeGroupDecl(String str) {
        return (XSAttributeGroupDecl) this.fGlobalAttrGrpDecls.get(str);
    }

    public final XSAttributeGroupDecl getGlobalAttributeGroupDecl(String str, String str2) {
        SymbolHash symbolHash = this.fGlobalAttrGrpDeclsExt;
        StringBuffer stringBuffer = new StringBuffer();
        if (str2 == null) {
            str2 = "";
        }
        stringBuffer.append(str2);
        stringBuffer.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
        stringBuffer.append(str);
        return (XSAttributeGroupDecl) symbolHash.get(stringBuffer.toString());
    }

    public final XSElementDecl getGlobalElementDecl(String str) {
        return (XSElementDecl) this.fGlobalElemDecls.get(str);
    }

    public final XSElementDecl getGlobalElementDecl(String str, String str2) {
        SymbolHash symbolHash = this.fGlobalElemDeclsExt;
        StringBuffer stringBuffer = new StringBuffer();
        if (str2 == null) {
            str2 = "";
        }
        stringBuffer.append(str2);
        stringBuffer.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
        stringBuffer.append(str);
        return (XSElementDecl) symbolHash.get(stringBuffer.toString());
    }

    public final XSGroupDecl getGlobalGroupDecl(String str) {
        return (XSGroupDecl) this.fGlobalGroupDecls.get(str);
    }

    public final XSGroupDecl getGlobalGroupDecl(String str, String str2) {
        SymbolHash symbolHash = this.fGlobalGroupDeclsExt;
        StringBuffer stringBuffer = new StringBuffer();
        if (str2 == null) {
            str2 = "";
        }
        stringBuffer.append(str2);
        stringBuffer.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
        stringBuffer.append(str);
        return (XSGroupDecl) symbolHash.get(stringBuffer.toString());
    }

    public final XSNotationDecl getGlobalNotationDecl(String str) {
        return (XSNotationDecl) this.fGlobalNotationDecls.get(str);
    }

    public final XSNotationDecl getGlobalNotationDecl(String str, String str2) {
        SymbolHash symbolHash = this.fGlobalNotationDeclsExt;
        StringBuffer stringBuffer = new StringBuffer();
        if (str2 == null) {
            str2 = "";
        }
        stringBuffer.append(str2);
        stringBuffer.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
        stringBuffer.append(str);
        return (XSNotationDecl) symbolHash.get(stringBuffer.toString());
    }

    public final XSTypeDefinition getGlobalTypeDecl(String str) {
        return (XSTypeDefinition) this.fGlobalTypeDecls.get(str);
    }

    public final XSTypeDefinition getGlobalTypeDecl(String str, String str2) {
        SymbolHash symbolHash = this.fGlobalTypeDeclsExt;
        StringBuffer stringBuffer = new StringBuffer();
        if (str2 == null) {
            str2 = "";
        }
        stringBuffer.append(str2);
        stringBuffer.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
        stringBuffer.append(str);
        return (XSTypeDefinition) symbolHash.get(stringBuffer.toString());
    }

    @Override // org.apache.xerces.xni.grammars.Grammar
    public XMLGrammarDescription getGrammarDescription() {
        return this.fGrammarDescription;
    }

    @Override // org.apache.xerces.xs.XSNamespaceItem
    public XSIDCDefinition getIDCDefinition(String str) {
        return getIDConstraintDecl(str);
    }

    public final IdentityConstraint getIDConstraintDecl(String str) {
        return (IdentityConstraint) this.fGlobalIDConstraintDecls.get(str);
    }

    public final IdentityConstraint getIDConstraintDecl(String str, String str2) {
        SymbolHash symbolHash = this.fGlobalIDConstraintDeclsExt;
        StringBuffer stringBuffer = new StringBuffer();
        if (str2 == null) {
            str2 = "";
        }
        stringBuffer.append(str2);
        stringBuffer.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
        stringBuffer.append(str);
        return (IdentityConstraint) symbolHash.get(stringBuffer.toString());
    }

    public Vector getImportedGrammars() {
        return this.fImported;
    }

    @Override // org.apache.xerces.xs.XSNamespaceItem
    public XSModelGroupDefinition getModelGroupDefinition(String str) {
        return getGlobalGroupDecl(str);
    }

    @Override // org.apache.xerces.xs.XSNamespaceItem
    public XSNotationDeclaration getNotationDeclaration(String str) {
        return getGlobalNotationDecl(str);
    }

    public final SimpleLocator[] getRGLocators() {
        int i2 = this.fRGCount;
        XSGroupDecl[] xSGroupDeclArr = this.fRedefinedGroupDecls;
        if (i2 < xSGroupDeclArr.length) {
            this.fRedefinedGroupDecls = resize(xSGroupDeclArr, i2);
            this.fRGLocators = resize(this.fRGLocators, this.fRGCount / 2);
        }
        return this.fRGLocators;
    }

    public final XSGroupDecl[] getRedefinedGroupDecls() {
        int i2 = this.fRGCount;
        XSGroupDecl[] xSGroupDeclArr = this.fRedefinedGroupDecls;
        if (i2 < xSGroupDeclArr.length) {
            this.fRedefinedGroupDecls = resize(xSGroupDeclArr, i2);
            this.fRGLocators = resize(this.fRGLocators, this.fRGCount / 2);
        }
        return this.fRedefinedGroupDecls;
    }

    public synchronized SAXParser getSAXParser() {
        SAXParser sAXParser;
        if (this.fSAXParser != null && (sAXParser = (SAXParser) this.fSAXParser.get()) != null) {
            return sAXParser;
        }
        XML11Configuration xML11Configuration = new XML11Configuration(this.fSymbolTable);
        xML11Configuration.setFeature("http://xml.org/sax/features/namespaces", true);
        xML11Configuration.setFeature("http://xml.org/sax/features/validation", false);
        SAXParser sAXParser2 = new SAXParser(xML11Configuration);
        this.fSAXParser = new SoftReference(sAXParser2);
        return sAXParser2;
    }

    @Override // org.apache.xerces.xs.XSNamespaceItem
    public String getSchemaNamespace() {
        return this.fTargetNamespace;
    }

    public final XSElementDecl[] getSubstitutionGroups() {
        int i2 = this.fSubGroupCount;
        XSElementDecl[] xSElementDeclArr = this.fSubGroups;
        if (i2 < xSElementDeclArr.length) {
            this.fSubGroups = resize(xSElementDeclArr, i2);
        }
        return this.fSubGroups;
    }

    public final String getTargetNamespace() {
        return this.fTargetNamespace;
    }

    @Override // org.apache.xerces.xs.XSNamespaceItem
    public XSTypeDefinition getTypeDefinition(String str) {
        return getGlobalTypeDecl(str);
    }

    public final SimpleLocator[] getUncheckedCTLocators() {
        int i2 = this.fCTCount;
        if (i2 < this.fCTLocators.length) {
            this.fComplexTypeDecls = resize(this.fComplexTypeDecls, i2);
            this.fCTLocators = resize(this.fCTLocators, this.fCTCount);
        }
        return this.fCTLocators;
    }

    public final XSComplexTypeDecl[] getUncheckedComplexTypeDecls() {
        int i2 = this.fCTCount;
        XSComplexTypeDecl[] xSComplexTypeDeclArr = this.fComplexTypeDecls;
        if (i2 < xSComplexTypeDeclArr.length) {
            this.fComplexTypeDecls = resize(xSComplexTypeDeclArr, i2);
            this.fCTLocators = resize(this.fCTLocators, this.fCTCount);
        }
        return this.fComplexTypeDecls;
    }

    public final boolean hasIDConstraints() {
        return this.fGlobalIDConstraintDecls.getLength() > 0;
    }

    public boolean isImmutable() {
        return this.fIsImmutable;
    }

    public boolean isNamespaceAware() {
        return true;
    }

    public synchronized void removeDocument(int i2) {
        if (this.fDocuments != null && i2 >= 0 && i2 < this.fDocuments.size()) {
            this.fDocuments.removeElementAt(i2);
            this.fLocations.removeElementAt(i2);
        }
    }

    public synchronized void resetComponents() {
        this.fComponents = null;
        this.fComponentsExt = null;
    }

    public void setImmutable(boolean z) {
        this.fIsImmutable = z;
    }

    public void setImportedGrammars(Vector vector) {
        this.fImported = vector;
    }

    public final void setUncheckedTypeNum(int i2) {
        this.fCTCount = i2;
        this.fComplexTypeDecls = resize(this.fComplexTypeDecls, i2);
        this.fCTLocators = resize(this.fCTLocators, this.fCTCount);
    }

    @Override // org.apache.xerces.xni.grammars.XSGrammar
    public XSModel toXSModel() {
        return new XSModelImpl(new SchemaGrammar[]{this});
    }

    @Override // org.apache.xerces.xni.grammars.XSGrammar
    public XSModel toXSModel(XSGrammar[] xSGrammarArr) {
        boolean z;
        if (xSGrammarArr == null || xSGrammarArr.length == 0) {
            return toXSModel();
        }
        int length = xSGrammarArr.length;
        int i2 = 0;
        while (true) {
            if (i2 >= length) {
                z = false;
                break;
            } else if (xSGrammarArr[i2] == this) {
                z = true;
                break;
            } else {
                i2++;
            }
        }
        SchemaGrammar[] schemaGrammarArr = new SchemaGrammar[(z ? length : length + 1)];
        for (int i3 = 0; i3 < length; i3++) {
            schemaGrammarArr[i3] = (SchemaGrammar) xSGrammarArr[i3];
        }
        if (!z) {
            schemaGrammarArr[length] = this;
        }
        return new XSModelImpl(schemaGrammarArr);
    }
}
