package org.apache.xerces.impl.xs;

import b.b.a.a.a;
import org.apache.xerces.impl.xs.util.StringListImpl;
import org.apache.xerces.impl.xs.util.XSObjectListImpl;
import org.apache.xerces.xs.StringList;
import org.apache.xerces.xs.XSAnnotation;
import org.apache.xerces.xs.XSNamespaceItem;
import org.apache.xerces.xs.XSObjectList;
import org.apache.xerces.xs.XSWildcard;

public class XSWildcardDecl implements XSWildcard {
    public static final String ABSENT = null;
    public XSObjectList fAnnotations = null;
    public String fDescription = null;
    public String[] fNamespaceList;
    public short fProcessContents = 1;
    public short fType = 1;

    private boolean areSame(XSWildcardDecl xSWildcardDecl) {
        short s = this.fType;
        if (s == xSWildcardDecl.fType) {
            if (s == 1) {
                return true;
            }
            if (s == 2) {
                return this.fNamespaceList[0] == xSWildcardDecl.fNamespaceList[0];
            }
            if (this.fNamespaceList.length == xSWildcardDecl.fNamespaceList.length) {
                int i2 = 0;
                while (true) {
                    String[] strArr = this.fNamespaceList;
                    if (i2 >= strArr.length) {
                        return true;
                    }
                    if (!elementInSet(strArr[i2], xSWildcardDecl.fNamespaceList)) {
                        return false;
                    }
                    i2++;
                }
            }
        }
        return false;
    }

    public boolean allowNamespace(String str) {
        short s = this.fType;
        if (s == 1) {
            return true;
        }
        if (s == 2) {
            int length = this.fNamespaceList.length;
            boolean z = false;
            for (int i2 = 0; i2 < length && !z; i2++) {
                if (str == this.fNamespaceList[i2]) {
                    z = true;
                }
            }
            if (!z) {
                return true;
            }
        }
        if (this.fType == 3) {
            int length2 = this.fNamespaceList.length;
            for (int i3 = 0; i3 < length2; i3++) {
                if (str == this.fNamespaceList[i3]) {
                    return true;
                }
            }
        }
        return false;
    }

    public boolean elementInSet(String str, String[] strArr) {
        boolean z = false;
        for (int i2 = 0; i2 < strArr.length && !z; i2++) {
            if (str == strArr[i2]) {
                z = true;
            }
        }
        return z;
    }

    @Override // org.apache.xerces.xs.XSWildcard
    public XSAnnotation getAnnotation() {
        XSObjectList xSObjectList = this.fAnnotations;
        if (xSObjectList != null) {
            return (XSAnnotation) xSObjectList.item(0);
        }
        return null;
    }

    @Override // org.apache.xerces.xs.XSWildcard
    public XSObjectList getAnnotations() {
        XSObjectList xSObjectList = this.fAnnotations;
        return xSObjectList != null ? xSObjectList : XSObjectListImpl.EMPTY_LIST;
    }

    @Override // org.apache.xerces.xs.XSWildcard
    public short getConstraintType() {
        return this.fType;
    }

    @Override // org.apache.xerces.xs.XSObject
    public String getName() {
        return null;
    }

    @Override // org.apache.xerces.xs.XSObject
    public String getNamespace() {
        return null;
    }

    @Override // org.apache.xerces.xs.XSObject
    public XSNamespaceItem getNamespaceItem() {
        return null;
    }

    @Override // org.apache.xerces.xs.XSWildcard
    public StringList getNsConstraintList() {
        String[] strArr = this.fNamespaceList;
        return new StringListImpl(strArr, strArr == null ? 0 : strArr.length);
    }

    @Override // org.apache.xerces.xs.XSWildcard
    public short getProcessContents() {
        return this.fProcessContents;
    }

    public String getProcessContentsAsString() {
        short s = this.fProcessContents;
        return s != 1 ? s != 2 ? s != 3 ? "invalid value" : SchemaSymbols.ATTVAL_LAX : SchemaSymbols.ATTVAL_SKIP : SchemaSymbols.ATTVAL_STRICT;
    }

    @Override // org.apache.xerces.xs.XSObject
    public short getType() {
        return 9;
    }

    public String[] intersect2sets(String[] strArr, String[] strArr2) {
        String[] strArr3 = new String[Math.min(strArr.length, strArr2.length)];
        int i2 = 0;
        for (int i3 = 0; i3 < strArr.length; i3++) {
            if (elementInSet(strArr[i3], strArr2)) {
                strArr3[i2] = strArr[i3];
                i2++;
            }
        }
        String[] strArr4 = new String[i2];
        System.arraycopy(strArr3, 0, strArr4, 0, i2);
        return strArr4;
    }

    public boolean isSubsetOf(XSWildcardDecl xSWildcardDecl) {
        if (xSWildcardDecl == null) {
            return false;
        }
        short s = xSWildcardDecl.fType;
        if (s == 1) {
            return true;
        }
        if (this.fType == 2 && s == 2 && this.fNamespaceList[0] == xSWildcardDecl.fNamespaceList[0]) {
            return true;
        }
        if (this.fType == 3) {
            if (xSWildcardDecl.fType != 3 || !subset2sets(this.fNamespaceList, xSWildcardDecl.fNamespaceList)) {
                return xSWildcardDecl.fType == 2 && !elementInSet(xSWildcardDecl.fNamespaceList[0], this.fNamespaceList) && !elementInSet(ABSENT, this.fNamespaceList);
            }
            return true;
        }
    }

    public XSWildcardDecl performIntersectionWith(XSWildcardDecl xSWildcardDecl, short s) {
        short s2;
        String[] strArr;
        String[] strArr2;
        if (xSWildcardDecl == null) {
            return null;
        }
        XSWildcardDecl xSWildcardDecl2 = new XSWildcardDecl();
        xSWildcardDecl2.fProcessContents = s;
        if (areSame(xSWildcardDecl)) {
            xSWildcardDecl2.fType = this.fType;
            xSWildcardDecl2.fNamespaceList = this.fNamespaceList;
        } else {
            short s3 = this.fType;
            if (s3 == 1 || (s2 = xSWildcardDecl.fType) == 1) {
                if (this.fType != 1) {
                    xSWildcardDecl = this;
                }
                xSWildcardDecl2.fType = xSWildcardDecl.fType;
                xSWildcardDecl2.fNamespaceList = xSWildcardDecl.fNamespaceList;
            } else if ((s3 == 2 && s2 == 3) || (this.fType == 3 && xSWildcardDecl.fType == 2)) {
                if (this.fType == 2) {
                    strArr = this.fNamespaceList;
                    strArr2 = xSWildcardDecl.fNamespaceList;
                } else {
                    strArr = xSWildcardDecl.fNamespaceList;
                    strArr2 = this.fNamespaceList;
                }
                int length = strArr2.length;
                String[] strArr3 = new String[length];
                int i2 = 0;
                for (int i3 = 0; i3 < length; i3++) {
                    if (!(strArr2[i3] == strArr[0] || strArr2[i3] == ABSENT)) {
                        strArr3[i2] = strArr2[i3];
                        i2++;
                    }
                }
                xSWildcardDecl2.fType = 3;
                String[] strArr4 = new String[i2];
                xSWildcardDecl2.fNamespaceList = strArr4;
                System.arraycopy(strArr3, 0, strArr4, 0, i2);
            } else if (this.fType == 3 && xSWildcardDecl.fType == 3) {
                xSWildcardDecl2.fType = 3;
                xSWildcardDecl2.fNamespaceList = intersect2sets(this.fNamespaceList, xSWildcardDecl.fNamespaceList);
            } else if (this.fType == 2 && xSWildcardDecl.fType == 2) {
                String str = this.fNamespaceList[0];
                String str2 = ABSENT;
                if (!(str == str2 || xSWildcardDecl.fNamespaceList[0] == str2)) {
                    return null;
                }
                if (this.fNamespaceList[0] != ABSENT) {
                    xSWildcardDecl = this;
                }
                xSWildcardDecl2.fType = xSWildcardDecl.fType;
                xSWildcardDecl2.fNamespaceList = xSWildcardDecl.fNamespaceList;
            }
        }
        return xSWildcardDecl2;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:42:0x009a, code lost:
        if (r4 != false) goto L_0x00a2;
     */
    public XSWildcardDecl performUnionWith(XSWildcardDecl xSWildcardDecl, short s) {
        short s2;
        String[] strArr;
        String[] strArr2;
        if (xSWildcardDecl == null) {
            return null;
        }
        XSWildcardDecl xSWildcardDecl2 = new XSWildcardDecl();
        xSWildcardDecl2.fProcessContents = s;
        if (areSame(xSWildcardDecl)) {
            xSWildcardDecl2.fType = this.fType;
            xSWildcardDecl2.fNamespaceList = this.fNamespaceList;
        } else {
            short s3 = this.fType;
            if (!(s3 == 1 || (s2 = xSWildcardDecl.fType) == 1)) {
                if (s3 == 3 && s2 == 3) {
                    xSWildcardDecl2.fType = 3;
                    xSWildcardDecl2.fNamespaceList = union2sets(this.fNamespaceList, xSWildcardDecl.fNamespaceList);
                } else if (this.fType == 2 && xSWildcardDecl.fType == 2) {
                    xSWildcardDecl2.fType = 2;
                    String[] strArr3 = new String[2];
                    xSWildcardDecl2.fNamespaceList = strArr3;
                    String str = ABSENT;
                    strArr3[0] = str;
                    strArr3[1] = str;
                } else if ((this.fType == 2 && xSWildcardDecl.fType == 3) || (this.fType == 3 && xSWildcardDecl.fType == 2)) {
                    if (this.fType == 2) {
                        strArr = this.fNamespaceList;
                        strArr2 = xSWildcardDecl.fNamespaceList;
                    } else {
                        strArr = xSWildcardDecl.fNamespaceList;
                        strArr2 = this.fNamespaceList;
                    }
                    boolean elementInSet = elementInSet(ABSENT, strArr2);
                    if (strArr[0] != ABSENT) {
                        boolean elementInSet2 = elementInSet(strArr[0], strArr2);
                        if (!elementInSet2 || !elementInSet) {
                            if (elementInSet2 && !elementInSet) {
                                xSWildcardDecl2.fType = 2;
                                String[] strArr4 = new String[2];
                                xSWildcardDecl2.fNamespaceList = strArr4;
                                String str2 = ABSENT;
                                strArr4[0] = str2;
                                strArr4[1] = str2;
                            } else if (!elementInSet2 && elementInSet) {
                                return null;
                            }
                        }
                    }
                    xSWildcardDecl2.fType = 2;
                    xSWildcardDecl2.fNamespaceList = strArr;
                }
            }
            xSWildcardDecl2.fType = 1;
        }
        return xSWildcardDecl2;
    }

    public boolean subset2sets(String[] strArr, String[] strArr2) {
        for (String str : strArr) {
            if (!elementInSet(str, strArr2)) {
                return false;
            }
        }
        return true;
    }

    public String toString() {
        if (this.fDescription == null) {
            StringBuffer a = a.a("WC[");
            short s = this.fType;
            if (s == 1) {
                a.append(SchemaSymbols.ATTVAL_TWOPOUNDANY);
            } else if (s == 2) {
                a.append(SchemaSymbols.ATTVAL_TWOPOUNDOTHER);
                a.append(":\"");
                String[] strArr = this.fNamespaceList;
                if (strArr[0] != null) {
                    a.append(strArr[0]);
                }
                a.append("\"");
            } else if (s == 3 && this.fNamespaceList.length != 0) {
                a.append("\"");
                String[] strArr2 = this.fNamespaceList;
                if (strArr2[0] != null) {
                    a.append(strArr2[0]);
                }
                a.append("\"");
                for (int i2 = 1; i2 < this.fNamespaceList.length; i2++) {
                    a.append(",\"");
                    String[] strArr3 = this.fNamespaceList;
                    if (strArr3[i2] != null) {
                        a.append(strArr3[i2]);
                    }
                    a.append("\"");
                }
            }
            a.append(']');
            this.fDescription = a.toString();
        }
        return this.fDescription;
    }

    public String[] union2sets(String[] strArr, String[] strArr2) {
        String[] strArr3 = new String[strArr.length];
        int i2 = 0;
        for (int i3 = 0; i3 < strArr.length; i3++) {
            if (!elementInSet(strArr[i3], strArr2)) {
                strArr3[i2] = strArr[i3];
                i2++;
            }
        }
        String[] strArr4 = new String[(strArr2.length + i2)];
        System.arraycopy(strArr3, 0, strArr4, 0, i2);
        System.arraycopy(strArr2, 0, strArr4, i2, strArr2.length);
        return strArr4;
    }

    public boolean weakerProcessContents(XSWildcardDecl xSWildcardDecl) {
        if (this.fProcessContents == 3 && xSWildcardDecl.fProcessContents == 1) {
            return true;
        }
        return this.fProcessContents == 2 && xSWildcardDecl.fProcessContents != 2;
    }
}
