package org.apache.xerces.impl.xs.models;

import org.apache.xerces.impl.dtd.models.CMNode;
import org.apache.xerces.impl.dtd.models.CMStateSet;

public class XSCMBinOp extends CMNode {
    public CMNode fLeftChild;
    public CMNode fRightChild;

    public XSCMBinOp(int i2, CMNode cMNode, CMNode cMNode2) {
        super(i2);
        if (type() == 101 || type() == 102) {
            this.fLeftChild = cMNode;
            this.fRightChild = cMNode2;
            return;
        }
        throw new RuntimeException("ImplementationMessages.VAL_BST");
    }

    @Override // org.apache.xerces.impl.dtd.models.CMNode
    public void calcFirstPos(CMStateSet cMStateSet) {
        if (type() == 101) {
            cMStateSet.setTo(this.fLeftChild.firstPos());
        } else if (type() == 102) {
            cMStateSet.setTo(this.fLeftChild.firstPos());
            if (!this.fLeftChild.isNullable()) {
                return;
            }
        } else {
            throw new RuntimeException("ImplementationMessages.VAL_BST");
        }
        cMStateSet.union(this.fRightChild.firstPos());
    }

    @Override // org.apache.xerces.impl.dtd.models.CMNode
    public void calcLastPos(CMStateSet cMStateSet) {
        CMNode cMNode;
        if (type() == 101) {
            cMStateSet.setTo(this.fLeftChild.lastPos());
            cMNode = this.fRightChild;
        } else if (type() == 102) {
            cMStateSet.setTo(this.fRightChild.lastPos());
            if (this.fRightChild.isNullable()) {
                cMNode = this.fLeftChild;
            } else {
                return;
            }
        } else {
            throw new RuntimeException("ImplementationMessages.VAL_BST");
        }
        cMStateSet.union(cMNode.lastPos());
    }

    public final CMNode getLeft() {
        return this.fLeftChild;
    }

    public final CMNode getRight() {
        return this.fRightChild;
    }

    @Override // org.apache.xerces.impl.dtd.models.CMNode
    public boolean isNullable() {
        if (type() == 101) {
            return this.fLeftChild.isNullable() || this.fRightChild.isNullable();
        }
        if (type() == 102) {
            return this.fLeftChild.isNullable() && this.fRightChild.isNullable();
        }
        throw new RuntimeException("ImplementationMessages.VAL_BST");
    }
}
