package org.apache.xerces.impl.xs.opti;

import org.w3c.dom.Attr;
import org.w3c.dom.DOMException;
import org.w3c.dom.NamedNodeMap;
import org.w3c.dom.Node;

public class NamedNodeMapImpl implements NamedNodeMap {
    public Attr[] attrs;

    public NamedNodeMapImpl(Attr[] attrArr) {
        this.attrs = attrArr;
    }

    @Override // org.w3c.dom.NamedNodeMap
    public int getLength() {
        return this.attrs.length;
    }

    @Override // org.w3c.dom.NamedNodeMap
    public Node getNamedItem(String str) {
        int i2 = 0;
        while (true) {
            Attr[] attrArr = this.attrs;
            if (i2 >= attrArr.length) {
                return null;
            }
            if (attrArr[i2].getName().equals(str)) {
                return this.attrs[i2];
            }
            i2++;
        }
    }

    @Override // org.w3c.dom.NamedNodeMap
    public Node getNamedItemNS(String str, String str2) {
        int i2 = 0;
        while (true) {
            Attr[] attrArr = this.attrs;
            if (i2 >= attrArr.length) {
                return null;
            }
            if (attrArr[i2].getName().equals(str2) && this.attrs[i2].getNamespaceURI().equals(str)) {
                return this.attrs[i2];
            }
            i2++;
        }
    }

    @Override // org.w3c.dom.NamedNodeMap
    public Node item(int i2) {
        if (i2 >= 0 || i2 <= getLength()) {
            return this.attrs[i2];
        }
        return null;
    }

    @Override // org.w3c.dom.NamedNodeMap
    public Node removeNamedItem(String str) {
        throw new DOMException(9, "Method not supported");
    }

    @Override // org.w3c.dom.NamedNodeMap
    public Node removeNamedItemNS(String str, String str2) {
        throw new DOMException(9, "Method not supported");
    }

    @Override // org.w3c.dom.NamedNodeMap
    public Node setNamedItem(Node node) {
        throw new DOMException(9, "Method not supported");
    }

    @Override // org.w3c.dom.NamedNodeMap
    public Node setNamedItemNS(Node node) {
        throw new DOMException(9, "Method not supported");
    }
}
