package org.apache.xerces.impl.xs.opti;

import b.b.a.a.a;
import java.io.PrintStream;
import java.util.ArrayList;
import java.util.Enumeration;
import org.apache.poi.ss.formula.ptg.GreaterThanPtg;
import org.apache.poi.ss.formula.ptg.LessThanPtg;
import org.apache.xerces.util.XMLSymbols;
import org.apache.xerces.xni.NamespaceContext;
import org.apache.xerces.xni.QName;
import org.apache.xerces.xni.XMLAttributes;
import org.apache.xerces.xni.XMLString;
import org.apache.xmlbeans.impl.common.Sax2Dom;
import org.apache.xmlbeans.impl.jam.internal.JamPrinter;
import org.w3c.dom.Attr;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.Element;
import org.w3c.dom.NamedNodeMap;
import org.w3c.dom.Node;

public class SchemaDOM extends DefaultDocument {
    public static final int relationsColResizeFactor = 10;
    public static final int relationsRowResizeFactor = 15;
    public int currLoc;
    public StringBuffer fAnnotationBuffer = null;
    public boolean hidden;
    public boolean inCDATA;
    public int nextFreeLoc;
    public ElementImpl parent;
    public NodeImpl[][] relations;

    public SchemaDOM() {
        reset();
    }

    public static String escapeAttValue(String str, int i2) {
        String str2;
        int length = str.length();
        StringBuffer stringBuffer = new StringBuffer(length);
        stringBuffer.append(str.substring(0, i2));
        while (i2 < length) {
            char charAt = str.charAt(i2);
            if (charAt == '\"') {
                str2 = "&quot;";
            } else if (charAt == '<') {
                str2 = "&lt;";
            } else if (charAt == '&') {
                str2 = "&amp;";
            } else if (charAt == '\t') {
                str2 = "&#x9;";
            } else if (charAt == '\n') {
                str2 = "&#xA;";
            } else if (charAt == '\r') {
                str2 = "&#xD;";
            } else {
                stringBuffer.append(charAt);
                i2++;
            }
            stringBuffer.append(str2);
            i2++;
        }
        return stringBuffer.toString();
    }

    public static void indent(int i2) {
        for (int i3 = 0; i3 < i2; i3++) {
            System.out.print(' ');
        }
    }

    public static String processAttValue(String str) {
        int length = str.length();
        for (int i2 = 0; i2 < length; i2++) {
            char charAt = str.charAt(i2);
            if (charAt == '\"' || charAt == '<' || charAt == '&' || charAt == '\t' || charAt == '\n' || charAt == '\r') {
                return escapeAttValue(str, i2);
            }
        }
        return str;
    }

    private void processElement(QName qName, XMLAttributes xMLAttributes, ElementImpl elementImpl) {
        elementImpl.prefix = qName.prefix;
        elementImpl.localpart = qName.localpart;
        elementImpl.rawname = qName.rawname;
        elementImpl.uri = qName.uri;
        elementImpl.schemaDOM = this;
        Attr[] attrArr = new Attr[xMLAttributes.getLength()];
        boolean z = false;
        for (int i2 = 0; i2 < xMLAttributes.getLength(); i2++) {
            attrArr[i2] = new AttrImpl(elementImpl, xMLAttributes.getPrefix(i2), xMLAttributes.getLocalName(i2), xMLAttributes.getQName(i2), xMLAttributes.getURI(i2), xMLAttributes.getValue(i2));
        }
        elementImpl.attrs = attrArr;
        if (this.nextFreeLoc == this.relations.length) {
            resizeRelations();
        }
        NodeImpl[][] nodeImplArr = this.relations;
        NodeImpl nodeImpl = nodeImplArr[this.currLoc][0];
        ElementImpl elementImpl2 = this.parent;
        if (nodeImpl != elementImpl2) {
            int i3 = this.nextFreeLoc;
            nodeImplArr[i3][0] = elementImpl2;
            this.nextFreeLoc = i3 + 1;
            this.currLoc = i3;
        }
        int i4 = 1;
        while (true) {
            NodeImpl[][] nodeImplArr2 = this.relations;
            int i5 = this.currLoc;
            if (i4 >= nodeImplArr2[i5].length) {
                break;
            } else if (nodeImplArr2[i5][i4] == null) {
                z = true;
                break;
            } else {
                i4++;
            }
        }
        if (!z) {
            resizeRelations(this.currLoc);
        }
        NodeImpl[][] nodeImplArr3 = this.relations;
        int i6 = this.currLoc;
        nodeImplArr3[i6][i4] = elementImpl;
        this.parent.parentRow = i6;
        elementImpl.row = i6;
        elementImpl.col = i4;
    }

    private void resizeRelations() {
        NodeImpl[][] nodeImplArr = this.relations;
        int length = nodeImplArr.length + 15;
        NodeImpl[][] nodeImplArr2 = new NodeImpl[length][];
        System.arraycopy(nodeImplArr, 0, nodeImplArr2, 0, nodeImplArr.length);
        for (int length2 = this.relations.length; length2 < length; length2++) {
            nodeImplArr2[length2] = new NodeImpl[10];
        }
        this.relations = nodeImplArr2;
    }

    private void resizeRelations(int i2) {
        NodeImpl[][] nodeImplArr = this.relations;
        NodeImpl[] nodeImplArr2 = new NodeImpl[(nodeImplArr[i2].length + 10)];
        System.arraycopy(nodeImplArr[i2], 0, nodeImplArr2, 0, nodeImplArr[i2].length);
        this.relations[i2] = nodeImplArr2;
    }

    public static void traverse(Node node, int i2) {
        indent(i2);
        PrintStream printStream = System.out;
        StringBuffer a = a.a(LessThanPtg.LESSTHAN);
        a.append(node.getNodeName());
        printStream.print(a.toString());
        if (node.hasAttributes()) {
            NamedNodeMap attributes = node.getAttributes();
            for (int i3 = 0; i3 < attributes.getLength(); i3++) {
                PrintStream printStream2 = System.out;
                StringBuffer a2 = a.a(JamPrinter.INDENT);
                a2.append(((Attr) attributes.item(i3)).getName());
                a2.append("=\"");
                a2.append(((Attr) attributes.item(i3)).getValue());
                a2.append("\"");
                printStream2.print(a2.toString());
            }
        }
        if (node.hasChildNodes()) {
            System.out.println(GreaterThanPtg.GREATERTHAN);
            int i4 = i2 + 4;
            for (Node firstChild = node.getFirstChild(); firstChild != null; firstChild = firstChild.getNextSibling()) {
                traverse(firstChild, i4);
            }
            indent(i4 - 4);
            PrintStream printStream3 = System.out;
            StringBuffer a3 = a.a("</");
            a3.append(node.getNodeName());
            a3.append(GreaterThanPtg.GREATERTHAN);
            printStream3.println(a3.toString());
            return;
        }
        System.out.println("/>");
    }

    public void characters(XMLString xMLString) {
        String str;
        if (!this.inCDATA) {
            StringBuffer stringBuffer = this.fAnnotationBuffer;
            for (int i2 = xMLString.offset; i2 < xMLString.offset + xMLString.length; i2++) {
                char c = xMLString.ch[i2];
                if (c == '&') {
                    str = "&amp;";
                } else if (c == '<') {
                    str = "&lt;";
                } else if (c == '>') {
                    str = "&gt;";
                } else if (c == '\r') {
                    str = "&#xD;";
                } else {
                    stringBuffer.append(c);
                }
                stringBuffer.append(str);
            }
            return;
        }
        this.fAnnotationBuffer.append(xMLString.ch, xMLString.offset, xMLString.length);
    }

    public void charactersRaw(String str) {
        this.fAnnotationBuffer.append(str);
    }

    public void comment(XMLString xMLString) {
        this.fAnnotationBuffer.append("<!--");
        int i2 = xMLString.length;
        if (i2 > 0) {
            this.fAnnotationBuffer.append(xMLString.ch, xMLString.offset, i2);
        }
        this.fAnnotationBuffer.append("-->");
    }

    public ElementImpl emptyElement(QName qName, XMLAttributes xMLAttributes, int i2, int i3) {
        return emptyElement(qName, xMLAttributes, i2, i3, -1);
    }

    public ElementImpl emptyElement(QName qName, XMLAttributes xMLAttributes, int i2, int i3, int i4) {
        ElementImpl elementImpl = new ElementImpl(i2, i3, i4);
        processElement(qName, xMLAttributes, elementImpl);
        return elementImpl;
    }

    public void endAnnotation(QName qName, ElementImpl elementImpl) {
        StringBuffer stringBuffer = this.fAnnotationBuffer;
        stringBuffer.append("\n</");
        stringBuffer.append(qName.rawname);
        stringBuffer.append(GreaterThanPtg.GREATERTHAN);
        elementImpl.fAnnotation = this.fAnnotationBuffer.toString();
        this.fAnnotationBuffer = null;
    }

    public void endAnnotationCDATA() {
        this.fAnnotationBuffer.append("]]>");
        this.inCDATA = false;
    }

    public void endAnnotationElement(String str) {
        StringBuffer stringBuffer = this.fAnnotationBuffer;
        stringBuffer.append("</");
        stringBuffer.append(str);
        stringBuffer.append(GreaterThanPtg.GREATERTHAN);
    }

    public void endAnnotationElement(QName qName) {
        endAnnotationElement(qName.rawname);
    }

    public void endElement() {
        int i2 = this.parent.row;
        this.currLoc = i2;
        this.parent = (ElementImpl) this.relations[i2][0];
    }

    public void endSyntheticAnnotationElement(String str, boolean z) {
        if (z) {
            StringBuffer stringBuffer = this.fAnnotationBuffer;
            stringBuffer.append("\n</");
            stringBuffer.append(str);
            stringBuffer.append(GreaterThanPtg.GREATERTHAN);
            this.parent.fSyntheticAnnotation = this.fAnnotationBuffer.toString();
            this.fAnnotationBuffer = null;
            return;
        }
        StringBuffer stringBuffer2 = this.fAnnotationBuffer;
        stringBuffer2.append("</");
        stringBuffer2.append(str);
        stringBuffer2.append(GreaterThanPtg.GREATERTHAN);
    }

    public void endSyntheticAnnotationElement(QName qName, boolean z) {
        endSyntheticAnnotationElement(qName.rawname, z);
    }

    @Override // org.w3c.dom.Document, org.apache.xerces.impl.xs.opti.DefaultDocument
    public Element getDocumentElement() {
        return (ElementImpl) this.relations[0][1];
    }

    @Override // org.w3c.dom.Document, org.apache.xerces.impl.xs.opti.DefaultDocument
    public DOMImplementation getImplementation() {
        return SchemaDOMImplementation.getDOMImplementation();
    }

    public void printDOM() {
    }

    public void processingInstruction(String str, XMLString xMLString) {
        StringBuffer stringBuffer = this.fAnnotationBuffer;
        stringBuffer.append("<?");
        stringBuffer.append(str);
        if (xMLString.length > 0) {
            StringBuffer stringBuffer2 = this.fAnnotationBuffer;
            stringBuffer2.append(' ');
            stringBuffer2.append(xMLString.ch, xMLString.offset, xMLString.length);
        }
        this.fAnnotationBuffer.append("?>");
    }

    public void reset() {
        if (this.relations != null) {
            for (int i2 = 0; i2 < this.relations.length; i2++) {
                int i3 = 0;
                while (true) {
                    NodeImpl[][] nodeImplArr = this.relations;
                    if (i3 >= nodeImplArr[i2].length) {
                        break;
                    }
                    nodeImplArr[i2][i3] = null;
                    i3++;
                }
            }
        }
        this.relations = new NodeImpl[15][];
        ElementImpl elementImpl = new ElementImpl(0, 0, 0);
        this.parent = elementImpl;
        elementImpl.rawname = "DOCUMENT_NODE";
        this.currLoc = 0;
        this.nextFreeLoc = 1;
        this.inCDATA = false;
        for (int i4 = 0; i4 < 15; i4++) {
            this.relations[i4] = new NodeImpl[10];
        }
        this.relations[this.currLoc][0] = this.parent;
    }

    public void startAnnotation(String str, XMLAttributes xMLAttributes, NamespaceContext namespaceContext) {
        if (this.fAnnotationBuffer == null) {
            this.fAnnotationBuffer = new StringBuffer(256);
        }
        StringBuffer stringBuffer = this.fAnnotationBuffer;
        stringBuffer.append(LessThanPtg.LESSTHAN);
        stringBuffer.append(str);
        stringBuffer.append(" ");
        ArrayList arrayList = new ArrayList();
        for (int i2 = 0; i2 < xMLAttributes.getLength(); i2++) {
            String value = xMLAttributes.getValue(i2);
            String prefix = xMLAttributes.getPrefix(i2);
            String qName = xMLAttributes.getQName(i2);
            String str2 = XMLSymbols.PREFIX_XMLNS;
            if (prefix == str2 || qName == str2) {
                arrayList.add(prefix == XMLSymbols.PREFIX_XMLNS ? xMLAttributes.getLocalName(i2) : XMLSymbols.EMPTY_STRING);
            }
            StringBuffer stringBuffer2 = this.fAnnotationBuffer;
            stringBuffer2.append(qName);
            stringBuffer2.append("=\"");
            stringBuffer2.append(processAttValue(value));
            stringBuffer2.append("\" ");
        }
        Enumeration allPrefixes = namespaceContext.getAllPrefixes();
        while (allPrefixes.hasMoreElements()) {
            String str3 = (String) allPrefixes.nextElement();
            String uri = namespaceContext.getURI(str3);
            if (uri == null) {
                uri = XMLSymbols.EMPTY_STRING;
            }
            if (!arrayList.contains(str3)) {
                if (str3 == XMLSymbols.EMPTY_STRING) {
                    StringBuffer stringBuffer3 = this.fAnnotationBuffer;
                    stringBuffer3.append("xmlns");
                    stringBuffer3.append("=\"");
                    stringBuffer3.append(processAttValue(uri));
                    stringBuffer3.append("\" ");
                } else {
                    StringBuffer stringBuffer4 = this.fAnnotationBuffer;
                    stringBuffer4.append(Sax2Dom.XMLNS_STRING);
                    stringBuffer4.append(str3);
                    stringBuffer4.append("=\"");
                    stringBuffer4.append(processAttValue(uri));
                    stringBuffer4.append("\" ");
                }
            }
        }
        this.fAnnotationBuffer.append(">\n");
    }

    public void startAnnotation(QName qName, XMLAttributes xMLAttributes, NamespaceContext namespaceContext) {
        startAnnotation(qName.rawname, xMLAttributes, namespaceContext);
    }

    public void startAnnotationCDATA() {
        this.inCDATA = true;
        this.fAnnotationBuffer.append("<![CDATA[");
    }

    public void startAnnotationElement(String str, XMLAttributes xMLAttributes) {
        StringBuffer stringBuffer = this.fAnnotationBuffer;
        stringBuffer.append(LessThanPtg.LESSTHAN);
        stringBuffer.append(str);
        for (int i2 = 0; i2 < xMLAttributes.getLength(); i2++) {
            String value = xMLAttributes.getValue(i2);
            StringBuffer stringBuffer2 = this.fAnnotationBuffer;
            stringBuffer2.append(" ");
            stringBuffer2.append(xMLAttributes.getQName(i2));
            stringBuffer2.append("=\"");
            stringBuffer2.append(processAttValue(value));
            stringBuffer2.append("\"");
        }
        this.fAnnotationBuffer.append(GreaterThanPtg.GREATERTHAN);
    }

    public void startAnnotationElement(QName qName, XMLAttributes xMLAttributes) {
        startAnnotationElement(qName.rawname, xMLAttributes);
    }

    public ElementImpl startElement(QName qName, XMLAttributes xMLAttributes, int i2, int i3) {
        return startElement(qName, xMLAttributes, i2, i3, -1);
    }

    public ElementImpl startElement(QName qName, XMLAttributes xMLAttributes, int i2, int i3, int i4) {
        ElementImpl elementImpl = new ElementImpl(i2, i3, i4);
        processElement(qName, xMLAttributes, elementImpl);
        this.parent = elementImpl;
        return elementImpl;
    }
}
