package org.apache.xerces.impl.xs.opti;

import org.w3c.dom.DOMException;
import org.w3c.dom.Node;

public class TextImpl extends DefaultText {
    public int fCol;
    public String fData = null;
    public int fRow;
    public SchemaDOM fSchemaDOM = null;

    public TextImpl(StringBuffer stringBuffer, SchemaDOM schemaDOM, int i2, int i3) {
        this.fData = stringBuffer.toString();
        this.fSchemaDOM = schemaDOM;
        this.fRow = i2;
        this.fCol = i3;
        this.uri = null;
        this.localpart = null;
        this.prefix = null;
        this.rawname = null;
        this.nodeType = 3;
    }

    @Override // org.apache.xerces.impl.xs.opti.DefaultText, org.w3c.dom.CharacterData
    public String getData() {
        return this.fData;
    }

    @Override // org.apache.xerces.impl.xs.opti.DefaultText, org.w3c.dom.CharacterData
    public int getLength() {
        String str = this.fData;
        if (str == null) {
            return 0;
        }
        return str.length();
    }

    @Override // org.apache.xerces.impl.xs.opti.DefaultNode, org.w3c.dom.Node
    public Node getNextSibling() {
        int i2 = this.fCol;
        NodeImpl[][] nodeImplArr = this.fSchemaDOM.relations;
        int i3 = this.fRow;
        if (i2 == nodeImplArr[i3].length - 1) {
            return null;
        }
        return nodeImplArr[i3][i2 + 1];
    }

    @Override // org.apache.xerces.impl.xs.opti.DefaultNode, org.apache.xerces.impl.xs.opti.NodeImpl, org.w3c.dom.Node
    public String getNodeName() {
        return "#text";
    }

    @Override // org.apache.xerces.impl.xs.opti.DefaultNode, org.w3c.dom.Node
    public Node getParentNode() {
        return this.fSchemaDOM.relations[this.fRow][0];
    }

    @Override // org.apache.xerces.impl.xs.opti.DefaultNode, org.w3c.dom.Node
    public Node getPreviousSibling() {
        int i2 = this.fCol;
        if (i2 == 1) {
            return null;
        }
        return this.fSchemaDOM.relations[this.fRow][i2 - 1];
    }

    @Override // org.apache.xerces.impl.xs.opti.DefaultText, org.w3c.dom.CharacterData
    public String substringData(int i2, int i3) {
        String str = this.fData;
        if (str == null) {
            return null;
        }
        if (i3 < 0 || i2 < 0 || i2 > str.length()) {
            throw new DOMException(1, "parameter error");
        }
        int i4 = i3 + i2;
        return i4 >= this.fData.length() ? this.fData.substring(i2) : this.fData.substring(i2, i4);
    }
}
