package org.apache.xerces.impl.xs.traversers;

import org.apache.xerces.impl.xs.opti.ElementImpl;
import org.w3c.dom.Element;

public final class XSAnnotationInfo {
    public String fAnnotation;
    public int fCharOffset;
    public int fColumn;
    public int fLine;
    public XSAnnotationInfo next;

    public XSAnnotationInfo(String str, int i2, int i3, int i4) {
        this.fAnnotation = str;
        this.fLine = i2;
        this.fColumn = i3;
        this.fCharOffset = i4;
    }

    public XSAnnotationInfo(String str, Element element) {
        int i2;
        this.fAnnotation = str;
        if (element instanceof ElementImpl) {
            ElementImpl elementImpl = (ElementImpl) element;
            this.fLine = elementImpl.getLineNumber();
            this.fColumn = elementImpl.getColumnNumber();
            i2 = elementImpl.getCharacterOffset();
        } else {
            i2 = -1;
            this.fLine = -1;
            this.fColumn = -1;
        }
        this.fCharOffset = i2;
    }
}
