package org.apache.xerces.impl.xs.traversers;

import org.apache.xerces.impl.xs.SchemaGrammar;
import org.apache.xerces.impl.xs.SchemaSymbols;
import org.apache.xerces.impl.xs.XSAnnotationImpl;
import org.apache.xerces.impl.xs.XSConstraints;
import org.apache.xerces.impl.xs.XSDeclarationPool;
import org.apache.xerces.impl.xs.XSGroupDecl;
import org.apache.xerces.impl.xs.XSModelGroupImpl;
import org.apache.xerces.impl.xs.XSParticleDecl;
import org.apache.xerces.impl.xs.util.XInt;
import org.apache.xerces.impl.xs.util.XSObjectListImpl;
import org.apache.xerces.util.DOMUtil;
import org.apache.xerces.util.XMLSymbols;
import org.apache.xerces.xni.QName;
import org.w3c.dom.Element;

public class XSDGroupTraverser extends XSDAbstractParticleTraverser {
    public XSDGroupTraverser(XSDHandler xSDHandler, XSAttributeChecker xSAttributeChecker) {
        super(xSDHandler, xSAttributeChecker);
    }

    public XSGroupDecl traverseGlobal(Element element, XSDocumentInfo xSDocumentInfo, SchemaGrammar schemaGrammar) {
        XSGroupDecl xSGroupDecl;
        XSAnnotationImpl xSAnnotationImpl;
        XSParticleDecl xSParticleDecl;
        XSGroupDecl xSGroupDecl2;
        Object grpOrAttrGrpRedefinedByRestriction;
        XSObjectListImpl xSObjectListImpl;
        String str;
        XSAnnotationImpl xSAnnotationImpl2;
        Element element2;
        int i2;
        Element element3;
        String str2;
        String str3;
        Element element4;
        Object[] checkAttributes = this.fAttrChecker.checkAttributes(element, true, xSDocumentInfo);
        String str4 = (String) checkAttributes[XSAttributeChecker.ATTIDX_NAME];
        if (str4 == null) {
            reportSchemaError("s4s-att-must-appear", new Object[]{"group (global)", "name"}, element);
        }
        XSGroupDecl xSGroupDecl3 = new XSGroupDecl();
        Element firstChildElement = DOMUtil.getFirstChildElement(element);
        if (firstChildElement == null) {
            reportSchemaError("s4s-elt-must-match.2", new Object[]{"group (global)", "(annotation?, (all | choice | sequence))"}, element);
            xSGroupDecl = xSGroupDecl3;
            xSParticleDecl = null;
            xSAnnotationImpl = null;
        } else {
            String localName = firstChildElement.getLocalName();
            if (localName.equals(SchemaSymbols.ELT_ANNOTATION)) {
                XSAnnotationImpl traverseAnnotationDecl = traverseAnnotationDecl(firstChildElement, checkAttributes, true, xSDocumentInfo);
                Element nextSiblingElement = DOMUtil.getNextSiblingElement(firstChildElement);
                if (nextSiblingElement != null) {
                    localName = nextSiblingElement.getLocalName();
                }
                xSAnnotationImpl2 = traverseAnnotationDecl;
                str = "s4s-elt-must-match.2";
                xSGroupDecl = xSGroupDecl3;
                element2 = nextSiblingElement;
            } else {
                String syntheticAnnotation = DOMUtil.getSyntheticAnnotation(element);
                if (syntheticAnnotation != null) {
                    str = "s4s-elt-must-match.2";
                    xSGroupDecl = xSGroupDecl3;
                    element2 = firstChildElement;
                    localName = localName;
                    xSAnnotationImpl2 = traverseSyntheticAnnotation(element, syntheticAnnotation, checkAttributes, false, xSDocumentInfo);
                } else {
                    str = "s4s-elt-must-match.2";
                    xSGroupDecl = xSGroupDecl3;
                    element2 = firstChildElement;
                    xSAnnotationImpl2 = null;
                }
            }
            if (element2 == null) {
                reportSchemaError(str, new Object[]{"group (global)", "(annotation?, (all | choice | sequence))"}, element);
                str2 = "s4s-elt-must-match.1";
                element3 = element2;
                i2 = 3;
            } else {
                if (localName.equals(SchemaSymbols.ELT_ALL)) {
                    str3 = "s4s-elt-must-match.1";
                    i2 = 3;
                    element4 = element2;
                    xSParticleDecl = traverseAll(element2, xSDocumentInfo, schemaGrammar, 4, xSGroupDecl);
                } else {
                    str3 = "s4s-elt-must-match.1";
                    element4 = element2;
                    i2 = 3;
                    if (localName.equals(SchemaSymbols.ELT_CHOICE)) {
                        xSParticleDecl = traverseChoice(element4, xSDocumentInfo, schemaGrammar, 4, xSGroupDecl);
                    } else if (localName.equals(SchemaSymbols.ELT_SEQUENCE)) {
                        xSParticleDecl = traverseSequence(element4, xSDocumentInfo, schemaGrammar, 4, xSGroupDecl);
                    } else {
                        element3 = element4;
                        str2 = str3;
                        reportSchemaError(str2, new Object[]{"group (global)", "(annotation?, (all | choice | sequence))", DOMUtil.getLocalName(element4)}, element3);
                    }
                }
                element3 = element4;
                str2 = str3;
                if (!(element3 == null || DOMUtil.getNextSiblingElement(element3) == null)) {
                    Object[] objArr = new Object[i2];
                    objArr[0] = "group (global)";
                    objArr[1] = "(annotation?, (all | choice | sequence))";
                    objArr[2] = DOMUtil.getLocalName(DOMUtil.getNextSiblingElement(element3));
                    reportSchemaError(str2, objArr, DOMUtil.getNextSiblingElement(element3));
                }
                xSAnnotationImpl = xSAnnotationImpl2;
            }
            xSParticleDecl = null;
            Object[] objArr2 = new Object[i2];
            objArr2[0] = "group (global)";
            objArr2[1] = "(annotation?, (all | choice | sequence))";
            objArr2[2] = DOMUtil.getLocalName(DOMUtil.getNextSiblingElement(element3));
            reportSchemaError(str2, objArr2, DOMUtil.getNextSiblingElement(element3));
            xSAnnotationImpl = xSAnnotationImpl2;
        }
        if (str4 != null) {
            xSGroupDecl.fName = str4;
            xSGroupDecl.fTargetNamespace = xSDocumentInfo.fTargetNamespace;
            if (xSParticleDecl == null) {
                xSParticleDecl = XSConstraints.getEmptySequence();
            }
            xSGroupDecl.fModelGroup = (XSModelGroupImpl) xSParticleDecl.fValue;
            if (xSAnnotationImpl != null) {
                xSObjectListImpl = new XSObjectListImpl();
                xSObjectListImpl.addXSObject(xSAnnotationImpl);
            } else {
                xSObjectListImpl = XSObjectListImpl.EMPTY_LIST;
            }
            xSGroupDecl.fAnnotations = xSObjectListImpl;
            if (schemaGrammar.getGlobalGroupDecl(xSGroupDecl.fName) == null) {
                schemaGrammar.addGlobalGroupDecl(xSGroupDecl);
            }
            String schemaDocument2SystemId = this.fSchemaHandler.schemaDocument2SystemId(xSDocumentInfo);
            XSGroupDecl globalGroupDecl = schemaGrammar.getGlobalGroupDecl(xSGroupDecl.fName, schemaDocument2SystemId);
            if (globalGroupDecl == null) {
                schemaGrammar.addGlobalGroupDecl(xSGroupDecl, schemaDocument2SystemId);
            }
            if (this.fSchemaHandler.fTolerateDuplicates) {
                xSGroupDecl2 = globalGroupDecl != null ? globalGroupDecl : xSGroupDecl;
                this.fSchemaHandler.addGlobalGroupDecl(xSGroupDecl2);
            } else {
                xSGroupDecl2 = xSGroupDecl;
            }
        } else {
            xSGroupDecl2 = null;
        }
        if (!(xSGroupDecl2 == null || (grpOrAttrGrpRedefinedByRestriction = this.fSchemaHandler.getGrpOrAttrGrpRedefinedByRestriction(4, new QName(XMLSymbols.EMPTY_STRING, str4, str4, xSDocumentInfo.fTargetNamespace), xSDocumentInfo, element)) == null)) {
            schemaGrammar.addRedefinedGroupDecl(xSGroupDecl2, (XSGroupDecl) grpOrAttrGrpRedefinedByRestriction, this.fSchemaHandler.element2Locator(element));
        }
        this.fAttrChecker.returnAttrArray(checkAttributes, xSDocumentInfo);
        return xSGroupDecl2;
    }

    public XSParticleDecl traverseLocal(Element element, XSDocumentInfo xSDocumentInfo, SchemaGrammar schemaGrammar) {
        XSGroupDecl xSGroupDecl;
        XSGroupDecl xSGroupDecl2;
        char c;
        XSAnnotationImpl xSAnnotationImpl;
        XSAnnotationImpl xSAnnotationImpl2;
        XSParticleDecl xSParticleDecl;
        XSObjectListImpl xSObjectListImpl;
        Object[] checkAttributes = this.fAttrChecker.checkAttributes(element, false, xSDocumentInfo);
        QName qName = (QName) checkAttributes[XSAttributeChecker.ATTIDX_REF];
        XInt xInt = (XInt) checkAttributes[XSAttributeChecker.ATTIDX_MINOCCURS];
        XInt xInt2 = (XInt) checkAttributes[XSAttributeChecker.ATTIDX_MAXOCCURS];
        XSParticleDecl xSParticleDecl2 = null;
        if (qName == null) {
            reportSchemaError("s4s-att-must-appear", new Object[]{"group (local)", "ref"}, element);
            xSGroupDecl = null;
        } else {
            xSGroupDecl = (XSGroupDecl) this.fSchemaHandler.getGlobalDecl(xSDocumentInfo, 4, qName, element);
        }
        Element firstChildElement = DOMUtil.getFirstChildElement(element);
        if (firstChildElement == null || !DOMUtil.getLocalName(firstChildElement).equals(SchemaSymbols.ELT_ANNOTATION)) {
            String syntheticAnnotation = DOMUtil.getSyntheticAnnotation(element);
            if (syntheticAnnotation != null) {
                xSGroupDecl2 = xSGroupDecl;
                c = 2;
                xSAnnotationImpl = traverseSyntheticAnnotation(element, syntheticAnnotation, checkAttributes, false, xSDocumentInfo);
                firstChildElement = firstChildElement;
            } else {
                xSGroupDecl2 = xSGroupDecl;
                c = 2;
                xSAnnotationImpl = null;
            }
        } else {
            XSAnnotationImpl traverseAnnotationDecl = traverseAnnotationDecl(firstChildElement, checkAttributes, false, xSDocumentInfo);
            firstChildElement = DOMUtil.getNextSiblingElement(firstChildElement);
            xSAnnotationImpl = traverseAnnotationDecl;
            xSGroupDecl2 = xSGroupDecl;
            c = 2;
        }
        if (firstChildElement != null) {
            Object[] objArr = new Object[3];
            objArr[0] = "group (local)";
            objArr[1] = "(annotation?)";
            objArr[c] = DOMUtil.getLocalName(element);
            reportSchemaError("s4s-elt-must-match.1", objArr, element);
        }
        int intValue = xInt.intValue();
        int intValue2 = xInt2.intValue();
        if (!(xSGroupDecl2 == null || xSGroupDecl2.fModelGroup == null || (intValue == 0 && intValue2 == 0))) {
            XSDeclarationPool xSDeclarationPool = this.fSchemaHandler.fDeclPool;
            XSParticleDecl particleDecl = xSDeclarationPool != null ? xSDeclarationPool.getParticleDecl() : new XSParticleDecl();
            particleDecl.fType = 3;
            XSModelGroupImpl xSModelGroupImpl = xSGroupDecl2.fModelGroup;
            particleDecl.fValue = xSModelGroupImpl;
            particleDecl.fMinOccurs = intValue;
            particleDecl.fMaxOccurs = intValue2;
            if (xSModelGroupImpl.fCompositor == 103) {
                xSAnnotationImpl2 = xSAnnotationImpl;
                xSParticleDecl = checkOccurrences(particleDecl, SchemaSymbols.ELT_GROUP, (Element) element.getParentNode(), 2, ((Long) checkAttributes[XSAttributeChecker.ATTIDX_FROMDEFAULT]).longValue());
            } else {
                xSAnnotationImpl2 = xSAnnotationImpl;
                xSParticleDecl = particleDecl;
            }
            if (qName == null) {
                xSObjectListImpl = xSGroupDecl2.fAnnotations;
            } else if (xSAnnotationImpl2 != null) {
                XSObjectListImpl xSObjectListImpl2 = new XSObjectListImpl();
                xSObjectListImpl2.addXSObject(xSAnnotationImpl2);
                xSObjectListImpl = xSObjectListImpl2;
            } else {
                xSObjectListImpl = XSObjectListImpl.EMPTY_LIST;
            }
            xSParticleDecl.fAnnotations = xSObjectListImpl;
            xSParticleDecl2 = xSParticleDecl;
        }
        this.fAttrChecker.returnAttrArray(checkAttributes, xSDocumentInfo);
        return xSParticleDecl2;
    }
}
