package org.apache.xerces.impl.xs.traversers;

import b.b.a.a.a;
import java.io.IOException;
import java.io.StringReader;
import java.lang.reflect.Array;
import java.util.ArrayList;
import java.util.Enumeration;
import java.util.Hashtable;
import java.util.Locale;
import java.util.Stack;
import java.util.Vector;
import javax.xml.stream.XMLEventReader;
import javax.xml.stream.XMLStreamException;
import javax.xml.stream.XMLStreamReader;
import org.apache.poi.xssf.usermodel.XSSFDataValidationConstraint;
import org.apache.xerces.impl.XMLEntityManager;
import org.apache.xerces.impl.XMLErrorReporter;
import org.apache.xerces.impl.dv.SchemaDVFactory;
import org.apache.xerces.impl.dv.xs.XSSimpleTypeDecl;
import org.apache.xerces.impl.xs.SchemaGrammar;
import org.apache.xerces.impl.xs.SchemaNamespaceSupport;
import org.apache.xerces.impl.xs.SchemaSymbols;
import org.apache.xerces.impl.xs.XMLSchemaException;
import org.apache.xerces.impl.xs.XMLSchemaLoader;
import org.apache.xerces.impl.xs.XSAttributeDecl;
import org.apache.xerces.impl.xs.XSAttributeGroupDecl;
import org.apache.xerces.impl.xs.XSComplexTypeDecl;
import org.apache.xerces.impl.xs.XSDDescription;
import org.apache.xerces.impl.xs.XSDeclarationPool;
import org.apache.xerces.impl.xs.XSElementDecl;
import org.apache.xerces.impl.xs.XSGrammarBucket;
import org.apache.xerces.impl.xs.XSGroupDecl;
import org.apache.xerces.impl.xs.XSMessageFormatter;
import org.apache.xerces.impl.xs.XSModelGroupImpl;
import org.apache.xerces.impl.xs.XSNotationDecl;
import org.apache.xerces.impl.xs.XSParticleDecl;
import org.apache.xerces.impl.xs.identity.IdentityConstraint;
import org.apache.xerces.impl.xs.opti.ElementImpl;
import org.apache.xerces.impl.xs.opti.SchemaDOM;
import org.apache.xerces.impl.xs.opti.SchemaDOMParser;
import org.apache.xerces.impl.xs.opti.SchemaParsingConfig;
import org.apache.xerces.impl.xs.util.SimpleLocator;
import org.apache.xerces.impl.xs.util.XSInputSource;
import org.apache.xerces.parsers.SAXParser;
import org.apache.xerces.parsers.XML11Configuration;
import org.apache.xerces.util.DOMInputSource;
import org.apache.xerces.util.DOMUtil;
import org.apache.xerces.util.DefaultErrorHandler;
import org.apache.xerces.util.ErrorHandlerWrapper;
import org.apache.xerces.util.SAXInputSource;
import org.apache.xerces.util.StAXInputSource;
import org.apache.xerces.util.StAXLocationWrapper;
import org.apache.xerces.util.SymbolHash;
import org.apache.xerces.util.SymbolTable;
import org.apache.xerces.util.URI;
import org.apache.xerces.util.XMLSymbols;
import org.apache.xerces.xni.QName;
import org.apache.xerces.xni.XNIException;
import org.apache.xerces.xni.grammars.Grammar;
import org.apache.xerces.xni.grammars.XMLGrammarDescription;
import org.apache.xerces.xni.grammars.XMLGrammarPool;
import org.apache.xerces.xni.grammars.XMLSchemaDescription;
import org.apache.xerces.xni.parser.XMLComponentManager;
import org.apache.xerces.xni.parser.XMLConfigurationException;
import org.apache.xerces.xni.parser.XMLEntityResolver;
import org.apache.xerces.xni.parser.XMLErrorHandler;
import org.apache.xerces.xni.parser.XMLInputSource;
import org.apache.xerces.xni.parser.XMLParseException;
import org.apache.xerces.xs.StringList;
import org.apache.xerces.xs.XSAttributeDeclaration;
import org.apache.xerces.xs.XSAttributeGroupDefinition;
import org.apache.xerces.xs.XSAttributeUse;
import org.apache.xerces.xs.XSElementDeclaration;
import org.apache.xerces.xs.XSModelGroup;
import org.apache.xerces.xs.XSModelGroupDefinition;
import org.apache.xerces.xs.XSNamedMap;
import org.apache.xerces.xs.XSObject;
import org.apache.xerces.xs.XSObjectList;
import org.apache.xerces.xs.XSParticle;
import org.apache.xerces.xs.XSSimpleTypeDefinition;
import org.apache.xerces.xs.XSTerm;
import org.apache.xerces.xs.XSTypeDefinition;
import org.apache.xerces.xs.datatypes.ObjectList;
import org.apache.xmlbeans.XmlErrorCodes;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;
import org.xml.sax.XMLReader;
import org.xml.sax.helpers.XMLReaderFactory;

public class XSDHandler {
    public static final String ALLOW_JAVA_ENCODINGS = "http://apache.org/xml/features/allow-java-encodings";
    public static final int ATTRIBUTEGROUP_TYPE = 2;
    public static final int ATTRIBUTE_TYPE = 1;
    public static final String[] CIRCULAR_CODES = {"Internal-Error", "Internal-Error", XmlErrorCodes.SCHEMA_ATTR_GROUP$SELF_REF, "e-props-correct.6", XmlErrorCodes.MODEL_GROUP_PROPERTIES$CIRCULAR, "Internal-Error", "Internal-Error", "st-props-correct.2"};
    public static final String[] COMP_TYPE = {null, "attribute declaration", "attribute group", "element declaration", "group", "identity constraint", "notation", "type definition"};
    public static final String CONTINUE_AFTER_FATAL_ERROR = "http://apache.org/xml/features/continue-after-fatal-error";
    public static final boolean DEBUG_NODE_POOL = false;
    public static final String DISALLOW_DOCTYPE = "http://apache.org/xml/features/disallow-doctype-decl";
    public static final int ELEMENT_TYPE = 3;
    public static final String[] ELE_ERROR_CODES = {"src-include.1", "src-redefine.2", "src-import.2", "schema_reference.4", "schema_reference.4", "schema_reference.4", "schema_reference.4", "schema_reference.4"};
    public static final Hashtable EMPTY_TABLE = new Hashtable();
    public static final String ENTITY_MANAGER = "http://apache.org/xml/properties/internal/entity-manager";
    public static final String ENTITY_RESOLVER = "http://apache.org/xml/properties/internal/entity-resolver";
    public static final String ERROR_HANDLER = "http://apache.org/xml/properties/internal/error-handler";
    public static final String ERROR_REPORTER = "http://apache.org/xml/properties/internal/error-reporter";
    public static final String GENERATE_SYNTHETIC_ANNOTATIONS = "http://apache.org/xml/features/generate-synthetic-annotations";
    public static final int GROUP_TYPE = 4;
    public static final String HONOUR_ALL_SCHEMALOCATIONS = "http://apache.org/xml/features/honour-all-schemaLocations";
    public static final int IDENTITYCONSTRAINT_TYPE = 5;
    public static final int INC_KEYREF_STACK_AMOUNT = 2;
    public static final int INC_STACK_SIZE = 10;
    public static final int INIT_KEYREF_STACK = 2;
    public static final int INIT_STACK_SIZE = 30;
    public static final String JAXP_SCHEMA_SOURCE = "http://java.sun.com/xml/jaxp/properties/schemaSource";
    public static final String LOCALE = "http://apache.org/xml/properties/locale";
    public static final String NAMESPACE_GROWTH = "http://apache.org/xml/features/namespace-growth";
    public static final String NAMESPACE_PREFIXES = "http://xml.org/sax/features/namespace-prefixes";
    public static final int NOTATION_TYPE = 6;
    public static final String[][] NS_ERROR_CODES = {new String[]{"src-include.2.1", "src-include.2.1"}, new String[]{"src-redefine.3.1", "src-redefine.3.1"}, new String[]{"src-import.3.1", "src-import.3.2"}, null, new String[]{"TargetNamespace.1", "TargetNamespace.2"}, new String[]{"TargetNamespace.1", "TargetNamespace.2"}, new String[]{"TargetNamespace.1", "TargetNamespace.2"}, new String[]{"TargetNamespace.1", "TargetNamespace.2"}};
    public static final String REDEF_IDENTIFIER = "_fn3dktizrknc9pi";
    public static final String SECURITY_MANAGER = "http://apache.org/xml/properties/security-manager";
    public static final String STANDARD_URI_CONFORMANT_FEATURE = "http://apache.org/xml/features/standard-uri-conformant";
    public static final String STRING_INTERNING = "http://xml.org/sax/features/string-interning";
    public static final String SYMBOL_TABLE = "http://apache.org/xml/properties/internal/symbol-table";
    public static final String TOLERATE_DUPLICATES = "http://apache.org/xml/features/internal/tolerate-duplicates";
    public static final int TYPEDECL_TYPE = 7;
    public static final String VALIDATE_ANNOTATIONS = "http://apache.org/xml/features/validate-annotations";
    public static final String VALIDATION = "http://xml.org/sax/features/validation";
    public static final String XMLGRAMMAR_POOL = "http://apache.org/xml/properties/internal/grammar-pool";
    public static final String XMLSCHEMA_VALIDATION = "http://apache.org/xml/features/validation/schema";
    public int[] fAllContext;
    public Vector fAllTNSs;
    public XML11Configuration fAnnotationValidator;
    public XSAttributeChecker fAttributeChecker;
    public XSDAttributeGroupTraverser fAttributeGroupTraverser;
    public XSDAttributeTraverser fAttributeTraverser;
    public XSDComplexTypeTraverser fComplexTypeTraverser;
    public SchemaDVFactory fDVFactory;
    public XSDeclarationPool fDeclPool;
    public Hashtable fDependencyMap;
    public Hashtable fDoc2SystemId;
    public Hashtable fDoc2XSDocumentMap;
    public XSDElementTraverser fElementTraverser;
    public XMLEntityResolver fEntityResolver;
    public XMLErrorReporter fErrorReporter;
    public SymbolHash fGlobalAttrDecls;
    public SymbolHash fGlobalAttrGrpDecls;
    public SymbolHash fGlobalElemDecls;
    public SymbolHash fGlobalGroupDecls;
    public SymbolHash fGlobalIDConstraintDecls;
    public SymbolHash fGlobalNotationDecls;
    public SymbolHash fGlobalTypeDecls;
    public XSGrammarBucket fGrammarBucket;
    public XSAnnotationGrammarPool fGrammarBucketAdapter;
    public XMLGrammarPool fGrammarPool;
    public XSDGroupTraverser fGroupTraverser;
    public Hashtable fHiddenNodes;
    public boolean fHonourAllSchemaLocations;
    public Hashtable fImportMap;
    public XSElementDecl[] fKeyrefElems;
    public String[][] fKeyrefNamespaceContext;
    public int fKeyrefStackPos;
    public XSDKeyrefTraverser fKeyrefTraverser;
    public Element[] fKeyrefs;
    public XSDocumentInfo[] fKeyrefsMapXSDocumentInfo;
    public boolean fLastSchemaWasDuplicate;
    public String[][] fLocalElemNamespaceContext;
    public int fLocalElemStackPos;
    public Element[] fLocalElementDecl;
    public XSDocumentInfo[] fLocalElementDecl_schema;
    public Hashtable fLocationPairs;
    public boolean fNamespaceGrowth;
    public Hashtable fNotationRegistry;
    public XSDNotationTraverser fNotationTraverser;
    public XSObject[] fParent;
    public XSParticleDecl[] fParticle;
    public Hashtable fRedefine2NSSupport;
    public Hashtable fRedefine2XSDMap;
    public Hashtable fRedefinedRestrictedAttributeGroupRegistry;
    public Hashtable fRedefinedRestrictedGroupRegistry;
    public Vector fReportedTNS;
    public XSDocumentInfo fRoot;
    public XSDDescription fSchemaGrammarDescription;
    public SchemaDOMParser fSchemaParser;
    public XSDSimpleTypeTraverser fSimpleTypeTraverser;
    public StAXSchemaParser fStAXSchemaParser;
    public SymbolTable fSymbolTable;
    public boolean fTolerateDuplicates;
    public Hashtable fTraversed;
    public XSDUniqueOrKeyTraverser fUniqueOrKeyTraverser;
    public Hashtable fUnparsedAttributeGroupRegistry;
    public Hashtable fUnparsedAttributeGroupRegistrySub;
    public Hashtable fUnparsedAttributeRegistry;
    public Hashtable fUnparsedAttributeRegistrySub;
    public Hashtable fUnparsedElementRegistry;
    public Hashtable fUnparsedElementRegistrySub;
    public Hashtable fUnparsedGroupRegistry;
    public Hashtable fUnparsedGroupRegistrySub;
    public Hashtable fUnparsedIdentityConstraintRegistry;
    public Hashtable fUnparsedIdentityConstraintRegistrySub;
    public Hashtable fUnparsedNotationRegistry;
    public Hashtable fUnparsedNotationRegistrySub;
    public Hashtable[] fUnparsedRegistriesExt;
    public Hashtable fUnparsedTypeRegistry;
    public Hashtable fUnparsedTypeRegistrySub;
    public boolean fValidateAnnotations;
    public XSDWildcardTraverser fWildCardTraverser;
    public SchemaContentHandler fXSContentHandler;
    public Hashtable fXSDocumentInfoRegistry;
    public SimpleLocator xl;

    /* renamed from: org.apache.xerces.impl.xs.traversers.XSDHandler$1  reason: invalid class name */
    public class AnonymousClass1 {
    }

    public static final class SAX2XNIUtil extends ErrorHandlerWrapper {
        public static XMLParseException createXMLParseException0(SAXParseException sAXParseException) {
            return ErrorHandlerWrapper.createXMLParseException(sAXParseException);
        }

        public static XNIException createXNIException0(SAXException sAXException) {
            return ErrorHandlerWrapper.createXNIException(sAXException);
        }
    }

    public static class XSAnnotationGrammarPool implements XMLGrammarPool {
        public XSGrammarBucket fGrammarBucket;
        public Grammar[] fInitialGrammarSet;

        public XSAnnotationGrammarPool() {
        }

        public /* synthetic */ XSAnnotationGrammarPool(AnonymousClass1 r1) {
            this();
        }

        @Override // org.apache.xerces.xni.grammars.XMLGrammarPool
        public void cacheGrammars(String str, Grammar[] grammarArr) {
        }

        @Override // org.apache.xerces.xni.grammars.XMLGrammarPool
        public void clear() {
        }

        @Override // org.apache.xerces.xni.grammars.XMLGrammarPool
        public void lockPool() {
        }

        public void refreshGrammars(XSGrammarBucket xSGrammarBucket) {
            this.fGrammarBucket = xSGrammarBucket;
            this.fInitialGrammarSet = null;
        }

        @Override // org.apache.xerces.xni.grammars.XMLGrammarPool
        public Grammar retrieveGrammar(XMLGrammarDescription xMLGrammarDescription) {
            SchemaGrammar grammar;
            if (xMLGrammarDescription.getGrammarType() != "http://www.w3.org/2001/XMLSchema") {
                return null;
            }
            String targetNamespace = ((XMLSchemaDescription) xMLGrammarDescription).getTargetNamespace();
            XSGrammarBucket xSGrammarBucket = this.fGrammarBucket;
            if (xSGrammarBucket != null && (grammar = xSGrammarBucket.getGrammar(targetNamespace)) != null) {
                return grammar;
            }
            if (SchemaSymbols.URI_SCHEMAFORSCHEMA.equals(targetNamespace)) {
                return SchemaGrammar.Schema4Annotations.INSTANCE;
            }
            return null;
        }

        @Override // org.apache.xerces.xni.grammars.XMLGrammarPool
        public Grammar[] retrieveInitialGrammarSet(String str) {
            if (str != "http://www.w3.org/2001/XMLSchema") {
                return new Grammar[0];
            }
            if (this.fInitialGrammarSet == null) {
                XSGrammarBucket xSGrammarBucket = this.fGrammarBucket;
                if (xSGrammarBucket == null) {
                    this.fInitialGrammarSet = new Grammar[]{SchemaGrammar.Schema4Annotations.INSTANCE};
                } else {
                    SchemaGrammar[] grammars = xSGrammarBucket.getGrammars();
                    for (SchemaGrammar schemaGrammar : grammars) {
                        if (SchemaSymbols.URI_SCHEMAFORSCHEMA.equals(schemaGrammar.getTargetNamespace())) {
                            this.fInitialGrammarSet = grammars;
                            return grammars;
                        }
                    }
                    int length = grammars.length + 1;
                    Grammar[] grammarArr = new Grammar[length];
                    System.arraycopy(grammars, 0, grammarArr, 0, grammars.length);
                    grammarArr[length - 1] = SchemaGrammar.Schema4Annotations.INSTANCE;
                    this.fInitialGrammarSet = grammarArr;
                }
            }
            return this.fInitialGrammarSet;
        }

        @Override // org.apache.xerces.xni.grammars.XMLGrammarPool
        public void unlockPool() {
        }
    }

    public static class XSDKey {
        public String referNS;
        public short referType;
        public String systemId;

        public XSDKey(String str, short s, String str2) {
            this.systemId = str;
            this.referType = s;
            this.referNS = str2;
        }

        public boolean equals(Object obj) {
            String str;
            if (!(obj instanceof XSDKey)) {
                return false;
            }
            XSDKey xSDKey = (XSDKey) obj;
            return this.referNS == xSDKey.referNS && (str = this.systemId) != null && str.equals(xSDKey.systemId);
        }

        public int hashCode() {
            String str = this.referNS;
            if (str == null) {
                return 0;
            }
            return str.hashCode();
        }
    }

    public XSDHandler() {
        this.fNotationRegistry = new Hashtable();
        this.fDeclPool = null;
        this.fUnparsedAttributeRegistry = new Hashtable();
        this.fUnparsedAttributeGroupRegistry = new Hashtable();
        this.fUnparsedElementRegistry = new Hashtable();
        this.fUnparsedGroupRegistry = new Hashtable();
        this.fUnparsedIdentityConstraintRegistry = new Hashtable();
        this.fUnparsedNotationRegistry = new Hashtable();
        this.fUnparsedTypeRegistry = new Hashtable();
        this.fUnparsedAttributeRegistrySub = new Hashtable();
        this.fUnparsedAttributeGroupRegistrySub = new Hashtable();
        this.fUnparsedElementRegistrySub = new Hashtable();
        this.fUnparsedGroupRegistrySub = new Hashtable();
        this.fUnparsedIdentityConstraintRegistrySub = new Hashtable();
        this.fUnparsedNotationRegistrySub = new Hashtable();
        this.fUnparsedTypeRegistrySub = new Hashtable();
        this.fUnparsedRegistriesExt = new Hashtable[]{null, new Hashtable(), new Hashtable(), new Hashtable(), new Hashtable(), new Hashtable(), new Hashtable(), new Hashtable()};
        this.fXSDocumentInfoRegistry = new Hashtable();
        this.fDependencyMap = new Hashtable();
        this.fImportMap = new Hashtable();
        this.fAllTNSs = new Vector();
        this.fLocationPairs = null;
        this.fHiddenNodes = null;
        this.fTraversed = new Hashtable();
        this.fDoc2SystemId = new Hashtable();
        this.fRoot = null;
        this.fDoc2XSDocumentMap = new Hashtable();
        this.fRedefine2XSDMap = new Hashtable();
        this.fRedefine2NSSupport = new Hashtable();
        this.fRedefinedRestrictedAttributeGroupRegistry = new Hashtable();
        this.fRedefinedRestrictedGroupRegistry = new Hashtable();
        this.fValidateAnnotations = false;
        this.fHonourAllSchemaLocations = false;
        this.fNamespaceGrowth = false;
        this.fTolerateDuplicates = false;
        this.fLocalElemStackPos = 0;
        this.fParticle = new XSParticleDecl[30];
        this.fLocalElementDecl = new Element[30];
        this.fLocalElementDecl_schema = new XSDocumentInfo[30];
        this.fAllContext = new int[30];
        this.fParent = new XSObject[30];
        this.fLocalElemNamespaceContext = (String[][]) Array.newInstance(String.class, 30, 1);
        this.fKeyrefStackPos = 0;
        this.fKeyrefs = new Element[2];
        this.fKeyrefsMapXSDocumentInfo = new XSDocumentInfo[2];
        this.fKeyrefElems = new XSElementDecl[2];
        this.fKeyrefNamespaceContext = (String[][]) Array.newInstance(String.class, 2, 1);
        this.fGlobalAttrDecls = new SymbolHash();
        this.fGlobalAttrGrpDecls = new SymbolHash();
        this.fGlobalElemDecls = new SymbolHash();
        this.fGlobalGroupDecls = new SymbolHash();
        this.fGlobalNotationDecls = new SymbolHash();
        this.fGlobalIDConstraintDecls = new SymbolHash();
        this.fGlobalTypeDecls = new SymbolHash();
        this.fReportedTNS = null;
        this.xl = new SimpleLocator();
        this.fHiddenNodes = new Hashtable();
        this.fSchemaParser = new SchemaDOMParser(new SchemaParsingConfig());
    }

    public XSDHandler(XSGrammarBucket xSGrammarBucket) {
        this();
        this.fGrammarBucket = xSGrammarBucket;
        this.fSchemaGrammarDescription = new XSDDescription();
    }

    private void addGlobalAttributeDecls(SchemaGrammar schemaGrammar, SchemaGrammar schemaGrammar2) {
        XSNamedMap components = schemaGrammar.getComponents(1);
        int length = components.getLength();
        for (int i2 = 0; i2 < length; i2++) {
            XSAttributeDecl xSAttributeDecl = (XSAttributeDecl) components.item(i2);
            XSAttributeDecl globalAttributeDecl = schemaGrammar2.getGlobalAttributeDecl(xSAttributeDecl.getName());
            if (globalAttributeDecl == null) {
                schemaGrammar2.addGlobalAttributeDecl(xSAttributeDecl);
            } else if (globalAttributeDecl != xSAttributeDecl && !this.fTolerateDuplicates) {
                reportSharingError(xSAttributeDecl.getNamespace(), xSAttributeDecl.getName());
            }
        }
        ObjectList componentsExt = schemaGrammar.getComponentsExt(1);
        int length2 = componentsExt.getLength();
        for (int i3 = 0; i3 < length2; i3 += 2) {
            String str = (String) componentsExt.item(i3);
            int indexOf = str.indexOf(44);
            String substring = str.substring(0, indexOf);
            String substring2 = str.substring(indexOf + 1, str.length());
            XSAttributeDecl xSAttributeDecl2 = (XSAttributeDecl) componentsExt.item(i3 + 1);
            if (schemaGrammar2.getGlobalAttributeDecl(substring2, substring) == null) {
                schemaGrammar2.addGlobalAttributeDecl(xSAttributeDecl2, substring);
            }
        }
    }

    private void addGlobalAttributeGroupDecls(SchemaGrammar schemaGrammar, SchemaGrammar schemaGrammar2) {
        XSNamedMap components = schemaGrammar.getComponents(5);
        int length = components.getLength();
        for (int i2 = 0; i2 < length; i2++) {
            XSAttributeGroupDecl xSAttributeGroupDecl = (XSAttributeGroupDecl) components.item(i2);
            XSAttributeGroupDecl globalAttributeGroupDecl = schemaGrammar2.getGlobalAttributeGroupDecl(xSAttributeGroupDecl.getName());
            if (globalAttributeGroupDecl == null) {
                schemaGrammar2.addGlobalAttributeGroupDecl(xSAttributeGroupDecl);
            } else if (globalAttributeGroupDecl != xSAttributeGroupDecl && !this.fTolerateDuplicates) {
                reportSharingError(xSAttributeGroupDecl.getNamespace(), xSAttributeGroupDecl.getName());
            }
        }
        ObjectList componentsExt = schemaGrammar.getComponentsExt(5);
        int length2 = componentsExt.getLength();
        for (int i3 = 0; i3 < length2; i3 += 2) {
            String str = (String) componentsExt.item(i3);
            int indexOf = str.indexOf(44);
            String substring = str.substring(0, indexOf);
            String substring2 = str.substring(indexOf + 1, str.length());
            XSAttributeGroupDecl xSAttributeGroupDecl2 = (XSAttributeGroupDecl) componentsExt.item(i3 + 1);
            if (schemaGrammar2.getGlobalAttributeGroupDecl(substring2, substring) == null) {
                schemaGrammar2.addGlobalAttributeGroupDecl(xSAttributeGroupDecl2, substring);
            }
        }
    }

    private void addGlobalComponent(XSObject xSObject, XSDDescription xSDDescription) {
        xSDDescription.setNamespace(xSObject.getNamespace());
        SchemaGrammar schemaGrammar = getSchemaGrammar(xSDDescription);
        short type = xSObject.getType();
        String name = xSObject.getName();
        if (type == 1) {
            XSAttributeDecl xSAttributeDecl = (XSAttributeDecl) xSObject;
            if (xSAttributeDecl.getScope() == 1) {
                if (schemaGrammar.getGlobalAttributeDecl(name) == null) {
                    schemaGrammar.addGlobalAttributeDecl(xSAttributeDecl);
                }
                if (schemaGrammar.getGlobalAttributeDecl(name, "") == null) {
                    schemaGrammar.addGlobalAttributeDecl(xSAttributeDecl, "");
                }
            }
        } else if (type == 2) {
            XSElementDecl xSElementDecl = (XSElementDecl) xSObject;
            if (xSElementDecl.getScope() == 1) {
                schemaGrammar.addGlobalElementDeclAll(xSElementDecl);
                if (schemaGrammar.getGlobalElementDecl(name) == null) {
                    schemaGrammar.addGlobalElementDecl(xSElementDecl);
                }
                if (schemaGrammar.getGlobalElementDecl(name, "") == null) {
                    schemaGrammar.addGlobalElementDecl(xSElementDecl, "");
                }
            }
        } else if (type == 3) {
            XSTypeDefinition xSTypeDefinition = (XSTypeDefinition) xSObject;
            if (!xSTypeDefinition.getAnonymous()) {
                if (schemaGrammar.getGlobalTypeDecl(name) == null) {
                    schemaGrammar.addGlobalTypeDecl(xSTypeDefinition);
                }
                if (schemaGrammar.getGlobalTypeDecl(name, "") == null) {
                    schemaGrammar.addGlobalTypeDecl(xSTypeDefinition, "");
                }
            }
        } else if (type == 5) {
            if (schemaGrammar.getGlobalAttributeDecl(name) == null) {
                schemaGrammar.addGlobalAttributeGroupDecl((XSAttributeGroupDecl) xSObject);
            }
            if (schemaGrammar.getGlobalAttributeDecl(name, "") == null) {
                schemaGrammar.addGlobalAttributeGroupDecl((XSAttributeGroupDecl) xSObject, "");
            }
        } else if (type == 6) {
            if (schemaGrammar.getGlobalGroupDecl(name) == null) {
                schemaGrammar.addGlobalGroupDecl((XSGroupDecl) xSObject);
            }
            if (schemaGrammar.getGlobalGroupDecl(name, "") == null) {
                schemaGrammar.addGlobalGroupDecl((XSGroupDecl) xSObject, "");
            }
        } else if (type == 11) {
            if (schemaGrammar.getGlobalNotationDecl(name) == null) {
                schemaGrammar.addGlobalNotationDecl((XSNotationDecl) xSObject);
            }
            if (schemaGrammar.getGlobalNotationDecl(name, "") == null) {
                schemaGrammar.addGlobalNotationDecl((XSNotationDecl) xSObject, "");
            }
        }
    }

    private void addGlobalComponents(Vector vector, Hashtable hashtable) {
        XSDDescription xSDDescription = new XSDDescription();
        int size = vector.size();
        for (int i2 = 0; i2 < size; i2++) {
            addGlobalComponent((XSObject) vector.elementAt(i2), xSDDescription);
        }
        updateImportDependencies(hashtable);
    }

    private void addGlobalElementDecls(SchemaGrammar schemaGrammar, SchemaGrammar schemaGrammar2) {
        XSNamedMap components = schemaGrammar.getComponents(2);
        int length = components.getLength();
        for (int i2 = 0; i2 < length; i2++) {
            XSElementDecl xSElementDecl = (XSElementDecl) components.item(i2);
            if (schemaGrammar2.getGlobalElementDecl(xSElementDecl.getName()) == null) {
                schemaGrammar2.addGlobalElementDecl(xSElementDecl);
            }
        }
        ObjectList componentsExt = schemaGrammar.getComponentsExt(2);
        int length2 = componentsExt.getLength();
        for (int i3 = 0; i3 < length2; i3 += 2) {
            String str = (String) componentsExt.item(i3);
            int indexOf = str.indexOf(44);
            String substring = str.substring(0, indexOf);
            String substring2 = str.substring(indexOf + 1, str.length());
            XSElementDecl xSElementDecl2 = (XSElementDecl) componentsExt.item(i3 + 1);
            if (schemaGrammar2.getGlobalElementDecl(substring2, substring) == null) {
                schemaGrammar2.addGlobalElementDecl(xSElementDecl2, substring);
            }
        }
    }

    private void addGlobalGroupDecls(SchemaGrammar schemaGrammar, SchemaGrammar schemaGrammar2) {
        XSNamedMap components = schemaGrammar.getComponents(6);
        int length = components.getLength();
        for (int i2 = 0; i2 < length; i2++) {
            XSGroupDecl xSGroupDecl = (XSGroupDecl) components.item(i2);
            XSGroupDecl globalGroupDecl = schemaGrammar2.getGlobalGroupDecl(xSGroupDecl.getName());
            if (globalGroupDecl == null) {
                schemaGrammar2.addGlobalGroupDecl(xSGroupDecl);
            } else if (xSGroupDecl != globalGroupDecl && !this.fTolerateDuplicates) {
                reportSharingError(xSGroupDecl.getNamespace(), xSGroupDecl.getName());
            }
        }
        ObjectList componentsExt = schemaGrammar.getComponentsExt(6);
        int length2 = componentsExt.getLength();
        for (int i3 = 0; i3 < length2; i3 += 2) {
            String str = (String) componentsExt.item(i3);
            int indexOf = str.indexOf(44);
            String substring = str.substring(0, indexOf);
            String substring2 = str.substring(indexOf + 1, str.length());
            XSGroupDecl xSGroupDecl2 = (XSGroupDecl) componentsExt.item(i3 + 1);
            if (schemaGrammar2.getGlobalGroupDecl(substring2, substring) == null) {
                schemaGrammar2.addGlobalGroupDecl(xSGroupDecl2, substring);
            }
        }
    }

    private void addGlobalNotationDecls(SchemaGrammar schemaGrammar, SchemaGrammar schemaGrammar2) {
        XSNamedMap components = schemaGrammar.getComponents(11);
        int length = components.getLength();
        for (int i2 = 0; i2 < length; i2++) {
            XSNotationDecl xSNotationDecl = (XSNotationDecl) components.item(i2);
            XSNotationDecl globalNotationDecl = schemaGrammar2.getGlobalNotationDecl(xSNotationDecl.getName());
            if (globalNotationDecl == null) {
                schemaGrammar2.addGlobalNotationDecl(xSNotationDecl);
            } else if (globalNotationDecl != xSNotationDecl && !this.fTolerateDuplicates) {
                reportSharingError(xSNotationDecl.getNamespace(), xSNotationDecl.getName());
            }
        }
        ObjectList componentsExt = schemaGrammar.getComponentsExt(11);
        int length2 = componentsExt.getLength();
        for (int i3 = 0; i3 < length2; i3 += 2) {
            String str = (String) componentsExt.item(i3);
            int indexOf = str.indexOf(44);
            String substring = str.substring(0, indexOf);
            String substring2 = str.substring(indexOf + 1, str.length());
            XSNotationDecl xSNotationDecl2 = (XSNotationDecl) componentsExt.item(i3 + 1);
            if (schemaGrammar2.getGlobalNotationDecl(substring2, substring) == null) {
                schemaGrammar2.addGlobalNotationDecl(xSNotationDecl2, substring);
            }
        }
    }

    private void addGlobalTypeDecls(SchemaGrammar schemaGrammar, SchemaGrammar schemaGrammar2) {
        XSNamedMap components = schemaGrammar.getComponents(3);
        int length = components.getLength();
        for (int i2 = 0; i2 < length; i2++) {
            XSTypeDefinition xSTypeDefinition = (XSTypeDefinition) components.item(i2);
            XSTypeDefinition globalTypeDecl = schemaGrammar2.getGlobalTypeDecl(xSTypeDefinition.getName());
            if (globalTypeDecl == null) {
                schemaGrammar2.addGlobalTypeDecl(xSTypeDefinition);
            } else if (globalTypeDecl != xSTypeDefinition && !this.fTolerateDuplicates) {
                reportSharingError(xSTypeDefinition.getNamespace(), xSTypeDefinition.getName());
            }
        }
        ObjectList componentsExt = schemaGrammar.getComponentsExt(3);
        int length2 = componentsExt.getLength();
        for (int i3 = 0; i3 < length2; i3 += 2) {
            String str = (String) componentsExt.item(i3);
            int indexOf = str.indexOf(44);
            String substring = str.substring(0, indexOf);
            String substring2 = str.substring(indexOf + 1, str.length());
            XSTypeDefinition xSTypeDefinition2 = (XSTypeDefinition) componentsExt.item(i3 + 1);
            if (schemaGrammar2.getGlobalTypeDecl(substring2, substring) == null) {
                schemaGrammar2.addGlobalTypeDecl(xSTypeDefinition2, substring);
            }
        }
    }

    private void addGrammarComponents(SchemaGrammar schemaGrammar, SchemaGrammar schemaGrammar2) {
        if (schemaGrammar2 == null) {
            createGrammarFrom(schemaGrammar);
            return;
        }
        if (schemaGrammar2.isImmutable()) {
            schemaGrammar2 = createGrammarFrom(schemaGrammar2);
        }
        addNewGrammarLocations(schemaGrammar, schemaGrammar2);
        addNewImportedGrammars(schemaGrammar, schemaGrammar2);
        addNewGrammarComponents(schemaGrammar, schemaGrammar2);
    }

    private void addGrammars(Vector vector) {
        int size = vector.size();
        XSDDescription xSDDescription = new XSDDescription();
        for (int i2 = 0; i2 < size; i2++) {
            SchemaGrammar schemaGrammar = (SchemaGrammar) vector.elementAt(i2);
            xSDDescription.setNamespace(schemaGrammar.getTargetNamespace());
            SchemaGrammar findGrammar = findGrammar(xSDDescription, this.fNamespaceGrowth);
            if (schemaGrammar != findGrammar) {
                addGrammarComponents(schemaGrammar, findGrammar);
            }
        }
    }

    private void addImportList(SchemaGrammar schemaGrammar, Vector vector, Vector vector2) {
        int size = vector2.size();
        for (int i2 = 0; i2 < size; i2++) {
            SchemaGrammar grammar = this.fGrammarBucket.getGrammar((String) vector2.elementAt(i2));
            if (grammar != null) {
                vector.add(grammar);
            }
        }
    }

    private void addNamespaceDependency(String str, String str2, Vector vector) {
        String null2EmptyString = null2EmptyString(str);
        String null2EmptyString2 = null2EmptyString(str2);
        if (!null2EmptyString.equals(null2EmptyString2) && !vector.contains(null2EmptyString2)) {
            vector.add(null2EmptyString2);
        }
    }

    private void addNewGrammarComponents(SchemaGrammar schemaGrammar, SchemaGrammar schemaGrammar2) {
        schemaGrammar2.resetComponents();
        addGlobalElementDecls(schemaGrammar, schemaGrammar2);
        addGlobalAttributeDecls(schemaGrammar, schemaGrammar2);
        addGlobalAttributeGroupDecls(schemaGrammar, schemaGrammar2);
        addGlobalGroupDecls(schemaGrammar, schemaGrammar2);
        addGlobalTypeDecls(schemaGrammar, schemaGrammar2);
        addGlobalNotationDecls(schemaGrammar, schemaGrammar2);
    }

    private void addNewGrammarLocations(SchemaGrammar schemaGrammar, SchemaGrammar schemaGrammar2) {
        StringList documentLocations = schemaGrammar.getDocumentLocations();
        int size = documentLocations.size();
        StringList documentLocations2 = schemaGrammar2.getDocumentLocations();
        for (int i2 = 0; i2 < size; i2++) {
            String item = documentLocations.item(i2);
            if (!documentLocations2.contains(item)) {
                schemaGrammar2.addDocument(null, item);
            }
        }
    }

    private void addNewImportedGrammars(SchemaGrammar schemaGrammar, SchemaGrammar schemaGrammar2) {
        Vector importedGrammars = schemaGrammar.getImportedGrammars();
        if (importedGrammars != null) {
            Vector importedGrammars2 = schemaGrammar2.getImportedGrammars();
            if (importedGrammars2 == null) {
                schemaGrammar2.setImportedGrammars((Vector) importedGrammars.clone());
            } else {
                updateImportList(importedGrammars, importedGrammars2);
            }
        }
    }

    private void addRelatedAttribute(XSAttributeDeclaration xSAttributeDeclaration, Vector vector, String str, Hashtable hashtable) {
        if (xSAttributeDeclaration.getScope() != 1) {
            expandRelatedAttributeComponents(xSAttributeDeclaration, vector, str, hashtable);
        } else if (!vector.contains(xSAttributeDeclaration)) {
            addNamespaceDependency(str, xSAttributeDeclaration.getNamespace(), findDependentNamespaces(str, hashtable));
            vector.add(xSAttributeDeclaration);
        }
    }

    private void addRelatedElement(XSElementDeclaration xSElementDeclaration, Vector vector, String str, Hashtable hashtable) {
        if (xSElementDeclaration.getScope() != 1) {
            expandRelatedElementComponents(xSElementDeclaration, vector, str, hashtable);
        } else if (!vector.contains(xSElementDeclaration)) {
            addNamespaceDependency(str, xSElementDeclaration.getNamespace(), findDependentNamespaces(str, hashtable));
            vector.add(xSElementDeclaration);
        }
    }

    private void addRelatedType(XSTypeDefinition xSTypeDefinition, Vector vector, String str, Hashtable hashtable) {
        if (xSTypeDefinition.getAnonymous()) {
            expandRelatedTypeComponents(xSTypeDefinition, vector, str, hashtable);
        } else if (!xSTypeDefinition.getNamespace().equals(SchemaSymbols.URI_SCHEMAFORSCHEMA) && !vector.contains(xSTypeDefinition)) {
            addNamespaceDependency(str, xSTypeDefinition.getNamespace(), findDependentNamespaces(str, hashtable));
            vector.add(xSTypeDefinition);
        }
    }

    private boolean canAddComponent(XSObject xSObject, XSDDescription xSDDescription) {
        xSDDescription.setNamespace(xSObject.getNamespace());
        SchemaGrammar findGrammar = findGrammar(xSDDescription, false);
        if (findGrammar == null) {
            return true;
        }
        if (findGrammar.isImmutable()) {
            return false;
        }
        short type = xSObject.getType();
        String name = xSObject.getName();
        if (type != 1) {
            if (type != 2) {
                if (type != 3) {
                    if (type != 5) {
                        if (type != 6) {
                            return type != 11 || findGrammar.getGlobalNotationDecl(name) == xSObject;
                        }
                        if (findGrammar.getGlobalGroupDecl(name) == xSObject) {
                            return true;
                        }
                    } else if (findGrammar.getGlobalAttributeDecl(name) == xSObject) {
                        return true;
                    }
                } else if (findGrammar.getGlobalTypeDecl(name) == xSObject) {
                    return true;
                }
            } else if (findGrammar.getGlobalElementDecl(name) == xSObject) {
                return true;
            }
        } else if (findGrammar.getGlobalAttributeDecl(name) == xSObject) {
            return true;
        }
    }

    private boolean canAddComponents(Vector vector) {
        int size = vector.size();
        XSDDescription xSDDescription = new XSDDescription();
        for (int i2 = 0; i2 < size; i2++) {
            if (!canAddComponent((XSObject) vector.elementAt(i2), xSDDescription)) {
                return false;
            }
        }
        return true;
    }

    private int changeRedefineGroup(String str, String str2, String str3, Element element, XSDocumentInfo xSDocumentInfo) {
        int i2 = 0;
        for (Element firstChildElement = DOMUtil.getFirstChildElement(element); firstChildElement != null; firstChildElement = DOMUtil.getNextSiblingElement(firstChildElement)) {
            if (!DOMUtil.getLocalName(firstChildElement).equals(str2)) {
                i2 += changeRedefineGroup(str, str2, str3, firstChildElement, xSDocumentInfo);
            } else {
                String attribute = firstChildElement.getAttribute(SchemaSymbols.ATT_REF);
                if (attribute.length() != 0 && str.equals(findQName(attribute, xSDocumentInfo))) {
                    String str4 = XMLSymbols.EMPTY_STRING;
                    int indexOf = attribute.indexOf(":");
                    if (indexOf > 0) {
                        String substring = attribute.substring(0, indexOf);
                        String str5 = SchemaSymbols.ATT_REF;
                        StringBuffer stringBuffer = new StringBuffer();
                        stringBuffer.append(substring);
                        stringBuffer.append(":");
                        stringBuffer.append(str3);
                        firstChildElement.setAttribute(str5, stringBuffer.toString());
                    } else {
                        firstChildElement.setAttribute(SchemaSymbols.ATT_REF, str3);
                    }
                    i2++;
                    if (str2.equals(SchemaSymbols.ELT_GROUP)) {
                        String attribute2 = firstChildElement.getAttribute(SchemaSymbols.ATT_MINOCCURS);
                        String attribute3 = firstChildElement.getAttribute(SchemaSymbols.ATT_MAXOCCURS);
                        if ((attribute3.length() != 0 && !attribute3.equals("1")) || (attribute2.length() != 0 && !attribute2.equals("1"))) {
                            reportSchemaError(XmlErrorCodes.SCHEMA_REDEFINE$GROUP_SELF_REF_MIN_MAX_1, new Object[]{attribute}, firstChildElement);
                        }
                    }
                }
            }
        }
        return i2;
    }

    private boolean containedImportedGrammar(Vector vector, SchemaGrammar schemaGrammar) {
        int size = vector.size();
        for (int i2 = 0; i2 < size; i2++) {
            if (null2EmptyString(((SchemaGrammar) vector.elementAt(i2)).getTargetNamespace()).equals(null2EmptyString(schemaGrammar.getTargetNamespace()))) {
                return true;
            }
        }
        return false;
    }

    private void createAnnotationValidator() {
        this.fAnnotationValidator = new XML11Configuration();
        this.fGrammarBucketAdapter = new XSAnnotationGrammarPool(null);
        this.fAnnotationValidator.setFeature("http://xml.org/sax/features/validation", true);
        this.fAnnotationValidator.setFeature("http://apache.org/xml/features/validation/schema", true);
        this.fAnnotationValidator.setProperty("http://apache.org/xml/properties/internal/grammar-pool", this.fGrammarBucketAdapter);
        XMLErrorHandler errorHandler = this.fErrorReporter.getErrorHandler();
        XML11Configuration xML11Configuration = this.fAnnotationValidator;
        if (errorHandler == null) {
            errorHandler = new DefaultErrorHandler();
        }
        xML11Configuration.setProperty("http://apache.org/xml/properties/internal/error-handler", errorHandler);
        this.fAnnotationValidator.setProperty("http://apache.org/xml/properties/locale", this.fErrorReporter.getLocale());
    }

    private SchemaGrammar createGrammarFrom(SchemaGrammar schemaGrammar) {
        SchemaGrammar schemaGrammar2 = new SchemaGrammar(schemaGrammar);
        this.fGrammarBucket.putGrammar(schemaGrammar2);
        updateImportListWith(schemaGrammar2);
        updateImportListFor(schemaGrammar2);
        return schemaGrammar2;
    }

    private void createTraversers() {
        this.fAttributeChecker = new XSAttributeChecker(this);
        this.fAttributeGroupTraverser = new XSDAttributeGroupTraverser(this, this.fAttributeChecker);
        this.fAttributeTraverser = new XSDAttributeTraverser(this, this.fAttributeChecker);
        this.fComplexTypeTraverser = new XSDComplexTypeTraverser(this, this.fAttributeChecker);
        this.fElementTraverser = new XSDElementTraverser(this, this.fAttributeChecker);
        this.fGroupTraverser = new XSDGroupTraverser(this, this.fAttributeChecker);
        this.fKeyrefTraverser = new XSDKeyrefTraverser(this, this.fAttributeChecker);
        this.fNotationTraverser = new XSDNotationTraverser(this, this.fAttributeChecker);
        this.fSimpleTypeTraverser = new XSDSimpleTypeTraverser(this, this.fAttributeChecker);
        this.fUniqueOrKeyTraverser = new XSDUniqueOrKeyTraverser(this, this.fAttributeChecker);
        this.fWildCardTraverser = new XSDWildcardTraverser(this, this.fAttributeChecker);
    }

    private String doc2SystemId(Element element) {
        String documentURI = element.getOwnerDocument() instanceof SchemaDOM ? ((SchemaDOM) element.getOwnerDocument()).getDocumentURI() : null;
        return documentURI != null ? documentURI : (String) this.fDoc2SystemId.get(element);
    }

    private String emptyString2Null(String str) {
        if (str == XMLSymbols.EMPTY_STRING) {
            return null;
        }
        return str;
    }

    private boolean existingGrammars(Vector vector) {
        int size = vector.size();
        XSDDescription xSDDescription = new XSDDescription();
        for (int i2 = 0; i2 < size; i2++) {
            xSDDescription.setNamespace(((SchemaGrammar) vector.elementAt(i2)).getTargetNamespace());
            if (findGrammar(xSDDescription, false) != null) {
                return true;
            }
        }
        return false;
    }

    private Vector expandComponents(XSObject[] xSObjectArr, Hashtable hashtable) {
        Vector vector = new Vector();
        for (int i2 = 0; i2 < xSObjectArr.length; i2++) {
            if (!vector.contains(xSObjectArr[i2])) {
                vector.add(xSObjectArr[i2]);
            }
        }
        for (int i3 = 0; i3 < vector.size(); i3++) {
            expandRelatedComponents((XSObject) vector.elementAt(i3), vector, hashtable);
        }
        return vector;
    }

    private Vector expandGrammars(SchemaGrammar[] schemaGrammarArr) {
        Vector vector = new Vector();
        for (int i2 = 0; i2 < schemaGrammarArr.length; i2++) {
            if (!vector.contains(schemaGrammarArr[i2])) {
                vector.add(schemaGrammarArr[i2]);
            }
        }
        for (int i3 = 0; i3 < vector.size(); i3++) {
            Vector importedGrammars = ((SchemaGrammar) vector.elementAt(i3)).getImportedGrammars();
            if (importedGrammars != null) {
                for (int size = importedGrammars.size() - 1; size >= 0; size--) {
                    SchemaGrammar schemaGrammar = (SchemaGrammar) importedGrammars.elementAt(size);
                    if (!vector.contains(schemaGrammar)) {
                        vector.addElement(schemaGrammar);
                    }
                }
            }
        }
        return vector;
    }

    private void expandImportList(String str, Vector vector) {
        SchemaGrammar grammar = this.fGrammarBucket.getGrammar(str);
        if (grammar != null) {
            Vector importedGrammars = grammar.getImportedGrammars();
            if (importedGrammars == null) {
                Vector vector2 = new Vector();
                addImportList(grammar, vector2, vector);
                grammar.setImportedGrammars(vector2);
                return;
            }
            updateImportList(grammar, importedGrammars, vector);
        }
    }

    private void expandRelatedAttributeComponents(XSAttributeDeclaration xSAttributeDeclaration, Vector vector, String str, Hashtable hashtable) {
        addRelatedType(xSAttributeDeclaration.getTypeDefinition(), vector, str, hashtable);
    }

    private void expandRelatedAttributeGroupComponents(XSAttributeGroupDefinition xSAttributeGroupDefinition, Vector vector, String str, Hashtable hashtable) {
        expandRelatedAttributeUsesComponents(xSAttributeGroupDefinition.getAttributeUses(), vector, str, hashtable);
    }

    private void expandRelatedAttributeUseComponents(XSAttributeUse xSAttributeUse, Vector vector, String str, Hashtable hashtable) {
        addRelatedAttribute(xSAttributeUse.getAttrDeclaration(), vector, str, hashtable);
    }

    private void expandRelatedAttributeUsesComponents(XSObjectList xSObjectList, Vector vector, String str, Hashtable hashtable) {
        int size = xSObjectList == null ? 0 : xSObjectList.size();
        for (int i2 = 0; i2 < size; i2++) {
            expandRelatedAttributeUseComponents((XSAttributeUse) xSObjectList.item(i2), vector, str, hashtable);
        }
    }

    private void expandRelatedComplexTypeComponents(XSComplexTypeDecl xSComplexTypeDecl, Vector vector, String str, Hashtable hashtable) {
        addRelatedType(xSComplexTypeDecl.getBaseType(), vector, str, hashtable);
        expandRelatedAttributeUsesComponents(xSComplexTypeDecl.getAttributeUses(), vector, str, hashtable);
        XSParticle particle = xSComplexTypeDecl.getParticle();
        if (particle != null) {
            expandRelatedParticleComponents(particle, vector, str, hashtable);
        }
    }

    private void expandRelatedComponents(XSObject xSObject, Vector vector, Hashtable hashtable) {
        short type = xSObject.getType();
        if (type != 1) {
            if (type != 2) {
                if (type == 3) {
                    expandRelatedTypeComponents((XSTypeDefinition) xSObject, vector, xSObject.getNamespace(), hashtable);
                    return;
                } else if (type == 5) {
                    expandRelatedAttributeGroupComponents((XSAttributeGroupDefinition) xSObject, vector, xSObject.getNamespace(), hashtable);
                } else if (type == 6) {
                    expandRelatedModelGroupDefinitionComponents((XSModelGroupDefinition) xSObject, vector, xSObject.getNamespace(), hashtable);
                    return;
                } else {
                    return;
                }
            }
            expandRelatedElementComponents((XSElementDeclaration) xSObject, vector, xSObject.getNamespace(), hashtable);
            return;
        }
        expandRelatedAttributeComponents((XSAttributeDeclaration) xSObject, vector, xSObject.getNamespace(), hashtable);
    }

    private void expandRelatedElementComponents(XSElementDeclaration xSElementDeclaration, Vector vector, String str, Hashtable hashtable) {
        addRelatedType(xSElementDeclaration.getTypeDefinition(), vector, str, hashtable);
        XSElementDeclaration substitutionGroupAffiliation = xSElementDeclaration.getSubstitutionGroupAffiliation();
        if (substitutionGroupAffiliation != null) {
            addRelatedElement(substitutionGroupAffiliation, vector, str, hashtable);
        }
    }

    private void expandRelatedModelGroupComponents(XSModelGroup xSModelGroup, Vector vector, String str, Hashtable hashtable) {
        XSObjectList particles = xSModelGroup.getParticles();
        int length = particles == null ? 0 : particles.getLength();
        for (int i2 = 0; i2 < length; i2++) {
            expandRelatedParticleComponents((XSParticle) particles.item(i2), vector, str, hashtable);
        }
    }

    private void expandRelatedModelGroupDefinitionComponents(XSModelGroupDefinition xSModelGroupDefinition, Vector vector, String str, Hashtable hashtable) {
        expandRelatedModelGroupComponents(xSModelGroupDefinition.getModelGroup(), vector, str, hashtable);
    }

    private void expandRelatedParticleComponents(XSParticle xSParticle, Vector vector, String str, Hashtable hashtable) {
        XSTerm term = xSParticle.getTerm();
        short type = term.getType();
        if (type == 2) {
            addRelatedElement((XSElementDeclaration) term, vector, str, hashtable);
        } else if (type == 7) {
            expandRelatedModelGroupComponents((XSModelGroup) term, vector, str, hashtable);
        }
    }

    private void expandRelatedSimpleTypeComponents(XSSimpleTypeDefinition xSSimpleTypeDefinition, Vector vector, String str, Hashtable hashtable) {
        XSTypeDefinition baseType = xSSimpleTypeDefinition.getBaseType();
        if (baseType != null) {
            addRelatedType(baseType, vector, str, hashtable);
        }
        XSSimpleTypeDefinition itemType = xSSimpleTypeDefinition.getItemType();
        if (itemType != null) {
            addRelatedType(itemType, vector, str, hashtable);
        }
        XSSimpleTypeDefinition primitiveType = xSSimpleTypeDefinition.getPrimitiveType();
        if (primitiveType != null) {
            addRelatedType(primitiveType, vector, str, hashtable);
        }
        XSObjectList memberTypes = xSSimpleTypeDefinition.getMemberTypes();
        if (memberTypes.size() > 0) {
            for (int i2 = 0; i2 < memberTypes.size(); i2++) {
                addRelatedType((XSTypeDefinition) memberTypes.item(i2), vector, str, hashtable);
            }
        }
    }

    private void expandRelatedTypeComponents(XSTypeDefinition xSTypeDefinition, Vector vector, String str, Hashtable hashtable) {
        if (xSTypeDefinition instanceof XSComplexTypeDecl) {
            expandRelatedComplexTypeComponents((XSComplexTypeDecl) xSTypeDefinition, vector, str, hashtable);
        } else if (xSTypeDefinition instanceof XSSimpleTypeDecl) {
            expandRelatedSimpleTypeComponents((XSSimpleTypeDefinition) xSTypeDefinition, vector, str, hashtable);
        }
    }

    private Vector findDependentNamespaces(String str, Hashtable hashtable) {
        String null2EmptyString = null2EmptyString(str);
        Vector vector = (Vector) hashtable.get(null2EmptyString);
        if (vector != null) {
            return vector;
        }
        Vector vector2 = new Vector();
        hashtable.put(null2EmptyString, vector2);
        return vector2;
    }

    private String findQName(String str, XSDocumentInfo xSDocumentInfo) {
        SchemaNamespaceSupport schemaNamespaceSupport = xSDocumentInfo.fNamespaceSupport;
        int indexOf = str.indexOf(58);
        String str2 = XMLSymbols.EMPTY_STRING;
        if (indexOf > 0) {
            str2 = str.substring(0, indexOf);
        }
        String uri = schemaNamespaceSupport.getURI(this.fSymbolTable.addSymbol(str2));
        if (indexOf != 0) {
            str = str.substring(indexOf + 1);
        }
        if (str2 == XMLSymbols.EMPTY_STRING && uri == null && xSDocumentInfo.fIsChameleonSchema) {
            uri = xSDocumentInfo.fTargetNamespace;
        }
        return uri == null ? a.a(XSSFDataValidationConstraint.LIST_SEPARATOR, str) : a.a(uri, XSSFDataValidationConstraint.LIST_SEPARATOR, str);
    }

    private XSDocumentInfo findXSDocumentForDecl(XSDocumentInfo xSDocumentInfo, Element element, XSDocumentInfo xSDocumentInfo2) {
        if (xSDocumentInfo2 == null) {
            return null;
        }
        return xSDocumentInfo2;
    }

    private XSAttributeDecl getGlobalAttributeDecl(String str) {
        return (XSAttributeDecl) this.fGlobalAttrDecls.get(str);
    }

    private XSAttributeGroupDecl getGlobalAttributeGroupDecl(String str) {
        return (XSAttributeGroupDecl) this.fGlobalAttrGrpDecls.get(str);
    }

    private XSElementDecl getGlobalElementDecl(String str) {
        return (XSElementDecl) this.fGlobalElemDecls.get(str);
    }

    private XSGroupDecl getGlobalGroupDecl(String str) {
        return (XSGroupDecl) this.fGlobalGroupDecls.get(str);
    }

    private XSNotationDecl getGlobalNotationDecl(String str) {
        return (XSNotationDecl) this.fGlobalNotationDecls.get(str);
    }

    private XSTypeDefinition getGlobalTypeDecl(String str) {
        return (XSTypeDefinition) this.fGlobalTypeDecls.get(str);
    }

    private IdentityConstraint getIDConstraintDecl(String str) {
        return (IdentityConstraint) this.fGlobalIDConstraintDecls.get(str);
    }

    /* JADX WARNING: Removed duplicated region for block: B:11:0x0021  */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x0064  */
    private Element getSchemaDocument(String str, DOMInputSource dOMInputSource, boolean z, short s, Element element) {
        short s2;
        Element element2;
        IOException iOException;
        boolean z2;
        String str2;
        Node parentNode;
        Node node = dOMInputSource.getNode();
        XSDKey xSDKey = null;
        if (node != null) {
            s2 = node.getNodeType();
            if (s2 == 9) {
                element2 = DOMUtil.getRoot((Document) node);
            } else if (s2 == 1) {
                element2 = (Element) node;
            }
            boolean z3 = false;
            if (element2 == null) {
                if (s != 3) {
                    try {
                        str2 = XMLEntityManager.expandSystemId(dOMInputSource.getSystemId(), dOMInputSource.getBaseSystemId(), false);
                        boolean z4 = s2 == 9;
                        if (!z4 && (parentNode = element2.getParentNode()) != null) {
                            if (parentNode.getNodeType() == 9) {
                                z3 = true;
                            }
                            z4 = z3;
                        }
                        if (z4) {
                            xSDKey = new XSDKey(str2, s, str);
                            Element element3 = (Element) this.fTraversed.get(xSDKey);
                            if (element3 != null) {
                                this.fLastSchemaWasDuplicate = true;
                                return element3;
                            }
                        }
                    } catch (IOException e2) {
                        iOException = e2;
                        z2 = true;
                    }
                } else {
                    str2 = null;
                }
                return getSchemaDocument0(xSDKey, str2, element2);
            }
            iOException = null;
            z2 = false;
            return getSchemaDocument1(z, z2, dOMInputSource, element, iOException);
        }
        s2 = -1;
        element2 = null;
        boolean z32 = false;
        if (element2 == null) {
        }
        return getSchemaDocument1(z, z2, dOMInputSource, element, iOException);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:34:0x006f, code lost:
        r10 = false;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:52:0x00b3, code lost:
        r10 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:53:0x00b4, code lost:
        r5 = r10;
        r2 = true;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:54:0x00b7, code lost:
        r10 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:56:0x00bc, code lost:
        throw org.apache.xerces.impl.xs.traversers.XSDHandler.SAX2XNIUtil.createXNIException0(r10);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:57:0x00bd, code lost:
        r10 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:59:0x00c2, code lost:
        throw org.apache.xerces.impl.xs.traversers.XSDHandler.SAX2XNIUtil.createXMLParseException0(r10);
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Removed duplicated region for block: B:52:0x00b3 A[ExcHandler: IOException (r10v6 'e' java.io.IOException A[CUSTOM_DECLARE]), Splitter:B:2:0x0010] */
    private Element getSchemaDocument(String str, SAXInputSource sAXInputSource, boolean z, short s, Element element) {
        XSDKey xSDKey;
        String str2;
        boolean z2;
        XMLReader sAXParser;
        Object property;
        XMLReader xMLReader = sAXInputSource.getXMLReader();
        InputSource inputSource = sAXInputSource.getInputSource();
        boolean z3 = false;
        IOException iOException = null;
        Element element2 = null;
        if (inputSource != null) {
            try {
                if (!(inputSource.getSystemId() == null && inputSource.getByteStream() == null && inputSource.getCharacterStream() == null)) {
                    if (s != 3) {
                        str2 = XMLEntityManager.expandSystemId(inputSource.getSystemId(), sAXInputSource.getBaseSystemId(), false);
                        xSDKey = new XSDKey(str2, s, str);
                        Element element3 = (Element) this.fTraversed.get(xSDKey);
                        if (element3 != null) {
                            this.fLastSchemaWasDuplicate = true;
                            return element3;
                        }
                    } else {
                        str2 = null;
                        xSDKey = null;
                    }
                    if (xMLReader != null) {
                        z2 = xMLReader.getFeature("http://xml.org/sax/features/namespace-prefixes");
                    } else {
                        sAXParser = XMLReaderFactory.createXMLReader();
                        xMLReader = sAXParser;
                        xMLReader.setFeature("http://xml.org/sax/features/namespace-prefixes", true);
                        if ((xMLReader instanceof SAXParser) && (property = this.fSchemaParser.getProperty("http://apache.org/xml/properties/security-manager")) != null) {
                            xMLReader.setProperty("http://apache.org/xml/properties/security-manager", property);
                        }
                        z2 = true;
                    }
                    z3 = xMLReader.getFeature("http://xml.org/sax/features/string-interning");
                    if (this.fXSContentHandler == null) {
                        this.fXSContentHandler = new SchemaContentHandler();
                    }
                    this.fXSContentHandler.reset(this.fSchemaParser, this.fSymbolTable, z2, z3);
                    xMLReader.setContentHandler(this.fXSContentHandler);
                    xMLReader.setErrorHandler(this.fErrorReporter.getSAXErrorHandler());
                    xMLReader.parse(inputSource);
                    try {
                        xMLReader.setContentHandler(null);
                        xMLReader.setErrorHandler(null);
                    } catch (Exception unused) {
                    }
                    Document document = this.fXSContentHandler.getDocument();
                    if (document != null) {
                        element2 = DOMUtil.getRoot(document);
                    }
                    return getSchemaDocument0(xSDKey, str2, element2);
                }
            } catch (SAXException unused2) {
                sAXParser = new SAXParser();
            } catch (IOException e2) {
            }
        }
        boolean z4 = false;
        return getSchemaDocument1(z, z4, sAXInputSource, element, iOException);
    }

    private Element getSchemaDocument(String str, StAXInputSource stAXInputSource, boolean z, short s, Element element) {
        IOException e2;
        XSDKey xSDKey;
        String str2;
        try {
            boolean shouldConsumeRemainingContent = stAXInputSource.shouldConsumeRemainingContent();
            XMLStreamReader xMLStreamReader = stAXInputSource.getXMLStreamReader();
            XMLEventReader xMLEventReader = stAXInputSource.getXMLEventReader();
            Element element2 = null;
            if (s != 3) {
                boolean z2 = false;
                str2 = XMLEntityManager.expandSystemId(stAXInputSource.getSystemId(), stAXInputSource.getBaseSystemId(), false);
                if (shouldConsumeRemainingContent) {
                    z2 = shouldConsumeRemainingContent;
                } else if (xMLStreamReader == null) {
                    z2 = xMLEventReader.peek().isStartDocument();
                } else if (xMLStreamReader.getEventType() == 7) {
                    z2 = true;
                }
                if (z2) {
                    xSDKey = new XSDKey(str2, s, str);
                    Element element3 = (Element) this.fTraversed.get(xSDKey);
                    if (element3 != null) {
                        this.fLastSchemaWasDuplicate = true;
                        return element3;
                    }
                } else {
                    xSDKey = null;
                }
            } else {
                str2 = null;
                xSDKey = null;
            }
            if (this.fStAXSchemaParser == null) {
                this.fStAXSchemaParser = new StAXSchemaParser();
            }
            this.fStAXSchemaParser.reset(this.fSchemaParser, this.fSymbolTable);
            if (xMLStreamReader != null) {
                this.fStAXSchemaParser.parse(xMLStreamReader);
                if (shouldConsumeRemainingContent) {
                    while (xMLStreamReader.hasNext()) {
                        xMLStreamReader.next();
                    }
                }
            } else {
                this.fStAXSchemaParser.parse(xMLEventReader);
                if (shouldConsumeRemainingContent) {
                    while (xMLEventReader.hasNext()) {
                        xMLEventReader.nextEvent();
                    }
                }
            }
            Document document = this.fStAXSchemaParser.getDocument();
            if (document != null) {
                element2 = DOMUtil.getRoot(document);
            }
            return getSchemaDocument0(xSDKey, str2, element2);
        } catch (XMLStreamException e3) {
            Throwable nestedException = e3.getNestedException();
            if (nestedException instanceof IOException) {
                e2 = (IOException) nestedException;
                return getSchemaDocument1(z, true, stAXInputSource, element, e2);
            }
            StAXLocationWrapper stAXLocationWrapper = new StAXLocationWrapper();
            stAXLocationWrapper.setLocation(e3.getLocation());
            throw new XMLParseException(stAXLocationWrapper, e3.getMessage(), e3);
        } catch (IOException e4) {
            e2 = e4;
            return getSchemaDocument1(z, true, stAXInputSource, element, e2);
        }
    }

    private Element getSchemaDocument(String str, XMLInputSource xMLInputSource, boolean z, short s, Element element) {
        IOException iOException;
        boolean z2;
        XSDKey xSDKey;
        String str2;
        Element element2 = null;
        if (xMLInputSource != null) {
            try {
                if (!(xMLInputSource.getSystemId() == null && xMLInputSource.getByteStream() == null && xMLInputSource.getCharacterStream() == null)) {
                    if (s != 3) {
                        str2 = XMLEntityManager.expandSystemId(xMLInputSource.getSystemId(), xMLInputSource.getBaseSystemId(), false);
                        xSDKey = new XSDKey(str2, s, str);
                        Element element3 = (Element) this.fTraversed.get(xSDKey);
                        if (element3 != null) {
                            this.fLastSchemaWasDuplicate = true;
                            return element3;
                        }
                    } else {
                        str2 = null;
                        xSDKey = null;
                    }
                    this.fSchemaParser.parse(xMLInputSource);
                    Document document = this.fSchemaParser.getDocument();
                    if (document != null) {
                        element2 = DOMUtil.getRoot(document);
                    }
                    return getSchemaDocument0(xSDKey, str2, element2);
                }
            } catch (IOException e2) {
                iOException = e2;
                z2 = true;
            }
        }
        iOException = null;
        z2 = false;
        return getSchemaDocument1(z, z2, xMLInputSource, element, iOException);
    }

    private Element getSchemaDocument(XSInputSource xSInputSource, XSDDescription xSDDescription) {
        String namespace;
        SchemaGrammar[] grammars = xSInputSource.getGrammars();
        short contextType = xSDDescription.getContextType();
        if (grammars == null || grammars.length <= 0) {
            XSObject[] components = xSInputSource.getComponents();
            if (components == null || components.length <= 0) {
                return null;
            }
            Hashtable hashtable = new Hashtable();
            Vector expandComponents = expandComponents(components, hashtable);
            if (!this.fNamespaceGrowth && !canAddComponents(expandComponents)) {
                return null;
            }
            addGlobalComponents(expandComponents, hashtable);
            if (contextType != 3) {
                return null;
            }
            namespace = components[0].getNamespace();
        } else {
            Vector expandGrammars = expandGrammars(grammars);
            if (!this.fNamespaceGrowth && existingGrammars(expandGrammars)) {
                return null;
            }
            addGrammars(expandGrammars);
            if (contextType != 3) {
                return null;
            }
            namespace = grammars[0].getTargetNamespace();
        }
        xSDDescription.setTargetNamespace(namespace);
        return null;
    }

    private Element getSchemaDocument0(XSDKey xSDKey, String str, Element element) {
        if (xSDKey != null) {
            this.fTraversed.put(xSDKey, element);
        }
        if (str != null) {
            this.fDoc2SystemId.put(element, str);
        }
        this.fLastSchemaWasDuplicate = false;
        return element;
    }

    private Element getSchemaDocument1(boolean z, boolean z2, XMLInputSource xMLInputSource, Element element, IOException iOException) {
        if (z) {
            Object[] objArr = new Object[1];
            if (z2) {
                objArr[0] = xMLInputSource.getSystemId();
                reportSchemaError("schema_reference.4", objArr, element, iOException);
            } else {
                objArr[0] = xMLInputSource == null ? "" : xMLInputSource.getSystemId();
                reportSchemaError("schema_reference.4", objArr, element, iOException);
            }
        } else if (z2) {
            reportSchemaWarning("schema_reference.4", new Object[]{xMLInputSource.getSystemId()}, element, iOException);
        }
        this.fLastSchemaWasDuplicate = false;
        return null;
    }

    private SchemaGrammar getSchemaGrammar(XSDDescription xSDDescription) {
        SchemaGrammar findGrammar = findGrammar(xSDDescription, this.fNamespaceGrowth);
        if (findGrammar != null) {
            return findGrammar.isImmutable() ? createGrammarFrom(findGrammar) : findGrammar;
        }
        SchemaGrammar schemaGrammar = new SchemaGrammar(xSDDescription.getNamespace(), xSDDescription.makeClone(), this.fSymbolTable);
        this.fGrammarBucket.putGrammar(schemaGrammar);
        return schemaGrammar;
    }

    private boolean isExistingGrammar(XSDDescription xSDDescription, boolean z) {
        SchemaGrammar grammar = this.fGrammarBucket.getGrammar(xSDDescription.getTargetNamespace());
        if (grammar == null) {
            return findGrammar(xSDDescription, z) != null;
        }
        if (grammar.isImmutable()) {
            return true;
        }
        try {
            return grammar.getDocumentLocations().contains(XMLEntityManager.expandSystemId(xSDDescription.getLiteralSystemId(), xSDDescription.getBaseSystemId(), false));
        } catch (URI.MalformedURIException unused) {
            return false;
        }
    }

    private final boolean needReportTNSError(String str) {
        Vector vector = this.fReportedTNS;
        if (vector == null) {
            this.fReportedTNS = new Vector();
        } else if (vector.contains(str)) {
            return false;
        }
        this.fReportedTNS.addElement(str);
        return true;
    }

    private boolean nonAnnotationContent(Element element) {
        for (Element firstChildElement = DOMUtil.getFirstChildElement(element); firstChildElement != null; firstChildElement = DOMUtil.getNextSiblingElement(firstChildElement)) {
            if (!DOMUtil.getLocalName(firstChildElement).equals(SchemaSymbols.ELT_ANNOTATION)) {
                return true;
            }
        }
        return false;
    }

    private String null2EmptyString(String str) {
        return str == null ? XMLSymbols.EMPTY_STRING : str;
    }

    private boolean removeParticle(XSModelGroupImpl xSModelGroupImpl, XSParticleDecl xSParticleDecl) {
        int i2 = 0;
        while (i2 < xSModelGroupImpl.fParticleCount) {
            XSParticleDecl xSParticleDecl2 = xSModelGroupImpl.fParticles[i2];
            if (xSParticleDecl2 == xSParticleDecl) {
                while (true) {
                    int i3 = xSModelGroupImpl.fParticleCount;
                    if (i2 >= i3 - 1) {
                        xSModelGroupImpl.fParticleCount = i3 - 1;
                        return true;
                    }
                    XSParticleDecl[] xSParticleDeclArr = xSModelGroupImpl.fParticles;
                    int i4 = i2 + 1;
                    xSParticleDeclArr[i2] = xSParticleDeclArr[i4];
                    i2 = i4;
                }
            } else if (xSParticleDecl2.fType == 3 && removeParticle((XSModelGroupImpl) xSParticleDecl2.fValue, xSParticleDecl)) {
                return true;
            } else {
                i2++;
            }
        }
        return false;
    }

    private void renameRedefiningComponents(XSDocumentInfo xSDocumentInfo, Element element, String str, String str2, String str3) {
        String str4;
        String str5;
        StringBuffer stringBuffer;
        Hashtable hashtable;
        StringBuffer stringBuffer2;
        StringBuffer stringBuffer3;
        String str6 = "";
        if (str.equals(SchemaSymbols.ELT_SIMPLETYPE)) {
            Element firstChildElement = DOMUtil.getFirstChildElement(element);
            str4 = "src-redefine.5.a.a";
            if (firstChildElement != null) {
                if (DOMUtil.getLocalName(firstChildElement).equals(SchemaSymbols.ELT_ANNOTATION)) {
                    firstChildElement = DOMUtil.getNextSiblingElement(firstChildElement);
                }
                if (firstChildElement != null) {
                    String localName = DOMUtil.getLocalName(firstChildElement);
                    if (!localName.equals(SchemaSymbols.ELT_RESTRICTION)) {
                        reportSchemaError("src-redefine.5.a.b", new Object[]{localName}, element);
                        return;
                    }
                    Object[] checkAttributes = this.fAttributeChecker.checkAttributes(firstChildElement, false, xSDocumentInfo);
                    QName qName = (QName) checkAttributes[XSAttributeChecker.ATTIDX_BASE];
                    if (qName == null || qName.uri != xSDocumentInfo.fTargetNamespace || !qName.localpart.equals(str2)) {
                        Object[] objArr = new Object[2];
                        objArr[0] = localName;
                        StringBuffer stringBuffer4 = new StringBuffer();
                        String str7 = xSDocumentInfo.fTargetNamespace;
                        if (str7 != null) {
                            str6 = str7;
                        }
                        stringBuffer4.append(str6);
                        stringBuffer4.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
                        stringBuffer4.append(str2);
                        objArr[1] = stringBuffer4.toString();
                        reportSchemaError("src-redefine.5.a.c", objArr, element);
                    } else {
                        String str8 = qName.prefix;
                        if (str8 == null || str8.length() <= 0) {
                            firstChildElement.setAttribute(SchemaSymbols.ATT_BASE, str3);
                        } else {
                            String str9 = SchemaSymbols.ATT_BASE;
                            StringBuffer stringBuffer5 = new StringBuffer();
                            stringBuffer5.append(qName.prefix);
                            stringBuffer5.append(":");
                            stringBuffer5.append(str3);
                            firstChildElement.setAttribute(str9, stringBuffer5.toString());
                        }
                    }
                    this.fAttributeChecker.returnAttrArray(checkAttributes, xSDocumentInfo);
                    return;
                }
            }
        } else if (str.equals(SchemaSymbols.ELT_COMPLEXTYPE)) {
            Element firstChildElement2 = DOMUtil.getFirstChildElement(element);
            str4 = "src-redefine.5.b.a";
            if (firstChildElement2 != null) {
                if (DOMUtil.getLocalName(firstChildElement2).equals(SchemaSymbols.ELT_ANNOTATION)) {
                    firstChildElement2 = DOMUtil.getNextSiblingElement(firstChildElement2);
                }
                if (firstChildElement2 != null) {
                    Element firstChildElement3 = DOMUtil.getFirstChildElement(firstChildElement2);
                    if (firstChildElement3 != null) {
                        if (DOMUtil.getLocalName(firstChildElement3).equals(SchemaSymbols.ELT_ANNOTATION)) {
                            firstChildElement3 = DOMUtil.getNextSiblingElement(firstChildElement3);
                        }
                        if (firstChildElement3 != null) {
                            String localName2 = DOMUtil.getLocalName(firstChildElement3);
                            if (localName2.equals(SchemaSymbols.ELT_RESTRICTION) || localName2.equals(SchemaSymbols.ELT_EXTENSION)) {
                                QName qName2 = (QName) this.fAttributeChecker.checkAttributes(firstChildElement3, false, xSDocumentInfo)[XSAttributeChecker.ATTIDX_BASE];
                                if (qName2 == null || qName2.uri != xSDocumentInfo.fTargetNamespace || !qName2.localpart.equals(str2)) {
                                    Object[] objArr2 = new Object[2];
                                    objArr2[0] = localName2;
                                    StringBuffer stringBuffer6 = new StringBuffer();
                                    String str10 = xSDocumentInfo.fTargetNamespace;
                                    if (str10 != null) {
                                        str6 = str10;
                                    }
                                    stringBuffer6.append(str6);
                                    stringBuffer6.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
                                    stringBuffer6.append(str2);
                                    objArr2[1] = stringBuffer6.toString();
                                    reportSchemaError("src-redefine.5.b.d", objArr2, firstChildElement3);
                                    return;
                                }
                                String str11 = qName2.prefix;
                                if (str11 == null || str11.length() <= 0) {
                                    firstChildElement3.setAttribute(SchemaSymbols.ATT_BASE, str3);
                                    return;
                                }
                                String str12 = SchemaSymbols.ATT_BASE;
                                StringBuffer stringBuffer7 = new StringBuffer();
                                stringBuffer7.append(qName2.prefix);
                                stringBuffer7.append(":");
                                stringBuffer7.append(str3);
                                firstChildElement3.setAttribute(str12, stringBuffer7.toString());
                                return;
                            }
                            reportSchemaError("src-redefine.5.b.c", new Object[]{localName2}, firstChildElement3);
                            return;
                        }
                    }
                    reportSchemaError("src-redefine.5.b.b", null, firstChildElement2);
                    return;
                }
            }
        } else {
            if (str.equals(SchemaSymbols.ELT_ATTRIBUTEGROUP)) {
                if (xSDocumentInfo.fTargetNamespace == null) {
                    stringBuffer3 = new StringBuffer();
                } else {
                    stringBuffer3 = new StringBuffer();
                    stringBuffer3.append(xSDocumentInfo.fTargetNamespace);
                }
                str5 = a.a(stringBuffer3, XSSFDataValidationConstraint.LIST_SEPARATOR, str2);
                int changeRedefineGroup = changeRedefineGroup(str5, str, str3, element, xSDocumentInfo);
                if (changeRedefineGroup > 1) {
                    reportSchemaError(XmlErrorCodes.SCHEMA_REDEFINE$ATTR_GROUP_SELF_REF, new Object[]{new Integer(changeRedefineGroup)}, element);
                    return;
                } else if (changeRedefineGroup != 1) {
                    if (xSDocumentInfo.fTargetNamespace == null) {
                        hashtable = this.fRedefinedRestrictedAttributeGroupRegistry;
                        stringBuffer = new StringBuffer();
                        stringBuffer.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
                        stringBuffer.append(str3);
                        hashtable.put(str5, stringBuffer.toString());
                        return;
                    }
                    hashtable = this.fRedefinedRestrictedAttributeGroupRegistry;
                    stringBuffer = new StringBuffer();
                } else {
                    return;
                }
            } else if (str.equals(SchemaSymbols.ELT_GROUP)) {
                if (xSDocumentInfo.fTargetNamespace == null) {
                    stringBuffer2 = new StringBuffer();
                } else {
                    stringBuffer2 = new StringBuffer();
                    stringBuffer2.append(xSDocumentInfo.fTargetNamespace);
                }
                str5 = a.a(stringBuffer2, XSSFDataValidationConstraint.LIST_SEPARATOR, str2);
                int changeRedefineGroup2 = changeRedefineGroup(str5, str, str3, element, xSDocumentInfo);
                if (changeRedefineGroup2 > 1) {
                    reportSchemaError(XmlErrorCodes.SCHEMA_REDEFINE$GROUP_SELF_REF, new Object[]{new Integer(changeRedefineGroup2)}, element);
                    return;
                } else if (changeRedefineGroup2 != 1) {
                    if (xSDocumentInfo.fTargetNamespace == null) {
                        hashtable = this.fRedefinedRestrictedGroupRegistry;
                        stringBuffer = new StringBuffer();
                        stringBuffer.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
                        stringBuffer.append(str3);
                        hashtable.put(str5, stringBuffer.toString());
                        return;
                    }
                    hashtable = this.fRedefinedRestrictedGroupRegistry;
                    stringBuffer = new StringBuffer();
                } else {
                    return;
                }
            } else {
                reportSchemaError("Internal-Error", new Object[]{"could not handle this particular <redefine>; please submit your schemas and instance document in a bug report!"}, element);
                return;
            }
            stringBuffer.append(xSDocumentInfo.fTargetNamespace);
            stringBuffer.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
            stringBuffer.append(str3);
            hashtable.put(str5, stringBuffer.toString());
            return;
        }
        reportSchemaError(str4, null, element);
    }

    private void reportSharingError(String str, String str2) {
        reportSchemaError(XmlErrorCodes.SCHEMA_PROPERTIES$DUPLICATE, new Object[]{str == null ? a.a(XSSFDataValidationConstraint.LIST_SEPARATOR, str2) : a.a(str, XSSFDataValidationConstraint.LIST_SEPARATOR, str2)}, null);
    }

    private Element resolveSchema(XSDDescription xSDDescription, boolean z, Element element, boolean z2) {
        XMLInputSource xMLInputSource;
        Hashtable hashtable;
        if (z2) {
            try {
                hashtable = this.fLocationPairs;
            } catch (IOException unused) {
                Object[] objArr = new Object[1];
                String[] locationHints = xSDDescription.getLocationHints();
                if (z) {
                    objArr[0] = locationHints[0];
                    reportSchemaError("schema_reference.4", objArr, element);
                } else {
                    objArr[0] = locationHints[0];
                    reportSchemaWarning("schema_reference.4", objArr, element);
                }
                xMLInputSource = null;
            }
        } else {
            hashtable = EMPTY_TABLE;
        }
        xMLInputSource = XMLSchemaLoader.resolveDocument(xSDDescription, hashtable, this.fEntityResolver);
        return xMLInputSource instanceof DOMInputSource ? getSchemaDocument(xSDDescription.getTargetNamespace(), (DOMInputSource) xMLInputSource, z, xSDDescription.getContextType(), element) : xMLInputSource instanceof SAXInputSource ? getSchemaDocument(xSDDescription.getTargetNamespace(), (SAXInputSource) xMLInputSource, z, xSDDescription.getContextType(), element) : xMLInputSource instanceof StAXInputSource ? getSchemaDocument(xSDDescription.getTargetNamespace(), (StAXInputSource) xMLInputSource, z, xSDDescription.getContextType(), element) : xMLInputSource instanceof XSInputSource ? getSchemaDocument((XSInputSource) xMLInputSource, xSDDescription) : getSchemaDocument(xSDDescription.getTargetNamespace(), xMLInputSource, z, xSDDescription.getContextType(), element);
    }

    private Element resolveSchema(XMLInputSource xMLInputSource, XSDDescription xSDDescription, boolean z, Element element) {
        return xMLInputSource instanceof DOMInputSource ? getSchemaDocument(xSDDescription.getTargetNamespace(), (DOMInputSource) xMLInputSource, z, xSDDescription.getContextType(), element) : xMLInputSource instanceof SAXInputSource ? getSchemaDocument(xSDDescription.getTargetNamespace(), (SAXInputSource) xMLInputSource, z, xSDDescription.getContextType(), element) : xMLInputSource instanceof StAXInputSource ? getSchemaDocument(xSDDescription.getTargetNamespace(), (StAXInputSource) xMLInputSource, z, xSDDescription.getContextType(), element) : xMLInputSource instanceof XSInputSource ? getSchemaDocument((XSInputSource) xMLInputSource, xSDDescription) : getSchemaDocument(xSDDescription.getTargetNamespace(), xMLInputSource, z, xSDDescription.getContextType(), element);
    }

    private XMLInputSource resolveSchemaSource(XSDDescription xSDDescription, boolean z, Element element, boolean z2) {
        Hashtable hashtable;
        if (z2) {
            try {
                hashtable = this.fLocationPairs;
            } catch (IOException unused) {
                if (z) {
                    reportSchemaError("schema_reference.4", new Object[]{xSDDescription.getLocationHints()[0]}, element);
                } else {
                    reportSchemaWarning("schema_reference.4", new Object[]{xSDDescription.getLocationHints()[0]}, element);
                }
                return null;
            }
        } else {
            hashtable = EMPTY_TABLE;
        }
        return XMLSchemaLoader.resolveDocument(xSDDescription, hashtable, this.fEntityResolver);
    }

    private void setSchemasVisible(XSDocumentInfo xSDocumentInfo) {
        if (DOMUtil.isHidden(xSDocumentInfo.fSchemaElement, this.fHiddenNodes)) {
            DOMUtil.setVisible(xSDocumentInfo.fSchemaElement, this.fHiddenNodes);
            Vector vector = (Vector) this.fDependencyMap.get(xSDocumentInfo);
            for (int i2 = 0; i2 < vector.size(); i2++) {
                setSchemasVisible((XSDocumentInfo) vector.elementAt(i2));
            }
        }
    }

    private void updateImportDependencies(Hashtable hashtable) {
        Enumeration keys = hashtable.keys();
        while (keys.hasMoreElements()) {
            String str = (String) keys.nextElement();
            Vector vector = (Vector) hashtable.get(null2EmptyString(str));
            if (vector.size() > 0) {
                expandImportList(str, vector);
            }
        }
    }

    private void updateImportList(Vector vector, Vector vector2) {
        int size = vector.size();
        for (int i2 = 0; i2 < size; i2++) {
            SchemaGrammar schemaGrammar = (SchemaGrammar) vector.elementAt(i2);
            if (!containedImportedGrammar(vector2, schemaGrammar)) {
                vector2.add(schemaGrammar);
            }
        }
    }

    private void updateImportList(SchemaGrammar schemaGrammar, Vector vector, Vector vector2) {
        int size = vector2.size();
        for (int i2 = 0; i2 < size; i2++) {
            SchemaGrammar grammar = this.fGrammarBucket.getGrammar((String) vector2.elementAt(i2));
            if (grammar != null && !containedImportedGrammar(vector, grammar)) {
                vector.add(grammar);
            }
        }
    }

    private void updateImportListFor(SchemaGrammar schemaGrammar) {
        Vector importedGrammars = schemaGrammar.getImportedGrammars();
        if (importedGrammars != null) {
            for (int i2 = 0; i2 < importedGrammars.size(); i2++) {
                SchemaGrammar schemaGrammar2 = (SchemaGrammar) importedGrammars.elementAt(i2);
                SchemaGrammar grammar = this.fGrammarBucket.getGrammar(schemaGrammar2.getTargetNamespace());
                if (!(grammar == null || schemaGrammar2 == grammar)) {
                    importedGrammars.set(i2, grammar);
                }
            }
        }
    }

    private void updateImportListWith(SchemaGrammar schemaGrammar) {
        Vector importedGrammars;
        SchemaGrammar[] grammars = this.fGrammarBucket.getGrammars();
        for (SchemaGrammar schemaGrammar2 : grammars) {
            if (schemaGrammar2 != schemaGrammar && (importedGrammars = schemaGrammar2.getImportedGrammars()) != null) {
                int i2 = 0;
                while (true) {
                    if (i2 >= importedGrammars.size()) {
                        break;
                    }
                    SchemaGrammar schemaGrammar3 = (SchemaGrammar) importedGrammars.elementAt(i2);
                    if (!null2EmptyString(schemaGrammar3.getTargetNamespace()).equals(null2EmptyString(schemaGrammar.getTargetNamespace()))) {
                        i2++;
                    } else if (schemaGrammar3 != schemaGrammar) {
                        importedGrammars.set(i2, schemaGrammar);
                    }
                }
            }
        }
    }

    private void validateAnnotations(ArrayList arrayList) {
        if (this.fAnnotationValidator == null) {
            createAnnotationValidator();
        }
        int size = arrayList.size();
        XMLInputSource xMLInputSource = new XMLInputSource(null, null, null);
        this.fGrammarBucketAdapter.refreshGrammars(this.fGrammarBucket);
        for (int i2 = 0; i2 < size; i2 += 2) {
            xMLInputSource.setSystemId((String) arrayList.get(i2));
            for (XSAnnotationInfo xSAnnotationInfo = (XSAnnotationInfo) arrayList.get(i2 + 1); xSAnnotationInfo != null; xSAnnotationInfo = xSAnnotationInfo.next) {
                xMLInputSource.setCharacterStream(new StringReader(xSAnnotationInfo.fAnnotation));
                try {
                    this.fAnnotationValidator.parse(xMLInputSource);
                } catch (IOException unused) {
                }
            }
        }
    }

    public void addGlobalAttributeDecl(XSAttributeDecl xSAttributeDecl) {
        String namespace = xSAttributeDecl.getNamespace();
        StringBuffer a = (namespace == null || namespace.length() == 0) ? a.a(XSSFDataValidationConstraint.LIST_SEPARATOR) : a.c(namespace, XSSFDataValidationConstraint.LIST_SEPARATOR);
        a.append(xSAttributeDecl.getName());
        String stringBuffer = a.toString();
        if (this.fGlobalAttrDecls.get(stringBuffer) == null) {
            this.fGlobalAttrDecls.put(stringBuffer, xSAttributeDecl);
        }
    }

    public void addGlobalAttributeGroupDecl(XSAttributeGroupDecl xSAttributeGroupDecl) {
        String namespace = xSAttributeGroupDecl.getNamespace();
        StringBuffer a = (namespace == null || namespace.length() == 0) ? a.a(XSSFDataValidationConstraint.LIST_SEPARATOR) : a.c(namespace, XSSFDataValidationConstraint.LIST_SEPARATOR);
        a.append(xSAttributeGroupDecl.getName());
        String stringBuffer = a.toString();
        if (this.fGlobalAttrGrpDecls.get(stringBuffer) == null) {
            this.fGlobalAttrGrpDecls.put(stringBuffer, xSAttributeGroupDecl);
        }
    }

    public void addGlobalElementDecl(XSElementDecl xSElementDecl) {
        String namespace = xSElementDecl.getNamespace();
        StringBuffer a = (namespace == null || namespace.length() == 0) ? a.a(XSSFDataValidationConstraint.LIST_SEPARATOR) : a.c(namespace, XSSFDataValidationConstraint.LIST_SEPARATOR);
        a.append(xSElementDecl.getName());
        String stringBuffer = a.toString();
        if (this.fGlobalElemDecls.get(stringBuffer) == null) {
            this.fGlobalElemDecls.put(stringBuffer, xSElementDecl);
        }
    }

    public void addGlobalGroupDecl(XSGroupDecl xSGroupDecl) {
        String namespace = xSGroupDecl.getNamespace();
        StringBuffer a = (namespace == null || namespace.length() == 0) ? a.a(XSSFDataValidationConstraint.LIST_SEPARATOR) : a.c(namespace, XSSFDataValidationConstraint.LIST_SEPARATOR);
        a.append(xSGroupDecl.getName());
        String stringBuffer = a.toString();
        if (this.fGlobalGroupDecls.get(stringBuffer) == null) {
            this.fGlobalGroupDecls.put(stringBuffer, xSGroupDecl);
        }
    }

    public void addGlobalNotationDecl(XSNotationDecl xSNotationDecl) {
        String namespace = xSNotationDecl.getNamespace();
        StringBuffer a = (namespace == null || namespace.length() == 0) ? a.a(XSSFDataValidationConstraint.LIST_SEPARATOR) : a.c(namespace, XSSFDataValidationConstraint.LIST_SEPARATOR);
        a.append(xSNotationDecl.getName());
        String stringBuffer = a.toString();
        if (this.fGlobalNotationDecls.get(stringBuffer) == null) {
            this.fGlobalNotationDecls.put(stringBuffer, xSNotationDecl);
        }
    }

    public void addGlobalTypeDecl(XSTypeDefinition xSTypeDefinition) {
        String namespace = xSTypeDefinition.getNamespace();
        StringBuffer a = (namespace == null || namespace.length() == 0) ? a.a(XSSFDataValidationConstraint.LIST_SEPARATOR) : a.c(namespace, XSSFDataValidationConstraint.LIST_SEPARATOR);
        a.append(xSTypeDefinition.getName());
        String stringBuffer = a.toString();
        if (this.fGlobalTypeDecls.get(stringBuffer) == null) {
            this.fGlobalTypeDecls.put(stringBuffer, xSTypeDefinition);
        }
    }

    public void addIDConstraintDecl(IdentityConstraint identityConstraint) {
        String namespace = identityConstraint.getNamespace();
        StringBuffer a = (namespace == null || namespace.length() == 0) ? a.a(XSSFDataValidationConstraint.LIST_SEPARATOR) : a.c(namespace, XSSFDataValidationConstraint.LIST_SEPARATOR);
        a.append(identityConstraint.getIdentityConstraintName());
        String stringBuffer = a.toString();
        if (this.fGlobalIDConstraintDecls.get(stringBuffer) == null) {
            this.fGlobalIDConstraintDecls.put(stringBuffer, identityConstraint);
        }
    }

    public void buildGlobalNameRegistries() {
        int i2;
        Element element;
        Stack stack;
        StringBuffer stringBuffer;
        Hashtable hashtable;
        Hashtable hashtable2;
        int i3;
        Element element2;
        Stack stack2;
        StringBuffer stringBuffer2;
        String stringBuffer3;
        String str;
        Stack stack3 = new Stack();
        stack3.push(this.fRoot);
        while (!stack3.empty()) {
            XSDocumentInfo xSDocumentInfo = (XSDocumentInfo) stack3.pop();
            Element element3 = xSDocumentInfo.fSchemaElement;
            if (!DOMUtil.isHidden(element3, this.fHiddenNodes)) {
                int i4 = 1;
                Element firstChildElement = DOMUtil.getFirstChildElement(element3);
                boolean z = true;
                while (true) {
                    if (firstChildElement == null) {
                        break;
                    }
                    if (!DOMUtil.getLocalName(firstChildElement).equals(SchemaSymbols.ELT_ANNOTATION)) {
                        if (DOMUtil.getLocalName(firstChildElement).equals(SchemaSymbols.ELT_INCLUDE) || DOMUtil.getLocalName(firstChildElement).equals(SchemaSymbols.ELT_IMPORT)) {
                            stack = stack3;
                            element = element3;
                            if (!z) {
                                reportSchemaError("s4s-elt-invalid-content.3", new Object[]{DOMUtil.getLocalName(firstChildElement)}, firstChildElement);
                            }
                            DOMUtil.setHidden(firstChildElement, this.fHiddenNodes);
                            firstChildElement = DOMUtil.getNextSiblingElement(firstChildElement);
                            i4 = 1;
                            stack3 = stack;
                            element3 = element;
                        } else if (DOMUtil.getLocalName(firstChildElement).equals(SchemaSymbols.ELT_REDEFINE)) {
                            if (!z) {
                                Object[] objArr = new Object[i4];
                                objArr[0] = DOMUtil.getLocalName(firstChildElement);
                                reportSchemaError("s4s-elt-invalid-content.3", objArr, firstChildElement);
                            }
                            Element firstChildElement2 = DOMUtil.getFirstChildElement(firstChildElement);
                            while (firstChildElement2 != null) {
                                String attrValue = DOMUtil.getAttrValue(firstChildElement2, SchemaSymbols.ATT_NAME);
                                if (attrValue.length() == 0) {
                                    stack2 = stack3;
                                } else {
                                    if (xSDocumentInfo.fTargetNamespace == null) {
                                        stringBuffer2 = new StringBuffer();
                                    } else {
                                        stringBuffer2 = new StringBuffer();
                                        stringBuffer2.append(xSDocumentInfo.fTargetNamespace);
                                    }
                                    String a = a.a(stringBuffer2, XSSFDataValidationConstraint.LIST_SEPARATOR, attrValue);
                                    String localName = DOMUtil.getLocalName(firstChildElement2);
                                    if (localName.equals(SchemaSymbols.ELT_ATTRIBUTEGROUP)) {
                                        stack2 = stack3;
                                        checkForDuplicateNames(a, 2, this.fUnparsedAttributeGroupRegistry, this.fUnparsedAttributeGroupRegistrySub, firstChildElement2, xSDocumentInfo);
                                        StringBuffer stringBuffer4 = new StringBuffer();
                                        stringBuffer4.append(DOMUtil.getAttrValue(firstChildElement2, SchemaSymbols.ATT_NAME));
                                        stringBuffer4.append(REDEF_IDENTIFIER);
                                        stringBuffer3 = stringBuffer4.toString();
                                        str = SchemaSymbols.ELT_ATTRIBUTEGROUP;
                                    } else {
                                        stack2 = stack3;
                                        if (localName.equals(SchemaSymbols.ELT_COMPLEXTYPE) || localName.equals(SchemaSymbols.ELT_SIMPLETYPE)) {
                                            element2 = element3;
                                            checkForDuplicateNames(a, 7, this.fUnparsedTypeRegistry, this.fUnparsedTypeRegistrySub, firstChildElement2, xSDocumentInfo);
                                            StringBuffer stringBuffer5 = new StringBuffer();
                                            stringBuffer5.append(DOMUtil.getAttrValue(firstChildElement2, SchemaSymbols.ATT_NAME));
                                            stringBuffer5.append(REDEF_IDENTIFIER);
                                            renameRedefiningComponents(xSDocumentInfo, firstChildElement2, localName.equals(SchemaSymbols.ELT_COMPLEXTYPE) ? SchemaSymbols.ELT_COMPLEXTYPE : SchemaSymbols.ELT_SIMPLETYPE, attrValue, stringBuffer5.toString());
                                            firstChildElement2 = DOMUtil.getNextSiblingElement(firstChildElement2);
                                            stack3 = stack2;
                                            element3 = element2;
                                        } else if (localName.equals(SchemaSymbols.ELT_GROUP)) {
                                            checkForDuplicateNames(a, 4, this.fUnparsedGroupRegistry, this.fUnparsedGroupRegistrySub, firstChildElement2, xSDocumentInfo);
                                            StringBuffer stringBuffer6 = new StringBuffer();
                                            stringBuffer6.append(DOMUtil.getAttrValue(firstChildElement2, SchemaSymbols.ATT_NAME));
                                            stringBuffer6.append(REDEF_IDENTIFIER);
                                            stringBuffer3 = stringBuffer6.toString();
                                            str = SchemaSymbols.ELT_GROUP;
                                        }
                                    }
                                    renameRedefiningComponents(xSDocumentInfo, firstChildElement2, str, attrValue, stringBuffer3);
                                }
                                element2 = element3;
                                firstChildElement2 = DOMUtil.getNextSiblingElement(firstChildElement2);
                                stack3 = stack2;
                                element3 = element2;
                            }
                        } else {
                            stack = stack3;
                            element = element3;
                            String attrValue2 = DOMUtil.getAttrValue(firstChildElement, SchemaSymbols.ATT_NAME);
                            if (attrValue2.length() != 0) {
                                if (xSDocumentInfo.fTargetNamespace == null) {
                                    stringBuffer = new StringBuffer();
                                } else {
                                    stringBuffer = new StringBuffer();
                                    stringBuffer.append(xSDocumentInfo.fTargetNamespace);
                                }
                                String a2 = a.a(stringBuffer, XSSFDataValidationConstraint.LIST_SEPARATOR, attrValue2);
                                String localName2 = DOMUtil.getLocalName(firstChildElement);
                                if (localName2.equals(SchemaSymbols.ELT_ATTRIBUTE)) {
                                    Hashtable hashtable3 = this.fUnparsedAttributeRegistry;
                                    hashtable = this.fUnparsedAttributeRegistrySub;
                                    hashtable2 = hashtable3;
                                    i3 = 1;
                                } else if (localName2.equals(SchemaSymbols.ELT_ATTRIBUTEGROUP)) {
                                    Hashtable hashtable4 = this.fUnparsedAttributeGroupRegistry;
                                    hashtable = this.fUnparsedAttributeGroupRegistrySub;
                                    hashtable2 = hashtable4;
                                    i3 = 2;
                                } else if (localName2.equals(SchemaSymbols.ELT_COMPLEXTYPE) || localName2.equals(SchemaSymbols.ELT_SIMPLETYPE)) {
                                    Hashtable hashtable5 = this.fUnparsedTypeRegistry;
                                    hashtable = this.fUnparsedTypeRegistrySub;
                                    hashtable2 = hashtable5;
                                    i3 = 7;
                                } else if (localName2.equals(SchemaSymbols.ELT_ELEMENT)) {
                                    Hashtable hashtable6 = this.fUnparsedElementRegistry;
                                    hashtable = this.fUnparsedElementRegistrySub;
                                    hashtable2 = hashtable6;
                                    i3 = 3;
                                } else if (localName2.equals(SchemaSymbols.ELT_GROUP)) {
                                    Hashtable hashtable7 = this.fUnparsedGroupRegistry;
                                    hashtable = this.fUnparsedGroupRegistrySub;
                                    hashtable2 = hashtable7;
                                    i3 = 4;
                                } else if (localName2.equals(SchemaSymbols.ELT_NOTATION)) {
                                    Hashtable hashtable8 = this.fUnparsedNotationRegistry;
                                    hashtable = this.fUnparsedNotationRegistrySub;
                                    hashtable2 = hashtable8;
                                    i3 = 6;
                                }
                                checkForDuplicateNames(a2, i3, hashtable2, hashtable, firstChildElement, xSDocumentInfo);
                            }
                            z = false;
                            firstChildElement = DOMUtil.getNextSiblingElement(firstChildElement);
                            i4 = 1;
                            stack3 = stack;
                            element3 = element;
                        }
                    }
                    stack = stack3;
                    element = element3;
                    firstChildElement = DOMUtil.getNextSiblingElement(firstChildElement);
                    i4 = 1;
                    stack3 = stack;
                    element3 = element;
                }
                DOMUtil.setHidden(element3, this.fHiddenNodes);
                Vector vector = (Vector) this.fDependencyMap.get(xSDocumentInfo);
                for (i2 = 0; i2 < vector.size(); i2++) {
                    stack3.push(vector.elementAt(i2));
                }
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:20:0x0066  */
    /* JADX WARNING: Removed duplicated region for block: B:41:0x0120  */
    public void checkForDuplicateNames(String str, int i2, Hashtable hashtable, Hashtable hashtable2, Element element, XSDocumentInfo xSDocumentInfo) {
        boolean z;
        StringBuffer stringBuffer;
        StringBuffer stringBuffer2;
        Object obj = hashtable.get(str);
        if (obj == null) {
            if (this.fNamespaceGrowth && !this.fTolerateDuplicates) {
                checkForDuplicateNames(str, i2, element);
            }
            hashtable.put(str, element);
            hashtable2.put(str, xSDocumentInfo);
        } else {
            Element element2 = (Element) obj;
            XSDocumentInfo xSDocumentInfo2 = (XSDocumentInfo) hashtable2.get(str);
            if (element2 != element) {
                XSDocumentInfo xSDocumentInfo3 = null;
                Element parent = DOMUtil.getParent(element2);
                if (DOMUtil.getLocalName(parent).equals(SchemaSymbols.ELT_REDEFINE)) {
                    xSDocumentInfo3 = (XSDocumentInfo) this.fRedefine2XSDMap.get(parent);
                } else if (DOMUtil.getLocalName(DOMUtil.getParent(element)).equals(SchemaSymbols.ELT_REDEFINE)) {
                    z = false;
                    xSDocumentInfo3 = xSDocumentInfo2;
                    if (xSDocumentInfo3 == null) {
                        if (xSDocumentInfo2 == xSDocumentInfo) {
                            reportSchemaError(XmlErrorCodes.SCHEMA_PROPERTIES$DUPLICATE, new Object[]{str}, element);
                            return;
                        }
                        StringBuffer stringBuffer3 = new StringBuffer();
                        stringBuffer3.append(str.substring(str.lastIndexOf(44) + 1));
                        stringBuffer3.append(REDEF_IDENTIFIER);
                        String stringBuffer4 = stringBuffer3.toString();
                        if (xSDocumentInfo3 == xSDocumentInfo) {
                            element.setAttribute(SchemaSymbols.ATT_NAME, stringBuffer4);
                            if (xSDocumentInfo.fTargetNamespace == null) {
                                StringBuffer stringBuffer5 = new StringBuffer();
                                stringBuffer5.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
                                stringBuffer5.append(stringBuffer4);
                                hashtable.put(stringBuffer5.toString(), element);
                                stringBuffer2 = new StringBuffer();
                            } else {
                                StringBuffer stringBuffer6 = new StringBuffer();
                                stringBuffer6.append(xSDocumentInfo.fTargetNamespace);
                                stringBuffer6.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
                                stringBuffer6.append(stringBuffer4);
                                hashtable.put(stringBuffer6.toString(), element);
                                stringBuffer2 = new StringBuffer();
                                stringBuffer2.append(xSDocumentInfo.fTargetNamespace);
                            }
                            stringBuffer2.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
                            stringBuffer2.append(stringBuffer4);
                            hashtable2.put(stringBuffer2.toString(), xSDocumentInfo);
                            if (xSDocumentInfo.fTargetNamespace == null) {
                                stringBuffer = new StringBuffer();
                                checkForDuplicateNames(a.a(stringBuffer, XSSFDataValidationConstraint.LIST_SEPARATOR, stringBuffer4), i2, hashtable, hashtable2, element, xSDocumentInfo);
                            } else {
                                stringBuffer = new StringBuffer();
                            }
                        } else if (!z) {
                            reportSchemaError(XmlErrorCodes.SCHEMA_PROPERTIES$DUPLICATE, new Object[]{str}, element);
                        } else if (xSDocumentInfo.fTargetNamespace == null) {
                            stringBuffer = new StringBuffer();
                            checkForDuplicateNames(a.a(stringBuffer, XSSFDataValidationConstraint.LIST_SEPARATOR, stringBuffer4), i2, hashtable, hashtable2, element, xSDocumentInfo);
                        } else {
                            stringBuffer = new StringBuffer();
                        }
                        stringBuffer.append(xSDocumentInfo.fTargetNamespace);
                        checkForDuplicateNames(a.a(stringBuffer, XSSFDataValidationConstraint.LIST_SEPARATOR, stringBuffer4), i2, hashtable, hashtable2, element, xSDocumentInfo);
                    } else if (!this.fTolerateDuplicates || this.fUnparsedRegistriesExt[i2].get(str) == xSDocumentInfo) {
                        reportSchemaError(XmlErrorCodes.SCHEMA_PROPERTIES$DUPLICATE, new Object[]{str}, element);
                    }
                }
                z = true;
                if (xSDocumentInfo3 == null) {
                }
            } else {
                return;
            }
        }
        if (this.fTolerateDuplicates) {
            this.fUnparsedRegistriesExt[i2].put(str, xSDocumentInfo);
        }
    }

    public void checkForDuplicateNames(String str, int i2, Element element) {
        int indexOf = str.indexOf(44);
        SchemaGrammar grammar = this.fGrammarBucket.getGrammar(emptyString2Null(str.substring(0, indexOf)));
        if (grammar != null && getGlobalDeclFromGrammar(grammar, i2, str.substring(indexOf + 1)) != null) {
            reportSchemaError(XmlErrorCodes.SCHEMA_PROPERTIES$DUPLICATE, new Object[]{str}, element);
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:103:0x0279, code lost:
        if (isExistingGrammar(r21.fSchemaGrammarDescription, false) == false) goto L_0x0280;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:84:0x01ef, code lost:
        if (r21.fNamespaceGrowth == false) goto L_0x027b;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:91:0x021d, code lost:
        if (r9.contains(r13) == false) goto L_0x0215;
     */
    /* JADX WARNING: Removed duplicated region for block: B:109:0x0285  */
    /* JADX WARNING: Removed duplicated region for block: B:110:0x0287  */
    /* JADX WARNING: Removed duplicated region for block: B:152:0x03b4  */
    /* JADX WARNING: Removed duplicated region for block: B:153:0x03bb  */
    /* JADX WARNING: Removed duplicated region for block: B:75:0x01cf  */
    /* JADX WARNING: Removed duplicated region for block: B:79:0x01e3  */
    public XSDocumentInfo constructTrees(Element element, String str, XSDDescription xSDDescription, boolean z) {
        SchemaGrammar schemaGrammar;
        String str2;
        Element element2;
        String str3;
        boolean z2;
        String str4;
        Element element3;
        String str5;
        boolean z3;
        short s;
        boolean z4;
        Element element4;
        char c;
        int i2;
        char c2;
        Object[] objArr;
        short s2;
        Object[] objArr2;
        char c3;
        char c4;
        char c5;
        int i3;
        SchemaGrammar schemaGrammar2;
        Object obj;
        if (element == null) {
            return null;
        }
        String targetNamespace = xSDDescription.getTargetNamespace();
        short contextType = xSDDescription.getContextType();
        boolean z5 = true;
        try {
            XSDocumentInfo xSDocumentInfo = new XSDocumentInfo(element, this.fAttributeChecker, this.fSymbolTable);
            String str6 = xSDocumentInfo.fTargetNamespace;
            if (str6 != null && str6.length() == 0) {
                reportSchemaWarning("EmptyTargetNamespace", new Object[]{str}, element);
                xSDocumentInfo.fTargetNamespace = null;
            }
            if (targetNamespace == null) {
                String str7 = xSDocumentInfo.fTargetNamespace;
                if (str7 != null) {
                    if (contextType == 3) {
                        xSDDescription.setTargetNamespace(str7);
                        targetNamespace = xSDocumentInfo.fTargetNamespace;
                    } else {
                        reportSchemaError(NS_ERROR_CODES[contextType][1], new Object[]{targetNamespace, str7}, element);
                        return null;
                    }
                }
            } else if (contextType == 0 || contextType == 1) {
                Object obj2 = xSDocumentInfo.fTargetNamespace;
                if (obj2 == null) {
                    xSDocumentInfo.fTargetNamespace = targetNamespace;
                    xSDocumentInfo.fIsChameleonSchema = true;
                } else if (targetNamespace != obj2) {
                    reportSchemaError(NS_ERROR_CODES[contextType][0], new Object[]{targetNamespace, obj2}, element);
                    return null;
                }
            } else if (!(contextType == 3 || targetNamespace == (obj = xSDocumentInfo.fTargetNamespace))) {
                reportSchemaError(NS_ERROR_CODES[contextType][0], new Object[]{targetNamespace, obj}, element);
                return null;
            }
            xSDocumentInfo.addAllowedNS(xSDocumentInfo.fTargetNamespace);
            if (z) {
                schemaGrammar = this.fGrammarBucket.getGrammar(xSDocumentInfo.fTargetNamespace);
                if (schemaGrammar.isImmutable()) {
                    SchemaGrammar schemaGrammar3 = new SchemaGrammar(schemaGrammar);
                    this.fGrammarBucket.putGrammar(schemaGrammar3);
                    updateImportListWith(schemaGrammar3);
                    schemaGrammar = schemaGrammar3;
                }
                updateImportListFor(schemaGrammar);
            } else if (contextType == 0 || contextType == 1) {
                schemaGrammar = this.fGrammarBucket.getGrammar(xSDocumentInfo.fTargetNamespace);
            } else {
                if (!this.fHonourAllSchemaLocations || contextType != 2) {
                    schemaGrammar2 = new SchemaGrammar(xSDocumentInfo.fTargetNamespace, xSDDescription.makeClone(), this.fSymbolTable);
                } else {
                    schemaGrammar2 = findGrammar(xSDDescription, false);
                    if (schemaGrammar2 == null) {
                        schemaGrammar2 = new SchemaGrammar(xSDocumentInfo.fTargetNamespace, xSDDescription.makeClone(), this.fSymbolTable);
                    }
                    schemaGrammar = schemaGrammar2;
                }
                this.fGrammarBucket.putGrammar(schemaGrammar2);
                schemaGrammar = schemaGrammar2;
            }
            schemaGrammar.addDocument(null, (String) this.fDoc2SystemId.get(xSDocumentInfo.fSchemaElement));
            this.fDoc2XSDocumentMap.put(element, xSDocumentInfo);
            Vector vector = new Vector();
            Element element5 = null;
            for (Element firstChildElement = DOMUtil.getFirstChildElement(element); firstChildElement != null; firstChildElement = DOMUtil.getNextSiblingElement(element2)) {
                String localName = DOMUtil.getLocalName(firstChildElement);
                if (localName.equals(SchemaSymbols.ELT_ANNOTATION)) {
                    str3 = targetNamespace;
                    element2 = firstChildElement;
                } else {
                    if (!localName.equals(SchemaSymbols.ELT_IMPORT)) {
                        String str8 = targetNamespace;
                        str4 = localName;
                        element2 = firstChildElement;
                        if (!(str4.equals(SchemaSymbols.ELT_INCLUDE) || str4.equals(SchemaSymbols.ELT_REDEFINE))) {
                            break;
                        }
                        Object[] checkAttributes = this.fAttributeChecker.checkAttributes(element2, true, xSDocumentInfo);
                        String str9 = (String) checkAttributes[XSAttributeChecker.ATTIDX_SCHEMALOCATION];
                        if (str4.equals(SchemaSymbols.ELT_REDEFINE)) {
                            this.fRedefine2NSSupport.put(element2, new SchemaNamespaceSupport(xSDocumentInfo.fNamespaceSupport));
                        }
                        if (str4.equals(SchemaSymbols.ELT_INCLUDE)) {
                            Element firstChildElement2 = DOMUtil.getFirstChildElement(element2);
                            if (firstChildElement2 != null) {
                                String localName2 = DOMUtil.getLocalName(firstChildElement2);
                                if (localName2.equals(SchemaSymbols.ELT_ANNOTATION)) {
                                    c2 = 1;
                                    schemaGrammar.addAnnotation(this.fElementTraverser.traverseAnnotationDecl(firstChildElement2, checkAttributes, true, xSDocumentInfo));
                                    i2 = 3;
                                    c = 0;
                                } else {
                                    c2 = 1;
                                    i2 = 3;
                                    c = 0;
                                    reportSchemaError("s4s-elt-must-match.1", new Object[]{str4, "annotation?", localName2}, element2);
                                }
                                if (DOMUtil.getNextSiblingElement(firstChildElement2) != null) {
                                    Object[] objArr3 = new Object[i2];
                                    objArr3[c] = str4;
                                    objArr3[c2] = "annotation?";
                                    objArr3[2] = DOMUtil.getLocalName(DOMUtil.getNextSiblingElement(firstChildElement2));
                                    reportSchemaError("s4s-elt-must-match.1", objArr3, element2);
                                }
                            } else {
                                String syntheticAnnotation = DOMUtil.getSyntheticAnnotation(element2);
                                if (syntheticAnnotation != null) {
                                    schemaGrammar.addAnnotation(this.fElementTraverser.traverseSyntheticAnnotation(element2, syntheticAnnotation, checkAttributes, true, xSDocumentInfo));
                                }
                            }
                        } else {
                            Element firstChildElement3 = DOMUtil.getFirstChildElement(element2);
                            while (firstChildElement3 != null) {
                                if (DOMUtil.getLocalName(firstChildElement3).equals(SchemaSymbols.ELT_ANNOTATION)) {
                                    schemaGrammar.addAnnotation(this.fElementTraverser.traverseAnnotationDecl(firstChildElement3, checkAttributes, true, xSDocumentInfo));
                                    DOMUtil.setHidden(firstChildElement3, this.fHiddenNodes);
                                } else {
                                    String syntheticAnnotation2 = DOMUtil.getSyntheticAnnotation(element2);
                                    if (syntheticAnnotation2 != null) {
                                        str8 = str8;
                                        element4 = firstChildElement3;
                                        schemaGrammar.addAnnotation(this.fElementTraverser.traverseSyntheticAnnotation(element2, syntheticAnnotation2, checkAttributes, true, xSDocumentInfo));
                                        firstChildElement3 = DOMUtil.getNextSiblingElement(element4);
                                    }
                                }
                                str8 = str8;
                                element4 = firstChildElement3;
                                firstChildElement3 = DOMUtil.getNextSiblingElement(element4);
                            }
                        }
                        this.fAttributeChecker.returnAttrArray(checkAttributes, xSDocumentInfo);
                        if (str9 == null) {
                            reportSchemaError("s4s-att-must-appear", new Object[]{"<include> or <redefine>", "schemaLocation"}, element2);
                        }
                        if (str4.equals(SchemaSymbols.ELT_REDEFINE)) {
                            z3 = nonAnnotationContent(element2);
                            s = 1;
                        } else {
                            s = 0;
                            z3 = false;
                        }
                        this.fSchemaGrammarDescription.reset();
                        this.fSchemaGrammarDescription.setContextType(s);
                        this.fSchemaGrammarDescription.setBaseSystemId(doc2SystemId(element));
                        this.fSchemaGrammarDescription.setLocationHints(new String[]{str9});
                        str2 = str8;
                        this.fSchemaGrammarDescription.setTargetNamespace(str2);
                        XMLInputSource resolveSchemaSource = resolveSchemaSource(this.fSchemaGrammarDescription, z3, element2, true);
                        if (this.fNamespaceGrowth && s == 0) {
                            try {
                                z4 = schemaGrammar.getDocumentLocations().contains(XMLEntityManager.expandSystemId(resolveSchemaSource.getSystemId(), resolveSchemaSource.getBaseSystemId(), false));
                            } catch (URI.MalformedURIException unused) {
                            }
                            if (z4) {
                                element5 = resolveSchema(resolveSchemaSource, this.fSchemaGrammarDescription, z3, element2);
                            } else {
                                this.fLastSchemaWasDuplicate = true;
                            }
                            str5 = str9;
                            element3 = element5;
                            z2 = false;
                        }
                        z4 = false;
                        if (z4) {
                        }
                        str5 = str9;
                        element3 = element5;
                        z2 = false;
                    } else {
                        Object[] checkAttributes2 = this.fAttributeChecker.checkAttributes(firstChildElement, z5, xSDocumentInfo);
                        str5 = (String) checkAttributes2[XSAttributeChecker.ATTIDX_SCHEMALOCATION];
                        String str10 = (String) checkAttributes2[XSAttributeChecker.ATTIDX_NAMESPACE];
                        if (str10 != null) {
                            str10 = this.fSymbolTable.addSymbol(str10);
                        }
                        Element firstChildElement4 = DOMUtil.getFirstChildElement(firstChildElement);
                        if (firstChildElement4 != null) {
                            String localName3 = DOMUtil.getLocalName(firstChildElement4);
                            if (localName3.equals(SchemaSymbols.ELT_ANNOTATION)) {
                                schemaGrammar.addAnnotation(this.fElementTraverser.traverseAnnotationDecl(firstChildElement4, checkAttributes2, true, xSDocumentInfo));
                                objArr2 = checkAttributes2;
                                i3 = 3;
                                c5 = 0;
                                c4 = 1;
                                c3 = 2;
                            } else {
                                objArr2 = checkAttributes2;
                                i3 = 3;
                                c4 = 1;
                                c5 = 0;
                                c3 = 2;
                                reportSchemaError("s4s-elt-must-match.1", new Object[]{localName, "annotation?", localName3}, firstChildElement);
                            }
                            if (DOMUtil.getNextSiblingElement(firstChildElement4) != null) {
                                Object[] objArr4 = new Object[i3];
                                objArr4[c5] = localName;
                                objArr4[c4] = "annotation?";
                                objArr4[c3] = DOMUtil.getLocalName(DOMUtil.getNextSiblingElement(firstChildElement4));
                                reportSchemaError("s4s-elt-must-match.1", objArr4, firstChildElement);
                            }
                        } else {
                            objArr2 = checkAttributes2;
                            String syntheticAnnotation3 = DOMUtil.getSyntheticAnnotation(firstChildElement);
                            if (syntheticAnnotation3 != null) {
                                objArr = objArr2;
                                element2 = firstChildElement;
                                str3 = targetNamespace;
                                str4 = localName;
                                s2 = 2;
                                schemaGrammar.addAnnotation(this.fElementTraverser.traverseSyntheticAnnotation(firstChildElement, syntheticAnnotation3, objArr, true, xSDocumentInfo));
                                this.fAttributeChecker.returnAttrArray(objArr, xSDocumentInfo);
                                if (str10 != xSDocumentInfo.fTargetNamespace) {
                                    reportSchemaError(str10 != null ? "src-import.1.1" : "src-import.1.2", new Object[]{str10}, element2);
                                } else {
                                    if (!xSDocumentInfo.isAllowedNS(str10)) {
                                        xSDocumentInfo.addAllowedNS(str10);
                                    } else if (!this.fHonourAllSchemaLocations) {
                                    }
                                    String null2EmptyString = null2EmptyString(xSDocumentInfo.fTargetNamespace);
                                    Vector vector2 = (Vector) this.fImportMap.get(null2EmptyString);
                                    if (vector2 == null) {
                                        this.fAllTNSs.addElement(null2EmptyString);
                                        vector2 = new Vector();
                                        this.fImportMap.put(null2EmptyString, vector2);
                                    }
                                    vector2.addElement(str10);
                                    this.fSchemaGrammarDescription.reset();
                                    this.fSchemaGrammarDescription.setContextType(s2);
                                    this.fSchemaGrammarDescription.setBaseSystemId(doc2SystemId(element));
                                    this.fSchemaGrammarDescription.setLiteralSystemId(str5);
                                    this.fSchemaGrammarDescription.setLocationHints(new String[]{str5});
                                    this.fSchemaGrammarDescription.setTargetNamespace(str10);
                                    SchemaGrammar findGrammar = findGrammar(this.fSchemaGrammarDescription, this.fNamespaceGrowth);
                                    if (findGrammar != null) {
                                        if (this.fNamespaceGrowth) {
                                            try {
                                                if (!findGrammar.getDocumentLocations().contains(XMLEntityManager.expandSystemId(str5, this.fSchemaGrammarDescription.getBaseSystemId(), false))) {
                                                    z2 = true;
                                                    element3 = resolveSchema(this.fSchemaGrammarDescription, false, element2, findGrammar != null);
                                                    str2 = str3;
                                                }
                                            } catch (URI.MalformedURIException unused2) {
                                            }
                                        } else if (this.fHonourAllSchemaLocations) {
                                        }
                                    }
                                    z2 = false;
                                    element3 = resolveSchema(this.fSchemaGrammarDescription, false, element2, findGrammar != null);
                                    str2 = str3;
                                }
                            }
                        }
                        objArr = objArr2;
                        str3 = targetNamespace;
                        str4 = localName;
                        element2 = firstChildElement;
                        s2 = 2;
                        this.fAttributeChecker.returnAttrArray(objArr, xSDocumentInfo);
                        if (str10 != xSDocumentInfo.fTargetNamespace) {
                        }
                    }
                    XSDocumentInfo constructTrees = this.fLastSchemaWasDuplicate ? element3 == null ? null : (XSDocumentInfo) this.fDoc2XSDocumentMap.get(element3) : constructTrees(element3, str5, this.fSchemaGrammarDescription, z2);
                    if (str4.equals(SchemaSymbols.ELT_REDEFINE) && constructTrees != null) {
                        this.fRedefine2XSDMap.put(element2, constructTrees);
                    }
                    if (element3 != null) {
                        if (constructTrees != null) {
                            vector.addElement(constructTrees);
                        }
                        element5 = null;
                    } else {
                        element5 = element3;
                    }
                    targetNamespace = str2;
                    z5 = true;
                }
                str2 = str3;
                targetNamespace = str2;
                z5 = true;
            }
            this.fDependencyMap.put(xSDocumentInfo, vector);
            return xSDocumentInfo;
        } catch (XMLSchemaException unused3) {
            reportSchemaError(ELE_ERROR_CODES[contextType], new Object[]{str}, element);
            return null;
        }
    }

    public SimpleLocator element2Locator(Element element) {
        if (!(element instanceof ElementImpl)) {
            return null;
        }
        SimpleLocator simpleLocator = new SimpleLocator();
        if (element2Locator(element, simpleLocator)) {
            return simpleLocator;
        }
        return null;
    }

    public boolean element2Locator(Element element, SimpleLocator simpleLocator) {
        if (simpleLocator == null || !(element instanceof ElementImpl)) {
            return false;
        }
        ElementImpl elementImpl = (ElementImpl) element;
        String str = (String) this.fDoc2SystemId.get(DOMUtil.getRoot(elementImpl.getOwnerDocument()));
        simpleLocator.setValues(str, str, elementImpl.getLineNumber(), elementImpl.getColumnNumber(), elementImpl.getCharacterOffset());
        return true;
    }

    public void fillInLocalElemInfo(Element element, XSDocumentInfo xSDocumentInfo, int i2, XSObject xSObject, XSParticleDecl xSParticleDecl) {
        XSParticleDecl[] xSParticleDeclArr = this.fParticle;
        int length = xSParticleDeclArr.length;
        int i3 = this.fLocalElemStackPos;
        if (length == i3) {
            XSParticleDecl[] xSParticleDeclArr2 = new XSParticleDecl[(i3 + 10)];
            System.arraycopy(xSParticleDeclArr, 0, xSParticleDeclArr2, 0, i3);
            this.fParticle = xSParticleDeclArr2;
            int i4 = this.fLocalElemStackPos;
            Element[] elementArr = new Element[(i4 + 10)];
            System.arraycopy(this.fLocalElementDecl, 0, elementArr, 0, i4);
            this.fLocalElementDecl = elementArr;
            int i5 = this.fLocalElemStackPos;
            XSDocumentInfo[] xSDocumentInfoArr = new XSDocumentInfo[(i5 + 10)];
            System.arraycopy(this.fLocalElementDecl_schema, 0, xSDocumentInfoArr, 0, i5);
            this.fLocalElementDecl_schema = xSDocumentInfoArr;
            int i6 = this.fLocalElemStackPos;
            int[] iArr = new int[(i6 + 10)];
            System.arraycopy(this.fAllContext, 0, iArr, 0, i6);
            this.fAllContext = iArr;
            int i7 = this.fLocalElemStackPos;
            XSObject[] xSObjectArr = new XSObject[(i7 + 10)];
            System.arraycopy(this.fParent, 0, xSObjectArr, 0, i7);
            this.fParent = xSObjectArr;
            int i8 = this.fLocalElemStackPos;
            String[][] strArr = new String[(i8 + 10)][];
            System.arraycopy(this.fLocalElemNamespaceContext, 0, strArr, 0, i8);
            this.fLocalElemNamespaceContext = strArr;
        }
        XSParticleDecl[] xSParticleDeclArr3 = this.fParticle;
        int i9 = this.fLocalElemStackPos;
        xSParticleDeclArr3[i9] = xSParticleDecl;
        this.fLocalElementDecl[i9] = element;
        this.fLocalElementDecl_schema[i9] = xSDocumentInfo;
        this.fAllContext[i9] = i2;
        this.fParent[i9] = xSObject;
        String[][] strArr2 = this.fLocalElemNamespaceContext;
        this.fLocalElemStackPos = i9 + 1;
        strArr2[i9] = xSDocumentInfo.fNamespaceSupport.getEffectiveLocalContext();
    }

    public SchemaGrammar findGrammar(XSDDescription xSDDescription, boolean z) {
        XMLGrammarPool xMLGrammarPool;
        SchemaGrammar grammar = this.fGrammarBucket.getGrammar(xSDDescription.getTargetNamespace());
        if (grammar != null || (xMLGrammarPool = this.fGrammarPool) == null) {
            return grammar;
        }
        SchemaGrammar schemaGrammar = (SchemaGrammar) xMLGrammarPool.retrieveGrammar(xSDDescription);
        if (schemaGrammar == null || this.fGrammarBucket.putGrammar(schemaGrammar, true, z)) {
            return schemaGrammar;
        }
        reportSchemaWarning("GrammarConflict", null, null);
        return null;
    }

    public Object getGlobalDecl(String str, int i2) {
        switch (i2) {
            case 1:
                return getGlobalAttributeDecl(str);
            case 2:
                return getGlobalAttributeGroupDecl(str);
            case 3:
                return getGlobalElementDecl(str);
            case 4:
                return getGlobalGroupDecl(str);
            case 5:
                return getIDConstraintDecl(str);
            case 6:
                return getGlobalNotationDecl(str);
            case 7:
                return getGlobalTypeDecl(str);
            default:
                return null;
        }
    }

    public Object getGlobalDecl(XSDocumentInfo xSDocumentInfo, int i2, QName qName, Element element) {
        StringBuffer stringBuffer;
        Element element2;
        XSDocumentInfo xSDocumentInfo2;
        Hashtable hashtable;
        XSTypeDefinition globalTypeDecl;
        String str = qName.uri;
        if (str != null && str == SchemaSymbols.URI_SCHEMAFORSCHEMA && i2 == 7 && (globalTypeDecl = SchemaGrammar.SG_SchemaNS.getGlobalTypeDecl(qName.localpart)) != null) {
            return globalTypeDecl;
        }
        String str2 = "src-resolve.4.1";
        if (!xSDocumentInfo.isAllowedNS(qName.uri) && xSDocumentInfo.needReportTNSError(qName.uri)) {
            reportSchemaError(qName.uri == null ? str2 : "src-resolve.4.2", new Object[]{this.fDoc2SystemId.get(xSDocumentInfo.fSchemaElement), qName.uri, qName.rawname}, element);
        }
        SchemaGrammar grammar = this.fGrammarBucket.getGrammar(qName.uri);
        if (grammar == null) {
            if (needReportTNSError(qName.uri)) {
                reportSchemaError(XmlErrorCodes.SCHEMA_QNAME_RESOLVE, new Object[]{qName.rawname, COMP_TYPE[i2]}, element);
            }
            return null;
        }
        Object globalDeclFromGrammar = getGlobalDeclFromGrammar(grammar, i2, qName.localpart);
        if (qName.uri == null) {
            stringBuffer = new StringBuffer();
        } else {
            stringBuffer = new StringBuffer();
            stringBuffer.append(qName.uri);
        }
        stringBuffer.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
        stringBuffer.append(qName.localpart);
        String stringBuffer2 = stringBuffer.toString();
        if (this.fTolerateDuplicates) {
            Object globalDecl = getGlobalDecl(stringBuffer2, i2);
            if (globalDecl != null) {
                return globalDecl;
            }
        } else if (globalDeclFromGrammar != null) {
            return globalDeclFromGrammar;
        }
        switch (i2) {
            case 1:
                element2 = (Element) this.fUnparsedAttributeRegistry.get(stringBuffer2);
                hashtable = this.fUnparsedAttributeRegistrySub;
                xSDocumentInfo2 = (XSDocumentInfo) hashtable.get(stringBuffer2);
                break;
            case 2:
                element2 = (Element) this.fUnparsedAttributeGroupRegistry.get(stringBuffer2);
                hashtable = this.fUnparsedAttributeGroupRegistrySub;
                xSDocumentInfo2 = (XSDocumentInfo) hashtable.get(stringBuffer2);
                break;
            case 3:
                element2 = (Element) this.fUnparsedElementRegistry.get(stringBuffer2);
                hashtable = this.fUnparsedElementRegistrySub;
                xSDocumentInfo2 = (XSDocumentInfo) hashtable.get(stringBuffer2);
                break;
            case 4:
                element2 = (Element) this.fUnparsedGroupRegistry.get(stringBuffer2);
                hashtable = this.fUnparsedGroupRegistrySub;
                xSDocumentInfo2 = (XSDocumentInfo) hashtable.get(stringBuffer2);
                break;
            case 5:
                element2 = (Element) this.fUnparsedIdentityConstraintRegistry.get(stringBuffer2);
                hashtable = this.fUnparsedIdentityConstraintRegistrySub;
                xSDocumentInfo2 = (XSDocumentInfo) hashtable.get(stringBuffer2);
                break;
            case 6:
                element2 = (Element) this.fUnparsedNotationRegistry.get(stringBuffer2);
                hashtable = this.fUnparsedNotationRegistrySub;
                xSDocumentInfo2 = (XSDocumentInfo) hashtable.get(stringBuffer2);
                break;
            case 7:
                element2 = (Element) this.fUnparsedTypeRegistry.get(stringBuffer2);
                hashtable = this.fUnparsedTypeRegistrySub;
                xSDocumentInfo2 = (XSDocumentInfo) hashtable.get(stringBuffer2);
                break;
            default:
                StringBuffer stringBuffer3 = new StringBuffer();
                stringBuffer3.append("XSDHandler asked to locate component of type ");
                stringBuffer3.append(i2);
                stringBuffer3.append("; it does not recognize this type!");
                reportSchemaError("Internal-Error", new Object[]{stringBuffer3.toString()}, element);
                xSDocumentInfo2 = null;
                element2 = null;
                break;
        }
        if (element2 == null) {
            if (globalDeclFromGrammar == null) {
                reportSchemaError(XmlErrorCodes.SCHEMA_QNAME_RESOLVE, new Object[]{qName.rawname, COMP_TYPE[i2]}, element);
            }
            return globalDeclFromGrammar;
        }
        XSDocumentInfo findXSDocumentForDecl = findXSDocumentForDecl(xSDocumentInfo, element2, xSDocumentInfo2);
        if (findXSDocumentForDecl == null) {
            if (globalDeclFromGrammar == null) {
                if (qName.uri != null) {
                    str2 = "src-resolve.4.2";
                }
                reportSchemaError(str2, new Object[]{this.fDoc2SystemId.get(xSDocumentInfo.fSchemaElement), qName.uri, qName.rawname}, element);
            }
            return globalDeclFromGrammar;
        } else if (!DOMUtil.isHidden(element2, this.fHiddenNodes)) {
            return traverseGlobalDecl(i2, element2, findXSDocumentForDecl, grammar);
        } else {
            if (globalDeclFromGrammar == null) {
                String str3 = CIRCULAR_CODES[i2];
                if (i2 == 7 && SchemaSymbols.ELT_COMPLEXTYPE.equals(DOMUtil.getLocalName(element2))) {
                    str3 = "ct-props-correct.3";
                }
                StringBuffer stringBuffer4 = new StringBuffer();
                stringBuffer4.append(qName.prefix);
                stringBuffer4.append(":");
                stringBuffer4.append(qName.localpart);
                reportSchemaError(str3, new Object[]{stringBuffer4.toString()}, element);
            }
            return globalDeclFromGrammar;
        }
    }

    public Object getGlobalDeclFromGrammar(SchemaGrammar schemaGrammar, int i2, String str) {
        switch (i2) {
            case 1:
                return schemaGrammar.getGlobalAttributeDecl(str);
            case 2:
                return schemaGrammar.getGlobalAttributeGroupDecl(str);
            case 3:
                return schemaGrammar.getGlobalElementDecl(str);
            case 4:
                return schemaGrammar.getGlobalGroupDecl(str);
            case 5:
                return schemaGrammar.getIDConstraintDecl(str);
            case 6:
                return schemaGrammar.getGlobalNotationDecl(str);
            case 7:
                return schemaGrammar.getGlobalTypeDecl(str);
            default:
                return null;
        }
    }

    public Object getGlobalDeclFromGrammar(SchemaGrammar schemaGrammar, int i2, String str, String str2) {
        switch (i2) {
            case 1:
                return schemaGrammar.getGlobalAttributeDecl(str, str2);
            case 2:
                return schemaGrammar.getGlobalAttributeGroupDecl(str, str2);
            case 3:
                return schemaGrammar.getGlobalElementDecl(str, str2);
            case 4:
                return schemaGrammar.getGlobalGroupDecl(str, str2);
            case 5:
                return schemaGrammar.getIDConstraintDecl(str, str2);
            case 6:
                return schemaGrammar.getGlobalNotationDecl(str, str2);
            case 7:
                return schemaGrammar.getGlobalTypeDecl(str, str2);
            default:
                return null;
        }
    }

    public SchemaGrammar getGrammar(String str) {
        return this.fGrammarBucket.getGrammar(str);
    }

    public Object getGrpOrAttrGrpRedefinedByRestriction(int i2, QName qName, XSDocumentInfo xSDocumentInfo, Element element) {
        StringBuffer stringBuffer;
        Hashtable hashtable;
        if (qName.uri != null) {
            stringBuffer = new StringBuffer();
            stringBuffer.append(qName.uri);
        } else {
            stringBuffer = new StringBuffer();
        }
        stringBuffer.append(XSSFDataValidationConstraint.LIST_SEPARATOR);
        stringBuffer.append(qName.localpart);
        String stringBuffer2 = stringBuffer.toString();
        if (i2 == 2) {
            hashtable = this.fRedefinedRestrictedAttributeGroupRegistry;
        } else if (i2 != 4) {
            return null;
        } else {
            hashtable = this.fRedefinedRestrictedGroupRegistry;
        }
        String str = (String) hashtable.get(stringBuffer2);
        if (str == null) {
            return null;
        }
        int indexOf = str.indexOf(XSSFDataValidationConstraint.LIST_SEPARATOR);
        Object globalDecl = getGlobalDecl(xSDocumentInfo, i2, new QName(XMLSymbols.EMPTY_STRING, str.substring(indexOf + 1), str.substring(indexOf), indexOf == 0 ? null : str.substring(0, indexOf)), element);
        if (globalDecl != null) {
            return globalDecl;
        }
        if (i2 == 2) {
            reportSchemaError("src-redefine.7.2.1", new Object[]{qName.localpart}, element);
        } else if (i2 == 4) {
            reportSchemaError("src-redefine.6.2.1", new Object[]{qName.localpart}, element);
        }
        return null;
    }

    public Hashtable getIDRegistry() {
        return this.fUnparsedIdentityConstraintRegistry;
    }

    public Hashtable getIDRegistry_sub() {
        return this.fUnparsedIdentityConstraintRegistrySub;
    }

    public SchemaGrammar parseSchema(XMLInputSource xMLInputSource, XSDDescription xSDDescription, Hashtable hashtable) {
        SchemaGrammar schemaGrammar;
        String str;
        Element element;
        XSGrammarBucket xSGrammarBucket;
        String str2;
        String str3;
        this.fLocationPairs = hashtable;
        this.fSchemaParser.resetNodePool();
        short contextType = xSDDescription.getContextType();
        ArrayList arrayList = null;
        if (contextType != 3) {
            SchemaGrammar findGrammar = (!this.fHonourAllSchemaLocations || contextType != 2 || !isExistingGrammar(xSDDescription, this.fNamespaceGrowth)) ? findGrammar(xSDDescription, this.fNamespaceGrowth) : this.fGrammarBucket.getGrammar(xSDDescription.getTargetNamespace());
            if (findGrammar != null) {
                if (!this.fNamespaceGrowth) {
                    return findGrammar;
                }
                try {
                    if (findGrammar.getDocumentLocations().contains(XMLEntityManager.expandSystemId(xMLInputSource.getSystemId(), xMLInputSource.getBaseSystemId(), false))) {
                        return findGrammar;
                    }
                } catch (URI.MalformedURIException unused) {
                }
            }
            str = xSDDescription.getTargetNamespace();
            if (str != null) {
                str = this.fSymbolTable.addSymbol(str);
            }
            schemaGrammar = findGrammar;
        } else {
            str = null;
            schemaGrammar = null;
        }
        prepareForParse();
        if (xMLInputSource instanceof DOMInputSource) {
            element = getSchemaDocument(str, (DOMInputSource) xMLInputSource, contextType == 3, contextType, (Element) null);
        } else if (xMLInputSource instanceof SAXInputSource) {
            element = getSchemaDocument(str, (SAXInputSource) xMLInputSource, contextType == 3, contextType, (Element) null);
        } else if (xMLInputSource instanceof StAXInputSource) {
            element = getSchemaDocument(str, (StAXInputSource) xMLInputSource, contextType == 3, contextType, (Element) null);
        } else if (xMLInputSource instanceof XSInputSource) {
            element = getSchemaDocument((XSInputSource) xMLInputSource, xSDDescription);
        } else {
            element = getSchemaDocument(str, xMLInputSource, contextType == 3, contextType, (Element) null);
        }
        if (element != null) {
            if (contextType == 3) {
                String attrValue = DOMUtil.getAttrValue(element, SchemaSymbols.ATT_TARGETNAMESPACE);
                if (attrValue == null || attrValue.length() <= 0) {
                    str3 = null;
                } else {
                    str3 = this.fSymbolTable.addSymbol(attrValue);
                    xSDDescription.setTargetNamespace(str3);
                }
                schemaGrammar = findGrammar(xSDDescription, this.fNamespaceGrowth);
                String expandSystemId = XMLEntityManager.expandSystemId(xMLInputSource.getSystemId(), xMLInputSource.getBaseSystemId(), false);
                if (schemaGrammar != null && (!this.fNamespaceGrowth || (expandSystemId != null && schemaGrammar.getDocumentLocations().contains(expandSystemId)))) {
                    return schemaGrammar;
                }
                this.fTraversed.put(new XSDKey(expandSystemId, contextType, str3), element);
                if (expandSystemId != null) {
                    this.fDoc2SystemId.put(element, expandSystemId);
                }
            }
            prepareForTraverse();
            XSDocumentInfo constructTrees = constructTrees(element, xMLInputSource.getSystemId(), xSDDescription, schemaGrammar != null);
            this.fRoot = constructTrees;
            if (constructTrees == null) {
                return null;
            }
            buildGlobalNameRegistries();
            if (this.fValidateAnnotations) {
                arrayList = new ArrayList();
            }
            traverseSchemas(arrayList);
            traverseLocalElements();
            resolveKeyRefs();
            for (int size = this.fAllTNSs.size() - 1; size >= 0; size--) {
                String str4 = (String) this.fAllTNSs.elementAt(size);
                Vector vector = (Vector) this.fImportMap.get(str4);
                SchemaGrammar grammar = this.fGrammarBucket.getGrammar(emptyString2Null(str4));
                if (grammar != null) {
                    int i2 = 0;
                    for (int i3 = 0; i3 < vector.size(); i3++) {
                        SchemaGrammar grammar2 = this.fGrammarBucket.getGrammar((String) vector.elementAt(i3));
                        if (grammar2 != null) {
                            vector.setElementAt(grammar2, i2);
                            i2++;
                        }
                    }
                    vector.setSize(i2);
                    grammar.setImportedGrammars(vector);
                }
            }
            if (this.fValidateAnnotations && arrayList.size() > 0) {
                validateAnnotations(arrayList);
            }
            xSGrammarBucket = this.fGrammarBucket;
            str2 = this.fRoot.fTargetNamespace;
        } else if (!(xMLInputSource instanceof XSInputSource)) {
            return schemaGrammar;
        } else {
            xSGrammarBucket = this.fGrammarBucket;
            str2 = xSDDescription.getTargetNamespace();
        }
        return xSGrammarBucket.getGrammar(str2);
    }

    public void prepareForParse() {
        this.fTraversed.clear();
        this.fDoc2SystemId.clear();
        this.fHiddenNodes.clear();
        this.fLastSchemaWasDuplicate = false;
    }

    public void prepareForTraverse() {
        this.fUnparsedAttributeRegistry.clear();
        this.fUnparsedAttributeGroupRegistry.clear();
        this.fUnparsedElementRegistry.clear();
        this.fUnparsedGroupRegistry.clear();
        this.fUnparsedIdentityConstraintRegistry.clear();
        this.fUnparsedNotationRegistry.clear();
        this.fUnparsedTypeRegistry.clear();
        this.fUnparsedAttributeRegistrySub.clear();
        this.fUnparsedAttributeGroupRegistrySub.clear();
        this.fUnparsedElementRegistrySub.clear();
        this.fUnparsedGroupRegistrySub.clear();
        this.fUnparsedIdentityConstraintRegistrySub.clear();
        this.fUnparsedNotationRegistrySub.clear();
        this.fUnparsedTypeRegistrySub.clear();
        for (int i2 = 1; i2 <= 7; i2++) {
            this.fUnparsedRegistriesExt[i2].clear();
        }
        this.fXSDocumentInfoRegistry.clear();
        this.fDependencyMap.clear();
        this.fDoc2XSDocumentMap.clear();
        this.fRedefine2XSDMap.clear();
        this.fRedefine2NSSupport.clear();
        this.fAllTNSs.removeAllElements();
        this.fImportMap.clear();
        this.fRoot = null;
        for (int i3 = 0; i3 < this.fLocalElemStackPos; i3++) {
            this.fParticle[i3] = null;
            this.fLocalElementDecl[i3] = null;
            this.fLocalElementDecl_schema[i3] = null;
            this.fLocalElemNamespaceContext[i3] = null;
        }
        this.fLocalElemStackPos = 0;
        for (int i4 = 0; i4 < this.fKeyrefStackPos; i4++) {
            this.fKeyrefs[i4] = null;
            this.fKeyrefElems[i4] = null;
            this.fKeyrefNamespaceContext[i4] = null;
            this.fKeyrefsMapXSDocumentInfo[i4] = null;
        }
        this.fKeyrefStackPos = 0;
        if (this.fAttributeChecker == null) {
            createTraversers();
        }
        Locale locale = this.fErrorReporter.getLocale();
        this.fAttributeChecker.reset(this.fSymbolTable);
        this.fAttributeGroupTraverser.reset(this.fSymbolTable, this.fValidateAnnotations, locale);
        this.fAttributeTraverser.reset(this.fSymbolTable, this.fValidateAnnotations, locale);
        this.fComplexTypeTraverser.reset(this.fSymbolTable, this.fValidateAnnotations, locale);
        this.fElementTraverser.reset(this.fSymbolTable, this.fValidateAnnotations, locale);
        this.fGroupTraverser.reset(this.fSymbolTable, this.fValidateAnnotations, locale);
        this.fKeyrefTraverser.reset(this.fSymbolTable, this.fValidateAnnotations, locale);
        this.fNotationTraverser.reset(this.fSymbolTable, this.fValidateAnnotations, locale);
        this.fSimpleTypeTraverser.reset(this.fSymbolTable, this.fValidateAnnotations, locale);
        this.fUniqueOrKeyTraverser.reset(this.fSymbolTable, this.fValidateAnnotations, locale);
        this.fWildCardTraverser.reset(this.fSymbolTable, this.fValidateAnnotations, locale);
        this.fRedefinedRestrictedAttributeGroupRegistry.clear();
        this.fRedefinedRestrictedGroupRegistry.clear();
        this.fGlobalAttrDecls.clear();
        this.fGlobalAttrGrpDecls.clear();
        this.fGlobalElemDecls.clear();
        this.fGlobalGroupDecls.clear();
        this.fGlobalNotationDecls.clear();
        this.fGlobalIDConstraintDecls.clear();
        this.fGlobalTypeDecls.clear();
    }

    public void reportSchemaError(String str, Object[] objArr, Element element) {
        reportSchemaError(str, objArr, element, null);
    }

    public void reportSchemaError(String str, Object[] objArr, Element element, Exception exc) {
        if (element2Locator(element, this.xl)) {
            this.fErrorReporter.reportError(this.xl, XSMessageFormatter.SCHEMA_DOMAIN, str, objArr, 1, exc);
        } else {
            this.fErrorReporter.reportError(XSMessageFormatter.SCHEMA_DOMAIN, str, objArr, (short) 1, exc);
        }
    }

    public void reportSchemaWarning(String str, Object[] objArr, Element element) {
        reportSchemaWarning(str, objArr, element, null);
    }

    public void reportSchemaWarning(String str, Object[] objArr, Element element, Exception exc) {
        if (element2Locator(element, this.xl)) {
            this.fErrorReporter.reportError(this.xl, XSMessageFormatter.SCHEMA_DOMAIN, str, objArr, 0, exc);
        } else {
            this.fErrorReporter.reportError(XSMessageFormatter.SCHEMA_DOMAIN, str, objArr, (short) 0, exc);
        }
    }

    /* JADX WARNING: Can't wrap try/catch for region: R(28:0|(1:2)|3|(5:4|5|(4:7|(1:9)(1:10)|11|(3:13|(1:15)(1:16)|17))|18|(2:20|(1:22)))|23|(2:25|26)|29|30|31|34|35|36|39|(2:40|41)|44|45|46|47|48|49|50|52|53|56|57|58|59|(2:61|63)(1:65)) */
    /* JADX WARNING: Can't wrap try/catch for region: R(33:0|(1:2)|3|4|5|(4:7|(1:9)(1:10)|11|(3:13|(1:15)(1:16)|17))|18|(2:20|(1:22))|23|(2:25|26)|29|30|31|34|35|36|39|40|41|44|45|46|47|48|49|50|52|53|56|57|58|59|(2:61|63)(1:65)) */
    /* JADX WARNING: Code restructure failed: missing block: B:64:?, code lost:
        return;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:46:0x00c9 */
    /* JADX WARNING: Missing exception handler attribute for start block: B:48:0x00d2 */
    /* JADX WARNING: Missing exception handler attribute for start block: B:58:0x00f3 */
    /* JADX WARNING: Removed duplicated region for block: B:61:0x00f9 A[Catch:{ XMLConfigurationException -> 0x00fe }] */
    /* JADX WARNING: Removed duplicated region for block: B:65:? A[RETURN, SYNTHETIC] */
    public void reset(XMLComponentManager xMLComponentManager) {
        this.fSymbolTable = (SymbolTable) xMLComponentManager.getProperty("http://apache.org/xml/properties/internal/symbol-table");
        this.fEntityResolver = (XMLEntityResolver) xMLComponentManager.getProperty("http://apache.org/xml/properties/internal/entity-manager");
        XMLEntityResolver xMLEntityResolver = (XMLEntityResolver) xMLComponentManager.getProperty("http://apache.org/xml/properties/internal/entity-resolver");
        if (xMLEntityResolver != null) {
            this.fSchemaParser.setEntityResolver(xMLEntityResolver);
        }
        XMLErrorReporter xMLErrorReporter = (XMLErrorReporter) xMLComponentManager.getProperty("http://apache.org/xml/properties/internal/error-reporter");
        this.fErrorReporter = xMLErrorReporter;
        try {
            XMLErrorHandler errorHandler = xMLErrorReporter.getErrorHandler();
            if (errorHandler != this.fSchemaParser.getProperty("http://apache.org/xml/properties/internal/error-handler")) {
                this.fSchemaParser.setProperty("http://apache.org/xml/properties/internal/error-handler", errorHandler != null ? errorHandler : new DefaultErrorHandler());
                if (this.fAnnotationValidator != null) {
                    XML11Configuration xML11Configuration = this.fAnnotationValidator;
                    if (errorHandler == null) {
                        errorHandler = new DefaultErrorHandler();
                    }
                    xML11Configuration.setProperty("http://apache.org/xml/properties/internal/error-handler", errorHandler);
                }
            }
            Locale locale = this.fErrorReporter.getLocale();
            if (locale != this.fSchemaParser.getProperty("http://apache.org/xml/properties/locale")) {
                this.fSchemaParser.setProperty("http://apache.org/xml/properties/locale", locale);
                if (this.fAnnotationValidator != null) {
                    this.fAnnotationValidator.setProperty("http://apache.org/xml/properties/locale", locale);
                }
            }
        } catch (XMLConfigurationException unused) {
        }
        try {
            this.fValidateAnnotations = xMLComponentManager.getFeature("http://apache.org/xml/features/validate-annotations");
        } catch (XMLConfigurationException unused2) {
            this.fValidateAnnotations = false;
        }
        try {
            this.fHonourAllSchemaLocations = xMLComponentManager.getFeature("http://apache.org/xml/features/honour-all-schemaLocations");
        } catch (XMLConfigurationException unused3) {
            this.fHonourAllSchemaLocations = false;
        }
        try {
            this.fNamespaceGrowth = xMLComponentManager.getFeature("http://apache.org/xml/features/namespace-growth");
        } catch (XMLConfigurationException unused4) {
            this.fNamespaceGrowth = false;
        }
        try {
            this.fTolerateDuplicates = xMLComponentManager.getFeature("http://apache.org/xml/features/internal/tolerate-duplicates");
        } catch (XMLConfigurationException unused5) {
            this.fTolerateDuplicates = false;
        }
        this.fSchemaParser.setFeature("http://apache.org/xml/features/continue-after-fatal-error", this.fErrorReporter.getFeature("http://apache.org/xml/features/continue-after-fatal-error"));
        this.fSchemaParser.setFeature("http://apache.org/xml/features/allow-java-encodings", xMLComponentManager.getFeature("http://apache.org/xml/features/allow-java-encodings"));
        this.fSchemaParser.setFeature("http://apache.org/xml/features/standard-uri-conformant", xMLComponentManager.getFeature("http://apache.org/xml/features/standard-uri-conformant"));
        try {
            this.fGrammarPool = (XMLGrammarPool) xMLComponentManager.getProperty("http://apache.org/xml/properties/internal/grammar-pool");
        } catch (XMLConfigurationException unused6) {
            this.fGrammarPool = null;
        }
        this.fSchemaParser.setFeature("http://apache.org/xml/features/disallow-doctype-decl", xMLComponentManager.getFeature("http://apache.org/xml/features/disallow-doctype-decl"));
        Object property = xMLComponentManager.getProperty("http://apache.org/xml/properties/security-manager");
        if (property == null) {
            this.fSchemaParser.setProperty("http://apache.org/xml/properties/security-manager", property);
        }
    }

    public void resolveKeyRefs() {
        for (int i2 = 0; i2 < this.fKeyrefStackPos; i2++) {
            XSDocumentInfo xSDocumentInfo = this.fKeyrefsMapXSDocumentInfo[i2];
            xSDocumentInfo.fNamespaceSupport.makeGlobal();
            xSDocumentInfo.fNamespaceSupport.setEffectiveContext(this.fKeyrefNamespaceContext[i2]);
            SchemaGrammar grammar = this.fGrammarBucket.getGrammar(xSDocumentInfo.fTargetNamespace);
            DOMUtil.setHidden(this.fKeyrefs[i2], this.fHiddenNodes);
            this.fKeyrefTraverser.traverse(this.fKeyrefs[i2], this.fKeyrefElems[i2], xSDocumentInfo, grammar);
        }
    }

    public String schemaDocument2SystemId(XSDocumentInfo xSDocumentInfo) {
        return (String) this.fDoc2SystemId.get(xSDocumentInfo.fSchemaElement);
    }

    public void setDVFactory(SchemaDVFactory schemaDVFactory) {
        this.fDVFactory = schemaDVFactory;
    }

    public void setDeclPool(XSDeclarationPool xSDeclarationPool) {
        this.fDeclPool = xSDeclarationPool;
    }

    public void setGenerateSyntheticAnnotations(boolean z) {
        this.fSchemaParser.setFeature("http://apache.org/xml/features/generate-synthetic-annotations", z);
    }

    public void storeKeyRef(Element element, XSDocumentInfo xSDocumentInfo, XSElementDecl xSElementDecl) {
        StringBuffer stringBuffer;
        String attrValue = DOMUtil.getAttrValue(element, SchemaSymbols.ATT_NAME);
        if (attrValue.length() != 0) {
            if (xSDocumentInfo.fTargetNamespace == null) {
                stringBuffer = new StringBuffer();
            } else {
                stringBuffer = new StringBuffer();
                stringBuffer.append(xSDocumentInfo.fTargetNamespace);
            }
            checkForDuplicateNames(a.a(stringBuffer, XSSFDataValidationConstraint.LIST_SEPARATOR, attrValue), 5, this.fUnparsedIdentityConstraintRegistry, this.fUnparsedIdentityConstraintRegistrySub, element, xSDocumentInfo);
        }
        int i2 = this.fKeyrefStackPos;
        Element[] elementArr = this.fKeyrefs;
        if (i2 == elementArr.length) {
            Element[] elementArr2 = new Element[(i2 + 2)];
            System.arraycopy(elementArr, 0, elementArr2, 0, i2);
            this.fKeyrefs = elementArr2;
            int i3 = this.fKeyrefStackPos;
            XSElementDecl[] xSElementDeclArr = new XSElementDecl[(i3 + 2)];
            System.arraycopy(this.fKeyrefElems, 0, xSElementDeclArr, 0, i3);
            this.fKeyrefElems = xSElementDeclArr;
            int i4 = this.fKeyrefStackPos;
            String[][] strArr = new String[(i4 + 2)][];
            System.arraycopy(this.fKeyrefNamespaceContext, 0, strArr, 0, i4);
            this.fKeyrefNamespaceContext = strArr;
            int i5 = this.fKeyrefStackPos;
            XSDocumentInfo[] xSDocumentInfoArr = new XSDocumentInfo[(i5 + 2)];
            System.arraycopy(this.fKeyrefsMapXSDocumentInfo, 0, xSDocumentInfoArr, 0, i5);
            this.fKeyrefsMapXSDocumentInfo = xSDocumentInfoArr;
        }
        Element[] elementArr3 = this.fKeyrefs;
        int i6 = this.fKeyrefStackPos;
        elementArr3[i6] = element;
        this.fKeyrefElems[i6] = xSElementDecl;
        this.fKeyrefNamespaceContext[i6] = xSDocumentInfo.fNamespaceSupport.getEffectiveLocalContext();
        XSDocumentInfo[] xSDocumentInfoArr2 = this.fKeyrefsMapXSDocumentInfo;
        int i7 = this.fKeyrefStackPos;
        this.fKeyrefStackPos = i7 + 1;
        xSDocumentInfoArr2[i7] = xSDocumentInfo;
    }

    public Object traverseGlobalDecl(int i2, Element element, XSDocumentInfo xSDocumentInfo, SchemaGrammar schemaGrammar) {
        DOMUtil.setHidden(element, this.fHiddenNodes);
        Element parent = DOMUtil.getParent(element);
        Object obj = null;
        xSDocumentInfo.backupNSSupport(DOMUtil.getLocalName(parent).equals(SchemaSymbols.ELT_REDEFINE) ? (SchemaNamespaceSupport) this.fRedefine2NSSupport.get(parent) : null);
        if (i2 == 1) {
            obj = this.fAttributeTraverser.traverseGlobal(element, xSDocumentInfo, schemaGrammar);
        } else if (i2 == 2) {
            obj = this.fAttributeGroupTraverser.traverseGlobal(element, xSDocumentInfo, schemaGrammar);
        } else if (i2 == 3) {
            obj = this.fElementTraverser.traverseGlobal(element, xSDocumentInfo, schemaGrammar);
        } else if (i2 == 4) {
            obj = this.fGroupTraverser.traverseGlobal(element, xSDocumentInfo, schemaGrammar);
        } else if (i2 == 6) {
            obj = this.fNotationTraverser.traverse(element, xSDocumentInfo, schemaGrammar);
        } else if (i2 == 7) {
            obj = DOMUtil.getLocalName(element).equals(SchemaSymbols.ELT_COMPLEXTYPE) ? this.fComplexTypeTraverser.traverseGlobal(element, xSDocumentInfo, schemaGrammar) : this.fSimpleTypeTraverser.traverseGlobal(element, xSDocumentInfo, schemaGrammar);
        }
        xSDocumentInfo.restoreNSSupport();
        return obj;
    }

    public void traverseLocalElements() {
        this.fElementTraverser.fDeferTraversingLocalElements = false;
        for (int i2 = 0; i2 < this.fLocalElemStackPos; i2++) {
            Element element = this.fLocalElementDecl[i2];
            XSDocumentInfo xSDocumentInfo = this.fLocalElementDecl_schema[i2];
            this.fElementTraverser.traverseLocal(this.fParticle[i2], element, xSDocumentInfo, this.fGrammarBucket.getGrammar(xSDocumentInfo.fTargetNamespace), this.fAllContext[i2], this.fParent[i2], this.fLocalElemNamespaceContext[i2]);
            if (this.fParticle[i2].fType == 0) {
                XSModelGroupImpl xSModelGroupImpl = null;
                XSObject[] xSObjectArr = this.fParent;
                if (xSObjectArr[i2] instanceof XSComplexTypeDecl) {
                    XSParticle particle = ((XSComplexTypeDecl) xSObjectArr[i2]).getParticle();
                    if (particle != null) {
                        xSModelGroupImpl = (XSModelGroupImpl) particle.getTerm();
                    }
                } else {
                    xSModelGroupImpl = ((XSGroupDecl) xSObjectArr[i2]).fModelGroup;
                }
                if (xSModelGroupImpl != null) {
                    removeParticle(xSModelGroupImpl, this.fParticle[i2]);
                }
            }
        }
    }

    public void traverseSchemas(ArrayList arrayList) {
        XSAnnotationInfo annotations;
        String syntheticAnnotation;
        setSchemasVisible(this.fRoot);
        Stack stack = new Stack();
        stack.push(this.fRoot);
        while (!stack.empty()) {
            XSDocumentInfo xSDocumentInfo = (XSDocumentInfo) stack.pop();
            Element element = xSDocumentInfo.fSchemaElement;
            SchemaGrammar grammar = this.fGrammarBucket.getGrammar(xSDocumentInfo.fTargetNamespace);
            if (!DOMUtil.isHidden(element, this.fHiddenNodes)) {
                Element firstVisibleChildElement = DOMUtil.getFirstVisibleChildElement(element, this.fHiddenNodes);
                boolean z = false;
                while (firstVisibleChildElement != null) {
                    DOMUtil.setHidden(firstVisibleChildElement, this.fHiddenNodes);
                    String localName = DOMUtil.getLocalName(firstVisibleChildElement);
                    if (DOMUtil.getLocalName(firstVisibleChildElement).equals(SchemaSymbols.ELT_REDEFINE)) {
                        xSDocumentInfo.backupNSSupport((SchemaNamespaceSupport) this.fRedefine2NSSupport.get(firstVisibleChildElement));
                        Element firstVisibleChildElement2 = DOMUtil.getFirstVisibleChildElement(firstVisibleChildElement, this.fHiddenNodes);
                        while (firstVisibleChildElement2 != null) {
                            String localName2 = DOMUtil.getLocalName(firstVisibleChildElement2);
                            DOMUtil.setHidden(firstVisibleChildElement2, this.fHiddenNodes);
                            if (localName2.equals(SchemaSymbols.ELT_ATTRIBUTEGROUP)) {
                                this.fAttributeGroupTraverser.traverseGlobal(firstVisibleChildElement2, xSDocumentInfo, grammar);
                            } else if (localName2.equals(SchemaSymbols.ELT_COMPLEXTYPE)) {
                                this.fComplexTypeTraverser.traverseGlobal(firstVisibleChildElement2, xSDocumentInfo, grammar);
                            } else if (localName2.equals(SchemaSymbols.ELT_GROUP)) {
                                this.fGroupTraverser.traverseGlobal(firstVisibleChildElement2, xSDocumentInfo, grammar);
                            } else if (localName2.equals(SchemaSymbols.ELT_SIMPLETYPE)) {
                                this.fSimpleTypeTraverser.traverseGlobal(firstVisibleChildElement2, xSDocumentInfo, grammar);
                            } else {
                                reportSchemaError("s4s-elt-must-match.1", new Object[]{DOMUtil.getLocalName(firstVisibleChildElement), "(annotation | (simpleType | complexType | group | attributeGroup))*", localName2}, firstVisibleChildElement2);
                            }
                            firstVisibleChildElement2 = DOMUtil.getNextVisibleSiblingElement(firstVisibleChildElement2, this.fHiddenNodes);
                        }
                        xSDocumentInfo.restoreNSSupport();
                    } else if (localName.equals(SchemaSymbols.ELT_ATTRIBUTE)) {
                        this.fAttributeTraverser.traverseGlobal(firstVisibleChildElement, xSDocumentInfo, grammar);
                    } else if (localName.equals(SchemaSymbols.ELT_ATTRIBUTEGROUP)) {
                        this.fAttributeGroupTraverser.traverseGlobal(firstVisibleChildElement, xSDocumentInfo, grammar);
                    } else if (localName.equals(SchemaSymbols.ELT_COMPLEXTYPE)) {
                        this.fComplexTypeTraverser.traverseGlobal(firstVisibleChildElement, xSDocumentInfo, grammar);
                    } else if (localName.equals(SchemaSymbols.ELT_ELEMENT)) {
                        this.fElementTraverser.traverseGlobal(firstVisibleChildElement, xSDocumentInfo, grammar);
                    } else if (localName.equals(SchemaSymbols.ELT_GROUP)) {
                        this.fGroupTraverser.traverseGlobal(firstVisibleChildElement, xSDocumentInfo, grammar);
                    } else if (localName.equals(SchemaSymbols.ELT_NOTATION)) {
                        this.fNotationTraverser.traverse(firstVisibleChildElement, xSDocumentInfo, grammar);
                    } else if (localName.equals(SchemaSymbols.ELT_SIMPLETYPE)) {
                        this.fSimpleTypeTraverser.traverseGlobal(firstVisibleChildElement, xSDocumentInfo, grammar);
                    } else if (localName.equals(SchemaSymbols.ELT_ANNOTATION)) {
                        grammar.addAnnotation(this.fElementTraverser.traverseAnnotationDecl(firstVisibleChildElement, xSDocumentInfo.getSchemaAttrs(), true, xSDocumentInfo));
                        z = true;
                    } else {
                        reportSchemaError("s4s-elt-invalid-content.1", new Object[]{SchemaSymbols.ELT_SCHEMA, DOMUtil.getLocalName(firstVisibleChildElement)}, firstVisibleChildElement);
                    }
                    firstVisibleChildElement = DOMUtil.getNextVisibleSiblingElement(firstVisibleChildElement, this.fHiddenNodes);
                }
                if (!z && (syntheticAnnotation = DOMUtil.getSyntheticAnnotation(element)) != null) {
                    grammar.addAnnotation(this.fElementTraverser.traverseSyntheticAnnotation(element, syntheticAnnotation, xSDocumentInfo.getSchemaAttrs(), true, xSDocumentInfo));
                }
                if (!(arrayList == null || (annotations = xSDocumentInfo.getAnnotations()) == null)) {
                    arrayList.add(doc2SystemId(element));
                    arrayList.add(annotations);
                }
                xSDocumentInfo.returnSchemaAttrs();
                DOMUtil.setHidden(element, this.fHiddenNodes);
                Vector vector = (Vector) this.fDependencyMap.get(xSDocumentInfo);
                for (int i2 = 0; i2 < vector.size(); i2++) {
                    stack.push(vector.elementAt(i2));
                }
            }
        }
    }
}
