package org.apache.xerces.impl.xs.util;

import b.b.a.a.a;
import java.lang.reflect.Array;
import java.util.AbstractList;
import org.apache.xerces.xs.LSInputList;
import org.w3c.dom.ls.LSInput;

public final class LSInputListImpl extends AbstractList implements LSInputList {
    public static final LSInputListImpl EMPTY_LIST = new LSInputListImpl(new LSInput[0], 0);
    public final LSInput[] fArray;
    public final int fLength;

    public LSInputListImpl(LSInput[] lSInputArr, int i2) {
        this.fArray = lSInputArr;
        this.fLength = i2;
    }

    private void toArray0(Object[] objArr) {
        int i2 = this.fLength;
        if (i2 > 0) {
            System.arraycopy(this.fArray, 0, objArr, 0, i2);
        }
    }

    @Override // java.util.List, java.util.AbstractList
    public Object get(int i2) {
        if (i2 >= 0 && i2 < this.fLength) {
            return this.fArray[i2];
        }
        throw new IndexOutOfBoundsException(a.b("Index: ", i2));
    }

    @Override // org.apache.xerces.xs.LSInputList
    public int getLength() {
        return this.fLength;
    }

    @Override // org.apache.xerces.xs.LSInputList
    public LSInput item(int i2) {
        if (i2 < 0 || i2 >= this.fLength) {
            return null;
        }
        return this.fArray[i2];
    }

    public int size() {
        return getLength();
    }

    public Object[] toArray() {
        Object[] objArr = new Object[this.fLength];
        toArray0(objArr);
        return objArr;
    }

    @Override // java.util.AbstractCollection, java.util.List, java.util.Collection
    public Object[] toArray(Object[] objArr) {
        if (objArr.length < this.fLength) {
            objArr = (Object[]) Array.newInstance(objArr.getClass().getComponentType(), this.fLength);
        }
        toArray0(objArr);
        int length = objArr.length;
        int i2 = this.fLength;
        if (length > i2) {
            objArr[i2] = null;
        }
        return objArr;
    }
}
