package org.apache.xerces.impl.xs.util;

import b.b.a.a.a;
import java.util.AbstractList;
import org.apache.xerces.xs.ShortList;
import org.apache.xerces.xs.XSException;

public final class ShortListImpl extends AbstractList implements ShortList {
    public static final ShortListImpl EMPTY_LIST = new ShortListImpl(new short[0], 0);
    public final short[] fArray;
    public final int fLength;

    public ShortListImpl(short[] sArr, int i2) {
        this.fArray = sArr;
        this.fLength = i2;
    }

    @Override // org.apache.xerces.xs.ShortList
    public boolean contains(short s) {
        for (int i2 = 0; i2 < this.fLength; i2++) {
            if (this.fArray[i2] == s) {
                return true;
            }
        }
        return false;
    }

    public boolean equals(Object obj) {
        if (obj == null || !(obj instanceof ShortList)) {
            return false;
        }
        ShortList shortList = (ShortList) obj;
        if (this.fLength != shortList.getLength()) {
            return false;
        }
        for (int i2 = 0; i2 < this.fLength; i2++) {
            if (this.fArray[i2] != shortList.item(i2)) {
                return false;
            }
        }
        return true;
    }

    @Override // java.util.List, java.util.AbstractList
    public Object get(int i2) {
        if (i2 >= 0 && i2 < this.fLength) {
            return new Short(this.fArray[i2]);
        }
        throw new IndexOutOfBoundsException(a.b("Index: ", i2));
    }

    @Override // org.apache.xerces.xs.ShortList
    public int getLength() {
        return this.fLength;
    }

    @Override // org.apache.xerces.xs.ShortList
    public short item(int i2) {
        if (i2 >= 0 && i2 < this.fLength) {
            return this.fArray[i2];
        }
        throw new XSException(2, null);
    }

    public int size() {
        return getLength();
    }
}
