package org.apache.xerces.impl.xs.util;

import org.apache.xerces.xni.XMLLocator;

public final class SimpleLocator implements XMLLocator {
    public int charOffset;
    public int column;
    public String esid;
    public int line;
    public String lsid;

    public SimpleLocator() {
    }

    public SimpleLocator(String str, String str2, int i2, int i3) {
        this(str, str2, i2, i3, -1);
    }

    public SimpleLocator(String str, String str2, int i2, int i3, int i4) {
        this.line = i2;
        this.column = i3;
        this.lsid = str;
        this.esid = str2;
        this.charOffset = i4;
    }

    @Override // org.apache.xerces.xni.XMLLocator
    public String getBaseSystemId() {
        return null;
    }

    @Override // org.apache.xerces.xni.XMLLocator
    public int getCharacterOffset() {
        return this.charOffset;
    }

    @Override // org.apache.xerces.xni.XMLLocator
    public int getColumnNumber() {
        return this.column;
    }

    @Override // org.apache.xerces.xni.XMLLocator
    public String getEncoding() {
        return null;
    }

    @Override // org.apache.xerces.xni.XMLLocator
    public String getExpandedSystemId() {
        return this.esid;
    }

    @Override // org.apache.xerces.xni.XMLLocator
    public int getLineNumber() {
        return this.line;
    }

    @Override // org.apache.xerces.xni.XMLLocator
    public String getLiteralSystemId() {
        return this.lsid;
    }

    @Override // org.apache.xerces.xni.XMLLocator
    public String getPublicId() {
        return null;
    }

    @Override // org.apache.xerces.xni.XMLLocator
    public String getXMLVersion() {
        return null;
    }

    public void setBaseSystemId(String str) {
    }

    public void setCharacterOffset(int i2) {
        this.charOffset = i2;
    }

    public void setColumnNumber(int i2) {
        this.column = i2;
    }

    public void setExpandedSystemId(String str) {
        this.esid = str;
    }

    public void setLineNumber(int i2) {
        this.line = i2;
    }

    public void setLiteralSystemId(String str) {
        this.lsid = str;
    }

    public void setPublicId(String str) {
    }

    public void setValues(String str, String str2, int i2, int i3) {
        setValues(str, str2, i2, i3, -1);
    }

    public void setValues(String str, String str2, int i2, int i3, int i4) {
        this.line = i2;
        this.column = i3;
        this.lsid = str;
        this.esid = str2;
        this.charOffset = i4;
    }
}
