package org.apache.xerces.impl.xs.util;

import b.b.a.a.a;
import java.lang.reflect.Array;
import java.util.AbstractList;
import java.util.Vector;
import org.apache.xerces.xs.StringList;

public final class StringListImpl extends AbstractList implements StringList {
    public static final StringListImpl EMPTY_LIST = new StringListImpl(new String[0], 0);
    public final String[] fArray;
    public final int fLength;
    public final Vector fVector;

    public StringListImpl(Vector vector) {
        this.fVector = vector;
        this.fLength = vector == null ? 0 : vector.size();
        this.fArray = null;
    }

    public StringListImpl(String[] strArr, int i2) {
        this.fArray = strArr;
        this.fLength = i2;
        this.fVector = null;
    }

    private void toArray0(Object[] objArr) {
        int i2 = this.fLength;
        if (i2 > 0) {
            System.arraycopy(this.fArray, 0, objArr, 0, i2);
        }
    }

    @Override // org.apache.xerces.xs.StringList
    public boolean contains(String str) {
        Vector vector = this.fVector;
        if (vector != null) {
            return vector.contains(str);
        }
        if (str == null) {
            for (int i2 = 0; i2 < this.fLength; i2++) {
                if (this.fArray[i2] == null) {
                    return true;
                }
            }
        } else {
            for (int i3 = 0; i3 < this.fLength; i3++) {
                if (str.equals(this.fArray[i3])) {
                    return true;
                }
            }
        }
        return false;
    }

    @Override // java.util.List, java.util.AbstractList
    public Object get(int i2) {
        if (i2 < 0 || i2 >= this.fLength) {
            throw new IndexOutOfBoundsException(a.b("Index: ", i2));
        }
        Vector vector = this.fVector;
        return vector != null ? vector.elementAt(i2) : this.fArray[i2];
    }

    @Override // org.apache.xerces.xs.StringList
    public int getLength() {
        return this.fLength;
    }

    @Override // org.apache.xerces.xs.StringList
    public String item(int i2) {
        if (i2 < 0 || i2 >= this.fLength) {
            return null;
        }
        Vector vector = this.fVector;
        return vector != null ? (String) vector.elementAt(i2) : this.fArray[i2];
    }

    public int size() {
        return getLength();
    }

    public Object[] toArray() {
        Vector vector = this.fVector;
        if (vector != null) {
            return vector.toArray();
        }
        Object[] objArr = new Object[this.fLength];
        toArray0(objArr);
        return objArr;
    }

    @Override // java.util.AbstractCollection, java.util.List, java.util.Collection
    public Object[] toArray(Object[] objArr) {
        Vector vector = this.fVector;
        if (vector != null) {
            return vector.toArray(objArr);
        }
        if (objArr.length < this.fLength) {
            objArr = (Object[]) Array.newInstance(objArr.getClass().getComponentType(), this.fLength);
        }
        toArray0(objArr);
        int length = objArr.length;
        int i2 = this.fLength;
        if (length > i2) {
            objArr[i2] = null;
        }
        return objArr;
    }
}
