package org.apache.xerces.impl.xs.util;

import org.apache.xerces.util.SymbolHash;
import org.apache.xerces.xs.XSObject;
import org.apache.xerces.xs.XSTypeDefinition;

public final class XSNamedMap4Types extends XSNamedMapImpl {
    public final short fType;

    public XSNamedMap4Types(String str, SymbolHash symbolHash, short s) {
        super(str, symbolHash);
        this.fType = s;
    }

    public XSNamedMap4Types(String[] strArr, SymbolHash[] symbolHashArr, int i2, short s) {
        super(strArr, symbolHashArr, i2);
        this.fType = s;
    }

    @Override // org.apache.xerces.impl.xs.util.XSNamedMapImpl, org.apache.xerces.xs.XSNamedMap
    public synchronized int getLength() {
        if (this.fLength == -1) {
            int i2 = 0;
            for (int i3 = 0; i3 < this.fNSNum; i3++) {
                i2 += this.fMaps[i3].getLength();
            }
            XSObject[] xSObjectArr = new XSObject[i2];
            int i4 = 0;
            for (int i5 = 0; i5 < this.fNSNum; i5++) {
                i4 += this.fMaps[i5].getValues(xSObjectArr, i4);
            }
            this.fLength = 0;
            this.fArray = new XSObject[i2];
            for (int i6 = 0; i6 < i2; i6++) {
                XSTypeDefinition xSTypeDefinition = (XSTypeDefinition) xSObjectArr[i6];
                if (xSTypeDefinition.getTypeCategory() == this.fType) {
                    XSObject[] xSObjectArr2 = this.fArray;
                    int i7 = this.fLength;
                    this.fLength = i7 + 1;
                    xSObjectArr2[i7] = xSTypeDefinition;
                }
            }
        }
        return this.fLength;
    }

    @Override // org.apache.xerces.impl.xs.util.XSNamedMapImpl, org.apache.xerces.xs.XSNamedMap
    public synchronized XSObject item(int i2) {
        if (this.fArray == null) {
            getLength();
        }
        if (i2 >= 0) {
            if (i2 < this.fLength) {
                return this.fArray[i2];
            }
        }
        return null;
    }

    @Override // org.apache.xerces.impl.xs.util.XSNamedMapImpl, org.apache.xerces.xs.XSNamedMap
    public XSObject itemByName(String str, String str2) {
        for (int i2 = 0; i2 < this.fNSNum; i2++) {
            if (XSNamedMapImpl.isEqual(str, this.fNamespaces[i2])) {
                XSTypeDefinition xSTypeDefinition = (XSTypeDefinition) this.fMaps[i2].get(str2);
                if (xSTypeDefinition == null || xSTypeDefinition.getTypeCategory() != this.fType) {
                    return null;
                }
                return xSTypeDefinition;
            }
        }
        return null;
    }
}
