package org.apache.xerces.impl.xs.util;

import b.b.a.a.a;
import java.lang.reflect.Array;
import java.util.AbstractList;
import java.util.Iterator;
import java.util.ListIterator;
import java.util.NoSuchElementException;
import org.apache.xerces.xs.XSObject;
import org.apache.xerces.xs.XSObjectList;

public class XSObjectListImpl extends AbstractList implements XSObjectList {
    public static final int DEFAULT_SIZE = 4;
    public static final ListIterator EMPTY_ITERATOR = new ListIterator() {
        /* class org.apache.xerces.impl.xs.util.XSObjectListImpl.AnonymousClass1 */

        @Override // java.util.ListIterator
        public void add(Object obj) {
            throw new UnsupportedOperationException();
        }

        public boolean hasNext() {
            return false;
        }

        public boolean hasPrevious() {
            return false;
        }

        @Override // java.util.Iterator, java.util.ListIterator
        public Object next() {
            throw new NoSuchElementException();
        }

        public int nextIndex() {
            return 0;
        }

        @Override // java.util.ListIterator
        public Object previous() {
            throw new NoSuchElementException();
        }

        public int previousIndex() {
            return -1;
        }

        public void remove() {
            throw new UnsupportedOperationException();
        }

        @Override // java.util.ListIterator
        public void set(Object obj) {
            throw new UnsupportedOperationException();
        }
    };
    public static final XSObjectListImpl EMPTY_LIST = new XSObjectListImpl(new XSObject[0], 0);
    public XSObject[] fArray;
    public int fLength;

    public final class XSObjectListIterator implements ListIterator {
        public int index;

        public XSObjectListIterator(int i2) {
            this.index = i2;
        }

        @Override // java.util.ListIterator
        public void add(Object obj) {
            throw new UnsupportedOperationException();
        }

        public boolean hasNext() {
            return this.index < XSObjectListImpl.this.fLength;
        }

        public boolean hasPrevious() {
            return this.index > 0;
        }

        @Override // java.util.Iterator, java.util.ListIterator
        public Object next() {
            if (this.index < XSObjectListImpl.this.fLength) {
                XSObject[] xSObjectArr = XSObjectListImpl.this.fArray;
                int i2 = this.index;
                this.index = i2 + 1;
                return xSObjectArr[i2];
            }
            throw new NoSuchElementException();
        }

        public int nextIndex() {
            return this.index;
        }

        @Override // java.util.ListIterator
        public Object previous() {
            if (this.index > 0) {
                XSObject[] xSObjectArr = XSObjectListImpl.this.fArray;
                int i2 = this.index - 1;
                this.index = i2;
                return xSObjectArr[i2];
            }
            throw new NoSuchElementException();
        }

        public int previousIndex() {
            return this.index - 1;
        }

        public void remove() {
            throw new UnsupportedOperationException();
        }

        @Override // java.util.ListIterator
        public void set(Object obj) {
            throw new UnsupportedOperationException();
        }
    }

    public XSObjectListImpl() {
        this.fArray = null;
        this.fLength = 0;
        this.fArray = new XSObject[4];
        this.fLength = 0;
    }

    public XSObjectListImpl(XSObject[] xSObjectArr, int i2) {
        this.fArray = null;
        this.fLength = 0;
        this.fArray = xSObjectArr;
        this.fLength = i2;
    }

    private boolean containsNull() {
        for (int i2 = this.fLength - 1; i2 >= 0; i2--) {
            if (this.fArray[i2] == null) {
                return true;
            }
        }
        return false;
    }

    private boolean containsObject(Object obj) {
        for (int i2 = this.fLength - 1; i2 >= 0; i2--) {
            if (obj.equals(this.fArray[i2])) {
                return true;
            }
        }
        return false;
    }

    private ListIterator listIterator0(int i2) {
        return this.fLength == 0 ? EMPTY_ITERATOR : new XSObjectListIterator(i2);
    }

    private void toArray0(Object[] objArr) {
        int i2 = this.fLength;
        if (i2 > 0) {
            System.arraycopy(this.fArray, 0, objArr, 0, i2);
        }
    }

    public void addXSObject(int i2, XSObject xSObject) {
        this.fArray[i2] = xSObject;
    }

    public void addXSObject(XSObject xSObject) {
        int i2 = this.fLength;
        XSObject[] xSObjectArr = this.fArray;
        if (i2 == xSObjectArr.length) {
            XSObject[] xSObjectArr2 = new XSObject[(i2 + 4)];
            System.arraycopy(xSObjectArr, 0, xSObjectArr2, 0, i2);
            this.fArray = xSObjectArr2;
        }
        XSObject[] xSObjectArr3 = this.fArray;
        int i3 = this.fLength;
        this.fLength = i3 + 1;
        xSObjectArr3[i3] = xSObject;
    }

    public void clearXSObjectList() {
        for (int i2 = 0; i2 < this.fLength; i2++) {
            this.fArray[i2] = null;
        }
        this.fArray = null;
        this.fLength = 0;
    }

    public boolean contains(Object obj) {
        return obj == null ? containsNull() : containsObject(obj);
    }

    @Override // java.util.List, java.util.AbstractList
    public Object get(int i2) {
        if (i2 >= 0 && i2 < this.fLength) {
            return this.fArray[i2];
        }
        throw new IndexOutOfBoundsException(a.b("Index: ", i2));
    }

    @Override // org.apache.xerces.xs.XSObjectList
    public int getLength() {
        return this.fLength;
    }

    @Override // org.apache.xerces.xs.XSObjectList
    public XSObject item(int i2) {
        if (i2 < 0 || i2 >= this.fLength) {
            return null;
        }
        return this.fArray[i2];
    }

    @Override // java.util.AbstractCollection, java.util.List, java.util.Collection, java.util.AbstractList, java.lang.Iterable
    public Iterator iterator() {
        return listIterator0(0);
    }

    @Override // java.util.List, java.util.AbstractList
    public ListIterator listIterator() {
        return listIterator0(0);
    }

    @Override // java.util.List, java.util.AbstractList
    public ListIterator listIterator(int i2) {
        if (i2 >= 0 && i2 < this.fLength) {
            return listIterator0(i2);
        }
        throw new IndexOutOfBoundsException(a.b("Index: ", i2));
    }

    public int size() {
        return getLength();
    }

    public Object[] toArray() {
        Object[] objArr = new Object[this.fLength];
        toArray0(objArr);
        return objArr;
    }

    @Override // java.util.AbstractCollection, java.util.List, java.util.Collection
    public Object[] toArray(Object[] objArr) {
        if (objArr.length < this.fLength) {
            objArr = (Object[]) Array.newInstance(objArr.getClass().getComponentType(), this.fLength);
        }
        toArray0(objArr);
        int length = objArr.length;
        int i2 = this.fLength;
        if (length > i2) {
            objArr[i2] = null;
        }
        return objArr;
    }
}
