package org.apache.xerces.jaxp;

import b.b.a.a.a;
import java.io.PrintStream;
import org.xml.sax.SAXParseException;
import org.xml.sax.helpers.DefaultHandler;

public class DefaultValidationErrorHandler extends DefaultHandler {
    public static int ERROR_COUNT_LIMIT = 10;
    public int errorCount = 0;

    @Override // org.xml.sax.helpers.DefaultHandler, org.xml.sax.ErrorHandler
    public void error(SAXParseException sAXParseException) {
        int i2 = this.errorCount;
        if (i2 < ERROR_COUNT_LIMIT) {
            if (i2 == 0) {
                System.err.println("Warning: validation was turned on but an org.xml.sax.ErrorHandler was not");
                System.err.println("set, which is probably not what is desired.  Parser will use a default");
                PrintStream printStream = System.err;
                StringBuffer a = a.a("ErrorHandler to print the first ");
                a.append(ERROR_COUNT_LIMIT);
                a.append(" errors.  Please call");
                printStream.println(a.toString());
                System.err.println("the 'setErrorHandler' method to fix this.");
            }
            String systemId = sAXParseException.getSystemId();
            if (systemId == null) {
                systemId = "null";
            }
            StringBuffer c = a.c("Error: URI=", systemId, " Line=");
            c.append(sAXParseException.getLineNumber());
            c.append(": ");
            c.append(sAXParseException.getMessage());
            System.err.println(c.toString());
            this.errorCount++;
        }
    }
}
