package org.apache.xerces.jaxp.validation;

import java.lang.ref.WeakReference;
import org.apache.xerces.xni.grammars.XMLGrammarPool;

public final class WeakReferenceXMLSchema extends AbstractXMLSchema {
    public WeakReference fGrammarPool = new WeakReference(null);

    @Override // org.apache.xerces.jaxp.validation.XSGrammarPoolContainer, org.apache.xerces.jaxp.validation.AbstractXMLSchema
    public synchronized XMLGrammarPool getGrammarPool() {
        XMLGrammarPool xMLGrammarPool;
        xMLGrammarPool = (XMLGrammarPool) this.fGrammarPool.get();
        if (xMLGrammarPool == null) {
            xMLGrammarPool = new SoftReferenceGrammarPool();
            this.fGrammarPool = new WeakReference(xMLGrammarPool);
        }
        return xMLGrammarPool;
    }

    @Override // org.apache.xerces.jaxp.validation.XSGrammarPoolContainer, org.apache.xerces.jaxp.validation.AbstractXMLSchema
    public boolean isFullyComposed() {
        return false;
    }
}
