package org.apache.xerces.jaxp.validation;

import org.apache.xerces.xni.grammars.XMLGrammarPool;

public final class XMLSchema extends AbstractXMLSchema {
    public final boolean fFullyComposed;
    public final XMLGrammarPool fGrammarPool;

    public XMLSchema(XMLGrammarPool xMLGrammarPool) {
        this(xMLGrammarPool, true);
    }

    public XMLSchema(XMLGrammarPool xMLGrammarPool, boolean z) {
        this.fGrammarPool = xMLGrammarPool;
        this.fFullyComposed = z;
    }

    @Override // org.apache.xerces.jaxp.validation.XSGrammarPoolContainer, org.apache.xerces.jaxp.validation.AbstractXMLSchema
    public XMLGrammarPool getGrammarPool() {
        return this.fGrammarPool;
    }

    @Override // org.apache.xerces.jaxp.validation.XSGrammarPoolContainer, org.apache.xerces.jaxp.validation.AbstractXMLSchema
    public boolean isFullyComposed() {
        return this.fFullyComposed;
    }
}
