package org.apache.xerces.stax;

import java.util.Collections;
import java.util.Iterator;
import java.util.NoSuchElementException;
import javax.xml.namespace.NamespaceContext;

public final class DefaultNamespaceContext implements NamespaceContext {
    public static final DefaultNamespaceContext DEFAULT_NAMESPACE_CONTEXT_INSTANCE = new DefaultNamespaceContext();

    public static DefaultNamespaceContext getInstance() {
        return DEFAULT_NAMESPACE_CONTEXT_INSTANCE;
    }

    @Override // javax.xml.namespace.NamespaceContext
    public String getNamespaceURI(String str) {
        if (str != null) {
            return "xml".equals(str) ? "http://www.w3.org/XML/1998/namespace" : "xmlns".equals(str) ? "http://www.w3.org/2000/xmlns/" : "";
        }
        throw new IllegalArgumentException("Prefix cannot be null.");
    }

    @Override // javax.xml.namespace.NamespaceContext
    public String getPrefix(String str) {
        if (str == null) {
            throw new IllegalArgumentException("Namespace URI cannot be null.");
        } else if ("http://www.w3.org/XML/1998/namespace".equals(str)) {
            return "xml";
        } else {
            if ("http://www.w3.org/2000/xmlns/".equals(str)) {
                return "xmlns";
            }
            return null;
        }
    }

    @Override // javax.xml.namespace.NamespaceContext
    public Iterator getPrefixes(String str) {
        if (str != null) {
            return "http://www.w3.org/XML/1998/namespace".equals(str) ? new Iterator() {
                /* class org.apache.xerces.stax.DefaultNamespaceContext.AnonymousClass1 */
                public boolean more = true;

                public boolean hasNext() {
                    return this.more;
                }

                @Override // java.util.Iterator
                public Object next() {
                    if (hasNext()) {
                        this.more = false;
                        return "xml";
                    }
                    throw new NoSuchElementException();
                }

                public void remove() {
                    throw new UnsupportedOperationException();
                }
            } : "http://www.w3.org/2000/xmlns/".equals(str) ? new Iterator() {
                /* class org.apache.xerces.stax.DefaultNamespaceContext.AnonymousClass2 */
                public boolean more = true;

                public boolean hasNext() {
                    return this.more;
                }

                @Override // java.util.Iterator
                public Object next() {
                    if (hasNext()) {
                        this.more = false;
                        return "xmlns";
                    }
                    throw new NoSuchElementException();
                }

                public void remove() {
                    throw new UnsupportedOperationException();
                }
            } : Collections.EMPTY_LIST.iterator();
        }
        throw new IllegalArgumentException("Namespace URI cannot be null.");
    }
}
