package org.apache.xerces.stax;

import javax.xml.stream.Location;

public class ImmutableLocation implements Location {
    public final int fCharacterOffset;
    public final int fColumnNumber;
    public final int fLineNumber;
    public final String fPublicId;
    public final String fSystemId;

    public ImmutableLocation(int i2, int i3, int i4, String str, String str2) {
        this.fCharacterOffset = i2;
        this.fColumnNumber = i3;
        this.fLineNumber = i4;
        this.fPublicId = str;
        this.fSystemId = str2;
    }

    public ImmutableLocation(Location location) {
        this(location.getCharacterOffset(), location.getColumnNumber(), location.getLineNumber(), location.getPublicId(), location.getSystemId());
    }

    @Override // javax.xml.stream.Location
    public int getCharacterOffset() {
        return this.fCharacterOffset;
    }

    @Override // javax.xml.stream.Location
    public int getColumnNumber() {
        return this.fColumnNumber;
    }

    @Override // javax.xml.stream.Location
    public int getLineNumber() {
        return this.fLineNumber;
    }

    @Override // javax.xml.stream.Location
    public String getPublicId() {
        return this.fPublicId;
    }

    @Override // javax.xml.stream.Location
    public String getSystemId() {
        return this.fSystemId;
    }
}
