package org.apache.xerces.stax.events;

import java.io.IOException;
import java.io.Writer;
import javax.xml.stream.Location;
import javax.xml.stream.XMLStreamException;
import javax.xml.stream.events.Characters;
import org.apache.xerces.util.XMLChar;

public final class CharactersImpl extends XMLEventImpl implements Characters {
    public final String fData;

    public CharactersImpl(String str, int i2, Location location) {
        super(i2, location);
        this.fData = str == null ? "" : str;
    }

    @Override // javax.xml.stream.events.Characters
    public String getData() {
        return this.fData;
    }

    @Override // javax.xml.stream.events.Characters
    public boolean isCData() {
        return 12 == getEventType();
    }

    @Override // javax.xml.stream.events.Characters
    public boolean isIgnorableWhiteSpace() {
        return 6 == getEventType();
    }

    @Override // javax.xml.stream.events.Characters
    public boolean isWhiteSpace() {
        String str = this.fData;
        int length = str != null ? str.length() : 0;
        if (length == 0) {
            return false;
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (!XMLChar.isSpace(this.fData.charAt(i2))) {
                return false;
            }
        }
        return true;
    }

    @Override // javax.xml.stream.events.XMLEvent, org.apache.xerces.stax.events.XMLEventImpl
    public void writeAsEncodedUnicode(Writer writer) {
        try {
            writer.write(this.fData);
        } catch (IOException e2) {
            throw new XMLStreamException(e2);
        }
    }
}
