package org.apache.xerces.util;

public final class ShadowedSymbolTable extends SymbolTable {
    public SymbolTable fSymbolTable;

    public ShadowedSymbolTable(SymbolTable symbolTable) {
        this.fSymbolTable = symbolTable;
    }

    @Override // org.apache.xerces.util.SymbolTable
    public String addSymbol(String str) {
        return this.fSymbolTable.containsSymbol(str) ? this.fSymbolTable.addSymbol(str) : super.addSymbol(str);
    }

    @Override // org.apache.xerces.util.SymbolTable
    public String addSymbol(char[] cArr, int i2, int i3) {
        return this.fSymbolTable.containsSymbol(cArr, i2, i3) ? this.fSymbolTable.addSymbol(cArr, i2, i3) : super.addSymbol(cArr, i2, i3);
    }

    @Override // org.apache.xerces.util.SymbolTable
    public int hash(String str) {
        return this.fSymbolTable.hash(str);
    }

    @Override // org.apache.xerces.util.SymbolTable
    public int hash(char[] cArr, int i2, int i3) {
        return this.fSymbolTable.hash(cArr, i2, i3);
    }
}
