package org.apache.xerces.util;

import org.apache.xerces.impl.XMLEntityDescription;

public class XMLEntityDescriptionImpl extends XMLResourceIdentifierImpl implements XMLEntityDescription {
    public String fEntityName;

    public XMLEntityDescriptionImpl() {
    }

    public XMLEntityDescriptionImpl(String str, String str2, String str3, String str4, String str5) {
        setDescription(str, str2, str3, str4, str5);
    }

    public XMLEntityDescriptionImpl(String str, String str2, String str3, String str4, String str5, String str6) {
        setDescription(str, str2, str3, str4, str5, str6);
    }

    @Override // org.apache.xerces.util.XMLResourceIdentifierImpl
    public void clear() {
        super.clear();
        this.fEntityName = null;
    }

    @Override // org.apache.xerces.impl.XMLEntityDescription
    public String getEntityName() {
        return this.fEntityName;
    }

    @Override // org.apache.xerces.util.XMLResourceIdentifierImpl
    public int hashCode() {
        int hashCode = super.hashCode();
        String str = this.fEntityName;
        return str != null ? hashCode + str.hashCode() : hashCode;
    }

    public void setDescription(String str, String str2, String str3, String str4, String str5) {
        setDescription(str, str2, str3, str4, str5, null);
    }

    public void setDescription(String str, String str2, String str3, String str4, String str5, String str6) {
        this.fEntityName = str;
        setValues(str2, str3, str4, str5, str6);
    }

    @Override // org.apache.xerces.impl.XMLEntityDescription
    public void setEntityName(String str) {
        this.fEntityName = str;
    }

    @Override // org.apache.xerces.util.XMLResourceIdentifierImpl
    public String toString() {
        StringBuffer stringBuffer = new StringBuffer();
        String str = this.fEntityName;
        if (str != null) {
            stringBuffer.append(str);
        }
        stringBuffer.append(':');
        String str2 = this.fPublicId;
        if (str2 != null) {
            stringBuffer.append(str2);
        }
        stringBuffer.append(':');
        String str3 = this.fLiteralSystemId;
        if (str3 != null) {
            stringBuffer.append(str3);
        }
        stringBuffer.append(':');
        String str4 = this.fBaseSystemId;
        if (str4 != null) {
            stringBuffer.append(str4);
        }
        stringBuffer.append(':');
        String str5 = this.fExpandedSystemId;
        if (str5 != null) {
            stringBuffer.append(str5);
        }
        stringBuffer.append(':');
        String str6 = this.fNamespace;
        if (str6 != null) {
            stringBuffer.append(str6);
        }
        return stringBuffer.toString();
    }
}
