package org.apache.xerces.util;

import org.apache.xerces.xni.XMLString;

public class XMLStringBuffer extends XMLString {
    public static final int DEFAULT_SIZE = 32;

    public XMLStringBuffer() {
        this(32);
    }

    public XMLStringBuffer(char c) {
        this(1);
        append(c);
    }

    public XMLStringBuffer(int i2) {
        this.ch = new char[i2];
    }

    public XMLStringBuffer(String str) {
        this(str.length());
        append(str);
    }

    public XMLStringBuffer(XMLString xMLString) {
        this(xMLString.length);
        append(xMLString);
    }

    public XMLStringBuffer(char[] cArr, int i2, int i3) {
        this(i3);
        append(cArr, i2, i3);
    }

    public void append(char c) {
        int i2 = this.length + 1;
        char[] cArr = this.ch;
        if (i2 > cArr.length) {
            int length = cArr.length * 2;
            if (length < cArr.length + 32) {
                length = cArr.length + 32;
            }
            char[] cArr2 = new char[length];
            System.arraycopy(this.ch, 0, cArr2, 0, this.length);
            this.ch = cArr2;
        }
        char[] cArr3 = this.ch;
        int i3 = this.length;
        cArr3[i3] = c;
        this.length = i3 + 1;
    }

    public void append(String str) {
        int length = str.length();
        int i2 = this.length;
        int i3 = i2 + length;
        char[] cArr = this.ch;
        if (i3 > cArr.length) {
            int length2 = cArr.length * 2;
            if (length2 < i2 + length + 32) {
                length2 = cArr.length + length + 32;
            }
            char[] cArr2 = new char[length2];
            System.arraycopy(this.ch, 0, cArr2, 0, this.length);
            this.ch = cArr2;
        }
        str.getChars(0, length, this.ch, this.length);
        this.length += length;
    }

    public void append(XMLString xMLString) {
        append(xMLString.ch, xMLString.offset, xMLString.length);
    }

    public void append(char[] cArr, int i2, int i3) {
        int i4 = this.length;
        int i5 = i4 + i3;
        char[] cArr2 = this.ch;
        if (i5 > cArr2.length) {
            char[] cArr3 = new char[(cArr2.length + i3 + 32)];
            System.arraycopy(cArr2, 0, cArr3, 0, i4);
            this.ch = cArr3;
        }
        System.arraycopy(cArr, i2, this.ch, this.length, i3);
        this.length += i3;
    }

    @Override // org.apache.xerces.xni.XMLString
    public void clear() {
        this.offset = 0;
        this.length = 0;
    }
}
