package org.apache.xerces.xinclude;

import org.apache.xerces.xni.NamespaceContext;

public class XIncludeNamespaceSupport extends MultipleScopeNamespaceSupport {
    public boolean[] fValidContext;

    public XIncludeNamespaceSupport() {
        this.fValidContext = new boolean[8];
    }

    public XIncludeNamespaceSupport(NamespaceContext namespaceContext) {
        super(namespaceContext);
        this.fValidContext = new boolean[8];
    }

    public String getURIFromIncludeParent(String str) {
        int i2 = this.fCurrentContext - 1;
        while (i2 > 0 && !this.fValidContext[i2]) {
            i2--;
        }
        return getURI(str, i2);
    }

    @Override // org.apache.xerces.util.NamespaceSupport, org.apache.xerces.xni.NamespaceContext
    public void pushContext() {
        super.pushContext();
        int i2 = this.fCurrentContext + 1;
        boolean[] zArr = this.fValidContext;
        if (i2 == zArr.length) {
            boolean[] zArr2 = new boolean[(zArr.length * 2)];
            System.arraycopy(zArr, 0, zArr2, 0, zArr.length);
            this.fValidContext = zArr2;
        }
        this.fValidContext[this.fCurrentContext] = true;
    }

    public void setContextInvalid() {
        this.fValidContext[this.fCurrentContext] = false;
    }
}
