package org.apache.xerces.xni;

public class XNIException extends RuntimeException {
    public static final long serialVersionUID = 9019819772686063775L;
    public Exception fException = this;

    public XNIException(Exception exc) {
        super(exc.getMessage());
        this.fException = exc;
    }

    public XNIException(String str) {
        super(str);
    }

    public XNIException(String str, Exception exc) {
        super(str);
        this.fException = exc;
    }

    public Throwable getCause() {
        return getException();
    }

    public Exception getException() {
        Exception exc = this.fException;
        if (exc != this) {
            return exc;
        }
        return null;
    }

    public synchronized Throwable initCause(Throwable th) {
        if (this.fException != this) {
            throw new IllegalStateException();
        } else if (th != this) {
            this.fException = (Exception) th;
        } else {
            throw new IllegalArgumentException();
        }
        return this;
    }
}
