package org.apache.xerces.xpointer;

import org.apache.xerces.xni.Augmentations;
import org.apache.xerces.xni.QName;
import org.apache.xerces.xni.XMLAttributes;

public interface XPointerPart {
    public static final int EVENT_ELEMENT_EMPTY = 2;
    public static final int EVENT_ELEMENT_END = 1;
    public static final int EVENT_ELEMENT_START = 0;

    String getSchemeData();

    String getSchemeName();

    boolean isChildFragmentResolved();

    boolean isFragmentResolved();

    void parseXPointer(String str);

    boolean resolveXPointer(QName qName, XMLAttributes xMLAttributes, Augmentations augmentations, int i2);

    void setSchemeData(String str);

    void setSchemeName(String str);
}
