package org.apache.xmlbeans;

import b.b.a.a.a;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;
import java.util.TimeZone;
import org.apache.poi.ss.formula.atp.YearFracCalculator;
import org.apache.poi.ss.util.SheetUtil;
import org.apache.xmlbeans.impl.common.NameUtil;

public final class GDate implements GDateSpecification, Serializable {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static final TimeZone GMTZONE = TimeZone.getTimeZone("GMT");
    public static final int MAX_YEAR = 292277265;
    public static final TimeZone[] MINUSZONE = {TimeZone.getTimeZone("GMT-00:00"), TimeZone.getTimeZone("GMT-01:00"), TimeZone.getTimeZone("GMT-02:00"), TimeZone.getTimeZone("GMT-03:00"), TimeZone.getTimeZone("GMT-04:00"), TimeZone.getTimeZone("GMT-05:00"), TimeZone.getTimeZone("GMT-06:00"), TimeZone.getTimeZone("GMT-07:00"), TimeZone.getTimeZone("GMT-08:00"), TimeZone.getTimeZone("GMT-09:00"), TimeZone.getTimeZone("GMT-10:00"), TimeZone.getTimeZone("GMT-11:00"), TimeZone.getTimeZone("GMT-12:00"), TimeZone.getTimeZone("GMT-13:00"), TimeZone.getTimeZone("GMT-14:00")};
    public static final int MIN_YEAR = -292275295;
    public static final TimeZone[] PLUSZONE = {TimeZone.getTimeZone("GMT+00:00"), TimeZone.getTimeZone("GMT+01:00"), TimeZone.getTimeZone("GMT+02:00"), TimeZone.getTimeZone("GMT+03:00"), TimeZone.getTimeZone("GMT+04:00"), TimeZone.getTimeZone("GMT+05:00"), TimeZone.getTimeZone("GMT+06:00"), TimeZone.getTimeZone("GMT+07:00"), TimeZone.getTimeZone("GMT+08:00"), TimeZone.getTimeZone("GMT+09:00"), TimeZone.getTimeZone("GMT+10:00"), TimeZone.getTimeZone("GMT+11:00"), TimeZone.getTimeZone("GMT+12:00"), TimeZone.getTimeZone("GMT+13:00"), TimeZone.getTimeZone("GMT+14:00")};
    public static final BigDecimal _one = BigDecimal.valueOf(1L);
    public static final char[] _onesDigit = {SheetUtil.defaultChar, '1', '2', '3', '4', '5', '6', '7', '8', '9', SheetUtil.defaultChar, '1', '2', '3', '4', '5', '6', '7', '8', '9', SheetUtil.defaultChar, '1', '2', '3', '4', '5', '6', '7', '8', '9', SheetUtil.defaultChar, '1', '2', '3', '4', '5', '6', '7', '8', '9', SheetUtil.defaultChar, '1', '2', '3', '4', '5', '6', '7', '8', '9', SheetUtil.defaultChar, '1', '2', '3', '4', '5', '6', '7', '8', '9', SheetUtil.defaultChar, '1', '2', '3', '4', '5', '6', '7', '8', '9', SheetUtil.defaultChar, '1', '2', '3', '4', '5', '6', '7', '8', '9', SheetUtil.defaultChar, '1', '2', '3', '4', '5', '6', '7', '8', '9', SheetUtil.defaultChar, '1', '2', '3', '4', '5', '6', '7', '8', '9'};
    public static final char[] _tensDigit = {SheetUtil.defaultChar, SheetUtil.defaultChar, SheetUtil.defaultChar, SheetUtil.defaultChar, SheetUtil.defaultChar, SheetUtil.defaultChar, SheetUtil.defaultChar, SheetUtil.defaultChar, SheetUtil.defaultChar, SheetUtil.defaultChar, '1', '1', '1', '1', '1', '1', '1', '1', '1', '1', '2', '2', '2', '2', '2', '2', '2', '2', '2', '2', '3', '3', '3', '3', '3', '3', '3', '3', '3', '3', '4', '4', '4', '4', '4', '4', '4', '4', '4', '4', '5', '5', '5', '5', '5', '5', '5', '5', '5', '5', '6', '6', '6', '6', '6', '6', '6', '6', '6', '6', '7', '7', '7', '7', '7', '7', '7', '7', '7', '7', '8', '8', '8', '8', '8', '8', '8', '8', '8', '8', '9', '9', '9', '9', '9', '9', '9', '9', '9', '9'};
    public static final BigDecimal _zero = BigDecimal.valueOf(0L);
    public static /* synthetic */ Class class$org$apache$xmlbeans$GDate = null;
    public static final long serialVersionUID = 1;
    public int _CY;
    public int _D;
    public int _M;
    public int _bits;
    public transient String _canonicalString;
    public BigDecimal _fs;
    public int _h;
    public int _m;
    public int _s;
    public transient String _string;
    public int _tzh;
    public int _tzm;
    public int _tzsign;

    static {
        Class cls = class$org$apache$xmlbeans$GDate;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.GDate");
            class$org$apache$xmlbeans$GDate = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
    }

    public GDate(CharSequence charSequence) {
        int i2;
        boolean z;
        int twoDigit;
        int twoDigit2;
        int i3;
        int length = charSequence.length();
        while (length > 0 && isSpace(charSequence.charAt(length - 1))) {
            length--;
        }
        int i4 = 0;
        while (i4 < length && isSpace(charSequence.charAt(i4))) {
            i4++;
        }
        int i5 = length - i4;
        if (i5 >= 1 && charSequence.charAt(length - 1) == 'Z') {
            this._bits |= 1;
            length--;
        } else if (i5 >= 6 && charSequence.charAt(length - 3) == ':') {
            char charAt = charSequence.charAt(length - 6);
            if (charAt != '+') {
                i3 = charAt == '-' ? -1 : i3;
            } else {
                i3 = 1;
            }
            int twoDigit3 = twoDigit(charSequence, length - 5);
            int twoDigit4 = twoDigit(charSequence, length - 2);
            if (twoDigit3 > 14) {
                throw new IllegalArgumentException("time zone hour must be two digits between -14 and +14");
            } else if (twoDigit4 <= 59) {
                this._bits |= 1;
                this._tzsign = i3;
                this._tzh = twoDigit3;
                this._tzm = twoDigit4;
                length -= 6;
            } else {
                throw new IllegalArgumentException("time zone minute must be two digits between 00 and 59");
            }
        }
        if (i4 < length && ((i2 = i4 + 2) >= length || charSequence.charAt(i2) != ':')) {
            if (i4 >= length || charSequence.charAt(i4) != '-') {
                z = false;
            } else {
                i4++;
                z = true;
            }
            int i6 = -i4;
            boolean z2 = i4 < length && digitVal(charSequence.charAt(i4)) == 0;
            int i7 = 0;
            while (true) {
                char charAt2 = i4 < length ? charSequence.charAt(i4) : 0;
                if (!isDigit(charAt2)) {
                    int i8 = i6 + i4;
                    if (i8 <= 9) {
                        if (i8 >= 4) {
                            this._bits |= 2;
                            i7 = z ? -i7 : i7;
                            this._CY = i7;
                            if (i7 == 0) {
                                throw new IllegalArgumentException("year must not be zero");
                            }
                        } else if (i8 > 0) {
                            throw new IllegalArgumentException("year must be four digits (may pad with zeroes, e.g., 0560)");
                        }
                        int i9 = this._CY;
                        if (i9 > 292277265) {
                            throw new IllegalArgumentException("year value not supported: too big, must be less than 292277265");
                        } else if (i9 < -292275295) {
                            throw new IllegalArgumentException("year values not supported: too small, must be bigger than -292275295");
                        } else if (charAt2 == '-') {
                            i4++;
                            if (length - i4 >= 2 && (twoDigit2 = twoDigit(charSequence, i4)) >= 1 && twoDigit2 <= 12) {
                                this._bits |= 4;
                                this._M = twoDigit2;
                                i4 += 2;
                            }
                            if ((i4 < length ? charSequence.charAt(i4) : 0) == '-') {
                                i4++;
                                if (length - i4 >= 2 && (twoDigit = twoDigit(charSequence, i4)) >= 1 && twoDigit <= 31) {
                                    this._bits |= 8;
                                    this._D = twoDigit;
                                    i4 += 2;
                                }
                                if (!hasDay()) {
                                    if (hasMonth() && !hasYear()) {
                                        if ((i4 < length ? charSequence.charAt(i4) : 0) == '-') {
                                            i4++;
                                        }
                                    }
                                    throw new IllegalArgumentException();
                                }
                            } else if (!hasMonth()) {
                                throw new IllegalArgumentException();
                            }
                        } else if (z && !hasYear()) {
                            throw new IllegalArgumentException();
                        }
                    } else {
                        throw new IllegalArgumentException("year too long (up to 9 digits)");
                    }
                } else if (!z2 || i4 + i6 < 4) {
                    i7 = (i7 * 10) + digitVal(charAt2);
                    i4++;
                } else {
                    StringBuffer stringBuffer = new StringBuffer();
                    stringBuffer.append("year value starting with zero must be 4 or less digits: ");
                    stringBuffer.append((Object) charSequence);
                    throw new IllegalArgumentException(stringBuffer.toString());
                }
            }
        }
        if (i4 < length) {
            if (hasYear() || hasMonth() || hasDay()) {
                if (charSequence.charAt(i4) == 'T') {
                    i4++;
                } else {
                    throw new IllegalArgumentException("date and time must be separated by 'T'");
                }
            }
            int i10 = i4 + 8;
            if (length >= i10 && charSequence.charAt(i4 + 2) == ':' && charSequence.charAt(i4 + 5) == ':') {
                int twoDigit5 = twoDigit(charSequence, i4);
                if (twoDigit5 <= 24) {
                    int twoDigit6 = twoDigit(charSequence, i4 + 3);
                    if (twoDigit6 < 60) {
                        int twoDigit7 = twoDigit(charSequence, i4 + 6);
                        if (twoDigit7 < 60) {
                            BigDecimal bigDecimal = _zero;
                            if (i10 < length) {
                                if (charSequence.charAt(i10) == '.') {
                                    int i11 = i10 + 1;
                                    if (i11 < length) {
                                        while (i11 < length) {
                                            if (isDigit(charSequence.charAt(i11))) {
                                                i11++;
                                            } else {
                                                throw new IllegalArgumentException();
                                            }
                                        }
                                        try {
                                            bigDecimal = new BigDecimal(charSequence.subSequence(i10, length).toString());
                                        } catch (Throwable unused) {
                                            throw new IllegalArgumentException();
                                        }
                                    }
                                } else {
                                    throw new IllegalArgumentException();
                                }
                            }
                            this._bits |= 16;
                            this._h = twoDigit5;
                            this._m = twoDigit6;
                            this._s = twoDigit7;
                            this._fs = bigDecimal;
                        } else {
                            throw new IllegalArgumentException("second must be between 00 and 59");
                        }
                    } else {
                        throw new IllegalArgumentException("minute must be between 00 and 59");
                    }
                } else {
                    throw new IllegalArgumentException("hour must be between 00 and 23");
                }
            } else {
                throw new IllegalArgumentException();
            }
        }
        if (hasTime() && this._h == 24) {
            if (this._m != 0 || this._s != 0 || this._fs.compareTo(_zero) != 0) {
                throw new IllegalArgumentException("if hour is 24, minutes, seconds and fraction must be 0");
            } else if (hasDate()) {
                GDateBuilder gDateBuilder = new GDateBuilder(this._CY, this._M, this._D, this._h, this._m, this._s, this._fs, this._tzsign, this._tzh, this._tzm);
                gDateBuilder.normalize24h();
                this._D = gDateBuilder.getDay();
                this._M = gDateBuilder.getMonth();
                this._CY = gDateBuilder.getYear();
                this._h = 0;
            } else if (hasDay()) {
                this._D++;
                this._h = 0;
            }
        }
        if (!isValid()) {
            throw new IllegalArgumentException("invalid date");
        }
    }

    public static final int _padFourAppend(char[] cArr, int i2, int i3) {
        if (i3 < 0) {
            cArr[i2] = NameUtil.HYPHEN;
            i3 = -i3;
            i2++;
        }
        if (i3 >= 10000) {
            String num = Integer.toString(i3);
            num.getChars(0, num.length(), cArr, i2);
            return num.length() + i2;
        }
        int i4 = i3 / 100;
        int i5 = i3 - (i4 * 100);
        char[] cArr2 = _tensDigit;
        cArr[i2] = cArr2[i4];
        char[] cArr3 = _onesDigit;
        cArr[i2 + 1] = cArr3[i4];
        cArr[i2 + 2] = cArr2[i5];
        cArr[i2 + 3] = cArr3[i5];
        return i2 + 4;
    }

    public static final int _padTwoAppend(char[] cArr, int i2, int i3) {
        if ($assertionsDisabled || (i3 >= 0 && i3 < 100)) {
            cArr[i2] = _tensDigit[i3];
            cArr[i2 + 1] = _onesDigit[i3];
            return i2 + 2;
        }
        throw new AssertionError();
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public static final int digitVal(char c) {
        return c - '0';
    }

    private void ensureCanonicalString() {
        if (this._canonicalString == null) {
            boolean z = true;
            boolean z2 = hasTimeZone() && getTimeZoneSign() != 0 && hasTime() && hasDay() == hasMonth() && hasDay() == hasYear();
            if (!z2 && getFraction() != null && getFraction().scale() > 0) {
                if (getFraction().unscaledValue().mod(GDateBuilder.TEN).signum() != 0) {
                    z = false;
                }
                z2 = z;
            }
            if (!z2) {
                this._canonicalString = toString();
                return;
            }
            GDateBuilder gDateBuilder = new GDateBuilder(this);
            gDateBuilder.normalize();
            this._canonicalString = gDateBuilder.toString();
        }
    }

    public static String formatGDate(GDateSpecification gDateSpecification) {
        int i2;
        int i3;
        String bigDecimal;
        int indexOf;
        BigDecimal fraction = gDateSpecification.getFraction();
        if (fraction == null) {
            i2 = 0;
        } else {
            i2 = fraction.scale();
        }
        char[] cArr = new char[(i2 + 33)];
        boolean hasYear = gDateSpecification.hasYear();
        char c = NameUtil.HYPHEN;
        if (hasYear || gDateSpecification.hasMonth() || gDateSpecification.hasDay()) {
            if (gDateSpecification.hasYear()) {
                i3 = _padFourAppend(cArr, 0, gDateSpecification.getYear());
            } else {
                cArr[0] = NameUtil.HYPHEN;
                i3 = 1;
            }
            if (gDateSpecification.hasMonth() || gDateSpecification.hasDay()) {
                int i4 = i3 + 1;
                cArr[i3] = NameUtil.HYPHEN;
                i3 = gDateSpecification.hasMonth() ? _padTwoAppend(cArr, i4, gDateSpecification.getMonth()) : i4;
                if (gDateSpecification.hasDay()) {
                    cArr[i3] = NameUtil.HYPHEN;
                    i3 = _padTwoAppend(cArr, i3 + 1, gDateSpecification.getDay());
                }
            }
            if (gDateSpecification.hasTime()) {
                cArr[i3] = 'T';
                i3++;
            }
        } else {
            i3 = 0;
        }
        if (gDateSpecification.hasTime()) {
            int _padTwoAppend = _padTwoAppend(cArr, i3, gDateSpecification.getHour());
            cArr[_padTwoAppend] = ':';
            int _padTwoAppend2 = _padTwoAppend(cArr, _padTwoAppend + 1, gDateSpecification.getMinute());
            cArr[_padTwoAppend2] = ':';
            i3 = _padTwoAppend(cArr, _padTwoAppend2 + 1, gDateSpecification.getSecond());
            if (fraction != _zero && (indexOf = (bigDecimal = fraction.toString()).indexOf(46)) >= 0) {
                bigDecimal.getChars(indexOf, bigDecimal.length(), cArr, i3);
                i3 += bigDecimal.length() - indexOf;
            }
        }
        if (gDateSpecification.hasTimeZone()) {
            if (gDateSpecification.getTimeZoneSign() == 0) {
                cArr[i3] = 'Z';
                i3++;
            } else {
                int i5 = i3 + 1;
                if (gDateSpecification.getTimeZoneSign() > 0) {
                    c = '+';
                }
                cArr[i3] = c;
                int _padTwoAppend3 = _padTwoAppend(cArr, i5, gDateSpecification.getTimeZoneHour());
                cArr[_padTwoAppend3] = ':';
                i3 = _padTwoAppend(cArr, _padTwoAppend3 + 1, gDateSpecification.getTimeZoneMinute());
            }
        }
        return new String(cArr, 0, i3);
    }

    public static final boolean isDigit(char c) {
        return ((char) (c + 65488)) <= '\t';
    }

    public static final boolean isSpace(char c) {
        return c == '\t' || c == '\n' || c == '\r' || c == ' ';
    }

    public static final TimeZone timeZoneForGDate(GDateSpecification gDateSpecification) {
        if (!gDateSpecification.hasTimeZone()) {
            return TimeZone.getDefault();
        }
        if (gDateSpecification.getTimeZoneSign() == 0) {
            return GMTZONE;
        }
        if (gDateSpecification.getTimeZoneMinute() == 0 && gDateSpecification.getTimeZoneHour() <= 14 && gDateSpecification.getTimeZoneHour() >= 0) {
            return gDateSpecification.getTimeZoneSign() < 0 ? MINUSZONE[gDateSpecification.getTimeZoneHour()] : PLUSZONE[gDateSpecification.getTimeZoneHour()];
        }
        char[] cArr = new char[9];
        cArr[0] = 'G';
        cArr[1] = 'M';
        cArr[2] = 'T';
        cArr[3] = gDateSpecification.getTimeZoneSign() < 0 ? NameUtil.HYPHEN : '+';
        _padTwoAppend(cArr, 4, gDateSpecification.getTimeZoneHour());
        cArr[6] = ':';
        _padTwoAppend(cArr, 7, gDateSpecification.getTimeZoneMinute());
        return TimeZone.getTimeZone(new String(cArr));
    }

    public static final int twoDigit(CharSequence charSequence, int i2) {
        char charAt = charSequence.charAt(i2);
        char charAt2 = charSequence.charAt(i2 + 1);
        if (!isDigit(charAt) || !isDigit(charAt2)) {
            return 100;
        }
        return digitVal(charAt2) + (digitVal(charAt) * 10);
    }

    public GDate add(GDurationSpecification gDurationSpecification) {
        GDateBuilder gDateBuilder = new GDateBuilder(this);
        gDateBuilder.addGDuration(gDurationSpecification);
        return gDateBuilder.toGDate();
    }

    @Override // org.apache.xmlbeans.GDateSpecification
    public String canonicalString() {
        ensureCanonicalString();
        return this._canonicalString;
    }

    @Override // org.apache.xmlbeans.GDateSpecification
    public int compareToGDate(GDateSpecification gDateSpecification) {
        return GDateBuilder.compareGDate(this, gDateSpecification);
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof GDate)) {
            return false;
        }
        ensureCanonicalString();
        return this._canonicalString.equals(((GDate) obj).canonicalString());
    }

    @Override // org.apache.xmlbeans.GDateSpecification
    public int getBuiltinTypeCode() {
        return GDateBuilder.btcForFlags(this._bits);
    }

    @Override // org.apache.xmlbeans.GDateSpecification
    public XmlCalendar getCalendar() {
        return new XmlCalendar(this);
    }

    @Override // org.apache.xmlbeans.GDateSpecification
    public Date getDate() {
        return GDateBuilder.dateForGDate(this);
    }

    @Override // org.apache.xmlbeans.GDateSpecification
    public final int getDay() {
        return this._D;
    }

    @Override // org.apache.xmlbeans.GDateSpecification
    public int getFlags() {
        return this._bits;
    }

    @Override // org.apache.xmlbeans.GDateSpecification
    public final BigDecimal getFraction() {
        return this._fs;
    }

    @Override // org.apache.xmlbeans.GDateSpecification
    public final int getHour() {
        return this._h;
    }

    @Override // org.apache.xmlbeans.GDateSpecification
    public int getJulianDate() {
        return GDateBuilder.julianDateForGDate(this);
    }

    @Override // org.apache.xmlbeans.GDateSpecification
    public int getMillisecond() {
        BigDecimal bigDecimal = this._fs;
        if (bigDecimal == null) {
            return 0;
        }
        return bigDecimal.setScale(3, 1).unscaledValue().intValue();
    }

    @Override // org.apache.xmlbeans.GDateSpecification
    public final int getMinute() {
        return this._m;
    }

    @Override // org.apache.xmlbeans.GDateSpecification
    public final int getMonth() {
        return this._M;
    }

    @Override // org.apache.xmlbeans.GDateSpecification
    public final int getSecond() {
        return this._s;
    }

    @Override // org.apache.xmlbeans.GDateSpecification
    public final int getTimeZoneHour() {
        return this._tzh;
    }

    @Override // org.apache.xmlbeans.GDateSpecification
    public final int getTimeZoneMinute() {
        return this._tzm;
    }

    @Override // org.apache.xmlbeans.GDateSpecification
    public final int getTimeZoneSign() {
        return this._tzsign;
    }

    @Override // org.apache.xmlbeans.GDateSpecification
    public final int getYear() {
        return this._CY;
    }

    @Override // org.apache.xmlbeans.GDateSpecification
    public final boolean hasDate() {
        return (this._bits & 14) == 14;
    }

    @Override // org.apache.xmlbeans.GDateSpecification
    public final boolean hasDay() {
        return (this._bits & 8) != 0;
    }

    @Override // org.apache.xmlbeans.GDateSpecification
    public final boolean hasMonth() {
        return (this._bits & 4) != 0;
    }

    @Override // org.apache.xmlbeans.GDateSpecification
    public final boolean hasTime() {
        return (this._bits & 16) != 0;
    }

    @Override // org.apache.xmlbeans.GDateSpecification
    public final boolean hasTimeZone() {
        return (this._bits & 1) != 0;
    }

    @Override // org.apache.xmlbeans.GDateSpecification
    public final boolean hasYear() {
        return (this._bits & 2) != 0;
    }

    public int hashCode() {
        ensureCanonicalString();
        return this._canonicalString.hashCode();
    }

    @Override // org.apache.xmlbeans.GDateSpecification
    public final boolean isImmutable() {
        return true;
    }

    @Override // org.apache.xmlbeans.GDateSpecification
    public boolean isValid() {
        return GDateBuilder.isValidGDate(this);
    }

    public GDate subtract(GDurationSpecification gDurationSpecification) {
        GDateBuilder gDateBuilder = new GDateBuilder(this);
        gDateBuilder.subtractGDuration(gDurationSpecification);
        return gDateBuilder.toGDate();
    }

    @Override // org.apache.xmlbeans.GDateSpecification
    public String toString() {
        if (this._string == null) {
            this._string = formatGDate(this);
        }
        return this._string;
    }

    public GDate(int i2, int i3, int i4, int i5, int i6, int i7, BigDecimal bigDecimal) {
        this._bits = 30;
        this._CY = i2;
        this._M = i3;
        this._D = i4;
        this._h = i5;
        this._m = i6;
        this._s = i7;
        this._fs = bigDecimal == null ? _zero : bigDecimal;
        if (!isValid()) {
            throw new IllegalArgumentException();
        }
    }

    public GDate(int i2, int i3, int i4, int i5, int i6, int i7, BigDecimal bigDecimal, int i8, int i9, int i10) {
        this._bits = 31;
        this._CY = i2;
        this._M = i3;
        this._D = i4;
        this._h = i5;
        this._m = i6;
        this._s = i7;
        this._fs = bigDecimal == null ? _zero : bigDecimal;
        this._tzsign = i8;
        this._tzh = i9;
        this._tzm = i10;
        if (!isValid()) {
            throw new IllegalArgumentException();
        }
    }

    public GDate(Date date) {
        this(new GDateBuilder(date));
    }

    public GDate(Calendar calendar) {
        int i2;
        boolean z;
        int i3;
        int i4;
        int i5;
        int i6 = 1;
        boolean isSet = calendar.isSet(1);
        boolean isSet2 = calendar.isSet(0);
        boolean isSet3 = calendar.isSet(2);
        boolean isSet4 = calendar.isSet(5);
        boolean isSet5 = calendar.isSet(11);
        boolean isSet6 = calendar.isSet(10);
        boolean isSet7 = calendar.isSet(9);
        boolean isSet8 = calendar.isSet(12);
        boolean isSet9 = calendar.isSet(13);
        boolean isSet10 = calendar.isSet(14);
        boolean isSet11 = calendar.isSet(15);
        boolean isSet12 = calendar.isSet(16);
        if (isSet) {
            int i7 = calendar.get(1);
            if (isSet2 && (calendar instanceof GregorianCalendar) && calendar.get(0) == 0) {
                i7 = -i7;
            }
            this._bits |= 2;
            this._CY = i7;
        }
        if (isSet3) {
            this._bits |= 4;
            this._M = calendar.get(2) + 1;
        }
        if (isSet4) {
            this._bits |= 8;
            this._D = calendar.get(5);
        }
        BigDecimal bigDecimal = _zero;
        if (isSet5) {
            i3 = calendar.get(11);
            z = true;
            i2 = 12;
        } else if (!isSet6 || !isSet7) {
            i2 = 12;
            i3 = 0;
            z = false;
        } else {
            i2 = 12;
            i3 = calendar.get(10) + (calendar.get(9) * 12);
            z = true;
        }
        if (isSet8) {
            i4 = calendar.get(i2);
            z = true;
        } else {
            i4 = 0;
        }
        if (isSet9) {
            i5 = calendar.get(13);
            z = true;
        } else {
            i5 = 0;
        }
        if (isSet10) {
            bigDecimal = BigDecimal.valueOf((long) calendar.get(14), 3);
            z = true;
        }
        if (z) {
            this._bits |= 16;
            this._h = i3;
            this._m = i4;
            this._s = i5;
            this._fs = bigDecimal;
        }
        if (isSet11) {
            int i8 = calendar.get(15);
            i8 = isSet12 ? i8 + calendar.get(16) : i8;
            this._bits |= 1;
            if (i8 == 0) {
                this._tzsign = 0;
                this._tzh = 0;
                this._tzm = 0;
                String id = calendar.getTimeZone().getID();
                if (id != null && id.length() > 3) {
                    char charAt = id.charAt(3);
                    if (charAt == '+') {
                        this._tzsign = 1;
                    } else if (charAt == '-') {
                        this._tzsign = -1;
                    }
                }
            } else {
                i6 = i8 < 0 ? -1 : i6;
                this._tzsign = i6;
                int i9 = i8 * i6;
                int i10 = i9 / YearFracCalculator.MS_PER_HOUR;
                this._tzh = i10;
                this._tzm = (i9 - (i10 * YearFracCalculator.MS_PER_HOUR)) / 60000;
            }
        }
    }

    public GDate(GDateSpecification gDateSpecification) {
        if (gDateSpecification.hasTimeZone()) {
            this._bits |= 1;
            this._tzsign = gDateSpecification.getTimeZoneSign();
            this._tzh = gDateSpecification.getTimeZoneHour();
            this._tzm = gDateSpecification.getTimeZoneMinute();
        }
        if (gDateSpecification.hasTime()) {
            this._bits |= 16;
            this._h = gDateSpecification.getHour();
            this._m = gDateSpecification.getMinute();
            this._s = gDateSpecification.getSecond();
            this._fs = gDateSpecification.getFraction();
        }
        if (gDateSpecification.hasDay()) {
            this._bits |= 8;
            this._D = gDateSpecification.getDay();
        }
        if (gDateSpecification.hasMonth()) {
            this._bits |= 4;
            this._M = gDateSpecification.getMonth();
        }
        if (gDateSpecification.hasYear()) {
            this._bits |= 2;
            this._CY = gDateSpecification.getYear();
        }
    }
}
