package org.apache.xmlbeans;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import org.apache.poi.ss.util.SheetUtil;
import org.apache.xmlbeans.impl.common.NameUtil;

public class GDurationBuilder implements GDurationSpecification, Serializable {
    public static final GDate[] _compDate = {new GDate(1696, 9, 1, 0, 0, 0, null, 0, 0, 0), new GDate(1697, 2, 1, 0, 0, 0, null, 0, 0, 0), new GDate(1903, 3, 1, 0, 0, 0, null, 0, 0, 0), new GDate(1903, 7, 1, 0, 0, 0, null, 0, 0, 0)};
    public static final long serialVersionUID = 1;
    public int _CY;
    public int _D;
    public int _M;
    public BigDecimal _fs;
    public int _h;
    public int _m;
    public int _s;
    public int _sign;

    public GDurationBuilder() {
        this._sign = 1;
        this._fs = GDate._zero;
    }

    private void _add(GDurationSpecification gDurationSpecification, int i2) {
        this._CY = (gDurationSpecification.getYear() * i2) + this._CY;
        this._M = (gDurationSpecification.getMonth() * i2) + this._M;
        this._D = (gDurationSpecification.getDay() * i2) + this._D;
        this._h = (gDurationSpecification.getHour() * i2) + this._h;
        this._m = (gDurationSpecification.getMinute() * i2) + this._m;
        this._s = (gDurationSpecification.getSecond() * i2) + this._s;
        if (gDurationSpecification.getFraction().signum() != 0) {
            if (this._fs.signum() == 0 && i2 == 1) {
                this._fs = gDurationSpecification.getFraction();
            } else {
                this._fs = i2 > 0 ? this._fs.add(gDurationSpecification.getFraction()) : this._fs.subtract(gDurationSpecification.getFraction());
            }
        }
    }

    public static final long _fQuotient(long j, int i2) {
        boolean z = true;
        boolean z2 = j < 0;
        if (i2 >= 0) {
            z = false;
        }
        if (z2 == z) {
            return j / ((long) i2);
        }
        long j2 = (long) i2;
        return -(((j2 - j) - 1) / j2);
    }

    private int _getTotalSignSlowly() {
        GDate[] gDateArr;
        GDateBuilder gDateBuilder = new GDateBuilder();
        int i2 = 0;
        int i3 = 0;
        int i4 = 0;
        int i5 = 0;
        while (true) {
            gDateArr = _compDate;
            if (i2 >= gDateArr.length) {
                break;
            }
            gDateBuilder.setGDate(gDateArr[i2]);
            gDateBuilder.addGDuration(this);
            int compareToGDate = gDateBuilder.compareToGDate(_compDate[i2]);
            if (compareToGDate == -1) {
                i4++;
            } else if (compareToGDate == 0) {
                i5++;
            } else if (compareToGDate == 1) {
                i3++;
            }
            i2++;
        }
        if (i3 == gDateArr.length) {
            return 1;
        }
        if (i4 == gDateArr.length) {
            return -1;
        }
        if (i5 == gDateArr.length) {
            return 0;
        }
        return 2;
    }

    public static final int _mod(long j, int i2, long j2) {
        return (int) (j - (j2 * ((long) i2)));
    }

    private void _normalizeImpl(boolean z) {
        long j;
        int i2;
        BigDecimal bigDecimal;
        int i3;
        int i4;
        int i5;
        int i6 = this._M;
        if (i6 < 0 || i6 > 11) {
            long j2 = (long) this._M;
            long _fQuotient = _fQuotient(j2, 12);
            this._M = _mod(j2, 12, _fQuotient);
            this._CY = (int) (((long) this._CY) + _fQuotient);
        }
        BigDecimal bigDecimal2 = this._fs;
        if (bigDecimal2 == null || (bigDecimal2.signum() >= 0 && this._fs.compareTo(GDate._one) < 0)) {
            j = 0;
        } else {
            BigDecimal scale = this._fs.setScale(0, 3);
            this._fs = this._fs.subtract(scale);
            j = (long) scale.intValue();
        }
        if (j != 0 || (i3 = this._s) < 0 || i3 > 59 || (i4 = this._m) < 0 || i4 > 50 || (i5 = this._h) < 0 || i5 > 23) {
            long j3 = ((long) this._s) + j;
            long _fQuotient2 = _fQuotient(j3, 60);
            this._s = _mod(j3, 60, _fQuotient2);
            long j4 = ((long) this._m) + _fQuotient2;
            long _fQuotient3 = _fQuotient(j4, 60);
            this._m = _mod(j4, 60, _fQuotient3);
            long j5 = ((long) this._h) + _fQuotient3;
            long _fQuotient4 = _fQuotient(j5, 24);
            this._h = _mod(j5, 24, _fQuotient4);
            this._D = (int) (((long) this._D) + _fQuotient4);
        }
        int i7 = 1;
        if (this._CY == 0 && this._M == 0 && this._D == 0 && this._h == 0 && this._m == 0 && this._s == 0 && ((bigDecimal = this._fs) == null || bigDecimal.signum() == 0)) {
            this._sign = 1;
        }
        if (!z) {
            return;
        }
        if (this._D < 0 || this._CY < 0) {
            int _getTotalSignSlowly = (this._D > 0 || ((i2 = this._CY) >= 0 && !(i2 == 0 && this._M == 0))) ? _getTotalSignSlowly() : -this._sign;
            if (_getTotalSignSlowly == 2) {
                _getTotalSignSlowly = this._CY < 0 ? -this._sign : this._sign;
            }
            if (_getTotalSignSlowly != 0) {
                i7 = _getTotalSignSlowly;
            }
            if (i7 != this._sign) {
                this._sign = i7;
                this._CY = -this._CY;
                this._M = -this._M;
                this._D = -this._D;
                this._h = -this._h;
                this._m = -this._m;
                this._s = -this._s;
                BigDecimal bigDecimal3 = this._fs;
                if (bigDecimal3 != null) {
                    this._fs = bigDecimal3.negate();
                }
            }
            _normalizeImpl(false);
        }
    }

    public static int compareDurations(GDurationSpecification gDurationSpecification, GDurationSpecification gDurationSpecification2) {
        if (gDurationSpecification.getFraction().signum() == 0 && gDurationSpecification2.getFraction().signum() == 0) {
            int sign = gDurationSpecification.getSign();
            long j = (long) sign;
            long sign2 = (long) gDurationSpecification2.getSign();
            long day = ((((((((long) gDurationSpecification.getDay()) * 24) + ((long) gDurationSpecification.getHour())) * 60) + ((long) gDurationSpecification.getMinute())) * 60) + ((long) gDurationSpecification.getSecond())) * j;
            long day2 = ((((((((long) gDurationSpecification2.getDay()) * 24) + ((long) gDurationSpecification2.getHour())) * 60) + ((long) gDurationSpecification2.getMinute())) * 60) + ((long) gDurationSpecification2.getSecond())) * sign2;
            int i2 = ((((((long) gDurationSpecification.getYear()) * 12) + ((long) gDurationSpecification.getMonth())) * j) > (((((long) gDurationSpecification2.getYear()) * 12) + ((long) gDurationSpecification2.getMonth())) * sign2) ? 1 : ((((((long) gDurationSpecification.getYear()) * 12) + ((long) gDurationSpecification.getMonth())) * j) == (((((long) gDurationSpecification2.getYear()) * 12) + ((long) gDurationSpecification2.getMonth())) * sign2) ? 0 : -1));
            if (i2 == 0) {
                int i3 = (day > day2 ? 1 : (day == day2 ? 0 : -1));
                if (i3 == 0) {
                    return 0;
                }
                if (i3 < 0) {
                    return -1;
                }
                if (i3 > 0) {
                    return 1;
                }
            }
            if (i2 < 0 && day - day2 < 2419200) {
                return -1;
            }
            if (i2 > 0 && day2 - day < 2419200) {
                return 1;
            }
        }
        GDurationBuilder gDurationBuilder = new GDurationBuilder(gDurationSpecification);
        gDurationBuilder.subtractGDuration(gDurationSpecification2);
        return gDurationBuilder._getTotalSignSlowly();
    }

    public static String formatDuration(GDurationSpecification gDurationSpecification) {
        StringBuffer stringBuffer = new StringBuffer(30);
        if (gDurationSpecification.getSign() < 0) {
            stringBuffer.append(NameUtil.HYPHEN);
        }
        stringBuffer.append('P');
        if (gDurationSpecification.getYear() != 0) {
            stringBuffer.append(gDurationSpecification.getYear());
            stringBuffer.append('Y');
        }
        if (gDurationSpecification.getMonth() != 0) {
            stringBuffer.append(gDurationSpecification.getMonth());
            stringBuffer.append('M');
        }
        if (gDurationSpecification.getDay() != 0) {
            stringBuffer.append(gDurationSpecification.getDay());
            stringBuffer.append('D');
        }
        if (!(gDurationSpecification.getHour() == 0 && gDurationSpecification.getMinute() == 0 && gDurationSpecification.getSecond() == 0 && gDurationSpecification.getFraction().signum() == 0)) {
            stringBuffer.append('T');
        }
        if (gDurationSpecification.getHour() != 0) {
            stringBuffer.append(gDurationSpecification.getHour());
            stringBuffer.append('H');
        }
        if (gDurationSpecification.getMinute() != 0) {
            stringBuffer.append(gDurationSpecification.getMinute());
            stringBuffer.append('M');
        }
        if (gDurationSpecification.getFraction().signum() != 0) {
            BigDecimal fraction = gDurationSpecification.getFraction();
            if (gDurationSpecification.getSecond() != 0) {
                fraction = fraction.add(BigDecimal.valueOf((long) gDurationSpecification.getSecond()));
            }
            stringBuffer.append(stripTrailingZeros(toPlainString(fraction)));
            stringBuffer.append('S');
        } else if (gDurationSpecification.getSecond() != 0) {
            stringBuffer.append(gDurationSpecification.getSecond());
            stringBuffer.append('S');
        } else if (stringBuffer.length() <= 2) {
            stringBuffer.append("T0S");
        }
        return stringBuffer.toString();
    }

    public static boolean isValidDuration(GDurationSpecification gDurationSpecification) {
        if ((gDurationSpecification.getSign() == 1 || gDurationSpecification.getSign() == -1) && gDurationSpecification.getYear() >= 0 && gDurationSpecification.getMonth() >= 0 && gDurationSpecification.getDay() >= 0 && gDurationSpecification.getHour() >= 0 && gDurationSpecification.getMinute() >= 0 && gDurationSpecification.getSecond() >= 0 && gDurationSpecification.getFraction().signum() >= 0) {
            return true;
        }
        return false;
    }

    public static String stripTrailingZeros(String str) {
        boolean z;
        int length = str.length() - 1;
        int i2 = length;
        while (length >= 0 && str.charAt(length) == '0') {
            length--;
            i2--;
        }
        while (true) {
            if (length < 0) {
                z = false;
                break;
            } else if (str.charAt(length) == 'E') {
                return str;
            } else {
                if (str.charAt(length) == '.') {
                    z = true;
                    break;
                }
                length--;
            }
        }
        return z ? str.substring(0, i2 + 1) : str;
    }

    public static String toPlainString(BigDecimal bigDecimal) {
        BigInteger unscaledValue = bigDecimal.unscaledValue();
        int scale = bigDecimal.scale();
        String bigInteger = unscaledValue.toString();
        if (scale == 0) {
            return bigInteger;
        }
        int i2 = 0;
        int i3 = bigInteger.charAt(0) == '-' ? 1 : 0;
        int length = (bigInteger.length() - scale) - i3;
        int length2 = bigInteger.length() + 2;
        if (length <= 0) {
            i2 = (-length) + 1;
        }
        StringBuffer stringBuffer = new StringBuffer(length2 + i2);
        if (length <= 0) {
            if (i3 != 0) {
                stringBuffer.append(NameUtil.HYPHEN);
            }
            stringBuffer.append(SheetUtil.defaultChar);
            stringBuffer.append(NameUtil.PERIOD);
            while (length < 0) {
                stringBuffer.append(SheetUtil.defaultChar);
                length++;
            }
            stringBuffer.append(bigInteger.substring(i3));
        } else if (length < bigInteger.length()) {
            stringBuffer.append(bigInteger);
            stringBuffer.insert(length + i3, NameUtil.PERIOD);
        } else {
            stringBuffer.append(bigInteger);
            if (!unscaledValue.equals(BigInteger.ZERO)) {
                for (int length3 = bigInteger.length(); length3 < length; length3++) {
                    stringBuffer.append(SheetUtil.defaultChar);
                }
            }
        }
        return stringBuffer.toString();
    }

    public void addGDuration(GDurationSpecification gDurationSpecification) {
        _add(gDurationSpecification, gDurationSpecification.getSign() * this._sign);
    }

    @Override // java.lang.Object
    public Object clone() {
        return new GDurationBuilder(this);
    }

    @Override // org.apache.xmlbeans.GDurationSpecification
    public final int compareToGDuration(GDurationSpecification gDurationSpecification) {
        return compareDurations(this, gDurationSpecification);
    }

    @Override // org.apache.xmlbeans.GDurationSpecification
    public final int getDay() {
        return this._D;
    }

    @Override // org.apache.xmlbeans.GDurationSpecification
    public BigDecimal getFraction() {
        return this._fs;
    }

    @Override // org.apache.xmlbeans.GDurationSpecification
    public final int getHour() {
        return this._h;
    }

    @Override // org.apache.xmlbeans.GDurationSpecification
    public final int getMinute() {
        return this._m;
    }

    @Override // org.apache.xmlbeans.GDurationSpecification
    public final int getMonth() {
        return this._M;
    }

    @Override // org.apache.xmlbeans.GDurationSpecification
    public final int getSecond() {
        return this._s;
    }

    @Override // org.apache.xmlbeans.GDurationSpecification
    public final int getSign() {
        return this._sign;
    }

    @Override // org.apache.xmlbeans.GDurationSpecification
    public final int getYear() {
        return this._CY;
    }

    @Override // org.apache.xmlbeans.GDurationSpecification
    public final boolean isImmutable() {
        return true;
    }

    @Override // org.apache.xmlbeans.GDurationSpecification
    public boolean isValid() {
        return isValidDuration(this);
    }

    public void normalize() {
        _normalizeImpl(true);
    }

    public void setDay(int i2) {
        this._D = i2;
    }

    public void setFraction(BigDecimal bigDecimal) {
        if (bigDecimal == null) {
            bigDecimal = GDate._zero;
        }
        this._fs = bigDecimal;
    }

    public void setHour(int i2) {
        this._h = i2;
    }

    public void setMinute(int i2) {
        this._m = i2;
    }

    public void setMonth(int i2) {
        this._M = i2;
    }

    public void setSecond(int i2) {
        this._s = i2;
    }

    public final void setSign(int i2) {
        if (i2 == 1 || i2 == -1) {
            this._sign = i2;
            return;
        }
        throw new IllegalArgumentException();
    }

    public void setYear(int i2) {
        this._CY = i2;
    }

    public void subtractGDuration(GDurationSpecification gDurationSpecification) {
        _add(gDurationSpecification, gDurationSpecification.getSign() * (-this._sign));
    }

    public GDuration toGDuration() {
        return new GDuration(this);
    }

    public String toString() {
        return formatDuration(this);
    }

    public GDurationBuilder(String str) {
        this(new GDuration(str));
    }

    public GDurationBuilder(int i2, int i3, int i4, int i5, int i6, int i7, int i8, BigDecimal bigDecimal) {
        if (i2 == 1 || i2 == -1) {
            this._sign = i2;
            this._CY = i3;
            this._M = i4;
            this._D = i5;
            this._h = i6;
            this._m = i7;
            this._s = i8;
            this._fs = bigDecimal == null ? GDate._zero : bigDecimal;
            return;
        }
        throw new IllegalArgumentException();
    }

    public GDurationBuilder(GDurationSpecification gDurationSpecification) {
        this._sign = gDurationSpecification.getSign();
        this._CY = gDurationSpecification.getYear();
        this._M = gDurationSpecification.getMonth();
        this._D = gDurationSpecification.getDay();
        this._h = gDurationSpecification.getHour();
        this._m = gDurationSpecification.getMinute();
        this._s = gDurationSpecification.getSecond();
        this._fs = gDurationSpecification.getFraction();
    }
}
