package org.apache.xmlbeans;

import b.b.a.a.a;
import org.apache.poi.javax.xml.namespace.QName;

public final class QNameCache {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static final float DEFAULT_LOAD = 0.7f;
    public static /* synthetic */ Class class$org$apache$xmlbeans$QNameCache;
    public int hashmask;
    public final float loadFactor;
    public int numEntries;
    public QName[] table;
    public int threshold;

    static {
        Class cls = class$org$apache$xmlbeans$QNameCache;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.QNameCache");
            class$org$apache$xmlbeans$QNameCache = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
    }

    public QNameCache(int i2, float f2) {
        this.numEntries = 0;
        if (!$assertionsDisabled && i2 <= 0) {
            throw new AssertionError();
        } else if ($assertionsDisabled || (f2 > 0.0f && f2 < 1.0f)) {
            int i3 = 16;
            while (i3 < i2) {
                i3 <<= 1;
            }
            this.loadFactor = f2;
            this.hashmask = i3 - 1;
            this.threshold = (int) (((float) i3) * f2);
            this.table = new QName[i3];
        } else {
            throw new AssertionError();
        }
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public static boolean equals(QName qName, String str, String str2, String str3) {
        return qName.getLocalPart().equals(str2) && qName.getNamespaceURI().equals(str) && qName.getPrefix().equals(str3);
    }

    public static int hash(String str, String str2, String str3) {
        return str2.hashCode() + (str3.hashCode() << 10) + 0 + (str.hashCode() << 5);
    }

    private void rehash() {
        int i2;
        int length = this.table.length * 2;
        QName[] qNameArr = new QName[length];
        int i3 = length - 1;
        int i4 = 0;
        while (true) {
            QName[] qNameArr2 = this.table;
            if (i4 < qNameArr2.length) {
                QName qName = qNameArr2[i4];
                if (qName != null) {
                    int hash = hash(qName.getNamespaceURI(), qName.getLocalPart(), qName.getPrefix());
                    while (true) {
                        i2 = hash & i3;
                        if (qNameArr[i2] == null) {
                            break;
                        }
                        hash = i2 - 1;
                    }
                    qNameArr[i2] = qName;
                }
                i4++;
            } else {
                this.table = qNameArr;
                this.hashmask = i3;
                this.threshold = (int) (((float) length) * this.loadFactor);
                return;
            }
        }
    }

    public QName getName(String str, String str2) {
        return getName(str, str2, "");
    }

    public QName getName(String str, String str2, String str3) {
        if ($assertionsDisabled || str2 != null) {
            if (str == null) {
                str = "";
            }
            if (str3 == null) {
                str3 = "";
            }
            int hash = hash(str, str2, str3);
            int i2 = this.hashmask;
            while (true) {
                int i3 = hash & i2;
                QName qName = this.table[i3];
                if (qName == null) {
                    int i4 = this.numEntries + 1;
                    this.numEntries = i4;
                    if (i4 >= this.threshold) {
                        rehash();
                    }
                    QName[] qNameArr = this.table;
                    QName qName2 = new QName(str, str2, str3);
                    qNameArr[i3] = qName2;
                    return qName2;
                } else if (equals(qName, str, str2, str3)) {
                    return qName;
                } else {
                    hash = i3 - 1;
                    i2 = this.hashmask;
                }
            }
        } else {
            throw new AssertionError();
        }
    }

    public QNameCache(int i2) {
        this(i2, 0.7f);
    }
}
