package org.apache.xmlbeans;

import b.b.a.a.a;
import java.io.File;
import java.lang.ref.SoftReference;
import java.lang.reflect.Constructor;
import java.lang.reflect.Field;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.impl.jam.xml.JamXmlElements;
import org.w3c.dom.Node;

public final class XmlBeans {
    public static final String HOLDER_CLASS_NAME = "TypeSystemHolder";
    public static SchemaType NO_TYPE = getNoType();
    public static final String TYPE_SYSTEM_FIELD = "typeSystem";
    public static String XMLBEANS_TITLE = "org.apache.xmlbeans";
    public static String XMLBEANS_VENDOR = "Apache Software Foundation";
    public static String XMLBEANS_VERSION = "2.6.0";
    public static final Method _compilationMethod = buildCompilationMethod();
    public static final Method _getBuiltinSchemaTypeSystemMethod = buildGetBuiltinSchemaTypeSystemMethod();
    public static final Method _getContextTypeLoaderMethod = buildGetContextTypeLoaderMethod();
    public static final Method _getNoTypeMethod = buildGetNoTypeMethod();
    public static final Method _nodeToCursorMethod = buildNodeToCursorMethod();
    public static final Method _nodeToXmlObjectMethod = buildNodeToXmlObjectMethod();
    public static final Method _nodeToXmlStreamMethod = buildNodeToXmlStreamMethod();
    public static final Constructor _pathResourceLoaderConstructor = buildPathResourceLoaderConstructor();
    public static final Method _streamToNodeMethod = buildStreamToNodeMethod();
    public static final ThreadLocal _threadLocalLoaderQNameCache = new ThreadLocal() {
        /* class org.apache.xmlbeans.XmlBeans.AnonymousClass1 */

        @Override // java.lang.ThreadLocal
        public Object initialValue() {
            return new SoftReference(new QNameCache(32));
        }
    };
    public static final Method _typeLoaderBuilderMethod = buildTypeLoaderBuilderMethod();
    public static /* synthetic */ Class array$Ljava$io$File;
    public static /* synthetic */ Class array$Lorg$apache$xmlbeans$SchemaTypeLoader;
    public static /* synthetic */ Class array$Lorg$apache$xmlbeans$XmlObject;
    public static /* synthetic */ Class class$java$lang$ClassLoader;
    public static /* synthetic */ Class class$java$lang$String;
    public static /* synthetic */ Class class$javax$xml$stream$XMLStreamReader;
    public static /* synthetic */ Class class$org$apache$xmlbeans$BindingConfig;
    public static /* synthetic */ Class class$org$apache$xmlbeans$Filer;
    public static /* synthetic */ Class class$org$apache$xmlbeans$ResourceLoader;
    public static /* synthetic */ Class class$org$apache$xmlbeans$SchemaTypeLoader;
    public static /* synthetic */ Class class$org$apache$xmlbeans$SchemaTypeSystem;
    public static /* synthetic */ Class class$org$apache$xmlbeans$XmlBeans;
    public static /* synthetic */ Class class$org$apache$xmlbeans$XmlObject;
    public static /* synthetic */ Class class$org$apache$xmlbeans$XmlOptions;
    public static /* synthetic */ Class class$org$w3c$dom$Node;

    static {
        Class cls = class$org$apache$xmlbeans$XmlBeans;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.XmlBeans");
            class$org$apache$xmlbeans$XmlBeans = cls;
        }
        Package r0 = cls.getPackage();
        if (r0 != null) {
            XMLBEANS_TITLE = r0.getImplementationTitle();
            XMLBEANS_VERSION = r0.getImplementationVersion();
            XMLBEANS_VENDOR = r0.getImplementationVendor();
        }
    }

    public static final Method buildCompilationMethod() {
        Class[] clsArr = new Class[7];
        Class cls = class$java$lang$String;
        if (cls == null) {
            cls = class$("java.lang.String");
            class$java$lang$String = cls;
        }
        clsArr[0] = cls;
        Class cls2 = class$org$apache$xmlbeans$SchemaTypeSystem;
        if (cls2 == null) {
            cls2 = class$("org.apache.xmlbeans.SchemaTypeSystem");
            class$org$apache$xmlbeans$SchemaTypeSystem = cls2;
        }
        clsArr[1] = cls2;
        Class cls3 = array$Lorg$apache$xmlbeans$XmlObject;
        if (cls3 == null) {
            cls3 = class$("[Lorg.apache.xmlbeans.XmlObject;");
            array$Lorg$apache$xmlbeans$XmlObject = cls3;
        }
        clsArr[2] = cls3;
        Class cls4 = class$org$apache$xmlbeans$BindingConfig;
        if (cls4 == null) {
            cls4 = class$("org.apache.xmlbeans.BindingConfig");
            class$org$apache$xmlbeans$BindingConfig = cls4;
        }
        clsArr[3] = cls4;
        Class cls5 = class$org$apache$xmlbeans$SchemaTypeLoader;
        if (cls5 == null) {
            cls5 = class$("org.apache.xmlbeans.SchemaTypeLoader");
            class$org$apache$xmlbeans$SchemaTypeLoader = cls5;
        }
        clsArr[4] = cls5;
        Class cls6 = class$org$apache$xmlbeans$Filer;
        if (cls6 == null) {
            cls6 = class$("org.apache.xmlbeans.Filer");
            class$org$apache$xmlbeans$Filer = cls6;
        }
        clsArr[5] = cls6;
        Class cls7 = class$org$apache$xmlbeans$XmlOptions;
        if (cls7 == null) {
            cls7 = class$("org.apache.xmlbeans.XmlOptions");
            class$org$apache$xmlbeans$XmlOptions = cls7;
        }
        clsArr[6] = cls7;
        return buildMethod("org.apache.xmlbeans.impl.schema.SchemaTypeSystemCompiler", "compile", clsArr);
    }

    public static final Constructor buildConstructor(String str, Class[] clsArr) {
        Class cls;
        try {
            if (class$org$apache$xmlbeans$XmlBeans == null) {
                cls = class$("org.apache.xmlbeans.XmlBeans");
                class$org$apache$xmlbeans$XmlBeans = cls;
            } else {
                cls = class$org$apache$xmlbeans$XmlBeans;
            }
            return Class.forName(str, false, cls.getClassLoader()).getConstructor(clsArr);
        } catch (Exception e2) {
            throw causedException(new IllegalStateException(a.a("Cannot load constructor for ", str, ": verify that xbean.jar is on the classpath")), e2);
        }
    }

    public static final Method buildGetBuiltinSchemaTypeSystemMethod() {
        return buildNoArgMethod("org.apache.xmlbeans.impl.schema.BuiltinSchemaTypeSystem", "get");
    }

    public static Method buildGetContextTypeLoaderMethod() {
        return buildNoArgMethod("org.apache.xmlbeans.impl.schema.SchemaTypeLoaderImpl", "getContextTypeLoader");
    }

    public static final Method buildGetNoTypeMethod() {
        return buildNoArgMethod("org.apache.xmlbeans.impl.schema.BuiltinSchemaTypeSystem", "getNoType");
    }

    public static final Method buildMethod(String str, String str2, Class[] clsArr) {
        Class cls;
        try {
            if (class$org$apache$xmlbeans$XmlBeans == null) {
                cls = class$("org.apache.xmlbeans.XmlBeans");
                class$org$apache$xmlbeans$XmlBeans = cls;
            } else {
                cls = class$org$apache$xmlbeans$XmlBeans;
            }
            return Class.forName(str, false, cls.getClassLoader()).getMethod(str2, clsArr);
        } catch (Exception e2) {
            throw causedException(new IllegalStateException(a.a("Cannot load ", str2, ": verify that xbean.jar is on the classpath")), e2);
        }
    }

    public static final Method buildNoArgMethod(String str, String str2) {
        return buildMethod(str, str2, new Class[0]);
    }

    public static final Method buildNodeMethod(String str, String str2) {
        Class[] clsArr = new Class[1];
        Class cls = class$org$w3c$dom$Node;
        if (cls == null) {
            cls = class$("org.w3c.dom.Node");
            class$org$w3c$dom$Node = cls;
        }
        clsArr[0] = cls;
        return buildMethod(str, str2, clsArr);
    }

    public static final Method buildNodeToCursorMethod() {
        return buildNodeMethod("org.apache.xmlbeans.impl.store.Locale", "nodeToCursor");
    }

    public static final Method buildNodeToXmlObjectMethod() {
        return buildNodeMethod("org.apache.xmlbeans.impl.store.Locale", "nodeToXmlObject");
    }

    public static final Method buildNodeToXmlStreamMethod() {
        return buildNodeMethod("org.apache.xmlbeans.impl.store.Locale", "nodeToXmlStream");
    }

    public static final Constructor buildPathResourceLoaderConstructor() {
        Class[] clsArr = new Class[1];
        Class cls = array$Ljava$io$File;
        if (cls == null) {
            cls = class$("[Ljava.io.File;");
            array$Ljava$io$File = cls;
        }
        clsArr[0] = cls;
        return buildConstructor("org.apache.xmlbeans.impl.schema.PathResourceLoader", clsArr);
    }

    public static final Method buildStreamToNodeMethod() {
        Class[] clsArr = new Class[1];
        Class cls = class$javax$xml$stream$XMLStreamReader;
        if (cls == null) {
            cls = class$("org.apache.poi.javax.xml.stream.XMLStreamReader");
            class$javax$xml$stream$XMLStreamReader = cls;
        }
        clsArr[0] = cls;
        return buildMethod("org.apache.xmlbeans.impl.store.Locale", "streamToNode", clsArr);
    }

    public static final Method buildTypeLoaderBuilderMethod() {
        Class[] clsArr = new Class[3];
        Class cls = array$Lorg$apache$xmlbeans$SchemaTypeLoader;
        if (cls == null) {
            cls = class$("[Lorg.apache.xmlbeans.SchemaTypeLoader;");
            array$Lorg$apache$xmlbeans$SchemaTypeLoader = cls;
        }
        clsArr[0] = cls;
        Class cls2 = class$org$apache$xmlbeans$ResourceLoader;
        if (cls2 == null) {
            cls2 = class$("org.apache.xmlbeans.ResourceLoader");
            class$org$apache$xmlbeans$ResourceLoader = cls2;
        }
        clsArr[1] = cls2;
        Class cls3 = class$java$lang$ClassLoader;
        if (cls3 == null) {
            cls3 = class$("java.lang.ClassLoader");
            class$java$lang$ClassLoader = cls3;
        }
        clsArr[2] = cls3;
        return buildMethod("org.apache.xmlbeans.impl.schema.SchemaTypeLoaderImpl", "build", clsArr);
    }

    public static RuntimeException causedException(RuntimeException runtimeException, Throwable th) {
        runtimeException.initCause(th);
        return runtimeException;
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public static String compilePath(String str) {
        return compilePath(str, null);
    }

    public static String compileQuery(String str) {
        return compileQuery(str, null);
    }

    public static SchemaTypeSystem compileXmlBeans(String str, SchemaTypeSystem schemaTypeSystem, XmlObject[] xmlObjectArr, BindingConfig bindingConfig, SchemaTypeLoader schemaTypeLoader, Filer filer, XmlOptions xmlOptions) {
        try {
            Method method = _compilationMethod;
            Object[] objArr = new Object[7];
            objArr[0] = str;
            objArr[1] = schemaTypeSystem;
            objArr[2] = xmlObjectArr;
            objArr[3] = bindingConfig;
            if (schemaTypeLoader == null) {
                schemaTypeLoader = getContextTypeLoader();
            }
            objArr[4] = schemaTypeLoader;
            objArr[5] = filer;
            objArr[6] = xmlOptions;
            return (SchemaTypeSystem) method.invoke(null, objArr);
        } catch (IllegalAccessException unused) {
            throw new IllegalStateException("No access to SchemaTypeLoaderImpl.forSchemaXml(): verify that version of xbean.jar is correct");
        } catch (InvocationTargetException e2) {
            throw wrappedException(e2.getCause());
        }
    }

    public static SchemaTypeSystem compileXsd(XmlObject[] xmlObjectArr, SchemaTypeLoader schemaTypeLoader, XmlOptions xmlOptions) {
        return compileXmlBeans(null, null, xmlObjectArr, null, schemaTypeLoader, null, xmlOptions);
    }

    public static SchemaTypeSystem getBuiltinTypeSystem() {
        try {
            return (SchemaTypeSystem) _getBuiltinSchemaTypeSystemMethod.invoke(null, null);
        } catch (IllegalAccessException e2) {
            throw causedException(new IllegalStateException("No access to BuiltinSchemaTypeSystem.get(): verify that version of xbean.jar is correct"), e2);
        } catch (InvocationTargetException e3) {
            Throwable cause = e3.getCause();
            IllegalStateException illegalStateException = new IllegalStateException(cause.getMessage());
            illegalStateException.initCause(cause);
            throw illegalStateException;
        }
    }

    public static SchemaTypeLoader getContextTypeLoader() {
        try {
            return (SchemaTypeLoader) _getContextTypeLoaderMethod.invoke(null, null);
        } catch (IllegalAccessException e2) {
            throw causedException(new IllegalStateException("No access to SchemaTypeLoaderImpl.getContextTypeLoader(): verify that version of xbean.jar is correct"), e2);
        } catch (InvocationTargetException e3) {
            Throwable cause = e3.getCause();
            IllegalStateException illegalStateException = new IllegalStateException(cause.getMessage());
            illegalStateException.initCause(cause);
            throw illegalStateException;
        }
    }

    public static SchemaType getNoType() {
        try {
            return (SchemaType) _getNoTypeMethod.invoke(null, null);
        } catch (IllegalAccessException e2) {
            throw causedException(new IllegalStateException("No access to SchemaTypeLoaderImpl.getContextTypeLoader(): verify that version of xbean.jar is correct"), e2);
        } catch (InvocationTargetException e3) {
            Throwable cause = e3.getCause();
            IllegalStateException illegalStateException = new IllegalStateException(cause.getMessage());
            illegalStateException.initCause(cause);
            throw illegalStateException;
        }
    }

    public static QName getQName(String str) {
        return getQNameCache().getName("", str);
    }

    public static QNameCache getQNameCache() {
        QNameCache qNameCache = (QNameCache) ((SoftReference) _threadLocalLoaderQNameCache.get()).get();
        if (qNameCache != null) {
            return qNameCache;
        }
        QNameCache qNameCache2 = new QNameCache(32);
        _threadLocalLoaderQNameCache.set(new SoftReference(qNameCache2));
        return qNameCache2;
    }

    public static final String getTitle() {
        return XMLBEANS_TITLE;
    }

    public static final String getVendor() {
        return XMLBEANS_VENDOR;
    }

    public static final String getVersion() {
        return XMLBEANS_VERSION;
    }

    public static SchemaTypeLoader loadXsd(XmlObject[] xmlObjectArr) {
        return loadXsd(xmlObjectArr, null);
    }

    public static XmlCursor nodeToCursor(Node node) {
        try {
            return (XmlCursor) _nodeToCursorMethod.invoke(null, node);
        } catch (IllegalAccessException e2) {
            throw causedException(new IllegalStateException("No access to nodeToCursor verify that version of xbean.jar is correct"), e2);
        } catch (InvocationTargetException e3) {
            Throwable cause = e3.getCause();
            IllegalStateException illegalStateException = new IllegalStateException(cause.getMessage());
            illegalStateException.initCause(cause);
            throw illegalStateException;
        }
    }

    public static XmlObject nodeToXmlObject(Node node) {
        try {
            return (XmlObject) _nodeToXmlObjectMethod.invoke(null, node);
        } catch (IllegalAccessException e2) {
            throw causedException(new IllegalStateException("No access to nodeToXmlObject verify that version of xbean.jar is correct"), e2);
        } catch (InvocationTargetException e3) {
            Throwable cause = e3.getCause();
            IllegalStateException illegalStateException = new IllegalStateException(cause.getMessage());
            illegalStateException.initCause(cause);
            throw illegalStateException;
        }
    }

    public static XMLStreamReader nodeToXmlStreamReader(Node node) {
        try {
            return (XMLStreamReader) _nodeToXmlStreamMethod.invoke(null, node);
        } catch (IllegalAccessException e2) {
            throw causedException(new IllegalStateException("No access to nodeToXmlStreamReader verify that version of xbean.jar is correct"), e2);
        } catch (InvocationTargetException e3) {
            Throwable cause = e3.getCause();
            IllegalStateException illegalStateException = new IllegalStateException(cause.getMessage());
            illegalStateException.initCause(cause);
            throw illegalStateException;
        }
    }

    public static ResourceLoader resourceLoaderForPath(File[] fileArr) {
        try {
            return (ResourceLoader) _pathResourceLoaderConstructor.newInstance(fileArr);
        } catch (IllegalAccessException e2) {
            throw causedException(new IllegalStateException("No access to SchemaTypeLoaderImpl: verify that version of xbean.jar is correct"), e2);
        } catch (InstantiationException e3) {
            throw causedException(new IllegalStateException(e3.getMessage()), e3);
        } catch (InvocationTargetException e4) {
            Throwable cause = e4.getCause();
            IllegalStateException illegalStateException = new IllegalStateException(cause.getMessage());
            illegalStateException.initCause(cause);
            throw illegalStateException;
        }
    }

    public static Node streamToNode(XMLStreamReader xMLStreamReader) {
        try {
            return (Node) _streamToNodeMethod.invoke(null, xMLStreamReader);
        } catch (IllegalAccessException e2) {
            throw causedException(new IllegalStateException("No access to streamToNode verify that version of xbean.jar is correct"), e2);
        } catch (InvocationTargetException e3) {
            Throwable cause = e3.getCause();
            IllegalStateException illegalStateException = new IllegalStateException(cause.getMessage());
            illegalStateException.initCause(cause);
            throw illegalStateException;
        }
    }

    public static SchemaType typeForClass(Class cls) {
        if (cls != null) {
            Class cls2 = class$org$apache$xmlbeans$XmlObject;
            if (cls2 == null) {
                cls2 = class$("org.apache.xmlbeans.XmlObject");
                class$org$apache$xmlbeans$XmlObject = cls2;
            }
            if (cls2.isAssignableFrom(cls)) {
                try {
                    Field field = cls.getField(JamXmlElements.TYPE);
                    if (field == null) {
                        return null;
                    }
                    return (SchemaType) field.get(null);
                } catch (Exception unused) {
                }
            }
        }
        return null;
    }

    public static SchemaTypeLoader typeLoaderForClassLoader(ClassLoader classLoader) {
        try {
            return (SchemaTypeLoader) _typeLoaderBuilderMethod.invoke(null, null, null, classLoader);
        } catch (IllegalAccessException e2) {
            throw causedException(new IllegalStateException("No access to SchemaTypeLoaderImpl: verify that version of xbean.jar is correct"), e2);
        } catch (InvocationTargetException e3) {
            Throwable cause = e3.getCause();
            IllegalStateException illegalStateException = new IllegalStateException(cause.getMessage());
            illegalStateException.initCause(cause);
            throw illegalStateException;
        }
    }

    public static SchemaTypeLoader typeLoaderForResource(ResourceLoader resourceLoader) {
        try {
            return (SchemaTypeLoader) _typeLoaderBuilderMethod.invoke(null, null, resourceLoader, null);
        } catch (IllegalAccessException e2) {
            throw causedException(new IllegalStateException("No access to SchemaTypeLoaderImpl: verify that version of xbean.jar is correct"), e2);
        } catch (InvocationTargetException e3) {
            Throwable cause = e3.getCause();
            IllegalStateException illegalStateException = new IllegalStateException(cause.getMessage());
            illegalStateException.initCause(cause);
            throw illegalStateException;
        }
    }

    public static SchemaTypeLoader typeLoaderUnion(SchemaTypeLoader[] schemaTypeLoaderArr) {
        try {
            if (schemaTypeLoaderArr.length == 1) {
                return schemaTypeLoaderArr[0];
            }
            return (SchemaTypeLoader) _typeLoaderBuilderMethod.invoke(null, schemaTypeLoaderArr, null, null);
        } catch (IllegalAccessException e2) {
            throw causedException(new IllegalStateException("No access to SchemaTypeLoaderImpl: verify that version of xbean.jar is correct"), e2);
        } catch (InvocationTargetException e3) {
            Throwable cause = e3.getCause();
            IllegalStateException illegalStateException = new IllegalStateException(cause.getMessage());
            illegalStateException.initCause(cause);
            throw illegalStateException;
        }
    }

    public static SchemaTypeSystem typeSystemForClassLoader(ClassLoader classLoader, String str) {
        try {
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append(str);
            stringBuffer.append(".");
            stringBuffer.append("TypeSystemHolder");
            SchemaTypeSystem schemaTypeSystem = (SchemaTypeSystem) classLoader.loadClass(stringBuffer.toString()).getDeclaredField(TYPE_SYSTEM_FIELD).get(null);
            if (schemaTypeSystem != null) {
                return schemaTypeSystem;
            }
            StringBuffer stringBuffer2 = new StringBuffer();
            stringBuffer2.append("SchemaTypeSystem is null for field typeSystem on class with name ");
            stringBuffer2.append(str);
            stringBuffer2.append(".");
            stringBuffer2.append("TypeSystemHolder");
            stringBuffer2.append(". Please verify the version of xbean.jar is correct.");
            throw new RuntimeException(stringBuffer2.toString());
        } catch (ClassNotFoundException e2) {
            throw causedException(new RuntimeException(a.a("Cannot load SchemaTypeSystem. Unable to load class with name ", str, ".", "TypeSystemHolder", ". Make sure the generated binary files are on the classpath.")), e2);
        } catch (NoSuchFieldException e3) {
            throw causedException(new RuntimeException(a.a("Cannot find field typeSystem on class ", str, ".", "TypeSystemHolder", ". Please verify the version of xbean.jar is correct.")), e3);
        } catch (IllegalAccessException e4) {
            throw causedException(new RuntimeException(a.a("Field typeSystem on class ", str, ".", "TypeSystemHolder", "is not accessible. Please verify the version of xbean.jar is correct.")), e4);
        }
    }

    public static XmlException wrappedException(Throwable th) {
        if (th instanceof XmlException) {
            return (XmlException) th;
        }
        return new XmlException(th.getMessage(), th);
    }

    public static String compilePath(String str, XmlOptions xmlOptions) {
        return getContextTypeLoader().compilePath(str, xmlOptions);
    }

    public static String compileQuery(String str, XmlOptions xmlOptions) {
        return getContextTypeLoader().compileQuery(str, xmlOptions);
    }

    public static SchemaTypeSystem compileXsd(SchemaTypeSystem schemaTypeSystem, XmlObject[] xmlObjectArr, SchemaTypeLoader schemaTypeLoader, XmlOptions xmlOptions) {
        return compileXmlBeans(null, schemaTypeSystem, xmlObjectArr, null, schemaTypeLoader, null, xmlOptions);
    }

    public static QName getQName(String str, String str2) {
        return getQNameCache().getName(str, str2);
    }

    public static SchemaTypeLoader loadXsd(XmlObject[] xmlObjectArr, XmlOptions xmlOptions) {
        try {
            SchemaTypeSystem schemaTypeSystem = (SchemaTypeSystem) _compilationMethod.invoke(null, null, null, xmlObjectArr, null, getContextTypeLoader(), null, xmlOptions);
            if (schemaTypeSystem == null) {
                return null;
            }
            return typeLoaderUnion(new SchemaTypeLoader[]{schemaTypeSystem, getContextTypeLoader()});
        } catch (IllegalAccessException e2) {
            throw causedException(new IllegalStateException("No access to SchemaTypeLoaderImpl.forSchemaXml(): verify that version of xbean.jar is correct"), e2);
        } catch (InvocationTargetException e3) {
            throw wrappedException(e3.getCause());
        }
    }
}
