package org.apache.xmlbeans.impl.common;

import java.lang.reflect.Array;

public class Levenshtein {
    public static int distance(String str, String str2) {
        int length = str.length();
        int length2 = str2.length();
        if (length == 0) {
            return length2;
        }
        if (length2 == 0) {
            return length;
        }
        int[] iArr = new int[2];
        iArr[1] = length2 + 1;
        iArr[0] = length + 1;
        int[][] iArr2 = (int[][]) Array.newInstance(int.class, iArr);
        for (int i2 = 0; i2 <= length; i2++) {
            iArr2[i2][0] = i2;
        }
        for (int i3 = 0; i3 <= length2; i3++) {
            iArr2[0][i3] = i3;
        }
        for (int i4 = 1; i4 <= length; i4++) {
            int i5 = i4 - 1;
            char charAt = str.charAt(i5);
            for (int i6 = 1; i6 <= length2; i6++) {
                int i7 = i6 - 1;
                iArr2[i4][i6] = minimum(iArr2[i5][i6] + 1, iArr2[i4][i7] + 1, iArr2[i5][i7] + (charAt == str2.charAt(i7) ? 0 : 1));
            }
        }
        return iArr2[length][length2];
    }

    public static int minimum(int i2, int i3, int i4) {
        if (i3 < i2) {
            i2 = i3;
        }
        return i4 < i2 ? i4 : i2;
    }
}
