package org.apache.xmlbeans.impl.common;

public class Mutex {
    public int lock_count = 0;
    public Thread owner = null;

    public synchronized void acquire() {
        while (!tryToAcquire()) {
            wait();
        }
    }

    public synchronized void release() {
        if (this.owner == Thread.currentThread()) {
            int i2 = this.lock_count - 1;
            this.lock_count = i2;
            if (i2 <= 0) {
                this.owner = null;
                notify();
            }
        } else {
            throw new IllegalStateException("Thread calling release() doesn't own mutex");
        }
    }

    public synchronized boolean tryToAcquire() {
        if (this.owner == null) {
            this.owner = Thread.currentThread();
            this.lock_count = 1;
            return true;
        } else if (this.owner != Thread.currentThread()) {
            return false;
        } else {
            this.lock_count++;
            return true;
        }
    }
}
