package org.apache.xmlbeans.impl.common;

import java.io.OutputStreamWriter;
import java.io.Reader;
import java.io.Writer;

public class ReaderInputStream extends PushedInputStream {
    public static int defaultBufferSize = 2048;
    public char[] buf;
    public Reader reader;
    public Writer writer;

    public ReaderInputStream(Reader reader2, String str) {
        this(reader2, str, defaultBufferSize);
    }

    @Override // org.apache.xmlbeans.impl.common.PushedInputStream
    public void fill(int i2) {
        do {
            int read = this.reader.read(this.buf);
            if (read >= 0) {
                this.writer.write(this.buf, 0, read);
                this.writer.flush();
            } else {
                return;
            }
        } while (available() <= 0);
    }

    public ReaderInputStream(Reader reader2, String str, int i2) {
        if (i2 > 0) {
            this.reader = reader2;
            this.writer = new OutputStreamWriter(getOutputStream(), str);
            this.buf = new char[i2];
            return;
        }
        throw new IllegalArgumentException("Buffer size <= 0");
    }
}
