package org.apache.xmlbeans.impl.common;

import b.b.a.a.a;
import java.io.BufferedInputStream;
import java.io.ByteArrayInputStream;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.nio.charset.Charset;
import javax.xml.transform.OutputKeys;
import org.apache.poi.hssf.usermodel.HSSFShapeTypes;
import org.apache.poi.poifs.filesystem.Ole10Native;
import org.apache.poi.ss.formula.FormulaParser;
import org.apache.poi.ss.formula.ptg.StringPtg;
import org.apache.poi.util.LittleEndianCP950Reader;
import org.apache.xerces.impl.dv.util.Base64;
import org.apache.xerces.impl.xpath.XPath;

public class SniffedXmlInputStream extends BufferedInputStream {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static int MAX_SNIFFED_BYTES = HSSFShapeTypes.ActionButtonInformation;
    public static char[] NOTNAME = {Base64.PAD, ' ', FormulaParser.CR, '\t', '\n', LittleEndianCP950Reader.UNMAPPABLE, '>', '<', '\'', StringPtg.FORMULA_DELIMITER};
    public static char[] WHITESPACE = {' ', FormulaParser.CR, '\t', '\n'};
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$common$SniffedXmlInputStream;
    public static Charset dummy1 = Charset.forName("UTF-8");
    public static Charset dummy2 = Charset.forName("UTF-16");
    public static Charset dummy3 = Charset.forName("UTF-16BE");
    public static Charset dummy4 = Charset.forName("UTF-16LE");
    public static Charset dummy5 = Charset.forName(Ole10Native.ISO1);
    public static Charset dummy6 = Charset.forName("US-ASCII");
    public static Charset dummy7 = Charset.forName("Cp1252");
    public String _encoding;

    public static class ScannedAttribute {
        public String name;
        public String value;

        public ScannedAttribute() {
        }
    }

    static {
        Class cls = class$org$apache$xmlbeans$impl$common$SniffedXmlInputStream;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.common.SniffedXmlInputStream");
            class$org$apache$xmlbeans$impl$common$SniffedXmlInputStream = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
    }

    public SniffedXmlInputStream(InputStream inputStream) {
        super(inputStream);
        String sniffForXmlDecl;
        String sniffFourBytes = sniffFourBytes();
        this._encoding = sniffFourBytes;
        if (!(sniffFourBytes == null || !sniffFourBytes.equals("IBM037") || (sniffForXmlDecl = sniffForXmlDecl(this._encoding)) == null)) {
            this._encoding = sniffForXmlDecl;
        }
        if (this._encoding == null) {
            this._encoding = sniffForXmlDecl("UTF-8");
        }
        if (this._encoding == null) {
            this._encoding = "UTF-8";
        }
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public static String extractXmlDeclEncoding(char[] cArr, int i2, int i3) {
        int i4 = i3 + i2;
        int firstIndexOf = firstIndexOf("<?xml", cArr, i2, i4);
        if (firstIndexOf >= 0) {
            int i5 = firstIndexOf + 5;
            ScannedAttribute scannedAttribute = new ScannedAttribute();
            while (i5 < i4) {
                i5 = scanAttribute(cArr, i5, i4, scannedAttribute);
                if (i5 < 0) {
                    return null;
                }
                if (scannedAttribute.name.equals(OutputKeys.ENCODING)) {
                    return scannedAttribute.value;
                }
            }
        }
        return null;
    }

    public static int firstIndexOf(String str, char[] cArr, int i2, int i3) {
        if ($assertionsDisabled || str.length() > 0) {
            char[] charArray = str.toCharArray();
            char c = charArray[0];
            int length = i3 - charArray.length;
            while (i2 < length) {
                if (cArr[i2] == c) {
                    for (int i4 = 1; i4 < charArray.length; i4++) {
                        if (cArr[i2 + i4] == charArray[i4]) {
                        }
                    }
                    return i2;
                }
                i2++;
            }
            return -1;
        }
        throw new AssertionError();
    }

    public static int nextMatchingByte(char[] cArr, char[] cArr2, int i2, int i3) {
        while (i2 < i3) {
            char c = cArr2[i2];
            for (char c2 : cArr) {
                if (c == c2) {
                    return i2;
                }
            }
            i2++;
        }
        return -1;
    }

    public static int nextNonmatchingByte(char[] cArr, char[] cArr2, int i2, int i3) {
        while (i2 < i3) {
            char c = cArr2[i2];
            for (char c2 : cArr) {
                if (c == c2) {
                    i2++;
                }
            }
            return i2;
        }
        return -1;
    }

    private int readAsMuchAsPossible(byte[] bArr, int i2, int i3) {
        int i4 = 0;
        while (i4 < i3) {
            int read = read(bArr, i2 + i4, i3 - i4);
            if (read < 0) {
                break;
            }
            i4 += read;
        }
        return i4;
    }

    public static int scanAttribute(char[] cArr, int i2, int i3, ScannedAttribute scannedAttribute) {
        int nextMatchingByte;
        int nextNonmatchingByte;
        int i4;
        int nextMatchingByte2;
        int nextNonmatchingByte2 = nextNonmatchingByte(WHITESPACE, cArr, i2, i3);
        if (nextNonmatchingByte2 < 0 || (nextMatchingByte = nextMatchingByte(NOTNAME, cArr, nextNonmatchingByte2, i3)) < 0 || (nextNonmatchingByte = nextNonmatchingByte(WHITESPACE, cArr, nextMatchingByte, i3)) < 0 || cArr[nextNonmatchingByte] != '=') {
            return -1;
        }
        int nextNonmatchingByte3 = nextNonmatchingByte(WHITESPACE, cArr, nextNonmatchingByte + 1, i3);
        if ((cArr[nextNonmatchingByte3] != '\'' && cArr[nextNonmatchingByte3] != '\"') || (nextMatchingByte2 = nextMatchingByte(cArr[nextNonmatchingByte3], cArr, (i4 = nextNonmatchingByte3 + 1), i3)) < 0) {
            return -1;
        }
        scannedAttribute.name = new String(cArr, nextNonmatchingByte2, nextMatchingByte - nextNonmatchingByte2);
        scannedAttribute.value = new String(cArr, i4, (nextMatchingByte2 - nextNonmatchingByte3) - 1);
        return nextMatchingByte2 + 1;
    }

    private String sniffForXmlDecl(String str) {
        mark(MAX_SNIFFED_BYTES);
        try {
            byte[] bArr = new byte[MAX_SNIFFED_BYTES];
            int readAsMuchAsPossible = readAsMuchAsPossible(bArr, 0, MAX_SNIFFED_BYTES);
            InputStreamReader inputStreamReader = new InputStreamReader(new ByteArrayInputStream(bArr, 0, readAsMuchAsPossible), Charset.forName(str));
            char[] cArr = new char[readAsMuchAsPossible];
            int i2 = 0;
            while (true) {
                if (i2 >= readAsMuchAsPossible) {
                    break;
                }
                int read = inputStreamReader.read(cArr, i2, readAsMuchAsPossible - i2);
                if (read < 0) {
                    break;
                }
                i2 += read;
            }
            return extractXmlDeclEncoding(cArr, 0, i2);
        } finally {
            reset();
        }
    }

    private String sniffFourBytes() {
        mark(4);
        try {
            byte[] bArr = new byte[4];
            if (readAsMuchAsPossible(bArr, 0, 4) < 4) {
                return null;
            }
            long j = (long) ((-16777216 & (bArr[0] << XPath.Scanner.CHARTYPE_UNION)) | (16711680 & (bArr[1] << 16)) | (65280 & (bArr[2] << 8)) | (bArr[3] & 255));
            if (j == 65279) {
                reset();
                return "UCS-4";
            } else if (j == -131072) {
                reset();
                return "UCS-4";
            } else if (j == 60) {
                reset();
                return "UCS-4BE";
            } else if (j == 1006632960) {
                reset();
                return "UCS-4LE";
            } else if (j == 3932223) {
                reset();
                return "UTF-16BE";
            } else if (j == 1006649088) {
                reset();
                return "UTF-16LE";
            } else if (j == 1010792557) {
                reset();
                return null;
            } else if (j == 1282385812) {
                reset();
                return "IBM037";
            } else {
                long j2 = -65536 & j;
                if (j2 == -16842752) {
                    reset();
                    return "UTF-16";
                } else if (j2 == -131072) {
                    reset();
                    return "UTF-16";
                } else if ((j & -256) == -272908544) {
                    reset();
                    return "UTF-8";
                } else {
                    reset();
                    return null;
                }
            }
        } finally {
            reset();
        }
    }

    public String getXmlEncoding() {
        return this._encoding;
    }

    public static int nextMatchingByte(char c, char[] cArr, int i2, int i3) {
        while (i2 < i3) {
            if (cArr[i2] == c) {
                return i2;
            }
            i2++;
        }
        return -1;
    }
}
