package org.apache.xmlbeans.impl.common;

import java.io.BufferedReader;
import java.io.Reader;
import java.nio.charset.Charset;
import org.apache.poi.poifs.filesystem.Ole10Native;

public class SniffedXmlReader extends BufferedReader {
    public static int MAX_SNIFFED_CHARS = 192;
    public static Charset dummy1 = Charset.forName("UTF-8");
    public static Charset dummy2 = Charset.forName("UTF-16");
    public static Charset dummy3 = Charset.forName("UTF-16BE");
    public static Charset dummy4 = Charset.forName("UTF-16LE");
    public static Charset dummy5 = Charset.forName(Ole10Native.ISO1);
    public static Charset dummy6 = Charset.forName("US-ASCII");
    public static Charset dummy7 = Charset.forName("Cp1252");
    public String _encoding = sniffForXmlDecl();

    public SniffedXmlReader(Reader reader) {
        super(reader);
    }

    private int readAsMuchAsPossible(char[] cArr, int i2, int i3) {
        int i4 = 0;
        while (i4 < i3) {
            int read = read(cArr, i2 + i4, i3 - i4);
            if (read < 0) {
                break;
            }
            i4 += read;
        }
        return i4;
    }

    private String sniffForXmlDecl() {
        mark(MAX_SNIFFED_CHARS);
        try {
            char[] cArr = new char[MAX_SNIFFED_CHARS];
            return SniffedXmlInputStream.extractXmlDeclEncoding(cArr, 0, readAsMuchAsPossible(cArr, 0, MAX_SNIFFED_CHARS));
        } finally {
            reset();
        }
    }

    public String getXmlEncoding() {
        return this._encoding;
    }
}
