package org.apache.xmlbeans.impl.common;

import b.b.a.a.a;
import java.io.UnsupportedEncodingException;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.poi.openxml4j.opc.internal.ZipHelper;
import org.apache.poi.ss.util.SheetUtil;
import org.apache.xmlbeans.xml.stream.XMLName;

public class XMLNameHelper {
    public static final char[] hexdigits = {SheetUtil.defaultChar, '1', '2', '3', '4', '5', '6', '7', '8', '9', 'A', 'B', 'C', 'D', 'E', 'F'};

    public static XMLName forLN(String str) {
        return new XmlNameImpl("", str);
    }

    public static XMLName forLNS(String str, String str2) {
        if (str2 == null) {
            str2 = "";
        }
        return new XmlNameImpl(str2, str);
    }

    public static XMLName forPretty(String str, int i2) {
        int indexOf = str.indexOf(64, i2);
        if (indexOf < 0) {
            return new XmlNameImpl("", str.substring(i2));
        }
        return new XmlNameImpl(str.substring(indexOf + 1), str.substring(i2, indexOf));
    }

    public static QName getQName(XMLName xMLName) {
        if (xMLName == null) {
            return null;
        }
        return QNameHelper.forLNS(xMLName.getLocalName(), xMLName.getNamespaceUri());
    }

    public static String hexsafe(String str) {
        StringBuffer stringBuffer = new StringBuffer();
        for (int i2 = 0; i2 < str.length(); i2++) {
            char charAt = str.charAt(i2);
            if (isSafe(charAt)) {
                stringBuffer.append(charAt);
            } else {
                try {
                    byte[] bytes = str.substring(i2, i2 + 1).getBytes("UTF-8");
                    for (int i3 = 0; i3 < bytes.length; i3++) {
                        stringBuffer.append(NameUtil.USCORE);
                        stringBuffer.append(hexdigits[(bytes[i3] >> 4) & 15]);
                        stringBuffer.append(hexdigits[bytes[i3] & 15]);
                    }
                } catch (UnsupportedEncodingException unused) {
                    stringBuffer.append("_BAD_UTF8_CHAR");
                }
            }
        }
        return stringBuffer.toString();
    }

    public static String hexsafedir(XMLName xMLName) {
        if (xMLName.getNamespaceUri() == null || xMLName.getNamespaceUri().length() == 0) {
            StringBuffer a = a.a("_nons/");
            a.append(hexsafe(xMLName.getLocalName()));
            return a.toString();
        }
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append(hexsafe(xMLName.getNamespaceUri()));
        stringBuffer.append(ZipHelper.FORWARD_SLASH);
        stringBuffer.append(hexsafe(xMLName.getLocalName()));
        return stringBuffer.toString();
    }

    public static boolean isSafe(int i2) {
        if (i2 >= 97 && i2 <= 122) {
            return true;
        }
        if (i2 < 65 || i2 > 90) {
            return i2 >= 48 && i2 <= 57;
        }
        return true;
    }

    public static String pretty(XMLName xMLName) {
        if (xMLName == null) {
            return "null";
        }
        if (xMLName.getNamespaceUri() == null || xMLName.getNamespaceUri().length() == 0) {
            return xMLName.getLocalName();
        }
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append(xMLName.getLocalName());
        stringBuffer.append("@");
        stringBuffer.append(xMLName.getNamespaceUri());
        return stringBuffer.toString();
    }
}
