package org.apache.xmlbeans.impl.common;

import b.b.a.a.a;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.xml.XMLConstants;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.poi.openxml4j.opc.internal.ZipHelper;
import org.apache.xmlbeans.XmlError;
import org.apache.xmlbeans.XmlException;

public class XPath {
    public static final String _DEFAULT_ELT_NS = "$xmlbeans!default_uri";
    public static final String _NS_BOUNDARY = "$xmlbeans!ns_boundary";
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$common$XPath;
    public final boolean _sawDeepDot;
    public final Selector _selector;

    public static class CompilationContext {
        public static final /* synthetic */ boolean $assertionsDisabled;
        public int _column;
        public String _currentNodeVar;
        public String _expr;
        public Map _externalNamespaces;
        public boolean _lastDeepDot;
        public int _line;
        public Map _namespaces;
        public int _offset;
        public boolean _sawDeepDot;

        static {
            Class cls = XPath.class$org$apache$xmlbeans$impl$common$XPath;
            if (cls == null) {
                cls = XPath.class$("org.apache.xmlbeans.impl.common.XPath");
                XPath.class$org$apache$xmlbeans$impl$common$XPath = cls;
            }
            $assertionsDisabled = !cls.desiredAssertionStatus();
        }

        public CompilationContext(Map map, String str) {
            String str2;
            if ($assertionsDisabled || (str2 = this._currentNodeVar) == null || str2.startsWith("$")) {
                if (str == null) {
                    this._currentNodeVar = "$this";
                } else {
                    this._currentNodeVar = str;
                }
                this._namespaces = new HashMap();
                this._externalNamespaces = map == null ? new HashMap() : map;
                return;
            }
            throw new AssertionError();
        }

        private Step addStep(boolean z, boolean z2, QName qName, Step step) {
            Step step2 = new Step(z, z2, qName);
            if (step == null) {
                return step2;
            }
            Step step3 = step;
            while (true) {
                Step step4 = step3._next;
                if (step4 != null) {
                    step3 = step4;
                } else {
                    step3._next = step2;
                    step2._prev = step3;
                    return step;
                }
            }
        }

        private void computeBacktrack(Step step) {
            Step step2;
            while (step != null) {
                Step step3 = step._next;
                while (step3 != null && !step3._deep) {
                    step3 = step3._next;
                }
                if (!step._deep) {
                    while (step != step3) {
                        step._hasBacktrack = true;
                        step = step._next;
                    }
                } else {
                    int i2 = 0;
                    Step step4 = step;
                    int i3 = 0;
                    while (step4 != step3 && step4._name != null && !step4.isWild() && !step4._attr) {
                        i3++;
                        step4 = step4._next;
                    }
                    int i4 = i3 + 1;
                    QName[] qNameArr = new QName[i4];
                    int[] iArr = new int[i4];
                    Step step5 = step;
                    for (int i5 = 0; i5 < i3; i5++) {
                        qNameArr[i5] = step5._name;
                        step5 = step5._next;
                    }
                    qNameArr[i3] = getAnyQName();
                    iArr[0] = -1;
                    int i6 = 0;
                    int i7 = -1;
                    while (i6 < i3) {
                        while (i7 > -1 && !qNameArr[i6].equals(qNameArr[i7])) {
                            i7 = iArr[i7];
                        }
                        i6++;
                        i7++;
                        if (qNameArr[i6].equals(qNameArr[i7])) {
                            iArr[i6] = iArr[i7];
                        } else {
                            iArr[i6] = i7;
                        }
                    }
                    for (Step step6 = step; step6 != step4; step6 = step6._next) {
                        step6._hasBacktrack = true;
                        step6._backtrack = step;
                        for (int i8 = iArr[i2]; i8 > 0; i8--) {
                            step6._backtrack = step6._backtrack._next;
                        }
                        i2++;
                    }
                    if (i3 > 1) {
                        step2 = step;
                        for (int i9 = iArr[i3 - 1]; i9 > 0; i9--) {
                            step2 = step2._next;
                        }
                    } else {
                        step2 = step;
                    }
                    if (step4 != step3 && step4._attr) {
                        step4._hasBacktrack = true;
                        step4._backtrack = step2;
                        step4 = step4._next;
                    }
                    if (step4 != step3 && step4._name == null) {
                        step4._hasBacktrack = true;
                        step4._backtrack = step2;
                    }
                    if ($assertionsDisabled || step._deep) {
                        step._hasBacktrack = true;
                        step._backtrack = step;
                    } else {
                        throw new AssertionError();
                    }
                }
                step = step3;
            }
        }

        private QName getAnyQName() {
            return new QName("", "");
        }

        private XPathCompileException newError(String str) {
            return new XPathCompileException(XmlError.forLocation(str, 0, null, this._line, this._column, this._offset));
        }

        private boolean parseWhitespace() {
            boolean z = false;
            while (isWhitespace()) {
                advance();
                z = true;
            }
            return z;
        }

        private void processNonXpathDecls() {
        }

        private boolean tokenize(String str) {
            if ($assertionsDisabled || str.length() > 0) {
                int i2 = 0;
                while (isWhitespace(i2)) {
                    i2++;
                }
                if (!startsWith(str, i2)) {
                    return false;
                }
                advance(str.length() + i2);
                return true;
            }
            throw new AssertionError();
        }

        private String tokenizeNCName() {
            parseWhitespace();
            if (isNCNameStart()) {
                StringBuffer stringBuffer = new StringBuffer();
                stringBuffer.append((char) currChar());
                while (true) {
                    advance();
                    if (!isNCName()) {
                        return stringBuffer.toString();
                    }
                    stringBuffer.append((char) currChar());
                }
            } else {
                throw newError("Expected non-colonized name");
            }
        }

        private void tokenizePath(ArrayList arrayList) {
            this._lastDeepDot = false;
            Step step = tokenizeSteps();
            computeBacktrack(step);
            arrayList.add(step);
            if (this._lastDeepDot) {
                this._sawDeepDot = true;
                Step step2 = null;
                while (step != null) {
                    Step step3 = step._next;
                    if (step3 == null || step3._next != null) {
                        step2 = addStep(step._deep, step._attr, step._name, step2);
                    } else {
                        step2 = addStep(step._deep, true, step._name, step2);
                    }
                    step = step._next;
                }
                computeBacktrack(step2);
                arrayList.add(step2);
            }
        }

        private QName tokenizeQName() {
            if (tokenize("*")) {
                return getAnyQName();
            }
            String str = tokenizeNCName();
            String str2 = "";
            if (!tokenize(":")) {
                return new QName(lookupPrefix(str2), str);
            }
            String lookupPrefix = lookupPrefix(str);
            if (!tokenize("*")) {
                str2 = tokenizeNCName();
            }
            return new QName(lookupPrefix, str2);
        }

        private String tokenizeQuotedUri() {
            int i2;
            if (tokenize("\"")) {
                i2 = 34;
            } else if (tokenize("'")) {
                i2 = 39;
            } else {
                throw newError("Expected quote (\" or ')");
            }
            StringBuffer stringBuffer = new StringBuffer();
            while (currChar() != -1) {
                if (currChar() == i2) {
                    advance();
                    if (currChar() != i2) {
                        return stringBuffer.toString();
                    }
                }
                stringBuffer.append((char) currChar());
                advance();
            }
            throw newError("Path terminated in URI literal");
        }

        private Selector tokenizeSelector() {
            ArrayList arrayList = new ArrayList();
            tokenizePath(arrayList);
            while (tokenize("|")) {
                tokenizePath(arrayList);
            }
            return new Selector((Step[]) arrayList.toArray(new Step[0]));
        }

        private Step tokenizeSteps() {
            boolean z;
            boolean z2;
            if (!tokenize(ZipHelper.FORWARD_SLASH)) {
                if (tokenize("$", this._currentNodeVar, "//") || tokenize(".", "//")) {
                    z = true;
                } else if (!tokenize("$", this._currentNodeVar, ZipHelper.FORWARD_SLASH) && !tokenize(".", ZipHelper.FORWARD_SLASH) && (tokenize("$", this._currentNodeVar) || tokenize("."))) {
                    return addStep(false, false, null, null);
                } else {
                    z = false;
                }
                Step step = null;
                loop0:
                while (true) {
                    z2 = false;
                    while (true) {
                        if (!tokenize("attribute", "::") && !tokenize("@")) {
                            if (tokenize(".")) {
                                z2 = z2 || z;
                            } else {
                                tokenize("child", "::");
                                QName qName = tokenizeQName();
                                if (qName != null) {
                                    step = addStep(z, false, qName, step);
                                    z = false;
                                }
                            }
                            if (!tokenize("//")) {
                                if (!tokenize(ZipHelper.FORWARD_SLASH)) {
                                    break loop0;
                                } else if (z2) {
                                    z = true;
                                }
                            } else {
                                break;
                            }
                        } else {
                            step = addStep(z, true, tokenizeQName(), step);
                        }
                    }
                    z = true;
                }
                step = addStep(z, true, tokenizeQName(), step);
                this._lastDeepDot = z2;
                if (z2) {
                    this._lastDeepDot = true;
                    step = addStep(true, false, getAnyQName(), step);
                }
                return addStep(false, false, null, step);
            }
            throw newError("Absolute paths unsupported");
        }

        private XPath tokenizeXPath() {
            while (true) {
                if (tokenize("declare", "namespace")) {
                    if (parseWhitespace()) {
                        String str = tokenizeNCName();
                        if (tokenize("=")) {
                            String str2 = tokenizeQuotedUri();
                            if (!this._namespaces.containsKey(str)) {
                                this._namespaces.put(str, str2);
                                if (!this._externalNamespaces.containsKey(str)) {
                                    this._externalNamespaces.put(str, str2);
                                    tokenize(";");
                                    this._externalNamespaces.put(XPath._NS_BOUNDARY, new Integer(this._offset));
                                } else {
                                    throw newError(a.a("Redefinition of namespace prefix: ", str));
                                }
                            } else {
                                throw newError(a.a("Redefinition of namespace prefix: ", str));
                            }
                        } else {
                            throw newError("Expected '='");
                        }
                    } else {
                        throw newError("Expected prefix after 'declare namespace'");
                    }
                } else if (tokenize("declare", "default", "element", "namespace")) {
                    String str3 = tokenizeQuotedUri();
                    if (!this._namespaces.containsKey("")) {
                        this._namespaces.put("", str3);
                        if (!this._externalNamespaces.containsKey(XPath._DEFAULT_ELT_NS)) {
                            this._externalNamespaces.put(XPath._DEFAULT_ELT_NS, str3);
                            if (tokenize(";")) {
                                this._externalNamespaces.put(XPath._NS_BOUNDARY, new Integer(this._offset));
                            } else {
                                throw newError("Default Namespace declaration must end with ;");
                            }
                        } else {
                            throw newError("Redefinition of default element namespace : ");
                        }
                    } else {
                        throw newError("Redefinition of default element namespace");
                    }
                } else {
                    if (!this._namespaces.containsKey("")) {
                        this._namespaces.put("", "");
                    }
                    Selector selector = tokenizeSelector();
                    parseWhitespace();
                    if (currChar() == -1) {
                        return new XPath(selector, this._sawDeepDot);
                    }
                    StringBuffer a = a.a("Unexpected char '");
                    a.append((char) currChar());
                    a.append("'");
                    throw newError(a.toString());
                }
            }
        }

        public void advance() {
            if (this._offset < this._expr.length()) {
                char charAt = this._expr.charAt(this._offset);
                this._offset++;
                this._column++;
                if (charAt == '\r' || charAt == '\n') {
                    this._line++;
                    this._column = 1;
                    if (this._offset + 1 < this._expr.length()) {
                        char charAt2 = this._expr.charAt(this._offset + 1);
                        if ((charAt2 == '\r' || charAt2 == '\n') && charAt != charAt2) {
                            this._offset++;
                        }
                    }
                }
            }
        }

        public XPath compile(String str) {
            this._offset = 0;
            this._line = 1;
            this._column = 1;
            this._expr = str;
            return tokenizeXPath();
        }

        public int currChar() {
            return currChar(0);
        }

        public boolean isNCName() {
            if (currChar() == -1) {
                return false;
            }
            return XMLChar.isNCName(currChar());
        }

        public boolean isNCNameStart() {
            if (currChar() == -1) {
                return false;
            }
            return XMLChar.isNCNameStart(currChar());
        }

        public boolean isWhitespace() {
            return isWhitespace(0);
        }

        public String lookupPrefix(String str) {
            if (this._namespaces.containsKey(str)) {
                return (String) this._namespaces.get(str);
            }
            if (this._externalNamespaces.containsKey(str)) {
                return (String) this._externalNamespaces.get(str);
            }
            if (str.equals("xml")) {
                return "http://www.w3.org/XML/1998/namespace";
            }
            if (str.equals("xs")) {
                return "http://www.w3.org/2001/XMLSchema";
            }
            if (str.equals("xsi")) {
                return "http://www.w3.org/2001/XMLSchema-instance";
            }
            if (str.equals("fn")) {
                return "http://www.w3.org/2002/11/xquery-functions";
            }
            if (str.equals("xdt")) {
                return XMLConstants.W3C_XPATH_DATATYPE_NS_URI;
            }
            if (str.equals("local")) {
                return "http://www.w3.org/2003/11/xquery-local-functions";
            }
            throw newError(a.a("Undefined prefix: ", str));
        }

        public boolean startsWith(String str) {
            return startsWith(str, 0);
        }

        public int currChar(int i2) {
            if (this._offset + i2 >= this._expr.length()) {
                return -1;
            }
            return this._expr.charAt(this._offset + i2);
        }

        public boolean isWhitespace(int i2) {
            int currChar = currChar(i2);
            return currChar == 32 || currChar == 9 || currChar == 10 || currChar == 13;
        }

        public boolean startsWith(String str, int i2) {
            if (this._offset + i2 >= this._expr.length()) {
                return false;
            }
            return this._expr.startsWith(str, this._offset + i2);
        }

        private boolean tokenize(String str, String str2) {
            if (!$assertionsDisabled && str.length() <= 0) {
                throw new AssertionError();
            } else if ($assertionsDisabled || str2.length() > 0) {
                int i2 = 0;
                while (isWhitespace(i2)) {
                    i2++;
                }
                if (!startsWith(str, i2)) {
                    return false;
                }
                int length = str.length() + i2;
                while (isWhitespace(length)) {
                    length++;
                }
                if (!startsWith(str2, length)) {
                    return false;
                }
                advance(str2.length() + length);
                return true;
            } else {
                throw new AssertionError();
            }
        }

        public void advance(int i2) {
            if ($assertionsDisabled || i2 >= 0) {
                while (true) {
                    int i3 = i2 - 1;
                    if (i2 > 0) {
                        advance();
                        i2 = i3;
                    } else {
                        return;
                    }
                }
            } else {
                throw new AssertionError();
            }
        }

        private boolean tokenize(String str, String str2, String str3) {
            if (!$assertionsDisabled && str.length() <= 0) {
                throw new AssertionError();
            } else if (!$assertionsDisabled && str2.length() <= 0) {
                throw new AssertionError();
            } else if ($assertionsDisabled || str3.length() > 0) {
                int i2 = 0;
                while (isWhitespace(i2)) {
                    i2++;
                }
                if (!startsWith(str, i2)) {
                    return false;
                }
                int length = str.length() + i2;
                while (isWhitespace(length)) {
                    length++;
                }
                if (!startsWith(str2, length)) {
                    return false;
                }
                int length2 = str2.length() + length;
                while (isWhitespace(length2)) {
                    length2++;
                }
                if (!startsWith(str3, length2)) {
                    return false;
                }
                int length3 = str3.length() + length2;
                while (isWhitespace(length3)) {
                    length3++;
                }
                advance(length3);
                return true;
            } else {
                throw new AssertionError();
            }
        }

        private boolean tokenize(String str, String str2, String str3, String str4) {
            if (!$assertionsDisabled && str.length() <= 0) {
                throw new AssertionError();
            } else if (!$assertionsDisabled && str2.length() <= 0) {
                throw new AssertionError();
            } else if (!$assertionsDisabled && str3.length() <= 0) {
                throw new AssertionError();
            } else if ($assertionsDisabled || str4.length() > 0) {
                int i2 = 0;
                while (isWhitespace(i2)) {
                    i2++;
                }
                if (!startsWith(str, i2)) {
                    return false;
                }
                int length = str.length() + i2;
                while (isWhitespace(length)) {
                    length++;
                }
                if (!startsWith(str2, length)) {
                    return false;
                }
                int length2 = str2.length() + length;
                while (isWhitespace(length2)) {
                    length2++;
                }
                if (!startsWith(str3, length2)) {
                    return false;
                }
                int length3 = str3.length() + length2;
                while (isWhitespace(length3)) {
                    length3++;
                }
                if (!startsWith(str4, length3)) {
                    return false;
                }
                advance(str4.length() + length3);
                return true;
            } else {
                throw new AssertionError();
            }
        }
    }

    public static class ExecutionContext {
        public static final /* synthetic */ boolean $assertionsDisabled;
        public static final int ATTRS = 4;
        public static final int DESCEND = 2;
        public static final int HIT = 1;
        public PathContext[] _paths;
        public ArrayList _stack = new ArrayList();
        public XPath _xpath;

        public final class PathContext {
            public static final /* synthetic */ boolean $assertionsDisabled;
            public Step _curr;
            public List _prev = new ArrayList();

            static {
                Class cls = XPath.class$org$apache$xmlbeans$impl$common$XPath;
                if (cls == null) {
                    cls = XPath.class$("org.apache.xmlbeans.impl.common.XPath");
                    XPath.class$org$apache$xmlbeans$impl$common$XPath = cls;
                }
                $assertionsDisabled = !cls.desiredAssertionStatus();
            }

            public PathContext() {
            }

            private void backtrack() {
                if ($assertionsDisabled || this._curr != null) {
                    Step step = this._curr;
                    if (step._hasBacktrack) {
                        this._curr = step._backtrack;
                    } else if ($assertionsDisabled || !step._deep) {
                        this._curr = this._curr._prev;
                        while (true) {
                            Step step2 = this._curr;
                            if (!step2._deep) {
                                int i2 = 0;
                                while (!step2._deep) {
                                    int i3 = i2 + 1;
                                    if (!step2.match(top(i2))) {
                                        this._curr = this._curr._prev;
                                    } else {
                                        step2 = step2._prev;
                                        i2 = i3;
                                    }
                                }
                                return;
                            }
                            return;
                        }
                    } else {
                        throw new AssertionError();
                    }
                } else {
                    throw new AssertionError();
                }
            }

            private QName top(int i2) {
                return (QName) ExecutionContext.this._stack.get((ExecutionContext.this._stack.size() - 1) - i2);
            }

            public boolean attr(QName qName) {
                Step step = this._curr;
                return step != null && step._attr && step.match(qName);
            }

            public int element(QName qName) {
                this._prev.add(this._curr);
                Step step = this._curr;
                if (step == null) {
                    return 0;
                }
                if ($assertionsDisabled || step._name != null) {
                    Step step2 = this._curr;
                    if (step2._attr || !step2.match(qName)) {
                        while (true) {
                            backtrack();
                            Step step3 = this._curr;
                            if (step3 != null) {
                                if (!step3.match(qName)) {
                                    if (this._curr._deep) {
                                        break;
                                    }
                                } else {
                                    this._curr = this._curr._next;
                                    break;
                                }
                            } else {
                                return 0;
                            }
                        }
                        return this._curr._flags;
                    }
                    Step step4 = this._curr._next;
                    this._curr = step4;
                    if (step4._name != null) {
                        return step4._flags;
                    }
                    backtrack();
                    Step step5 = this._curr;
                    if (step5 == null) {
                        return 1;
                    }
                    return 1 | step5._flags;
                }
                throw new AssertionError();
            }

            public void end() {
                List list = this._prev;
                this._curr = (Step) list.remove(list.size() - 1);
            }

            public void init(Step step) {
                this._curr = step;
                this._prev.clear();
            }

            public int start() {
                if (!$assertionsDisabled && this._curr == null) {
                    throw new AssertionError();
                } else if ($assertionsDisabled || this._curr._prev == null) {
                    Step step = this._curr;
                    if (step._name != null) {
                        return step._flags;
                    }
                    this._curr = null;
                    return 1;
                } else {
                    throw new AssertionError();
                }
            }
        }

        static {
            Class cls = XPath.class$org$apache$xmlbeans$impl$common$XPath;
            if (cls == null) {
                cls = XPath.class$("org.apache.xmlbeans.impl.common.XPath");
                XPath.class$org$apache$xmlbeans$impl$common$XPath = cls;
            }
            $assertionsDisabled = !cls.desiredAssertionStatus();
        }

        public final boolean attr(QName qName) {
            int i2 = 0;
            boolean z = false;
            while (true) {
                PathContext[] pathContextArr = this._paths;
                if (i2 >= pathContextArr.length) {
                    return z;
                }
                z |= pathContextArr[i2].attr(qName);
                i2++;
            }
        }

        public final int element(QName qName) {
            if ($assertionsDisabled || qName != null) {
                this._stack.add(qName);
                int i2 = 0;
                int i3 = 0;
                while (true) {
                    PathContext[] pathContextArr = this._paths;
                    if (i2 >= pathContextArr.length) {
                        return i3;
                    }
                    i3 |= pathContextArr[i2].element(qName);
                    i2++;
                }
            } else {
                throw new AssertionError();
            }
        }

        public final void end() {
            ArrayList arrayList = this._stack;
            arrayList.remove(arrayList.size() - 1);
            int i2 = 0;
            while (true) {
                PathContext[] pathContextArr = this._paths;
                if (i2 < pathContextArr.length) {
                    pathContextArr[i2].end();
                    i2++;
                } else {
                    return;
                }
            }
        }

        public final void init(XPath xPath) {
            int i2 = 0;
            if (this._xpath != xPath) {
                this._xpath = xPath;
                this._paths = new PathContext[xPath._selector._paths.length];
                int i3 = 0;
                while (true) {
                    PathContext[] pathContextArr = this._paths;
                    if (i3 >= pathContextArr.length) {
                        break;
                    }
                    pathContextArr[i3] = new PathContext();
                    i3++;
                }
            }
            this._stack.clear();
            while (true) {
                PathContext[] pathContextArr2 = this._paths;
                if (i2 < pathContextArr2.length) {
                    pathContextArr2[i2].init(xPath._selector._paths[i2]);
                    i2++;
                } else {
                    return;
                }
            }
        }

        public final int start() {
            int i2 = 0;
            int i3 = 0;
            while (true) {
                PathContext[] pathContextArr = this._paths;
                if (i2 >= pathContextArr.length) {
                    return i3;
                }
                i3 |= pathContextArr[i2].start();
                i2++;
            }
        }
    }

    public static final class Selector {
        public final Step[] _paths;

        public Selector(Step[] stepArr) {
            this._paths = stepArr;
        }
    }

    public static final class Step {
        public final boolean _attr;
        public Step _backtrack;
        public final boolean _deep;
        public int _flags;
        public boolean _hasBacktrack;
        public final QName _name;
        public Step _next;
        public Step _prev;

        public Step(boolean z, boolean z2, QName qName) {
            this._name = qName;
            this._deep = z;
            this._attr = z2;
            int i2 = (z || !z2) ? 2 : 0;
            this._flags = this._attr ? i2 | 4 : i2;
        }

        public boolean isWild() {
            return this._name.getLocalPart().length() == 0;
        }

        public boolean match(QName qName) {
            String localPart = this._name.getLocalPart();
            String localPart2 = qName.getLocalPart();
            int length = localPart.length();
            if (length == 0) {
                String namespaceURI = this._name.getNamespaceURI();
                if (namespaceURI.length() == 0) {
                    return true;
                }
                return namespaceURI.equals(qName.getNamespaceURI());
            } else if (length != localPart2.length()) {
                return false;
            } else {
                String namespaceURI2 = this._name.getNamespaceURI();
                String namespaceURI3 = qName.getNamespaceURI();
                if (namespaceURI2.length() == namespaceURI3.length() && localPart.equals(localPart2) && namespaceURI2.equals(namespaceURI3)) {
                    return true;
                }
                return false;
            }
        }
    }

    public static class XPathCompileException extends XmlException {
        public XPathCompileException(XmlError xmlError) {
            super(xmlError.toString(), (Throwable) null, xmlError);
        }
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public static XPath compileXPath(String str) {
        return compileXPath(str, "$this", null);
    }

    public boolean sawDeepDot() {
        return this._sawDeepDot;
    }

    public XPath(Selector selector, boolean z) {
        this._selector = selector;
        this._sawDeepDot = z;
    }

    public static XPath compileXPath(String str, String str2) {
        return compileXPath(str, str2, null);
    }

    public static XPath compileXPath(String str, Map map) {
        return compileXPath(str, "$this", map);
    }

    public static XPath compileXPath(String str, String str2, Map map) {
        return new CompilationContext(map, str2).compile(str);
    }
}
