package org.apache.xmlbeans.impl.common;

import b.b.a.a.a;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.Reader;

public class XmlEncodingSniffer {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$common$XmlEncodingSniffer;
    public String _javaencoding;
    public Reader _reader;
    public InputStream _stream;
    public String _xmlencoding;

    static {
        Class cls = class$org$apache$xmlbeans$impl$common$XmlEncodingSniffer;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.common.XmlEncodingSniffer");
            class$org$apache$xmlbeans$impl$common$XmlEncodingSniffer = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
    }

    public XmlEncodingSniffer(InputStream inputStream, String str) {
        this._stream = inputStream;
        if (str != null) {
            this._xmlencoding = EncodingMap.getJava2IANAMapping(str);
        }
        if (this._xmlencoding == null) {
            this._xmlencoding = str;
        }
        if (this._xmlencoding == null) {
            SniffedXmlInputStream sniffedXmlInputStream = new SniffedXmlInputStream(this._stream);
            String xmlEncoding = sniffedXmlInputStream.getXmlEncoding();
            this._xmlencoding = xmlEncoding;
            if ($assertionsDisabled || xmlEncoding != null) {
                this._stream = sniffedXmlInputStream;
            } else {
                throw new AssertionError();
            }
        }
        String iANA2JavaMapping = EncodingMap.getIANA2JavaMapping(this._xmlencoding);
        this._javaencoding = iANA2JavaMapping;
        if (iANA2JavaMapping == null) {
            this._javaencoding = this._xmlencoding;
        }
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public String getJavaEncoding() {
        return this._javaencoding;
    }

    public Reader getReader() {
        Reader reader = this._reader;
        if (reader != null) {
            this._reader = null;
            return reader;
        } else if (this._stream == null) {
            return null;
        } else {
            InputStreamReader inputStreamReader = new InputStreamReader(this._stream, this._javaencoding);
            this._stream = null;
            return inputStreamReader;
        }
    }

    public InputStream getStream() {
        InputStream inputStream = this._stream;
        if (inputStream != null) {
            this._stream = null;
            return inputStream;
        } else if (this._reader == null) {
            return null;
        } else {
            ReaderInputStream readerInputStream = new ReaderInputStream(this._reader, this._javaencoding);
            this._reader = null;
            return readerInputStream;
        }
    }

    public String getXmlEncoding() {
        return this._xmlencoding;
    }

    public XmlEncodingSniffer(Reader reader, String str) {
        str = str == null ? "UTF-8" : str;
        SniffedXmlReader sniffedXmlReader = new SniffedXmlReader(reader);
        this._reader = sniffedXmlReader;
        String xmlEncoding = sniffedXmlReader.getXmlEncoding();
        this._xmlencoding = xmlEncoding;
        if (xmlEncoding == null) {
            String java2IANAMapping = EncodingMap.getJava2IANAMapping(str);
            this._xmlencoding = java2IANAMapping;
            if (java2IANAMapping != null) {
                this._javaencoding = str;
            } else {
                this._xmlencoding = str;
            }
        }
        if (this._xmlencoding == null) {
            this._xmlencoding = "UTF-8";
        }
        String iANA2JavaMapping = EncodingMap.getIANA2JavaMapping(this._xmlencoding);
        this._javaencoding = iANA2JavaMapping;
        if (iANA2JavaMapping == null) {
            this._javaencoding = this._xmlencoding;
        }
    }
}
