package org.apache.xmlbeans.impl.common;

import b.b.a.a.a;
import org.apache.xmlbeans.xml.stream.XMLName;

public class XmlNameImpl implements XMLName {
    public int hash = 0;
    public String localName = null;
    public String namespaceUri = null;
    public String prefix = null;

    public XmlNameImpl() {
    }

    public final boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof XMLName)) {
            return false;
        }
        XMLName xMLName = (XMLName) obj;
        String str = this.localName;
        if (str != null ? !str.equals(xMLName.getLocalName()) : xMLName.getLocalName() != null) {
            return false;
        }
        String str2 = this.namespaceUri;
        String namespaceUri2 = xMLName.getNamespaceUri();
        if (str2 != null) {
            return str2.equals(namespaceUri2);
        }
        if (namespaceUri2 == null) {
            return true;
        }
        return false;
    }

    @Override // org.apache.xmlbeans.xml.stream.XMLName
    public String getLocalName() {
        return this.localName;
    }

    @Override // org.apache.xmlbeans.xml.stream.XMLName
    public String getNamespaceUri() {
        return this.namespaceUri;
    }

    @Override // org.apache.xmlbeans.xml.stream.XMLName
    public String getPrefix() {
        return this.prefix;
    }

    @Override // org.apache.xmlbeans.xml.stream.XMLName
    public String getQualifiedName() {
        String str = this.prefix;
        if (str == null || str.length() <= 0) {
            return this.localName;
        }
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append(this.prefix);
        stringBuffer.append(":");
        stringBuffer.append(this.localName);
        return stringBuffer.toString();
    }

    public final int hashCode() {
        int i2 = this.hash;
        if (i2 == 0) {
            i2 = 17;
            String str = this.namespaceUri;
            if (str != null) {
                i2 = str.hashCode() + 629;
            }
            String str2 = this.localName;
            if (str2 != null) {
                i2 = str2.hashCode() + (i2 * 37);
            }
            this.hash = i2;
        }
        return i2;
    }

    public void setLocalName(String str) {
        this.localName = str;
        this.hash = 0;
    }

    public void setNamespaceUri(String str) {
        this.hash = 0;
        if (str == null || !str.equals("")) {
            this.namespaceUri = str;
        }
    }

    public void setPrefix(String str) {
        this.prefix = str;
    }

    public String toString() {
        if (getNamespaceUri() == null) {
            return getQualifiedName();
        }
        StringBuffer a = a.a("['");
        a.append(getNamespaceUri());
        a.append("']:");
        a.append(getQualifiedName());
        return a.toString();
    }

    public XmlNameImpl(String str) {
        this.localName = str;
    }

    public XmlNameImpl(String str, String str2) {
        setNamespaceUri(str);
        this.localName = str2;
    }

    public XmlNameImpl(String str, String str2, String str3) {
        setNamespaceUri(str);
        this.localName = str2;
        this.prefix = str3;
    }
}
