package org.apache.xmlbeans.impl.common;

import org.apache.xmlbeans.SimpleValue;
import org.apache.xmlbeans.XmlObject;

public class XmlObjectList {
    public final XmlObject[] _objects;

    public XmlObjectList(int i2) {
        this._objects = new XmlObject[i2];
    }

    public static String prettytrim(String str) {
        int length = str.length();
        while (length > 0 && XMLChar.isSpace(str.charAt(length - 1))) {
            length--;
        }
        int i2 = 0;
        while (i2 < length && XMLChar.isSpace(str.charAt(i2))) {
            i2++;
        }
        return str.substring(i2, length);
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof XmlObjectList)) {
            return false;
        }
        XmlObjectList xmlObjectList = (XmlObjectList) obj;
        if (xmlObjectList._objects.length != this._objects.length) {
            return false;
        }
        int i2 = 0;
        while (true) {
            XmlObject[] xmlObjectArr = this._objects;
            if (i2 < xmlObjectArr.length) {
                if (xmlObjectArr[i2] == null) {
                    break;
                }
                XmlObject[] xmlObjectArr2 = xmlObjectList._objects;
                if (xmlObjectArr2[i2] == null || !xmlObjectArr[i2].valueEquals(xmlObjectArr2[i2])) {
                    return false;
                }
                i2++;
            } else {
                return true;
            }
        }
        return false;
    }

    public boolean filled() {
        int i2 = 0;
        while (true) {
            XmlObject[] xmlObjectArr = this._objects;
            if (i2 >= xmlObjectArr.length) {
                return true;
            }
            if (xmlObjectArr[i2] == null) {
                return false;
            }
            i2++;
        }
    }

    public int hashCode() {
        int i2 = 0;
        int i3 = 0;
        while (true) {
            XmlObject[] xmlObjectArr = this._objects;
            if (i2 >= xmlObjectArr.length) {
                return i3;
            }
            if (xmlObjectArr[i2] != null) {
                i3 = xmlObjectArr[i2].valueHashCode() + (i3 * 31);
            }
            i2++;
        }
    }

    public boolean set(XmlObject xmlObject, int i2) {
        XmlObject[] xmlObjectArr = this._objects;
        if (xmlObjectArr[i2] != null) {
            return false;
        }
        xmlObjectArr[i2] = xmlObject;
        return true;
    }

    public String toString() {
        StringBuffer stringBuffer = new StringBuffer();
        for (int i2 = 0; i2 < this._objects.length; i2++) {
            if (i2 != 0) {
                stringBuffer.append(" ");
            }
            stringBuffer.append(prettytrim(((SimpleValue) this._objects[i2]).getStringValue()));
        }
        return stringBuffer.toString();
    }

    public int unfilled() {
        int i2 = 0;
        while (true) {
            XmlObject[] xmlObjectArr = this._objects;
            if (i2 >= xmlObjectArr.length) {
                return -1;
            }
            if (xmlObjectArr[i2] == null) {
                return i2;
            }
            i2++;
        }
    }
}
