package org.apache.xmlbeans.impl.common;

import org.apache.poi.ss.formula.FormulaParser;

public class XmlWhitespace {
    public static final int WS_COLLAPSE = 3;
    public static final int WS_PRESERVE = 1;
    public static final int WS_REPLACE = 2;
    public static final int WS_UNSPECIFIED = 0;

    public static String collapse(String str) {
        return collapse(str, 3);
    }

    public static boolean isAllSpace(String str) {
        int length = str.length();
        for (int i2 = 0; i2 < length; i2++) {
            if (!isSpace(str.charAt(i2))) {
                return false;
            }
        }
        return true;
    }

    public static boolean isSpace(char c) {
        return c == '\t' || c == '\n' || c == '\r' || c == ' ';
    }

    public static String collapse(String str, int i2) {
        int length;
        int i3;
        int i4;
        if (i2 == 1 || i2 == 0) {
            return str;
        }
        if (str.indexOf(10) >= 0) {
            str = str.replace('\n', ' ');
        }
        if (str.indexOf(9) >= 0) {
            str = str.replace('\t', ' ');
        }
        if (str.indexOf(13) >= 0) {
            str = str.replace(FormulaParser.CR, ' ');
        }
        if (i2 == 2 || (length = str.length()) == 0) {
            return str;
        }
        if (str.charAt(0) != ' ') {
            i4 = 2;
            while (true) {
                if (i4 < length) {
                    if (str.charAt(i4) == ' ') {
                        if (str.charAt(i4 - 1) == ' ' || i4 == length - 1) {
                            break;
                        }
                        i4++;
                        if (str.charAt(i4) == ' ') {
                            break;
                        }
                    }
                    i4 += 2;
                } else if (i4 != length || str.charAt(i4 - 1) != ' ') {
                    return str;
                }
            }
            i3 = i4;
        } else {
            i4 = 0;
            while (true) {
                int i5 = i4 + 1;
                if (i5 >= str.length() || str.charAt(i5) != ' ') {
                    i3 = 0;
                } else {
                    i4 = i5;
                }
            }
            i3 = 0;
        }
        char[] charArray = str.toCharArray();
        loop2:
        while (true) {
            i4++;
            if (i4 >= length) {
                break;
            } else if (str.charAt(i4) != ' ') {
                while (true) {
                    int i6 = i3 + 1;
                    int i7 = i4 + 1;
                    charArray[i3] = charArray[i4];
                    if (i7 >= length) {
                        i3 = i6;
                        break loop2;
                    } else if (charArray[i7] == ' ') {
                        i3 = i6 + 1;
                        i4 = i7 + 1;
                        charArray[i6] = charArray[i7];
                        if (i4 >= length) {
                            break loop2;
                        } else if (charArray[i4] == ' ') {
                            break;
                        }
                    } else {
                        i3 = i6;
                        i4 = i7;
                    }
                }
            }
        }
        if (i3 != 0) {
            int i8 = i3 - 1;
            if (charArray[i8] == ' ') {
                i3 = i8;
            }
        }
        return new String(charArray, 0, i3);
    }

    public static boolean isAllSpace(CharSequence charSequence) {
        int length = charSequence.length();
        for (int i2 = 0; i2 < length; i2++) {
            if (!isSpace(charSequence.charAt(i2))) {
                return false;
            }
        }
        return true;
    }
}
