package org.apache.xmlbeans.impl.config;

import java.util.HashSet;
import java.util.Set;

public class NameSetBuilder {
    public Set _finiteSet = new HashSet();
    public boolean _isFinite = true;

    public void add(String str) {
        if (this._isFinite) {
            this._finiteSet.add(str);
        } else {
            this._finiteSet.remove(str);
        }
    }

    public void invert() {
        this._isFinite = !this._isFinite;
    }

    public NameSet toNameSet() {
        if (this._finiteSet.size() != 0) {
            return NameSet.newInstance(this._isFinite, this._finiteSet);
        }
        if (this._isFinite) {
            return NameSet.EMPTY;
        }
        return NameSet.EVERYTHING;
    }
}
