package org.apache.xmlbeans.impl.inst2xsd;

import b.b.a.a.a;
import java.io.File;
import java.io.IOException;
import java.io.PrintStream;
import java.io.Reader;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.Iterator;
import org.apache.xerces.impl.Constants;
import org.apache.xerces.impl.xs.SchemaSymbols;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.SchemaTypeLoader;
import org.apache.xmlbeans.XmlBeans;
import org.apache.xmlbeans.XmlError;
import org.apache.xmlbeans.XmlException;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.impl.inst2xsd.util.TypeSystemHolder;
import org.apache.xmlbeans.impl.tool.CommandLine;
import org.apache.xmlbeans.impl.tool.XMLBean;
import org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument;

public class Inst2Xsd {
    public static SchemaDocument[] inst2xsd(Reader[] readerArr, Inst2XsdOptions inst2XsdOptions) {
        XmlObject[] xmlObjectArr = new XmlObject[readerArr.length];
        for (int i2 = 0; i2 < readerArr.length; i2++) {
            xmlObjectArr[i2] = XmlObject.Factory.parse(readerArr[i2]);
        }
        return inst2xsd(xmlObjectArr, inst2XsdOptions);
    }

    public static void main(String[] strArr) {
        String str;
        IOException e2;
        if (strArr == null || strArr.length == 0) {
            printHelp();
            System.exit(0);
            return;
        }
        HashSet hashSet = new HashSet();
        hashSet.add("h");
        hashSet.add("help");
        hashSet.add("usage");
        hashSet.add("license");
        hashSet.add("version");
        hashSet.add("verbose");
        hashSet.add(Constants.DOM_VALIDATE);
        HashSet hashSet2 = new HashSet();
        hashSet2.add("design");
        hashSet2.add("simple-content-types");
        hashSet2.add("enumerations");
        hashSet2.add("outDir");
        hashSet2.add("outPrefix");
        String str2 = XMLBean.XSD;
        CommandLine commandLine = new CommandLine(strArr, hashSet, hashSet2);
        Inst2XsdOptions inst2XsdOptions = new Inst2XsdOptions();
        if (commandLine.getOpt("license") != null) {
            CommandLine.printLicense();
            System.exit(0);
        } else if (commandLine.getOpt("version") != null) {
            CommandLine.printVersion();
            System.exit(0);
        } else if (commandLine.getOpt("h") == null && commandLine.getOpt("help") == null && commandLine.getOpt("usage") == null) {
            String[] badOpts = commandLine.getBadOpts();
            if (badOpts.length > 0) {
                for (String str3 : badOpts) {
                    PrintStream printStream = System.out;
                    StringBuffer a = a.a("Unrecognized option: ");
                    a.append(str3);
                    printStream.println(a.toString());
                }
                printHelp();
                System.exit(0);
                return;
            }
            String opt = commandLine.getOpt("design");
            boolean z = true;
            if (opt != null) {
                if (opt.equals("vb")) {
                    inst2XsdOptions.setDesign(3);
                } else if (opt.equals("rd")) {
                    inst2XsdOptions.setDesign(1);
                } else if (opt.equals("ss")) {
                    inst2XsdOptions.setDesign(2);
                } else {
                    printHelp();
                    System.exit(0);
                    return;
                }
            }
            String opt2 = commandLine.getOpt("simple-content-types");
            if (opt2 != null) {
                if (opt2.equals("smart")) {
                    inst2XsdOptions.setSimpleContentTypes(1);
                } else if (opt2.equals(SchemaSymbols.ATTVAL_STRING)) {
                    inst2XsdOptions.setSimpleContentTypes(2);
                } else {
                    printHelp();
                    System.exit(0);
                    return;
                }
            }
            String opt3 = commandLine.getOpt("enumerations");
            if (opt3 != null) {
                if (opt3.equals("never")) {
                    inst2XsdOptions.setUseEnumerations(1);
                } else {
                    try {
                        inst2XsdOptions.setUseEnumerations(Integer.parseInt(opt3));
                    } catch (NumberFormatException unused) {
                        printHelp();
                        System.exit(0);
                        return;
                    }
                }
            }
            File file = new File(commandLine.getOpt("outDir") == null ? "." : commandLine.getOpt("outDir"));
            String opt4 = commandLine.getOpt("outPrefix");
            if (opt4 == null) {
                opt4 = "schema";
            }
            inst2XsdOptions.setVerbose(commandLine.getOpt("verbose") != null);
            if (commandLine.getOpt(Constants.DOM_VALIDATE) == null) {
                z = false;
            }
            File[] filesEndingWith = commandLine.filesEndingWith(".xml");
            int length = filesEndingWith.length;
            XmlObject[] xmlObjectArr = new XmlObject[length];
            if (length == 0) {
                printHelp();
                System.exit(0);
                return;
            }
            for (int i2 = 0; i2 < filesEndingWith.length; i2++) {
                try {
                    xmlObjectArr[i2] = XmlObject.Factory.parse(filesEndingWith[i2]);
                } catch (XmlException e3) {
                    PrintStream printStream2 = System.err;
                    StringBuffer a2 = a.a("Invalid xml file: '");
                    a2.append(filesEndingWith[i2].getName());
                    a2.append("'. ");
                    a2.append(e3.getMessage());
                    printStream2.println(a2.toString());
                    return;
                } catch (IOException e4) {
                    PrintStream printStream3 = System.err;
                    StringBuffer a3 = a.a("Could not read file: '");
                    a3.append(filesEndingWith[i2].getName());
                    a3.append("'. ");
                    a3.append(e4.getMessage());
                    printStream3.println(a3.toString());
                    return;
                }
            }
            SchemaDocument[] inst2xsd = inst2xsd(xmlObjectArr, inst2XsdOptions);
            int i3 = 0;
            while (i3 < inst2xsd.length) {
                try {
                    SchemaDocument schemaDocument = inst2xsd[i3];
                    if (inst2XsdOptions.isVerbose()) {
                        PrintStream printStream4 = System.out;
                        StringBuffer stringBuffer = new StringBuffer();
                        stringBuffer.append("----------------------\n\n");
                        stringBuffer.append(schemaDocument);
                        printStream4.println(stringBuffer.toString());
                    }
                    StringBuffer stringBuffer2 = new StringBuffer();
                    stringBuffer2.append(opt4);
                    stringBuffer2.append(i3);
                    str = str2;
                    try {
                        stringBuffer2.append(str);
                        schemaDocument.save(new File(file, stringBuffer2.toString()), new XmlOptions().setSavePrettyPrint());
                        i3++;
                        str2 = str;
                    } catch (IOException e5) {
                        e2 = e5;
                        PrintStream printStream5 = System.err;
                        StringBuffer stringBuffer3 = new StringBuffer();
                        stringBuffer3.append("Could not write file: '");
                        stringBuffer3.append(file);
                        stringBuffer3.append(File.pathSeparator);
                        stringBuffer3.append(opt4);
                        stringBuffer3.append(i3);
                        stringBuffer3.append(str);
                        stringBuffer3.append("'. ");
                        stringBuffer3.append(e2.getMessage());
                        printStream5.println(stringBuffer3.toString());
                        return;
                    }
                } catch (IOException e6) {
                    e2 = e6;
                    str = str2;
                    PrintStream printStream52 = System.err;
                    StringBuffer stringBuffer32 = new StringBuffer();
                    stringBuffer32.append("Could not write file: '");
                    stringBuffer32.append(file);
                    stringBuffer32.append(File.pathSeparator);
                    stringBuffer32.append(opt4);
                    stringBuffer32.append(i3);
                    stringBuffer32.append(str);
                    stringBuffer32.append("'. ");
                    stringBuffer32.append(e2.getMessage());
                    printStream52.println(stringBuffer32.toString());
                    return;
                }
            }
            if (z) {
                validateInstances(inst2xsd, xmlObjectArr);
            }
        } else {
            printHelp();
            System.exit(0);
        }
    }

    public static void printHelp() {
        System.out.println("Generates XMLSchema from instance xml documents.");
        System.out.println("Usage: inst2xsd [opts] [instance.xml]*");
        System.out.println("Options include:");
        System.out.println("    -design [rd|ss|vb] - XMLSchema design type");
        System.out.println("             rd  - Russian Doll Design - local elements and local types");
        System.out.println("             ss  - Salami Slice Design - global elements and local types");
        System.out.println("             vb  - Venetian Blind Design (default) - local elements and global complex types");
        System.out.println("    -simple-content-types [smart|string] - Simple content types detection (leaf text). Smart is the default");
        System.out.println("    -enumerations [never|NUMBER] - Use enumerations. Default value is 10.");
        System.out.println("    -outDir [dir] - Directory for output files. Default is '.'");
        System.out.println("    -outPrefix [file_name_prefix] - Prefix for output file names. Default is 'schema'");
        System.out.println("    -validate - Validates input instances agaist generated schemas.");
        System.out.println("    -verbose - print more informational messages");
        System.out.println("    -license - print license information");
        System.out.println("    -help - help imformation");
    }

    public static boolean validateInstances(SchemaDocument[] schemaDocumentArr, XmlObject[] xmlObjectArr) {
        ArrayList arrayList = new ArrayList();
        XmlOptions xmlOptions = new XmlOptions();
        xmlOptions.setErrorListener(arrayList);
        try {
            SchemaTypeLoader loadXsd = XmlBeans.loadXsd(schemaDocumentArr, xmlOptions);
            System.out.println("\n-------------------");
            boolean z = true;
            for (int i2 = 0; i2 < xmlObjectArr.length; i2++) {
                try {
                    XmlObject parse = loadXsd.parse(xmlObjectArr[i2].newXMLStreamReader(), (SchemaType) null, new XmlOptions().setLoadLineNumbers());
                    ArrayList arrayList2 = new ArrayList();
                    if (parse.schemaType() == XmlObject.type) {
                        PrintStream printStream = System.out;
                        StringBuffer stringBuffer = new StringBuffer();
                        stringBuffer.append(xmlObjectArr[i2].documentProperties().getSourceName());
                        stringBuffer.append(" NOT valid.  ");
                        printStream.println(stringBuffer.toString());
                        System.out.println("  Document type not found.");
                    } else if (parse.validate(new XmlOptions().setErrorListener(arrayList2))) {
                        PrintStream printStream2 = System.out;
                        StringBuffer stringBuffer2 = new StringBuffer();
                        stringBuffer2.append("Instance[");
                        stringBuffer2.append(i2);
                        stringBuffer2.append("] valid - ");
                        stringBuffer2.append(xmlObjectArr[i2].documentProperties().getSourceName());
                        printStream2.println(stringBuffer2.toString());
                    } else {
                        PrintStream printStream3 = System.out;
                        StringBuffer stringBuffer3 = new StringBuffer();
                        stringBuffer3.append("Instance[");
                        stringBuffer3.append(i2);
                        stringBuffer3.append("] NOT valid - ");
                        stringBuffer3.append(xmlObjectArr[i2].documentProperties().getSourceName());
                        printStream3.println(stringBuffer3.toString());
                        Iterator it = arrayList2.iterator();
                        while (it.hasNext()) {
                            XmlError xmlError = (XmlError) it.next();
                            PrintStream printStream4 = System.out;
                            StringBuffer stringBuffer4 = new StringBuffer();
                            stringBuffer4.append(xmlError.getLine());
                            stringBuffer4.append(":");
                            stringBuffer4.append(xmlError.getColumn());
                            stringBuffer4.append(" ");
                            stringBuffer4.append(xmlError.getMessage());
                            printStream4.println(stringBuffer4.toString());
                        }
                    }
                } catch (XmlException e2) {
                    PrintStream printStream5 = System.out;
                    StringBuffer a = a.a("Error:\n");
                    a.append(xmlObjectArr[i2].documentProperties().getSourceName());
                    a.append(" not loadable: ");
                    a.append(e2);
                    printStream5.println(a.toString());
                    e2.printStackTrace(System.out);
                }
                z = false;
            }
            return z;
        } catch (Exception e3) {
            if (arrayList.isEmpty() || !(e3 instanceof XmlException)) {
                e3.printStackTrace(System.out);
            }
            System.out.println("\n-------------------\n\nInvalid schemas.");
            Iterator it2 = arrayList.iterator();
            while (it2.hasNext()) {
                XmlError xmlError2 = (XmlError) it2.next();
                PrintStream printStream6 = System.out;
                StringBuffer stringBuffer5 = new StringBuffer();
                stringBuffer5.append(xmlError2.getLine());
                stringBuffer5.append(":");
                stringBuffer5.append(xmlError2.getColumn());
                stringBuffer5.append(" ");
                stringBuffer5.append(xmlError2.getMessage());
                printStream6.println(stringBuffer5.toString());
            }
            return false;
        }
    }

    public static SchemaDocument[] inst2xsd(XmlObject[] xmlObjectArr, Inst2XsdOptions inst2XsdOptions) {
        XsdGenStrategy xsdGenStrategy;
        if (inst2XsdOptions == null) {
            inst2XsdOptions = new Inst2XsdOptions();
        }
        TypeSystemHolder typeSystemHolder = new TypeSystemHolder();
        int design = inst2XsdOptions.getDesign();
        if (design == 1) {
            xsdGenStrategy = new RussianDollStrategy();
        } else if (design == 2) {
            xsdGenStrategy = new SalamiSliceStrategy();
        } else if (design == 3) {
            xsdGenStrategy = new VenetianBlindStrategy();
        } else {
            throw new IllegalArgumentException("Unknown design.");
        }
        xsdGenStrategy.processDoc(xmlObjectArr, inst2XsdOptions, typeSystemHolder);
        if (inst2XsdOptions.isVerbose()) {
            PrintStream printStream = System.out;
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append("typeSystemHolder.toString(): ");
            stringBuffer.append(typeSystemHolder);
            printStream.println(stringBuffer.toString());
        }
        return typeSystemHolder.getSchemaDocuments();
    }
}
