package org.apache.xmlbeans.impl.inst2xsd;

public class Inst2XsdOptions {
    public static final int DESIGN_RUSSIAN_DOLL = 1;
    public static final int DESIGN_SALAMI_SLICE = 2;
    public static final int DESIGN_VENETIAN_BLIND = 3;
    public static final int ENUMERATION_NEVER = 1;
    public static final int ENUMERATION_NOT_MORE_THAN_DEFAULT = 10;
    public static final int SIMPLE_CONTENT_TYPES_SMART = 1;
    public static final int SIMPLE_CONTENT_TYPES_STRING = 2;
    public int _design = 3;
    public int _enumerations = 10;
    public int _simpleContentTypes = 1;
    public boolean _verbose = false;

    public int getDesign() {
        return this._design;
    }

    public int getSimpleContentTypes() {
        return this._simpleContentTypes;
    }

    public int getUseEnumerations() {
        return this._enumerations;
    }

    public boolean isUseEnumerations() {
        return this._enumerations > 1;
    }

    public boolean isVerbose() {
        return this._verbose;
    }

    public void setDesign(int i2) {
        if (i2 == 1 || i2 == 2 || i2 == 3) {
            this._design = i2;
            return;
        }
        throw new IllegalArgumentException("Unknown value for design type.");
    }

    public void setSimpleContentTypes(int i2) {
        if (i2 == 1 || i2 == 2) {
            this._simpleContentTypes = i2;
            return;
        }
        throw new IllegalArgumentException("Unknown value for simpleContentTypes.");
    }

    public void setUseEnumerations(int i2) {
        if (i2 >= 1) {
            this._enumerations = i2;
            return;
        }
        throw new IllegalArgumentException("UseEnumerations must be set to a value bigger than 1");
    }

    public void setVerbose(boolean z) {
        this._verbose = z;
    }
}
