package org.apache.xmlbeans.impl.inst2xsd;

import b.b.a.a.a;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.xmlbeans.XmlByte;
import org.apache.xmlbeans.XmlCursor;
import org.apache.xmlbeans.XmlFloat;
import org.apache.xmlbeans.XmlInt;
import org.apache.xmlbeans.XmlInteger;
import org.apache.xmlbeans.XmlLong;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlShort;
import org.apache.xmlbeans.XmlString;
import org.apache.xmlbeans.impl.common.ValidationContext;
import org.apache.xmlbeans.impl.common.XmlWhitespace;
import org.apache.xmlbeans.impl.inst2xsd.util.Attribute;
import org.apache.xmlbeans.impl.inst2xsd.util.Element;
import org.apache.xmlbeans.impl.inst2xsd.util.Type;
import org.apache.xmlbeans.impl.inst2xsd.util.TypeSystemHolder;
import org.apache.xmlbeans.impl.jam.xml.JamXmlElements;
import org.apache.xmlbeans.impl.util.XsTypeConverter;

public class RussianDollStrategy implements XsdGenStrategy {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static final String _xsi = "http://www.w3.org/2001/XMLSchema-instance";
    public static final QName _xsiNil = new QName("http://www.w3.org/2001/XMLSchema-instance", "nil", "xsi");
    public static final QName _xsiType = new QName("http://www.w3.org/2001/XMLSchema-instance", JamXmlElements.TYPE, "xsi");
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$inst2xsd$RussianDollStrategy;
    public SCTValidationContext _validationContext = new SCTValidationContext();

    public class SCTValidationContext implements ValidationContext {
        public boolean valid = true;

        public SCTValidationContext() {
        }

        @Override // org.apache.xmlbeans.impl.common.ValidationContext
        public void invalid(String str) {
            this.valid = false;
        }

        public boolean isValid() {
            return this.valid;
        }

        public void resetToValid() {
            this.valid = true;
        }

        @Override // org.apache.xmlbeans.impl.common.ValidationContext
        public void invalid(String str, Object[] objArr) {
            this.valid = false;
        }
    }

    static {
        Class cls = class$org$apache$xmlbeans$impl$inst2xsd$RussianDollStrategy;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.inst2xsd.RussianDollStrategy");
            class$org$apache$xmlbeans$impl$inst2xsd$RussianDollStrategy = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public Element addGlobalElement(Element element, TypeSystemHolder typeSystemHolder, Inst2XsdOptions inst2XsdOptions) {
        if ($assertionsDisabled || element.isGlobal()) {
            Element globalElement = typeSystemHolder.getGlobalElement(element.getName());
            if (globalElement == null) {
                typeSystemHolder.addGlobalElement(element);
                return element;
            }
            combineTypes(globalElement.getType(), element.getType(), inst2XsdOptions);
            combineElementComments(globalElement, element);
            return globalElement;
        }
        throw new AssertionError();
    }

    public void checkIfAttributeReferenceIsNeeded(Attribute attribute, String str, TypeSystemHolder typeSystemHolder) {
        if (!attribute.getName().getNamespaceURI().equals("") && !attribute.getName().getNamespaceURI().equals(str)) {
            Attribute attribute2 = new Attribute();
            attribute2.setGlobal(true);
            attribute2.setName(attribute.getName());
            attribute2.setType(attribute.getType());
            typeSystemHolder.addGlobalAttribute(attribute2);
            attribute.setRef(attribute2);
        }
    }

    public void checkIfElementReferenceIsNeeded(Element element, String str, TypeSystemHolder typeSystemHolder, Inst2XsdOptions inst2XsdOptions) {
        if (!element.getName().getNamespaceURI().equals(str)) {
            Element element2 = new Element();
            element2.setGlobal(true);
            element2.setName(element.getName());
            element2.setType(element.getType());
            if (element.isNillable()) {
                element2.setNillable(true);
                element.setNillable(false);
            }
            element.setRef(addGlobalElement(element2, typeSystemHolder, inst2XsdOptions));
        }
    }

    public void checkIfReferenceToGlobalTypeIsNeeded(Element element, TypeSystemHolder typeSystemHolder, Inst2XsdOptions inst2XsdOptions) {
    }

    public void combineAttributesOfTypes(Type type, Type type2) {
        for (int i2 = 0; i2 < type2.getAttributes().size(); i2++) {
            Attribute attribute = (Attribute) type2.getAttributes().get(i2);
            int i3 = 0;
            while (true) {
                if (i3 >= type.getAttributes().size()) {
                    type.addAttribute(attribute);
                    break;
                }
                Attribute attribute2 = (Attribute) type.getAttributes().get(i3);
                if (attribute2.getName().equals(attribute.getName())) {
                    attribute2.getType().setName(combineToMoreGeneralSimpleType(attribute2.getType().getName(), attribute.getType().getName()));
                    break;
                }
                i3++;
            }
        }
        for (int i4 = 0; i4 < type.getAttributes().size(); i4++) {
            Attribute attribute3 = (Attribute) type.getAttributes().get(i4);
            for (int i5 = 0; i5 < type2.getAttributes().size(); i5++) {
                ((Attribute) type2.getAttributes().get(i5)).getName().equals(attribute3.getName());
            }
            attribute3.setOptional(true);
        }
    }

    public void combineElementComments(Element element, Element element2) {
        if (element2.getComment() != null && element2.getComment().length() > 0) {
            if (element.getComment() == null) {
                element.setComment(element2.getComment());
                return;
            }
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append(element.getComment());
            stringBuffer.append(element2.getComment());
            element.setComment(stringBuffer.toString());
        }
    }

    public void combineElementsOfTypes(Type type, Type type2, boolean z, Inst2XsdOptions inst2XsdOptions) {
        boolean z2 = (type.getTopParticleForComplexOrMixedContent() == 1 && type2.getTopParticleForComplexOrMixedContent() == 1) ? false : true;
        ArrayList arrayList = new ArrayList();
        int i2 = 0;
        int i3 = 0;
        int i4 = -1;
        int i5 = -1;
        while (!z2 && i2 < type.getElements().size()) {
            Element element = (Element) type.getElements().get(i2);
            int i6 = i3;
            while (true) {
                if (i6 >= type2.getElements().size()) {
                    break;
                } else if (element.getName().equals(((Element) type2.getElements().get(i6)).getName())) {
                    i4 = i6;
                    break;
                } else {
                    i6++;
                }
            }
            if (i4 < i3) {
                arrayList.add(element);
                element.setMinOccurs(0);
            } else {
                int i7 = i3;
                while (true) {
                    if (i7 >= i4) {
                        break;
                    }
                    Element element2 = (Element) type2.getElements().get(i7);
                    for (int i8 = i2 + 1; i8 < type.getElements().size(); i8++) {
                        if (element2.getName().equals(((Element) type.getElements().get(i8)).getName())) {
                            i5 = i8;
                            break;
                        }
                    }
                    i7++;
                }
                if (i5 < i2) {
                    while (i3 < i4) {
                        Element element3 = (Element) type2.getElements().get(i3);
                        arrayList.add(element3);
                        element3.setMinOccurs(0);
                        i3++;
                    }
                    arrayList.add(element);
                    Element element4 = (Element) type2.getElements().get(i4);
                    if (element4.getMinOccurs() <= 0) {
                        element.setMinOccurs(0);
                    }
                    if (element4.getMaxOccurs() == -1) {
                        element.setMaxOccurs(-1);
                    }
                    combineTypes(element.getType(), element4.getType(), inst2XsdOptions);
                    combineElementComments(element, element4);
                    i3 = i4 + 1;
                } else {
                    z2 = true;
                }
            }
            i2++;
        }
        while (i3 < type2.getElements().size()) {
            Element element5 = (Element) type2.getElements().get(i3);
            arrayList.add(element5);
            element5.setMinOccurs(0);
            i3++;
        }
        if (z2) {
            type.setTopParticleForComplexOrMixedContent(2);
            for (int i9 = 0; i9 < type2.getElements().size(); i9++) {
                Element element6 = (Element) type2.getElements().get(i9);
                int i10 = 0;
                while (true) {
                    if (i10 >= type.getElements().size()) {
                        type.addElement(element6);
                        element6.setMinOccurs(1);
                        element6.setMaxOccurs(1);
                        break;
                    }
                    Element element7 = (Element) type.getElements().get(i10);
                    element7.setMinOccurs(1);
                    element7.setMaxOccurs(1);
                    if (element7 == element6) {
                        break;
                    } else if (element7.getName().equals(element6.getName())) {
                        combineTypes(element7.getType(), element6.getType(), inst2XsdOptions);
                        combineElementComments(element7, element6);
                        break;
                    } else {
                        i10++;
                    }
                }
            }
            return;
        }
        type.setElements(arrayList);
    }

    public void combineSimpleTypes(Type type, Type type2, Inst2XsdOptions inst2XsdOptions) {
        if ($assertionsDisabled || (type.getContentType() == 1 && type2.getContentType() == 1)) {
            type.setName(combineToMoreGeneralSimpleType(type.getName(), type2.getName()));
            if (inst2XsdOptions.isUseEnumerations()) {
                type.addAllEnumerationsFrom(type2);
                if (type.getEnumerationValues().size() > inst2XsdOptions.getUseEnumerations()) {
                    type.closeEnumeration();
                    return;
                }
                return;
            }
            return;
        }
        throw new AssertionError("Invalid arguments");
    }

    public QName combineToMoreGeneralSimpleType(QName qName, QName qName2) {
        if (qName.equals(qName2)) {
            return qName;
        }
        if (qName2.equals(XmlShort.type.getName()) && qName.equals(XmlByte.type.getName())) {
            return qName2;
        }
        if (qName.equals(XmlShort.type.getName()) && qName2.equals(XmlByte.type.getName())) {
            return qName;
        }
        if (qName2.equals(XmlInt.type.getName()) && (qName.equals(XmlShort.type.getName()) || qName.equals(XmlByte.type.getName()))) {
            return qName2;
        }
        if (qName.equals(XmlInt.type.getName()) && (qName2.equals(XmlShort.type.getName()) || qName2.equals(XmlByte.type.getName()))) {
            return qName;
        }
        if (qName2.equals(XmlLong.type.getName()) && (qName.equals(XmlInt.type.getName()) || qName.equals(XmlShort.type.getName()) || qName.equals(XmlByte.type.getName()))) {
            return qName2;
        }
        if (qName.equals(XmlLong.type.getName()) && (qName2.equals(XmlInt.type.getName()) || qName2.equals(XmlShort.type.getName()) || qName2.equals(XmlByte.type.getName()))) {
            return qName;
        }
        if (qName2.equals(XmlInteger.type.getName()) && (qName.equals(XmlLong.type.getName()) || qName.equals(XmlInt.type.getName()) || qName.equals(XmlShort.type.getName()) || qName.equals(XmlByte.type.getName()))) {
            return qName2;
        }
        if (qName.equals(XmlInteger.type.getName()) && (qName2.equals(XmlLong.type.getName()) || qName2.equals(XmlInt.type.getName()) || qName2.equals(XmlShort.type.getName()) || qName2.equals(XmlByte.type.getName()))) {
            return qName;
        }
        if (qName2.equals(XmlFloat.type.getName()) && (qName.equals(XmlInteger.type.getName()) || qName.equals(XmlLong.type.getName()) || qName.equals(XmlInt.type.getName()) || qName.equals(XmlShort.type.getName()) || qName.equals(XmlByte.type.getName()))) {
            return qName2;
        }
        if (!qName.equals(XmlFloat.type.getName()) || (!qName2.equals(XmlInteger.type.getName()) && !qName2.equals(XmlLong.type.getName()) && !qName2.equals(XmlInt.type.getName()) && !qName2.equals(XmlShort.type.getName()) && !qName2.equals(XmlByte.type.getName()))) {
            return XmlString.type.getName();
        }
        return qName;
    }

    public void combineTypes(Type type, Type type2, Inst2XsdOptions inst2XsdOptions) {
        if (type != type2) {
            if (type.isGlobal() && type2.isGlobal() && type.getName().equals(type2.getName())) {
                return;
            }
            if (type.getContentType() == 1 && type2.getContentType() == 1) {
                combineSimpleTypes(type, type2, inst2XsdOptions);
            } else if ((type.getContentType() == 1 || type.getContentType() == 2) && (type2.getContentType() == 1 || type2.getContentType() == 2)) {
                QName name = type.isComplexType() ? type.getExtensionType().getName() : type.getName();
                QName name2 = type2.isComplexType() ? type2.getExtensionType().getName() : type2.getName();
                type.setContentType(2);
                QName combineToMoreGeneralSimpleType = combineToMoreGeneralSimpleType(name, name2);
                if (type.isComplexType()) {
                    type.setExtensionType(Type.createNamedType(combineToMoreGeneralSimpleType, 1));
                } else {
                    type.setName(combineToMoreGeneralSimpleType);
                }
                combineAttributesOfTypes(type, type2);
            } else if (type.getContentType() == 3 && type2.getContentType() == 3) {
                combineAttributesOfTypes(type, type2);
                combineElementsOfTypes(type, type2, false, inst2XsdOptions);
            } else if (type.getContentType() == 1 || type.getContentType() == 2 || type2.getContentType() == 1 || type2.getContentType() == 2) {
                type.setContentType(4);
                combineAttributesOfTypes(type, type2);
                combineElementsOfTypes(type, type2, true, inst2XsdOptions);
            } else if ((type.getContentType() == 1 || type.getContentType() == 2 || type.getContentType() == 3 || type.getContentType() == 4) && (type2.getContentType() == 1 || type2.getContentType() == 2 || type2.getContentType() == 3 || type2.getContentType() == 4)) {
                type.setContentType(4);
                combineAttributesOfTypes(type, type2);
                combineElementsOfTypes(type, type2, false, inst2XsdOptions);
            } else {
                throw new IllegalArgumentException("Unknown content type.");
            }
        }
    }

    public Attribute processAttribute(XmlCursor xmlCursor, Inst2XsdOptions inst2XsdOptions, String str, TypeSystemHolder typeSystemHolder) {
        if ($assertionsDisabled || xmlCursor.isAttr()) {
            Attribute attribute = new Attribute();
            attribute.setName(xmlCursor.getName());
            XmlCursor newCursor = xmlCursor.newCursor();
            newCursor.toParent();
            Type createNamedType = Type.createNamedType(processSimpleContentType(xmlCursor.getTextValue(), inst2XsdOptions, newCursor), 1);
            newCursor.dispose();
            attribute.setType(createNamedType);
            checkIfAttributeReferenceIsNeeded(attribute, str, typeSystemHolder);
            return attribute;
        }
        throw new AssertionError("xc not on attribute");
    }

    public void processAttributesInComplexType(Type type, List list) {
        if ($assertionsDisabled || type.isComplexType()) {
            Iterator it = list.iterator();
            while (it.hasNext()) {
                type.addAttribute((Attribute) it.next());
            }
            return;
        }
        throw new AssertionError();
    }

    @Override // org.apache.xmlbeans.impl.inst2xsd.XsdGenStrategy
    public void processDoc(XmlObject[] xmlObjectArr, Inst2XsdOptions inst2XsdOptions, TypeSystemHolder typeSystemHolder) {
        for (XmlObject xmlObject : xmlObjectArr) {
            XmlCursor newCursor = xmlObject.newCursor();
            StringBuffer stringBuffer = new StringBuffer();
            while (!newCursor.isStart()) {
                newCursor.toNextToken();
                if (newCursor.isComment()) {
                    stringBuffer.append(newCursor.getTextValue());
                } else if (newCursor.isEnddoc()) {
                    return;
                }
            }
            Element processElement = processElement(newCursor, stringBuffer.toString(), inst2XsdOptions, typeSystemHolder);
            processElement.setGlobal(true);
            addGlobalElement(processElement, typeSystemHolder, inst2XsdOptions);
        }
    }

    public Element processElement(XmlCursor xmlCursor, String str, Inst2XsdOptions inst2XsdOptions, TypeSystemHolder typeSystemHolder) {
        if ($assertionsDisabled || xmlCursor.isStart()) {
            Element element = new Element();
            element.setName(xmlCursor.getName());
            element.setGlobal(false);
            Type createUnnamedType = Type.createUnnamedType(1);
            element.setType(createUnnamedType);
            StringBuffer stringBuffer = new StringBuffer();
            StringBuffer stringBuffer2 = new StringBuffer();
            ArrayList arrayList = new ArrayList();
            ArrayList arrayList2 = new ArrayList();
            while (true) {
                switch (xmlCursor.toNextToken().intValue()) {
                    case 0:
                    case 2:
                    case 4:
                        String collapse = XmlWhitespace.collapse(stringBuffer.toString(), 3);
                        if (str == null) {
                            str = stringBuffer2.length() == 0 ? null : stringBuffer2.toString();
                        } else if (stringBuffer2.length() != 0) {
                            str = stringBuffer2.insert(0, str).toString();
                        }
                        element.setComment(str);
                        if (arrayList.size() > 0) {
                            if (collapse.length() > 0) {
                                createUnnamedType.setContentType(4);
                            } else {
                                createUnnamedType.setContentType(3);
                            }
                            processElementsInComplexType(createUnnamedType, arrayList, element.getName().getNamespaceURI(), typeSystemHolder, inst2XsdOptions);
                            processAttributesInComplexType(createUnnamedType, arrayList2);
                        } else {
                            XmlCursor newCursor = xmlCursor.newCursor();
                            newCursor.toParent();
                            if (arrayList2.size() > 0) {
                                createUnnamedType.setContentType(2);
                                createUnnamedType.setExtensionType(Type.createNamedType(processSimpleContentType(stringBuffer.toString(), inst2XsdOptions, newCursor), 1));
                                processAttributesInComplexType(createUnnamedType, arrayList2);
                            } else {
                                createUnnamedType.setContentType(1);
                                createUnnamedType.setName(processSimpleContentType(stringBuffer.toString(), inst2XsdOptions, newCursor));
                                if (XmlString.type.getName().equals(createUnnamedType.getName())) {
                                    collapse = stringBuffer.toString();
                                }
                                createUnnamedType.addEnumerationValue(collapse, newCursor);
                            }
                            newCursor.dispose();
                        }
                        checkIfReferenceToGlobalTypeIsNeeded(element, typeSystemHolder, inst2XsdOptions);
                        return element;
                    case 1:
                        throw new IllegalStateException();
                    case 3:
                        arrayList.add(processElement(xmlCursor, stringBuffer2.toString(), inst2XsdOptions, typeSystemHolder));
                        stringBuffer2.delete(0, stringBuffer2.length());
                        break;
                    case 5:
                        stringBuffer.append(xmlCursor.getChars());
                        break;
                    case 6:
                        QName name = xmlCursor.getName();
                        if (_xsiNil.getNamespaceURI().equals(name.getNamespaceURI())) {
                            if (!_xsiNil.equals(name)) {
                                break;
                            } else {
                                element.setNillable(true);
                                break;
                            }
                        } else {
                            arrayList2.add(processAttribute(xmlCursor, inst2XsdOptions, element.getName().getNamespaceURI(), typeSystemHolder));
                            break;
                        }
                    case 7:
                    case 9:
                        break;
                    case 8:
                        stringBuffer2.append(xmlCursor.getTextValue());
                        break;
                    default:
                        throw new IllegalStateException("Unknown TokenType.");
                }
            }
        } else {
            throw new AssertionError();
        }
    }

    public void processElementsInComplexType(Type type, List list, String str, TypeSystemHolder typeSystemHolder, Inst2XsdOptions inst2XsdOptions) {
        HashMap hashMap = new HashMap();
        Iterator it = list.iterator();
        Element element = null;
        while (it.hasNext()) {
            Element element2 = (Element) it.next();
            if (element == null) {
                checkIfElementReferenceIsNeeded(element2, str, typeSystemHolder, inst2XsdOptions);
                type.addElement(element2);
                hashMap.put(element2.getName(), element2);
            } else if (element.getName() == element2.getName()) {
                combineTypes(element.getType(), element2.getType(), inst2XsdOptions);
                combineElementComments(element, element2);
                element.setMinOccurs(0);
                element.setMaxOccurs(-1);
            } else if (((Element) hashMap.get(element2.getName())) == null) {
                checkIfElementReferenceIsNeeded(element2, str, typeSystemHolder, inst2XsdOptions);
                type.addElement(element2);
                hashMap.put(element2.getName(), element2);
            } else {
                combineTypes(element.getType(), element2.getType(), inst2XsdOptions);
                combineElementComments(element, element2);
                type.setTopParticleForComplexOrMixedContent(2);
            }
            element = element2;
        }
    }

    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:6:0x0015 */
    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:9:0x001f */
    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:12:0x0029 */
    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:15:0x0033 */
    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:18:0x003d */
    /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: java.lang.String */
    /* JADX DEBUG: Multi-variable search result rejected for r3v6, resolved type: java.lang.String */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r3v2, types: [java.lang.CharSequence] */
    /* JADX WARN: Type inference failed for: r3v3, types: [java.lang.CharSequence] */
    /* JADX WARN: Type inference failed for: r3v4, types: [java.lang.CharSequence] */
    /* JADX WARN: Type inference failed for: r3v5, types: [java.lang.CharSequence] */
    /* JADX WARN: Type inference failed for: r3v26, types: [org.apache.poi.javax.xml.namespace.QName] */
    /* JADX WARN: Type inference failed for: r3v27, types: [org.apache.poi.javax.xml.namespace.QName] */
    /* JADX WARN: Type inference failed for: r3v28, types: [org.apache.poi.javax.xml.namespace.QName] */
    /* JADX WARN: Type inference failed for: r3v29, types: [org.apache.poi.javax.xml.namespace.QName] */
    /* JADX WARN: Type inference failed for: r3v30, types: [org.apache.poi.javax.xml.namespace.QName] */
    /* JADX WARNING: Can't wrap try/catch for region: R(3:12|13|14) */
    /* JADX WARNING: Can't wrap try/catch for region: R(3:15|16|17) */
    /* JADX WARNING: Can't wrap try/catch for region: R(3:18|19|20) */
    /* JADX WARNING: Can't wrap try/catch for region: R(3:21|22|23) */
    /* JADX WARNING: Can't wrap try/catch for region: R(3:9|10|11) */
    /* JADX WARNING: Code restructure failed: missing block: B:10:?, code lost:
        org.apache.xmlbeans.impl.util.XsTypeConverter.lexShort(r3);
        r3 = org.apache.xmlbeans.XmlShort.type.getName();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:11:0x0028, code lost:
        return r3;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:13:?, code lost:
        org.apache.xmlbeans.impl.util.XsTypeConverter.lexInt(r3);
        r3 = org.apache.xmlbeans.XmlInt.type.getName();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:14:0x0032, code lost:
        return r3;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:16:?, code lost:
        org.apache.xmlbeans.impl.util.XsTypeConverter.lexLong(r3);
        r3 = org.apache.xmlbeans.XmlLong.type.getName();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:17:0x003c, code lost:
        return r3;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:19:?, code lost:
        org.apache.xmlbeans.impl.util.XsTypeConverter.lexInteger(r3);
        r3 = org.apache.xmlbeans.XmlInteger.type.getName();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:20:0x0046, code lost:
        return r3;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:22:?, code lost:
        org.apache.xmlbeans.impl.util.XsTypeConverter.lexFloat(r3);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:23:0x0050, code lost:
        return org.apache.xmlbeans.XmlFloat.type.getName();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:24:0x0051, code lost:
        org.apache.xmlbeans.impl.values.JavaGDateHolderEx.validateLexical(r3, org.apache.xmlbeans.XmlDate.type, r2._validationContext);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:26:0x005f, code lost:
        if (r2._validationContext.isValid() != false) goto L_0x0061;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:28:0x0067, code lost:
        return org.apache.xmlbeans.XmlDate.type.getName();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:29:0x0068, code lost:
        r2._validationContext.resetToValid();
        org.apache.xmlbeans.impl.values.JavaGDateHolderEx.validateLexical(r3, org.apache.xmlbeans.XmlDateTime.type, r2._validationContext);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:30:0x007a, code lost:
        if (r2._validationContext.isValid() != false) goto L_0x007c;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:32:0x0082, code lost:
        return org.apache.xmlbeans.XmlDateTime.type.getName();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:33:0x0083, code lost:
        r2._validationContext.resetToValid();
        org.apache.xmlbeans.impl.values.JavaGDateHolderEx.validateLexical(r3, org.apache.xmlbeans.XmlTime.type, r2._validationContext);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:34:0x0095, code lost:
        if (r2._validationContext.isValid() != false) goto L_0x0097;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:36:0x009d, code lost:
        return org.apache.xmlbeans.XmlTime.type.getName();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:37:0x009e, code lost:
        r2._validationContext.resetToValid();
        org.apache.xmlbeans.impl.values.JavaGDurationHolderEx.validateLexical(r3, org.apache.xmlbeans.XmlDuration.type, r2._validationContext);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:38:0x00b0, code lost:
        if (r2._validationContext.isValid() != false) goto L_0x00b2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:40:0x00b8, code lost:
        return org.apache.xmlbeans.XmlDuration.type.getName();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:41:0x00b9, code lost:
        r2._validationContext.resetToValid();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:45:0x00d0, code lost:
        org.apache.xmlbeans.impl.values.JavaUriHolder.validateLexical(r3, r2._validationContext);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:46:0x00db, code lost:
        if (r2._validationContext.isValid() != false) goto L_0x00dd;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:48:0x00e3, code lost:
        return org.apache.xmlbeans.XmlAnyURI.type.getName();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:49:0x00e4, code lost:
        r2._validationContext.resetToValid();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:50:0x00e9, code lost:
        r0 = r3.indexOf(58);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:56:0x00fe, code lost:
        org.apache.xmlbeans.impl.values.JavaQNameHolder.validateLexical(r3, r2._validationContext, new org.apache.xmlbeans.impl.inst2xsd.RussianDollStrategy.AnonymousClass1(r2));
     */
    /* JADX WARNING: Code restructure failed: missing block: B:57:0x010e, code lost:
        if (r2._validationContext.isValid() != false) goto L_0x0110;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:59:0x0116, code lost:
        return org.apache.xmlbeans.XmlQName.type.getName();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:60:0x0117, code lost:
        r2._validationContext.resetToValid();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:62:0x0122, code lost:
        return org.apache.xmlbeans.XmlString.type.getName();
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:12:0x0029 */
    /* JADX WARNING: Missing exception handler attribute for start block: B:15:0x0033 */
    /* JADX WARNING: Missing exception handler attribute for start block: B:18:0x003d */
    /* JADX WARNING: Missing exception handler attribute for start block: B:21:0x0047 */
    /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x001f */
    public QName processSimpleContentType(String str, Inst2XsdOptions inst2XsdOptions, final XmlCursor xmlCursor) {
        if (inst2XsdOptions.getSimpleContentTypes() == 2) {
            return XmlString.type.getName();
        }
        if (inst2XsdOptions.getSimpleContentTypes() == 1) {
            XsTypeConverter.lexByte(str);
            str = XmlByte.type.getName();
            return str;
        }
        StringBuffer a = a.a("Unknown value for Inst2XsdOptions.getSimpleContentTypes() :");
        a.append(inst2XsdOptions.getSimpleContentTypes());
        throw new IllegalArgumentException(a.toString());
    }
}
