package org.apache.xmlbeans.impl.inst2xsd.util;

import b.b.a.a.a;
import java.util.ArrayList;
import java.util.List;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.xmlbeans.XmlCursor;
import org.apache.xmlbeans.XmlQName;
import org.apache.xmlbeans.impl.common.PrefixResolver;
import org.apache.xmlbeans.impl.values.JavaQNameHolder;

public class Type {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static final int COMPLEX_TYPE_COMPLEX_CONTENT = 3;
    public static final int COMPLEX_TYPE_EMPTY_CONTENT = 5;
    public static final int COMPLEX_TYPE_MIXED_CONTENT = 4;
    public static final int COMPLEX_TYPE_SIMPLE_CONTENT = 2;
    public static final int PARTICLE_CHOICE_UNBOUNDED = 2;
    public static final int PARTICLE_SEQUENCE = 1;
    public static final int SIMPLE_TYPE_SIMPLE_CONTENT = 1;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$inst2xsd$util$Type;
    public boolean _acceptsEnumerationValue = true;
    public List _attributes;
    public List _elements;
    public List _enumerationQNames;
    public List _enumerationValues;
    public Type _extensionType;
    public boolean _isGlobal = false;
    public int _kind = 1;
    public QName _name;
    public int _topParticleForComplexOrMixedContent = 1;

    static {
        Class cls = class$org$apache$xmlbeans$impl$inst2xsd$util$Type;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.inst2xsd.util.Type");
            class$org$apache$xmlbeans$impl$inst2xsd$util$Type = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public static Type createNamedType(QName qName, int i2) {
        if ($assertionsDisabled || qName != null) {
            Type type = new Type();
            type.setName(qName);
            type.setContentType(i2);
            return type;
        }
        throw new AssertionError();
    }

    public static Type createUnnamedType(int i2) {
        if ($assertionsDisabled || i2 == 1 || i2 == 2 || i2 == 3 || i2 == 4 || i2 == 5) {
            Type type = new Type();
            type.setContentType(i2);
            return type;
        }
        throw new AssertionError(a.b("Unknown contentType: ", i2));
    }

    private void ensureAttributes() {
        if (this._attributes == null) {
            this._attributes = new ArrayList();
        }
    }

    private void ensureElements() {
        if (this._elements == null) {
            this._elements = new ArrayList();
        }
    }

    private void ensureEnumerationValues() {
        if (this._enumerationValues == null) {
            this._enumerationValues = new ArrayList();
            this._enumerationQNames = new ArrayList();
        }
    }

    public void addAllEnumerationsFrom(Type type) {
        int i2;
        if ($assertionsDisabled || (i2 = this._kind) == 1 || i2 == 2) {
            ensureEnumerationValues();
            int i3 = 0;
            if (!this._name.equals(XmlQName.type.getName()) || !type._name.equals(XmlQName.type.getName())) {
                while (i3 < type.getEnumerationValues().size()) {
                    String str = (String) type.getEnumerationValues().get(i3);
                    if (this._acceptsEnumerationValue && !this._enumerationValues.contains(str)) {
                        this._enumerationValues.add(str);
                    }
                    i3++;
                }
                return;
            }
            while (i3 < type.getEnumerationValues().size()) {
                String str2 = (String) type.getEnumerationValues().get(i3);
                QName qName = (QName) type.getEnumerationQNames().get(i3);
                if (this._acceptsEnumerationValue && !this._enumerationQNames.contains(qName)) {
                    this._enumerationValues.add(str2);
                    this._enumerationQNames.add(qName);
                }
                i3++;
            }
            return;
        }
        throw new AssertionError("Enumerations possible only on simple content");
    }

    public void addAttribute(Attribute attribute) {
        ensureAttributes();
        this._attributes.add(attribute);
    }

    public void addElement(Element element) {
        ensureElements();
        this._elements.add(element);
    }

    public void addEnumerationValue(String str, final XmlCursor xmlCursor) {
        int i2;
        if ($assertionsDisabled || (i2 = this._kind) == 1 || i2 == 2) {
            ensureEnumerationValues();
            if (this._acceptsEnumerationValue && !this._enumerationValues.contains(str)) {
                this._enumerationValues.add(str);
                if (this._name.equals(XmlQName.type.getName())) {
                    QName validateLexical = JavaQNameHolder.validateLexical(str, null, new PrefixResolver() {
                        /* class org.apache.xmlbeans.impl.inst2xsd.util.Type.AnonymousClass1 */

                        @Override // org.apache.xmlbeans.impl.common.PrefixResolver
                        public String getNamespaceForPrefix(String str) {
                            return xmlCursor.namespaceForPrefix(str);
                        }
                    });
                    if ($assertionsDisabled || validateLexical != null) {
                        this._enumerationQNames.add(validateLexical);
                        return;
                    }
                    throw new AssertionError("The check for QName should allready have happened.");
                }
                return;
            }
            return;
        }
        throw new AssertionError("Enumerations possible only on simple content");
    }

    public void closeEnumeration() {
        this._acceptsEnumerationValue = false;
    }

    public Attribute getAttribute(QName qName) {
        for (int i2 = 0; i2 < this._attributes.size(); i2++) {
            Attribute attribute = (Attribute) this._attributes.get(i2);
            if (attribute.getName().equals(qName)) {
                return attribute;
            }
        }
        return null;
    }

    public List getAttributes() {
        ensureAttributes();
        return this._attributes;
    }

    public int getContentType() {
        return this._kind;
    }

    public List getElements() {
        ensureElements();
        return this._elements;
    }

    public List getEnumerationQNames() {
        ensureEnumerationValues();
        return this._enumerationQNames;
    }

    public List getEnumerationValues() {
        ensureEnumerationValues();
        return this._enumerationValues;
    }

    public Type getExtensionType() {
        return this._extensionType;
    }

    public QName getName() {
        return this._name;
    }

    public int getTopParticleForComplexOrMixedContent() {
        return this._topParticleForComplexOrMixedContent;
    }

    public boolean hasSimpleContent() {
        int i2 = this._kind;
        return i2 == 1 || i2 == 2;
    }

    public boolean isComplexType() {
        int i2 = this._kind;
        return i2 == 3 || i2 == 4 || i2 == 2;
    }

    public boolean isEnumeration() {
        List list;
        return this._acceptsEnumerationValue && (list = this._enumerationValues) != null && list.size() > 1;
    }

    public boolean isGlobal() {
        return this._isGlobal;
    }

    public boolean isQNameEnumeration() {
        List list;
        return isEnumeration() && this._name.equals(XmlQName.type.getName()) && (list = this._enumerationQNames) != null && list.size() > 1;
    }

    public void setContentType(int i2) {
        this._kind = i2;
    }

    public void setElements(List list) {
        ensureElements();
        this._elements.clear();
        this._elements.addAll(list);
    }

    public void setExtensionType(Type type) {
        if (!$assertionsDisabled && this._kind != 2) {
            throw new AssertionError("Extension used only for type which are COMPLEX_TYPE_SIMPLE_CONTENT");
        } else if ($assertionsDisabled || !(type == null || type.getName() == null)) {
            this._extensionType = type;
        } else {
            throw new AssertionError("Extended type must be a named type.");
        }
    }

    public void setGlobal(boolean z) {
        if ($assertionsDisabled || (z && getName() != null)) {
            this._isGlobal = z;
            return;
        }
        throw new AssertionError();
    }

    public void setName(QName qName) {
        this._name = qName;
    }

    public void setTopParticleForComplexOrMixedContent(int i2) {
        this._topParticleForComplexOrMixedContent = i2;
    }

    public String toString() {
        StringBuffer a = a.a("Type{_name = ");
        a.append(this._name);
        a.append(", _extensionType = ");
        a.append(this._extensionType);
        a.append(", _kind = ");
        a.append(this._kind);
        a.append(", _elements = ");
        a.append(this._elements);
        a.append(", _attributes = ");
        a.append(this._attributes);
        a.append("}");
        return a.toString();
    }
}
