package org.apache.xmlbeans.impl.jam;

import java.util.Iterator;

public class JamClassIterator implements Iterator {
    public String[] mClassNames;
    public int mIndex = 0;
    public JamClassLoader mLoader;

    public JamClassIterator(JamClassLoader jamClassLoader, String[] strArr) {
        if (jamClassLoader == null) {
            throw new IllegalArgumentException("null loader");
        } else if (strArr != null) {
            this.mLoader = jamClassLoader;
            this.mClassNames = strArr;
        } else {
            throw new IllegalArgumentException("null classes");
        }
    }

    public int getSize() {
        return this.mClassNames.length;
    }

    public boolean hasNext() {
        return this.mIndex < this.mClassNames.length;
    }

    @Override // java.util.Iterator
    public Object next() {
        return nextClass();
    }

    public JClass nextClass() {
        if (hasNext()) {
            int i2 = this.mIndex + 1;
            this.mIndex = i2;
            return this.mLoader.loadClass(this.mClassNames[i2 - 1]);
        }
        throw new IndexOutOfBoundsException();
    }

    public void remove() {
        throw new UnsupportedOperationException();
    }
}
