package org.apache.xmlbeans.impl.jam;

import java.io.File;
import java.io.PrintWriter;
import org.apache.xmlbeans.impl.jam.internal.JamPrinter;
import org.apache.xmlbeans.impl.jam.provider.JamServiceFactoryImpl;

public abstract class JamServiceFactory {
    public static final JamServiceFactory DEFAULT = new JamServiceFactoryImpl();

    public static JamServiceFactory getInstance() {
        return DEFAULT;
    }

    public static void main(String[] strArr) {
        try {
            JamServiceParams createServiceParams = getInstance().createServiceParams();
            for (String str : strArr) {
                createServiceParams.includeSourcePattern(new File[]{new File(".")}, str);
            }
            JamService createService = getInstance().createService(createServiceParams);
            JamPrinter newInstance = JamPrinter.newInstance();
            PrintWriter printWriter = new PrintWriter(System.out);
            JamClassIterator classes = createService.getClasses();
            while (classes.hasNext()) {
                printWriter.println("-------- ");
                newInstance.print(classes.nextClass(), printWriter);
            }
            printWriter.flush();
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        System.out.flush();
        System.err.flush();
    }

    public abstract JamClassLoader createJamClassLoader(ClassLoader classLoader);

    public abstract JamService createService(JamServiceParams jamServiceParams);

    public abstract JamServiceParams createServiceParams();

    public abstract JamClassLoader createSystemJamClassLoader();
}
