package org.apache.xmlbeans.impl.jam.annotation;

import org.apache.xmlbeans.impl.jam.JAnnotationValue;
import org.apache.xmlbeans.impl.jam.JClass;
import org.apache.xmlbeans.impl.jam.provider.JamLogger;
import org.apache.xmlbeans.impl.jam.provider.JamServiceContext;

public abstract class AnnotationProxy {
    public static final String DEFAULT_NVPAIR_DELIMS = "\n\r";
    public static final String SINGLE_MEMBER_NAME = "value";
    public JamServiceContext mContext;

    public JamLogger getLogger() {
        return this.mContext.getLogger();
    }

    public JAnnotationValue getValue(String str) {
        if (str != null) {
            String trim = str.trim();
            JAnnotationValue[] values = getValues();
            for (int i2 = 0; i2 < values.length; i2++) {
                if (trim.equals(values[i2].getName())) {
                    return values[i2];
                }
            }
            return null;
        }
        throw new IllegalArgumentException("null name");
    }

    public abstract JAnnotationValue[] getValues();

    public void init(JamServiceContext jamServiceContext) {
        if (jamServiceContext != null) {
            this.mContext = jamServiceContext;
            return;
        }
        throw new IllegalArgumentException("null logger");
    }

    public abstract void setValue(String str, Object obj, JClass jClass);
}
