package org.apache.xmlbeans.impl.jam.annotation;

import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.List;
import org.apache.xmlbeans.impl.jam.JAnnotationValue;
import org.apache.xmlbeans.impl.jam.JClass;
import org.apache.xmlbeans.impl.jam.internal.elements.AnnotationValueImpl;
import org.apache.xmlbeans.impl.jam.internal.elements.ElementContext;

public abstract class TypedAnnotationProxyBase extends AnnotationProxy {
    public List mValues = null;

    public Method getSetterFor(String str, Class cls) {
        try {
            Class<?> cls2 = getClass();
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append("set");
            stringBuffer.append(str);
            return cls2.getMethod(stringBuffer.toString(), cls);
        } catch (NoSuchMethodException e2) {
            getLogger().warning(e2);
            return null;
        }
    }

    @Override // org.apache.xmlbeans.impl.jam.annotation.AnnotationProxy
    public JAnnotationValue[] getValues() {
        List list = this.mValues;
        if (list == null) {
            return new JAnnotationValue[0];
        }
        JAnnotationValue[] jAnnotationValueArr = new JAnnotationValue[list.size()];
        this.mValues.toArray(jAnnotationValueArr);
        return jAnnotationValueArr;
    }

    @Override // org.apache.xmlbeans.impl.jam.annotation.AnnotationProxy
    public void setValue(String str, Object obj, JClass jClass) {
        if (str == null) {
            throw new IllegalArgumentException("null name");
        } else if (obj != null) {
            if (this.mValues == null) {
                this.mValues = new ArrayList();
            }
            this.mValues.add(new AnnotationValueImpl((ElementContext) this.mContext, str, obj, jClass));
            Method setterFor = getSetterFor(str, obj.getClass());
            if (setterFor != null) {
                try {
                    setterFor.invoke(this, obj);
                } catch (IllegalAccessException e2) {
                    getLogger().warning(e2);
                } catch (InvocationTargetException e3) {
                    getLogger().warning(e3);
                }
            }
        } else {
            throw new IllegalArgumentException("null value");
        }
    }
}
