package org.apache.xmlbeans.impl.jam.annotation;

import b.b.a.a.a;
import com.sun.javadoc.Tag;
import java.util.Enumeration;
import java.util.Properties;
import org.apache.xmlbeans.impl.jam.mutable.MAnnotatedElement;
import org.apache.xmlbeans.impl.jam.mutable.MAnnotation;
import org.apache.xmlbeans.impl.jam.provider.JamLogger;

public class WhitespaceDelimitedTagParser extends JavadocTagParser {
    private boolean isBlank(char c) {
        return c == ' ' || c == '\t' || c == '\n';
    }

    private boolean isLegal(char c) {
        return !isBlank(c) && c != '=';
    }

    private void parseAssignments(Properties properties, String str) {
        int i2;
        JamLogger logger = getLogger();
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append("PARSING LINE ");
        stringBuffer.append(str);
        logger.verbose(stringBuffer.toString(), this);
        String removeComments = removeComments(str);
        while (removeComments != null && -1 != removeComments.indexOf("=")) {
            int i3 = 0;
            char charAt = removeComments.charAt(0);
            while (isBlank(charAt)) {
                i3++;
                charAt = removeComments.charAt(i3);
            }
            int i4 = i3;
            while (isLegal(removeComments.charAt(i4))) {
                i4++;
            }
            String substring = removeComments.substring(i3, i4);
            int indexOf = removeComments.indexOf("=");
            if (indexOf != -1) {
                int i5 = indexOf + 1;
                try {
                    charAt = removeComments.charAt(i5);
                } catch (StringIndexOutOfBoundsException e2) {
                    e2.printStackTrace();
                }
                while (isBlank(charAt)) {
                    i5++;
                    charAt = removeComments.charAt(i5);
                }
                if (charAt == '\"') {
                    i5++;
                    i2 = i5;
                    while ('\"' != removeComments.charAt(i2)) {
                        i2++;
                        if (i2 >= removeComments.length()) {
                            JamLogger logger2 = getLogger();
                            StringBuffer stringBuffer2 = new StringBuffer();
                            stringBuffer2.append("missing double quotes on line ");
                            stringBuffer2.append(removeComments);
                            logger2.verbose(stringBuffer2.toString(), this);
                        }
                    }
                } else {
                    i2 = i5 + 1;
                    while (i2 < removeComments.length() && isLegal(removeComments.charAt(i2))) {
                        i2++;
                    }
                }
                String substring2 = removeComments.substring(i5, i2);
                removeComments = i2 < removeComments.length() ? removeComments.substring(i2 + 1) : null;
                JamLogger logger3 = getLogger();
                StringBuffer stringBuffer3 = new StringBuffer();
                stringBuffer3.append("SETTING KEY:");
                stringBuffer3.append(substring);
                stringBuffer3.append(" VALUE:");
                stringBuffer3.append(substring2);
                logger3.verbose(stringBuffer3.toString(), this);
                properties.setProperty(substring, substring2);
            } else {
                return;
            }
        }
    }

    private String removeComments(String str) {
        int length = str.length();
        int indexOf = str.indexOf("//");
        int indexOf2 = str.indexOf("\"");
        if (-1 == indexOf2 || indexOf2 >= indexOf) {
            String str2 = "";
            int i2 = 0;
            String str3 = str;
            while (i2 < length && indexOf != -1) {
                indexOf = str.indexOf("//", i2);
                if (-1 != indexOf) {
                    if (indexOf <= 0 || str.charAt(indexOf - 1) != ':') {
                        int indexOf3 = str.indexOf(10, indexOf);
                        if (-1 == indexOf3) {
                            indexOf3 = length;
                        }
                        StringBuffer a = a.a(str2);
                        a.append(str.substring(i2, indexOf).trim());
                        a.append("\n");
                        str2 = a.toString();
                        str3 = str.substring(indexOf3);
                        i2 = indexOf3;
                    } else {
                        i2 = indexOf + 2;
                    }
                }
            }
            str = a.a(str2, str3);
        }
        return str.trim();
    }

    @Override // org.apache.xmlbeans.impl.jam.annotation.JavadocTagParser
    public void parse(MAnnotatedElement mAnnotatedElement, Tag tag) {
        MAnnotation[] createAnnotations = createAnnotations(mAnnotatedElement, tag);
        String text = tag.text();
        if (text != null) {
            String trim = text.trim();
            if (trim.length() != 0) {
                Properties properties = new Properties();
                parseAssignments(properties, trim);
                if (properties.size() > 0) {
                    Enumeration<?> propertyNames = properties.propertyNames();
                    while (propertyNames.hasMoreElements()) {
                        String str = (String) propertyNames.nextElement();
                        setValue(createAnnotations, str, properties.getProperty(str));
                    }
                    return;
                }
                setSingleValueText(createAnnotations, tag);
            }
        }
    }
}
