package org.apache.xmlbeans.impl.jam.internal;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import org.apache.xmlbeans.impl.common.NameUtil;
import org.apache.xmlbeans.impl.jam.mutable.MClass;
import org.apache.xmlbeans.impl.jam.provider.JamClassBuilder;

public class CachedClassBuilder extends JamClassBuilder {
    public List mClassNames = new ArrayList();
    public Map mQcname2jclass = null;

    @Override // org.apache.xmlbeans.impl.jam.provider.JamClassBuilder
    public MClass build(String str, String str2) {
        if (this.mQcname2jclass == null) {
            return null;
        }
        if (str.trim().length() > 0) {
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append(str);
            stringBuffer.append(NameUtil.PERIOD);
            stringBuffer.append(str2);
            str2 = stringBuffer.toString();
        }
        return (MClass) this.mQcname2jclass.get(str2);
    }

    @Override // org.apache.xmlbeans.impl.jam.provider.JamClassBuilder
    public MClass createClassToBuild(String str, String str2, String[] strArr) {
        String str3;
        if (str.trim().length() > 0) {
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append(str);
            stringBuffer.append(NameUtil.PERIOD);
            stringBuffer.append(str2);
            str3 = stringBuffer.toString();
        } else {
            str3 = str2;
        }
        Map map = this.mQcname2jclass;
        if (map != null) {
            MClass mClass = (MClass) map.get(str3);
            if (mClass != null) {
                return mClass;
            }
        } else {
            this.mQcname2jclass = new HashMap();
        }
        MClass createClassToBuild = super.createClassToBuild(str, str2, strArr);
        this.mQcname2jclass.put(str3, createClassToBuild);
        this.mClassNames.add(str3);
        return createClassToBuild;
    }

    public String[] getClassNames() {
        String[] strArr = new String[this.mClassNames.size()];
        this.mClassNames.toArray(strArr);
        return strArr;
    }
}
