package org.apache.xmlbeans.impl.jam.internal;

import org.apache.xmlbeans.impl.jam.JClass;
import org.apache.xmlbeans.impl.jam.JamClassIterator;
import org.apache.xmlbeans.impl.jam.JamClassLoader;
import org.apache.xmlbeans.impl.jam.JamService;
import org.apache.xmlbeans.impl.jam.internal.elements.ElementContext;

public class JamServiceImpl implements JamService {
    public String[] mClassNames;
    public ElementContext mContext;

    public JamServiceImpl(ElementContext elementContext, String[] strArr) {
        if (elementContext == null) {
            throw new IllegalArgumentException("null jcl");
        } else if (strArr != null) {
            this.mContext = elementContext;
            this.mClassNames = strArr;
        } else {
            throw new IllegalArgumentException("null classes");
        }
    }

    @Override // org.apache.xmlbeans.impl.jam.JamService
    public JClass[] getAllClasses() {
        int length = this.mClassNames.length;
        JClass[] jClassArr = new JClass[length];
        for (int i2 = 0; i2 < length; i2++) {
            jClassArr[i2] = getClassLoader().loadClass(this.mClassNames[i2]);
        }
        return jClassArr;
    }

    @Override // org.apache.xmlbeans.impl.jam.JamService
    public JamClassLoader getClassLoader() {
        return this.mContext.getClassLoader();
    }

    @Override // org.apache.xmlbeans.impl.jam.JamService
    public String[] getClassNames() {
        return this.mClassNames;
    }

    @Override // org.apache.xmlbeans.impl.jam.JamService
    public JamClassIterator getClasses() {
        return new JamClassIterator(getClassLoader(), getClassNames());
    }

    public void setClassNames(String[] strArr) {
        this.mClassNames = strArr;
    }
}
