package org.apache.xmlbeans.impl.jam.internal;

import b.b.a.a.a;
import org.apache.xmlbeans.impl.jam.internal.elements.ElementContext;
import org.apache.xmlbeans.impl.jam.provider.JamLogger;

public abstract class TigerDelegate {
    public static final String SOME_TIGER_SPECIFIC_JAVADOC_CLASS = "com.sun.javadoc.AnnotationDesc";
    public static final String SOME_TIGER_SPECIFIC_REFLECT_CLASS = "java.lang.annotation.Annotation";
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$jam$internal$TigerDelegate = null;
    public static boolean m14BuildWarningDone = false;
    public static boolean m14RuntimeWarningDone = false;
    public ElementContext mContext = null;
    public JamLogger mLogger = null;

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public static boolean isTigerJavadocAvailable(JamLogger jamLogger) {
        try {
            Class.forName(SOME_TIGER_SPECIFIC_JAVADOC_CLASS);
            return true;
        } catch (ClassNotFoundException e2) {
            issue14RuntimeWarning(e2, jamLogger);
            return false;
        }
    }

    public static boolean isTigerReflectionAvailable(JamLogger jamLogger) {
        try {
            Class.forName(SOME_TIGER_SPECIFIC_REFLECT_CLASS);
            return true;
        } catch (ClassNotFoundException e2) {
            issue14RuntimeWarning(e2, jamLogger);
            return false;
        }
    }

    public static void issue14BuildWarning(Throwable th, JamLogger jamLogger) {
        if (!m14BuildWarningDone) {
            jamLogger.warning("This build of JAM was not made with JDK 1.5.Even though you are now running under JDK 1.5, JSR175-style annotations will not be available");
            Class cls = class$org$apache$xmlbeans$impl$jam$internal$TigerDelegate;
            if (cls == null) {
                cls = class$("org.apache.xmlbeans.impl.jam.internal.TigerDelegate");
                class$org$apache$xmlbeans$impl$jam$internal$TigerDelegate = cls;
            }
            if (jamLogger.isVerbose(cls)) {
                jamLogger.verbose(th);
            }
            m14BuildWarningDone = true;
        }
    }

    public static void issue14RuntimeWarning(Throwable th, JamLogger jamLogger) {
        if (!m14RuntimeWarningDone) {
            jamLogger.warning("You are running under a pre-1.5 JDK.  JSR175-style source annotations will not be available");
            Class cls = class$org$apache$xmlbeans$impl$jam$internal$TigerDelegate;
            if (cls == null) {
                cls = class$("org.apache.xmlbeans.impl.jam.internal.TigerDelegate");
                class$org$apache$xmlbeans$impl$jam$internal$TigerDelegate = cls;
            }
            if (jamLogger.isVerbose(cls)) {
                jamLogger.verbose(th);
            }
            m14RuntimeWarningDone = true;
        }
    }

    public JamLogger getLogger() {
        return this.mLogger;
    }

    public void init(ElementContext elementContext) {
        this.mContext = elementContext;
        init(elementContext.getLogger());
    }

    public void init(JamLogger jamLogger) {
        this.mLogger = jamLogger;
    }
}
