package org.apache.xmlbeans.impl.jam.internal.classrefs;

import org.apache.xmlbeans.impl.jam.JClass;

public class DirectJClassRef implements JClassRef {
    public JClass mClass;

    public DirectJClassRef(JClass jClass) {
        if (jClass != null) {
            this.mClass = jClass;
            return;
        }
        throw new IllegalArgumentException("null clazz");
    }

    public static JClassRef create(JClass jClass) {
        if (jClass instanceof JClassRef) {
            return (JClassRef) jClass;
        }
        return new DirectJClassRef(jClass);
    }

    @Override // org.apache.xmlbeans.impl.jam.internal.classrefs.JClassRef
    public String getQualifiedName() {
        return this.mClass.getQualifiedName();
    }

    @Override // org.apache.xmlbeans.impl.jam.internal.classrefs.JClassRef
    public JClass getRefClass() {
        return this.mClass;
    }
}
