package org.apache.xmlbeans.impl.jam.internal.classrefs;

import b.b.a.a.a;
import org.apache.xmlbeans.impl.jam.JClass;
import org.apache.xmlbeans.impl.jam.JamClassLoader;

public class QualifiedJClassRef implements JClassRef {
    public JamClassLoader mClassLoader;
    public String mQualifiedClassname;

    public QualifiedJClassRef(String str, JamClassLoader jamClassLoader) {
        this.mClassLoader = jamClassLoader;
        this.mQualifiedClassname = str;
    }

    public static JClassRef create(JClass jClass) {
        if (jClass != null) {
            return new QualifiedJClassRef(jClass.getFieldDescriptor(), jClass.getClassLoader());
        }
        throw new IllegalArgumentException("null clazz");
    }

    @Override // org.apache.xmlbeans.impl.jam.internal.classrefs.JClassRef
    public String getQualifiedName() {
        return this.mQualifiedClassname;
    }

    @Override // org.apache.xmlbeans.impl.jam.internal.classrefs.JClassRef
    public JClass getRefClass() {
        return this.mClassLoader.loadClass(this.mQualifiedClassname);
    }

    public String toString() {
        return a.a(a.a("(QualifiedJClassRef '"), this.mQualifiedClassname, "')");
    }

    public static JClassRef create(String str, JClassRefContext jClassRefContext) {
        if (str == null) {
            throw new IllegalArgumentException("null qcname");
        } else if (jClassRefContext != null) {
            return create(str, jClassRefContext.getClassLoader());
        } else {
            throw new IllegalArgumentException("null ctx");
        }
    }

    public static JClassRef create(String str, JamClassLoader jamClassLoader) {
        if (str == null) {
            throw new IllegalArgumentException("null qcname");
        } else if (jamClassLoader != null) {
            return new QualifiedJClassRef(str, jamClassLoader);
        } else {
            throw new IllegalArgumentException("null classloader");
        }
    }
}
