package org.apache.xmlbeans.impl.jam.internal.elements;

import b.b.a.a.a;
import org.apache.xmlbeans.impl.jam.JAnnotationValue;
import org.apache.xmlbeans.impl.jam.JClass;
import org.apache.xmlbeans.impl.jam.JamClassLoader;
import org.apache.xmlbeans.impl.jam.annotation.AnnotationProxy;
import org.apache.xmlbeans.impl.jam.mutable.MAnnotation;
import org.apache.xmlbeans.impl.jam.visitor.JVisitor;
import org.apache.xmlbeans.impl.jam.visitor.MVisitor;

public final class AnnotationImpl extends ElementImpl implements MAnnotation {
    public Object mAnnotationInstance = null;
    public AnnotationProxy mProxy;
    public String mQualifiedName = null;

    public AnnotationImpl(ElementContext elementContext, AnnotationProxy annotationProxy, String str) {
        super(elementContext);
        if (annotationProxy == null) {
            throw new IllegalArgumentException("null proxy");
        } else if (str != null) {
            this.mProxy = annotationProxy;
            setSimpleName(str.substring(str.lastIndexOf(46) + 1));
            this.mQualifiedName = str;
        } else {
            throw new IllegalArgumentException("null qn");
        }
    }

    @Override // org.apache.xmlbeans.impl.jam.mutable.MElement
    public void accept(MVisitor mVisitor) {
        mVisitor.visit(this);
    }

    @Override // org.apache.xmlbeans.impl.jam.mutable.MAnnotation
    public MAnnotation createNestedValue(String str, String str2) {
        if (str == null) {
            throw new IllegalArgumentException("null name");
        } else if (str2 != null) {
            AnnotationImpl annotationImpl = new AnnotationImpl(getContext(), getContext().createAnnotationProxy(str2), str2);
            this.mProxy.setValue(str, annotationImpl, getContext().getClassLoader().loadClass(str2));
            return annotationImpl;
        } else {
            throw new IllegalArgumentException("null typename");
        }
    }

    @Override // org.apache.xmlbeans.impl.jam.mutable.MAnnotation
    public MAnnotation[] createNestedValueArray(String str, String str2, int i2) {
        if (str == null) {
            throw new IllegalArgumentException("null name");
        } else if (str2 == null) {
            throw new IllegalArgumentException("null typename");
        } else if (i2 >= 0) {
            MAnnotation[] mAnnotationArr = new MAnnotation[i2];
            for (int i3 = 0; i3 < i2; i3++) {
                mAnnotationArr[i3] = new AnnotationImpl(getContext(), getContext().createAnnotationProxy(str2), str2);
            }
            JamClassLoader classLoader = getContext().getClassLoader();
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append("[L");
            stringBuffer.append(str2);
            stringBuffer.append(";");
            this.mProxy.setValue(str, mAnnotationArr, classLoader.loadClass(stringBuffer.toString()));
            return mAnnotationArr;
        } else {
            throw new IllegalArgumentException(a.b("dimensions = ", i2));
        }
    }

    @Override // org.apache.xmlbeans.impl.jam.JAnnotation
    public Object getAnnotationInstance() {
        return this.mAnnotationInstance;
    }

    @Override // org.apache.xmlbeans.impl.jam.JAnnotation
    public Object getProxy() {
        return this.mProxy;
    }

    @Override // org.apache.xmlbeans.impl.jam.JElement
    public String getQualifiedName() {
        return this.mQualifiedName;
    }

    @Override // org.apache.xmlbeans.impl.jam.JAnnotation
    public JAnnotationValue getValue(String str) {
        return this.mProxy.getValue(str);
    }

    @Override // org.apache.xmlbeans.impl.jam.JAnnotation
    public JAnnotationValue[] getValues() {
        return this.mProxy.getValues();
    }

    @Override // org.apache.xmlbeans.impl.jam.mutable.MAnnotation
    public void setAnnotationInstance(Object obj) {
        this.mAnnotationInstance = obj;
    }

    @Override // org.apache.xmlbeans.impl.jam.mutable.MAnnotation
    public void setSimpleValue(String str, Object obj, JClass jClass) {
        if (str == null) {
            throw new IllegalArgumentException("null name");
        } else if (jClass == null) {
            throw new IllegalArgumentException("null type");
        } else if (obj != null) {
            this.mProxy.setValue(str, obj, jClass);
        } else {
            throw new IllegalArgumentException("null value");
        }
    }

    @Override // org.apache.xmlbeans.impl.jam.JElement
    public void accept(JVisitor jVisitor) {
        jVisitor.visit(this);
    }
}
