package org.apache.xmlbeans.impl.jam.internal.elements;

import org.apache.xmlbeans.impl.jam.mutable.MComment;
import org.apache.xmlbeans.impl.jam.visitor.JVisitor;
import org.apache.xmlbeans.impl.jam.visitor.MVisitor;

public final class CommentImpl extends ElementImpl implements MComment {
    public String mText = null;

    public CommentImpl(ElementImpl elementImpl) {
        super(elementImpl);
    }

    @Override // org.apache.xmlbeans.impl.jam.mutable.MElement
    public void accept(MVisitor mVisitor) {
        mVisitor.visit(this);
    }

    @Override // org.apache.xmlbeans.impl.jam.JElement
    public String getQualifiedName() {
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append(getParent().getQualifiedName());
        stringBuffer.append(".{comment}");
        return stringBuffer.toString();
    }

    @Override // org.apache.xmlbeans.impl.jam.JComment
    public String getText() {
        String str = this.mText;
        return str == null ? "" : str;
    }

    @Override // org.apache.xmlbeans.impl.jam.mutable.MComment
    public void setText(String str) {
        this.mText = str;
    }

    @Override // org.apache.xmlbeans.impl.jam.JElement
    public void accept(JVisitor jVisitor) {
        jVisitor.visit(this);
    }
}
