package org.apache.xmlbeans.impl.jam.internal.elements;

import java.lang.reflect.Modifier;
import org.apache.xmlbeans.impl.jam.JClass;
import org.apache.xmlbeans.impl.jam.JElement;
import org.apache.xmlbeans.impl.jam.JMember;
import org.apache.xmlbeans.impl.jam.mutable.MMember;

public abstract class MemberImpl extends AnnotatedElementImpl implements MMember {
    public int mModifiers = 0;

    public MemberImpl(ElementImpl elementImpl) {
        super(elementImpl);
    }

    @Override // org.apache.xmlbeans.impl.jam.JMember
    public JClass getContainingClass() {
        JElement parent = getParent();
        if (parent instanceof JClass) {
            return (JClass) parent;
        }
        if (parent instanceof JMember) {
            return ((JMember) parent).getContainingClass();
        }
        return null;
    }

    @Override // org.apache.xmlbeans.impl.jam.JMember
    public int getModifiers() {
        return this.mModifiers;
    }

    @Override // org.apache.xmlbeans.impl.jam.JMember
    public boolean isPackagePrivate() {
        return !isPrivate() && !isPublic() && !isProtected();
    }

    @Override // org.apache.xmlbeans.impl.jam.JMember
    public boolean isPrivate() {
        return Modifier.isPrivate(getModifiers());
    }

    @Override // org.apache.xmlbeans.impl.jam.JMember
    public boolean isProtected() {
        return Modifier.isProtected(getModifiers());
    }

    @Override // org.apache.xmlbeans.impl.jam.JMember
    public boolean isPublic() {
        return Modifier.isPublic(getModifiers());
    }

    @Override // org.apache.xmlbeans.impl.jam.mutable.MMember
    public void setModifiers(int i2) {
        this.mModifiers = i2;
    }

    public MemberImpl(ElementContext elementContext) {
        super(elementContext);
    }
}
