package org.apache.xmlbeans.impl.jam.internal.elements;

import org.apache.xmlbeans.impl.jam.JClass;
import org.apache.xmlbeans.impl.jam.internal.classrefs.DirectJClassRef;
import org.apache.xmlbeans.impl.jam.internal.classrefs.JClassRef;
import org.apache.xmlbeans.impl.jam.internal.classrefs.QualifiedJClassRef;
import org.apache.xmlbeans.impl.jam.internal.classrefs.UnqualifiedJClassRef;
import org.apache.xmlbeans.impl.jam.mutable.MParameter;
import org.apache.xmlbeans.impl.jam.visitor.JVisitor;
import org.apache.xmlbeans.impl.jam.visitor.MVisitor;

public class ParameterImpl extends MemberImpl implements MParameter {
    public JClassRef mTypeClassRef;

    public ParameterImpl(String str, InvokableImpl invokableImpl, String str2) {
        super(invokableImpl);
        setSimpleName(str);
        setType(str2);
    }

    @Override // org.apache.xmlbeans.impl.jam.mutable.MElement
    public void accept(MVisitor mVisitor) {
        mVisitor.visit(this);
    }

    @Override // org.apache.xmlbeans.impl.jam.JElement
    public String getQualifiedName() {
        return getSimpleName();
    }

    @Override // org.apache.xmlbeans.impl.jam.JParameter
    public JClass getType() {
        return this.mTypeClassRef.getRefClass();
    }

    @Override // org.apache.xmlbeans.impl.jam.mutable.MParameter
    public void setType(String str) {
        if (str != null) {
            this.mTypeClassRef = QualifiedJClassRef.create(str, (ClassImpl) getContainingClass());
            return;
        }
        throw new IllegalArgumentException("null typename");
    }

    @Override // org.apache.xmlbeans.impl.jam.mutable.MParameter
    public void setUnqualifiedType(String str) {
        if (str != null) {
            this.mTypeClassRef = UnqualifiedJClassRef.create(str, (ClassImpl) getContainingClass());
            return;
        }
        throw new IllegalArgumentException("null ucname");
    }

    @Override // org.apache.xmlbeans.impl.jam.JElement
    public void accept(JVisitor jVisitor) {
        jVisitor.visit(this);
    }

    @Override // org.apache.xmlbeans.impl.jam.mutable.MParameter
    public void setType(JClass jClass) {
        if (jClass != null) {
            this.mTypeClassRef = DirectJClassRef.create(jClass);
            return;
        }
        throw new IllegalArgumentException("null qcname");
    }
}
