package org.apache.xmlbeans.impl.jam.internal.elements;

import b.b.a.a.a;
import java.util.HashMap;
import java.util.Map;
import org.apache.xerces.impl.xs.SchemaSymbols;
import org.apache.xmlbeans.impl.jam.JClass;

public final class PrimitiveClassImpl extends BuiltinClassImpl {
    public static final Map NAME_TO_CLASS = new HashMap();
    public static final Map NAME_TO_FD = new HashMap();
    public static final Object[][] PRIMITIVES = {new Object[]{"int", "I", Integer.TYPE}, new Object[]{"long", "J", Long.TYPE}, new Object[]{"boolean", "Z", Boolean.TYPE}, new Object[]{SchemaSymbols.ATTVAL_SHORT, "S", Short.TYPE}, new Object[]{SchemaSymbols.ATTVAL_BYTE, "B", Byte.TYPE}, new Object[]{"char", "C", Character.TYPE}, new Object[]{"float", "F", Float.TYPE}, new Object[]{"double", "D", Double.TYPE}};

    static {
        int i2 = 0;
        while (true) {
            Object[][] objArr = PRIMITIVES;
            if (i2 < objArr.length) {
                NAME_TO_FD.put(objArr[i2][0], objArr[i2][1]);
                Map map = NAME_TO_CLASS;
                Object[][] objArr2 = PRIMITIVES;
                map.put(objArr2[i2][0], objArr2[i2][2]);
                i2++;
            } else {
                return;
            }
        }
    }

    public PrimitiveClassImpl(ElementContext elementContext, String str) {
        super(elementContext);
        if (str == null) {
            throw new IllegalArgumentException("null name");
        } else if (NAME_TO_FD.containsKey(str)) {
            reallySetSimpleName(str);
        } else {
            throw new IllegalArgumentException(a.a("Unknown primitive class '", str, "'"));
        }
    }

    public static final String getFieldDescriptor(String str) {
        return (String) NAME_TO_FD.get(str);
    }

    public static final Class getPrimitiveClass(String str) {
        return (Class) NAME_TO_CLASS.get(str);
    }

    public static String getPrimitiveClassForName(String str) {
        return (String) NAME_TO_FD.get(str);
    }

    public static boolean isPrimitive(String str) {
        return NAME_TO_FD.get(str) != null;
    }

    public static void mapNameToPrimitive(ElementContext elementContext, Map map) {
        int i2 = 0;
        while (true) {
            Object[][] objArr = PRIMITIVES;
            if (i2 < objArr.length) {
                PrimitiveClassImpl primitiveClassImpl = new PrimitiveClassImpl(elementContext, (String) objArr[i2][0]);
                map.put(PRIMITIVES[i2][0], primitiveClassImpl);
                map.put(PRIMITIVES[i2][1], primitiveClassImpl);
                i2++;
            } else {
                return;
            }
        }
    }

    @Override // org.apache.xmlbeans.impl.jam.internal.elements.BuiltinClassImpl, org.apache.xmlbeans.impl.jam.JElement
    public String getQualifiedName() {
        return getSimpleName();
    }

    @Override // org.apache.xmlbeans.impl.jam.JClass
    public boolean isAssignableFrom(JClass jClass) {
        return jClass.isPrimitiveType() && jClass.getSimpleName().equals(getSimpleName());
    }

    @Override // org.apache.xmlbeans.impl.jam.internal.elements.BuiltinClassImpl, org.apache.xmlbeans.impl.jam.JClass
    public boolean isPrimitiveType() {
        return true;
    }

    @Override // org.apache.xmlbeans.impl.jam.internal.elements.BuiltinClassImpl, org.apache.xmlbeans.impl.jam.JClass
    public String getFieldDescriptor() {
        return (String) NAME_TO_FD.get(getSimpleName());
    }

    @Override // org.apache.xmlbeans.impl.jam.internal.elements.BuiltinClassImpl, org.apache.xmlbeans.impl.jam.JClass
    public Class getPrimitiveClass() {
        return (Class) NAME_TO_CLASS.get(getSimpleName());
    }
}
