package org.apache.xmlbeans.impl.jam.internal.elements;

import org.apache.xmlbeans.impl.common.NameUtil;
import org.apache.xmlbeans.impl.jam.JClass;
import org.apache.xmlbeans.impl.jam.JPackage;

public final class UnresolvedClassImpl extends BuiltinClassImpl {
    public String mPackageName;

    public UnresolvedClassImpl(String str, String str2, ElementContext elementContext) {
        super(elementContext);
        if (str != null) {
            this.mPackageName = str;
            reallySetSimpleName(str2);
            return;
        }
        throw new IllegalArgumentException("null pkg");
    }

    @Override // org.apache.xmlbeans.impl.jam.internal.elements.BuiltinClassImpl, org.apache.xmlbeans.impl.jam.JClass
    public JPackage getContainingPackage() {
        return null;
    }

    @Override // org.apache.xmlbeans.impl.jam.internal.elements.BuiltinClassImpl, org.apache.xmlbeans.impl.jam.JClass
    public String getFieldDescriptor() {
        return getQualifiedName();
    }

    @Override // org.apache.xmlbeans.impl.jam.internal.elements.BuiltinClassImpl, org.apache.xmlbeans.impl.jam.JElement
    public String getQualifiedName() {
        String str;
        StringBuffer stringBuffer = new StringBuffer();
        if (this.mPackageName.length() > 0) {
            StringBuffer stringBuffer2 = new StringBuffer();
            stringBuffer2.append(this.mPackageName);
            stringBuffer2.append(NameUtil.PERIOD);
            str = stringBuffer2.toString();
        } else {
            str = "";
        }
        stringBuffer.append(str);
        stringBuffer.append(this.mSimpleName);
        return stringBuffer.toString();
    }

    @Override // org.apache.xmlbeans.impl.jam.JClass
    public boolean isAssignableFrom(JClass jClass) {
        return false;
    }

    @Override // org.apache.xmlbeans.impl.jam.internal.elements.BuiltinClassImpl, org.apache.xmlbeans.impl.jam.JClass
    public boolean isUnresolvedType() {
        return true;
    }
}
