package org.apache.xmlbeans.impl.jam.internal.elements;

import org.apache.xmlbeans.impl.jam.JClass;

public final class VoidClassImpl extends BuiltinClassImpl {
    public static final String SIMPLE_NAME = "void";

    public VoidClassImpl(ElementContext elementContext) {
        super(elementContext);
        super.reallySetSimpleName(SIMPLE_NAME);
    }

    public static boolean isVoid(String str) {
        return str.equals(SIMPLE_NAME);
    }

    @Override // org.apache.xmlbeans.impl.jam.JClass
    public boolean isAssignableFrom(JClass jClass) {
        return false;
    }

    @Override // org.apache.xmlbeans.impl.jam.internal.elements.BuiltinClassImpl, org.apache.xmlbeans.impl.jam.JClass
    public boolean isVoidType() {
        return true;
    }
}
