package org.apache.xmlbeans.impl.jam.provider;

import org.apache.xmlbeans.impl.jam.internal.elements.ElementContext;
import org.apache.xmlbeans.impl.jam.mutable.MClass;

public class CompositeJamClassBuilder extends JamClassBuilder {
    public JamClassBuilder[] mBuilders;

    public CompositeJamClassBuilder(JamClassBuilder[] jamClassBuilderArr) {
        if (jamClassBuilderArr != null) {
            this.mBuilders = jamClassBuilderArr;
            return;
        }
        throw new IllegalArgumentException("null builders");
    }

    @Override // org.apache.xmlbeans.impl.jam.provider.JamClassBuilder
    public MClass build(String str, String str2) {
        int i2 = 0;
        while (true) {
            JamClassBuilder[] jamClassBuilderArr = this.mBuilders;
            if (i2 >= jamClassBuilderArr.length) {
                return null;
            }
            MClass build = jamClassBuilderArr[i2].build(str, str2);
            if (build != null) {
                return build;
            }
            i2++;
        }
    }

    @Override // org.apache.xmlbeans.impl.jam.provider.JamClassBuilder
    public void init(ElementContext elementContext) {
        int i2 = 0;
        while (true) {
            JamClassBuilder[] jamClassBuilderArr = this.mBuilders;
            if (i2 < jamClassBuilderArr.length) {
                jamClassBuilderArr[i2].init(elementContext);
                i2++;
            } else {
                return;
            }
        }
    }
}
