package org.apache.xmlbeans.impl.jam.provider;

import org.apache.xmlbeans.impl.common.NameUtil;
import org.apache.xmlbeans.impl.jam.internal.elements.ClassImpl;
import org.apache.xmlbeans.impl.jam.internal.elements.ElementContext;
import org.apache.xmlbeans.impl.jam.mutable.MClass;

public abstract class JamClassBuilder {
    public ElementContext mContext = null;

    public final void assertInitialized() {
        if (this.mContext == null) {
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append(this);
            stringBuffer.append(" not yet initialized.");
            throw new IllegalStateException(stringBuffer.toString());
        }
    }

    public abstract MClass build(String str, String str2);

    public MClass createClassToBuild(String str, String str2, String[] strArr, JamClassPopulator jamClassPopulator) {
        if (this.mContext == null) {
            throw new IllegalStateException("init not called");
        } else if (str == null) {
            throw new IllegalArgumentException("null pkg");
        } else if (str2 == null) {
            throw new IllegalArgumentException("null class");
        } else if (jamClassPopulator != null) {
            assertInitialized();
            return new ClassImpl(str, str2.replace(NameUtil.PERIOD, '$'), this.mContext, strArr, jamClassPopulator);
        } else {
            throw new IllegalArgumentException("null pop");
        }
    }

    public JamLogger getLogger() {
        return this.mContext;
    }

    public void init(ElementContext elementContext) {
        if (this.mContext != null) {
            throw new IllegalStateException("init called more than once");
        } else if (elementContext != null) {
            this.mContext = elementContext;
        } else {
            throw new IllegalArgumentException("null ctx");
        }
    }

    public MClass createClassToBuild(String str, String str2, String[] strArr) {
        if (this.mContext == null) {
            throw new IllegalStateException("init not called");
        } else if (str == null) {
            throw new IllegalArgumentException("null pkg");
        } else if (str2 != null) {
            assertInitialized();
            return new ClassImpl(str, str2.replace(NameUtil.PERIOD, '$'), this.mContext, strArr);
        } else {
            throw new IllegalArgumentException("null class");
        }
    }
}
