package org.apache.xmlbeans.impl.jam.provider;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.InputStream;
import java.io.StringWriter;
import java.net.URI;
import java.net.URL;

public class ResourcePath {
    public File[] mFiles;

    public ResourcePath(File[] fileArr) {
        if (fileArr != null) {
            this.mFiles = fileArr;
            return;
        }
        throw new IllegalArgumentException("null files");
    }

    public static ResourcePath forFiles(File[] fileArr) {
        return new ResourcePath(fileArr);
    }

    public InputStream findInPath(String str) {
        for (int i2 = 0; i2 < this.mFiles.length; i2++) {
            File file = new File(this.mFiles[i2], str);
            try {
                if (file.exists()) {
                    return new FileInputStream(file);
                }
            } catch (FileNotFoundException e2) {
                e2.printStackTrace();
            }
        }
        return null;
    }

    public String toString() {
        StringWriter stringWriter = new StringWriter();
        int i2 = 0;
        while (true) {
            File[] fileArr = this.mFiles;
            if (i2 >= fileArr.length) {
                return stringWriter.toString();
            }
            stringWriter.write(fileArr[i2].getAbsolutePath());
            stringWriter.write(File.pathSeparatorChar);
            i2++;
        }
    }

    public URI[] toUriPath() {
        URI[] uriArr = new URI[this.mFiles.length];
        int i2 = 0;
        while (true) {
            File[] fileArr = this.mFiles;
            if (i2 >= fileArr.length) {
                return uriArr;
            }
            uriArr[i2] = fileArr[i2].toURI();
            i2++;
        }
    }

    public URL[] toUrlPath() {
        URL[] urlArr = new URL[this.mFiles.length];
        int i2 = 0;
        while (true) {
            File[] fileArr = this.mFiles;
            if (i2 >= fileArr.length) {
                return urlArr;
            }
            urlArr[i2] = fileArr[i2].toURL();
            i2++;
        }
    }
}
