package org.apache.xmlbeans.impl.jam.visitor;

import org.apache.xmlbeans.impl.jam.mutable.MAnnotation;
import org.apache.xmlbeans.impl.jam.mutable.MClass;
import org.apache.xmlbeans.impl.jam.mutable.MComment;
import org.apache.xmlbeans.impl.jam.mutable.MConstructor;
import org.apache.xmlbeans.impl.jam.mutable.MField;
import org.apache.xmlbeans.impl.jam.mutable.MMethod;
import org.apache.xmlbeans.impl.jam.mutable.MPackage;
import org.apache.xmlbeans.impl.jam.mutable.MParameter;

public class CompositeMVisitor extends MVisitor {
    public MVisitor[] mVisitors;

    public CompositeMVisitor(MVisitor[] mVisitorArr) {
        if (mVisitorArr != null) {
            this.mVisitors = mVisitorArr;
            return;
        }
        throw new IllegalArgumentException("null visitors");
    }

    @Override // org.apache.xmlbeans.impl.jam.visitor.MVisitor
    public void visit(MPackage mPackage) {
        int i2 = 0;
        while (true) {
            MVisitor[] mVisitorArr = this.mVisitors;
            if (i2 < mVisitorArr.length) {
                mVisitorArr[i2].visit(mPackage);
                i2++;
            } else {
                return;
            }
        }
    }

    @Override // org.apache.xmlbeans.impl.jam.visitor.MVisitor
    public void visit(MClass mClass) {
        int i2 = 0;
        while (true) {
            MVisitor[] mVisitorArr = this.mVisitors;
            if (i2 < mVisitorArr.length) {
                mVisitorArr[i2].visit(mClass);
                i2++;
            } else {
                return;
            }
        }
    }

    @Override // org.apache.xmlbeans.impl.jam.visitor.MVisitor
    public void visit(MConstructor mConstructor) {
        int i2 = 0;
        while (true) {
            MVisitor[] mVisitorArr = this.mVisitors;
            if (i2 < mVisitorArr.length) {
                mVisitorArr[i2].visit(mConstructor);
                i2++;
            } else {
                return;
            }
        }
    }

    @Override // org.apache.xmlbeans.impl.jam.visitor.MVisitor
    public void visit(MField mField) {
        int i2 = 0;
        while (true) {
            MVisitor[] mVisitorArr = this.mVisitors;
            if (i2 < mVisitorArr.length) {
                mVisitorArr[i2].visit(mField);
                i2++;
            } else {
                return;
            }
        }
    }

    @Override // org.apache.xmlbeans.impl.jam.visitor.MVisitor
    public void visit(MMethod mMethod) {
        int i2 = 0;
        while (true) {
            MVisitor[] mVisitorArr = this.mVisitors;
            if (i2 < mVisitorArr.length) {
                mVisitorArr[i2].visit(mMethod);
                i2++;
            } else {
                return;
            }
        }
    }

    @Override // org.apache.xmlbeans.impl.jam.visitor.MVisitor
    public void visit(MParameter mParameter) {
        int i2 = 0;
        while (true) {
            MVisitor[] mVisitorArr = this.mVisitors;
            if (i2 < mVisitorArr.length) {
                mVisitorArr[i2].visit(mParameter);
                i2++;
            } else {
                return;
            }
        }
    }

    @Override // org.apache.xmlbeans.impl.jam.visitor.MVisitor
    public void visit(MAnnotation mAnnotation) {
        int i2 = 0;
        while (true) {
            MVisitor[] mVisitorArr = this.mVisitors;
            if (i2 < mVisitorArr.length) {
                mVisitorArr[i2].visit(mAnnotation);
                i2++;
            } else {
                return;
            }
        }
    }

    @Override // org.apache.xmlbeans.impl.jam.visitor.MVisitor
    public void visit(MComment mComment) {
        int i2 = 0;
        while (true) {
            MVisitor[] mVisitorArr = this.mVisitors;
            if (i2 < mVisitorArr.length) {
                mVisitorArr[i2].visit(mComment);
                i2++;
            } else {
                return;
            }
        }
    }
}
