package org.apache.xmlbeans.impl.jam.visitor;

import java.util.HashMap;
import org.apache.xmlbeans.impl.jam.JClass;
import org.apache.xmlbeans.impl.jam.JMethod;
import org.apache.xmlbeans.impl.jam.JProperty;
import org.apache.xmlbeans.impl.jam.internal.elements.PropertyImpl;
import org.apache.xmlbeans.impl.jam.mutable.MClass;

public class PropertyInitializer extends MVisitor {
    private void addProperties(MClass mClass, boolean z) {
        JMethod[] declaredMethods = z ? mClass.getDeclaredMethods() : mClass.getMethods();
        HashMap hashMap = new HashMap();
        for (int i2 = 0; i2 < declaredMethods.length; i2++) {
            String simpleName = declaredMethods[i2].getSimpleName();
            if ((simpleName.startsWith("get") && simpleName.length() > 3) || (simpleName.startsWith("is") && simpleName.length() > 2)) {
                JClass returnType = declaredMethods[i2].getReturnType();
                if (returnType != null && declaredMethods[i2].getParameters().length <= 0) {
                    if (simpleName.startsWith("get")) {
                        simpleName = simpleName.substring(3);
                    } else {
                        simpleName = simpleName.substring(2);
                    }
                    JProperty jProperty = (JProperty) hashMap.get(simpleName);
                    if (jProperty == null) {
                        hashMap.put(simpleName, z ? mClass.addNewDeclaredProperty(simpleName, declaredMethods[i2], null) : mClass.addNewProperty(simpleName, declaredMethods[i2], null));
                    } else if (returnType.equals(jProperty.getType())) {
                        ((PropertyImpl) jProperty).setGetter(declaredMethods[i2]);
                    }
                }
            }
            if (simpleName.startsWith("set") && simpleName.length() > 3 && declaredMethods[i2].getParameters().length == 1) {
                JClass type = declaredMethods[i2].getParameters()[0].getType();
                String substring = simpleName.substring(3);
                JProperty jProperty2 = (JProperty) hashMap.get(substring);
                if (jProperty2 == null) {
                    hashMap.put(substring, z ? mClass.addNewDeclaredProperty(substring, null, declaredMethods[i2]) : mClass.addNewProperty(substring, null, declaredMethods[i2]));
                } else if (type.equals(jProperty2.getType())) {
                    ((PropertyImpl) jProperty2).setSetter(declaredMethods[i2]);
                }
            }
        }
    }

    @Override // org.apache.xmlbeans.impl.jam.visitor.MVisitor
    public void visit(MClass mClass) {
        addProperties(mClass, true);
        addProperties(mClass, false);
    }
}
