package org.apache.xmlbeans.impl.jam.xml;

import java.io.InputStream;
import java.io.Writer;
import java.util.Arrays;
import java.util.List;
import org.apache.xmlbeans.impl.jam.JClass;
import org.apache.xmlbeans.impl.jam.JamService;
import org.apache.xmlbeans.impl.jam.JamServiceFactory;
import org.apache.xmlbeans.impl.jam.JamServiceParams;
import org.apache.xmlbeans.impl.jam.internal.CachedClassBuilder;
import org.apache.xmlbeans.impl.jam.internal.JamServiceImpl;
import org.apache.xmlbeans.impl.jam.internal.elements.ElementContext;

public class JamXmlUtils {
    public static final JamXmlUtils INSTANCE = new JamXmlUtils();

    public static final JamXmlUtils getInstance() {
        return INSTANCE;
    }

    public JamService createService(InputStream inputStream) {
        if (inputStream != null) {
            JamServiceFactory instance = JamServiceFactory.getInstance();
            JamServiceParams createServiceParams = instance.createServiceParams();
            CachedClassBuilder cachedClassBuilder = new CachedClassBuilder();
            createServiceParams.addClassBuilder(cachedClassBuilder);
            JamService createService = instance.createService(createServiceParams);
            new JamXmlReader(cachedClassBuilder, inputStream, (ElementContext) createServiceParams).read();
            List asList = Arrays.asList(cachedClassBuilder.getClassNames());
            asList.addAll(Arrays.asList(createService.getClassNames()));
            String[] strArr = new String[asList.size()];
            asList.toArray(strArr);
            ((JamServiceImpl) createService).setClassNames(strArr);
            return createService;
        }
        throw new IllegalArgumentException("null stream");
    }

    public void toXml(JClass[] jClassArr, Writer writer) {
        if (jClassArr == null) {
            throw new IllegalArgumentException("null classes");
        } else if (writer != null) {
            JamXmlWriter jamXmlWriter = new JamXmlWriter(writer);
            jamXmlWriter.begin();
            for (JClass jClass : jClassArr) {
                jamXmlWriter.write(jClass);
            }
            jamXmlWriter.end();
        } else {
            throw new IllegalArgumentException("null writer");
        }
    }
}
