package org.apache.xmlbeans.impl.piccolo.util;

public final class IndexedObjectImpl implements IndexedObject {
    public int index;
    public Object object;

    public IndexedObjectImpl(int i2, Object obj) {
        this.index = i2;
        this.object = obj;
    }

    public final Object clone() {
        return new IndexedObjectImpl(this.index, this.object);
    }

    public final boolean equals(Object obj) {
        if (!(obj instanceof IndexedObject)) {
            return false;
        }
        IndexedObject indexedObject = (IndexedObject) obj;
        if (this.index != indexedObject.getIndex() || !this.object.equals(indexedObject.getObject())) {
            return false;
        }
        return true;
    }

    @Override // org.apache.xmlbeans.impl.piccolo.util.IndexedObject
    public final int getIndex() {
        return this.index;
    }

    @Override // org.apache.xmlbeans.impl.piccolo.util.IndexedObject
    public final Object getObject() {
        return this.object;
    }

    @Override // org.apache.xmlbeans.impl.piccolo.util.IndexedObject
    public final void setIndex(int i2) {
        this.index = i2;
    }

    @Override // org.apache.xmlbeans.impl.piccolo.util.IndexedObject
    public final void setObject(Object obj) {
        this.object = obj;
    }
}
