package org.apache.xmlbeans.impl.piccolo.util;

public final class LongStack {
    public int pos = -1;
    public long[] stack;

    public LongStack(int i2) {
        this.stack = new long[i2];
    }

    public void clear() {
        this.pos = -1;
    }

    public long pop() {
        int i2 = this.pos;
        if (i2 >= 0) {
            long[] jArr = this.stack;
            this.pos = i2 - 1;
            return jArr[i2];
        }
        throw new ArrayIndexOutOfBoundsException("stack underflow");
    }

    public void push(long j) {
        int i2 = this.pos;
        int i3 = i2 + 1;
        long[] jArr = this.stack;
        if (i3 < jArr.length) {
            int i4 = i2 + 1;
            this.pos = i4;
            jArr[i4] = j;
            return;
        }
        setSize(jArr.length * 2);
        long[] jArr2 = this.stack;
        int i5 = this.pos + 1;
        this.pos = i5;
        jArr2[i5] = j;
    }

    public void setSize(int i2) {
        long[] jArr = this.stack;
        if (i2 != jArr.length) {
            long[] jArr2 = new long[i2];
            System.arraycopy(jArr, 0, jArr2, 0, Math.min(jArr.length, i2));
            this.stack = jArr2;
        }
    }

    public int size() {
        return this.pos + 1;
    }
}
