package org.apache.xmlbeans.impl.piccolo.xml;

import org.apache.xerces.impl.xs.SchemaSymbols;

public final class AttributeDefinition {
    public static final int CDATA = 3;
    public static final int ENTITIES = 8;
    public static final int ENTITY = 7;
    public static final int ENUMERATION = 1;
    public static final int FIXED = 3;
    public static final int ID = 4;
    public static final int IDREF = 5;
    public static final int IDREFS = 6;
    public static final int IMPLIED = 1;
    public static final int NMTOKEN = 9;
    public static final int NMTOKENS = 10;
    public static final int NOTATION = 2;
    public static final int REQUIRED = 2;
    public static final String[] defaultTypeStrings = {null, "#IMPLIED", "#REQUIRED", "#FIXED"};
    public static final String[] valueTypeStrings = {null, "NMTOKEN", SchemaSymbols.ATTVAL_NOTATION, "CDATA", SchemaSymbols.ATTVAL_ID, SchemaSymbols.ATTVAL_IDREF, SchemaSymbols.ATTVAL_IDREFS, SchemaSymbols.ATTVAL_ENTITY, SchemaSymbols.ATTVAL_ENTITIES, "NMTOKEN", SchemaSymbols.ATTVAL_NMTOKENS};
    public int defaultType;
    public String defaultValue;
    public String localName;
    public String[] possibleValues;
    public String prefix;
    public String qName;
    public int valueType;

    public AttributeDefinition(String str, String str2, String str3, int i2, String[] strArr, int i3, String str4) {
        this.prefix = str;
        this.localName = str2;
        this.qName = str3;
        this.valueType = i2;
        this.possibleValues = strArr;
        this.defaultType = i3;
        this.defaultValue = str4;
    }

    public int getDefaultType() {
        return this.defaultType;
    }

    public String getDefaultTypeString() {
        return getDefaultTypeString(this.defaultType);
    }

    public String getDefaultValue() {
        return this.defaultValue;
    }

    public String getLocalName() {
        return this.localName;
    }

    public String[] getPossibleValues() {
        return this.possibleValues;
    }

    public String getPrefix() {
        return this.prefix;
    }

    public String getQName() {
        return this.qName;
    }

    public int getValueType() {
        return this.valueType;
    }

    public String getValueTypeString() {
        return getValueTypeString(this.valueType);
    }

    public static String getDefaultTypeString(int i2) {
        return defaultTypeStrings[i2];
    }

    public static String getValueTypeString(int i2) {
        return valueTypeStrings[i2];
    }
}
