package org.apache.xmlbeans.impl.piccolo.xml;

import b.b.a.a.a;
import org.xml.sax.AttributeList;
import org.xml.sax.Attributes;

public final class AttributesHolder implements Attributes, AttributeList {
    public String[] data;
    public int length;

    public AttributesHolder() {
        this.length = 0;
        this.data = null;
    }

    private void badIndex(int i2) {
        throw new ArrayIndexOutOfBoundsException(a.b("Attempt to modify attribute at illegal index: ", i2));
    }

    private void ensureCapacity(int i2) {
        int i3;
        if (i2 > 0) {
            String[] strArr = this.data;
            if (strArr == null || strArr.length == 0) {
                i3 = 25;
            } else if (strArr.length < i2 * 5) {
                i3 = strArr.length;
            } else {
                return;
            }
            while (i3 < i2 * 5) {
                i3 *= 2;
            }
            String[] strArr2 = new String[i3];
            int i4 = this.length;
            if (i4 > 0) {
                System.arraycopy(this.data, 0, strArr2, 0, i4 * 5);
            }
            this.data = strArr2;
        }
    }

    public void addAndCheckAttribute(String str, String str2, String str3, String str4, String str5) {
        for (int i2 = 0; i2 < this.length; i2++) {
            if (this.data[(i2 * 5) + 2] == str3) {
                throw new FatalParsingException(a.a("duplicate attribute '", str3, "'"));
            }
        }
        addAttribute(str, str2, str3, str4, str5);
    }

    public void addAttribute(String str, String str2, String str3, String str4, String str5) {
        ensureCapacity(this.length + 1);
        String[] strArr = this.data;
        int i2 = this.length;
        strArr[i2 * 5] = str;
        strArr[(i2 * 5) + 1] = str2;
        strArr[(i2 * 5) + 2] = str3;
        strArr[(i2 * 5) + 3] = str4;
        strArr[(i2 * 5) + 4] = str5;
        this.length = i2 + 1;
    }

    public void clear() {
        this.length = 0;
    }

    @Override // org.xml.sax.Attributes
    public int getIndex(String str, String str2) {
        int i2 = this.length * 5;
        for (int i3 = 0; i3 < i2; i3 += 5) {
            if (this.data[i3].equals(str) && this.data[i3 + 1].equals(str2)) {
                return i3 / 5;
            }
        }
        return -1;
    }

    @Override // org.xml.sax.AttributeList, org.xml.sax.Attributes
    public int getLength() {
        return this.length;
    }

    @Override // org.xml.sax.Attributes
    public String getLocalName(int i2) {
        if (i2 < 0 || i2 >= this.length) {
            return null;
        }
        return this.data[(i2 * 5) + 1];
    }

    @Override // org.xml.sax.AttributeList
    public String getName(int i2) {
        return getQName(i2);
    }

    @Override // org.xml.sax.Attributes
    public String getQName(int i2) {
        if (i2 < 0 || i2 >= this.length) {
            return null;
        }
        return this.data[(i2 * 5) + 2];
    }

    @Override // org.xml.sax.AttributeList, org.xml.sax.Attributes
    public String getType(int i2) {
        if (i2 < 0 || i2 >= this.length) {
            return null;
        }
        return this.data[(i2 * 5) + 3];
    }

    @Override // org.xml.sax.Attributes
    public String getURI(int i2) {
        if (i2 < 0 || i2 >= this.length) {
            return null;
        }
        return this.data[i2 * 5];
    }

    @Override // org.xml.sax.AttributeList, org.xml.sax.Attributes
    public String getValue(int i2) {
        if (i2 < 0 || i2 >= this.length) {
            return null;
        }
        return this.data[(i2 * 5) + 4];
    }

    public void removeAttribute(int i2) {
        int i3;
        if (i2 < 0 || i2 >= (i3 = this.length)) {
            badIndex(i2);
            return;
        }
        String[] strArr = this.data;
        int i4 = i2 * 5;
        strArr[i4] = null;
        strArr[i4 + 1] = null;
        strArr[i4 + 2] = null;
        strArr[i4 + 3] = null;
        strArr[i4 + 4] = null;
        if (i2 < i3 - 1) {
            System.arraycopy(strArr, (i2 + 1) * 5, strArr, i4, ((i3 - i2) - 1) * 5);
        }
        this.length--;
    }

    public void setAttribute(int i2, String str, String str2, String str3, String str4, String str5) {
        if (i2 < 0 || i2 >= this.length) {
            badIndex(i2);
            return;
        }
        String[] strArr = this.data;
        int i3 = i2 * 5;
        strArr[i3] = str;
        strArr[i3 + 1] = str2;
        strArr[i3 + 2] = str3;
        strArr[i3 + 3] = str4;
        strArr[i3 + 4] = str5;
    }

    public void setAttributes(Attributes attributes) {
        clear();
        int length2 = attributes.getLength();
        this.length = length2;
        if (length2 > 0) {
            this.data = new String[(length2 * 5)];
            for (int i2 = 0; i2 < this.length; i2++) {
                int i3 = i2 * 5;
                this.data[i3] = attributes.getURI(i2);
                this.data[i3 + 1] = attributes.getLocalName(i2);
                this.data[i3 + 2] = attributes.getQName(i2);
                this.data[i3 + 3] = attributes.getType(i2);
                this.data[i3 + 4] = attributes.getValue(i2);
            }
        }
    }

    public void setLocalName(int i2, String str) {
        if (i2 < 0 || i2 >= this.length) {
            badIndex(i2);
        } else {
            this.data[(i2 * 5) + 1] = str;
        }
    }

    public void setQName(int i2, String str) {
        if (i2 < 0 || i2 >= this.length) {
            badIndex(i2);
        } else {
            this.data[(i2 * 5) + 2] = str;
        }
    }

    public void setType(int i2, String str) {
        if (i2 < 0 || i2 >= this.length) {
            badIndex(i2);
        } else {
            this.data[(i2 * 5) + 3] = str;
        }
    }

    public void setURI(int i2, String str) {
        if (i2 < 0 || i2 >= this.length) {
            badIndex(i2);
        } else {
            this.data[i2 * 5] = str;
        }
    }

    public void setValue(int i2, String str) {
        if (i2 < 0 || i2 >= this.length) {
            badIndex(i2);
        } else {
            this.data[(i2 * 5) + 4] = str;
        }
    }

    @Override // org.xml.sax.Attributes
    public String getType(String str, String str2) {
        int i2 = this.length * 5;
        for (int i3 = 0; i3 < i2; i3 += 5) {
            if (this.data[i3].equals(str) && this.data[i3 + 1].equals(str2)) {
                return this.data[i3 + 3];
            }
        }
        return null;
    }

    @Override // org.xml.sax.Attributes
    public String getValue(String str, String str2) {
        int i2 = this.length * 5;
        for (int i3 = 0; i3 < i2; i3 += 5) {
            if (this.data[i3].equals(str) && this.data[i3 + 1].equals(str2)) {
                return this.data[i3 + 4];
            }
        }
        return null;
    }

    public AttributesHolder(Attributes attributes) {
        setAttributes(attributes);
    }

    @Override // org.xml.sax.Attributes
    public int getIndex(String str) {
        int i2 = this.length * 5;
        for (int i3 = 0; i3 < i2; i3 += 5) {
            if (this.data[i3 + 2].equals(str)) {
                return i3 / 5;
            }
        }
        return -1;
    }

    @Override // org.xml.sax.AttributeList, org.xml.sax.Attributes
    public String getType(String str) {
        int i2 = this.length * 5;
        for (int i3 = 0; i3 < i2; i3 += 5) {
            if (this.data[i3 + 2].equals(str)) {
                return this.data[i3 + 3];
            }
        }
        return null;
    }

    @Override // org.xml.sax.AttributeList, org.xml.sax.Attributes
    public String getValue(String str) {
        int i2 = this.length * 5;
        for (int i3 = 0; i3 < i2; i3 += 5) {
            if (this.data[i3 + 2].equals(str)) {
                return this.data[i3 + 4];
            }
        }
        return null;
    }
}
