package org.apache.xmlbeans.impl.piccolo.xml;

import b.b.a.a.a;
import java.util.HashMap;
import java.util.Map;
import org.apache.xmlbeans.impl.piccolo.util.DuplicateKeyException;
import org.apache.xmlbeans.impl.piccolo.util.IndexedObject;
import org.apache.xmlbeans.impl.piccolo.util.IndexedObjectImpl;

public final class ElementDefinition {
    public Map attributeMap;
    public AttributeDefinition[] attributes;
    public String name;
    public int size;

    public ElementDefinition() {
        this(null);
    }

    public final void addAttribute(AttributeDefinition attributeDefinition) {
        Object put = this.attributeMap.put(attributeDefinition.getQName(), new IndexedObjectImpl(this.size, attributeDefinition));
        if (put == null) {
            int i2 = this.size;
            AttributeDefinition[] attributeDefinitionArr = this.attributes;
            if (i2 >= attributeDefinitionArr.length) {
                AttributeDefinition[] attributeDefinitionArr2 = new AttributeDefinition[(i2 * 2)];
                System.arraycopy(attributeDefinitionArr, 0, attributeDefinitionArr2, 0, i2);
                this.attributes = attributeDefinitionArr2;
            }
            AttributeDefinition[] attributeDefinitionArr3 = this.attributes;
            int i3 = this.size;
            this.size = i3 + 1;
            attributeDefinitionArr3[i3] = attributeDefinition;
            return;
        }
        this.attributeMap.put(attributeDefinition.getQName(), put);
        StringBuffer a = a.a("attribute '");
        a.append(attributeDefinition.getQName());
        a.append("' is already defined for element '");
        throw new DuplicateKeyException(a.a(a, this.name, "'."));
    }

    public final AttributeDefinition getAttribute(int i2) {
        return this.attributes[i2];
    }

    public final int getAttributeCount() {
        return this.size;
    }

    public final AttributeDefinition[] getAttributes() {
        return this.attributes;
    }

    public final IndexedObject getIndexedAttribute(String str) {
        return (IndexedObject) this.attributeMap.get(str);
    }

    public final String getName() {
        return this.name;
    }

    public final void setName(String str) {
        this.name = str;
    }

    public ElementDefinition(String str) {
        this.size = 0;
        this.name = str;
        this.attributes = new AttributeDefinition[4];
        this.attributeMap = new HashMap();
        this.size = 0;
    }
}
