package org.apache.xmlbeans.impl.piccolo.xml;

import b.b.a.a.a;
import java.io.CharConversionException;
import org.apache.lucene.codecs.lucene3x.Lucene3xFields;
import org.apache.poi.ss.formula.ptg.NumberPtg;
import org.apache.xmlbeans.impl.piccolo.io.CharsetDecoder;
import org.apache.xmlbeans.impl.piccolo.io.IllegalCharException;

public final class UTF8XMLDecoder implements XMLDecoder {
    public boolean sawCR = false;

    @Override // org.apache.xmlbeans.impl.piccolo.io.CharsetDecoder
    public void decode(byte[] bArr, int i2, int i3, char[] cArr, int i4, int i5, int[] iArr) {
        int i6;
        int i7;
        int i8 = 0;
        int i9 = 0;
        while (i8 < i3 && i9 < i5) {
            byte b2 = bArr[i2 + i8];
            int i10 = b2 & 128;
            byte b3 = b2;
            if (i10 != 0) {
                i8++;
                if (i8 < i3) {
                    int i11 = i2 + i8;
                    byte b4 = bArr[i11];
                    if ((b2 & 224) != 192) {
                        int i12 = b2 & Lucene3xFields.PreTermsEnum.UTF8_NON_BMP_LEAD;
                        if (i12 == 224) {
                            i8++;
                            if (i8 < i3) {
                                int i13 = i2 + i8;
                                byte b5 = bArr[i13];
                                if ((b4 & 128) == 128 && (b5 & 128) == 128) {
                                    i7 = ((b2 & 15) << 12) | ((b4 & 63) << 6) | (b5 & 63);
                                    if ((63488 & i7) == 0) {
                                        StringBuffer a = a.a("3-byte UTF-8 character is overlong: 0x");
                                        a.append(Integer.toHexString(bArr[i13 - 2] & 255));
                                        a.append(" 0x");
                                        a.append(Integer.toHexString(b4 & 255));
                                        a.append(" 0x");
                                        throw new CharConversionException(a.a(b5 & 255, a));
                                    }
                                } else {
                                    StringBuffer a2 = a.a("Malformed UTF-8 character: 0x");
                                    a2.append(Integer.toHexString(b2 & 255));
                                    a2.append(" 0x");
                                    a2.append(Integer.toHexString(b4 & 255));
                                    a2.append(" 0x");
                                    throw new CharConversionException(a.a(b5 & 255, a2));
                                }
                            } else {
                                iArr[0] = i8 - 2;
                                iArr[1] = i9;
                                return;
                            }
                        } else if (i12 != 240) {
                            StringBuffer a3 = a.a("Characters larger than 4 bytes are not supported: byte 0x");
                            a3.append(Integer.toHexString(b2 & 255));
                            a3.append(" implies a length of more than 4 bytes");
                            throw new CharConversionException(a3.toString());
                        } else if (i8 + 2 < i3) {
                            int i14 = i8 + 1;
                            byte b6 = bArr[i2 + i14];
                            i8 = i14 + 1;
                            byte b7 = bArr[i2 + i8];
                            if ((b4 & 128) == 128 && (b6 & 128) == 128 && (b7 & 128) == 128) {
                                int i15 = ((b2 & 7) << 18) | ((b4 & 63) << 12) | ((b6 & 63) << 6) | (b7 & 63);
                                if (i15 < 65536 || i15 > 1114111) {
                                    throw new IllegalCharException(a.a(i15, a.a("Illegal XML character: 0x")));
                                }
                                int i16 = i15 - 65536;
                                int i17 = i9 + 1;
                                cArr[i4 + i9] = (char) ((i16 >> 10) | 55296);
                                i9 = i17 + 1;
                                cArr[i4 + i17] = (char) ((i16 & 1023) | 56320);
                                this.sawCR = false;
                                i8++;
                            } else {
                                StringBuffer a4 = a.a("Malformed UTF-8 character: 0x");
                                a4.append(Integer.toHexString(b2 & 255));
                                a4.append(" 0x");
                                a4.append(Integer.toHexString(b4 & 255));
                                a4.append(" 0x");
                                a4.append(Integer.toHexString(b6 & 255));
                                a4.append(" 0x");
                                throw new CharConversionException(a.a(b7 & 255, a4));
                            }
                        } else {
                            iArr[0] = i8 - 2;
                            iArr[1] = i9;
                            return;
                        }
                    } else if ((b4 & 128) == 128) {
                        i7 = ((b2 & NumberPtg.sid) << 6) | (b4 & 63);
                        if ((i7 & 1920) == 0) {
                            StringBuffer a5 = a.a("2-byte UTF-8 character is overlong: 0x");
                            a5.append(Integer.toHexString(bArr[i11 - 1] & 255));
                            a5.append(" 0x");
                            throw new CharConversionException(a.a(b4 & 255, a5));
                        }
                    } else {
                        StringBuffer a6 = a.a("Malformed UTF-8 character: 0x");
                        a6.append(Integer.toHexString(b2 & 255));
                        a6.append(" 0x");
                        throw new CharConversionException(a.a(b4 & 255, a6));
                    }
                    if ((i7 < 55296 || i7 >= 57344) && i7 != 65534) {
                        b3 = i7;
                        if (i7 == 65535) {
                        }
                    }
                    throw new IllegalCharException(a.a(i7, a.a("Illegal XML character: 0x")));
                }
                iArr[0] = i8 - 1;
                iArr[1] = i9;
                return;
            }
            if (b3 >= 32) {
                this.sawCR = false;
                cArr[i4 + i9] = (char) b3;
                i9++;
            } else {
                if (b3 == 9) {
                    i6 = i9 + 1;
                    cArr[i4 + i9] = '\t';
                } else if (b3 != 10) {
                    if (b3 == 13) {
                        this.sawCR = true;
                        i6 = i9 + 1;
                        cArr[i4 + i9] = '\n';
                    } else {
                        throw new IllegalCharException(a.a(b3 == 1 ? 1 : 0, a.a("Illegal XML character: 0x")));
                    }
                } else if (this.sawCR) {
                    this.sawCR = false;
                } else {
                    i6 = i9 + 1;
                    cArr[i4 + i9] = '\n';
                }
                i9 = i6;
            }
            i8++;
        }
        iArr[0] = i8;
        iArr[1] = i9;
    }

    @Override // org.apache.xmlbeans.impl.piccolo.xml.XMLDecoder
    public void decodeXMLDecl(byte[] bArr, int i2, int i3, char[] cArr, int i4, int i5, int[] iArr) {
        int i6;
        int i7 = 0;
        int i8 = 0;
        while (true) {
            if (i7 >= i3 || i8 >= i5) {
                break;
            }
            byte b2 = bArr[i2 + i7];
            if ((b2 & 128) != 0) {
                break;
            }
            if (b2 >= 32) {
                this.sawCR = false;
                int i9 = i8 + 1;
                cArr[i8 + i4] = (char) b2;
                if (b2 == 62) {
                    i7++;
                    i8 = i9;
                    break;
                }
                i8 = i9;
            } else {
                if (b2 == 9) {
                    i6 = i8 + 1;
                    cArr[i8 + i4] = '\t';
                } else if (b2 != 10) {
                    if (b2 != 13) {
                        break;
                    }
                    this.sawCR = true;
                    i6 = i8 + 1;
                    cArr[i8 + i4] = '\n';
                } else if (this.sawCR) {
                    this.sawCR = false;
                } else {
                    i6 = i8 + 1;
                    cArr[i8 + i4] = '\n';
                }
                i8 = i6;
            }
            i7++;
        }
        iArr[0] = i7;
        iArr[1] = i8;
    }

    @Override // org.apache.xmlbeans.impl.piccolo.io.CharsetDecoder
    public int maxBytesPerChar() {
        return 3;
    }

    @Override // org.apache.xmlbeans.impl.piccolo.io.CharsetDecoder
    public int minBytesPerChar() {
        return 1;
    }

    @Override // org.apache.xmlbeans.impl.piccolo.io.CharsetDecoder
    public CharsetDecoder newCharsetDecoder() {
        return newXMLDecoder();
    }

    @Override // org.apache.xmlbeans.impl.piccolo.xml.XMLDecoder
    public XMLDecoder newXMLDecoder() {
        return new UTF8XMLDecoder();
    }

    @Override // org.apache.xmlbeans.impl.piccolo.io.CharsetDecoder
    public void reset() {
        this.sawCR = false;
    }
}
