package org.apache.xmlbeans.impl.piccolo.xml;

import b.b.a.a.a;
import org.apache.xmlbeans.impl.piccolo.io.CharsetDecoder;
import org.apache.xmlbeans.impl.piccolo.io.IllegalCharException;

public final class UnicodeBigXMLDecoder implements XMLDecoder {
    public boolean sawCR = false;

    @Override // org.apache.xmlbeans.impl.piccolo.io.CharsetDecoder
    public void decode(byte[] bArr, int i2, int i3, char[] cArr, int i4, int i5, int[] iArr) {
        int i6;
        int i7 = 0;
        int i8 = 0;
        while (i7 + 1 < i3 && i8 < i5) {
            int i9 = i2 + i7;
            char c = (char) ((bArr[i9 + 1] & 255) | ((bArr[i9] & 255) << 8));
            if (c < ' ') {
                if (c == '\t') {
                    i6 = i8 + 1;
                    cArr[i8 + i4] = '\t';
                } else if (c != '\n') {
                    if (c == '\r') {
                        this.sawCR = true;
                        i6 = i8 + 1;
                        cArr[i8 + i4] = '\n';
                    } else {
                        throw new IllegalCharException(a.a(c, a.a("Illegal XML character: 0x")));
                    }
                } else if (this.sawCR) {
                    this.sawCR = false;
                } else {
                    i6 = i8 + 1;
                    cArr[i8 + i4] = '\n';
                }
                i8 = i6;
            } else if (c <= 55295 || ((c >= 57344 && c <= 65533) || (c >= 0 && c <= 65535))) {
                this.sawCR = false;
                cArr[i8 + i4] = c;
                i8++;
            } else {
                throw new IllegalCharException(a.a(c, a.a("Illegal XML Character: 0x")));
            }
            i7 += 2;
        }
        iArr[0] = i7;
        iArr[1] = i8;
    }

    @Override // org.apache.xmlbeans.impl.piccolo.xml.XMLDecoder
    public void decodeXMLDecl(byte[] bArr, int i2, int i3, char[] cArr, int i4, int i5, int[] iArr) {
        int i6;
        int i7 = 0;
        int i8 = 0;
        while (true) {
            if (i7 + 1 >= i3 || i8 >= i5) {
                break;
            }
            int i9 = i2 + i7;
            char c = (char) ((bArr[i9 + 1] & 255) | ((bArr[i9] & 255) << 8));
            if (c >= ' ') {
                if (c > 55295 && ((c < 57344 || c > 65533) && (c < 0 || c > 65535))) {
                    break;
                }
                this.sawCR = false;
                int i10 = i8 + 1;
                cArr[i8 + i4] = c;
                if (c == '>') {
                    i7 += 2;
                    i8 = i10;
                    break;
                }
                i8 = i10;
            } else {
                if (c == '\t') {
                    i6 = i8 + 1;
                    cArr[i8 + i4] = '\t';
                } else if (c != '\n') {
                    if (c != '\r') {
                        break;
                    }
                    this.sawCR = true;
                    i6 = i8 + 1;
                    cArr[i8 + i4] = '\n';
                } else if (this.sawCR) {
                    this.sawCR = false;
                } else {
                    i6 = i8 + 1;
                    cArr[i8 + i4] = '\n';
                }
                i8 = i6;
            }
            i7 += 2;
        }
        iArr[0] = i7;
        iArr[1] = i8;
    }

    @Override // org.apache.xmlbeans.impl.piccolo.io.CharsetDecoder
    public int maxBytesPerChar() {
        return 2;
    }

    @Override // org.apache.xmlbeans.impl.piccolo.io.CharsetDecoder
    public int minBytesPerChar() {
        return 2;
    }

    @Override // org.apache.xmlbeans.impl.piccolo.io.CharsetDecoder
    public CharsetDecoder newCharsetDecoder() {
        return newXMLDecoder();
    }

    @Override // org.apache.xmlbeans.impl.piccolo.xml.XMLDecoder
    public XMLDecoder newXMLDecoder() {
        return new UnicodeBigXMLDecoder();
    }

    @Override // org.apache.xmlbeans.impl.piccolo.io.CharsetDecoder
    public void reset() {
        this.sawCR = false;
    }
}
