package org.apache.xmlbeans.impl.piccolo.xml;

import b.b.a.a.a;
import java.io.UnsupportedEncodingException;
import java.util.HashMap;
import org.apache.poi.poifs.filesystem.Ole10Native;

public class XMLDecoderFactory {
    public static HashMap decoders = new HashMap();

    static {
        UTF8XMLDecoder uTF8XMLDecoder = new UTF8XMLDecoder();
        ASCIIXMLDecoder aSCIIXMLDecoder = new ASCIIXMLDecoder();
        ISO8859_1XMLDecoder iSO8859_1XMLDecoder = new ISO8859_1XMLDecoder();
        UnicodeBigXMLDecoder unicodeBigXMLDecoder = new UnicodeBigXMLDecoder();
        UnicodeLittleXMLDecoder unicodeLittleXMLDecoder = new UnicodeLittleXMLDecoder();
        decoders.put("UTF-8", uTF8XMLDecoder);
        decoders.put("UTF8", uTF8XMLDecoder);
        decoders.put("US-ASCII", aSCIIXMLDecoder);
        decoders.put("ASCII", aSCIIXMLDecoder);
        decoders.put(Ole10Native.ISO1, iSO8859_1XMLDecoder);
        decoders.put("ISO8859_1", iSO8859_1XMLDecoder);
        decoders.put("UTF-16LE", unicodeLittleXMLDecoder);
        decoders.put("UNICODELITTLE", unicodeLittleXMLDecoder);
        decoders.put("UNICODELITTLEUNMARKED", unicodeLittleXMLDecoder);
        decoders.put("UTF-16BE", unicodeBigXMLDecoder);
        decoders.put("UTF-16", unicodeBigXMLDecoder);
        decoders.put("UNICODEBIG", unicodeBigXMLDecoder);
        decoders.put("UNICODEBIGUNMARKED", unicodeBigXMLDecoder);
    }

    public static XMLDecoder createDecoder(String str) {
        XMLDecoder xMLDecoder = (XMLDecoder) decoders.get(str.toUpperCase());
        if (xMLDecoder != null) {
            return xMLDecoder.newXMLDecoder();
        }
        throw new UnsupportedEncodingException(a.a("Encoding '", str, "' not supported"));
    }
}
