package org.apache.xmlbeans.impl.piccolo.xml;

import java.io.Reader;

public abstract class XMLInputReader extends Reader {
    public XMLDeclParser parser = new XMLDeclParser();
    public String xmlDeclaredEncoding = null;
    public boolean xmlStandalone = false;
    public boolean xmlStandaloneDeclared = false;
    public String xmlVersion = null;

    public String getXMLDeclaredEncoding() {
        return this.xmlDeclaredEncoding;
    }

    public String getXMLVersion() {
        return this.xmlVersion;
    }

    public boolean isXMLStandalone() {
        return this.xmlStandalone;
    }

    public boolean isXMLStandaloneDeclared() {
        return this.xmlStandaloneDeclared;
    }

    public int parseXMLDeclaration(char[] cArr, int i2, int i3) {
        this.parser.reset(cArr, i2, i3);
        int parse = this.parser.parse();
        XMLDeclParser xMLDeclParser = this.parser;
        if (parse != 1) {
            return 0;
        }
        this.xmlVersion = xMLDeclParser.getXMLVersion();
        this.xmlStandalone = this.parser.isXMLStandalone();
        this.xmlStandaloneDeclared = this.parser.isXMLStandaloneDeclared();
        this.xmlDeclaredEncoding = this.parser.getXMLEncoding();
        return this.parser.getCharsRead();
    }

    public void resetInput() {
        this.xmlDeclaredEncoding = null;
        this.xmlVersion = null;
        this.xmlStandalone = false;
        this.xmlStandaloneDeclared = false;
    }
}
