package org.apache.xmlbeans.impl.regex;

import b.b.a.a.a;
import java.text.CharacterIterator;

public class Match implements Cloneable {
    public int[] beginpos = null;
    public char[] charSource = null;
    public CharacterIterator ciSource = null;
    public int[] endpos = null;
    public int nofgroups = 0;
    public String strSource = null;

    @Override // java.lang.Object
    public synchronized Object clone() {
        Match match;
        match = new Match();
        if (this.nofgroups > 0) {
            match.setNumberOfGroups(this.nofgroups);
            if (this.ciSource != null) {
                match.setSource(this.ciSource);
            }
            if (this.strSource != null) {
                match.setSource(this.strSource);
            }
            for (int i2 = 0; i2 < this.nofgroups; i2++) {
                match.setBeginning(i2, getBeginning(i2));
                match.setEnd(i2, getEnd(i2));
            }
        }
        return match;
    }

    public int getBeginning(int i2) {
        int[] iArr = this.beginpos;
        if (iArr == null) {
            throw new IllegalStateException("A result is not set.");
        } else if (i2 >= 0 && this.nofgroups > i2) {
            return iArr[i2];
        } else {
            StringBuffer a = a.a("The parameter must be less than ");
            a.append(this.nofgroups);
            a.append(": ");
            a.append(i2);
            throw new IllegalArgumentException(a.toString());
        }
    }

    public String getCapturedText(int i2) {
        int[] iArr = this.beginpos;
        if (iArr == null) {
            throw new IllegalStateException("match() has never been called.");
        } else if (i2 < 0 || this.nofgroups <= i2) {
            StringBuffer a = a.a("The parameter must be less than ");
            a.append(this.nofgroups);
            a.append(": ");
            a.append(i2);
            throw new IllegalArgumentException(a.toString());
        } else {
            int i3 = iArr[i2];
            int i4 = this.endpos[i2];
            if (i3 < 0 || i4 < 0) {
                return null;
            }
            CharacterIterator characterIterator = this.ciSource;
            if (characterIterator != null) {
                return REUtil.substring(characterIterator, i3, i4);
            }
            String str = this.strSource;
            if (str != null) {
                return str.substring(i3, i4);
            }
            return new String(this.charSource, i3, i4 - i3);
        }
    }

    public int getEnd(int i2) {
        int[] iArr = this.endpos;
        if (iArr == null) {
            throw new IllegalStateException("A result is not set.");
        } else if (i2 >= 0 && this.nofgroups > i2) {
            return iArr[i2];
        } else {
            StringBuffer a = a.a("The parameter must be less than ");
            a.append(this.nofgroups);
            a.append(": ");
            a.append(i2);
            throw new IllegalArgumentException(a.toString());
        }
    }

    public int getNumberOfGroups() {
        int i2 = this.nofgroups;
        if (i2 > 0) {
            return i2;
        }
        throw new IllegalStateException("A result is not set.");
    }

    public void setBeginning(int i2, int i3) {
        this.beginpos[i2] = i3;
    }

    public void setEnd(int i2, int i3) {
        this.endpos[i2] = i3;
    }

    public void setNumberOfGroups(int i2) {
        int i3 = this.nofgroups;
        this.nofgroups = i2;
        if (i3 <= 0 || i3 < i2 || i2 * 2 < i3) {
            this.beginpos = new int[i2];
            this.endpos = new int[i2];
        }
        for (int i4 = 0; i4 < i2; i4++) {
            this.beginpos[i4] = -1;
            this.endpos[i4] = -1;
        }
    }

    public void setSource(CharacterIterator characterIterator) {
        this.ciSource = characterIterator;
        this.strSource = null;
        this.charSource = null;
    }

    public void setSource(String str) {
        this.ciSource = null;
        this.strSource = str;
        this.charSource = null;
    }

    public void setSource(char[] cArr) {
        this.ciSource = null;
        this.strSource = null;
        this.charSource = cArr;
    }
}
