package org.apache.xmlbeans.impl.regex;

import b.b.a.a.a;
import java.util.Hashtable;
import java.util.Locale;
import org.apache.xmlbeans.impl.regex.Token;

public class ParserForXMLSchema extends RegexParser {
    public static final String DIGITS = "09٠٩۰۹०९০৯੦੯૦૯୦୯௧௯౦౯೦೯൦൯๐๙໐໙༠༩";
    public static final String LETTERS = "AZazÀÖØöøıĴľŁňŊžƀǃǍǰǴǵǺȗɐʨʻˁΆΆΈΊΌΌΎΡΣώϐϖϚϚϜϜϞϞϠϠϢϳЁЌЎяёќўҁҐӄӇӈӋӌӐӫӮӵӸӹԱՖՙՙաֆאתװײءغفيٱڷںھۀێېۓەەۥۦअहऽऽक़ॡঅঌএঐওনপরললশহড়ঢ়য়ৡৰৱਅਊਏਐਓਨਪਰਲਲ਼ਵਸ਼ਸਹਖ਼ੜਫ਼ਫ਼ੲੴઅઋઍઍએઑઓનપરલળવહઽઽૠૠଅଌଏଐଓନପରଲଳଶହଽଽଡ଼ଢ଼ୟୡஅஊஎஐஒகஙசஜஜஞடணதநபமவஷஹఅఌఎఐఒనపళవహౠౡಅಌಎಐಒನಪಳವಹೞೞೠೡഅഌഎഐഒനപഹൠൡกฮะะาำเๅກຂຄຄງຈຊຊຍຍດທນຟມຣລລວວສຫອຮະະາຳຽຽເໄཀཇཉཀྵႠჅაჶᄀᄀᄂᄃᄅᄇᄉᄉᄋᄌᄎᄒᄼᄼᄾᄾᅀᅀᅌᅌᅎᅎᅐᅐᅔᅕᅙᅙᅟᅡᅣᅣᅥᅥᅧᅧᅩᅩᅭᅮᅲᅳᅵᅵᆞᆞᆨᆨᆫᆫᆮᆯᆷᆸᆺᆺᆼᇂᇫᇫᇰᇰᇹᇹḀẛẠỹἀἕἘἝἠὅὈὍὐὗὙὙὛὛὝὝὟώᾀᾴᾶᾼιιῂῄῆῌῐΐῖΊῠῬῲῴῶῼΩΩKÅ℮℮ↀↂ〇〇〡〩ぁゔァヺㄅㄬ一龥가힣";
    public static final String NAMECHARS = "-.0:AZ__az··ÀÖØöøıĴľŁňŊžƀǃǍǰǴǵǺȗɐʨʻˁːˑ̀͠͡ͅΆΊΌΌΎΡΣώϐϖϚϚϜϜϞϞϠϠϢϳЁЌЎяёќўҁ҃҆ҐӄӇӈӋӌӐӫӮӵӸӹԱՖՙՙաֆֹֻֽֿֿׁׂ֑֣֡ׄׄאתװײءغـْ٠٩ٰڷںھۀێېۓە۪ۭۨ۰۹ँःअह़्॑॔क़ॣ०९ঁঃঅঌএঐওনপরললশহ়়াৄেৈো্ৗৗড়ঢ়য়ৣ০ৱਂਂਅਊਏਐਓਨਪਰਲਲ਼ਵਸ਼ਸਹ਼਼ਾੂੇੈੋ੍ਖ਼ੜਫ਼ਫ਼੦ੴઁઃઅઋઍઍએઑઓનપરલળવહ઼ૅેૉો્ૠૠ૦૯ଁଃଅଌଏଐଓନପରଲଳଶହ଼ୃେୈୋ୍ୖୗଡ଼ଢ଼ୟୡ୦୯ஂஃஅஊஎஐஒகஙசஜஜஞடணதநபமவஷஹாூெைொ்ௗௗ௧௯ఁఃఅఌఎఐఒనపళవహాౄెైొ్ౕౖౠౡ౦౯ಂಃಅಌಎಐಒನಪಳವಹಾೄೆೈೊ್ೕೖೞೞೠೡ೦೯ംഃഅഌഎഐഒനപഹാൃെൈൊ്ൗൗൠൡ൦൯กฮะฺเ๎๐๙ກຂຄຄງຈຊຊຍຍດທນຟມຣລລວວສຫອຮະູົຽເໄໆໆ່ໍ໐໙༘༙༠༩༹༹༵༵༷༷༾ཇཉཀྵ྄ཱ྆ྋྐྕྗྗྙྭྱྷྐྵྐྵႠჅაჶᄀᄀᄂᄃᄅᄇᄉᄉᄋᄌᄎᄒᄼᄼᄾᄾᅀᅀᅌᅌᅎᅎᅐᅐᅔᅕᅙᅙᅟᅡᅣᅣᅥᅥᅧᅧᅩᅩᅭᅮᅲᅳᅵᅵᆞᆞᆨᆨᆫᆫᆮᆯᆷᆸᆺᆺᆼᇂᇫᇫᇰᇰᇹᇹḀẛẠỹἀἕἘἝἠὅὈὍὐὗὙὙὛὛὝὝὟώᾀᾴᾶᾼιιῂῄῆῌῐΐῖΊῠῬῲῴῶῼ⃐⃜⃡⃡ΩΩKÅ℮℮ↀↂ々々〇〇〡〯〱〵ぁゔ゙゚ゝゞァヺーヾㄅㄬ一龥가힣";
    public static final String SPACES = "\t\n\r\r  ";
    public static Hashtable ranges;
    public static Hashtable ranges2;

    public ParserForXMLSchema() {
    }

    public static synchronized RangeToken getRange(String str, boolean z) {
        RangeToken rangeToken;
        synchronized (ParserForXMLSchema.class) {
            if (ranges == null) {
                ranges = new Hashtable();
                ranges2 = new Hashtable();
                RangeToken createRange = Token.createRange();
                setupRange(createRange, "\t\n\r\r  ");
                ranges.put("xml:isSpace", createRange);
                ranges2.put("xml:isSpace", Token.complementRanges(createRange));
                RangeToken createRange2 = Token.createRange();
                setupRange(createRange2, "09٠٩۰۹०९০৯੦੯૦૯୦୯௧௯౦౯೦೯൦൯๐๙໐໙༠༩");
                ranges.put("xml:isDigit", createRange2);
                ranges2.put("xml:isDigit", Token.complementRanges(createRange2));
                RangeToken createRange3 = Token.createRange();
                setupRange(createRange3, "09٠٩۰۹०९০৯੦੯૦૯୦୯௧௯౦౯೦೯൦൯๐๙໐໙༠༩");
                ranges.put("xml:isDigit", createRange3);
                ranges2.put("xml:isDigit", Token.complementRanges(createRange3));
                RangeToken createRange4 = Token.createRange();
                setupRange(createRange4, "AZazÀÖØöøıĴľŁňŊžƀǃǍǰǴǵǺȗɐʨʻˁΆΆΈΊΌΌΎΡΣώϐϖϚϚϜϜϞϞϠϠϢϳЁЌЎяёќўҁҐӄӇӈӋӌӐӫӮӵӸӹԱՖՙՙաֆאתװײءغفيٱڷںھۀێېۓەەۥۦअहऽऽक़ॡঅঌএঐওনপরললশহড়ঢ়য়ৡৰৱਅਊਏਐਓਨਪਰਲਲ਼ਵਸ਼ਸਹਖ਼ੜਫ਼ਫ਼ੲੴઅઋઍઍએઑઓનપરલળવહઽઽૠૠଅଌଏଐଓନପରଲଳଶହଽଽଡ଼ଢ଼ୟୡஅஊஎஐஒகஙசஜஜஞடணதநபமவஷஹఅఌఎఐఒనపళవహౠౡಅಌಎಐಒನಪಳವಹೞೞೠೡഅഌഎഐഒനപഹൠൡกฮะะาำเๅກຂຄຄງຈຊຊຍຍດທນຟມຣລລວວສຫອຮະະາຳຽຽເໄཀཇཉཀྵႠჅაჶᄀᄀᄂᄃᄅᄇᄉᄉᄋᄌᄎᄒᄼᄼᄾᄾᅀᅀᅌᅌᅎᅎᅐᅐᅔᅕᅙᅙᅟᅡᅣᅣᅥᅥᅧᅧᅩᅩᅭᅮᅲᅳᅵᅵᆞᆞᆨᆨᆫᆫᆮᆯᆷᆸᆺᆺᆼᇂᇫᇫᇰᇰᇹᇹḀẛẠỹἀἕἘἝἠὅὈὍὐὗὙὙὛὛὝὝὟώᾀᾴᾶᾼιιῂῄῆῌῐΐῖΊῠῬῲῴῶῼΩΩKÅ℮℮ↀↂ〇〇〡〩ぁゔァヺㄅㄬ一龥가힣");
                createRange4.mergeRanges((Token) ranges.get("xml:isDigit"));
                ranges.put("xml:isWord", createRange4);
                ranges2.put("xml:isWord", Token.complementRanges(createRange4));
                RangeToken createRange5 = Token.createRange();
                setupRange(createRange5, "-.0:AZ__az··ÀÖØöøıĴľŁňŊžƀǃǍǰǴǵǺȗɐʨʻˁːˑ̀͠͡ͅΆΊΌΌΎΡΣώϐϖϚϚϜϜϞϞϠϠϢϳЁЌЎяёќўҁ҃҆ҐӄӇӈӋӌӐӫӮӵӸӹԱՖՙՙաֆֹֻֽֿֿׁׂ֑֣֡ׄׄאתװײءغـْ٠٩ٰڷںھۀێېۓە۪ۭۨ۰۹ँःअह़्॑॔क़ॣ०९ঁঃঅঌএঐওনপরললশহ়়াৄেৈো্ৗৗড়ঢ়য়ৣ০ৱਂਂਅਊਏਐਓਨਪਰਲਲ਼ਵਸ਼ਸਹ਼਼ਾੂੇੈੋ੍ਖ਼ੜਫ਼ਫ਼੦ੴઁઃઅઋઍઍએઑઓનપરલળવહ઼ૅેૉો્ૠૠ૦૯ଁଃଅଌଏଐଓନପରଲଳଶହ଼ୃେୈୋ୍ୖୗଡ଼ଢ଼ୟୡ୦୯ஂஃஅஊஎஐஒகஙசஜஜஞடணதநபமவஷஹாூெைொ்ௗௗ௧௯ఁఃఅఌఎఐఒనపళవహాౄెైొ్ౕౖౠౡ౦౯ಂಃಅಌಎಐಒನಪಳವಹಾೄೆೈೊ್ೕೖೞೞೠೡ೦೯ംഃഅഌഎഐഒനപഹാൃെൈൊ്ൗൗൠൡ൦൯กฮะฺเ๎๐๙ກຂຄຄງຈຊຊຍຍດທນຟມຣລລວວສຫອຮະູົຽເໄໆໆ່ໍ໐໙༘༙༠༩༹༹༵༵༷༷༾ཇཉཀྵ྄ཱ྆ྋྐྕྗྗྙྭྱྷྐྵྐྵႠჅაჶᄀᄀᄂᄃᄅᄇᄉᄉᄋᄌᄎᄒᄼᄼᄾᄾᅀᅀᅌᅌᅎᅎᅐᅐᅔᅕᅙᅙᅟᅡᅣᅣᅥᅥᅧᅧᅩᅩᅭᅮᅲᅳᅵᅵᆞᆞᆨᆨᆫᆫᆮᆯᆷᆸᆺᆺᆼᇂᇫᇫᇰᇰᇹᇹḀẛẠỹἀἕἘἝἠὅὈὍὐὗὙὙὛὛὝὝὟώᾀᾴᾶᾼιιῂῄῆῌῐΐῖΊῠῬῲῴῶῼ⃐⃜⃡⃡ΩΩKÅ℮℮ↀↂ々々〇〇〡〯〱〵ぁゔ゙゚ゝゞァヺーヾㄅㄬ一龥가힣");
                ranges.put("xml:isNameChar", createRange5);
                ranges2.put("xml:isNameChar", Token.complementRanges(createRange5));
                RangeToken createRange6 = Token.createRange();
                setupRange(createRange6, "AZazÀÖØöøıĴľŁňŊžƀǃǍǰǴǵǺȗɐʨʻˁΆΆΈΊΌΌΎΡΣώϐϖϚϚϜϜϞϞϠϠϢϳЁЌЎяёќўҁҐӄӇӈӋӌӐӫӮӵӸӹԱՖՙՙաֆאתװײءغفيٱڷںھۀێېۓەەۥۦअहऽऽक़ॡঅঌএঐওনপরললশহড়ঢ়য়ৡৰৱਅਊਏਐਓਨਪਰਲਲ਼ਵਸ਼ਸਹਖ਼ੜਫ਼ਫ਼ੲੴઅઋઍઍએઑઓનપરલળવહઽઽૠૠଅଌଏଐଓନପରଲଳଶହଽଽଡ଼ଢ଼ୟୡஅஊஎஐஒகஙசஜஜஞடணதநபமவஷஹఅఌఎఐఒనపళవహౠౡಅಌಎಐಒನಪಳವಹೞೞೠೡഅഌഎഐഒനപഹൠൡกฮะะาำเๅກຂຄຄງຈຊຊຍຍດທນຟມຣລລວວສຫອຮະະາຳຽຽເໄཀཇཉཀྵႠჅაჶᄀᄀᄂᄃᄅᄇᄉᄉᄋᄌᄎᄒᄼᄼᄾᄾᅀᅀᅌᅌᅎᅎᅐᅐᅔᅕᅙᅙᅟᅡᅣᅣᅥᅥᅧᅧᅩᅩᅭᅮᅲᅳᅵᅵᆞᆞᆨᆨᆫᆫᆮᆯᆷᆸᆺᆺᆼᇂᇫᇫᇰᇰᇹᇹḀẛẠỹἀἕἘἝἠὅὈὍὐὗὙὙὛὛὝὝὟώᾀᾴᾶᾼιιῂῄῆῌῐΐῖΊῠῬῲῴῶῼΩΩKÅ℮℮ↀↂ〇〇〡〩ぁゔァヺㄅㄬ一龥가힣");
                createRange6.addRange(95, 95);
                createRange6.addRange(58, 58);
                ranges.put("xml:isInitialNameChar", createRange6);
                ranges2.put("xml:isInitialNameChar", Token.complementRanges(createRange6));
            }
            rangeToken = (RangeToken) (z ? ranges.get(str) : ranges2.get(str));
        }
        return rangeToken;
    }

    public static void setupRange(Token token, String str) {
        int length = str.length();
        for (int i2 = 0; i2 < length; i2 += 2) {
            token.addRange(str.charAt(i2), str.charAt(i2 + 1));
        }
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public boolean checkQuestion(int i2) {
        return false;
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public int decodeEscaped() {
        if (read() == 10) {
            int i2 = this.chardata;
            if (!(i2 == 45 || i2 == 46 || i2 == 63)) {
                if (i2 == 110) {
                    return 10;
                }
                if (i2 == 114) {
                    return 13;
                }
                if (i2 == 116) {
                    return 9;
                }
                switch (i2) {
                    case 40:
                    case 41:
                    case 42:
                    case 43:
                        break;
                    default:
                        switch (i2) {
                            case 91:
                            case 92:
                            case 93:
                            case 94:
                                break;
                            default:
                                switch (i2) {
                                    case 123:
                                    case 124:
                                    case 125:
                                        break;
                                    default:
                                        throw ex("parser.process.1", this.offset - 2);
                                }
                        }
                }
            }
            return i2;
        }
        throw ex("parser.next.1", this.offset - 1);
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public Token getTokenForShorthand(int i2) {
        if (i2 == 67) {
            return getRange("xml:isNameChar", false);
        }
        if (i2 == 68) {
            return getRange("xml:isDigit", false);
        }
        if (i2 == 73) {
            return getRange("xml:isInitialNameChar", false);
        }
        if (i2 == 83) {
            return getRange("xml:isSpace", false);
        }
        if (i2 == 87) {
            return getRange("xml:isWord", false);
        }
        if (i2 == 105) {
            return getRange("xml:isInitialNameChar", true);
        }
        if (i2 == 115) {
            return getRange("xml:isSpace", true);
        }
        if (i2 == 119) {
            return getRange("xml:isWord", true);
        }
        if (i2 == 99) {
            return getRange("xml:isNameChar", true);
        }
        if (i2 == 100) {
            return getRange("xml:isDigit", true);
        }
        StringBuffer a = a.a("Internal Error: shorthands: \\u");
        a.append(Integer.toString(i2, 16));
        throw new RuntimeException(a.toString());
    }

    /* JADX WARNING: Code restructure failed: missing block: B:121:0x0197, code lost:
        r2 = r4;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:51:0x00a8, code lost:
        if (r10 < 0) goto L_0x00a2;
     */
    /* JADX WARNING: Removed duplicated region for block: B:142:0x0193 A[SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:66:0x00d9  */
    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public RangeToken parseCharacterClass(boolean z) {
        boolean z2;
        RangeToken rangeToken;
        RangeToken rangeToken2;
        boolean z3;
        setContext(1);
        next();
        boolean z4 = false;
        if (read() == 0 && this.chardata == 94) {
            next();
            rangeToken2 = Token.createRange();
            rangeToken2.addRange(0, 1114111);
            rangeToken = Token.createRange();
            z2 = true;
        } else {
            rangeToken = Token.createRange();
            rangeToken2 = null;
            z2 = false;
        }
        boolean z5 = true;
        while (true) {
            int read = read();
            if (read == 1) {
                break;
            } else if (read != 0 || this.chardata != 93 || z5) {
                int i2 = this.chardata;
                if (read == 10) {
                    if (i2 != 67) {
                        if (i2 != 68) {
                            if (i2 != 73) {
                                if (i2 != 80) {
                                    if (!(i2 == 83 || i2 == 87)) {
                                        if (i2 != 105) {
                                            if (i2 != 112) {
                                                if (!(i2 == 115 || i2 == 119)) {
                                                    if (i2 != 99) {
                                                        if (i2 != 100) {
                                                            i2 = decodeEscaped();
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                                int i3 = this.offset;
                                RangeToken processBacksolidus_pP = processBacksolidus_pP(i2);
                                if (processBacksolidus_pP != null) {
                                    rangeToken.mergeRanges(processBacksolidus_pP);
                                    z3 = true;
                                    next();
                                    if (!z3) {
                                        if (read == 0) {
                                            if (i2 == 91) {
                                                throw ex("parser.cc.6", this.offset - 2);
                                            } else if (i2 == 93) {
                                                throw ex("parser.cc.7", this.offset - 2);
                                            } else if (i2 == 45 && !z5 && this.chardata != 93) {
                                                throw ex("parser.cc.8", this.offset - 2);
                                            }
                                        }
                                        if (read() == 0 && this.chardata == 45) {
                                            next();
                                            int read2 = read();
                                            if (read2 == 1) {
                                                throw ex("parser.cc.2", this.offset);
                                            } else if (read2 == 24) {
                                                throw ex("parser.cc.8", this.offset - 1);
                                            } else if (read2 == 0 && this.chardata == 93) {
                                                rangeToken.addRange(i2, i2);
                                                rangeToken.addRange(45, 45);
                                            } else {
                                                int i4 = this.chardata;
                                                if (read2 == 0) {
                                                    if (i4 == 91) {
                                                        throw ex("parser.cc.6", this.offset - 1);
                                                    } else if (i4 == 93) {
                                                        throw ex("parser.cc.7", this.offset - 1);
                                                    } else if (i4 == 45) {
                                                        next();
                                                        if (this.chardata != 93) {
                                                            throw ex("parser.cc.8", this.offset - 2);
                                                        }
                                                    }
                                                } else if (read2 == 10) {
                                                    i4 = decodeEscaped();
                                                }
                                                if (!(i4 == 45 && this.chardata == 93)) {
                                                    next();
                                                }
                                                if (i2 <= i4) {
                                                    rangeToken.addRange(i2, i4);
                                                } else {
                                                    throw ex("parser.ope.3", this.offset - 1);
                                                }
                                            }
                                        } else {
                                            rangeToken.addRange(i2, i2);
                                        }
                                    }
                                    z4 = false;
                                    z5 = false;
                                } else {
                                    throw ex("parser.atom.5", i3);
                                }
                            }
                        }
                        rangeToken.mergeRanges(getTokenForShorthand(i2));
                        z3 = true;
                        next();
                        if (!z3) {
                        }
                        z4 = false;
                        z5 = false;
                    }
                    i2 = processCIinCharacterClass(rangeToken, i2);
                } else if (read == 24 && !z5) {
                    if (z2) {
                        rangeToken2.subtractRanges(rangeToken);
                    } else {
                        rangeToken2 = rangeToken;
                    }
                    rangeToken2.subtractRanges(parseCharacterClass(z4));
                    if (!(read() == 0 && this.chardata == 93)) {
                        throw ex("parser.cc.5", this.offset);
                    }
                }
                z3 = false;
                next();
                if (!z3) {
                }
                z4 = false;
                z5 = false;
            } else if (z2) {
                rangeToken2.subtractRanges(rangeToken);
            }
        }
        if (read() != 1) {
            rangeToken2.sortRanges();
            rangeToken2.compactRanges();
            setContext(0);
            next();
            return rangeToken2;
        }
        throw ex("parser.cc.2", this.offset);
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public RangeToken parseSetOperations() {
        throw ex("parser.process.1", this.offset);
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public Token processBackreference() {
        throw ex("parser.process.1", this.offset - 4);
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public Token processBacksolidus_A() {
        throw ex("parser.process.1", this.offset);
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public Token processBacksolidus_B() {
        throw ex("parser.process.1", this.offset);
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public Token processBacksolidus_C() {
        next();
        return getTokenForShorthand(67);
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public Token processBacksolidus_I() {
        next();
        return getTokenForShorthand(73);
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public Token processBacksolidus_X() {
        throw ex("parser.process.1", this.offset - 2);
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public Token processBacksolidus_Z() {
        throw ex("parser.process.1", this.offset);
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public Token processBacksolidus_b() {
        throw ex("parser.process.1", this.offset);
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public Token processBacksolidus_c() {
        next();
        return getTokenForShorthand(99);
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public Token processBacksolidus_g() {
        throw ex("parser.process.1", this.offset - 2);
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public Token processBacksolidus_gt() {
        throw ex("parser.process.1", this.offset);
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public Token processBacksolidus_i() {
        next();
        return getTokenForShorthand(105);
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public Token processBacksolidus_lt() {
        throw ex("parser.process.1", this.offset);
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public Token processBacksolidus_z() {
        throw ex("parser.process.1", this.offset);
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public int processCIinCharacterClass(RangeToken rangeToken, int i2) {
        rangeToken.mergeRanges(getTokenForShorthand(i2));
        return -1;
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public Token processCaret() {
        next();
        return Token.createChar(94);
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public Token processCondition() {
        throw ex("parser.process.1", this.offset);
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public Token processDollar() {
        next();
        return Token.createChar(36);
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public Token processIndependent() {
        throw ex("parser.process.1", this.offset);
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public Token processLookahead() {
        throw ex("parser.process.1", this.offset);
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public Token processLookbehind() {
        throw ex("parser.process.1", this.offset);
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public Token processModifiers() {
        throw ex("parser.process.1", this.offset);
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public Token processNegativelookahead() {
        throw ex("parser.process.1", this.offset);
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public Token processNegativelookbehind() {
        throw ex("parser.process.1", this.offset);
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public Token processParen() {
        next();
        Token.ParenToken createParen = Token.createParen(parseRegex(), 0);
        if (read() == 7) {
            next();
            return createParen;
        }
        throw ex("parser.factor.1", this.offset - 1);
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public Token processParen2() {
        throw ex("parser.process.1", this.offset);
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public Token processPlus(Token token) {
        next();
        return Token.createConcat(token, Token.createClosure(token));
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public Token processQuestion(Token token) {
        next();
        Token.UnionToken createUnion = Token.createUnion();
        createUnion.addChild(token);
        createUnion.addChild(Token.createEmpty());
        return createUnion;
    }

    @Override // org.apache.xmlbeans.impl.regex.RegexParser
    public Token processStar(Token token) {
        next();
        return Token.createClosure(token);
    }

    public ParserForXMLSchema(Locale locale) {
    }
}
