package org.apache.xmlbeans.impl.regex;

import b.b.a.a.a;
import java.io.PrintStream;
import java.text.CharacterIterator;
import org.apache.lucene.codecs.lucene3x.Lucene3xNormsProducer;
import org.apache.poi.ss.formula.functions.Complex;
import org.apache.poi.ss.formula.ptg.UnaryMinusPtg;

public final class REUtil {
    public static final int CACHESIZE = 20;
    public static final RegularExpression[] regexCache = new RegularExpression[20];

    public static final int composeFromSurrogates(int i2, int i3) {
        return ((((i2 - 55296) << 10) + 65536) + i3) - 56320;
    }

    public static final String createOptionString(int i2) {
        StringBuffer stringBuffer = new StringBuffer(9);
        if ((i2 & 256) != 0) {
            stringBuffer.append('F');
        }
        if ((i2 & 128) != 0) {
            stringBuffer.append('H');
        }
        if ((i2 & 512) != 0) {
            stringBuffer.append('X');
        }
        if ((i2 & 2) != 0) {
            stringBuffer.append('i');
        }
        if ((i2 & 8) != 0) {
            stringBuffer.append('m');
        }
        if ((i2 & 4) != 0) {
            stringBuffer.append('s');
        }
        if ((i2 & 32) != 0) {
            stringBuffer.append('u');
        }
        if ((i2 & 64) != 0) {
            stringBuffer.append('w');
        }
        if ((i2 & 16) != 0) {
            stringBuffer.append('x');
        }
        if ((i2 & 1024) != 0) {
            stringBuffer.append(',');
        }
        return stringBuffer.toString().intern();
    }

    public static RegularExpression createRegex(String str, String str2) {
        RegularExpression regularExpression;
        int parseOptions = parseOptions(str2);
        synchronized (regexCache) {
            int i2 = 0;
            while (true) {
                regularExpression = null;
                if (i2 >= 20) {
                    break;
                }
                try {
                    RegularExpression regularExpression2 = regexCache[i2];
                    if (regularExpression2 == null) {
                        i2 = -1;
                        break;
                    } else if (regularExpression2.equals(str, parseOptions)) {
                        regularExpression = regularExpression2;
                        break;
                    } else {
                        i2++;
                    }
                } catch (Throwable th) {
                    throw th;
                }
            }
            if (regularExpression == null) {
                regularExpression = new RegularExpression(str, str2);
                System.arraycopy(regexCache, 0, regexCache, 1, 19);
                regexCache[0] = regularExpression;
            } else if (i2 != 0) {
                System.arraycopy(regexCache, 0, regexCache, 1, i2);
                regexCache[0] = regularExpression;
            }
        }
        return regularExpression;
    }

    public static final String decomposeToSurrogates(int i2) {
        int i3 = i2 - 65536;
        return new String(new char[]{(char) ((i3 >> 10) + 55296), (char) ((i3 & 1023) + 56320)});
    }

    public static void dumpString(String str) {
        for (int i2 = 0; i2 < str.length(); i2++) {
            System.out.print(Integer.toHexString(str.charAt(i2)));
            System.out.print(" ");
        }
        System.out.println();
    }

    public static final int getOptionValue(int i2) {
        if (i2 == 44) {
            return 1024;
        }
        if (i2 == 70) {
            return 256;
        }
        if (i2 == 72) {
            return 128;
        }
        if (i2 == 88) {
            return 512;
        }
        if (i2 == 105) {
            return 2;
        }
        if (i2 == 109) {
            return 8;
        }
        if (i2 == 115) {
            return 4;
        }
        if (i2 == 117) {
            return 32;
        }
        if (i2 != 119) {
            return i2 != 120 ? 0 : 16;
        }
        return 64;
    }

    public static final boolean isHighSurrogate(int i2) {
        return (i2 & 64512) == 55296;
    }

    public static final boolean isLowSurrogate(int i2) {
        return (i2 & 64512) == 56320;
    }

    public static void main(String[] strArr) {
        String str = null;
        try {
            if (strArr.length == 0) {
                System.out.println("Error:Usage: java REUtil -i|-m|-s|-u|-w|-X regularExpression String");
                System.exit(0);
            }
            String str2 = "";
            String str3 = null;
            for (int i2 = 0; i2 < strArr.length; i2++) {
                if (strArr[i2].length() != 0) {
                    if (strArr[i2].charAt(0) == '-') {
                        if (strArr[i2].equals("-i")) {
                            StringBuffer stringBuffer = new StringBuffer();
                            stringBuffer.append(str2);
                            stringBuffer.append(Complex.DEFAULT_SUFFIX);
                            str2 = stringBuffer.toString();
                        } else if (strArr[i2].equals("-m")) {
                            StringBuffer stringBuffer2 = new StringBuffer();
                            stringBuffer2.append(str2);
                            stringBuffer2.append("m");
                            str2 = stringBuffer2.toString();
                        } else if (strArr[i2].equals("-s")) {
                            StringBuffer stringBuffer3 = new StringBuffer();
                            stringBuffer3.append(str2);
                            stringBuffer3.append(Lucene3xNormsProducer.SEPARATE_NORMS_EXTENSION);
                            str2 = stringBuffer3.toString();
                        } else if (strArr[i2].equals("-u")) {
                            StringBuffer stringBuffer4 = new StringBuffer();
                            stringBuffer4.append(str2);
                            stringBuffer4.append("u");
                            str2 = stringBuffer4.toString();
                        } else if (strArr[i2].equals("-w")) {
                            StringBuffer stringBuffer5 = new StringBuffer();
                            stringBuffer5.append(str2);
                            stringBuffer5.append("w");
                            str2 = stringBuffer5.toString();
                        } else if (strArr[i2].equals("-X")) {
                            StringBuffer stringBuffer6 = new StringBuffer();
                            stringBuffer6.append(str2);
                            stringBuffer6.append("X");
                            str2 = stringBuffer6.toString();
                        } else {
                            PrintStream printStream = System.err;
                            StringBuffer stringBuffer7 = new StringBuffer();
                            stringBuffer7.append("Unknown option: ");
                            stringBuffer7.append(strArr[i2]);
                            printStream.println(stringBuffer7.toString());
                        }
                    }
                }
                if (str == null) {
                    str = strArr[i2];
                } else if (str3 == null) {
                    str3 = strArr[i2];
                } else {
                    PrintStream printStream2 = System.err;
                    StringBuffer stringBuffer8 = new StringBuffer();
                    stringBuffer8.append("Unnecessary: ");
                    stringBuffer8.append(strArr[i2]);
                    printStream2.println(stringBuffer8.toString());
                }
            }
            RegularExpression regularExpression = new RegularExpression(str, str2);
            PrintStream printStream3 = System.out;
            StringBuffer stringBuffer9 = new StringBuffer();
            stringBuffer9.append("RegularExpression: ");
            stringBuffer9.append(regularExpression);
            printStream3.println(stringBuffer9.toString());
            Match match = new Match();
            regularExpression.matches(str3, match);
            for (int i3 = 0; i3 < match.getNumberOfGroups(); i3++) {
                if (i3 == 0) {
                    System.out.print("Matched range for the whole pattern: ");
                } else {
                    PrintStream printStream4 = System.out;
                    StringBuffer stringBuffer10 = new StringBuffer();
                    stringBuffer10.append("[");
                    stringBuffer10.append(i3);
                    stringBuffer10.append("]: ");
                    printStream4.print(stringBuffer10.toString());
                }
                if (match.getBeginning(i3) < 0) {
                    System.out.println("-1");
                } else {
                    PrintStream printStream5 = System.out;
                    StringBuffer stringBuffer11 = new StringBuffer();
                    stringBuffer11.append(match.getBeginning(i3));
                    stringBuffer11.append(", ");
                    stringBuffer11.append(match.getEnd(i3));
                    stringBuffer11.append(", ");
                    printStream5.print(stringBuffer11.toString());
                    PrintStream printStream6 = System.out;
                    StringBuffer stringBuffer12 = new StringBuffer();
                    stringBuffer12.append("\"");
                    stringBuffer12.append(match.getCapturedText(i3));
                    stringBuffer12.append("\"");
                    printStream6.println(stringBuffer12.toString());
                }
            }
        } catch (ParseException e2) {
            if (0 == 0) {
                e2.printStackTrace();
                return;
            }
            PrintStream printStream7 = System.err;
            StringBuffer a = a.a("org.apache.xerces.utils.regex.ParseException: ");
            a.append(e2.getMessage());
            printStream7.println(a.toString());
            PrintStream printStream8 = System.err;
            StringBuffer stringBuffer13 = new StringBuffer();
            stringBuffer13.append("        ");
            stringBuffer13.append((String) null);
            printStream8.println(stringBuffer13.toString());
            int location = e2.getLocation();
            if (location >= 0) {
                System.err.print("        ");
                for (int i4 = 0; i4 < location; i4++) {
                    System.err.print(UnaryMinusPtg.MINUS);
                }
                System.err.println("^");
            }
        } catch (Exception e3) {
            e3.printStackTrace();
        }
    }

    public static boolean matches(String str, String str2) {
        return createRegex(str, null).matches(str2);
    }

    public static final int parseOptions(String str) {
        if (str == null) {
            return 0;
        }
        int i2 = 0;
        for (int i3 = 0; i3 < str.length(); i3++) {
            int optionValue = getOptionValue(str.charAt(i3));
            if (optionValue != 0) {
                i2 |= optionValue;
            } else {
                StringBuffer a = a.a("Unknown Option: ");
                a.append(str.substring(i3));
                throw new ParseException(a.toString(), -1);
            }
        }
        return i2;
    }

    public static String quoteMeta(String str) {
        int length = str.length();
        StringBuffer stringBuffer = null;
        for (int i2 = 0; i2 < length; i2++) {
            char charAt = str.charAt(i2);
            if (".*+?{[()|\\^$".indexOf(charAt) >= 0) {
                if (stringBuffer == null) {
                    stringBuffer = new StringBuffer(((length - i2) * 2) + i2);
                    if (i2 > 0) {
                        stringBuffer.append(str.substring(0, i2));
                    }
                }
                stringBuffer.append('\\');
                stringBuffer.append((char) charAt);
            } else if (stringBuffer != null) {
                stringBuffer.append((char) charAt);
            }
        }
        return stringBuffer != null ? stringBuffer.toString() : str;
    }

    public static String stripExtendedComment(String str) {
        int length = str.length();
        StringBuffer stringBuffer = new StringBuffer(length);
        int i2 = 0;
        while (i2 < length) {
            int i3 = i2 + 1;
            char charAt = str.charAt(i2);
            if (charAt != '\t' && charAt != '\n' && charAt != '\f' && charAt != '\r' && charAt != ' ') {
                if (charAt == '#') {
                    while (true) {
                        i2 = i3;
                        if (i2 >= length) {
                            break;
                        }
                        i3 = i2 + 1;
                        char charAt2 = str.charAt(i2);
                        if (charAt2 != '\r') {
                            if (charAt2 == '\n') {
                                break;
                            }
                        } else {
                            break;
                        }
                    }
                } else if (charAt != '\\' || i3 >= length) {
                    stringBuffer.append((char) charAt);
                } else {
                    char charAt3 = str.charAt(i3);
                    if (charAt3 == '#' || charAt3 == '\t' || charAt3 == '\n' || charAt3 == '\f' || charAt3 == '\r' || charAt3 == ' ') {
                        stringBuffer.append((char) charAt3);
                    } else {
                        stringBuffer.append('\\');
                        stringBuffer.append((char) charAt3);
                    }
                    i3++;
                }
            }
            i2 = i3;
        }
        return stringBuffer.toString();
    }

    public static final String substring(CharacterIterator characterIterator, int i2, int i3) {
        int i4 = i3 - i2;
        char[] cArr = new char[i4];
        for (int i5 = 0; i5 < i4; i5++) {
            cArr[i5] = characterIterator.setIndex(i5 + i2);
        }
        return new String(cArr);
    }

    public static boolean matches(String str, String str2, String str3) {
        return createRegex(str, str2).matches(str3);
    }
}
