package org.apache.xmlbeans.impl.richParser;

import java.io.InputStream;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.Date;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.GDate;
import org.apache.xmlbeans.GDuration;
import org.apache.xmlbeans.XmlCalendar;

public interface XMLStreamReaderExt extends XMLStreamReader {
    public static final int WS_COLLAPSE = 3;
    public static final int WS_PRESERVE = 1;
    public static final int WS_REPLACE = 2;

    InputStream getAttributeBase64Value(int i2);

    InputStream getAttributeBase64Value(String str, String str2);

    BigDecimal getAttributeBigDecimalValue(int i2);

    BigDecimal getAttributeBigDecimalValue(String str, String str2);

    BigInteger getAttributeBigIntegerValue(int i2);

    BigInteger getAttributeBigIntegerValue(String str, String str2);

    boolean getAttributeBooleanValue(int i2);

    boolean getAttributeBooleanValue(String str, String str2);

    byte getAttributeByteValue(int i2);

    byte getAttributeByteValue(String str, String str2);

    XmlCalendar getAttributeCalendarValue(int i2);

    XmlCalendar getAttributeCalendarValue(String str, String str2);

    Date getAttributeDateValue(int i2);

    Date getAttributeDateValue(String str, String str2);

    double getAttributeDoubleValue(int i2);

    double getAttributeDoubleValue(String str, String str2);

    float getAttributeFloatValue(int i2);

    float getAttributeFloatValue(String str, String str2);

    GDate getAttributeGDateValue(int i2);

    GDate getAttributeGDateValue(String str, String str2);

    GDuration getAttributeGDurationValue(int i2);

    GDuration getAttributeGDurationValue(String str, String str2);

    InputStream getAttributeHexBinaryValue(int i2);

    InputStream getAttributeHexBinaryValue(String str, String str2);

    int getAttributeIntValue(int i2);

    int getAttributeIntValue(String str, String str2);

    long getAttributeLongValue(int i2);

    long getAttributeLongValue(String str, String str2);

    QName getAttributeQNameValue(int i2);

    QName getAttributeQNameValue(String str, String str2);

    short getAttributeShortValue(int i2);

    short getAttributeShortValue(String str, String str2);

    String getAttributeStringValue(int i2);

    String getAttributeStringValue(int i2, int i3);

    String getAttributeStringValue(String str, String str2);

    String getAttributeStringValue(String str, String str2, int i2);

    InputStream getBase64Value();

    BigDecimal getBigDecimalValue();

    BigInteger getBigIntegerValue();

    boolean getBooleanValue();

    byte getByteValue();

    XmlCalendar getCalendarValue();

    Date getDateValue();

    double getDoubleValue();

    float getFloatValue();

    GDate getGDateValue();

    GDuration getGDurationValue();

    InputStream getHexBinaryValue();

    int getIntValue();

    long getLongValue();

    QName getQNameValue();

    short getShortValue();

    String getStringValue();

    String getStringValue(int i2);

    void setDefaultValue(String str);
}
