package org.apache.xmlbeans.impl.schema;

import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;
import org.apache.xmlbeans.ResourceLoader;

public class PathResourceLoader implements ResourceLoader {
    public ResourceLoader[] _path;

    public PathResourceLoader(ResourceLoader[] resourceLoaderArr) {
        ResourceLoader[] resourceLoaderArr2 = new ResourceLoader[resourceLoaderArr.length];
        this._path = resourceLoaderArr2;
        System.arraycopy(resourceLoaderArr, 0, resourceLoaderArr2, 0, resourceLoaderArr2.length);
    }

    @Override // org.apache.xmlbeans.ResourceLoader
    public void close() {
        int i2 = 0;
        while (true) {
            ResourceLoader[] resourceLoaderArr = this._path;
            if (i2 < resourceLoaderArr.length) {
                try {
                    resourceLoaderArr[i2].close();
                } catch (Exception unused) {
                }
                i2++;
            } else {
                return;
            }
        }
    }

    @Override // org.apache.xmlbeans.ResourceLoader
    public InputStream getResourceAsStream(String str) {
        int i2 = 0;
        while (true) {
            ResourceLoader[] resourceLoaderArr = this._path;
            if (i2 >= resourceLoaderArr.length) {
                return null;
            }
            InputStream resourceAsStream = resourceLoaderArr[i2].getResourceAsStream(str);
            if (resourceAsStream != null) {
                return resourceAsStream;
            }
            i2++;
        }
    }

    public PathResourceLoader(File[] fileArr) {
        ArrayList arrayList = new ArrayList();
        for (int i2 = 0; i2 < fileArr.length; i2++) {
            try {
                arrayList.add(new FileResourceLoader(fileArr[i2]));
            } catch (IOException unused) {
            }
        }
        this._path = (ResourceLoader[]) arrayList.toArray(new ResourceLoader[arrayList.size()]);
    }
}
