package org.apache.xmlbeans.impl.schema;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;

public class SchemaDependencies {
    public Map _contributions = new HashMap();
    public Map _dependencies = new HashMap();

    public SchemaDependencies() {
    }

    public Set computeTransitiveClosure(List list) {
        ArrayList arrayList = new ArrayList(list);
        HashSet hashSet = new HashSet(list);
        for (int i2 = 0; i2 < arrayList.size(); i2++) {
            Set<String> set = (Set) this._dependencies.get(arrayList.get(i2));
            if (set != null) {
                for (String str : set) {
                    if (!hashSet.contains(str)) {
                        arrayList.add(str);
                        hashSet.add(str);
                    }
                }
            }
        }
        return hashSet;
    }

    public List getFilesTouched(Set set) {
        ArrayList arrayList = new ArrayList();
        for (Object obj : set) {
            arrayList.addAll((List) this._contributions.get(obj));
        }
        return arrayList;
    }

    public List getNamespacesTouched(Set set) {
        ArrayList arrayList = new ArrayList();
        for (String str : this._contributions.keySet()) {
            List list = (List) this._contributions.get(str);
            for (int i2 = 0; i2 < list.size(); i2++) {
                if (set.contains(list.get(i2))) {
                    arrayList.add(str);
                }
            }
        }
        return arrayList;
    }

    public boolean isFileRepresented(String str) {
        for (List list : this._contributions.values()) {
            if (list.contains(str)) {
                return true;
            }
        }
        return false;
    }

    public void registerContribution(String str, String str2) {
        List list = (List) this._contributions.get(str);
        if (list == null) {
            list = new ArrayList();
            this._contributions.put(str, list);
        }
        list.add(str2);
    }

    public void registerDependency(String str, String str2) {
        Set set = (Set) this._dependencies.get(str2);
        if (set == null) {
            set = new HashSet();
            this._dependencies.put(str2, set);
        }
        set.add(str);
    }

    public SchemaDependencies(SchemaDependencies schemaDependencies, Set set) {
        for (String str : schemaDependencies._dependencies.keySet()) {
            if (!set.contains(str)) {
                HashSet hashSet = new HashSet();
                this._dependencies.put(str, hashSet);
                for (String str2 : (Set) schemaDependencies._dependencies.get(str)) {
                    if (!set.contains(str2)) {
                        hashSet.add(str2);
                    }
                }
            }
        }
        for (String str3 : schemaDependencies._contributions.keySet()) {
            if (!set.contains(str3)) {
                ArrayList arrayList = new ArrayList();
                this._contributions.put(str3, arrayList);
                for (Object obj : (List) schemaDependencies._contributions.get(str3)) {
                    arrayList.add(obj);
                }
            }
        }
    }
}
