package org.apache.xmlbeans.impl.schema;

import b.b.a.a.a;
import java.util.Collections;
import java.util.Map;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.xmlbeans.SchemaAnnotation;
import org.apache.xmlbeans.SchemaComponent;
import org.apache.xmlbeans.SchemaIdentityConstraint;
import org.apache.xmlbeans.SchemaTypeSystem;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.impl.common.XPath;

public class SchemaIdentityConstraintImpl implements SchemaIdentityConstraint {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$schema$SchemaIdentityConstraintImpl;
    public SchemaAnnotation _annotation;
    public boolean _chameleon;
    public SchemaContainer _container;
    public volatile XPath[] _fieldPaths;
    public String[] _fields;
    public String _filename;
    public SchemaIdentityConstraint.Ref _key;
    public QName _name;
    public Map _nsMap = Collections.EMPTY_MAP;
    public XmlObject _parse;
    public String _parseTNS;
    public String _selector;
    public volatile XPath _selectorPath;
    public SchemaIdentityConstraint.Ref _selfref = new SchemaIdentityConstraint.Ref(this);
    public int _type;
    public Object _userData;

    static {
        Class cls = class$org$apache$xmlbeans$impl$schema$SchemaIdentityConstraintImpl;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.schema.SchemaIdentityConstraintImpl");
            class$org$apache$xmlbeans$impl$schema$SchemaIdentityConstraintImpl = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
    }

    public SchemaIdentityConstraintImpl(SchemaContainer schemaContainer) {
        this._container = schemaContainer;
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public void buildPaths() {
        this._selectorPath = XPath.compileXPath(this._selector, this._nsMap);
        this._fieldPaths = new XPath[this._fields.length];
        for (int i2 = 0; i2 < this._fieldPaths.length; i2++) {
            this._fieldPaths[i2] = XPath.compileXPath(this._fields[i2], this._nsMap);
        }
    }

    @Override // org.apache.xmlbeans.SchemaAnnotated
    public SchemaAnnotation getAnnotation() {
        return this._annotation;
    }

    public String getChameleonNamespace() {
        if (this._chameleon) {
            return this._parseTNS;
        }
        return null;
    }

    @Override // org.apache.xmlbeans.SchemaComponent
    public SchemaComponent.Ref getComponentRef() {
        return getRef();
    }

    @Override // org.apache.xmlbeans.SchemaComponent
    public int getComponentType() {
        return 5;
    }

    @Override // org.apache.xmlbeans.SchemaIdentityConstraint
    public int getConstraintCategory() {
        return this._type;
    }

    public SchemaContainer getContainer() {
        return this._container;
    }

    @Override // org.apache.xmlbeans.SchemaIdentityConstraint
    public Object getFieldPath(int i2) {
        XPath[] xPathArr = this._fieldPaths;
        if (xPathArr == null) {
            try {
                buildPaths();
                xPathArr = this._fieldPaths;
            } catch (XPath.XPathCompileException e2) {
                if ($assertionsDisabled) {
                    return null;
                }
                StringBuffer stringBuffer = new StringBuffer();
                stringBuffer.append("Failed to compile xpath. Should be caught by compiler ");
                stringBuffer.append(e2);
                throw new AssertionError(stringBuffer.toString());
            }
        }
        return xPathArr[i2];
    }

    @Override // org.apache.xmlbeans.SchemaIdentityConstraint
    public String[] getFields() {
        String[] strArr = this._fields;
        int length = strArr.length;
        String[] strArr2 = new String[length];
        System.arraycopy(strArr, 0, strArr2, 0, length);
        return strArr2;
    }

    @Override // org.apache.xmlbeans.SchemaIdentityConstraint
    public Map getNSMap() {
        return Collections.unmodifiableMap(this._nsMap);
    }

    @Override // org.apache.xmlbeans.SchemaComponent
    public QName getName() {
        return this._name;
    }

    public XmlObject getParseObject() {
        return this._parse;
    }

    public SchemaIdentityConstraint.Ref getRef() {
        return this._selfref;
    }

    @Override // org.apache.xmlbeans.SchemaIdentityConstraint
    public SchemaIdentityConstraint getReferencedKey() {
        return this._key.get();
    }

    @Override // org.apache.xmlbeans.SchemaIdentityConstraint
    public String getSelector() {
        return this._selector;
    }

    @Override // org.apache.xmlbeans.SchemaIdentityConstraint
    public Object getSelectorPath() {
        XPath xPath = this._selectorPath;
        if (xPath != null) {
            return xPath;
        }
        try {
            buildPaths();
            return this._selectorPath;
        } catch (XPath.XPathCompileException e2) {
            if ($assertionsDisabled) {
                return null;
            }
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append("Failed to compile xpath. Should be caught by compiler ");
            stringBuffer.append(e2);
            throw new AssertionError(stringBuffer.toString());
        }
    }

    @Override // org.apache.xmlbeans.SchemaComponent
    public String getSourceName() {
        return this._filename;
    }

    public String getTargetNamespace() {
        return this._parseTNS;
    }

    @Override // org.apache.xmlbeans.SchemaComponent
    public SchemaTypeSystem getTypeSystem() {
        return this._container.getTypeSystem();
    }

    @Override // org.apache.xmlbeans.SchemaIdentityConstraint
    public Object getUserData() {
        return this._userData;
    }

    public boolean isResolved() {
        return (getConstraintCategory() == 2 && this._key == null) ? false : true;
    }

    public void setAnnotation(SchemaAnnotation schemaAnnotation) {
        this._annotation = schemaAnnotation;
    }

    public void setConstraintCategory(int i2) {
        if ($assertionsDisabled || (i2 >= 1 && i2 <= 3)) {
            this._type = i2;
            return;
        }
        throw new AssertionError();
    }

    public void setFields(String[] strArr) {
        if ($assertionsDisabled || (strArr != null && strArr.length > 0)) {
            this._fields = strArr;
            return;
        }
        throw new AssertionError();
    }

    public void setFilename(String str) {
        this._filename = str;
    }

    public void setNSMap(Map map) {
        this._nsMap = map;
    }

    public void setName(QName qName) {
        if ($assertionsDisabled || qName != null) {
            this._name = qName;
            return;
        }
        throw new AssertionError();
    }

    public void setParseContext(XmlObject xmlObject, String str, boolean z) {
        this._parse = xmlObject;
        this._parseTNS = str;
        this._chameleon = z;
    }

    public void setReferencedKey(SchemaIdentityConstraint.Ref ref) {
        this._key = ref;
    }

    public void setSelector(String str) {
        if ($assertionsDisabled || str != null) {
            this._selector = str;
            return;
        }
        throw new AssertionError();
    }

    public void setUserData(Object obj) {
        this._userData = obj;
    }
}
