package org.apache.xmlbeans.impl.schema;

import b.b.a.a.a;
import java.math.BigInteger;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.xmlbeans.QNameSet;
import org.apache.xmlbeans.SchemaParticle;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlAnySimpleType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlQName;
import org.apache.xmlbeans.impl.values.NamespaceContext;

public class SchemaParticleImpl implements SchemaParticle {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static final BigInteger _maxint = BigInteger.valueOf(2147483647L);
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$schema$SchemaParticleImpl;
    public String _defaultText;
    public XmlValueRef _defaultValue;
    public QNameSet _excludeNextSet;
    public int _intMaxOccurs;
    public int _intMinOccurs;
    public boolean _isDefault;
    public boolean _isDeterministic;
    public boolean _isFixed;
    public boolean _isImmutable;
    public boolean _isNillable;
    public boolean _isSkippable;
    public BigInteger _maxOccurs;
    public BigInteger _minOccurs;
    public XmlObject _parseObject;
    public SchemaParticle[] _particleChildren;
    public int _particleType;
    public QName _qName;
    public QNameSet _startSet;
    public SchemaType.Ref _typeref;
    public Object _userData;
    public int _wildcardProcess;
    public QNameSet _wildcardSet;

    static {
        Class cls = class$org$apache$xmlbeans$impl$schema$SchemaParticleImpl;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.schema.SchemaParticleImpl");
            class$org$apache$xmlbeans$impl$schema$SchemaParticleImpl = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public static final int pegBigInteger(BigInteger bigInteger) {
        if (bigInteger == null) {
            return Integer.MAX_VALUE;
        }
        if (bigInteger.signum() <= 0) {
            return 0;
        }
        if (bigInteger.compareTo(_maxint) >= 0) {
            return Integer.MAX_VALUE;
        }
        return bigInteger.intValue();
    }

    @Override // org.apache.xmlbeans.SchemaParticle
    public QNameSet acceptedStartNames() {
        return this._startSet;
    }

    @Override // org.apache.xmlbeans.SchemaParticle
    public boolean canStartWithElement(QName qName) {
        return qName != null && this._startSet.contains(qName);
    }

    @Override // org.apache.xmlbeans.SchemaParticle
    public int countOfParticleChild() {
        SchemaParticle[] schemaParticleArr = this._particleChildren;
        if (schemaParticleArr == null) {
            return 0;
        }
        return schemaParticleArr.length;
    }

    @Override // org.apache.xmlbeans.SchemaParticle
    public String getDefaultText() {
        return this._defaultText;
    }

    @Override // org.apache.xmlbeans.SchemaParticle
    public XmlAnySimpleType getDefaultValue() {
        XmlValueRef xmlValueRef = this._defaultValue;
        if (xmlValueRef != null) {
            return xmlValueRef.get();
        }
        if (this._defaultText == null || !XmlAnySimpleType.type.isAssignableFrom(getType())) {
            return null;
        }
        if (this._parseObject == null || !XmlQName.type.isAssignableFrom(getType())) {
            return getType().newValue(this._defaultText);
        }
        try {
            NamespaceContext.push(new NamespaceContext(this._parseObject));
            return getType().newValue(this._defaultText);
        } finally {
            NamespaceContext.pop();
        }
    }

    public QNameSet getExcludeNextSet() {
        return this._excludeNextSet;
    }

    @Override // org.apache.xmlbeans.SchemaParticle
    public int getIntMaxOccurs() {
        return this._intMaxOccurs;
    }

    @Override // org.apache.xmlbeans.SchemaParticle
    public int getIntMinOccurs() {
        return this._intMinOccurs;
    }

    @Override // org.apache.xmlbeans.SchemaParticle
    public BigInteger getMaxOccurs() {
        return this._maxOccurs;
    }

    @Override // org.apache.xmlbeans.SchemaParticle
    public BigInteger getMinOccurs() {
        return this._minOccurs;
    }

    @Override // org.apache.xmlbeans.SchemaParticle
    public QName getName() {
        return this._qName;
    }

    @Override // org.apache.xmlbeans.SchemaParticle
    public SchemaParticle getParticleChild(int i2) {
        return this._particleChildren[i2];
    }

    @Override // org.apache.xmlbeans.SchemaParticle
    public SchemaParticle[] getParticleChildren() {
        SchemaParticle[] schemaParticleArr = this._particleChildren;
        if (schemaParticleArr != null) {
            SchemaParticle[] schemaParticleArr2 = new SchemaParticle[schemaParticleArr.length];
            System.arraycopy(schemaParticleArr, 0, schemaParticleArr2, 0, schemaParticleArr.length);
            return schemaParticleArr2;
        } else if ($assertionsDisabled) {
            return null;
        } else {
            int i2 = this._particleType;
            if (i2 != 1 && i2 != 3 && i2 != 2) {
                return null;
            }
            throw new AssertionError();
        }
    }

    @Override // org.apache.xmlbeans.SchemaParticle
    public int getParticleType() {
        return this._particleType;
    }

    @Override // org.apache.xmlbeans.SchemaParticle
    public SchemaType getType() {
        SchemaType.Ref ref = this._typeref;
        if (ref == null) {
            return null;
        }
        return ref.get();
    }

    public Object getUserData() {
        return this._userData;
    }

    @Override // org.apache.xmlbeans.SchemaParticle
    public int getWildcardProcess() {
        return this._wildcardProcess;
    }

    @Override // org.apache.xmlbeans.SchemaParticle
    public QNameSet getWildcardSet() {
        return this._wildcardSet;
    }

    public boolean hasTransitionNotes() {
        return this._excludeNextSet != null;
    }

    public boolean hasTransitionRules() {
        return this._startSet != null;
    }

    public boolean isAttribute() {
        return false;
    }

    @Override // org.apache.xmlbeans.SchemaParticle
    public boolean isDefault() {
        return this._isDefault;
    }

    public boolean isDeterministic() {
        return this._isDeterministic;
    }

    @Override // org.apache.xmlbeans.SchemaParticle
    public boolean isFixed() {
        return this._isFixed;
    }

    @Override // org.apache.xmlbeans.SchemaParticle
    public boolean isNillable() {
        return this._isNillable;
    }

    @Override // org.apache.xmlbeans.SchemaParticle
    public boolean isSingleton() {
        BigInteger bigInteger = this._maxOccurs;
        return bigInteger != null && bigInteger.compareTo(BigInteger.ONE) == 0 && this._minOccurs.compareTo(BigInteger.ONE) == 0;
    }

    @Override // org.apache.xmlbeans.SchemaParticle
    public boolean isSkippable() {
        return this._isSkippable;
    }

    public boolean isTypeResolved() {
        return this._typeref != null;
    }

    public void mutate() {
        if (this._isImmutable) {
            throw new IllegalStateException();
        }
    }

    public void resolveTypeRef(SchemaType.Ref ref) {
        if (this._typeref == null) {
            this._typeref = ref;
            return;
        }
        throw new IllegalStateException();
    }

    public void setDefault(String str, boolean z, XmlObject xmlObject) {
        mutate();
        this._defaultText = str;
        this._isDefault = str != null;
        this._isFixed = z;
        this._parseObject = xmlObject;
    }

    public void setDefaultValue(XmlValueRef xmlValueRef) {
        mutate();
        this._defaultValue = xmlValueRef;
    }

    public void setImmutable() {
        mutate();
        this._isImmutable = true;
    }

    public void setMaxOccurs(BigInteger bigInteger) {
        mutate();
        this._maxOccurs = bigInteger;
        this._intMaxOccurs = pegBigInteger(bigInteger);
    }

    public void setMinOccurs(BigInteger bigInteger) {
        mutate();
        this._minOccurs = bigInteger;
        this._intMinOccurs = pegBigInteger(bigInteger);
    }

    public void setNameAndTypeRef(QName qName, SchemaType.Ref ref) {
        mutate();
        this._qName = qName;
        this._typeref = ref;
    }

    public void setNillable(boolean z) {
        mutate();
        this._isNillable = z;
    }

    public void setParticleChildren(SchemaParticle[] schemaParticleArr) {
        mutate();
        this._particleChildren = schemaParticleArr;
    }

    public void setParticleType(int i2) {
        mutate();
        this._particleType = i2;
    }

    public void setTransitionNotes(QNameSet qNameSet, boolean z) {
        this._excludeNextSet = qNameSet;
        this._isDeterministic = z;
    }

    public void setTransitionRules(QNameSet qNameSet, boolean z) {
        this._startSet = qNameSet;
        this._isSkippable = z;
    }

    public void setUserData(Object obj) {
        this._userData = obj;
    }

    public void setWildcardProcess(int i2) {
        mutate();
        this._wildcardProcess = i2;
    }

    public void setWildcardSet(QNameSet qNameSet) {
        mutate();
        this._wildcardSet = qNameSet;
    }
}
