package org.apache.xmlbeans.impl.schema;

import b.b.a.a.a;
import java.math.BigInteger;
import java.util.Set;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.xmlbeans.QNameSet;
import org.apache.xmlbeans.SchemaProperty;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlAnySimpleType;

public class SchemaPropertyImpl implements SchemaProperty {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$schema$SchemaPropertyImpl;
    public Set _acceptedNames;
    public SchemaType.Ref _containerTypeRef;
    public String _defaultText;
    public XmlValueRef _defaultValue;
    public boolean _extendsArray;
    public boolean _extendsOption;
    public boolean _extendsSingleton;
    public int _hasDefault;
    public int _hasFixed;
    public int _hasNillable;
    public boolean _isAttribute;
    public boolean _isImmutable;
    public SchemaType.Ref _javaBasedOnTypeRef;
    public String _javaPropertyName;
    public QNameSet _javaSetterDelimiter;
    public int _javaTypeCode;
    public BigInteger _maxOccurs;
    public BigInteger _minOccurs;
    public QName _name;
    public SchemaType.Ref _typeref;

    static {
        Class cls = class$org$apache$xmlbeans$impl$schema$SchemaPropertyImpl;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.schema.SchemaPropertyImpl");
            class$org$apache$xmlbeans$impl$schema$SchemaPropertyImpl = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    private void mutate() {
        if (this._isImmutable) {
            throw new IllegalStateException();
        }
    }

    @Override // org.apache.xmlbeans.SchemaProperty
    public QName[] acceptedNames() {
        Set set = this._acceptedNames;
        if (set != null) {
            return (QName[]) set.toArray(new QName[set.size()]);
        }
        return new QName[]{this._name};
    }

    @Override // org.apache.xmlbeans.SchemaProperty
    public boolean extendsJavaArray() {
        return this._extendsArray;
    }

    @Override // org.apache.xmlbeans.SchemaProperty
    public boolean extendsJavaOption() {
        return this._extendsOption;
    }

    @Override // org.apache.xmlbeans.SchemaProperty
    public boolean extendsJavaSingleton() {
        return this._extendsSingleton;
    }

    @Override // org.apache.xmlbeans.SchemaProperty
    public SchemaType getContainerType() {
        return this._containerTypeRef.get();
    }

    @Override // org.apache.xmlbeans.SchemaProperty
    public String getDefaultText() {
        return this._defaultText;
    }

    @Override // org.apache.xmlbeans.SchemaProperty
    public XmlAnySimpleType getDefaultValue() {
        XmlValueRef xmlValueRef = this._defaultValue;
        if (xmlValueRef != null) {
            return xmlValueRef.get();
        }
        return null;
    }

    @Override // org.apache.xmlbeans.SchemaProperty
    public String getJavaPropertyName() {
        return this._javaPropertyName;
    }

    @Override // org.apache.xmlbeans.SchemaProperty
    public QNameSet getJavaSetterDelimiter() {
        if (this._isAttribute) {
            return QNameSet.EMPTY;
        }
        if (this._javaSetterDelimiter == null) {
            ((SchemaTypeImpl) getContainerType()).assignJavaElementSetterModel();
        }
        if ($assertionsDisabled || this._javaSetterDelimiter != null) {
            return this._javaSetterDelimiter;
        }
        throw new AssertionError();
    }

    @Override // org.apache.xmlbeans.SchemaProperty
    public int getJavaTypeCode() {
        return this._javaTypeCode;
    }

    @Override // org.apache.xmlbeans.SchemaProperty
    public BigInteger getMaxOccurs() {
        return this._maxOccurs;
    }

    @Override // org.apache.xmlbeans.SchemaProperty
    public BigInteger getMinOccurs() {
        return this._minOccurs;
    }

    @Override // org.apache.xmlbeans.SchemaProperty
    public QName getName() {
        return this._name;
    }

    @Override // org.apache.xmlbeans.SchemaProperty
    public SchemaType getType() {
        return this._typeref.get();
    }

    @Override // org.apache.xmlbeans.SchemaProperty
    public int hasDefault() {
        return this._hasDefault;
    }

    @Override // org.apache.xmlbeans.SchemaProperty
    public int hasFixed() {
        return this._hasFixed;
    }

    @Override // org.apache.xmlbeans.SchemaProperty
    public int hasNillable() {
        return this._hasNillable;
    }

    @Override // org.apache.xmlbeans.SchemaProperty
    public boolean isAttribute() {
        return this._isAttribute;
    }

    @Override // org.apache.xmlbeans.SchemaProperty
    public boolean isReadOnly() {
        return false;
    }

    @Override // org.apache.xmlbeans.SchemaProperty
    public SchemaType javaBasedOnType() {
        SchemaType.Ref ref = this._javaBasedOnTypeRef;
        if (ref == null) {
            return null;
        }
        return ref.get();
    }

    public void setAcceptedNames(Set set) {
        mutate();
        this._acceptedNames = set;
    }

    public void setAttribute(boolean z) {
        mutate();
        this._isAttribute = z;
    }

    public void setContainerTypeRef(SchemaType.Ref ref) {
        mutate();
        this._containerTypeRef = ref;
    }

    public void setDefault(int i2) {
        mutate();
        this._hasDefault = i2;
    }

    public void setDefaultText(String str) {
        mutate();
        this._defaultText = str;
    }

    public void setDefaultValue(XmlValueRef xmlValueRef) {
        mutate();
        this._defaultValue = xmlValueRef;
    }

    public void setExtendsJava(SchemaType.Ref ref, boolean z, boolean z2, boolean z3) {
        mutate();
        this._javaBasedOnTypeRef = ref;
        this._extendsSingleton = z;
        this._extendsOption = z2;
        this._extendsArray = z3;
    }

    public void setFixed(int i2) {
        mutate();
        this._hasFixed = i2;
    }

    public void setImmutable() {
        mutate();
        this._isImmutable = true;
    }

    public void setJavaPropertyName(String str) {
        mutate();
        this._javaPropertyName = str;
    }

    public void setJavaSetterDelimiter(QNameSet qNameSet) {
        this._javaSetterDelimiter = qNameSet;
    }

    public void setJavaTypeCode(int i2) {
        mutate();
        this._javaTypeCode = i2;
    }

    public void setMaxOccurs(BigInteger bigInteger) {
        mutate();
        this._maxOccurs = bigInteger;
    }

    public void setMinOccurs(BigInteger bigInteger) {
        mutate();
        this._minOccurs = bigInteger;
    }

    public void setName(QName qName) {
        mutate();
        this._name = qName;
    }

    public void setNillable(int i2) {
        mutate();
        this._hasNillable = i2;
    }

    public void setTypeRef(SchemaType.Ref ref) {
        mutate();
        this._typeref = ref;
    }

    public void setAcceptedNames(QNameSet qNameSet) {
        mutate();
        this._acceptedNames = qNameSet.includedQNamesInExcludedURIs();
    }
}
