package org.apache.xmlbeans.impl.schema;

import b.b.a.a.a;
import java.io.PrintStream;
import java.lang.reflect.Constructor;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.HashMap;
import java.util.Iterator;
import java.util.LinkedHashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.xmlbeans.InterfaceExtension;
import org.apache.xmlbeans.PrePostExtension;
import org.apache.xmlbeans.QNameSet;
import org.apache.xmlbeans.QNameSetBuilder;
import org.apache.xmlbeans.SchemaAnnotation;
import org.apache.xmlbeans.SchemaAttributeModel;
import org.apache.xmlbeans.SchemaComponent;
import org.apache.xmlbeans.SchemaField;
import org.apache.xmlbeans.SchemaGlobalAttribute;
import org.apache.xmlbeans.SchemaGlobalElement;
import org.apache.xmlbeans.SchemaLocalAttribute;
import org.apache.xmlbeans.SchemaLocalElement;
import org.apache.xmlbeans.SchemaParticle;
import org.apache.xmlbeans.SchemaProperty;
import org.apache.xmlbeans.SchemaStringEnumEntry;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.SchemaTypeElementSequencer;
import org.apache.xmlbeans.SchemaTypeLoader;
import org.apache.xmlbeans.SchemaTypeSystem;
import org.apache.xmlbeans.StringEnumAbstractBase;
import org.apache.xmlbeans.XmlAnySimpleType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.impl.common.QNameHelper;
import org.apache.xmlbeans.impl.regex.RegularExpression;
import org.apache.xmlbeans.impl.values.StringEnumValue;
import org.apache.xmlbeans.impl.values.TypeStoreUser;
import org.apache.xmlbeans.impl.values.TypeStoreUserFactory;
import org.apache.xmlbeans.impl.values.XmlAnySimpleTypeImpl;
import org.apache.xmlbeans.impl.values.XmlAnySimpleTypeRestriction;
import org.apache.xmlbeans.impl.values.XmlAnyTypeImpl;
import org.apache.xmlbeans.impl.values.XmlAnyUriImpl;
import org.apache.xmlbeans.impl.values.XmlAnyUriRestriction;
import org.apache.xmlbeans.impl.values.XmlBase64BinaryImpl;
import org.apache.xmlbeans.impl.values.XmlBase64BinaryRestriction;
import org.apache.xmlbeans.impl.values.XmlBooleanImpl;
import org.apache.xmlbeans.impl.values.XmlBooleanRestriction;
import org.apache.xmlbeans.impl.values.XmlByteImpl;
import org.apache.xmlbeans.impl.values.XmlComplexContentImpl;
import org.apache.xmlbeans.impl.values.XmlDateImpl;
import org.apache.xmlbeans.impl.values.XmlDateTimeImpl;
import org.apache.xmlbeans.impl.values.XmlDecimalImpl;
import org.apache.xmlbeans.impl.values.XmlDecimalRestriction;
import org.apache.xmlbeans.impl.values.XmlDoubleImpl;
import org.apache.xmlbeans.impl.values.XmlDoubleRestriction;
import org.apache.xmlbeans.impl.values.XmlDurationImpl;
import org.apache.xmlbeans.impl.values.XmlEntitiesImpl;
import org.apache.xmlbeans.impl.values.XmlEntityImpl;
import org.apache.xmlbeans.impl.values.XmlFloatImpl;
import org.apache.xmlbeans.impl.values.XmlFloatRestriction;
import org.apache.xmlbeans.impl.values.XmlGDayImpl;
import org.apache.xmlbeans.impl.values.XmlGMonthDayImpl;
import org.apache.xmlbeans.impl.values.XmlGMonthImpl;
import org.apache.xmlbeans.impl.values.XmlGYearImpl;
import org.apache.xmlbeans.impl.values.XmlGYearMonthImpl;
import org.apache.xmlbeans.impl.values.XmlHexBinaryImpl;
import org.apache.xmlbeans.impl.values.XmlHexBinaryRestriction;
import org.apache.xmlbeans.impl.values.XmlIdImpl;
import org.apache.xmlbeans.impl.values.XmlIdRefImpl;
import org.apache.xmlbeans.impl.values.XmlIdRefsImpl;
import org.apache.xmlbeans.impl.values.XmlIntImpl;
import org.apache.xmlbeans.impl.values.XmlIntRestriction;
import org.apache.xmlbeans.impl.values.XmlIntegerImpl;
import org.apache.xmlbeans.impl.values.XmlIntegerRestriction;
import org.apache.xmlbeans.impl.values.XmlLanguageImpl;
import org.apache.xmlbeans.impl.values.XmlListImpl;
import org.apache.xmlbeans.impl.values.XmlLongImpl;
import org.apache.xmlbeans.impl.values.XmlLongRestriction;
import org.apache.xmlbeans.impl.values.XmlNCNameImpl;
import org.apache.xmlbeans.impl.values.XmlNameImpl;
import org.apache.xmlbeans.impl.values.XmlNegativeIntegerImpl;
import org.apache.xmlbeans.impl.values.XmlNmTokenImpl;
import org.apache.xmlbeans.impl.values.XmlNmTokensImpl;
import org.apache.xmlbeans.impl.values.XmlNonNegativeIntegerImpl;
import org.apache.xmlbeans.impl.values.XmlNonPositiveIntegerImpl;
import org.apache.xmlbeans.impl.values.XmlNormalizedStringImpl;
import org.apache.xmlbeans.impl.values.XmlNotationImpl;
import org.apache.xmlbeans.impl.values.XmlNotationRestriction;
import org.apache.xmlbeans.impl.values.XmlObjectBase;
import org.apache.xmlbeans.impl.values.XmlPositiveIntegerImpl;
import org.apache.xmlbeans.impl.values.XmlQNameImpl;
import org.apache.xmlbeans.impl.values.XmlQNameRestriction;
import org.apache.xmlbeans.impl.values.XmlShortImpl;
import org.apache.xmlbeans.impl.values.XmlStringEnumeration;
import org.apache.xmlbeans.impl.values.XmlStringImpl;
import org.apache.xmlbeans.impl.values.XmlStringRestriction;
import org.apache.xmlbeans.impl.values.XmlTimeImpl;
import org.apache.xmlbeans.impl.values.XmlTokenImpl;
import org.apache.xmlbeans.impl.values.XmlUnionImpl;
import org.apache.xmlbeans.impl.values.XmlUnsignedByteImpl;
import org.apache.xmlbeans.impl.values.XmlUnsignedIntImpl;
import org.apache.xmlbeans.impl.values.XmlUnsignedLongImpl;
import org.apache.xmlbeans.impl.values.XmlUnsignedShortImpl;
import org.apache.xmlbeans.impl.values.XmlValueOutOfRangeException;

public final class SchemaTypeImpl implements SchemaType, TypeStoreUserFactory {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static final int JAVAIZED = 6;
    public static final int JAVAIZING = 5;
    public static final SchemaProperty[] NO_PROPERTIES = new SchemaProperty[0];
    public static final int RESOLVED = 4;
    public static final int RESOLVED_SGS = 2;
    public static final int RESOLVING = 3;
    public static final int RESOLVING_SGS = 1;
    public static final int UNRESOLVED = 0;
    public static /* synthetic */ Class class$org$apache$xmlbeans$SchemaType;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$schema$SchemaTypeImpl;
    public boolean _abs;
    public SchemaAnnotation _annotation;
    public SchemaType.Ref[] _anonymousTyperefs;
    public int _anonymousUnionMemberOrdinal;
    public String _attFormDefault;
    public volatile Map _attrToIndexMap;
    public SchemaAttributeModel _attributeModel;
    public int _baseDepth;
    public SchemaType.Ref _baseEnumTyperef;
    public SchemaType.Ref _baseTyperef;
    public boolean _blockExt;
    public boolean _blockRest;
    public int _builtinTypeCode;
    public boolean _chameleon;
    public int _complexTypeVariety;
    public SchemaContainer _container;
    public volatile SchemaField _containerField;
    public volatile int _containerFieldCode;
    public volatile int _containerFieldIndex;
    public volatile SchemaComponent.Ref _containerFieldRef;
    public SchemaType.Ref _contentBasedOnTyperef;
    public SchemaParticle _contentModel;
    public final Object[] _ctrArgs = {this};
    public int _decimalSize;
    public int _derivationType;
    public String _elemFormDefault;
    public volatile Map _eltToIndexMap;
    public XmlValueRef[] _enumerationValues;
    public XmlValueRef[] _facetArray;
    public String _filename;
    public boolean _finalExt;
    public boolean _finalList;
    public boolean _finalRest;
    public boolean _finalUnion;
    public boolean[] _fixedFacetArray;
    public String _fullJavaImplName;
    public String _fullJavaName;
    public volatile QName[] _groupReferenceContext;
    public boolean _hasAllContent;
    public boolean _hasPatterns;
    public boolean _hasWildcardAttributes;
    public boolean _hasWildcardElements;
    public volatile boolean _implNotAvailable;
    public InterfaceExtension[] _interfaces;
    public boolean _isAttributeType;
    public boolean _isBounded;
    public boolean _isCompiled;
    public boolean _isDocumentType;
    public boolean _isFinite;
    public boolean _isNumeric;
    public boolean _isSimpleType;
    public boolean _isUnionOfLists;
    public volatile Class _javaClass;
    public volatile Class _javaEnumClass;
    public volatile Class _javaImplClass;
    public volatile Constructor _javaImplConstructor;
    public volatile Constructor _javaImplConstructor2;
    public SchemaType.Ref _listItemTyperef;
    public volatile List _listOfStringEnum;
    public volatile SchemaLocalElement[] _localElts;
    public volatile Map _lookupStringEnum;
    public volatile Map _lookupStringEnumEntry;
    public QName _name;
    public boolean _orderSensitive;
    public int _ordered;
    public SchemaType.Ref _outerSchemaTypeRef;
    public XmlObject _parseObject;
    public String _parseTNS;
    public RegularExpression[] _patterns;
    public PrePostExtension _prepost;
    public SchemaType.Ref _primitiveTypeRef;
    public Map _propertyModelByAttributeName;
    public Map _propertyModelByElementName;
    public boolean _redefinition;
    public int _resolvePhase;
    public SchemaType.Ref _selfref = new SchemaType.Ref(this);
    public QName _sg;
    public List _sgMembers = new ArrayList();
    public String _shortJavaImplName;
    public String _shortJavaName;
    public int _simpleTypeVariety;
    public boolean _stringEnumEnsured;
    public SchemaStringEnumEntry[] _stringEnumEntries;
    public QNameSet _typedWildcardAttributes;
    public QNameSet _typedWildcardElements;
    public volatile SchemaType _unionCommonBaseType;
    public volatile SchemaType[] _unionConstituentTypes;
    public SchemaType.Ref[] _unionMemberTyperefs;
    public volatile SchemaType[] _unionSubTypes;
    public volatile boolean _unloaded;
    public volatile Object _userData;
    public volatile Class _userTypeClass;
    public String _userTypeHandler;
    public volatile Class _userTypeHandlerClass;
    public String _userTypeName;
    public Set _validSubstitutions = Collections.EMPTY_SET;
    public int _whiteSpaceRule;

    public static class SequencerImpl implements SchemaTypeElementSequencer {
        public SchemaTypeVisitorImpl _visitor;

        @Override // org.apache.xmlbeans.SchemaTypeElementSequencer
        public boolean next(QName qName) {
            SchemaTypeVisitorImpl schemaTypeVisitorImpl = this._visitor;
            if (schemaTypeVisitorImpl == null) {
                return false;
            }
            return schemaTypeVisitorImpl.visit(qName);
        }

        @Override // org.apache.xmlbeans.SchemaTypeElementSequencer
        public boolean peek(QName qName) {
            SchemaTypeVisitorImpl schemaTypeVisitorImpl = this._visitor;
            if (schemaTypeVisitorImpl == null) {
                return false;
            }
            return schemaTypeVisitorImpl.testValid(qName);
        }

        public SequencerImpl(SchemaTypeVisitorImpl schemaTypeVisitorImpl) {
            this._visitor = schemaTypeVisitorImpl;
        }
    }

    static {
        Class cls = class$org$apache$xmlbeans$impl$schema$SchemaTypeImpl;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.schema.SchemaTypeImpl");
            class$org$apache$xmlbeans$impl$schema$SchemaTypeImpl = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
    }

    public SchemaTypeImpl(SchemaContainer schemaContainer) {
        this._container = schemaContainer;
    }

    private void assertJavaizing() {
        if (this._resolvePhase != 5 && !this._unloaded) {
            throw new IllegalStateException();
        }
    }

    private void assertResolved() {
        if (this._resolvePhase != 4 && !this._unloaded) {
            throw new IllegalStateException();
        }
    }

    private void assertResolving() {
        if (this._resolvePhase != 3 && !this._unloaded) {
            throw new IllegalStateException();
        }
    }

    private void assertSGResolved() {
        if (this._resolvePhase != 2 && !this._unloaded) {
            throw new IllegalStateException();
        }
    }

    private void assertSGResolving() {
        if (this._resolvePhase != 1 && !this._unloaded) {
            throw new IllegalStateException();
        }
    }

    private void assertUnresolved() {
        if (this._resolvePhase != 0 && !this._unloaded) {
            throw new IllegalStateException();
        }
    }

    public static boolean[] boaCopy(boolean[] zArr) {
        if (zArr == null) {
            return null;
        }
        boolean[] zArr2 = new boolean[zArr.length];
        System.arraycopy(zArr, 0, zArr2, 0, zArr.length);
        return zArr2;
    }

    public static void buildEltList(List list, SchemaParticle schemaParticle) {
        if (schemaParticle != null) {
            int particleType = schemaParticle.getParticleType();
            if (particleType == 1 || particleType == 2 || particleType == 3) {
                for (int i2 = 0; i2 < schemaParticle.countOfParticleChild(); i2++) {
                    buildEltList(list, schemaParticle.getParticleChild(i2));
                }
            } else if (particleType == 4) {
                list.add(schemaParticle);
            }
        }
    }

    private void buildLocalElts() {
        ArrayList arrayList = new ArrayList();
        buildEltList(arrayList, this._contentModel);
        this._localElts = (SchemaLocalElement[]) arrayList.toArray(new SchemaLocalElement[arrayList.size()]);
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public static QNameSet computeAllContainedElements(SchemaParticle schemaParticle, Map map) {
        QNameSet qNameSet;
        QNameSet qNameSet2 = (QNameSet) map.get(schemaParticle);
        if (qNameSet2 != null) {
            return qNameSet2;
        }
        int particleType = schemaParticle.getParticleType();
        if (particleType == 4) {
            qNameSet = ((SchemaLocalElementImpl) schemaParticle).acceptedStartNames();
        } else if (particleType != 5) {
            QNameSetBuilder qNameSetBuilder = new QNameSetBuilder();
            for (int i2 = 0; i2 < schemaParticle.countOfParticleChild(); i2++) {
                qNameSetBuilder.addAll(computeAllContainedElements(schemaParticle.getParticleChild(i2), map));
            }
            qNameSet = qNameSetBuilder.toQNameSet();
        } else {
            qNameSet = schemaParticle.getWildcardSet();
        }
        map.put(schemaParticle, qNameSet);
        return qNameSet;
    }

    private void computeFlatUnionModel() {
        if (getSimpleVariety() == 2) {
            LinkedHashSet linkedHashSet = new LinkedHashSet();
            LinkedHashSet linkedHashSet2 = new LinkedHashSet();
            SchemaType schemaType = null;
            linkedHashSet2.add(this);
            int i2 = 0;
            while (true) {
                SchemaType.Ref[] refArr = this._unionMemberTyperefs;
                if (i2 < refArr.length) {
                    SchemaTypeImpl schemaTypeImpl = (SchemaTypeImpl) refArr[i2].get();
                    int simpleVariety = schemaTypeImpl.getSimpleVariety();
                    if (simpleVariety == 1) {
                        linkedHashSet.add(schemaTypeImpl);
                        linkedHashSet2.add(schemaTypeImpl);
                        schemaType = schemaTypeImpl.getCommonBaseType(schemaType);
                    } else if (simpleVariety == 2) {
                        linkedHashSet.addAll(Arrays.asList(schemaTypeImpl.getUnionConstituentTypes()));
                        linkedHashSet2.addAll(Arrays.asList(schemaTypeImpl.getUnionSubTypes()));
                        SchemaType unionCommonBaseType = schemaTypeImpl.getUnionCommonBaseType();
                        if (unionCommonBaseType != null) {
                            schemaType = unionCommonBaseType.getCommonBaseType(schemaType);
                        }
                    } else if (simpleVariety == 3) {
                        linkedHashSet.add(schemaTypeImpl);
                        linkedHashSet2.add(schemaTypeImpl);
                        schemaType = schemaTypeImpl.getCommonBaseType(schemaType);
                    } else if (!$assertionsDisabled) {
                        throw new AssertionError();
                    }
                    i2++;
                } else {
                    setUnionConstituentTypes((SchemaType[]) linkedHashSet.toArray(StscState.EMPTY_ST_ARRAY));
                    setUnionSubTypes((SchemaType[]) linkedHashSet2.toArray(StscState.EMPTY_ST_ARRAY));
                    setUnionCommonBaseType(schemaType);
                    return;
                }
            }
        } else {
            throw new IllegalStateException("Operation is only supported on union types");
        }
    }

    public static QNameSet computeNondelimitingElements(QName qName, SchemaParticle schemaParticle, Map map) {
        QNameSet computeAllContainedElements = computeAllContainedElements(schemaParticle, map);
        if (!computeAllContainedElements.contains(qName)) {
            return QNameSet.EMPTY;
        }
        if (schemaParticle.getMaxOccurs() == null || schemaParticle.getMaxOccurs().compareTo(BigInteger.ONE) > 0) {
            return computeAllContainedElements;
        }
        int particleType = schemaParticle.getParticleType();
        int i2 = 0;
        if (particleType == 2) {
            QNameSetBuilder qNameSetBuilder = new QNameSetBuilder();
            while (i2 < schemaParticle.countOfParticleChild()) {
                if (computeAllContainedElements(schemaParticle.getParticleChild(i2), map).contains(qName)) {
                    qNameSetBuilder.addAll(computeNondelimitingElements(qName, schemaParticle.getParticleChild(i2), map));
                }
                i2++;
            }
            return qNameSetBuilder.toQNameSet();
        } else if (particleType == 3) {
            QNameSetBuilder qNameSetBuilder2 = new QNameSetBuilder();
            int countOfParticleChild = schemaParticle.countOfParticleChild();
            while (countOfParticleChild > 0) {
                countOfParticleChild--;
                QNameSet computeAllContainedElements2 = computeAllContainedElements(schemaParticle.getParticleChild(countOfParticleChild), map);
                if (i2 != 0) {
                    qNameSetBuilder2.addAll(computeAllContainedElements2);
                } else if (computeAllContainedElements2.contains(qName)) {
                    qNameSetBuilder2.addAll(computeNondelimitingElements(qName, schemaParticle.getParticleChild(countOfParticleChild), map));
                    i2 = 1;
                }
            }
            return qNameSetBuilder2.toQNameSet();
        } else if (particleType != 5) {
            return computeAllContainedElements;
        } else {
            return QNameSet.singleton(qName);
        }
    }

    public static void computeWildcardSet(SchemaParticle schemaParticle, QNameSetBuilder qNameSetBuilder) {
        if (schemaParticle.getParticleType() == 5) {
            qNameSetBuilder.addAll(schemaParticle.getWildcardSet());
            return;
        }
        for (int i2 = 0; i2 < schemaParticle.countOfParticleChild(); i2++) {
            computeWildcardSet(schemaParticle.getParticleChild(i2), qNameSetBuilder);
        }
    }

    private boolean containsElements() {
        return getContentType() == 3 || getContentType() == 4;
    }

    private XmlObject createBuiltinInstance() {
        switch (getBuiltinTypeCode()) {
            case 0:
                return new XmlAnyTypeImpl(BuiltinSchemaTypeSystem.ST_NO_TYPE);
            case 1:
                return new XmlAnyTypeImpl();
            case 2:
                return new XmlAnySimpleTypeImpl();
            case 3:
                return new XmlBooleanImpl();
            case 4:
                return new XmlBase64BinaryImpl();
            case 5:
                return new XmlHexBinaryImpl();
            case 6:
                return new XmlAnyUriImpl();
            case 7:
                return new XmlQNameImpl();
            case 8:
                return new XmlNotationImpl();
            case 9:
                return new XmlFloatImpl();
            case 10:
                return new XmlDoubleImpl();
            case 11:
                return new XmlDecimalImpl();
            case 12:
                return new XmlStringImpl();
            case 13:
                return new XmlDurationImpl();
            case 14:
                return new XmlDateTimeImpl();
            case 15:
                return new XmlTimeImpl();
            case 16:
                return new XmlDateImpl();
            case 17:
                return new XmlGYearMonthImpl();
            case 18:
                return new XmlGYearImpl();
            case 19:
                return new XmlGMonthDayImpl();
            case 20:
                return new XmlGDayImpl();
            case 21:
                return new XmlGMonthImpl();
            case 22:
                return new XmlIntegerImpl();
            case 23:
                return new XmlLongImpl();
            case 24:
                return new XmlIntImpl();
            case 25:
                return new XmlShortImpl();
            case 26:
                return new XmlByteImpl();
            case 27:
                return new XmlNonPositiveIntegerImpl();
            case 28:
                return new XmlNegativeIntegerImpl();
            case 29:
                return new XmlNonNegativeIntegerImpl();
            case 30:
                return new XmlPositiveIntegerImpl();
            case 31:
                return new XmlUnsignedLongImpl();
            case 32:
                return new XmlUnsignedIntImpl();
            case 33:
                return new XmlUnsignedShortImpl();
            case 34:
                return new XmlUnsignedByteImpl();
            case 35:
                return new XmlNormalizedStringImpl();
            case 36:
                return new XmlTokenImpl();
            case 37:
                return new XmlNameImpl();
            case 38:
                return new XmlNCNameImpl();
            case 39:
                return new XmlLanguageImpl();
            case 40:
                return new XmlIdImpl();
            case 41:
                return new XmlIdRefImpl();
            case 42:
                return new XmlIdRefsImpl();
            case 43:
                return new XmlEntityImpl();
            case 44:
                return new XmlEntitiesImpl();
            case 45:
                return new XmlNmTokenImpl();
            case 46:
                return new XmlNmTokensImpl();
            default:
                StringBuffer a = a.a("Unrecognized builtin type: ");
                a.append(getBuiltinTypeCode());
                throw new IllegalStateException(a.toString());
        }
    }

    private XmlObject createBuiltinSubclass(SchemaType schemaType) {
        boolean z = !schemaType.isSimpleType();
        switch (getBuiltinTypeCode()) {
            case 0:
                return new XmlAnyTypeImpl(BuiltinSchemaTypeSystem.ST_NO_TYPE);
            case 1:
            case 2:
                int simpleVariety = schemaType.getSimpleVariety();
                if (simpleVariety == 0) {
                    return new XmlComplexContentImpl(schemaType);
                }
                if (simpleVariety == 1) {
                    return new XmlAnySimpleTypeRestriction(schemaType, z);
                }
                if (simpleVariety == 2) {
                    return new XmlUnionImpl(schemaType, z);
                }
                if (simpleVariety == 3) {
                    return new XmlListImpl(schemaType, z);
                }
                throw new IllegalStateException();
            case 3:
                return new XmlBooleanRestriction(schemaType, z);
            case 4:
                return new XmlBase64BinaryRestriction(schemaType, z);
            case 5:
                return new XmlHexBinaryRestriction(schemaType, z);
            case 6:
                return new XmlAnyUriRestriction(schemaType, z);
            case 7:
                return new XmlQNameRestriction(schemaType, z);
            case 8:
                return new XmlNotationRestriction(schemaType, z);
            case 9:
                return new XmlFloatRestriction(schemaType, z);
            case 10:
                return new XmlDoubleRestriction(schemaType, z);
            case 11:
                return new XmlDecimalRestriction(schemaType, z);
            case 12:
                if (schemaType.hasStringEnumValues()) {
                    return new XmlStringEnumeration(schemaType, z);
                }
                return new XmlStringRestriction(schemaType, z);
            case 13:
                return new XmlDurationImpl(schemaType, z);
            case 14:
                return new XmlDateTimeImpl(schemaType, z);
            case 15:
                return new XmlTimeImpl(schemaType, z);
            case 16:
                return new XmlDateImpl(schemaType, z);
            case 17:
                return new XmlGYearMonthImpl(schemaType, z);
            case 18:
                return new XmlGYearImpl(schemaType, z);
            case 19:
                return new XmlGMonthDayImpl(schemaType, z);
            case 20:
                return new XmlGDayImpl(schemaType, z);
            case 21:
                return new XmlGMonthImpl(schemaType, z);
            case 22:
                return new XmlIntegerRestriction(schemaType, z);
            case 23:
                return new XmlLongRestriction(schemaType, z);
            case 24:
                return new XmlIntRestriction(schemaType, z);
            case 25:
                return new XmlShortImpl(schemaType, z);
            case 26:
                return new XmlByteImpl(schemaType, z);
            case 27:
                return new XmlNonPositiveIntegerImpl(schemaType, z);
            case 28:
                return new XmlNegativeIntegerImpl(schemaType, z);
            case 29:
                return new XmlNonNegativeIntegerImpl(schemaType, z);
            case 30:
                return new XmlPositiveIntegerImpl(schemaType, z);
            case 31:
                return new XmlUnsignedLongImpl(schemaType, z);
            case 32:
                return new XmlUnsignedIntImpl(schemaType, z);
            case 33:
                return new XmlUnsignedShortImpl(schemaType, z);
            case 34:
                return new XmlUnsignedByteImpl(schemaType, z);
            case 35:
                return new XmlNormalizedStringImpl(schemaType, z);
            case 36:
                return new XmlTokenImpl(schemaType, z);
            case 37:
                return new XmlNameImpl(schemaType, z);
            case 38:
                return new XmlNCNameImpl(schemaType, z);
            case 39:
                return new XmlLanguageImpl(schemaType, z);
            case 40:
                return new XmlIdImpl(schemaType, z);
            case 41:
                return new XmlIdRefImpl(schemaType, z);
            case 42:
                return new XmlIdRefsImpl(schemaType, z);
            case 43:
                return new XmlEntityImpl(schemaType, z);
            case 44:
                return new XmlEntitiesImpl(schemaType, z);
            case 45:
                return new XmlNmTokenImpl(schemaType, z);
            case 46:
                return new XmlNmTokensImpl(schemaType, z);
            default:
                StringBuffer a = a.a("Unrecognized builtin type: ");
                a.append(getBuiltinTypeCode());
                throw new IllegalStateException(a.toString());
        }
    }

    private XmlObject createUnattachedNode(SchemaProperty schemaProperty) {
        XmlObject xmlObject;
        if (isBuiltinType() || isNoType()) {
            xmlObject = createBuiltinInstance();
        } else {
            Constructor javaImplConstructor = getJavaImplConstructor();
            if (javaImplConstructor != null) {
                try {
                    return (XmlObject) javaImplConstructor.newInstance(this._ctrArgs);
                } catch (Exception e2) {
                    System.out.println("Exception trying to instantiate impl class.");
                    e2.printStackTrace();
                }
            }
            xmlObject = null;
        }
        SchemaType schemaType = this;
        while (xmlObject == null) {
            xmlObject = ((SchemaTypeImpl) schemaType).createUnattachedSubclass(this);
            schemaType = schemaType.getBaseType();
        }
        ((XmlObjectBase) xmlObject).init_flags(schemaProperty);
        return xmlObject;
    }

    private XmlObject createUnattachedSubclass(SchemaType schemaType) {
        if (isBuiltinType() || isNoType()) {
            return createBuiltinSubclass(schemaType);
        }
        Constructor javaImplConstructor2 = getJavaImplConstructor2();
        if (javaImplConstructor2 == null) {
            return null;
        }
        boolean isAccessible = javaImplConstructor2.isAccessible();
        try {
            javaImplConstructor2.setAccessible(true);
            try {
                Object[] objArr = new Object[2];
                objArr[0] = schemaType;
                objArr[1] = schemaType.isSimpleType() ? Boolean.FALSE : Boolean.TRUE;
                XmlObject xmlObject = (XmlObject) javaImplConstructor2.newInstance(objArr);
                try {
                    javaImplConstructor2.setAccessible(isAccessible);
                } catch (SecurityException unused) {
                }
                return xmlObject;
            } catch (Exception e2) {
                System.out.println("Exception trying to instantiate impl class.");
                e2.printStackTrace();
                try {
                    javaImplConstructor2.setAccessible(isAccessible);
                    return null;
                } catch (SecurityException unused2) {
                    return null;
                }
            } catch (Throwable th) {
                try {
                    javaImplConstructor2.setAccessible(isAccessible);
                } catch (SecurityException unused3) {
                }
                throw th;
            }
        } catch (Exception e3) {
            System.out.println("Exception trying to instantiate impl class.");
            e3.printStackTrace();
            return null;
        }
    }

    private void ensureStringEnumInfo() {
        if (!this._stringEnumEnsured) {
            SchemaStringEnumEntry[] schemaStringEnumEntryArr = this._stringEnumEntries;
            if (schemaStringEnumEntryArr == null) {
                this._stringEnumEnsured = true;
                return;
            }
            HashMap hashMap = new HashMap(schemaStringEnumEntryArr.length);
            ArrayList arrayList = new ArrayList(schemaStringEnumEntryArr.length + 1);
            HashMap hashMap2 = new HashMap(schemaStringEnumEntryArr.length);
            for (int i2 = 0; i2 < schemaStringEnumEntryArr.length; i2++) {
                hashMap2.put(schemaStringEnumEntryArr[i2].getString(), schemaStringEnumEntryArr[i2]);
            }
            Class enumJavaClass = this._baseEnumTyperef.get().getEnumJavaClass();
            if (enumJavaClass != null) {
                try {
                    StringEnumAbstractBase.Table table = (StringEnumAbstractBase.Table) enumJavaClass.getField("table").get(null);
                    for (int i3 = 0; i3 < schemaStringEnumEntryArr.length; i3++) {
                        int intValue = schemaStringEnumEntryArr[i3].getIntValue();
                        StringEnumAbstractBase forInt = table.forInt(intValue);
                        hashMap.put(schemaStringEnumEntryArr[i3].getString(), forInt);
                        while (arrayList.size() <= intValue) {
                            arrayList.add(null);
                        }
                        arrayList.set(intValue, forInt);
                    }
                } catch (Exception unused) {
                    PrintStream printStream = System.err;
                    StringBuffer stringBuffer = new StringBuffer();
                    stringBuffer.append("Something wrong: could not locate enum table for ");
                    stringBuffer.append(enumJavaClass);
                    printStream.println(stringBuffer.toString());
                    hashMap.clear();
                    arrayList.clear();
                    enumJavaClass = null;
                }
            }
            if (enumJavaClass == null) {
                for (int i4 = 0; i4 < schemaStringEnumEntryArr.length; i4++) {
                    int intValue2 = schemaStringEnumEntryArr[i4].getIntValue();
                    String string = schemaStringEnumEntryArr[i4].getString();
                    StringEnumValue stringEnumValue = new StringEnumValue(string, intValue2);
                    hashMap.put(string, stringEnumValue);
                    while (arrayList.size() <= intValue2) {
                        arrayList.add(null);
                    }
                    arrayList.set(intValue2, stringEnumValue);
                }
            }
            synchronized (this) {
                if (!this._stringEnumEnsured) {
                    this._lookupStringEnum = hashMap;
                    this._listOfStringEnum = arrayList;
                    this._lookupStringEnumEntry = hashMap2;
                }
            }
            synchronized (this) {
                this._stringEnumEnsured = true;
            }
        }
    }

    public static boolean eq(BigInteger bigInteger, BigInteger bigInteger2) {
        if (bigInteger == null && bigInteger2 == null) {
            return true;
        }
        if (bigInteger == null || bigInteger2 == null) {
            return false;
        }
        return bigInteger.equals(bigInteger2);
    }

    private void finishQuick() {
        this._resolvePhase = 6;
    }

    private void setUnionCommonBaseType(SchemaType schemaType) {
        this._unionCommonBaseType = schemaType;
    }

    private void setUnionConstituentTypes(SchemaType[] schemaTypeArr) {
        this._unionConstituentTypes = schemaTypeArr;
    }

    private void setUnionSubTypes(SchemaType[] schemaTypeArr) {
        this._unionSubTypes = schemaTypeArr;
    }

    public static SchemaType[] staCopy(SchemaType[] schemaTypeArr) {
        if (schemaTypeArr == null) {
            return null;
        }
        SchemaType[] schemaTypeArr2 = new SchemaType[schemaTypeArr.length];
        System.arraycopy(schemaTypeArr, 0, schemaTypeArr2, 0, schemaTypeArr.length);
        return schemaTypeArr2;
    }

    public void addSubstitutionGroupMember(QName qName) {
        assertSGResolved();
        this._sgMembers.add(qName);
    }

    public synchronized void assignJavaElementSetterModel() {
        SchemaProperty[] elementProperties = getElementProperties();
        SchemaParticle contentModel = getContentModel();
        HashMap hashMap = new HashMap();
        QNameSet computeAllContainedElements = computeAllContainedElements(contentModel, hashMap);
        for (SchemaProperty schemaProperty : elementProperties) {
            SchemaPropertyImpl schemaPropertyImpl = (SchemaPropertyImpl) schemaProperty;
            QNameSet computeNondelimitingElements = computeNondelimitingElements(schemaPropertyImpl.getName(), contentModel, hashMap);
            QNameSetBuilder qNameSetBuilder = new QNameSetBuilder(computeAllContainedElements);
            qNameSetBuilder.removeAll(computeNondelimitingElements);
            schemaPropertyImpl.setJavaSetterDelimiter(qNameSetBuilder.toQNameSet());
        }
    }

    @Override // org.apache.xmlbeans.SchemaType
    public boolean blockExtension() {
        return this._blockExt;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public boolean blockRestriction() {
        return this._blockRest;
    }

    public void copyEnumerationValues(SchemaTypeImpl schemaTypeImpl) {
        assertResolving();
        this._enumerationValues = schemaTypeImpl._enumerationValues;
        this._baseEnumTyperef = schemaTypeImpl._baseEnumTyperef;
    }

    /* JADX WARNING: Removed duplicated region for block: B:20:0x0048  */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x004d A[RETURN] */
    public XmlObject createAttributeType(QName qName, SchemaTypeLoader schemaTypeLoader) {
        SchemaTypeImpl schemaTypeImpl;
        SchemaProperty schemaProperty;
        if (isSimpleType() || isNoType()) {
            schemaTypeImpl = BuiltinSchemaTypeSystem.ST_NO_TYPE;
        } else if (isURType()) {
            schemaTypeImpl = BuiltinSchemaTypeSystem.ST_ANY_SIMPLE;
        } else {
            schemaProperty = (SchemaProperty) this._propertyModelByAttributeName.get(qName);
            if (schemaProperty != null) {
                schemaTypeImpl = (SchemaTypeImpl) schemaProperty.getType();
            } else if (!this._typedWildcardAttributes.contains(qName)) {
                schemaTypeImpl = BuiltinSchemaTypeSystem.ST_NO_TYPE;
            } else {
                SchemaGlobalAttribute findAttribute = schemaTypeLoader.findAttribute(qName);
                if (findAttribute != null) {
                    schemaTypeImpl = (SchemaTypeImpl) findAttribute.getType();
                } else {
                    schemaTypeImpl = BuiltinSchemaTypeSystem.ST_NO_TYPE;
                }
            }
            if (schemaTypeImpl == null) {
                return schemaTypeImpl.createUnattachedNode(schemaProperty);
            }
            return null;
        }
        schemaProperty = null;
        if (schemaTypeImpl == null) {
        }
    }

    public XmlObject createElementType(QName qName, QName qName2, SchemaTypeLoader schemaTypeLoader) {
        SchemaTypeImpl schemaTypeImpl;
        SchemaProperty schemaProperty;
        SchemaType findType;
        if (isSimpleType() || !containsElements() || isNoType()) {
            schemaTypeImpl = BuiltinSchemaTypeSystem.ST_NO_TYPE;
            schemaProperty = null;
        } else {
            schemaProperty = (SchemaProperty) this._propertyModelByElementName.get(qName);
            if (schemaProperty != null) {
                schemaTypeImpl = schemaProperty.getType();
            } else if (this._typedWildcardElements.contains(qName) || this._validSubstitutions.contains(qName)) {
                SchemaGlobalElement findElement = schemaTypeLoader.findElement(qName);
                if (findElement != null) {
                    SchemaType type = findElement.getType();
                    SchemaType findDocumentType = schemaTypeLoader.findDocumentType(qName);
                    if (findDocumentType != null) {
                        schemaProperty = findDocumentType.getElementProperty(qName);
                    }
                    schemaTypeImpl = type;
                } else {
                    schemaTypeImpl = BuiltinSchemaTypeSystem.ST_NO_TYPE;
                }
            } else {
                schemaTypeImpl = BuiltinSchemaTypeSystem.ST_NO_TYPE;
            }
            if (!(qName2 == null || (findType = schemaTypeLoader.findType(qName2)) == null || !schemaTypeImpl.isAssignableFrom(findType))) {
                schemaTypeImpl = findType;
            }
        }
        if (schemaTypeImpl != null) {
            return schemaTypeImpl.createUnattachedNode(schemaProperty);
        }
        return null;
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStoreUserFactory
    public TypeStoreUser createTypeStoreUser() {
        return (TypeStoreUser) createUnattachedNode(null);
    }

    public XmlObject createUnwrappedNode() {
        return createUnattachedNode(null);
    }

    @Override // org.apache.xmlbeans.SchemaType
    public SchemaStringEnumEntry enumEntryForString(String str) {
        ensureStringEnumInfo();
        if (this._lookupStringEnumEntry == null) {
            return null;
        }
        return (SchemaStringEnumEntry) this._lookupStringEnumEntry.get(str);
    }

    @Override // org.apache.xmlbeans.SchemaType
    public StringEnumAbstractBase enumForInt(int i2) {
        ensureStringEnumInfo();
        if (this._listOfStringEnum == null || i2 < 0 || i2 >= this._listOfStringEnum.size()) {
            return null;
        }
        return (StringEnumAbstractBase) this._listOfStringEnum.get(i2);
    }

    @Override // org.apache.xmlbeans.SchemaType
    public StringEnumAbstractBase enumForString(String str) {
        ensureStringEnumInfo();
        if (this._lookupStringEnum == null) {
            return null;
        }
        return (StringEnumAbstractBase) this._lookupStringEnum.get(str);
    }

    @Override // org.apache.xmlbeans.SchemaType
    public boolean finalExtension() {
        return this._finalExt;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public boolean finalList() {
        return this._finalList;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public boolean finalRestriction() {
        return this._finalRest;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public boolean finalUnion() {
        return this._finalUnion;
    }

    public void finishJavaizing() {
        if (this._resolvePhase == 5) {
            this._resolvePhase = 6;
            return;
        }
        throw new IllegalStateException();
    }

    public void finishLoading() {
        this._unloaded = false;
    }

    public void finishResolving() {
        if (this._resolvePhase == 3) {
            this._resolvePhase = 4;
            return;
        }
        throw new IllegalStateException();
    }

    public void finishResolvingSGs() {
        if (this._resolvePhase == 1) {
            this._resolvePhase = 2;
            return;
        }
        throw new IllegalStateException();
    }

    @Override // org.apache.xmlbeans.SchemaAnnotated
    public SchemaAnnotation getAnnotation() {
        return this._annotation;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public SchemaType[] getAnonymousTypes() {
        int length = this._anonymousTyperefs.length;
        SchemaType[] schemaTypeArr = new SchemaType[length];
        for (int i2 = 0; i2 < length; i2++) {
            schemaTypeArr[i2] = this._anonymousTyperefs[i2].get();
        }
        return schemaTypeArr;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public int getAnonymousUnionMemberOrdinal() {
        return this._anonymousUnionMemberOrdinal;
    }

    public String getAttFormDefault() {
        return this._attFormDefault;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public SchemaAttributeModel getAttributeModel() {
        return this._attributeModel;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public SchemaProperty[] getAttributeProperties() {
        Map map = this._propertyModelByAttributeName;
        if (map == null) {
            return NO_PROPERTIES;
        }
        return (SchemaProperty[]) map.values().toArray(new SchemaProperty[this._propertyModelByAttributeName.size()]);
    }

    @Override // org.apache.xmlbeans.SchemaType
    public SchemaProperty getAttributeProperty(QName qName) {
        Map map = this._propertyModelByAttributeName;
        if (map == null) {
            return null;
        }
        return (SchemaProperty) map.get(qName);
    }

    @Override // org.apache.xmlbeans.SchemaType
    public SchemaType getAttributeType(QName qName, SchemaTypeLoader schemaTypeLoader) {
        if (isSimpleType() || isNoType()) {
            return BuiltinSchemaTypeSystem.ST_NO_TYPE;
        }
        if (isURType()) {
            return BuiltinSchemaTypeSystem.ST_ANY_SIMPLE;
        }
        SchemaProperty schemaProperty = (SchemaProperty) this._propertyModelByAttributeName.get(qName);
        if (schemaProperty != null) {
            return schemaProperty.getType();
        }
        if (!this._typedWildcardAttributes.contains(qName) || schemaTypeLoader == null) {
            return BuiltinSchemaTypeSystem.ST_NO_TYPE;
        }
        SchemaGlobalAttribute findAttribute = schemaTypeLoader.findAttribute(qName);
        if (findAttribute == null) {
            return BuiltinSchemaTypeSystem.ST_NO_TYPE;
        }
        return findAttribute.getType();
    }

    @Override // org.apache.xmlbeans.SchemaType
    public QName getAttributeTypeAttributeName() {
        SchemaAttributeModel attributeModel;
        SchemaLocalAttribute[] attributes;
        if (!this._isAttributeType || (attributeModel = getAttributeModel()) == null || (attributes = attributeModel.getAttributes()) == null || attributes.length <= 0) {
            return null;
        }
        return attributes[0].getName();
    }

    public int getBaseDepth() {
        return this._baseDepth;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public SchemaType getBaseEnumType() {
        SchemaType.Ref ref = this._baseEnumTyperef;
        if (ref == null) {
            return null;
        }
        return ref.get();
    }

    @Override // org.apache.xmlbeans.SchemaType
    public SchemaType getBaseType() {
        SchemaType.Ref ref = this._baseTyperef;
        if (ref == null) {
            return null;
        }
        return ref.get();
    }

    public XmlAnySimpleType[] getBasicFacets() {
        XmlAnySimpleType[] xmlAnySimpleTypeArr = new XmlAnySimpleType[12];
        for (int i2 = 0; i2 <= 11; i2++) {
            xmlAnySimpleTypeArr[i2] = getFacet(i2);
        }
        return xmlAnySimpleTypeArr;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public int getBuiltinTypeCode() {
        return this._builtinTypeCode;
    }

    public String getChameleonNamespace() {
        if (this._chameleon) {
            return this._parseTNS;
        }
        return null;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public SchemaType getCommonBaseType(SchemaType schemaType) {
        SchemaTypeImpl schemaTypeImpl;
        if (this == BuiltinSchemaTypeSystem.ST_ANY_TYPE || schemaType == null || schemaType.isNoType()) {
            return this;
        }
        if (schemaType == BuiltinSchemaTypeSystem.ST_ANY_TYPE || isNoType()) {
            return schemaType;
        }
        while (true) {
            schemaTypeImpl = (SchemaTypeImpl) schemaType;
            if (schemaTypeImpl.getBaseDepth() <= getBaseDepth()) {
                break;
            }
            schemaType = schemaTypeImpl.getBaseType();
        }
        SchemaTypeImpl schemaTypeImpl2 = this;
        while (schemaTypeImpl2.getBaseDepth() > schemaTypeImpl.getBaseDepth()) {
            schemaTypeImpl2 = (SchemaTypeImpl) schemaTypeImpl2.getBaseType();
        }
        while (!schemaTypeImpl.equals(schemaTypeImpl2)) {
            schemaTypeImpl = (SchemaTypeImpl) schemaTypeImpl.getBaseType();
            schemaTypeImpl2 = (SchemaTypeImpl) schemaTypeImpl2.getBaseType();
            if (!$assertionsDisabled && (schemaTypeImpl == null || schemaTypeImpl2 == null)) {
                throw new AssertionError();
            }
        }
        return schemaTypeImpl;
    }

    @Override // org.apache.xmlbeans.SchemaComponent
    public SchemaComponent.Ref getComponentRef() {
        return getRef();
    }

    @Override // org.apache.xmlbeans.SchemaComponent
    public int getComponentType() {
        return 0;
    }

    public SchemaContainer getContainer() {
        return this._container;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public synchronized SchemaField getContainerField() {
        if (this._containerFieldCode != -1) {
            SchemaType outerType = getOuterType();
            if (this._containerFieldCode == 0) {
                this._containerField = this._containerFieldRef == null ? null : (SchemaField) this._containerFieldRef.getComponent();
            } else if (this._containerFieldCode == 1) {
                this._containerField = outerType.getAttributeModel().getAttributes()[this._containerFieldIndex];
            } else {
                this._containerField = ((SchemaTypeImpl) outerType).getLocalElementByIndex(this._containerFieldIndex);
            }
            this._containerFieldCode = -1;
        }
        return this._containerField;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public SchemaType getContentBasedOnType() {
        SchemaType.Ref ref = this._contentBasedOnTyperef;
        if (ref == null) {
            return null;
        }
        return ref.get();
    }

    @Override // org.apache.xmlbeans.SchemaType
    public SchemaParticle getContentModel() {
        return this._contentModel;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public int getContentType() {
        return this._complexTypeVariety;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public int getDecimalSize() {
        return this._decimalSize;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public int getDerivationType() {
        return this._derivationType;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public SchemaProperty[] getDerivedProperties() {
        SchemaType baseType = getBaseType();
        if (baseType == null) {
            return getProperties();
        }
        ArrayList arrayList = new ArrayList();
        Map map = this._propertyModelByElementName;
        if (map != null) {
            arrayList.addAll(map.values());
        }
        Map map2 = this._propertyModelByAttributeName;
        if (map2 != null) {
            arrayList.addAll(map2.values());
        }
        Iterator it = arrayList.iterator();
        while (it.hasNext()) {
            SchemaProperty schemaProperty = (SchemaProperty) it.next();
            SchemaProperty attributeProperty = schemaProperty.isAttribute() ? baseType.getAttributeProperty(schemaProperty.getName()) : baseType.getElementProperty(schemaProperty.getName());
            if (attributeProperty != null && eq(schemaProperty.getMinOccurs(), attributeProperty.getMinOccurs()) && eq(schemaProperty.getMaxOccurs(), attributeProperty.getMaxOccurs()) && schemaProperty.hasNillable() == attributeProperty.hasNillable() && eq(schemaProperty.getDefaultText(), attributeProperty.getDefaultText())) {
                it.remove();
            }
        }
        return (SchemaProperty[]) arrayList.toArray(new SchemaProperty[arrayList.size()]);
    }

    @Override // org.apache.xmlbeans.SchemaType
    public QName getDocumentElementName() {
        SchemaParticle contentModel;
        if (!this._isDocumentType || (contentModel = getContentModel()) == null) {
            return null;
        }
        return contentModel.getName();
    }

    public String getElemFormDefault() {
        return this._elemFormDefault;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public SchemaProperty[] getElementProperties() {
        Map map = this._propertyModelByElementName;
        if (map == null) {
            return NO_PROPERTIES;
        }
        return (SchemaProperty[]) map.values().toArray(new SchemaProperty[this._propertyModelByElementName.size()]);
    }

    @Override // org.apache.xmlbeans.SchemaType
    public SchemaProperty getElementProperty(QName qName) {
        Map map = this._propertyModelByElementName;
        if (map == null) {
            return null;
        }
        return (SchemaProperty) map.get(qName);
    }

    @Override // org.apache.xmlbeans.SchemaType
    public SchemaTypeElementSequencer getElementSequencer() {
        if (this._complexTypeVariety == 0) {
            return new SequencerImpl(null);
        }
        return new SequencerImpl(new SchemaTypeVisitorImpl(this._contentModel));
    }

    @Override // org.apache.xmlbeans.SchemaType
    public SchemaType getElementType(QName qName, QName qName2, SchemaTypeLoader schemaTypeLoader) {
        SchemaType schemaType;
        SchemaType findType;
        if (isSimpleType() || !containsElements() || isNoType()) {
            return BuiltinSchemaTypeSystem.ST_NO_TYPE;
        }
        SchemaProperty schemaProperty = (SchemaProperty) this._propertyModelByElementName.get(qName);
        if (schemaProperty != null) {
            schemaType = schemaProperty.getType();
        } else if (schemaTypeLoader == null) {
            return BuiltinSchemaTypeSystem.ST_NO_TYPE;
        } else {
            if (!this._typedWildcardElements.contains(qName) && !this._validSubstitutions.contains(qName)) {
                return BuiltinSchemaTypeSystem.ST_NO_TYPE;
            }
            SchemaGlobalElement findElement = schemaTypeLoader.findElement(qName);
            if (findElement == null) {
                return BuiltinSchemaTypeSystem.ST_NO_TYPE;
            }
            schemaType = findElement.getType();
        }
        return (qName2 == null || schemaTypeLoader == null || (findType = schemaTypeLoader.findType(qName2)) == null || !schemaType.isAssignableFrom(findType)) ? schemaType : findType;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public Class getEnumJavaClass() {
        if (this._javaEnumClass == null && getBaseEnumType() != null) {
            try {
                StringBuffer stringBuffer = new StringBuffer();
                stringBuffer.append(getBaseEnumType().getFullJavaName());
                stringBuffer.append("$Enum");
                this._javaEnumClass = Class.forName(stringBuffer.toString(), false, getTypeSystem().getClassLoader());
            } catch (ClassNotFoundException unused) {
                this._javaEnumClass = null;
            }
        }
        return this._javaEnumClass;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public XmlAnySimpleType[] getEnumerationValues() {
        XmlValueRef[] xmlValueRefArr = this._enumerationValues;
        if (xmlValueRefArr == null) {
            return null;
        }
        int length = xmlValueRefArr.length;
        XmlAnySimpleType[] xmlAnySimpleTypeArr = new XmlAnySimpleType[length];
        for (int i2 = 0; i2 < length; i2++) {
            XmlValueRef xmlValueRef = this._enumerationValues[i2];
            xmlAnySimpleTypeArr[i2] = xmlValueRef == null ? null : xmlValueRef.get();
        }
        return xmlAnySimpleTypeArr;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public XmlAnySimpleType getFacet(int i2) {
        XmlValueRef xmlValueRef;
        XmlValueRef[] xmlValueRefArr = this._facetArray;
        if (xmlValueRefArr == null || (xmlValueRef = xmlValueRefArr[i2]) == null) {
            return null;
        }
        return xmlValueRef.get();
    }

    public boolean[] getFixedFacets() {
        return boaCopy(this._fixedFacetArray);
    }

    @Override // org.apache.xmlbeans.SchemaType
    public String getFullJavaImplName() {
        return this._fullJavaImplName;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public String getFullJavaName() {
        return this._fullJavaName;
    }

    public QName[] getGroupReferenceContext() {
        return this._groupReferenceContext;
    }

    public int getIndexForLocalAttribute(SchemaLocalAttribute schemaLocalAttribute) {
        Map map = this._attrToIndexMap;
        HashMap hashMap = map;
        if (map == null) {
            HashMap hashMap2 = new HashMap();
            SchemaLocalAttribute[] attributes = this._attributeModel.getAttributes();
            for (int i2 = 0; i2 < attributes.length; i2++) {
                hashMap2.put(attributes[i2], new Integer(i2));
            }
            this._attrToIndexMap = hashMap2;
            hashMap = hashMap2;
        }
        return ((Integer) hashMap.get(schemaLocalAttribute)).intValue();
    }

    public int getIndexForLocalElement(SchemaLocalElement schemaLocalElement) {
        Map map = this._eltToIndexMap;
        HashMap hashMap = map;
        if (map == null) {
            if (this._localElts == null) {
                buildLocalElts();
            }
            HashMap hashMap2 = new HashMap();
            for (int i2 = 0; i2 < this._localElts.length; i2++) {
                hashMap2.put(this._localElts[i2], new Integer(i2));
            }
            this._eltToIndexMap = hashMap2;
            hashMap = hashMap2;
        }
        return ((Integer) hashMap.get(schemaLocalElement)).intValue();
    }

    public InterfaceExtension[] getInterfaceExtensions() {
        return this._interfaces;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public Class getJavaClass() {
        if (this._javaClass == null && getFullJavaName() != null) {
            try {
                this._javaClass = Class.forName(getFullJavaName(), false, getTypeSystem().getClassLoader());
            } catch (ClassNotFoundException unused) {
                this._javaClass = null;
            }
        }
        return this._javaClass;
    }

    public Class getJavaImplClass() {
        if (this._implNotAvailable) {
            return null;
        }
        if (this._javaImplClass == null) {
            try {
                if (getFullJavaImplName() != null) {
                    this._javaImplClass = Class.forName(getFullJavaImplName(), false, getTypeSystem().getClassLoader());
                } else {
                    this._implNotAvailable = true;
                }
            } catch (ClassNotFoundException unused) {
                this._implNotAvailable = true;
            }
        }
        return this._javaImplClass;
    }

    public Constructor getJavaImplConstructor() {
        Class<?> cls;
        if (this._javaImplConstructor == null && !this._implNotAvailable) {
            Class javaImplClass = getJavaImplClass();
            if (javaImplClass == null) {
                return null;
            }
            try {
                Class<?>[] clsArr = new Class[1];
                if (class$org$apache$xmlbeans$SchemaType == null) {
                    cls = class$("org.apache.xmlbeans.SchemaType");
                    class$org$apache$xmlbeans$SchemaType = cls;
                } else {
                    cls = class$org$apache$xmlbeans$SchemaType;
                }
                clsArr[0] = cls;
                this._javaImplConstructor = javaImplClass.getConstructor(clsArr);
            } catch (NoSuchMethodException e2) {
                e2.printStackTrace();
            }
        }
        return this._javaImplConstructor;
    }

    public Constructor getJavaImplConstructor2() {
        Class<?> cls;
        if (this._javaImplConstructor2 == null && !this._implNotAvailable) {
            Class javaImplClass = getJavaImplClass();
            if (javaImplClass == null) {
                return null;
            }
            try {
                Class<?>[] clsArr = new Class[2];
                if (class$org$apache$xmlbeans$SchemaType == null) {
                    cls = class$("org.apache.xmlbeans.SchemaType");
                    class$org$apache$xmlbeans$SchemaType = cls;
                } else {
                    cls = class$org$apache$xmlbeans$SchemaType;
                }
                clsArr[0] = cls;
                clsArr[1] = Boolean.TYPE;
                this._javaImplConstructor2 = javaImplClass.getDeclaredConstructor(clsArr);
            } catch (NoSuchMethodException e2) {
                e2.printStackTrace();
            }
        }
        return this._javaImplConstructor2;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public SchemaType getListItemType() {
        SchemaType.Ref ref = this._listItemTyperef;
        if (ref == null) {
            return null;
        }
        return ref.get();
    }

    public SchemaLocalElement getLocalElementByIndex(int i2) {
        SchemaLocalElement[] schemaLocalElementArr = this._localElts;
        if (schemaLocalElementArr == null) {
            buildLocalElts();
            schemaLocalElementArr = this._localElts;
        }
        return schemaLocalElementArr[i2];
    }

    @Override // org.apache.xmlbeans.SchemaComponent, org.apache.xmlbeans.SchemaType
    public QName getName() {
        return this._name;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public SchemaType getOuterType() {
        SchemaType.Ref ref = this._outerSchemaTypeRef;
        if (ref == null) {
            return null;
        }
        return ref.get();
    }

    public XmlObject getParseObject() {
        return this._parseObject;
    }

    public RegularExpression[] getPatternExpressions() {
        RegularExpression[] regularExpressionArr = this._patterns;
        if (regularExpressionArr == null) {
            return new RegularExpression[0];
        }
        RegularExpression[] regularExpressionArr2 = new RegularExpression[regularExpressionArr.length];
        System.arraycopy(regularExpressionArr, 0, regularExpressionArr2, 0, regularExpressionArr.length);
        return regularExpressionArr2;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public String[] getPatterns() {
        RegularExpression[] regularExpressionArr = this._patterns;
        int i2 = 0;
        if (regularExpressionArr == null) {
            return new String[0];
        }
        String[] strArr = new String[regularExpressionArr.length];
        while (true) {
            RegularExpression[] regularExpressionArr2 = this._patterns;
            if (i2 >= regularExpressionArr2.length) {
                return strArr;
            }
            strArr[i2] = regularExpressionArr2[i2].getPattern();
            i2++;
        }
    }

    public PrePostExtension getPrePostExtension() {
        return this._prepost;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public SchemaType getPrimitiveType() {
        SchemaType.Ref ref = this._primitiveTypeRef;
        if (ref == null) {
            return null;
        }
        return ref.get();
    }

    @Override // org.apache.xmlbeans.SchemaType
    public SchemaProperty[] getProperties() {
        if (this._propertyModelByElementName == null) {
            return getAttributeProperties();
        }
        if (this._propertyModelByAttributeName == null) {
            return getElementProperties();
        }
        ArrayList arrayList = new ArrayList();
        arrayList.addAll(this._propertyModelByElementName.values());
        arrayList.addAll(this._propertyModelByAttributeName.values());
        return (SchemaProperty[]) arrayList.toArray(new SchemaProperty[arrayList.size()]);
    }

    @Override // org.apache.xmlbeans.SchemaType
    public SchemaType.Ref getRef() {
        return this._selfref;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public String getShortJavaImplName() {
        return this._shortJavaImplName;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public String getShortJavaName() {
        return this._shortJavaName;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public int getSimpleVariety() {
        return this._simpleTypeVariety;
    }

    @Override // org.apache.xmlbeans.SchemaComponent
    public String getSourceName() {
        String str = this._filename;
        if (str != null) {
            return str;
        }
        if (getOuterType() != null) {
            return getOuterType().getSourceName();
        }
        SchemaField containerField = getContainerField();
        if (containerField == null) {
            return null;
        }
        if (containerField instanceof SchemaGlobalElement) {
            return ((SchemaGlobalElement) containerField).getSourceName();
        }
        if (containerField instanceof SchemaGlobalAttribute) {
            return ((SchemaGlobalAttribute) containerField).getSourceName();
        }
        return null;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public SchemaStringEnumEntry[] getStringEnumEntries() {
        SchemaStringEnumEntry[] schemaStringEnumEntryArr = this._stringEnumEntries;
        if (schemaStringEnumEntryArr == null) {
            return null;
        }
        int length = schemaStringEnumEntryArr.length;
        SchemaStringEnumEntry[] schemaStringEnumEntryArr2 = new SchemaStringEnumEntry[length];
        System.arraycopy(schemaStringEnumEntryArr, 0, schemaStringEnumEntryArr2, 0, length);
        return schemaStringEnumEntryArr2;
    }

    public QName getSubstitutionGroup() {
        return this._sg;
    }

    public QName[] getSubstitutionGroupMembers() {
        return (QName[]) this._sgMembers.toArray(new QName[this._sgMembers.size()]);
    }

    public String getTargetNamespace() {
        return this._parseTNS;
    }

    @Override // org.apache.xmlbeans.SchemaComponent, org.apache.xmlbeans.SchemaType
    public SchemaTypeSystem getTypeSystem() {
        return this._container.getTypeSystem();
    }

    @Override // org.apache.xmlbeans.SchemaType
    public synchronized SchemaType getUnionCommonBaseType() {
        if (this._unionCommonBaseType == null) {
            computeFlatUnionModel();
        }
        return this._unionCommonBaseType;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public synchronized SchemaType[] getUnionConstituentTypes() {
        if (this._unionCommonBaseType == null) {
            computeFlatUnionModel();
        }
        return staCopy(this._unionConstituentTypes);
    }

    @Override // org.apache.xmlbeans.SchemaType
    public SchemaType[] getUnionMemberTypes() {
        SchemaType.Ref[] refArr = this._unionMemberTyperefs;
        int length = refArr == null ? 0 : refArr.length;
        SchemaType[] schemaTypeArr = new SchemaType[length];
        for (int i2 = 0; i2 < length; i2++) {
            schemaTypeArr[i2] = this._unionMemberTyperefs[i2].get();
        }
        return schemaTypeArr;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public synchronized SchemaType[] getUnionSubTypes() {
        if (this._unionCommonBaseType == null) {
            computeFlatUnionModel();
        }
        return staCopy(this._unionSubTypes);
    }

    @Override // org.apache.xmlbeans.SchemaType
    public Object getUserData() {
        return this._userData;
    }

    public Class getUserTypeClass() {
        if (this._userTypeClass == null && getUserTypeName() != null) {
            try {
                this._userTypeClass = Class.forName(this._userTypeName, false, getTypeSystem().getClassLoader());
            } catch (ClassNotFoundException unused) {
                this._userTypeClass = null;
            }
        }
        return this._userTypeClass;
    }

    public Class getUserTypeHandlerClass() {
        if (this._userTypeHandlerClass == null && getUserTypeHandlerName() != null) {
            try {
                this._userTypeHandlerClass = Class.forName(this._userTypeHandler, false, getTypeSystem().getClassLoader());
            } catch (ClassNotFoundException unused) {
                this._userTypeHandlerClass = null;
            }
        }
        return this._userTypeHandlerClass;
    }

    public String getUserTypeHandlerName() {
        return this._userTypeHandler;
    }

    public String getUserTypeName() {
        return this._userTypeName;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public int getWhiteSpaceRule() {
        return this._whiteSpaceRule;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public boolean hasAllContent() {
        return this._hasAllContent;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public boolean hasAttributeWildcards() {
        return this._hasWildcardAttributes;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public boolean hasElementWildcards() {
        return this._hasWildcardElements;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public boolean hasPatternFacet() {
        return this._hasPatterns;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public boolean hasStringEnumValues() {
        return this._stringEnumEntries != null;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public boolean isAbstract() {
        return this._abs;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public boolean isAnonymousType() {
        return this._name == null;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public boolean isAssignableFrom(SchemaType schemaType) {
        SchemaType[] unionMemberTypes;
        if (schemaType == null || schemaType.isNoType()) {
            return true;
        }
        if (isNoType()) {
            return false;
        }
        if (getSimpleVariety() == 2) {
            for (SchemaType schemaType2 : getUnionMemberTypes()) {
                if (schemaType2.isAssignableFrom(schemaType)) {
                    return true;
                }
            }
        }
        int baseDepth = ((SchemaTypeImpl) schemaType).getBaseDepth() - getBaseDepth();
        if (baseDepth < 0) {
            return false;
        }
        while (baseDepth > 0) {
            schemaType = schemaType.getBaseType();
            baseDepth--;
        }
        return schemaType.equals(this);
    }

    @Override // org.apache.xmlbeans.SchemaType
    public boolean isAttributeType() {
        return this._isAttributeType;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public boolean isBounded() {
        return this._isBounded;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public boolean isBuiltinType() {
        return getBuiltinTypeCode() != 0;
    }

    public boolean isChameleon() {
        return this._chameleon;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public boolean isCompiled() {
        return this._isCompiled;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public boolean isDocumentType() {
        return this._isDocumentType;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public boolean isFacetFixed(int i2) {
        return this._fixedFacetArray[i2];
    }

    @Override // org.apache.xmlbeans.SchemaType
    public boolean isFinite() {
        return this._isFinite;
    }

    public boolean isJavaized() {
        return this._resolvePhase == 6;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public boolean isNoType() {
        return this == BuiltinSchemaTypeSystem.ST_NO_TYPE;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public boolean isNumeric() {
        return this._isNumeric;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public boolean isOrderSensitive() {
        return this._orderSensitive;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public boolean isPrimitiveType() {
        return getBuiltinTypeCode() >= 2 && getBuiltinTypeCode() <= 21;
    }

    public boolean isRedefinition() {
        return this._redefinition;
    }

    public boolean isResolved() {
        return this._resolvePhase >= 4;
    }

    public boolean isResolving() {
        return this._resolvePhase == 3;
    }

    public boolean isSGResolved() {
        return this._resolvePhase >= 2;
    }

    public boolean isSGResolving() {
        return this._resolvePhase >= 1;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public boolean isSimpleType() {
        return this._isSimpleType;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public boolean isSkippedAnonymousType() {
        SchemaType outerType = getOuterType();
        if (outerType == null) {
            return false;
        }
        if (outerType.getBaseType() == this || outerType.getContentBasedOnType() == this) {
            return true;
        }
        return false;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public boolean isURType() {
        int i2 = this._builtinTypeCode;
        return i2 == 1 || i2 == 2;
    }

    public boolean isUnionOfLists() {
        return this._isUnionOfLists;
    }

    public boolean isUnjavaized() {
        return this._resolvePhase < 6;
    }

    public boolean isUnloaded() {
        return this._unloaded;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public boolean isValidSubstitution(QName qName) {
        return this._validSubstitutions.contains(qName);
    }

    @Override // org.apache.xmlbeans.SchemaType
    public boolean matchPatternFacet(String str) {
        if (!this._hasPatterns) {
            return true;
        }
        RegularExpression[] regularExpressionArr = this._patterns;
        if (regularExpressionArr != null && regularExpressionArr.length > 0) {
            int i2 = 0;
            while (true) {
                RegularExpression[] regularExpressionArr2 = this._patterns;
                if (i2 < regularExpressionArr2.length && !regularExpressionArr2[i2].matches(str)) {
                    i2++;
                }
            }
            if (i2 >= this._patterns.length) {
                return false;
            }
        }
        return getBaseType().matchPatternFacet(str);
    }

    public XmlAnySimpleType newValidatingValue(Object obj) {
        return newValue(obj, true);
    }

    @Override // org.apache.xmlbeans.SchemaType
    public XmlAnySimpleType newValue(Object obj) {
        return newValue(obj, false);
    }

    @Override // org.apache.xmlbeans.SchemaType
    public int ordered() {
        return this._ordered;
    }

    @Override // org.apache.xmlbeans.SchemaType
    public QNameSet qnameSetForWildcardAttributes() {
        SchemaProperty[] attributeProperties;
        QNameSet wildcardSet = getAttributeModel().getWildcardSet();
        if (wildcardSet == null) {
            return QNameSet.EMPTY;
        }
        QNameSetBuilder qNameSetBuilder = new QNameSetBuilder(wildcardSet);
        for (SchemaProperty schemaProperty : getAttributeProperties()) {
            qNameSetBuilder.remove(schemaProperty.getName());
        }
        return qNameSetBuilder.toQNameSet();
    }

    @Override // org.apache.xmlbeans.SchemaType
    public QNameSet qnameSetForWildcardElements() {
        SchemaProperty[] elementProperties;
        SchemaParticle contentModel = getContentModel();
        QNameSetBuilder qNameSetBuilder = new QNameSetBuilder();
        computeWildcardSet(contentModel, qNameSetBuilder);
        QNameSetBuilder qNameSetBuilder2 = new QNameSetBuilder(qNameSetBuilder);
        for (SchemaProperty schemaProperty : getElementProperties()) {
            qNameSetBuilder2.remove(schemaProperty.getName());
        }
        return qNameSetBuilder2.toQNameSet();
    }

    public void setAbstractFinal(boolean z, boolean z2, boolean z3, boolean z4, boolean z5) {
        assertResolving();
        this._abs = z;
        this._finalExt = z2;
        this._finalRest = z3;
        this._finalList = z4;
        this._finalUnion = z5;
    }

    public void setAnnotation(SchemaAnnotation schemaAnnotation) {
        assertUnresolved();
        this._annotation = schemaAnnotation;
    }

    public void setAnonymousTypeRefs(SchemaType.Ref[] refArr) {
        this._anonymousTyperefs = refArr;
    }

    public void setAnonymousUnionMemberOrdinal(int i2) {
        assertUnresolved();
        this._anonymousUnionMemberOrdinal = i2;
    }

    public void setAttributeType(boolean z) {
        assertUnresolved();
        this._isAttributeType = z;
    }

    public void setBaseDepth(int i2) {
        assertResolving();
        this._baseDepth = i2;
    }

    public void setBaseEnumTypeRef(SchemaType.Ref ref) {
        this._baseEnumTyperef = ref;
    }

    public void setBaseTypeRef(SchemaType.Ref ref) {
        assertResolving();
        this._baseTyperef = ref;
    }

    public void setBasicFacets(XmlValueRef[] xmlValueRefArr, boolean[] zArr) {
        assertResolving();
        this._facetArray = xmlValueRefArr;
        this._fixedFacetArray = zArr;
    }

    public void setBlock(boolean z, boolean z2) {
        assertResolving();
        this._blockExt = z;
        this._blockRest = z2;
    }

    public void setBounded(boolean z) {
        assertResolving();
        this._isBounded = z;
    }

    public void setBuiltinTypeCode(int i2) {
        assertResolving();
        this._builtinTypeCode = i2;
    }

    public void setCompiled(boolean z) {
        assertJavaizing();
        this._isCompiled = z;
    }

    public void setComplexTypeVariety(int i2) {
        assertResolving();
        this._complexTypeVariety = i2;
    }

    public void setContainer(SchemaContainer schemaContainer) {
        this._container = schemaContainer;
    }

    public void setContainerField(SchemaField schemaField) {
        assertUnresolved();
        this._containerField = schemaField;
        this._containerFieldCode = -1;
    }

    public void setContainerFieldIndex(short s, int i2) {
        assertUnresolved();
        this._containerFieldCode = s;
        this._containerFieldIndex = i2;
    }

    public void setContainerFieldRef(SchemaComponent.Ref ref) {
        assertUnresolved();
        this._containerFieldRef = ref;
        this._containerFieldCode = 0;
    }

    public void setContentBasedOnTypeRef(SchemaType.Ref ref) {
        assertResolving();
        this._contentBasedOnTyperef = ref;
    }

    public void setContentModel(SchemaParticle schemaParticle, SchemaAttributeModel schemaAttributeModel, Map map, Map map2, boolean z) {
        assertResolving();
        this._contentModel = schemaParticle;
        this._attributeModel = schemaAttributeModel;
        this._propertyModelByElementName = map;
        this._propertyModelByAttributeName = map2;
        this._hasAllContent = z;
        if (map != null) {
            this._validSubstitutions = new LinkedHashSet();
            for (SchemaProperty schemaProperty : this._propertyModelByElementName.values()) {
                QName[] acceptedNames = schemaProperty.acceptedNames();
                for (int i2 = 0; i2 < acceptedNames.length; i2++) {
                    if (!this._propertyModelByElementName.containsKey(acceptedNames[i2])) {
                        this._validSubstitutions.add(acceptedNames[i2]);
                    }
                }
            }
        }
    }

    public void setDecimalSize(int i2) {
        assertResolving();
        this._decimalSize = i2;
    }

    public void setDerivationType(int i2) {
        assertResolving();
        this._derivationType = i2;
    }

    public void setDocumentType(boolean z) {
        assertUnresolved();
        this._isDocumentType = z;
    }

    public void setEnumerationValues(XmlValueRef[] xmlValueRefArr) {
        assertResolving();
        this._enumerationValues = xmlValueRefArr;
    }

    public void setFilename(String str) {
        assertUnresolved();
        this._filename = str;
    }

    public void setFinite(boolean z) {
        assertResolving();
        this._isFinite = z;
    }

    public void setFullJavaImplName(String str) {
        assertResolved();
        this._fullJavaImplName = str;
        this._shortJavaImplName = this._fullJavaImplName.substring(Math.max(str.lastIndexOf(36), this._fullJavaImplName.lastIndexOf(46)) + 1);
    }

    public void setFullJavaName(String str) {
        assertResolved();
        this._fullJavaName = str;
        this._shortJavaName = this._fullJavaName.substring(Math.max(str.lastIndexOf(36), this._fullJavaName.lastIndexOf(46)) + 1);
    }

    public void setGroupReferenceContext(QName[] qNameArr) {
        assertUnresolved();
        this._groupReferenceContext = qNameArr;
    }

    public void setInterfaceExtensions(InterfaceExtension[] interfaceExtensionArr) {
        assertResolved();
        this._interfaces = interfaceExtensionArr;
    }

    public void setJavaClass(Class cls) {
        assertResolved();
        this._javaClass = cls;
        setFullJavaName(cls.getName());
    }

    public void setListItemTypeRef(SchemaType.Ref ref) {
        assertResolving();
        this._listItemTyperef = ref;
    }

    public void setName(QName qName) {
        assertUnresolved();
        this._name = qName;
    }

    public void setNumeric(boolean z) {
        assertResolving();
        this._isNumeric = z;
    }

    public void setOrderSensitive(boolean z) {
        assertJavaizing();
        this._orderSensitive = z;
    }

    public void setOrdered(int i2) {
        assertResolving();
        this._ordered = i2;
    }

    public void setOuterSchemaTypeRef(SchemaType.Ref ref) {
        assertUnresolved();
        this._outerSchemaTypeRef = ref;
    }

    public void setParseContext(XmlObject xmlObject, String str, boolean z, String str2, String str3, boolean z2) {
        this._parseObject = xmlObject;
        this._parseTNS = str;
        this._chameleon = z;
        this._elemFormDefault = str2;
        this._attFormDefault = str3;
        this._redefinition = z2;
    }

    public void setPatternFacet(boolean z) {
        assertResolving();
        this._hasPatterns = z;
    }

    public void setPatterns(RegularExpression[] regularExpressionArr) {
        assertResolving();
        this._patterns = regularExpressionArr;
    }

    public void setPrePostExtension(PrePostExtension prePostExtension) {
        assertResolved();
        this._prepost = prePostExtension;
    }

    public void setPrimitiveTypeRef(SchemaType.Ref ref) {
        assertResolving();
        this._primitiveTypeRef = ref;
    }

    public void setShortJavaImplName(String str) {
        assertResolved();
        this._shortJavaImplName = str;
        SchemaType schemaType = this._outerSchemaTypeRef.get();
        while (schemaType.getFullJavaImplName() == null) {
            schemaType = schemaType.getOuterType();
        }
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append(schemaType.getFullJavaImplName());
        stringBuffer.append("$");
        stringBuffer.append(this._shortJavaImplName);
        this._fullJavaImplName = stringBuffer.toString();
    }

    public void setShortJavaName(String str) {
        assertResolved();
        this._shortJavaName = str;
        SchemaType schemaType = this._outerSchemaTypeRef.get();
        while (schemaType.getFullJavaName() == null) {
            schemaType = schemaType.getOuterType();
        }
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append(schemaType.getFullJavaName());
        stringBuffer.append("$");
        stringBuffer.append(this._shortJavaName);
        this._fullJavaName = stringBuffer.toString();
    }

    public void setSimpleFinal(boolean z, boolean z2, boolean z3) {
        assertResolving();
        this._finalRest = z;
        this._finalList = z2;
        this._finalUnion = z3;
    }

    public void setSimpleType(boolean z) {
        assertUnresolved();
        this._isSimpleType = z;
    }

    public void setSimpleTypeVariety(int i2) {
        assertResolving();
        this._simpleTypeVariety = i2;
    }

    public void setStringEnumEntries(SchemaStringEnumEntry[] schemaStringEnumEntryArr) {
        assertJavaizing();
        this._stringEnumEntries = schemaStringEnumEntryArr;
    }

    public void setSubstitutionGroup(QName qName) {
        assertSGResolving();
        this._sg = qName;
    }

    public void setUnionMemberTypeRefs(SchemaType.Ref[] refArr) {
        assertResolving();
        this._unionMemberTyperefs = refArr;
    }

    public void setUnionOfLists(boolean z) {
        assertResolving();
        this._isUnionOfLists = z;
    }

    public void setUserData(Object obj) {
        this._userData = obj;
    }

    public void setUserTypeHandlerName(String str) {
        this._userTypeHandler = str;
    }

    public void setUserTypeName(String str) {
        this._userTypeName = str;
    }

    public void setWhiteSpaceRule(int i2) {
        assertResolving();
        this._whiteSpaceRule = i2;
    }

    public void setWildcardSummary(QNameSet qNameSet, boolean z, QNameSet qNameSet2, boolean z2) {
        assertResolving();
        this._typedWildcardElements = qNameSet;
        this._hasWildcardElements = z;
        this._typedWildcardAttributes = qNameSet2;
        this._hasWildcardAttributes = z2;
    }

    public void startJavaizing() {
        if (this._resolvePhase == 4) {
            this._resolvePhase = 5;
            return;
        }
        throw new IllegalStateException();
    }

    public void startResolving() {
        if ((!this._isDocumentType || this._resolvePhase == 2) && (this._isDocumentType || this._resolvePhase == 0)) {
            this._resolvePhase = 3;
            return;
        }
        throw new IllegalStateException();
    }

    public void startResolvingSGs() {
        if (this._resolvePhase == 0) {
            this._resolvePhase = 1;
            return;
        }
        throw new IllegalStateException();
    }

    public String toString() {
        String str;
        if (getName() != null) {
            StringBuffer a = a.a("T=");
            a.append(QNameHelper.pretty(getName()));
            return a.toString();
        } else if (isDocumentType()) {
            StringBuffer a2 = a.a("D=");
            a2.append(QNameHelper.pretty(getDocumentElementName()));
            return a2.toString();
        } else if (isAttributeType()) {
            StringBuffer a3 = a.a("R=");
            a3.append(QNameHelper.pretty(getAttributeTypeAttributeName()));
            return a3.toString();
        } else {
            if (getContainerField() != null) {
                StringBuffer stringBuffer = new StringBuffer();
                stringBuffer.append(getContainerField().getName().getNamespaceURI().length() > 0 ? getContainerField().isAttribute() ? "Q=" : "E=" : getContainerField().isAttribute() ? "A=" : "U=");
                stringBuffer.append(getContainerField().getName().getLocalPart());
                str = stringBuffer.toString();
                if (getOuterType() == null) {
                    StringBuffer c = a.c(str, "@");
                    c.append(getContainerField().getName().getNamespaceURI());
                    return c.toString();
                }
            } else if (isNoType()) {
                return "N=";
            } else {
                if (getOuterType() == null) {
                    return "noouter";
                }
                if (getOuterType().getBaseType() == this) {
                    str = "B=";
                } else if (getOuterType().getContentBasedOnType() == this) {
                    str = "S=";
                } else if (getOuterType().getSimpleVariety() == 3) {
                    str = "I=";
                } else if (getOuterType().getSimpleVariety() == 2) {
                    StringBuffer a4 = a.a("M=");
                    a4.append(getAnonymousUnionMemberOrdinal());
                    str = a4.toString();
                } else {
                    str = "strange=";
                }
            }
            StringBuffer c2 = a.c(str, "|");
            c2.append(getOuterType().toString());
            return c2.toString();
        }
    }

    public static boolean eq(String str, String str2) {
        if (str == null && str2 == null) {
            return true;
        }
        if (str == null || str2 == null) {
            return false;
        }
        return str.equals(str2);
    }

    public XmlAnySimpleType newValue(Object obj, boolean z) {
        if (isSimpleType() || getContentType() == 2) {
            XmlObjectBase xmlObjectBase = (XmlObjectBase) createUnattachedNode(null);
            if (z) {
                xmlObjectBase.setValidateOnSet();
            }
            if (obj instanceof XmlObject) {
                xmlObjectBase.set_newValue((XmlObject) obj);
            } else {
                xmlObjectBase.objectSet(obj);
            }
            xmlObjectBase.check_dated();
            xmlObjectBase.setImmutable();
            return (XmlAnySimpleType) xmlObjectBase;
        }
        throw new XmlValueOutOfRangeException();
    }

    public SchemaTypeImpl(SchemaContainer schemaContainer, boolean z) {
        this._container = schemaContainer;
        this._unloaded = z;
        if (z) {
            finishQuick();
        }
    }
}
