package org.apache.xmlbeans.impl.schema;

import b.b.a.a.a;
import java.io.File;
import java.io.FileInputStream;
import java.io.InputStream;
import java.io.Reader;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.net.HttpURLConnection;
import java.net.URL;
import java.net.URLConnection;
import java.security.DigestInputStream;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.util.ArrayList;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xerces.xinclude.XIncludeHandler;
import org.apache.xmlbeans.SchemaAttributeGroup;
import org.apache.xmlbeans.SchemaField;
import org.apache.xmlbeans.SchemaGlobalAttribute;
import org.apache.xmlbeans.SchemaGlobalElement;
import org.apache.xmlbeans.SchemaModelGroup;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.SchemaTypeLoader;
import org.apache.xmlbeans.XmlBeans;
import org.apache.xmlbeans.XmlFactoryHook;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlSaxHandler;
import org.apache.xmlbeans.impl.common.QNameHelper;
import org.apache.xmlbeans.impl.store.Locale;
import org.apache.xmlbeans.impl.validator.ValidatingXMLInputStream;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.Node;

public abstract class SchemaTypeLoaderBase implements SchemaTypeLoader {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static final String USER_AGENT;
    public static final Method _pathCompiler;
    public static final Method _queryCompiler;
    public static /* synthetic */ Class class$java$lang$String;
    public static /* synthetic */ Class class$org$apache$xmlbeans$XmlOptions;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$schema$SchemaTypeLoaderBase;

    static {
        Class cls = class$org$apache$xmlbeans$impl$schema$SchemaTypeLoaderBase;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.schema.SchemaTypeLoaderBase");
            class$org$apache$xmlbeans$impl$schema$SchemaTypeLoaderBase = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
        StringBuffer a = a.a("XMLBeans/");
        a.append(XmlBeans.getVersion());
        a.append(" (");
        a.append(XmlBeans.getTitle());
        a.append(")");
        USER_AGENT = a.toString();
        Class[] clsArr = new Class[2];
        Class cls2 = class$java$lang$String;
        if (cls2 == null) {
            cls2 = class$("java.lang.String");
            class$java$lang$String = cls2;
        }
        clsArr[0] = cls2;
        Class cls3 = class$org$apache$xmlbeans$XmlOptions;
        if (cls3 == null) {
            cls3 = class$("org.apache.xmlbeans.XmlOptions");
            class$org$apache$xmlbeans$XmlOptions = cls3;
        }
        clsArr[1] = cls3;
        _pathCompiler = getMethod("org.apache.xmlbeans.impl.store.Path", "compilePath", clsArr);
        Class[] clsArr2 = new Class[2];
        Class cls4 = class$java$lang$String;
        if (cls4 == null) {
            cls4 = class$("java.lang.String");
            class$java$lang$String = cls4;
        }
        clsArr2[0] = cls4;
        Class cls5 = class$org$apache$xmlbeans$XmlOptions;
        if (cls5 == null) {
            cls5 = class$("org.apache.xmlbeans.XmlOptions");
            class$org$apache$xmlbeans$XmlOptions = cls5;
        }
        clsArr2[1] = cls5;
        _queryCompiler = getMethod("org.apache.xmlbeans.impl.store.Query", "compileQuery", clsArr2);
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public static String doCompilePath(String str, XmlOptions xmlOptions) {
        return (String) invokeMethod(_pathCompiler, new Object[]{str, xmlOptions});
    }

    public static String doCompileQuery(String str, XmlOptions xmlOptions) {
        return (String) invokeMethod(_queryCompiler, new Object[]{str, xmlOptions});
    }

    public static Method getMethod(String str, String str2, Class[] clsArr) {
        try {
            return Class.forName(str).getDeclaredMethod(str2, clsArr);
        } catch (Exception unused) {
            StringBuffer c = a.c("Cannot find ", str, ".", str2, ".  verify that xmlstore ");
            c.append("(from xbean.jar) is on classpath");
            throw new IllegalStateException(c.toString());
        }
    }

    public static Object invokeMethod(Method method, Object[] objArr) {
        try {
            return method.invoke(method, objArr);
        } catch (InvocationTargetException e2) {
            Throwable cause = e2.getCause();
            IllegalStateException illegalStateException = new IllegalStateException(cause.getMessage());
            illegalStateException.initCause(cause);
            throw illegalStateException;
        } catch (Exception e3) {
            IllegalStateException illegalStateException2 = new IllegalStateException(e3.getMessage());
            illegalStateException2.initCause(e3);
            throw illegalStateException2;
        }
    }

    public String compilePath(String str) {
        return compilePath(str, null);
    }

    public String compileQuery(String str) {
        return compileQuery(str, null);
    }

    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public SchemaGlobalAttribute findAttribute(QName qName) {
        SchemaGlobalAttribute.Ref findAttributeRef = findAttributeRef(qName);
        if (findAttributeRef == null) {
            return null;
        }
        SchemaGlobalAttribute schemaGlobalAttribute = findAttributeRef.get();
        if ($assertionsDisabled || schemaGlobalAttribute != null) {
            return schemaGlobalAttribute;
        }
        throw new AssertionError();
    }

    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public SchemaAttributeGroup findAttributeGroup(QName qName) {
        SchemaAttributeGroup.Ref findAttributeGroupRef = findAttributeGroupRef(qName);
        if (findAttributeGroupRef == null) {
            return null;
        }
        SchemaAttributeGroup schemaAttributeGroup = findAttributeGroupRef.get();
        if ($assertionsDisabled || schemaAttributeGroup != null) {
            return schemaAttributeGroup;
        }
        throw new AssertionError();
    }

    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public SchemaType findAttributeType(QName qName) {
        SchemaType.Ref findAttributeTypeRef = findAttributeTypeRef(qName);
        if (findAttributeTypeRef == null) {
            return null;
        }
        SchemaType schemaType = findAttributeTypeRef.get();
        if ($assertionsDisabled || schemaType != null) {
            return schemaType;
        }
        throw new AssertionError();
    }

    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public SchemaType findDocumentType(QName qName) {
        SchemaType.Ref findDocumentTypeRef = findDocumentTypeRef(qName);
        if (findDocumentTypeRef == null) {
            return null;
        }
        SchemaType schemaType = findDocumentTypeRef.get();
        if ($assertionsDisabled || schemaType != null) {
            return schemaType;
        }
        throw new AssertionError();
    }

    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public SchemaGlobalElement findElement(QName qName) {
        SchemaGlobalElement.Ref findElementRef = findElementRef(qName);
        if (findElementRef == null) {
            return null;
        }
        SchemaGlobalElement schemaGlobalElement = findElementRef.get();
        if ($assertionsDisabled || schemaGlobalElement != null) {
            return schemaGlobalElement;
        }
        throw new AssertionError();
    }

    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public SchemaModelGroup findModelGroup(QName qName) {
        SchemaModelGroup.Ref findModelGroupRef = findModelGroupRef(qName);
        if (findModelGroupRef == null) {
            return null;
        }
        SchemaModelGroup schemaModelGroup = findModelGroupRef.get();
        if ($assertionsDisabled || schemaModelGroup != null) {
            return schemaModelGroup;
        }
        throw new AssertionError();
    }

    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public SchemaType findType(QName qName) {
        SchemaType.Ref findTypeRef = findTypeRef(qName);
        if (findTypeRef == null) {
            return null;
        }
        SchemaType schemaType = findTypeRef.get();
        if ($assertionsDisabled || schemaType != null) {
            return schemaType;
        }
        throw new AssertionError();
    }

    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public DOMImplementation newDomImplementation(XmlOptions xmlOptions) {
        return Locale.newDomImplementation(this, xmlOptions);
    }

    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public XmlObject newInstance(SchemaType schemaType, XmlOptions xmlOptions) {
        XmlFactoryHook hook = XmlFactoryHook.ThreadContext.getHook();
        if (hook != null) {
            return hook.newInstance(this, schemaType, xmlOptions);
        }
        return Locale.newInstance(this, schemaType, xmlOptions);
    }

    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, SchemaType schemaType, XmlOptions xmlOptions) {
        return new ValidatingXMLInputStream(xMLInputStream, this, schemaType, xmlOptions);
    }

    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public XmlSaxHandler newXmlSaxHandler(SchemaType schemaType, XmlOptions xmlOptions) {
        XmlFactoryHook hook = XmlFactoryHook.ThreadContext.getHook();
        if (hook != null) {
            return hook.newXmlSaxHandler(this, schemaType, xmlOptions);
        }
        return Locale.newSaxHandler(this, schemaType, xmlOptions);
    }

    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public XmlObject parse(String str, SchemaType schemaType, XmlOptions xmlOptions) {
        XmlFactoryHook hook = XmlFactoryHook.ThreadContext.getHook();
        if (hook != null) {
            return hook.parse(this, str, schemaType, xmlOptions);
        }
        return Locale.parseToXmlObject(this, str, schemaType, xmlOptions);
    }

    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public SchemaType typeForSignature(String str) {
        String str2;
        int indexOf = str.indexOf(64);
        if (indexOf < 0) {
            indexOf = str.length();
            str2 = "";
        } else {
            str2 = str.substring(indexOf + 1);
        }
        ArrayList arrayList = new ArrayList();
        int i2 = 0;
        while (i2 < indexOf) {
            int indexOf2 = str.indexOf(58, i2);
            int indexOf3 = str.indexOf(124, i2);
            if (indexOf2 < 0 || (indexOf3 >= 0 && indexOf2 >= indexOf3)) {
                indexOf2 = indexOf3;
            }
            if (indexOf2 < 0 || indexOf2 > indexOf) {
                indexOf2 = indexOf;
            }
            arrayList.add(str.substring(i2, indexOf2));
            i2 = indexOf2 + 1;
        }
        SchemaType schemaType = null;
        for (int size = arrayList.size() - 1; size >= 0; size--) {
            String str3 = (String) arrayList.get(size);
            if (str3.length() >= 1) {
                int i3 = (str3.length() < 2 || str3.charAt(1) != '=') ? 1 : 2;
                char charAt = str3.charAt(0);
                if (charAt != 'I') {
                    if (charAt != 'M') {
                        if (charAt != 'Q') {
                            if (charAt != 'R') {
                                if (charAt != 'T') {
                                    if (charAt != 'U') {
                                        switch (charAt) {
                                            case 'A':
                                                break;
                                            case 'B':
                                                if (schemaType == null) {
                                                    throw new IllegalArgumentException();
                                                } else if (schemaType.getSimpleVariety() != 1) {
                                                    return null;
                                                } else {
                                                    SchemaType[] anonymousTypes = schemaType.getAnonymousTypes();
                                                    if (anonymousTypes.length == 1) {
                                                        schemaType = anonymousTypes[0];
                                                        break;
                                                    } else {
                                                        return null;
                                                    }
                                                }
                                            case 'C':
                                                break;
                                            case 'D':
                                                if (schemaType == null) {
                                                    schemaType = findDocumentType(QNameHelper.forLNS(str3.substring(i3), str2));
                                                    if (schemaType != null) {
                                                        break;
                                                    } else {
                                                        return null;
                                                    }
                                                } else {
                                                    throw new IllegalArgumentException();
                                                }
                                            case 'E':
                                                break;
                                            default:
                                                throw new IllegalArgumentException();
                                        }
                                    }
                                    if (schemaType == null) {
                                        SchemaGlobalElement findElement = findElement(QNameHelper.forLNS(str3.substring(i3), str2));
                                        if (findElement == null) {
                                            return null;
                                        }
                                        schemaType = findElement.getType();
                                    } else if (schemaType.getContentType() < 3) {
                                        return null;
                                    } else {
                                        SchemaType[] anonymousTypes2 = schemaType.getAnonymousTypes();
                                        String substring = str3.substring(i3);
                                        for (int i4 = 0; i4 < anonymousTypes2.length; i4++) {
                                            SchemaField containerField = anonymousTypes2[i4].getContainerField();
                                            if (containerField != null && !containerField.isAttribute() && containerField.getName().getLocalPart().equals(substring)) {
                                                schemaType = anonymousTypes2[i4];
                                            }
                                        }
                                        return null;
                                    }
                                } else if (schemaType == null) {
                                    schemaType = findType(QNameHelper.forLNS(str3.substring(i3), str2));
                                    if (schemaType == null) {
                                        return null;
                                    }
                                } else {
                                    throw new IllegalArgumentException();
                                }
                            }
                            if (schemaType == null) {
                                schemaType = findAttributeType(QNameHelper.forLNS(str3.substring(i3), str2));
                                if (schemaType == null) {
                                    return null;
                                }
                            } else {
                                throw new IllegalArgumentException();
                            }
                        }
                        if (schemaType == null) {
                            SchemaGlobalAttribute findAttribute = findAttribute(QNameHelper.forLNS(str3.substring(i3), str2));
                            if (findAttribute == null) {
                                return null;
                            }
                            schemaType = findAttribute.getType();
                        } else if (schemaType.isSimpleType()) {
                            return null;
                        } else {
                            SchemaType[] anonymousTypes3 = schemaType.getAnonymousTypes();
                            String substring2 = str3.substring(i3);
                            for (int i5 = 0; i5 < anonymousTypes3.length; i5++) {
                                SchemaField containerField2 = anonymousTypes3[i5].getContainerField();
                                if (containerField2 != null && containerField2.isAttribute() && containerField2.getName().getLocalPart().equals(substring2)) {
                                    schemaType = anonymousTypes3[i5];
                                }
                            }
                            return null;
                        }
                    } else if (schemaType != null) {
                        try {
                            int parseInt = Integer.parseInt(str3.substring(i3));
                            if (schemaType.getSimpleVariety() != 2) {
                                return null;
                            }
                            SchemaType[] anonymousTypes4 = schemaType.getAnonymousTypes();
                            if (anonymousTypes4.length <= parseInt) {
                                return null;
                            }
                            schemaType = anonymousTypes4[parseInt];
                        } catch (Exception unused) {
                            throw new IllegalArgumentException();
                        }
                    } else {
                        throw new IllegalArgumentException();
                    }
                } else if (schemaType == null) {
                    throw new IllegalArgumentException();
                } else if (schemaType.getSimpleVariety() != 3) {
                    return null;
                } else {
                    SchemaType[] anonymousTypes5 = schemaType.getAnonymousTypes();
                    if (anonymousTypes5.length != 1) {
                        return null;
                    }
                    schemaType = anonymousTypes5[0];
                }
            } else {
                throw new IllegalArgumentException();
            }
        }
        return schemaType;
    }

    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public String compilePath(String str, XmlOptions xmlOptions) {
        return doCompilePath(str, xmlOptions);
    }

    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public String compileQuery(String str, XmlOptions xmlOptions) {
        return doCompileQuery(str, xmlOptions);
    }

    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public XmlObject parse(XMLInputStream xMLInputStream, SchemaType schemaType, XmlOptions xmlOptions) {
        XmlFactoryHook hook = XmlFactoryHook.ThreadContext.getHook();
        if (hook != null) {
            return hook.parse(this, xMLInputStream, schemaType, xmlOptions);
        }
        return Locale.parseToXmlObject(this, xMLInputStream, schemaType, xmlOptions);
    }

    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public XmlObject parse(XMLStreamReader xMLStreamReader, SchemaType schemaType, XmlOptions xmlOptions) {
        XmlFactoryHook hook = XmlFactoryHook.ThreadContext.getHook();
        if (hook != null) {
            return hook.parse(this, xMLStreamReader, schemaType, xmlOptions);
        }
        return Locale.parseToXmlObject(this, xMLStreamReader, schemaType, xmlOptions);
    }

    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public XmlObject parse(File file, SchemaType schemaType, XmlOptions xmlOptions) {
        if (xmlOptions == null) {
            xmlOptions = new XmlOptions();
            xmlOptions.put(XmlOptions.DOCUMENT_SOURCE_NAME, file.toURI().normalize().toString());
        } else if (!xmlOptions.hasOption(XmlOptions.DOCUMENT_SOURCE_NAME)) {
            XmlOptions xmlOptions2 = new XmlOptions(xmlOptions);
            xmlOptions2.put(XmlOptions.DOCUMENT_SOURCE_NAME, file.toURI().normalize().toString());
            xmlOptions = xmlOptions2;
        }
        FileInputStream fileInputStream = new FileInputStream(file);
        try {
            return parse(fileInputStream, schemaType, xmlOptions);
        } finally {
            fileInputStream.close();
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:22:0x0059 A[Catch:{ all -> 0x007b }] */
    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public XmlObject parse(URL url, SchemaType schemaType, XmlOptions xmlOptions) {
        URLConnection openConnection;
        boolean z;
        if (xmlOptions == null) {
            xmlOptions = new XmlOptions();
            xmlOptions.put(XmlOptions.DOCUMENT_SOURCE_NAME, url.toString());
        } else if (!xmlOptions.hasOption(XmlOptions.DOCUMENT_SOURCE_NAME)) {
            XmlOptions xmlOptions2 = new XmlOptions(xmlOptions);
            xmlOptions2.put(XmlOptions.DOCUMENT_SOURCE_NAME, url.toString());
            xmlOptions = xmlOptions2;
        }
        InputStream inputStream = null;
        int i2 = 0;
        boolean z2 = false;
        do {
            try {
                openConnection = url.openConnection();
                openConnection.addRequestProperty("User-Agent", USER_AGENT);
                openConnection.addRequestProperty(XIncludeHandler.HTTP_ACCEPT, "application/xml, text/xml, */*");
                if (openConnection instanceof HttpURLConnection) {
                    HttpURLConnection httpURLConnection = (HttpURLConnection) openConnection;
                    int responseCode = httpURLConnection.getResponseCode();
                    if (responseCode != 301) {
                        if (responseCode != 302) {
                            z = false;
                            if (z && i2 > 5) {
                                z = false;
                            }
                            if (z) {
                                String headerField = httpURLConnection.getHeaderField("Location");
                                if (headerField == null) {
                                    z2 = false;
                                    continue;
                                } else {
                                    url = new URL(headerField);
                                    i2++;
                                }
                            }
                            z2 = z;
                            continue;
                        }
                    }
                    z = true;
                    z = false;
                    if (z) {
                    }
                    z2 = z;
                    continue;
                }
            } finally {
                if (inputStream != null) {
                    inputStream.close();
                }
            }
        } while (z2);
        inputStream = openConnection.getInputStream();
        return parse(inputStream, schemaType, xmlOptions);
    }

    /* JADX WARNING: Removed duplicated region for block: B:11:0x001e  */
    /* JADX WARNING: Removed duplicated region for block: B:13:0x0023  */
    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public XmlObject parse(InputStream inputStream, SchemaType schemaType, XmlOptions xmlOptions) {
        DigestInputStream digestInputStream;
        XmlFactoryHook hook = XmlFactoryHook.ThreadContext.getHook();
        if (xmlOptions != null && xmlOptions.hasOption(XmlOptions.LOAD_MESSAGE_DIGEST)) {
            try {
                digestInputStream = new DigestInputStream(inputStream, MessageDigest.getInstance("SHA"));
                inputStream = digestInputStream;
            } catch (NoSuchAlgorithmException unused) {
            }
            if (hook == null) {
                return hook.parse(this, inputStream, schemaType, xmlOptions);
            }
            XmlObject parseToXmlObject = Locale.parseToXmlObject(this, inputStream, schemaType, xmlOptions);
            if (digestInputStream != null) {
                parseToXmlObject.documentProperties().setMessageDigest(digestInputStream.getMessageDigest().digest());
            }
            return parseToXmlObject;
        }
        digestInputStream = null;
        if (hook == null) {
        }
    }

    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public XmlObject parse(Reader reader, SchemaType schemaType, XmlOptions xmlOptions) {
        XmlFactoryHook hook = XmlFactoryHook.ThreadContext.getHook();
        if (hook != null) {
            return hook.parse(this, reader, schemaType, xmlOptions);
        }
        return Locale.parseToXmlObject(this, reader, schemaType, xmlOptions);
    }

    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public XmlObject parse(Node node, SchemaType schemaType, XmlOptions xmlOptions) {
        XmlFactoryHook hook = XmlFactoryHook.ThreadContext.getHook();
        if (hook != null) {
            return hook.parse(this, node, schemaType, xmlOptions);
        }
        return Locale.parseToXmlObject(this, node, schemaType, xmlOptions);
    }
}
