package org.apache.xmlbeans.impl.schema;

import b.b.a.a.a;
import java.io.InputStream;
import java.lang.ref.SoftReference;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashMap;
import java.util.IdentityHashMap;
import java.util.List;
import java.util.Map;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.poi.openxml4j.opc.internal.ZipHelper;
import org.apache.xmlbeans.ResourceLoader;
import org.apache.xmlbeans.SchemaAttributeGroup;
import org.apache.xmlbeans.SchemaGlobalAttribute;
import org.apache.xmlbeans.SchemaGlobalElement;
import org.apache.xmlbeans.SchemaIdentityConstraint;
import org.apache.xmlbeans.SchemaModelGroup;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.SchemaTypeLoader;
import org.apache.xmlbeans.SchemaTypeSystem;
import org.apache.xmlbeans.impl.common.JarHelper;
import org.apache.xmlbeans.impl.common.NameUtil;
import org.apache.xmlbeans.impl.common.QNameHelper;
import org.apache.xmlbeans.impl.common.SystemCache;
import org.apache.xmlbeans.impl.common.XBeanDebug;

public class SchemaTypeLoaderImpl extends SchemaTypeLoaderBase {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static final Object CACHED_NOT_FOUND = new Object();
    public static final SchemaTypeLoader[] EMPTY_SCHEMATYPELOADER_ARRAY = new SchemaTypeLoader[0];
    public static String METADATA_PACKAGE_LOAD = SchemaTypeSystemImpl.METADATA_PACKAGE_GEN;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$schema$SchemaTypeLoaderImpl;
    public Map _attributeCache;
    public Map _attributeGroupCache;
    public Map _attributeTypeCache;
    public ClassLoader _classLoader;
    public Map _classLoaderTypeSystems;
    public Map _classnameCache;
    public Map _classpathTypeSystems;
    public Map _documentCache;
    public Map _elementCache;
    public Map _idConstraintCache;
    public Map _modelGroupCache;
    public ResourceLoader _resourceLoader;
    public SchemaTypeLoader[] _searchPath;
    public Map _typeCache;

    public static class SchemaTypeLoaderCache extends SystemCache {
        public static final /* synthetic */ boolean $assertionsDisabled;
        public ThreadLocal _cachedTypeSystems;

        static {
            Class cls = SchemaTypeLoaderImpl.class$org$apache$xmlbeans$impl$schema$SchemaTypeLoaderImpl;
            if (cls == null) {
                cls = SchemaTypeLoaderImpl.class$("org.apache.xmlbeans.impl.schema.SchemaTypeLoaderImpl");
                SchemaTypeLoaderImpl.class$org$apache$xmlbeans$impl$schema$SchemaTypeLoaderImpl = cls;
            }
            $assertionsDisabled = !cls.desiredAssertionStatus();
        }

        public SchemaTypeLoaderCache() {
            this._cachedTypeSystems = new ThreadLocal() {
                /* class org.apache.xmlbeans.impl.schema.SchemaTypeLoaderImpl.SchemaTypeLoaderCache.AnonymousClass1 */

                @Override // java.lang.ThreadLocal
                public Object initialValue() {
                    return new ArrayList();
                }
            };
        }

        @Override // org.apache.xmlbeans.impl.common.SystemCache
        public void addToTypeLoaderCache(SchemaTypeLoader schemaTypeLoader, ClassLoader classLoader) {
            if ($assertionsDisabled || ((schemaTypeLoader instanceof SchemaTypeLoaderImpl) && ((SchemaTypeLoaderImpl) schemaTypeLoader)._classLoader == classLoader)) {
                ArrayList arrayList = (ArrayList) this._cachedTypeSystems.get();
                if (arrayList.size() > 0) {
                    Object obj = arrayList.get(0);
                    arrayList.set(0, new SoftReference(schemaTypeLoader));
                    arrayList.add(obj);
                    return;
                }
                arrayList.add(new SoftReference(schemaTypeLoader));
                return;
            }
            throw new AssertionError();
        }

        @Override // org.apache.xmlbeans.impl.common.SystemCache
        public SchemaTypeLoader getFromTypeLoaderCache(ClassLoader classLoader) {
            SchemaTypeLoaderImpl schemaTypeLoaderImpl;
            ArrayList arrayList = (ArrayList) this._cachedTypeSystems.get();
            int i2 = 0;
            while (true) {
                if (i2 >= arrayList.size()) {
                    schemaTypeLoaderImpl = null;
                    i2 = -1;
                    break;
                }
                schemaTypeLoaderImpl = (SchemaTypeLoaderImpl) ((SoftReference) arrayList.get(i2)).get();
                if (schemaTypeLoaderImpl == null) {
                    if ($assertionsDisabled || i2 > -1) {
                        arrayList.remove(i2);
                        i2--;
                    } else {
                        throw new AssertionError();
                    }
                } else if (schemaTypeLoaderImpl._classLoader == classLoader) {
                    boolean z = $assertionsDisabled;
                    break;
                }
                i2++;
            }
            if (i2 > 0) {
                Object obj = arrayList.get(0);
                arrayList.set(0, arrayList.get(i2));
                arrayList.set(i2, obj);
            }
            return schemaTypeLoaderImpl;
        }
    }

    public static class SubLoaderList {
        public Map seen;
        public List theList;

        public SubLoaderList() {
            this.theList = new ArrayList();
            this.seen = new IdentityHashMap();
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private boolean add(SchemaTypeLoader schemaTypeLoader) {
            if (this.seen.containsKey(schemaTypeLoader)) {
                return false;
            }
            this.theList.add(schemaTypeLoader);
            this.seen.put(schemaTypeLoader, null);
            return true;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private SchemaTypeLoader[] toArray() {
            return (SchemaTypeLoader[]) this.theList.toArray(SchemaTypeLoaderImpl.EMPTY_SCHEMATYPELOADER_ARRAY);
        }
    }

    static {
        Class cls = class$org$apache$xmlbeans$impl$schema$SchemaTypeLoaderImpl;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.schema.SchemaTypeLoaderImpl");
            class$org$apache$xmlbeans$impl$schema$SchemaTypeLoaderImpl = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
        if (SystemCache.get() instanceof SystemCache) {
            SystemCache.set(new SchemaTypeLoaderCache());
        }
    }

    public SchemaTypeLoaderImpl(SchemaTypeLoader[] schemaTypeLoaderArr, ResourceLoader resourceLoader, ClassLoader classLoader) {
        if (schemaTypeLoaderArr == null) {
            this._searchPath = EMPTY_SCHEMATYPELOADER_ARRAY;
        } else {
            this._searchPath = schemaTypeLoaderArr;
        }
        this._resourceLoader = resourceLoader;
        this._classLoader = classLoader;
        initCaches();
    }

    public static SchemaTypeLoader build(SchemaTypeLoader[] schemaTypeLoaderArr, ResourceLoader resourceLoader, ClassLoader classLoader) {
        SchemaTypeLoader[] schemaTypeLoaderArr2;
        if (schemaTypeLoaderArr == null) {
            schemaTypeLoaderArr2 = EMPTY_SCHEMATYPELOADER_ARRAY;
        } else {
            SubLoaderList subLoaderList = new SubLoaderList();
            for (int i2 = 0; i2 < schemaTypeLoaderArr.length; i2++) {
                if (schemaTypeLoaderArr[i2] != null) {
                    if (schemaTypeLoaderArr[i2] instanceof SchemaTypeLoaderImpl) {
                        SchemaTypeLoaderImpl schemaTypeLoaderImpl = (SchemaTypeLoaderImpl) schemaTypeLoaderArr[i2];
                        if (schemaTypeLoaderImpl._classLoader == null && schemaTypeLoaderImpl._resourceLoader == null) {
                            int i3 = 0;
                            while (true) {
                                SchemaTypeLoader[] schemaTypeLoaderArr3 = schemaTypeLoaderImpl._searchPath;
                                if (i3 >= schemaTypeLoaderArr3.length) {
                                    break;
                                }
                                subLoaderList.add(schemaTypeLoaderArr3[i3]);
                                i3++;
                            }
                        } else {
                            subLoaderList.add(schemaTypeLoaderImpl);
                        }
                    } else {
                        subLoaderList.add(schemaTypeLoaderArr[i2]);
                    }
                } else {
                    StringBuffer stringBuffer = new StringBuffer();
                    stringBuffer.append("searchPath[");
                    stringBuffer.append(i2);
                    stringBuffer.append("] is null");
                    throw new IllegalArgumentException(stringBuffer.toString());
                }
            }
            schemaTypeLoaderArr2 = subLoaderList.toArray();
        }
        if (schemaTypeLoaderArr2.length == 1 && resourceLoader == null && classLoader == null) {
            return schemaTypeLoaderArr2[0];
        }
        return new SchemaTypeLoaderImpl(schemaTypeLoaderArr2, resourceLoader, classLoader);
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public static String crackEntry(ResourceLoader resourceLoader, String str) {
        InputStream resourceAsStream = resourceLoader.getResourceAsStream(str);
        if (resourceAsStream == null) {
            return null;
        }
        return crackPointer(resourceAsStream);
    }

    public static String crackPointer(InputStream inputStream) {
        return SchemaTypeSystemImpl.crackPointer(inputStream);
    }

    public static SchemaTypeLoaderImpl getContextTypeLoader() {
        ClassLoader contextClassLoader = Thread.currentThread().getContextClassLoader();
        SchemaTypeLoaderImpl schemaTypeLoaderImpl = (SchemaTypeLoaderImpl) SystemCache.get().getFromTypeLoaderCache(contextClassLoader);
        if (schemaTypeLoaderImpl != null) {
            return schemaTypeLoaderImpl;
        }
        SchemaTypeLoaderImpl schemaTypeLoaderImpl2 = new SchemaTypeLoaderImpl(new SchemaTypeLoader[]{BuiltinSchemaTypeSystem.get()}, null, contextClassLoader);
        SystemCache.get().addToTypeLoaderCache(schemaTypeLoaderImpl2, contextClassLoader);
        return schemaTypeLoaderImpl2;
    }

    private final void initCaches() {
        this._classpathTypeSystems = Collections.synchronizedMap(new HashMap());
        this._classLoaderTypeSystems = Collections.synchronizedMap(new HashMap());
        this._elementCache = Collections.synchronizedMap(new HashMap());
        this._attributeCache = Collections.synchronizedMap(new HashMap());
        this._modelGroupCache = Collections.synchronizedMap(new HashMap());
        this._attributeGroupCache = Collections.synchronizedMap(new HashMap());
        this._idConstraintCache = Collections.synchronizedMap(new HashMap());
        this._typeCache = Collections.synchronizedMap(new HashMap());
        this._documentCache = Collections.synchronizedMap(new HashMap());
        this._attributeTypeCache = Collections.synchronizedMap(new HashMap());
        this._classnameCache = Collections.synchronizedMap(new HashMap());
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x0024  */
    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public SchemaAttributeGroup.Ref findAttributeGroupRef(QName qName) {
        Object obj = this._attributeGroupCache.get(qName);
        if (obj == CACHED_NOT_FOUND) {
            return null;
        }
        SchemaAttributeGroup.Ref ref = (SchemaAttributeGroup.Ref) obj;
        if (ref == null) {
            int i2 = 0;
            while (true) {
                SchemaTypeLoader[] schemaTypeLoaderArr = this._searchPath;
                if (i2 < schemaTypeLoaderArr.length && (ref = schemaTypeLoaderArr[i2].findAttributeGroupRef(qName)) == null) {
                    i2++;
                } else if (ref == null) {
                    StringBuffer a = a.a("schema");
                    a.append(METADATA_PACKAGE_LOAD);
                    a.append("/attributegroup/");
                    SchemaTypeSystemImpl typeSystemForComponent = typeSystemForComponent(a.toString(), qName);
                    if (typeSystemForComponent != null) {
                        ref = typeSystemForComponent.findAttributeGroupRef(qName);
                        if (!$assertionsDisabled && ref == null) {
                            StringBuffer a2 = a.a("Type system registered attribute group ");
                            a2.append(QNameHelper.pretty(qName));
                            a2.append(" but does not return it");
                            throw new AssertionError(a2.toString());
                        }
                    }
                }
            }
            if (ref == null) {
            }
            this._attributeGroupCache.put(qName, ref == null ? CACHED_NOT_FOUND : ref);
        }
        return ref;
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x0024  */
    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public SchemaGlobalAttribute.Ref findAttributeRef(QName qName) {
        Object obj = this._attributeCache.get(qName);
        if (obj == CACHED_NOT_FOUND) {
            return null;
        }
        SchemaGlobalAttribute.Ref ref = (SchemaGlobalAttribute.Ref) obj;
        if (ref == null) {
            int i2 = 0;
            while (true) {
                SchemaTypeLoader[] schemaTypeLoaderArr = this._searchPath;
                if (i2 < schemaTypeLoaderArr.length && (ref = schemaTypeLoaderArr[i2].findAttributeRef(qName)) == null) {
                    i2++;
                } else if (ref == null) {
                    StringBuffer a = a.a("schema");
                    a.append(METADATA_PACKAGE_LOAD);
                    a.append("/attribute/");
                    SchemaTypeSystemImpl typeSystemForComponent = typeSystemForComponent(a.toString(), qName);
                    if (typeSystemForComponent != null) {
                        ref = typeSystemForComponent.findAttributeRef(qName);
                        if (!$assertionsDisabled && ref == null) {
                            StringBuffer a2 = a.a("Type system registered attribute ");
                            a2.append(QNameHelper.pretty(qName));
                            a2.append(" but does not return it");
                            throw new AssertionError(a2.toString());
                        }
                    }
                }
            }
            if (ref == null) {
            }
            this._attributeCache.put(qName, ref == null ? CACHED_NOT_FOUND : ref);
        }
        return ref;
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x0024  */
    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public SchemaType.Ref findAttributeTypeRef(QName qName) {
        Object obj = this._attributeTypeCache.get(qName);
        if (obj == CACHED_NOT_FOUND) {
            return null;
        }
        SchemaType.Ref ref = (SchemaType.Ref) obj;
        if (ref == null) {
            int i2 = 0;
            while (true) {
                SchemaTypeLoader[] schemaTypeLoaderArr = this._searchPath;
                if (i2 < schemaTypeLoaderArr.length && (ref = schemaTypeLoaderArr[i2].findAttributeTypeRef(qName)) == null) {
                    i2++;
                } else if (ref == null) {
                    StringBuffer a = a.a("schema");
                    a.append(METADATA_PACKAGE_LOAD);
                    a.append("/attribute/");
                    SchemaTypeSystemImpl typeSystemForComponent = typeSystemForComponent(a.toString(), qName);
                    if (typeSystemForComponent != null) {
                        ref = typeSystemForComponent.findAttributeTypeRef(qName);
                        if (!$assertionsDisabled && ref == null) {
                            StringBuffer a2 = a.a("Type system registered attribute ");
                            a2.append(QNameHelper.pretty(qName));
                            a2.append(" but does not contain attribute type");
                            throw new AssertionError(a2.toString());
                        }
                    }
                }
            }
            if (ref == null) {
            }
            this._attributeTypeCache.put(qName, ref == null ? CACHED_NOT_FOUND : ref);
        }
        return ref;
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x0024  */
    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public SchemaType.Ref findDocumentTypeRef(QName qName) {
        Object obj = this._documentCache.get(qName);
        if (obj == CACHED_NOT_FOUND) {
            return null;
        }
        SchemaType.Ref ref = (SchemaType.Ref) obj;
        if (ref == null) {
            int i2 = 0;
            while (true) {
                SchemaTypeLoader[] schemaTypeLoaderArr = this._searchPath;
                if (i2 < schemaTypeLoaderArr.length && (ref = schemaTypeLoaderArr[i2].findDocumentTypeRef(qName)) == null) {
                    i2++;
                } else if (ref == null) {
                    StringBuffer a = a.a("schema");
                    a.append(METADATA_PACKAGE_LOAD);
                    a.append("/element/");
                    SchemaTypeSystemImpl typeSystemForComponent = typeSystemForComponent(a.toString(), qName);
                    if (typeSystemForComponent != null) {
                        ref = typeSystemForComponent.findDocumentTypeRef(qName);
                        if (!$assertionsDisabled && ref == null) {
                            StringBuffer a2 = a.a("Type system registered element ");
                            a2.append(QNameHelper.pretty(qName));
                            a2.append(" but does not contain document type");
                            throw new AssertionError(a2.toString());
                        }
                    }
                }
            }
            if (ref == null) {
            }
            this._documentCache.put(qName, ref == null ? CACHED_NOT_FOUND : ref);
        }
        return ref;
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x0024  */
    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public SchemaGlobalElement.Ref findElementRef(QName qName) {
        Object obj = this._elementCache.get(qName);
        if (obj == CACHED_NOT_FOUND) {
            return null;
        }
        SchemaGlobalElement.Ref ref = (SchemaGlobalElement.Ref) obj;
        if (ref == null) {
            int i2 = 0;
            while (true) {
                SchemaTypeLoader[] schemaTypeLoaderArr = this._searchPath;
                if (i2 < schemaTypeLoaderArr.length && (ref = schemaTypeLoaderArr[i2].findElementRef(qName)) == null) {
                    i2++;
                } else if (ref == null) {
                    StringBuffer a = a.a("schema");
                    a.append(METADATA_PACKAGE_LOAD);
                    a.append("/element/");
                    SchemaTypeSystemImpl typeSystemForComponent = typeSystemForComponent(a.toString(), qName);
                    if (typeSystemForComponent != null) {
                        ref = typeSystemForComponent.findElementRef(qName);
                        if (!$assertionsDisabled && ref == null) {
                            StringBuffer a2 = a.a("Type system registered element ");
                            a2.append(QNameHelper.pretty(qName));
                            a2.append(" but does not return it");
                            throw new AssertionError(a2.toString());
                        }
                    }
                }
            }
            if (ref == null) {
            }
            this._elementCache.put(qName, ref == null ? CACHED_NOT_FOUND : ref);
        }
        return ref;
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x0024  */
    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public SchemaIdentityConstraint.Ref findIdentityConstraintRef(QName qName) {
        Object obj = this._idConstraintCache.get(qName);
        if (obj == CACHED_NOT_FOUND) {
            return null;
        }
        SchemaIdentityConstraint.Ref ref = (SchemaIdentityConstraint.Ref) obj;
        if (ref == null) {
            int i2 = 0;
            while (true) {
                SchemaTypeLoader[] schemaTypeLoaderArr = this._searchPath;
                if (i2 < schemaTypeLoaderArr.length && (ref = schemaTypeLoaderArr[i2].findIdentityConstraintRef(qName)) == null) {
                    i2++;
                } else if (ref == null) {
                    StringBuffer a = a.a("schema");
                    a.append(METADATA_PACKAGE_LOAD);
                    a.append("/identityconstraint/");
                    SchemaTypeSystemImpl typeSystemForComponent = typeSystemForComponent(a.toString(), qName);
                    if (typeSystemForComponent != null) {
                        ref = typeSystemForComponent.findIdentityConstraintRef(qName);
                        if (!$assertionsDisabled && ref == null) {
                            StringBuffer a2 = a.a("Type system registered identity constraint ");
                            a2.append(QNameHelper.pretty(qName));
                            a2.append(" but does not return it");
                            throw new AssertionError(a2.toString());
                        }
                    }
                }
            }
            if (ref == null) {
            }
            this._idConstraintCache.put(qName, ref == null ? CACHED_NOT_FOUND : ref);
        }
        return ref;
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x0024  */
    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public SchemaModelGroup.Ref findModelGroupRef(QName qName) {
        Object obj = this._modelGroupCache.get(qName);
        if (obj == CACHED_NOT_FOUND) {
            return null;
        }
        SchemaModelGroup.Ref ref = (SchemaModelGroup.Ref) obj;
        if (ref == null) {
            int i2 = 0;
            while (true) {
                SchemaTypeLoader[] schemaTypeLoaderArr = this._searchPath;
                if (i2 < schemaTypeLoaderArr.length && (ref = schemaTypeLoaderArr[i2].findModelGroupRef(qName)) == null) {
                    i2++;
                } else if (ref == null) {
                    StringBuffer a = a.a("schema");
                    a.append(METADATA_PACKAGE_LOAD);
                    a.append("/modelgroup/");
                    SchemaTypeSystemImpl typeSystemForComponent = typeSystemForComponent(a.toString(), qName);
                    if (typeSystemForComponent != null) {
                        ref = typeSystemForComponent.findModelGroupRef(qName);
                        if (!$assertionsDisabled && ref == null) {
                            StringBuffer a2 = a.a("Type system registered model group ");
                            a2.append(QNameHelper.pretty(qName));
                            a2.append(" but does not return it");
                            throw new AssertionError(a2.toString());
                        }
                    }
                }
            }
            if (ref == null) {
            }
            this._modelGroupCache.put(qName, ref == null ? CACHED_NOT_FOUND : ref);
        }
        return ref;
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x0024  */
    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public SchemaType.Ref findTypeRef(QName qName) {
        Object obj = this._typeCache.get(qName);
        if (obj == CACHED_NOT_FOUND) {
            return null;
        }
        SchemaType.Ref ref = (SchemaType.Ref) obj;
        if (ref == null) {
            int i2 = 0;
            while (true) {
                SchemaTypeLoader[] schemaTypeLoaderArr = this._searchPath;
                if (i2 < schemaTypeLoaderArr.length && (ref = schemaTypeLoaderArr[i2].findTypeRef(qName)) == null) {
                    i2++;
                } else if (ref == null) {
                    StringBuffer a = a.a("schema");
                    a.append(METADATA_PACKAGE_LOAD);
                    a.append("/type/");
                    SchemaTypeSystemImpl typeSystemForComponent = typeSystemForComponent(a.toString(), qName);
                    if (typeSystemForComponent != null) {
                        ref = typeSystemForComponent.findTypeRef(qName);
                        if (!$assertionsDisabled && ref == null) {
                            StringBuffer a2 = a.a("Type system registered type ");
                            a2.append(QNameHelper.pretty(qName));
                            a2.append(" but does not return it");
                            throw new AssertionError(a2.toString());
                        }
                    }
                }
            }
            if (ref == null) {
            }
            this._typeCache.put(qName, ref == null ? CACHED_NOT_FOUND : ref);
        }
        return ref;
    }

    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public InputStream getSourceAsStream(String str) {
        InputStream inputStream;
        ClassLoader classLoader;
        if (!str.startsWith(ZipHelper.FORWARD_SLASH)) {
            str = a.a(ZipHelper.FORWARD_SLASH, str);
        }
        ResourceLoader resourceLoader = this._resourceLoader;
        if (resourceLoader != null) {
            StringBuffer a = a.a("schema");
            a.append(METADATA_PACKAGE_LOAD);
            a.append("/src");
            a.append(str);
            inputStream = resourceLoader.getResourceAsStream(a.toString());
        } else {
            inputStream = null;
        }
        if (inputStream != null || (classLoader = this._classLoader) == null) {
            return inputStream;
        }
        StringBuffer a2 = a.a("schema");
        a2.append(METADATA_PACKAGE_LOAD);
        a2.append("/src");
        a2.append(str);
        return classLoader.getResourceAsStream(a2.toString());
    }

    public SchemaTypeSystemImpl getTypeSystemOnClassloader(String str) {
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append("Finding type system ");
        stringBuffer.append(str);
        stringBuffer.append(" on classloader");
        XBeanDebug.trace(1, stringBuffer.toString(), 0);
        SchemaTypeSystemImpl schemaTypeSystemImpl = (SchemaTypeSystemImpl) this._classLoaderTypeSystems.get(str);
        if (schemaTypeSystemImpl != null) {
            return schemaTypeSystemImpl;
        }
        StringBuffer stringBuffer2 = new StringBuffer();
        stringBuffer2.append("Type system ");
        stringBuffer2.append(str);
        stringBuffer2.append(" not cached - consulting field");
        XBeanDebug.trace(1, stringBuffer2.toString(), 0);
        SchemaTypeSystemImpl forName = SchemaTypeSystemImpl.forName(str, this._classLoader);
        this._classLoaderTypeSystems.put(str, forName);
        return forName;
    }

    public SchemaTypeSystemImpl getTypeSystemOnClasspath(String str) {
        SchemaTypeSystemImpl schemaTypeSystemImpl = (SchemaTypeSystemImpl) this._classpathTypeSystems.get(str);
        if (schemaTypeSystemImpl != null) {
            return schemaTypeSystemImpl;
        }
        SchemaTypeSystemImpl schemaTypeSystemImpl2 = new SchemaTypeSystemImpl(this._resourceLoader, str, this);
        this._classpathTypeSystems.put(str, schemaTypeSystemImpl2);
        return schemaTypeSystemImpl2;
    }

    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public boolean isNamespaceDefined(String str) {
        int i2 = 0;
        while (true) {
            SchemaTypeLoader[] schemaTypeLoaderArr = this._searchPath;
            if (i2 < schemaTypeLoaderArr.length) {
                if (schemaTypeLoaderArr[i2].isNamespaceDefined(str)) {
                    return true;
                }
                i2++;
            } else if (typeSystemForComponent(a.a(a.a("schema"), METADATA_PACKAGE_LOAD, "/namespace/"), new QName(str, "xmlns")) != null) {
                return true;
            } else {
                return false;
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x002c  */
    @Override // org.apache.xmlbeans.SchemaTypeLoader
    public SchemaType typeForClassname(String str) {
        String replace = str.replace('$', NameUtil.PERIOD);
        Object obj = this._classnameCache.get(replace);
        if (obj == CACHED_NOT_FOUND) {
            return null;
        }
        SchemaType schemaType = (SchemaType) obj;
        if (schemaType == null) {
            int i2 = 0;
            while (true) {
                SchemaTypeLoader[] schemaTypeLoaderArr = this._searchPath;
                if (i2 < schemaTypeLoaderArr.length && (schemaType = schemaTypeLoaderArr[i2].typeForClassname(replace)) == null) {
                    i2++;
                } else if (schemaType == null) {
                    StringBuffer a = a.a("schema");
                    a.append(METADATA_PACKAGE_LOAD);
                    a.append("/javaname/");
                    SchemaTypeSystemImpl typeSystemForClassname = typeSystemForClassname(a.toString(), replace);
                    if (typeSystemForClassname != null) {
                        schemaType = typeSystemForClassname.typeForClassname(replace);
                        if (!$assertionsDisabled && schemaType == null) {
                            throw new AssertionError(a.a("Type system registered type ", replace, " but does not return it"));
                        }
                    }
                }
            }
            if (schemaType == null) {
            }
            this._classnameCache.put(replace, schemaType == null ? CACHED_NOT_FOUND : schemaType);
        }
        return schemaType;
    }

    public SchemaTypeSystemImpl typeSystemForClassname(String str, String str2) {
        String crackEntry;
        String crackEntry2;
        StringBuffer a = a.a(str);
        a.append(str2.replace(NameUtil.PERIOD, JarHelper.SEP));
        a.append(".xsb");
        String stringBuffer = a.toString();
        ResourceLoader resourceLoader = this._resourceLoader;
        if (resourceLoader != null && (crackEntry2 = crackEntry(resourceLoader, stringBuffer)) != null) {
            return getTypeSystemOnClasspath(crackEntry2);
        }
        ClassLoader classLoader = this._classLoader;
        if (classLoader == null || (crackEntry = crackEntry(classLoader, stringBuffer)) == null) {
            return null;
        }
        return getTypeSystemOnClassloader(crackEntry);
    }

    public SchemaTypeSystemImpl typeSystemForComponent(String str, QName qName) {
        StringBuffer a = a.a(str);
        a.append(QNameHelper.hexsafedir(qName));
        a.append(".xsb");
        String stringBuffer = a.toString();
        ResourceLoader resourceLoader = this._resourceLoader;
        String crackEntry = resourceLoader != null ? crackEntry(resourceLoader, stringBuffer) : null;
        ClassLoader classLoader = this._classLoader;
        if (classLoader != null) {
            crackEntry = crackEntry(classLoader, stringBuffer);
        }
        if (crackEntry != null) {
            return (SchemaTypeSystemImpl) typeSystemForName(crackEntry);
        }
        return null;
    }

    public SchemaTypeSystem typeSystemForName(String str) {
        SchemaTypeSystemImpl typeSystemOnClassloader;
        SchemaTypeSystemImpl typeSystemOnClasspath;
        if (this._resourceLoader != null && (typeSystemOnClasspath = getTypeSystemOnClasspath(str)) != null) {
            return typeSystemOnClasspath;
        }
        if (this._classLoader == null || (typeSystemOnClassloader = getTypeSystemOnClassloader(str)) == null) {
            return null;
        }
        return typeSystemOnClassloader;
    }

    public static String crackEntry(ClassLoader classLoader, String str) {
        InputStream resourceAsStream = classLoader.getResourceAsStream(str);
        if (resourceAsStream == null) {
            return null;
        }
        return crackPointer(resourceAsStream);
    }
}
