package org.apache.xmlbeans.impl.schema;

import b.b.a.a.a;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.xmlbeans.SchemaField;
import org.apache.xmlbeans.SchemaLocalElement;
import org.apache.xmlbeans.SchemaParticle;
import org.apache.xmlbeans.impl.values.TypeStoreVisitor;

public class SchemaTypeVisitorImpl implements TypeStoreVisitor {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static final boolean CHECK_VALIDITY = false;
    public static final boolean PROBE_VALIDITY = true;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$schema$SchemaTypeVisitorImpl;
    public boolean _isValid;
    public SchemaParticle _matchedParticle;
    public VisitorState[] _rollback;
    public int _rollbackIndex;
    public int _rollbackSize;
    public VisitorState[] _stack;
    public int _stackSize;
    public VisitorState _top;

    public static class VisitorState {
        public int _childCount;
        public int _curCount;
        public int _curMax;
        public int _curMin;
        public SchemaParticle _curPart;
        public int _processedChildCount;
        public boolean[] _seen;

        public VisitorState() {
        }

        public void copy(VisitorState visitorState) {
            this._curPart = visitorState._curPart;
            this._curCount = visitorState._curCount;
            this._curMin = visitorState._curMin;
            this._curMax = visitorState._curMax;
            this._processedChildCount = visitorState._processedChildCount;
            this._childCount = visitorState._childCount;
            boolean[] zArr = visitorState._seen;
            if (zArr != null) {
                boolean[] zArr2 = new boolean[zArr.length];
                this._seen = zArr2;
                boolean[] zArr3 = visitorState._seen;
                System.arraycopy(zArr3, 0, zArr2, 0, zArr3.length);
            }
        }

        public void init(SchemaParticle schemaParticle) {
            this._curPart = schemaParticle;
            this._curMin = schemaParticle.getIntMinOccurs();
            this._curMax = schemaParticle.getIntMaxOccurs();
            this._curCount = 0;
            this._processedChildCount = 0;
            this._childCount = schemaParticle.countOfParticleChild();
            this._seen = schemaParticle.getParticleType() == 1 ? new boolean[this._childCount] : null;
        }
    }

    static {
        Class cls = class$org$apache$xmlbeans$impl$schema$SchemaTypeVisitorImpl;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.schema.SchemaTypeVisitorImpl");
            class$org$apache$xmlbeans$impl$schema$SchemaTypeVisitorImpl = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
    }

    public SchemaTypeVisitorImpl(SchemaParticle schemaParticle) {
        init(schemaParticle);
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public void addParticle(SchemaParticle schemaParticle) {
        VisitorState[] visitorStateArr = this._stack;
        if (visitorStateArr.length == this._stackSize) {
            this._stack = expand(visitorStateArr);
        }
        this._stack[this._stackSize].init(schemaParticle);
        this._stackSize++;
    }

    public void commit() {
        this._top = null;
        this._rollbackIndex = this._stackSize;
        this._rollbackSize = 0;
    }

    public SchemaParticle currentParticle() {
        return this._matchedParticle;
    }

    public VisitorState[] expand(VisitorState[] visitorStateArr) {
        int length = visitorStateArr == null ? 4 : visitorStateArr.length * 2;
        VisitorState[] visitorStateArr2 = new VisitorState[length];
        int i2 = 0;
        if (visitorStateArr != null) {
            System.arraycopy(visitorStateArr, 0, visitorStateArr2, 0, visitorStateArr.length);
        }
        if (visitorStateArr != null) {
            i2 = visitorStateArr.length;
        }
        while (i2 < length) {
            visitorStateArr2[i2] = new VisitorState();
            i2++;
        }
        return visitorStateArr2;
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStoreVisitor
    public String get_default_text() {
        if (currentParticle() == null || currentParticle().getParticleType() != 4) {
            return null;
        }
        return ((SchemaLocalElement) currentParticle()).getDefaultText();
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStoreVisitor
    public int get_elementflags() {
        int i2 = 0;
        if (currentParticle() == null || currentParticle().getParticleType() != 4) {
            return 0;
        }
        SchemaLocalElement schemaLocalElement = (SchemaLocalElement) currentParticle();
        int isNillable = schemaLocalElement.isNillable() | (schemaLocalElement.isDefault() ? 2 : 0);
        if (schemaLocalElement.isFixed()) {
            i2 = 4;
        }
        return isNillable | i2;
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStoreVisitor
    public SchemaField get_schema_field() {
        if (currentParticle() instanceof SchemaField) {
            return (SchemaField) currentParticle();
        }
        return null;
    }

    public void init(SchemaParticle schemaParticle) {
        if (this._stack == null) {
            this._stack = expand(null);
        }
        if (this._rollback == null) {
            this._rollback = expand(null);
        }
        this._stackSize = 0;
        this._rollbackSize = 0;
        if (schemaParticle != null) {
            push(schemaParticle);
            this._rollbackIndex = 1;
        }
    }

    public boolean isAllValid() {
        return this._isValid;
    }

    public boolean notValid() {
        this._isValid = false;
        this._matchedParticle = null;
        rollback();
        return false;
    }

    public boolean ok(SchemaParticle schemaParticle, boolean z) {
        if (!z) {
            this._matchedParticle = schemaParticle;
            commit();
            return true;
        }
        rollback();
        return true;
    }

    public boolean pop() {
        int i2 = this._stackSize - 1;
        this._stackSize = i2;
        if (i2 <= this._rollbackIndex) {
            return prepare();
        }
        this._top = topRef();
        return true;
    }

    public boolean prepare() {
        if (this._rollbackIndex == 0) {
            this._top = null;
            return false;
        }
        VisitorState visitorState = topRef();
        this._top = visitorState;
        saveCopy(visitorState);
        this._rollbackIndex = this._stackSize - 1;
        return true;
    }

    public void push(SchemaParticle schemaParticle) {
        addParticle(schemaParticle);
        this._top = topRef();
    }

    public void rollback() {
        while (true) {
            int i2 = this._rollbackSize;
            if (i2 > 0) {
                int i3 = i2 - 1;
                this._rollbackSize = i3;
                VisitorState[] visitorStateArr = this._stack;
                int i4 = this._rollbackIndex;
                VisitorState visitorState = visitorStateArr[i4];
                VisitorState[] visitorStateArr2 = this._rollback;
                visitorStateArr[i4] = visitorStateArr2[i3];
                visitorStateArr2[i3] = visitorState;
                this._rollbackIndex = i4 + 1;
            } else {
                this._stackSize = this._rollbackIndex;
                this._top = null;
                return;
            }
        }
    }

    public void saveCopy(VisitorState visitorState) {
        VisitorState[] visitorStateArr = this._rollback;
        if (visitorStateArr.length == this._rollbackSize) {
            this._rollback = expand(visitorStateArr);
        }
        this._rollback[this._rollbackSize].copy(visitorState);
        this._rollbackSize++;
    }

    public boolean testValid(QName qName) {
        return visit(qName, true);
    }

    public VisitorState topRef() {
        return this._stack[this._stackSize - 1];
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStoreVisitor
    public boolean visit(QName qName) {
        return visit(qName, false);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:17:0x0037, code lost:
        r2 = r2._curPart.getParticleType();
        r3 = 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:18:0x003f, code lost:
        if (r2 == 1) goto L_0x011a;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:20:0x0042, code lost:
        if (r2 == 2) goto L_0x00e6;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:22:0x0045, code lost:
        if (r2 == 3) goto L_0x00a2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:24:0x0048, code lost:
        if (r2 == 4) goto L_0x007d;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:26:0x004b, code lost:
        if (r2 == 5) goto L_0x0058;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:28:0x004f, code lost:
        if (org.apache.xmlbeans.impl.schema.SchemaTypeVisitorImpl.$assertionsDisabled == false) goto L_0x0052;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:30:0x0057, code lost:
        throw new java.lang.AssertionError();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:32:0x0060, code lost:
        if (r8._top._curPart.canStartWithElement(r9) != false) goto L_0x006f;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:33:0x0062, code lost:
        r2 = r8._top;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:34:0x0068, code lost:
        if (r2._curCount >= r2._curMin) goto L_0x0160;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:36:0x006e, code lost:
        return notValid();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:37:0x006f, code lost:
        r9 = r8._top;
        r9._curCount++;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:38:0x007c, code lost:
        return ok(r9._curPart, r10);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:40:0x0085, code lost:
        if (r8._top._curPart.canStartWithElement(r9) != false) goto L_0x0094;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:41:0x0087, code lost:
        r2 = r8._top;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:42:0x008d, code lost:
        if (r2._curCount >= r2._curMin) goto L_0x0160;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:44:0x0093, code lost:
        return notValid();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:45:0x0094, code lost:
        r9 = r8._top;
        r9._curCount++;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:46:0x00a1, code lost:
        return ok(r9._curPart, r10);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:47:0x00a2, code lost:
        r2 = r8._top._processedChildCount;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:48:0x00a6, code lost:
        r5 = r8._top;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:49:0x00aa, code lost:
        if (r2 >= r5._childCount) goto L_0x00dd;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:50:0x00ac, code lost:
        r5 = r5._curPart.getParticleChild(r2);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:51:0x00b6, code lost:
        if (r5.canStartWithElement(r9) == false) goto L_0x00c3;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:52:0x00b8, code lost:
        r8._top._processedChildCount = r2 + 1;
        push(r5);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:54:0x00c7, code lost:
        if (r5.isSkippable() != false) goto L_0x00da;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:55:0x00c9, code lost:
        r2 = r8._top;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:56:0x00cd, code lost:
        if (r2._processedChildCount != 0) goto L_0x00d5;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:58:0x00d3, code lost:
        if (r2._curCount >= r2._curMin) goto L_0x0160;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:60:0x00d9, code lost:
        return notValid();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:61:0x00da, code lost:
        r2 = r2 + 1;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:62:0x00dd, code lost:
        r5._curCount++;
        r5._processedChildCount = 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:63:0x00e6, code lost:
        r2 = r8._top;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:64:0x00ea, code lost:
        if (r3 >= r2._childCount) goto L_0x0107;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:65:0x00ec, code lost:
        r2 = r2._curPart.getParticleChild(r3);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:66:0x00f6, code lost:
        if (r2.canStartWithElement(r9) == false) goto L_0x0104;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:67:0x00f8, code lost:
        r8._top._curCount++;
        push(r2);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:68:0x0104, code lost:
        r3 = r3 + 1;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:70:0x010b, code lost:
        if (r2._curCount >= r2._curMin) goto L_0x0160;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:72:0x0113, code lost:
        if (r2._curPart.isSkippable() != false) goto L_0x0160;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:74:0x0119, code lost:
        return notValid();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:75:0x011a, code lost:
        r2 = r8._top._processedChildCount;
        r5 = 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:76:0x011f, code lost:
        r6 = r8._top;
        r7 = r6._childCount;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:77:0x0123, code lost:
        if (r5 >= r7) goto L_0x0153;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:79:0x0129, code lost:
        if (r6._seen[r5] == false) goto L_0x012c;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:80:0x012c, code lost:
        r6 = r6._curPart.getParticleChild(r5);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:81:0x0136, code lost:
        if (r6.canStartWithElement(r9) == false) goto L_0x0148;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:82:0x0138, code lost:
        r2 = r8._top;
        r2._processedChildCount++;
        r2._seen[r5] = true;
        push(r6);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:84:0x014c, code lost:
        if (r6.isSkippable() == false) goto L_0x0150;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:85:0x014e, code lost:
        r2 = r2 + 1;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:86:0x0150, code lost:
        r5 = r5 + 1;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:87:0x0153, code lost:
        if (r2 >= r7) goto L_0x0173;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:89:0x0159, code lost:
        if (r6._curCount >= r6._curMin) goto L_0x0160;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:91:0x015f, code lost:
        return notValid();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:93:0x0164, code lost:
        if (pop() != false) goto L_0x000d;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:99:0x0173, code lost:
        r6._curCount++;
        r6._processedChildCount = 0;
        java.util.Arrays.fill(r6._seen, false);
     */
    public boolean visit(QName qName, boolean z) {
        if (!prepare()) {
            return notValid();
        }
        int i2 = -2;
        int i3 = -2;
        loop0:
        while (true) {
            VisitorState visitorState = this._top;
            if (visitorState._curCount > visitorState._curMin && i2 == visitorState._processedChildCount && i3 == this._stackSize) {
                visitorState._curCount = visitorState._curMax;
            }
            i2 = this._top._processedChildCount;
            i3 = this._stackSize;
            while (true) {
                VisitorState visitorState2 = this._top;
                if (visitorState2._curCount >= visitorState2._curMax) {
                    if (!pop()) {
                        break loop0;
                    }
                } else {
                    break;
                }
            }
        }
        if (qName == null) {
            return ok(null, z);
        }
        return notValid();
    }

    public SchemaTypeVisitorImpl() {
    }
}
