package org.apache.xmlbeans.impl.schema;

import b.b.a.a.a;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.xerces.impl.xs.SchemaSymbols;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.SimpleValue;
import org.apache.xmlbeans.XmlAnySimpleType;
import org.apache.xmlbeans.XmlByte;
import org.apache.xmlbeans.XmlCursor;
import org.apache.xmlbeans.XmlErrorCodes;
import org.apache.xmlbeans.XmlNonNegativeInteger;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlQName;
import org.apache.xmlbeans.XmlShort;
import org.apache.xmlbeans.XmlUnsignedByte;
import org.apache.xmlbeans.impl.common.QNameHelper;
import org.apache.xmlbeans.impl.regex.ParseException;
import org.apache.xmlbeans.impl.regex.RegularExpression;
import org.apache.xmlbeans.impl.values.XmlValueOutOfRangeException;
import org.apache.xmlbeans.impl.xb.xsdschema.Facet;
import org.apache.xmlbeans.impl.xb.xsdschema.ListDocument;
import org.apache.xmlbeans.impl.xb.xsdschema.LocalSimpleType;
import org.apache.xmlbeans.impl.xb.xsdschema.RestrictionDocument;
import org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument;
import org.apache.xmlbeans.impl.xb.xsdschema.SimpleType;
import org.apache.xmlbeans.impl.xb.xsdschema.UnionDocument;

public class StscSimpleTypeResolver {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static final RegularExpression[] EMPTY_REGEX_ARRAY = new RegularExpression[0];
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$schema$StscSimpleTypeResolver;
    public static final Map facetCodeMap = buildFacetCodeMap();
    public static CodeForNameEntry[] facetCodes = {new CodeForNameEntry(QNameHelper.forLNS("length", "http://www.w3.org/2001/XMLSchema"), 0), new CodeForNameEntry(QNameHelper.forLNS("minLength", "http://www.w3.org/2001/XMLSchema"), 1), new CodeForNameEntry(QNameHelper.forLNS("maxLength", "http://www.w3.org/2001/XMLSchema"), 2), new CodeForNameEntry(QNameHelper.forLNS("pattern", "http://www.w3.org/2001/XMLSchema"), 10), new CodeForNameEntry(QNameHelper.forLNS("enumeration", "http://www.w3.org/2001/XMLSchema"), 11), new CodeForNameEntry(QNameHelper.forLNS("whiteSpace", "http://www.w3.org/2001/XMLSchema"), 9), new CodeForNameEntry(QNameHelper.forLNS("maxInclusive", "http://www.w3.org/2001/XMLSchema"), 5), new CodeForNameEntry(QNameHelper.forLNS("maxExclusive", "http://www.w3.org/2001/XMLSchema"), 6), new CodeForNameEntry(QNameHelper.forLNS("minInclusive", "http://www.w3.org/2001/XMLSchema"), 4), new CodeForNameEntry(QNameHelper.forLNS("minExclusive", "http://www.w3.org/2001/XMLSchema"), 3), new CodeForNameEntry(QNameHelper.forLNS("totalDigits", "http://www.w3.org/2001/XMLSchema"), 7), new CodeForNameEntry(QNameHelper.forLNS("fractionDigits", "http://www.w3.org/2001/XMLSchema"), 8)};

    public static class CodeForNameEntry {
        public int code;
        public QName name;

        public CodeForNameEntry(QName qName, int i2) {
            this.name = qName;
            this.code = i2;
        }
    }

    static {
        Class cls = class$org$apache$xmlbeans$impl$schema$StscSimpleTypeResolver;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.schema.StscSimpleTypeResolver");
            class$org$apache$xmlbeans$impl$schema$StscSimpleTypeResolver = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
    }

    public static Map buildFacetCodeMap() {
        HashMap hashMap = new HashMap();
        int i2 = 0;
        while (true) {
            CodeForNameEntry[] codeForNameEntryArr = facetCodes;
            if (i2 >= codeForNameEntryArr.length) {
                return hashMap;
            }
            hashMap.put(codeForNameEntryArr[i2].name, new Integer(facetCodes[i2].code));
            i2++;
        }
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public static int decimalSizeOfType(SchemaTypeImpl schemaTypeImpl) {
        int mathematicalSizeOfType = mathematicalSizeOfType(schemaTypeImpl);
        if (mathematicalSizeOfType == 8 && !XmlByte.type.isAssignableFrom(schemaTypeImpl)) {
            mathematicalSizeOfType = 16;
        }
        if (mathematicalSizeOfType != 16 || XmlShort.type.isAssignableFrom(schemaTypeImpl) || XmlUnsignedByte.type.isAssignableFrom(schemaTypeImpl)) {
            return mathematicalSizeOfType;
        }
        return 32;
    }

    public static boolean facetAppliesToType(int i2, SchemaTypeImpl schemaTypeImpl) {
        int simpleVariety = schemaTypeImpl.getSimpleVariety();
        if (simpleVariety == 2) {
            return i2 == 10 || i2 == 11;
        }
        if (simpleVariety != 3) {
            switch (schemaTypeImpl.getPrimitiveType().getBuiltinTypeCode()) {
                case 2:
                    return false;
                case 3:
                    return i2 == 9 || i2 == 10;
                case 4:
                case 5:
                case 6:
                case 7:
                case 8:
                case 12:
                    if (!(i2 == 0 || i2 == 1 || i2 == 2)) {
                        switch (i2) {
                            case 9:
                            case 10:
                            case 11:
                                break;
                            default:
                                return false;
                        }
                    }
                    return true;
                case 9:
                case 10:
                case 13:
                case 14:
                case 15:
                case 16:
                case 17:
                case 18:
                case 19:
                case 20:
                case 21:
                    switch (i2) {
                        case 3:
                        case 4:
                        case 5:
                        case 6:
                        case 9:
                        case 10:
                        case 11:
                            return true;
                        case 7:
                        case 8:
                        default:
                            return false;
                    }
                case 11:
                    switch (i2) {
                        case 3:
                        case 4:
                        case 5:
                        case 6:
                        case 7:
                        case 8:
                        case 9:
                        case 10:
                        case 11:
                            return true;
                        default:
                            return false;
                    }
                default:
                    if ($assertionsDisabled) {
                        return false;
                    }
                    throw new AssertionError();
            }
        } else {
            if (!(i2 == 0 || i2 == 1 || i2 == 2)) {
                switch (i2) {
                    case 9:
                    case 10:
                    case 11:
                        break;
                    default:
                        return false;
                }
            }
            return true;
        }
    }

    public static boolean isDiscreteType(SchemaTypeImpl schemaTypeImpl) {
        int builtinTypeCode;
        if (schemaTypeImpl.getFacet(8) == null && (builtinTypeCode = schemaTypeImpl.getPrimitiveType().getBuiltinTypeCode()) != 3) {
            switch (builtinTypeCode) {
                case 16:
                case 17:
                case 18:
                case 19:
                case 20:
                case 21:
                    break;
                default:
                    return false;
            }
        }
        return true;
    }

    public static boolean isMultipleFacet(int i2) {
        return i2 == 11 || i2 == 10;
    }

    public static boolean isNumericPrimitive(SchemaType schemaType) {
        switch (schemaType.getBuiltinTypeCode()) {
            case 9:
            case 10:
            case 11:
                return true;
            default:
                return false;
        }
    }

    public static SchemaType.Ref[] makeRefArray(Collection collection) {
        SchemaType.Ref[] refArr = new SchemaType.Ref[collection.size()];
        Iterator it = collection.iterator();
        int i2 = 0;
        while (it.hasNext()) {
            refArr[i2] = ((SchemaType) it.next()).getRef();
            i2++;
        }
        return refArr;
    }

    public static XmlValueRef[] makeValueRefArray(XmlAnySimpleType[] xmlAnySimpleTypeArr) {
        int length = xmlAnySimpleTypeArr.length;
        XmlValueRef[] xmlValueRefArr = new XmlValueRef[length];
        for (int i2 = 0; i2 < length; i2++) {
            xmlValueRefArr[i2] = xmlAnySimpleTypeArr[i2] == null ? null : new XmlValueRef(xmlAnySimpleTypeArr[i2]);
        }
        return xmlValueRefArr;
    }

    public static int mathematicalSizeOfType(SchemaTypeImpl schemaTypeImpl) {
        BigInteger bigInteger;
        if (schemaTypeImpl.getPrimitiveType().getBuiltinTypeCode() != 11) {
            return 0;
        }
        if (schemaTypeImpl.getFacet(8) == null || ((SimpleValue) schemaTypeImpl.getFacet(8)).getBigIntegerValue().signum() != 0) {
            return SchemaType.SIZE_BIG_DECIMAL;
        }
        BigInteger bigInteger2 = null;
        BigInteger bigIntegerValue = schemaTypeImpl.getFacet(3) != null ? ((SimpleValue) schemaTypeImpl.getFacet(3)).getBigIntegerValue() : null;
        if (schemaTypeImpl.getFacet(4) != null) {
            bigIntegerValue = ((SimpleValue) schemaTypeImpl.getFacet(4)).getBigIntegerValue();
        }
        BigInteger bigIntegerValue2 = schemaTypeImpl.getFacet(5) != null ? ((SimpleValue) schemaTypeImpl.getFacet(5)).getBigIntegerValue() : null;
        if (schemaTypeImpl.getFacet(6) != null) {
            bigIntegerValue2 = ((SimpleValue) schemaTypeImpl.getFacet(6)).getBigIntegerValue();
        }
        if (schemaTypeImpl.getFacet(7) != null) {
            try {
                switch (((SimpleValue) schemaTypeImpl.getFacet(7)).getBigIntegerValue().intValue()) {
                    case 0:
                    case 1:
                    case 2:
                        bigInteger = BigInteger.valueOf(99);
                        bigInteger2 = bigInteger;
                        break;
                    case 3:
                    case 4:
                        bigInteger = BigInteger.valueOf(9999);
                        bigInteger2 = bigInteger;
                        break;
                    case 5:
                    case 6:
                    case 7:
                    case 8:
                    case 9:
                        bigInteger = BigInteger.valueOf(999999999);
                        bigInteger2 = bigInteger;
                        break;
                    case 10:
                    case 11:
                    case 12:
                    case 13:
                    case 14:
                    case 15:
                    case 16:
                    case 17:
                    case 18:
                        bigInteger = BigInteger.valueOf(999999999999999999L);
                        bigInteger2 = bigInteger;
                        break;
                }
            } catch (XmlValueOutOfRangeException unused) {
            }
            if (bigInteger2 != null) {
                BigInteger negate = bigInteger2.negate();
                if (bigIntegerValue != null) {
                    negate = bigIntegerValue.max(negate);
                }
                bigIntegerValue = negate;
                if (bigIntegerValue2 == null) {
                    bigIntegerValue2 = bigInteger2;
                } else {
                    bigIntegerValue2 = bigIntegerValue2.min(bigInteger2);
                }
            }
        }
        if (bigIntegerValue == null || bigIntegerValue2 == null) {
            return 1000000;
        }
        if (bigIntegerValue.signum() < 0) {
            bigIntegerValue = bigIntegerValue.negate().subtract(BigInteger.ONE);
        }
        if (bigIntegerValue2.signum() < 0) {
            bigIntegerValue2 = bigIntegerValue2.negate().subtract(BigInteger.ONE);
        }
        BigInteger max = bigIntegerValue2.max(bigIntegerValue);
        if (max.compareTo(BigInteger.valueOf(127)) <= 0) {
            return 8;
        }
        if (max.compareTo(BigInteger.valueOf(32767)) <= 0) {
            return 16;
        }
        if (max.compareTo(BigInteger.valueOf(2147483647L)) <= 0) {
            return 32;
        }
        return max.compareTo(BigInteger.valueOf(Long.MAX_VALUE)) <= 0 ? 64 : 1000000;
    }

    public static int other_similar_limit(int i2) {
        if (i2 == 3) {
            return 4;
        }
        if (i2 == 4) {
            return 3;
        }
        if (i2 == 5) {
            return 6;
        }
        if (i2 == 6) {
            return 5;
        }
        if (!$assertionsDisabled) {
            throw new AssertionError();
        }
        throw new IllegalStateException();
    }

    public static void resolveErrorSimpleType(SchemaTypeImpl schemaTypeImpl) {
        schemaTypeImpl.setSimpleTypeVariety(1);
        schemaTypeImpl.setBaseTypeRef(BuiltinSchemaTypeSystem.ST_ANY_SIMPLE.getRef());
        schemaTypeImpl.setBaseDepth(BuiltinSchemaTypeSystem.ST_ANY_SIMPLE.getBaseDepth() + 1);
        schemaTypeImpl.setPrimitiveTypeRef(BuiltinSchemaTypeSystem.ST_ANY_SIMPLE.getRef());
    }

    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:116:0x0250 */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r10v9 */
    /* JADX WARN: Type inference failed for: r11v4 */
    /* JADX WARN: Type inference failed for: r10v11, types: [org.apache.xmlbeans.XmlObject] */
    /* JADX WARN: Type inference failed for: r13v12, types: [org.apache.xmlbeans.XmlObject] */
    /* JADX WARN: Type inference failed for: r11v7, types: [org.apache.xmlbeans.XmlObject] */
    /* JADX WARN: Type inference failed for: r10v16 */
    /* JADX WARN: Type inference failed for: r0v35 */
    /* JADX WARN: Type inference failed for: r0v36 */
    /* JADX WARN: Type inference failed for: r0v37, types: [org.apache.xmlbeans.XmlObject] */
    /* JADX WARN: Type inference failed for: r0v40, types: [org.apache.xmlbeans.XmlObject] */
    /* JADX WARN: Type inference failed for: r11v12, types: [java.lang.Object] */
    /* JADX WARN: Type inference failed for: r11v13, types: [java.lang.Object] */
    /* JADX WARN: Type inference failed for: r5v16, types: [org.apache.xmlbeans.XmlObject] */
    /* JADX WARN: Type inference failed for: r10v29 */
    /* JADX WARN: Type inference failed for: r11v22 */
    /* JADX WARN: Type inference failed for: r11v23, types: [org.apache.xmlbeans.XmlObject] */
    /* JADX WARN: Type inference failed for: r10v32, types: [org.apache.xmlbeans.XmlObject] */
    /* JADX WARN: Type inference failed for: r13v26, types: [org.apache.xmlbeans.XmlObject] */
    /* JADX WARN: Type inference failed for: r0v67, types: [org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlPositiveInteger] */
    /* JADX WARN: Type inference failed for: r10v37 */
    /* JADX WARN: Type inference failed for: r10v38, types: [org.apache.xmlbeans.XmlObject] */
    /* JADX WARN: Type inference failed for: r11v28, types: [org.apache.xmlbeans.XmlObject] */
    /* JADX WARN: Type inference failed for: r0v71, types: [org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlNonNegativeInteger] */
    /* JADX WARN: Type inference failed for: r11v32 */
    /* JADX WARN: Type inference failed for: r10v42 */
    /* JADX WARN: Type inference failed for: r10v43, types: [org.apache.xmlbeans.XmlObject] */
    /* JADX WARN: Type inference failed for: r11v35, types: [org.apache.xmlbeans.XmlObject] */
    /* JADX WARN: Type inference failed for: r11v37, types: [org.apache.xmlbeans.XmlObject] */
    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    /* JADX WARNING: Code restructure failed: missing block: B:116:0x0250, code lost:
        if (r10 == r13) goto L_0x0252;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:17:0x0077, code lost:
        if (r9 == 2) goto L_0x007b;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:216:0x040a, code lost:
        if (r23.getBaseType() != r0) goto L_0x0421;
     */
    /* JADX WARNING: Removed duplicated region for block: B:202:0x03be  */
    /* JADX WARNING: Removed duplicated region for block: B:241:0x03c0 A[SYNTHETIC] */
    /* JADX WARNING: Unknown variable types count: 26 */
    public static void resolveFacets(SchemaTypeImpl schemaTypeImpl, XmlObject xmlObject, SchemaTypeImpl schemaTypeImpl2) {
        ArrayList arrayList;
        ArrayList arrayList2;
        int i2;
        RegularExpression[] regularExpressionArr;
        SchemaType schemaType;
        boolean[] zArr;
        int i3;
        XmlAnySimpleType facet;
        XmlAnySimpleType facet2;
        XmlAnySimpleType facet3;
        int i4;
        int i5;
        Object[] objArr;
        StscState stscState = StscState.get();
        boolean[] zArr2 = new boolean[12];
        XmlAnySimpleType[] basicFacets = schemaTypeImpl2.getBasicFacets();
        boolean[] fixedFacets = schemaTypeImpl2.getFixedFacets();
        char c = 0;
        if (xmlObject != null) {
            XmlCursor newCursor = xmlObject.newCursor();
            boolean firstChild = newCursor.toFirstChild();
            i2 = 0;
            arrayList2 = null;
            arrayList = null;
            while (firstChild) {
                QName name = newCursor.getName();
                String localPart = name.getLocalPart();
                int translateFacetCode = translateFacetCode(name);
                if (translateFacetCode != -1) {
                    Facet facet4 = (Facet) newCursor.getObject();
                    if (!facetAppliesToType(translateFacetCode, schemaTypeImpl2)) {
                        Object[] objArr2 = new Object[2];
                        objArr2[c] = localPart;
                        objArr2[1] = QNameHelper.pretty(schemaTypeImpl2.getName());
                        stscState.error(XmlErrorCodes.FACETS_APPLICABLE, objArr2, facet4);
                    } else {
                        if (schemaTypeImpl2.getSimpleVariety() == 1 && schemaTypeImpl2.getPrimitiveType().getBuiltinTypeCode() == 8) {
                            int i6 = (translateFacetCode == 0 || translateFacetCode == 1) ? 2 : 2;
                            Object[] objArr3 = new Object[i6];
                            objArr3[0] = localPart;
                            objArr3[1] = QNameHelper.pretty(schemaTypeImpl2.getName());
                            stscState.warning(XmlErrorCodes.FACETS_DEPRECATED_NOTATION, objArr3, facet4);
                        }
                        if (!zArr2[translateFacetCode] || isMultipleFacet(translateFacetCode)) {
                            zArr2[translateFacetCode] = true;
                            i3 = i2;
                            switch (translateFacetCode) {
                                case 0:
                                    zArr = zArr2;
                                    XmlNonNegativeInteger buildNnInteger = StscTranslator.buildNnInteger(facet4.getValue());
                                    if (buildNnInteger == null) {
                                        stscState.error("Must be a nonnegative integer", 20, facet4);
                                    } else if (fixedFacets[translateFacetCode] && !basicFacets[translateFacetCode].valueEquals(buildNnInteger)) {
                                        stscState.error(XmlErrorCodes.FACET_FIXED, new Object[]{localPart}, facet4);
                                    } else if (basicFacets[1] != 0 && ((facet2 = schemaTypeImpl2.getFacet(1)) == null || !facet2.valueEquals(basicFacets[1]) || facet2.compareValue(buildNnInteger) > 0)) {
                                        stscState.error(XmlErrorCodes.DATATYPE_LENGTH, (Object[]) null, facet4);
                                    } else if (basicFacets[2] == 0 || ((facet = schemaTypeImpl2.getFacet(2)) != null && facet.valueEquals(basicFacets[2]) && facet.compareValue(buildNnInteger) >= 0)) {
                                        basicFacets[translateFacetCode] = buildNnInteger;
                                        i2 = i3;
                                        if (!facet4.getFixed()) {
                                            break;
                                        } else {
                                            fixedFacets[translateFacetCode] = true;
                                            break;
                                        }
                                    } else {
                                        stscState.error(XmlErrorCodes.DATATYPE_LENGTH, (Object[]) null, facet4);
                                    }
                                    i2 = i3;
                                    break;
                                case 1:
                                case 2:
                                    XmlAnySimpleType buildNnInteger2 = StscTranslator.buildNnInteger(facet4.getValue());
                                    if (buildNnInteger2 == null) {
                                        zArr = zArr2;
                                        stscState.error("Must be a nonnegative integer", 20, facet4);
                                    } else {
                                        zArr = zArr2;
                                        if (fixedFacets[translateFacetCode] && !basicFacets[translateFacetCode].valueEquals(buildNnInteger2)) {
                                            stscState.error(XmlErrorCodes.FACET_FIXED, new Object[]{localPart}, facet4);
                                        } else if (basicFacets[0] != 0 && ((facet3 = schemaTypeImpl2.getFacet(translateFacetCode)) == null || !facet3.valueEquals(buildNnInteger2) || (translateFacetCode != 1 ? facet3.compareTo(basicFacets[0]) < 0 : facet3.compareTo(basicFacets[0]) > 0))) {
                                            stscState.error(XmlErrorCodes.DATATYPE_LENGTH, (Object[]) null, facet4);
                                        } else if (basicFacets[2] != 0 && buildNnInteger2.compareValue(basicFacets[2]) > 0) {
                                            stscState.error(XmlErrorCodes.DATATYPE_MAX_LENGTH_RESTRICTION, (Object[]) null, facet4);
                                        } else if (basicFacets[1] == 0 || buildNnInteger2.compareValue(basicFacets[1]) >= 0) {
                                            basicFacets[translateFacetCode] = buildNnInteger2;
                                            i2 = i3;
                                            if (!facet4.getFixed()) {
                                            }
                                        } else {
                                            stscState.error(XmlErrorCodes.DATATYPE_MIN_LENGTH_RESTRICTION, (Object[]) null, facet4);
                                        }
                                    }
                                    i2 = i3;
                                    break;
                                case 3:
                                case 4:
                                case 5:
                                case 6:
                                    if (zArr2[other_similar_limit(translateFacetCode)]) {
                                        stscState.error("Cannot define both inclusive and exclusive limit in the same restriciton", 19, facet4);
                                    } else {
                                        boolean z = translateFacetCode == 3 || translateFacetCode == 4;
                                        boolean z2 = translateFacetCode == 3 || translateFacetCode == 6;
                                        try {
                                            XmlAnySimpleType newValue = schemaTypeImpl2.newValue(facet4.getValue(), true);
                                            if (!fixedFacets[translateFacetCode] || basicFacets[translateFacetCode].valueEquals(newValue)) {
                                                if (basicFacets[translateFacetCode] != 0) {
                                                    SchemaType schemaType2 = newValue.schemaType();
                                                    if (schemaType2 == null || schemaType2.isSimpleType()) {
                                                        i4 = 2;
                                                    } else {
                                                        i4 = 2;
                                                        if (schemaType2.getContentType() == 2) {
                                                            newValue = schemaTypeImpl2.getContentBasedOnType().newValue(facet4.getValue());
                                                        }
                                                    }
                                                    int compareValue = newValue.compareValue(basicFacets[translateFacetCode]);
                                                    if (compareValue != i4) {
                                                        if (!z) {
                                                            i5 = 1;
                                                            break;
                                                        } else {
                                                            i5 = -1;
                                                            break;
                                                        }
                                                    }
                                                    stscState.error(z ? z2 ? "Must be greater than or equal to previous minExclusive" : "Must be greater than or equal to previous minInclusive" : z2 ? "Must be less than or equal to previous maxExclusive" : "Must be less than or equal to previous maxInclusive", 20, facet4);
                                                }
                                                basicFacets[translateFacetCode] = newValue;
                                                basicFacets[other_similar_limit(translateFacetCode)] = 0;
                                                zArr = zArr2;
                                                i2 = i3;
                                                if (!facet4.getFixed()) {
                                                }
                                            } else {
                                                stscState.error(XmlErrorCodes.FACET_FIXED, new Object[]{localPart}, facet4);
                                            }
                                        } catch (XmlValueOutOfRangeException e2) {
                                            if (translateFacetCode == 3) {
                                                stscState.error(XmlErrorCodes.DATATYPE_MIN_EXCLUSIVE_RESTRICTION, new Object[]{e2.getMessage()}, facet4);
                                            } else if (translateFacetCode == 4) {
                                                stscState.error(XmlErrorCodes.DATATYPE_MIN_INCLUSIVE_RESTRICTION, new Object[]{e2.getMessage()}, facet4);
                                            } else if (translateFacetCode == 5) {
                                                stscState.error(XmlErrorCodes.DATATYPE_MAX_INCLUSIVE_RESTRICTION, new Object[]{e2.getMessage()}, facet4);
                                            } else if (translateFacetCode == 6) {
                                                stscState.error(XmlErrorCodes.DATATYPE_MAX_EXCLUSIVE_RESTRICTION, new Object[]{e2.getMessage()}, facet4);
                                            }
                                        }
                                    }
                                    zArr = zArr2;
                                    i2 = i3;
                                    break;
                                case 7:
                                    ?? buildPosInteger = StscTranslator.buildPosInteger(facet4.getValue());
                                    if (buildPosInteger != 0) {
                                        if (fixedFacets[translateFacetCode] && !basicFacets[translateFacetCode].valueEquals(buildPosInteger)) {
                                            stscState.error(XmlErrorCodes.FACET_FIXED, new Object[]{localPart}, facet4);
                                            zArr = zArr2;
                                            i2 = i3;
                                            break;
                                        } else {
                                            if (basicFacets[7] != 0 && buildPosInteger.compareValue(basicFacets[7]) > 0) {
                                                stscState.error(XmlErrorCodes.DATATYPE_TOTAL_DIGITS_RESTRICTION, (Object[]) null, facet4);
                                            }
                                            basicFacets[translateFacetCode] = buildPosInteger;
                                        }
                                    } else {
                                        stscState.error("Must be a positive integer", 20, facet4);
                                    }
                                    zArr = zArr2;
                                    i2 = i3;
                                    if (!facet4.getFixed()) {
                                    }
                                    break;
                                case 8:
                                    ?? buildNnInteger3 = StscTranslator.buildNnInteger(facet4.getValue());
                                    if (buildNnInteger3 != 0) {
                                        if (fixedFacets[translateFacetCode] && !basicFacets[translateFacetCode].valueEquals(buildNnInteger3)) {
                                            stscState.error(XmlErrorCodes.FACET_FIXED, new Object[]{localPart}, facet4);
                                            zArr = zArr2;
                                            i2 = i3;
                                            break;
                                        } else {
                                            if (basicFacets[8] == 0 || buildNnInteger3.compareValue(basicFacets[8]) <= 0) {
                                                objArr = null;
                                            } else {
                                                objArr = null;
                                                stscState.error(XmlErrorCodes.DATATYPE_FRACTION_DIGITS_RESTRICTION, (Object[]) null, facet4);
                                            }
                                            if (basicFacets[7] != 0 && buildNnInteger3.compareValue(basicFacets[7]) > 0) {
                                                stscState.error(XmlErrorCodes.DATATYPE_FRACTION_DIGITS_LE_TOTAL_DIGITS, objArr, facet4);
                                            }
                                            basicFacets[translateFacetCode] = buildNnInteger3;
                                        }
                                    } else {
                                        stscState.error("Must be a nonnegative integer", 20, facet4);
                                    }
                                    zArr = zArr2;
                                    i2 = i3;
                                    if (!facet4.getFixed()) {
                                    }
                                    break;
                                case 9:
                                    i2 = translateWhitespaceCode(facet4.getValue());
                                    if (schemaTypeImpl2.getWhiteSpaceRule() > i2) {
                                        stscState.error(XmlErrorCodes.DATATYPE_WHITESPACE_RESTRICTION, (Object[]) null, facet4);
                                        zArr = zArr2;
                                        i2 = 0;
                                        break;
                                    } else {
                                        basicFacets[translateFacetCode] = StscState.build_wsstring(i2).get();
                                        zArr = zArr2;
                                        if (!facet4.getFixed()) {
                                        }
                                    }
                                    break;
                                case 10:
                                    try {
                                        RegularExpression regularExpression = new RegularExpression(facet4.getValue().getStringValue(), "X");
                                        if (arrayList == null) {
                                            arrayList = new ArrayList();
                                        }
                                        arrayList.add(regularExpression);
                                        zArr = zArr2;
                                        i2 = i3;
                                        if (!facet4.getFixed()) {
                                        }
                                    } catch (ParseException e3) {
                                        stscState.error(XmlErrorCodes.PATTERN_REGEX, new Object[]{facet4.getValue().getStringValue(), e3.getMessage()}, facet4);
                                        break;
                                    }
                                    break;
                                case 11:
                                    try {
                                        XmlAnySimpleType newValue2 = schemaTypeImpl2.newValue(facet4.getValue(), true);
                                        if (arrayList2 == null) {
                                            arrayList2 = new ArrayList();
                                        }
                                        arrayList2.add(newValue2);
                                        zArr = zArr2;
                                        i2 = i3;
                                        if (!facet4.getFixed()) {
                                        }
                                    } catch (XmlValueOutOfRangeException e4) {
                                        stscState.error(XmlErrorCodes.DATATYPE_ENUM_RESTRICTION, new Object[]{facet4.getValue().getStringValue(), e4.getMessage()}, facet4);
                                        break;
                                    }
                                    break;
                                default:
                                    zArr = zArr2;
                                    i2 = i3;
                                    if (!facet4.getFixed()) {
                                    }
                                    break;
                            }
                            firstChild = newCursor.toNextSibling();
                            zArr2 = zArr;
                            c = 0;
                        } else {
                            stscState.error(XmlErrorCodes.DATATYPE_SINGLE_FACET_VALUE, (Object[]) null, facet4);
                        }
                    }
                }
                zArr = zArr2;
                i3 = i2;
                i2 = i3;
                firstChild = newCursor.toNextSibling();
                zArr2 = zArr;
                c = 0;
            }
        } else {
            i2 = 0;
            arrayList2 = null;
            arrayList = null;
        }
        schemaTypeImpl.setBasicFacets(makeValueRefArray(basicFacets), fixedFacets);
        if (i2 == 0) {
            i2 = schemaTypeImpl2.getWhiteSpaceRule();
        }
        schemaTypeImpl.setWhiteSpaceRule(i2);
        if (arrayList2 != null) {
            schemaTypeImpl.setEnumerationValues(makeValueRefArray((XmlAnySimpleType[]) arrayList2.toArray(new XmlAnySimpleType[arrayList2.size()])));
            if (schemaTypeImpl.isRedefinition()) {
                schemaType = schemaTypeImpl.getBaseType().getBaseEnumType();
                if (schemaType != null) {
                }
            } else if (schemaTypeImpl.getBaseType().getBaseEnumType() != null) {
                schemaType = schemaTypeImpl.getBaseType().getBaseEnumType();
                schemaTypeImpl.setBaseEnumTypeRef(schemaType.getRef());
            }
            schemaType = schemaTypeImpl;
            schemaTypeImpl.setBaseEnumTypeRef(schemaType.getRef());
        } else {
            schemaTypeImpl.copyEnumerationValues(schemaTypeImpl2);
        }
        if (arrayList != null) {
            regularExpressionArr = (RegularExpression[]) arrayList.toArray(EMPTY_REGEX_ARRAY);
        } else {
            regularExpressionArr = EMPTY_REGEX_ARRAY;
        }
        schemaTypeImpl.setPatternFacet(regularExpressionArr.length > 0 || schemaTypeImpl2.hasPatternFacet());
        schemaTypeImpl.setPatterns(regularExpressionArr);
        if (schemaTypeImpl2.getBuiltinTypeCode() == 8 && schemaTypeImpl.getEnumerationValues() == null) {
            stscState.recover(XmlErrorCodes.DATATYPE_ENUM_NOTATION, null, xmlObject);
        }
    }

    public static void resolveFundamentalFacets(SchemaTypeImpl schemaTypeImpl) {
        int simpleVariety = schemaTypeImpl.getSimpleVariety();
        boolean z = true;
        if (simpleVariety == 1) {
            SchemaTypeImpl schemaTypeImpl2 = (SchemaTypeImpl) schemaTypeImpl.getBaseType();
            schemaTypeImpl.setOrdered(schemaTypeImpl2.ordered());
            schemaTypeImpl.setBounded(((schemaTypeImpl.getFacet(3) == null && schemaTypeImpl.getFacet(4) == null) || (schemaTypeImpl.getFacet(5) == null && schemaTypeImpl.getFacet(6) == null)) ? false : true);
            schemaTypeImpl.setFinite(schemaTypeImpl2.isFinite() || (schemaTypeImpl.isBounded() && isDiscreteType(schemaTypeImpl)));
            if (!schemaTypeImpl2.isNumeric() && !isNumericPrimitive(schemaTypeImpl.getPrimitiveType())) {
                z = false;
            }
            schemaTypeImpl.setNumeric(z);
            schemaTypeImpl.setDecimalSize(decimalSizeOfType(schemaTypeImpl));
        } else if (simpleVariety == 2) {
            SchemaType[] unionMemberTypes = schemaTypeImpl.getUnionMemberTypes();
            int i2 = 0;
            boolean z2 = true;
            boolean z3 = true;
            boolean z4 = true;
            for (int i3 = 0; i3 < unionMemberTypes.length; i3++) {
                if (unionMemberTypes[i3].ordered() != 0) {
                    i2 = 1;
                }
                if (!unionMemberTypes[i3].isBounded()) {
                    z2 = false;
                }
                if (!unionMemberTypes[i3].isFinite()) {
                    z3 = false;
                }
                if (!unionMemberTypes[i3].isNumeric()) {
                    z4 = false;
                }
            }
            schemaTypeImpl.setOrdered(i2);
            schemaTypeImpl.setBounded(z2);
            schemaTypeImpl.setFinite(z3);
            schemaTypeImpl.setNumeric(z4);
            schemaTypeImpl.setDecimalSize(0);
        } else if (simpleVariety == 3) {
            schemaTypeImpl.setOrdered(0);
            schemaTypeImpl.setBounded((schemaTypeImpl.getFacet(0) == null && schemaTypeImpl.getFacet(2) == null) ? false : true);
            if (!schemaTypeImpl.getListItemType().isFinite() || !schemaTypeImpl.isBounded()) {
                z = false;
            }
            schemaTypeImpl.setFinite(z);
            schemaTypeImpl.setNumeric(false);
            schemaTypeImpl.setDecimalSize(0);
        }
    }

    public static void resolveListType(SchemaTypeImpl schemaTypeImpl, ListDocument.List list, List list2) {
        LocalSimpleType localSimpleType;
        LocalSimpleType localSimpleType2;
        SchemaTypeImpl schemaTypeImpl2;
        SchemaTypeImpl schemaTypeImpl3;
        StscState stscState = StscState.get();
        schemaTypeImpl.setSimpleTypeVariety(3);
        schemaTypeImpl.setBaseTypeRef(BuiltinSchemaTypeSystem.ST_ANY_SIMPLE.getRef());
        schemaTypeImpl.setBaseDepth(BuiltinSchemaTypeSystem.ST_ANY_SIMPLE.getBaseDepth() + 1);
        schemaTypeImpl.setDerivationType(1);
        if (schemaTypeImpl.isRedefinition()) {
            stscState.error(XmlErrorCodes.SCHEMA_REDEFINE$EXTEND_OR_RESTRICT, new Object[]{"list"}, list);
        }
        QName itemType = list.getItemType();
        LocalSimpleType simpleType = list.getSimpleType();
        if (itemType == null || simpleType == null) {
            localSimpleType = simpleType;
        } else {
            stscState.error(XmlErrorCodes.SCHEMA_SIMPLE_TYPE$LIST_HAS_BOTH_ITEM_OR_SIMPLE_TYPE, (Object[]) null, list);
            localSimpleType = null;
        }
        if (itemType != null) {
            schemaTypeImpl2 = stscState.findGlobalType(itemType, schemaTypeImpl.getChameleonNamespace(), schemaTypeImpl.getTargetNamespace());
            XmlQName xgetItemType = list.xgetItemType();
            localSimpleType2 = xgetItemType;
            if (schemaTypeImpl2 == null) {
                stscState.notFoundError(itemType, 0, list.xgetItemType(), true);
                schemaTypeImpl2 = BuiltinSchemaTypeSystem.ST_ANY_SIMPLE;
                localSimpleType2 = xgetItemType;
            }
        } else if (localSimpleType != null) {
            schemaTypeImpl2 = StscTranslator.translateAnonymousSimpleType(localSimpleType, schemaTypeImpl.getTargetNamespace(), schemaTypeImpl.getChameleonNamespace() != null, schemaTypeImpl.getElemFormDefault(), schemaTypeImpl.getAttFormDefault(), list2, schemaTypeImpl);
            localSimpleType2 = localSimpleType;
        } else {
            stscState.error(XmlErrorCodes.SCHEMA_SIMPLE_TYPE$LIST_HAS_NEITHER_ITEM_OR_SIMPLE_TYPE, (Object[]) null, list);
            resolveErrorSimpleType(schemaTypeImpl);
            return;
        }
        if (schemaTypeImpl2.finalList()) {
            stscState.error(XmlErrorCodes.SIMPLE_TYPE_PROPERTIES$LIST_FINAL, (Object[]) null, list);
        }
        StscResolver.resolveType(schemaTypeImpl2);
        if (!schemaTypeImpl2.isSimpleType()) {
            stscState.error(XmlErrorCodes.SIMPLE_TYPE_RESTRICTION$LIST_ITEM_NOT_SIMPLE, (Object[]) null, localSimpleType2);
            schemaTypeImpl3 = BuiltinSchemaTypeSystem.ST_ANY_SIMPLE;
        } else {
            schemaTypeImpl3 = schemaTypeImpl;
        }
        int simpleVariety = schemaTypeImpl2.getSimpleVariety();
        if (simpleVariety != 1) {
            if (simpleVariety != 2) {
                if (simpleVariety == 3) {
                    stscState.error(XmlErrorCodes.SIMPLE_TYPE_RESTRICTION$LIST_ITEM_IS_LIST, (Object[]) null, localSimpleType2);
                    resolveErrorSimpleType(schemaTypeImpl3);
                    return;
                } else if ($assertionsDisabled) {
                    schemaTypeImpl3.setListItemTypeRef(BuiltinSchemaTypeSystem.ST_ANY_SIMPLE.getRef());
                    schemaTypeImpl3.setBasicFacets(StscState.FACETS_LIST, StscState.FIXED_FACETS_LIST);
                    schemaTypeImpl3.setWhiteSpaceRule(3);
                    resolveFundamentalFacets(schemaTypeImpl3);
                } else {
                    throw new AssertionError();
                }
            } else if (schemaTypeImpl2.isUnionOfLists()) {
                stscState.error(XmlErrorCodes.SIMPLE_TYPE_RESTRICTION$LIST_ITEM_IS_UNION_OF_LIST, (Object[]) null, localSimpleType2);
                resolveErrorSimpleType(schemaTypeImpl3);
                return;
            }
        }
        schemaTypeImpl3.setListItemTypeRef(schemaTypeImpl2.getRef());
        if (schemaTypeImpl3.getBuiltinTypeCode() == 8) {
            stscState.recover(XmlErrorCodes.DATATYPE_ENUM_NOTATION, null, localSimpleType2);
        }
        schemaTypeImpl3.setBasicFacets(StscState.FACETS_LIST, StscState.FIXED_FACETS_LIST);
        schemaTypeImpl3.setWhiteSpaceRule(3);
        resolveFundamentalFacets(schemaTypeImpl3);
    }

    public static void resolveSimpleRestrictionType(SchemaTypeImpl schemaTypeImpl, RestrictionDocument.Restriction restriction, List list) {
        LocalSimpleType localSimpleType;
        SchemaTypeImpl schemaTypeImpl2;
        QName base = restriction.getBase();
        LocalSimpleType simpleType = restriction.getSimpleType();
        StscState stscState = StscState.get();
        if (base == null || simpleType == null) {
            localSimpleType = simpleType;
        } else {
            stscState.error(XmlErrorCodes.SCHEMA_SIMPLE_TYPE$RESTRICTION_HAS_BOTH_BASE_OR_SIMPLE_TYPE, (Object[]) null, restriction);
            localSimpleType = null;
        }
        boolean z = false;
        if (base != null) {
            if (schemaTypeImpl.isRedefinition()) {
                schemaTypeImpl2 = stscState.findRedefinedGlobalType(restriction.getBase(), schemaTypeImpl.getChameleonNamespace(), schemaTypeImpl);
                if (schemaTypeImpl2 != null && !schemaTypeImpl2.getName().equals(schemaTypeImpl.getName())) {
                    stscState.error(XmlErrorCodes.SCHEMA_REDEFINE$SAME_TYPE, new Object[]{"<simpleType>", QNameHelper.pretty(base), QNameHelper.pretty(schemaTypeImpl.getName())}, restriction);
                }
            } else {
                schemaTypeImpl2 = stscState.findGlobalType(base, schemaTypeImpl.getChameleonNamespace(), schemaTypeImpl.getTargetNamespace());
            }
            if (schemaTypeImpl2 == null) {
                stscState.notFoundError(base, 0, restriction.xgetBase(), true);
                schemaTypeImpl2 = BuiltinSchemaTypeSystem.ST_ANY_SIMPLE;
            }
        } else if (localSimpleType != null) {
            if (schemaTypeImpl.isRedefinition()) {
                StscState.get().error(XmlErrorCodes.SCHEMA_REDEFINE$EXTEND_OR_RESTRICT, new Object[]{"<simpleType>"}, localSimpleType);
            }
            String targetNamespace = schemaTypeImpl.getTargetNamespace();
            if (schemaTypeImpl.getChameleonNamespace() != null) {
                z = true;
            }
            schemaTypeImpl2 = StscTranslator.translateAnonymousSimpleType(localSimpleType, targetNamespace, z, schemaTypeImpl.getElemFormDefault(), schemaTypeImpl.getAttFormDefault(), list, schemaTypeImpl);
        } else {
            stscState.error(XmlErrorCodes.SCHEMA_SIMPLE_TYPE$RESTRICTION_HAS_NEITHER_BASE_OR_SIMPLE_TYPE, (Object[]) null, restriction);
            schemaTypeImpl2 = BuiltinSchemaTypeSystem.ST_ANY_SIMPLE;
        }
        if (!StscResolver.resolveType(schemaTypeImpl2)) {
            schemaTypeImpl2 = BuiltinSchemaTypeSystem.ST_ANY_SIMPLE;
        }
        if (schemaTypeImpl2.finalRestriction()) {
            stscState.error(XmlErrorCodes.SIMPLE_TYPE_PROPERTIES$RESTRICTION_FINAL, (Object[]) null, restriction);
        }
        schemaTypeImpl.setBaseTypeRef(schemaTypeImpl2.getRef());
        schemaTypeImpl.setBaseDepth(schemaTypeImpl2.getBaseDepth() + 1);
        schemaTypeImpl.setDerivationType(1);
        if (!schemaTypeImpl2.isSimpleType()) {
            stscState.error(XmlErrorCodes.SIMPLE_TYPE_RESTRICTION$ATOMIC_NOT_SIMPLE, (Object[]) null, restriction.xgetBase());
            resolveErrorSimpleType(schemaTypeImpl);
            return;
        }
        schemaTypeImpl.setSimpleTypeVariety(schemaTypeImpl2.getSimpleVariety());
        int simpleVariety = schemaTypeImpl2.getSimpleVariety();
        if (simpleVariety == 1) {
            schemaTypeImpl.setPrimitiveTypeRef(schemaTypeImpl2.getPrimitiveType().getRef());
        } else if (simpleVariety == 2) {
            schemaTypeImpl.setUnionOfLists(schemaTypeImpl2.isUnionOfLists());
            schemaTypeImpl.setUnionMemberTypeRefs(makeRefArray(Arrays.asList(schemaTypeImpl2.getUnionMemberTypes())));
        } else if (simpleVariety == 3) {
            schemaTypeImpl.setListItemTypeRef(schemaTypeImpl2.getListItemType().getRef());
        }
        resolveFacets(schemaTypeImpl, restriction, schemaTypeImpl2);
        resolveFundamentalFacets(schemaTypeImpl);
    }

    /* JADX WARNING: Removed duplicated region for block: B:34:0x00a0  */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x00a8  */
    public static void resolveSimpleType(SchemaTypeImpl schemaTypeImpl) {
        boolean z;
        SimpleType simpleType = (SimpleType) schemaTypeImpl.getParseObject();
        if ($assertionsDisabled || schemaTypeImpl.isSimpleType()) {
            SchemaDocument.Schema schema = StscComplexTypeResolver.getSchema(simpleType);
            int i2 = (simpleType.isSetList() ? 1 : 0) + (simpleType.isSetUnion() ? 1 : 0) + (simpleType.isSetRestriction() ? 1 : 0);
            boolean z2 = true;
            if (i2 > 1) {
                StscState.get().error("A simple type must define either a list, a union, or a restriction: more than one found.", 52, simpleType);
            } else if (i2 < 1) {
                StscState.get().error("A simple type must define either a list, a union, or a restriction: none was found.", 52, simpleType);
                resolveErrorSimpleType(schemaTypeImpl);
                return;
            }
            Object obj = null;
            if (simpleType.isSetFinal()) {
                obj = simpleType.getFinal();
            } else if (schema != null && schema.isSetFinalDefault()) {
                obj = schema.getFinalDefault();
            }
            boolean z3 = false;
            if (obj != null) {
                if (obj instanceof String) {
                    if (SchemaSymbols.ATTVAL_POUNDALL.equals((String) obj)) {
                        z3 = true;
                        z = true;
                        schemaTypeImpl.setSimpleFinal(z2, z, z3);
                        ArrayList arrayList = new ArrayList();
                        if (simpleType.getList() != null) {
                            resolveListType(schemaTypeImpl, simpleType.getList(), arrayList);
                        } else if (simpleType.getUnion() != null) {
                            resolveUnionType(schemaTypeImpl, simpleType.getUnion(), arrayList);
                        } else if (simpleType.getRestriction() != null) {
                            resolveSimpleRestrictionType(schemaTypeImpl, simpleType.getRestriction(), arrayList);
                        }
                        schemaTypeImpl.setAnonymousTypeRefs(makeRefArray(arrayList));
                        return;
                    }
                } else if (obj instanceof List) {
                    List list = (List) obj;
                    boolean contains = list.contains(SchemaSymbols.ATTVAL_RESTRICTION);
                    z = list.contains("list");
                    z2 = contains;
                    if (list.contains("union")) {
                        z3 = true;
                    }
                    schemaTypeImpl.setSimpleFinal(z2, z, z3);
                    ArrayList arrayList2 = new ArrayList();
                    if (simpleType.getList() != null) {
                    }
                    schemaTypeImpl.setAnonymousTypeRefs(makeRefArray(arrayList2));
                    return;
                }
            }
            z2 = false;
            z = false;
            schemaTypeImpl.setSimpleFinal(z2, z, z3);
            ArrayList arrayList22 = new ArrayList();
            if (simpleType.getList() != null) {
            }
            schemaTypeImpl.setAnonymousTypeRefs(makeRefArray(arrayList22));
            return;
        }
        throw new AssertionError();
    }

    public static void resolveUnionType(SchemaTypeImpl schemaTypeImpl, UnionDocument.Union union, List list) {
        String str;
        UnionDocument.Union.MemberTypes memberTypes;
        String str2;
        XmlObject xmlObject;
        schemaTypeImpl.setSimpleTypeVariety(2);
        schemaTypeImpl.setBaseTypeRef(BuiltinSchemaTypeSystem.ST_ANY_SIMPLE.getRef());
        schemaTypeImpl.setBaseDepth(BuiltinSchemaTypeSystem.ST_ANY_SIMPLE.getBaseDepth() + 1);
        schemaTypeImpl.setDerivationType(1);
        StscState stscState = StscState.get();
        if (schemaTypeImpl.isRedefinition()) {
            stscState.error(XmlErrorCodes.SCHEMA_REDEFINE$EXTEND_OR_RESTRICT, new Object[]{"union"}, union);
        }
        List<QName> memberTypes2 = union.getMemberTypes();
        LocalSimpleType[] simpleTypeArray = union.getSimpleTypeArray();
        ArrayList arrayList = new ArrayList();
        if (simpleTypeArray.length == 0 && (memberTypes2 == null || memberTypes2.size() == 0)) {
            stscState.error(XmlErrorCodes.SCHEMA_SIMPLE_TYPE$UNION_HAS_MEMBER_TYPES_OR_SIMPLE_TYPES, (Object[]) null, union);
        }
        if (memberTypes2 != null) {
            for (QName qName : memberTypes2) {
                SchemaTypeImpl findGlobalType = stscState.findGlobalType(qName, schemaTypeImpl.getChameleonNamespace(), schemaTypeImpl.getTargetNamespace());
                if (findGlobalType == null) {
                    stscState.notFoundError(qName, 0, union.xgetMemberTypes(), true);
                } else {
                    arrayList.add(findGlobalType);
                }
            }
        }
        int i2 = 0;
        while (i2 < simpleTypeArray.length) {
            SchemaTypeImpl translateAnonymousSimpleType = StscTranslator.translateAnonymousSimpleType(simpleTypeArray[i2], schemaTypeImpl.getTargetNamespace(), schemaTypeImpl.getChameleonNamespace() != null, schemaTypeImpl.getElemFormDefault(), schemaTypeImpl.getAttFormDefault(), list, schemaTypeImpl);
            arrayList.add(translateAnonymousSimpleType);
            i2++;
            translateAnonymousSimpleType.setAnonymousUnionMemberOrdinal(i2);
        }
        Iterator it = arrayList.iterator();
        while (true) {
            str = "";
            if (!it.hasNext()) {
                break;
            }
            SchemaTypeImpl schemaTypeImpl2 = (SchemaTypeImpl) it.next();
            if (!StscResolver.resolveType(schemaTypeImpl2)) {
                if (schemaTypeImpl2.getOuterType().equals(schemaTypeImpl)) {
                    xmlObject = schemaTypeImpl2.getParseObject();
                } else {
                    StringBuffer stringBuffer = new StringBuffer();
                    stringBuffer.append(QNameHelper.pretty(schemaTypeImpl2.getName()));
                    stringBuffer.append(" ");
                    str = stringBuffer.toString();
                    xmlObject = union.xgetMemberTypes();
                }
                stscState.error(XmlErrorCodes.SCHEMA_SIMPLE_TYPE$CYCLIC_UNION, new Object[]{str}, xmlObject);
                it.remove();
            }
        }
        Iterator it2 = arrayList.iterator();
        boolean z = false;
        while (it2.hasNext()) {
            SchemaTypeImpl schemaTypeImpl3 = (SchemaTypeImpl) it2.next();
            if (!schemaTypeImpl3.isSimpleType()) {
                if (schemaTypeImpl3.getOuterType() == null || !schemaTypeImpl3.getOuterType().equals(schemaTypeImpl)) {
                    StringBuffer stringBuffer2 = new StringBuffer();
                    stringBuffer2.append(QNameHelper.pretty(schemaTypeImpl3.getName()));
                    stringBuffer2.append(" ");
                    str2 = stringBuffer2.toString();
                    memberTypes = union.xgetMemberTypes();
                } else {
                    memberTypes = schemaTypeImpl3.getParseObject();
                    str2 = str;
                }
                stscState.error(XmlErrorCodes.SIMPLE_TYPE_RESTRICTION$UNION_MEMBER_NOT_SIMPLE, new Object[]{str2}, memberTypes);
                it2.remove();
            } else if (schemaTypeImpl3.getSimpleVariety() == 3 || (schemaTypeImpl3.getSimpleVariety() == 2 && schemaTypeImpl3.isUnionOfLists())) {
                z = true;
            }
        }
        for (int i3 = 0; i3 < arrayList.size(); i3++) {
            if (((SchemaTypeImpl) arrayList.get(i3)).finalUnion()) {
                stscState.error(XmlErrorCodes.SIMPLE_TYPE_PROPERTIES$UNION_FINAL, (Object[]) null, union);
            }
        }
        schemaTypeImpl.setUnionOfLists(z);
        schemaTypeImpl.setUnionMemberTypeRefs(makeRefArray(arrayList));
        schemaTypeImpl.setBasicFacets(StscState.FACETS_UNION, StscState.FIXED_FACETS_UNION);
        resolveFundamentalFacets(schemaTypeImpl);
    }

    public static int translateFacetCode(QName qName) {
        Integer num = (Integer) facetCodeMap.get(qName);
        if (num == null) {
            return -1;
        }
        return num.intValue();
    }

    public static int translateWhitespaceCode(XmlAnySimpleType xmlAnySimpleType) {
        String stringValue = xmlAnySimpleType.getStringValue();
        if (stringValue.equals(SchemaSymbols.ATTVAL_COLLAPSE)) {
            return 3;
        }
        if (stringValue.equals(SchemaSymbols.ATTVAL_PRESERVE)) {
            return 1;
        }
        if (stringValue.equals(SchemaSymbols.ATTVAL_REPLACE)) {
            return 2;
        }
        StscState.get().error(a.a("Unrecognized whitespace value \"", stringValue, "\""), 20, xmlAnySimpleType);
        return 0;
    }
}
