package org.apache.xmlbeans.impl.soap;

import java.util.Iterator;
import org.w3c.dom.Element;

public interface SOAPElement extends Node, Element {
    SOAPElement addAttribute(Name name, String str);

    SOAPElement addChildElement(String str);

    SOAPElement addChildElement(String str, String str2);

    SOAPElement addChildElement(String str, String str2, String str3);

    SOAPElement addChildElement(Name name);

    SOAPElement addChildElement(SOAPElement sOAPElement);

    SOAPElement addNamespaceDeclaration(String str, String str2);

    SOAPElement addTextNode(String str);

    Iterator getAllAttributes();

    String getAttributeValue(Name name);

    Iterator getChildElements();

    Iterator getChildElements(Name name);

    Name getElementName();

    String getEncodingStyle();

    Iterator getNamespacePrefixes();

    String getNamespaceURI(String str);

    Iterator getVisibleNamespacePrefixes();

    boolean removeAttribute(Name name);

    void removeContents();

    boolean removeNamespaceDeclaration(String str);

    void setEncodingStyle(String str);
}
