package org.apache.xmlbeans.impl.soap;

public class SOAPException extends Exception {
    public Throwable cause;

    public SOAPException() {
        this.cause = null;
    }

    public Throwable getCause() {
        return this.cause;
    }

    public String getMessage() {
        Throwable th;
        String message = super.getMessage();
        return (message != null || (th = this.cause) == null) ? message : th.getMessage();
    }

    public synchronized Throwable initCause(Throwable th) {
        if (this.cause != null) {
            throw new IllegalStateException("Can't override cause");
        } else if (th != this) {
            this.cause = th;
        } else {
            throw new IllegalArgumentException("Self-causation not permitted");
        }
        return this;
    }

    public SOAPException(String str) {
        super(str);
        this.cause = null;
    }

    public SOAPException(String str, Throwable th) {
        super(str);
        initCause(th);
    }

    public SOAPException(Throwable th) {
        super(th.toString());
        initCause(th);
    }
}
