package org.apache.xmlbeans.impl.store;

import b.b.a.a.a;
import java.io.PrintStream;
import java.lang.ref.SoftReference;
import org.apache.poi.ss.formula.function.FunctionMetadataReader;

public final class CharUtil {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static int CHARUTIL_INITIAL_BUFSIZE = 32768;
    public static final int MAX_COPY = 64;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$store$CharUtil;
    public static ThreadLocal tl_charUtil = new ThreadLocal() {
        /* class org.apache.xmlbeans.impl.store.CharUtil.AnonymousClass1 */

        @Override // java.lang.ThreadLocal
        public Object initialValue() {
            return new SoftReference(new CharUtil(CharUtil.CHARUTIL_INITIAL_BUFSIZE));
        }
    };
    public int _cchSrc;
    public int _charBufSize;
    public CharIterator _charIter = new CharIterator();
    public char[] _currentBuffer;
    public int _currentOffset;
    public int _offSrc;

    public static final class CharIterator {
        public static final /* synthetic */ boolean $assertionsDisabled;
        public int _cchRoot;
        public int _maxPos;
        public int _minPos;
        public int _offLeaf;
        public int _offRoot;
        public int _pos;
        public char[] _srcLeafChars;
        public String _srcLeafString;
        public Object _srcRoot;

        static {
            Class cls = CharUtil.class$org$apache$xmlbeans$impl$store$CharUtil;
            if (cls == null) {
                cls = CharUtil.class$("org.apache.xmlbeans.impl.store.CharUtil");
                CharUtil.class$org$apache$xmlbeans$impl$store$CharUtil = cls;
            }
            $assertionsDisabled = !cls.desiredAssertionStatus();
        }

        private char currentChar() {
            int i2 = (this._offLeaf + this._pos) - this._minPos;
            char[] cArr = this._srcLeafChars;
            return cArr == null ? this._srcLeafString.charAt(i2) : cArr[i2];
        }

        public boolean hasNext() {
            return this._pos < this._cchRoot;
        }

        public boolean hasPrev() {
            return this._pos > 0;
        }

        public void init(Object obj, int i2, int i3) {
            init(obj, i2, i3, 0);
        }

        public void movePos(int i2) {
            if ($assertionsDisabled || (i2 >= 0 && i2 <= this._cchRoot)) {
                if (i2 < this._minPos || i2 > this._maxPos) {
                    Object obj = this._srcRoot;
                    int i3 = this._offRoot;
                    int i4 = i3 + i2;
                    int i5 = this._cchRoot;
                    this._offLeaf = i3;
                    while (obj instanceof CharJoin) {
                        CharJoin charJoin = (CharJoin) obj;
                        int i6 = charJoin._cchLeft;
                        if (i4 < i6) {
                            Object obj2 = charJoin._srcLeft;
                            int i7 = charJoin._offLeft;
                            this._offLeaf = i7;
                            i4 += i7;
                            obj = obj2;
                            i5 = i6;
                        } else {
                            Object obj3 = charJoin._srcRight;
                            int i8 = charJoin._offRight;
                            this._offLeaf = i8;
                            i4 -= i6 - i8;
                            i5 -= i6;
                            obj = obj3;
                        }
                    }
                    int i9 = i2 - (i4 - this._offLeaf);
                    this._minPos = i9;
                    int i10 = i9 + i5;
                    this._maxPos = i10;
                    if (i2 < this._cchRoot) {
                        this._maxPos = i10 - 1;
                    }
                    this._srcLeafChars = null;
                    this._srcLeafString = null;
                    if (obj instanceof char[]) {
                        this._srcLeafChars = (char[]) obj;
                    } else {
                        this._srcLeafString = (String) obj;
                    }
                    if (!$assertionsDisabled && (i2 < this._minPos || i2 > this._maxPos)) {
                        throw new AssertionError();
                    }
                }
                this._pos = i2;
                return;
            }
            throw new AssertionError();
        }

        public char next() {
            if ($assertionsDisabled || hasNext()) {
                char currentChar = currentChar();
                movePos(this._pos + 1);
                return currentChar;
            }
            throw new AssertionError();
        }

        public char prev() {
            if ($assertionsDisabled || hasPrev()) {
                movePos(this._pos - 1);
                return currentChar();
            }
            throw new AssertionError();
        }

        public void release() {
            this._srcRoot = null;
            this._srcLeafString = null;
            this._srcLeafChars = null;
        }

        public void init(Object obj, int i2, int i3, int i4) {
            if ($assertionsDisabled || CharUtil.isValid(obj, i2, i3)) {
                release();
                this._srcRoot = obj;
                this._offRoot = i2;
                this._cchRoot = i3;
                this._maxPos = -1;
                this._minPos = -1;
                movePos(i4);
                return;
            }
            throw new AssertionError();
        }
    }

    public static final class CharJoin {
        public static final /* synthetic */ boolean $assertionsDisabled;
        public static final int MAX_DEPTH = 64;
        public final int _cchLeft;
        public final int _depth;
        public final int _offLeft;
        public final int _offRight;
        public final Object _srcLeft;
        public final Object _srcRight;

        static {
            Class cls = CharUtil.class$org$apache$xmlbeans$impl$store$CharUtil;
            if (cls == null) {
                cls = CharUtil.class$("org.apache.xmlbeans.impl.store.CharUtil");
                CharUtil.class$org$apache$xmlbeans$impl$store$CharUtil = cls;
            }
            $assertionsDisabled = !cls.desiredAssertionStatus();
        }

        public CharJoin(Object obj, int i2, int i3, Object obj2, int i4) {
            int i5;
            this._srcLeft = obj;
            this._offLeft = i2;
            this._cchLeft = i3;
            this._srcRight = obj2;
            this._offRight = i4;
            int i6 = obj instanceof CharJoin ? ((CharJoin) obj)._depth : 0;
            if ((obj2 instanceof CharJoin) && (i5 = ((CharJoin) obj2)._depth) > i6) {
                i6 = i5;
            }
            int i7 = i6 + 1;
            this._depth = i7;
            if (!$assertionsDisabled && i7 > 66) {
                throw new AssertionError();
            }
        }

        private int cchRight(int i2, int i3) {
            return Math.max(0, (i3 - this._cchLeft) - i2);
        }

        private void dumpChars(int i2, int i3) {
            dumpChars(System.out, i2, i3);
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void getChars(char[] cArr, int i2, int i3, int i4) {
            if ($assertionsDisabled || i4 > 0) {
                int i5 = this._cchLeft;
                if (i3 < i5) {
                    int min = Math.min(i5 - i3, i4);
                    CharUtil.getChars(cArr, i2, this._srcLeft, this._offLeft + i3, min);
                    if (i4 > min) {
                        CharUtil.getChars(cArr, i2 + min, this._srcRight, this._offRight, i4 - min);
                        return;
                    }
                    return;
                }
                CharUtil.getChars(cArr, i2, this._srcRight, (this._offRight + i3) - i5, i4);
                return;
            }
            throw new AssertionError();
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void getString(StringBuffer stringBuffer, int i2, int i3) {
            if ($assertionsDisabled || i3 > 0) {
                int i4 = this._cchLeft;
                if (i2 < i4) {
                    int min = Math.min(i4 - i2, i3);
                    CharUtil.getString(stringBuffer, this._srcLeft, this._offLeft + i2, min);
                    if (i3 > min) {
                        CharUtil.getString(stringBuffer, this._srcRight, this._offRight, i3 - min);
                        return;
                    }
                    return;
                }
                CharUtil.getString(stringBuffer, this._srcRight, (this._offRight + i2) - i4, i3);
                return;
            }
            throw new AssertionError();
        }

        public int depth() {
            Object obj = this._srcLeft;
            int depth = obj instanceof CharJoin ? ((CharJoin) obj).depth() : 0;
            Object obj2 = this._srcRight;
            if (obj2 instanceof CharJoin) {
                depth = Math.max(((CharJoin) obj2).depth(), depth);
            }
            return depth + 1;
        }

        public boolean isValid(int i2, int i3) {
            int i4 = this._depth;
            if (i4 > 2) {
                return true;
            }
            if (!$assertionsDisabled && i4 != depth()) {
                throw new AssertionError();
            } else if (i2 < 0 || i3 < 0 || !CharUtil.isValid(this._srcLeft, this._offLeft, this._cchLeft) || !CharUtil.isValid(this._srcRight, this._offRight, cchRight(i2, i3))) {
                return false;
            } else {
                return true;
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void dumpChars(PrintStream printStream, int i2, int i3) {
            printStream.print("( ");
            CharUtil.dumpChars(printStream, this._srcLeft, this._offLeft, this._cchLeft);
            printStream.print(", ");
            CharUtil.dumpChars(printStream, this._srcRight, this._offRight, cchRight(i2, i3));
            printStream.print(" )");
        }
    }

    static {
        Class cls = class$org$apache$xmlbeans$impl$store$CharUtil;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.store.CharUtil");
            class$org$apache$xmlbeans$impl$store$CharUtil = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
    }

    public CharUtil(int i2) {
        this._charBufSize = i2;
    }

    private char[] allocate(int i2) {
        char[] cArr;
        if ($assertionsDisabled || (cArr = this._currentBuffer) == null || cArr.length - this._currentOffset > 0) {
            if (this._currentBuffer == null) {
                this._currentBuffer = new char[Math.max(i2, this._charBufSize)];
                this._currentOffset = 0;
            }
            int i3 = this._currentOffset;
            this._offSrc = i3;
            int min = Math.min(this._currentBuffer.length - i3, i2);
            this._cchSrc = min;
            char[] cArr2 = this._currentBuffer;
            if ($assertionsDisabled || this._currentOffset + min <= cArr2.length) {
                int i4 = this._currentOffset + this._cchSrc;
                this._currentOffset = i4;
                if (i4 == this._currentBuffer.length) {
                    this._currentBuffer = null;
                    this._currentOffset = 0;
                }
                return cArr2;
            }
            throw new AssertionError();
        }
        throw new AssertionError();
    }

    private boolean canAllocate(int i2) {
        char[] cArr = this._currentBuffer;
        return cArr == null || cArr.length - this._currentOffset >= i2;
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public static void dump(Object obj, int i2, int i3) {
        dumpChars(System.out, obj, i2, i3);
        System.out.println();
    }

    public static void dumpChars(PrintStream printStream, Object obj, int i2, int i3) {
        int i4;
        int i5;
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append("off=");
        stringBuffer.append(i2);
        stringBuffer.append(", cch=");
        stringBuffer.append(i3);
        stringBuffer.append(", ");
        printStream.print(stringBuffer.toString());
        if (obj == null) {
            printStream.print("<null-src>");
        } else if (obj instanceof String) {
            String str = (String) obj;
            printStream.print("String");
            if (!(i2 == 0 && i3 == str.length()) && (i2 < 0 || i2 > str.length() || (i5 = i2 + i3) < 0 || i5 > str.length())) {
                printStream.print(" (Error)");
            } else {
                dumpText(printStream, str.substring(i2, i3 + i2));
            }
        } else if (obj instanceof char[]) {
            char[] cArr = (char[]) obj;
            printStream.print("char[]");
            if (!(i2 == 0 && i3 == cArr.length) && (i2 < 0 || i2 > cArr.length || (i4 = i2 + i3) < 0 || i4 > cArr.length)) {
                printStream.print(" (Error)");
            } else {
                dumpText(printStream, new String(cArr, i2, i3));
            }
        } else if (obj instanceof CharJoin) {
            printStream.print("CharJoin");
            ((CharJoin) obj).dumpChars(printStream, i2, i3);
        } else {
            printStream.print("Unknown text source");
        }
    }

    public static void dumpText(PrintStream printStream, String str) {
        printStream.print("\"");
        int i2 = 0;
        while (true) {
            if (i2 >= str.length()) {
                break;
            }
            char charAt = str.charAt(i2);
            if (i2 == 36) {
                printStream.print(FunctionMetadataReader.ELLIPSIS);
                break;
            }
            if (charAt == '\n') {
                printStream.print("\\n");
            } else if (charAt == '\r') {
                printStream.print("\\r");
            } else if (charAt == '\t') {
                printStream.print("\\t");
            } else if (charAt == '\f') {
                printStream.print("\\f");
            } else if (charAt == '\f') {
                printStream.print("\\f");
            } else if (charAt == '\"') {
                printStream.print("\\\"");
            } else {
                printStream.print(charAt);
            }
            i2++;
        }
        printStream.print("\"");
    }

    public static void getChars(char[] cArr, int i2, Object obj, int i3, int i4) {
        if (!$assertionsDisabled && !isValid(obj, i3, i4)) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && (cArr == null || i2 < 0 || i2 > cArr.length)) {
            throw new AssertionError();
        } else if (i4 != 0) {
            if (obj instanceof char[]) {
                System.arraycopy((char[]) obj, i3, cArr, i2, i4);
            } else if (obj instanceof String) {
                ((String) obj).getChars(i3, i4 + i3, cArr, i2);
            } else {
                ((CharJoin) obj).getChars(cArr, i2, i3, i4);
            }
        }
    }

    public static void getString(StringBuffer stringBuffer, Object obj, int i2, int i3) {
        if (!$assertionsDisabled && !isValid(obj, i2, i3)) {
            throw new AssertionError();
        } else if (i3 != 0) {
            if (obj instanceof char[]) {
                stringBuffer.append((char[]) obj, i2, i3);
            } else if (obj instanceof String) {
                String str = (String) obj;
                if (i2 == 0 && i3 == str.length()) {
                    stringBuffer.append(str);
                } else {
                    stringBuffer.append(str.substring(i2, i3 + i2));
                }
            } else {
                ((CharJoin) obj).getString(stringBuffer, i2, i3);
            }
        }
    }

    public static CharUtil getThreadLocalCharUtil() {
        CharUtil charUtil = (CharUtil) ((SoftReference) tl_charUtil.get()).get();
        if (charUtil != null) {
            return charUtil;
        }
        CharUtil charUtil2 = new CharUtil(CHARUTIL_INITIAL_BUFSIZE);
        tl_charUtil.set(new SoftReference(charUtil2));
        return charUtil2;
    }

    public static boolean isValid(Object obj, int i2, int i3) {
        if (i3 >= 0 && i2 >= 0) {
            if (obj == null) {
                return i2 == 0 && i3 == 0;
            }
            if (obj instanceof char[]) {
                char[] cArr = (char[]) obj;
                if (i2 > cArr.length || i2 + i3 > cArr.length) {
                    return false;
                }
                return true;
            } else if (obj instanceof String) {
                String str = (String) obj;
                if (i2 > str.length() || i2 + i3 > str.length()) {
                    return false;
                }
                return true;
            } else if (obj instanceof CharJoin) {
                return ((CharJoin) obj).isValid(i2, i3);
            }
        }
        return false;
    }

    public static final boolean isWhiteSpace(char c) {
        return c == '\t' || c == '\n' || c == '\r' || c == ' ';
    }

    public static int sizeof(Object obj) {
        if (!$assertionsDisabled && obj != null && !(obj instanceof String) && !(obj instanceof char[])) {
            throw new AssertionError();
        } else if (obj instanceof char[]) {
            return ((char[]) obj).length;
        } else {
            if (obj == null) {
                return 0;
            }
            return ((String) obj).length();
        }
    }

    public CharIterator getCharIterator(Object obj, int i2, int i3) {
        this._charIter.init(obj, i2, i3);
        return this._charIter;
    }

    /* JADX WARNING: Removed duplicated region for block: B:38:0x00a5  */
    public Object insertChars(int i2, Object obj, int i3, int i4, Object obj2, int i5, int i6) {
        Object obj3;
        CharJoin charJoin;
        int i7;
        CharJoin charJoin2;
        if (!$assertionsDisabled && !isValid(obj, i3, i4)) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && !isValid(obj2, i5, i6)) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && (i2 < 0 || i2 > i4)) {
            throw new AssertionError();
        } else if (i6 == 0) {
            this._cchSrc = i4;
            this._offSrc = i3;
            return obj;
        } else if (i4 == 0) {
            this._cchSrc = i6;
            this._offSrc = i5;
            return obj2;
        } else {
            int i8 = i4 + i6;
            this._cchSrc = i8;
            if (i8 > 64 || !canAllocate(i8)) {
                this._offSrc = 0;
                if (i2 == 0) {
                    charJoin2 = new CharJoin(obj2, i5, i6, obj, i3);
                } else if (i2 == i4) {
                    charJoin2 = new CharJoin(obj, i3, i4, obj2, i5);
                } else {
                    charJoin = new CharJoin(new CharJoin(obj, i3, i2, obj2, i5), 0, i2 + i6, obj, i3 + i2);
                    i7 = charJoin._depth;
                    obj3 = charJoin;
                    if (i7 > 64) {
                        obj3 = saveChars(charJoin, this._offSrc, this._cchSrc);
                    }
                }
                charJoin = charJoin2;
                i7 = charJoin._depth;
                obj3 = charJoin;
                if (i7 > 64) {
                }
            } else {
                char[] allocate = allocate(this._cchSrc);
                getChars(allocate, this._offSrc, obj, i3, i2);
                getChars(allocate, this._offSrc + i2, obj2, i5, i6);
                getChars(allocate, this._offSrc + i2 + i6, obj, i3 + i2, i4 - i2);
                obj3 = allocate;
            }
            if ($assertionsDisabled || isValid(obj3, this._offSrc, this._cchSrc)) {
                return obj3;
            }
            throw new AssertionError();
        }
    }

    public final boolean isWhiteSpace(Object obj, int i2, int i3) {
        if ($assertionsDisabled || isValid(obj, i2, i3)) {
            boolean z = true;
            if (i3 <= 0) {
                return true;
            }
            if (obj instanceof char[]) {
                char[] cArr = (char[]) obj;
                while (i3 > 0) {
                    int i4 = i2 + 1;
                    if (!isWhiteSpace(cArr[i2])) {
                        return false;
                    }
                    i3--;
                    i2 = i4;
                }
                return true;
            } else if (obj instanceof String) {
                String str = (String) obj;
                while (i3 > 0) {
                    int i5 = i2 + 1;
                    if (!isWhiteSpace(str.charAt(i2))) {
                        return false;
                    }
                    i3--;
                    i2 = i5;
                }
                return true;
            } else {
                this._charIter.init(obj, i2, i3);
                while (true) {
                    if (this._charIter.hasNext()) {
                        if (!isWhiteSpace(this._charIter.next())) {
                            z = false;
                            break;
                        }
                    } else {
                        break;
                    }
                }
                this._charIter.release();
                return z;
            }
        } else {
            throw new AssertionError();
        }
    }

    public Object removeChars(int i2, int i3, Object obj, int i4, int i5) {
        if (!$assertionsDisabled && !isValid(obj, i4, i5)) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && (i2 < 0 || i2 > i5)) {
            throw new AssertionError();
        } else if ($assertionsDisabled || (i3 >= 0 && i2 + i3 <= i5)) {
            int i6 = i5 - i3;
            this._cchSrc = i6;
            if (i6 == 0) {
                obj = null;
                this._offSrc = 0;
            } else if (i2 == 0) {
                this._offSrc = i4 + i3;
            } else if (i2 + i3 == i5) {
                this._offSrc = i4;
            } else if (i6 > 64 || !canAllocate(i6)) {
                CharJoin charJoin = new CharJoin(obj, i4, i2, obj, i4 + i2 + i3);
                if (charJoin._depth > 64) {
                    obj = saveChars(charJoin, 0, this._cchSrc);
                } else {
                    this._offSrc = 0;
                    obj = charJoin;
                }
            } else {
                char[] allocate = allocate(i6);
                getChars(allocate, this._offSrc, obj, i4, i2);
                getChars(allocate, this._offSrc + i2, obj, i4 + i2 + i3, (i5 - i2) - i3);
                this._offSrc = this._offSrc;
                obj = allocate;
            }
            if ($assertionsDisabled || isValid(obj, this._offSrc, this._cchSrc)) {
                return obj;
            }
            throw new AssertionError();
        } else {
            throw new AssertionError();
        }
    }

    public Object saveChars(Object obj, int i2, int i3) {
        return saveChars(obj, i2, i3, null, 0, 0);
    }

    public Object stripLeft(Object obj, int i2, int i3) {
        if ($assertionsDisabled || isValid(obj, i2, i3)) {
            if (i3 > 0) {
                if (obj instanceof char[]) {
                    char[] cArr = (char[]) obj;
                    while (i3 > 0 && isWhiteSpace(cArr[i2])) {
                        i3--;
                        i2++;
                    }
                } else if (obj instanceof String) {
                    String str = (String) obj;
                    while (i3 > 0 && isWhiteSpace(str.charAt(i2))) {
                        i3--;
                        i2++;
                    }
                } else {
                    this._charIter.init(obj, i2, i3);
                    int i4 = 0;
                    while (this._charIter.hasNext() && isWhiteSpace(this._charIter.next())) {
                        i4++;
                    }
                    this._charIter.release();
                    i2 += i4;
                }
            }
            if (i3 == 0) {
                this._offSrc = 0;
                this._cchSrc = 0;
                return null;
            }
            this._offSrc = i2;
            this._cchSrc = i3;
            return obj;
        }
        throw new AssertionError();
    }

    public Object stripRight(Object obj, int i2, int i3) {
        if ($assertionsDisabled || isValid(obj, i2, i3)) {
            if (i3 > 0) {
                this._charIter.init(obj, i2, i3, i3);
                while (this._charIter.hasPrev() && isWhiteSpace(this._charIter.prev())) {
                    i3--;
                }
                this._charIter.release();
            }
            if (i3 == 0) {
                this._offSrc = 0;
                this._cchSrc = 0;
                return null;
            }
            this._offSrc = i2;
            this._cchSrc = i3;
            return obj;
        }
        throw new AssertionError();
    }

    /* JADX DEBUG: Multi-variable search result rejected for r8v0, resolved type: char[] */
    /* JADX WARN: Multi-variable type inference failed */
    public Object saveChars(Object obj, int i2, int i3, Object obj2, int i4, int i5) {
        Object obj3;
        Object obj4;
        CharJoin charJoin;
        Object obj5;
        if (!$assertionsDisabled && !isValid(obj, i2, i3)) {
            throw new AssertionError();
        } else if ($assertionsDisabled || isValid(obj2, i4, i5)) {
            char[] allocate = allocate(i3);
            int i6 = this._offSrc;
            int i7 = this._cchSrc;
            if ($assertionsDisabled || i7 <= i3) {
                getChars(allocate, i6, obj, i2, i7);
                int i8 = i7 + i5;
                int i9 = 0;
                if (i5 == 0) {
                    obj3 = allocate;
                } else {
                    if (obj2 == allocate && i4 + i5 == i6) {
                        if (!$assertionsDisabled && !(obj2 instanceof char[])) {
                            throw new AssertionError();
                        }
                    } else if (!(obj2 instanceof CharJoin) || (obj5 = (charJoin = (CharJoin) obj2)._srcRight) != allocate || ((i4 + i5) - charJoin._cchLeft) + charJoin._offRight != i6) {
                        CharJoin charJoin2 = new CharJoin(obj2, i4, i5, allocate, i6);
                        int i10 = charJoin2._depth;
                        Object obj6 = charJoin2;
                        if (i10 > 64) {
                            obj6 = saveChars(charJoin2, 0, i8);
                        }
                        i6 = 0;
                        obj3 = obj6;
                    } else if (!$assertionsDisabled && !(obj5 instanceof char[])) {
                        throw new AssertionError();
                    }
                    i6 = i4;
                    obj3 = obj2;
                }
                int i11 = i3 - i7;
                if (i11 > 0) {
                    char[] allocate2 = allocate(i11);
                    int i12 = this._offSrc;
                    int i13 = this._cchSrc;
                    if (!$assertionsDisabled && i13 != i11) {
                        throw new AssertionError();
                    } else if ($assertionsDisabled || i12 == 0) {
                        getChars(allocate2, i12, obj, (i3 - i11) + i2, i11);
                        CharJoin charJoin3 = new CharJoin(obj3, i6, i8, allocate2, i12);
                        i8 += i11;
                        int i14 = charJoin3._depth;
                        Object obj7 = charJoin3;
                        if (i14 > 64) {
                            obj7 = saveChars(charJoin3, 0, i8);
                        }
                        obj4 = obj7;
                    } else {
                        throw new AssertionError();
                    }
                } else {
                    i9 = i6;
                    obj4 = obj3;
                }
                this._offSrc = i9;
                this._cchSrc = i8;
                if ($assertionsDisabled || isValid(obj4, i9, i8)) {
                    return obj4;
                }
                throw new AssertionError();
            }
            throw new AssertionError();
        } else {
            throw new AssertionError();
        }
    }

    public CharIterator getCharIterator(Object obj, int i2, int i3, int i4) {
        this._charIter.init(obj, i2, i3, i4);
        return this._charIter;
    }

    public static String getString(Object obj, int i2, int i3) {
        if (!$assertionsDisabled && !isValid(obj, i2, i3)) {
            throw new AssertionError();
        } else if (i3 == 0) {
            return "";
        } else {
            if (obj instanceof char[]) {
                return new String((char[]) obj, i2, i3);
            }
            if (obj instanceof String) {
                String str = (String) obj;
                if (i2 == 0 && i3 == str.length()) {
                    return str;
                }
                return str.substring(i2, i3 + i2);
            }
            StringBuffer stringBuffer = new StringBuffer();
            ((CharJoin) obj).getString(stringBuffer, i2, i3);
            return stringBuffer.toString();
        }
    }
}
