package org.apache.xmlbeans.impl.store;

import b.b.a.a.a;
import java.io.PrintStream;
import java.util.Map;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.poi.ss.formula.function.FunctionMetadataReader;
import org.apache.poi.ss.formula.ptg.GreaterThanPtg;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlCursor;
import org.apache.xmlbeans.XmlDocumentProperties;
import org.apache.xmlbeans.XmlLineNumber;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.impl.jam.internal.JamPrinter;
import org.apache.xmlbeans.impl.store.DomImpl;
import org.apache.xmlbeans.impl.store.Locale;
import org.apache.xmlbeans.impl.store.Xobj;
import org.apache.xmlbeans.impl.values.TypeStoreUser;
import org.w3c.dom.Document;
import org.w3c.dom.DocumentFragment;
import org.w3c.dom.Node;

public final class Cur {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static final int ATTR = 3;
    public static final int COMMENT = 4;
    public static final int DISPOSED = 3;
    public static final int ELEM = 2;
    public static final int EMBEDDED = 2;
    public static final int END_POS = -1;
    public static final String LOAD_USE_LOCALE_CHAR_UTIL = "LOAD_USE_LOCALE_CHAR_UTIL";
    public static final int NO_POS = -2;
    public static final int POOLED = 0;
    public static final int PROCINST = 5;
    public static final int REGISTERED = 1;
    public static final int ROOT = 1;
    public static final int TEXT = 0;
    public static /* synthetic */ Class class$org$apache$xmlbeans$CDataBookmark;
    public static /* synthetic */ Class class$org$apache$xmlbeans$XmlLineNumber;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$soap$Detail;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$soap$DetailEntry;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$soap$SOAPBody;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$soap$SOAPBodyElement;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$soap$SOAPElement;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$soap$SOAPEnvelope;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$soap$SOAPFault;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$soap$SOAPFaultElement;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$soap$SOAPHeader;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$soap$SOAPHeaderElement;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$store$Cur;
    public int _cchSrc;
    public String _id;
    public Locale _locale;
    public Cur _next;
    public Cur _nextTemp;
    public int _offSrc;
    public int _pos = -2;
    public int _posTemp;
    public Cur _prev;
    public Cur _prevTemp;
    public Locale.Ref _ref;
    public int _selectionCount = 0;
    public int _selectionFirst = -1;
    public int _selectionLoc = -1;
    public int _selectionN = -1;
    public int _stackTop = -1;
    public int _state = 0;
    public int _tempFrame = -1;
    public Xobj _xobj;

    public static final class Locations {
        public static final /* synthetic */ boolean $assertionsDisabled;
        public static final int NULL = -1;
        public static final int _initialSize = 32;
        public Cur[] _curs = new Cur[32];
        public int _free;
        public Locale _locale;
        public int _naked;
        public int[] _next = new int[32];
        public int[] _nextN = new int[32];
        public int[] _poses = new int[32];
        public int[] _prev = new int[32];
        public int[] _prevN = new int[32];
        public Xobj[] _xobjs = new Xobj[32];

        static {
            Class cls = Cur.class$org$apache$xmlbeans$impl$store$Cur;
            if (cls == null) {
                cls = Cur.class$("org.apache.xmlbeans.impl.store.Cur");
                Cur.class$org$apache$xmlbeans$impl$store$Cur = cls;
            }
            $assertionsDisabled = !cls.desiredAssertionStatus();
        }

        public Locations(Locale locale) {
            this._locale = locale;
            for (int i2 = 31; i2 >= 0; i2--) {
                if ($assertionsDisabled || this._xobjs[i2] == null) {
                    this._poses[i2] = -2;
                    this._next[i2] = i2 + 1;
                    this._prev[i2] = -1;
                    this._nextN[i2] = -1;
                    this._prevN[i2] = -1;
                } else {
                    throw new AssertionError();
                }
            }
            this._next[31] = -1;
            this._free = 0;
            this._naked = -1;
        }

        private void makeRoom() {
            if ($assertionsDisabled || this._free == -1) {
                Xobj[] xobjArr = this._xobjs;
                int length = xobjArr.length;
                int[] iArr = this._poses;
                Cur[] curArr = this._curs;
                int[] iArr2 = this._next;
                int[] iArr3 = this._prev;
                int[] iArr4 = this._nextN;
                int[] iArr5 = this._prevN;
                int i2 = length * 2;
                Xobj[] xobjArr2 = new Xobj[i2];
                this._xobjs = xobjArr2;
                this._poses = new int[i2];
                this._curs = new Cur[i2];
                this._next = new int[i2];
                this._prev = new int[i2];
                this._nextN = new int[i2];
                this._prevN = new int[i2];
                System.arraycopy(xobjArr, 0, xobjArr2, 0, length);
                System.arraycopy(iArr, 0, this._poses, 0, length);
                System.arraycopy(curArr, 0, this._curs, 0, length);
                System.arraycopy(iArr2, 0, this._next, 0, length);
                System.arraycopy(iArr3, 0, this._prev, 0, length);
                System.arraycopy(iArr4, 0, this._nextN, 0, length);
                System.arraycopy(iArr5, 0, this._prevN, 0, length);
                int i3 = i2 - 1;
                for (int i4 = i3; i4 >= length; i4--) {
                    this._next[i4] = i4 + 1;
                    this._prev[i4] = -1;
                    this._nextN[i4] = -1;
                    this._prevN[i4] = -1;
                    this._poses[i4] = -2;
                }
                this._next[i3] = -1;
                this._free = length;
                return;
            }
            throw new AssertionError();
        }

        public int allocate(Cur cur) {
            if ($assertionsDisabled || cur.isPositioned()) {
                if (this._free == -1) {
                    makeRoom();
                }
                int i2 = this._free;
                int[] iArr = this._next;
                this._free = iArr[i2];
                iArr[i2] = -1;
                if (!$assertionsDisabled && this._prev[i2] != -1) {
                    throw new AssertionError();
                } else if (!$assertionsDisabled && this._curs[i2] != null) {
                    throw new AssertionError();
                } else if (!$assertionsDisabled && this._xobjs[i2] != null) {
                    throw new AssertionError();
                } else if ($assertionsDisabled || this._poses[i2] == -2) {
                    this._xobjs[i2] = cur._xobj;
                    this._poses[i2] = cur._pos;
                    this._naked = insert(this._naked, -1, i2, this._nextN, this._prevN);
                    return i2;
                } else {
                    throw new AssertionError();
                }
            } else {
                throw new AssertionError();
            }
        }

        public int insert(int i2, int i3, int i4) {
            return insert(i2, i3, i4, this._next, this._prev);
        }

        public boolean isAtEndOf(int i2, Cur cur) {
            if ($assertionsDisabled || this._curs[i2] != null || this._poses[i2] == 0) {
                if (!$assertionsDisabled) {
                    Cur[] curArr = this._curs;
                    if (curArr[i2] != null && !curArr[i2].isNode()) {
                        throw new AssertionError();
                    }
                }
                Cur[] curArr2 = this._curs;
                if (curArr2[i2] == null) {
                    return cur._xobj == this._xobjs[i2] && cur._pos == -1;
                }
                return cur.isAtEndOf(curArr2[i2]);
            }
            throw new AssertionError();
        }

        public boolean isSamePos(int i2, Cur cur) {
            Cur[] curArr = this._curs;
            if (curArr[i2] == null) {
                return cur._xobj == this._xobjs[i2] && cur._pos == this._poses[i2];
            }
            return cur.isSamePos(curArr[i2]);
        }

        public void moveTo(int i2, Cur cur) {
            Cur[] curArr = this._curs;
            if (curArr[i2] == null) {
                cur.moveTo(this._xobjs[i2], this._poses[i2]);
            } else {
                cur.moveToCur(curArr[i2]);
            }
        }

        public int next(int i2) {
            return this._next[i2];
        }

        public void notifyChange() {
            while (true) {
                int i2 = this._naked;
                if (i2 == -1) {
                    return;
                }
                if ($assertionsDisabled || !(this._curs[i2] != null || this._xobjs[i2] == null || this._poses[i2] == -2)) {
                    this._naked = remove(this._naked, i2, this._nextN, this._prevN);
                    this._curs[i2] = this._locale.getCur();
                    this._curs[i2].moveTo(this._xobjs[i2], this._poses[i2]);
                    this._xobjs[i2] = null;
                    this._poses[i2] = -2;
                }
            }
            throw new AssertionError();
        }

        public int prev(int i2) {
            return this._prev[i2];
        }

        public int remove(int i2, int i3) {
            Cur cur = this._curs[i3];
            if (!$assertionsDisabled && cur == null && this._xobjs[i3] == null) {
                throw new AssertionError();
            } else if (!$assertionsDisabled && cur == null && this._xobjs[i3] == null) {
                throw new AssertionError();
            } else {
                if (cur != null) {
                    this._curs[i3].release();
                    this._curs[i3] = null;
                    if (!$assertionsDisabled && this._xobjs[i3] != null) {
                        throw new AssertionError();
                    } else if (!$assertionsDisabled && this._poses[i3] != -2) {
                        throw new AssertionError();
                    }
                } else if ($assertionsDisabled || !(this._xobjs[i3] == null || this._poses[i3] == -2)) {
                    this._xobjs[i3] = null;
                    this._poses[i3] = -2;
                    this._naked = remove(this._naked, i3, this._nextN, this._prevN);
                } else {
                    throw new AssertionError();
                }
                int remove = remove(i2, i3, this._next, this._prev);
                this._next[i3] = this._free;
                this._free = i3;
                return remove;
            }
        }

        public static int insert(int i2, int i3, int i4, int[] iArr, int[] iArr2) {
            if (i2 == -1) {
                if ($assertionsDisabled || i3 == -1) {
                    iArr2[i4] = i4;
                } else {
                    throw new AssertionError();
                }
            } else if (i3 != -1) {
                iArr2[i4] = iArr2[i3];
                iArr[i4] = i3;
                iArr2[i3] = i4;
                if (i2 != i3) {
                    return i2;
                }
            } else {
                iArr2[i4] = iArr2[i2];
                if ($assertionsDisabled || iArr[i4] == -1) {
                    iArr[iArr2[i2]] = i4;
                    iArr2[i2] = i4;
                    return i2;
                }
                throw new AssertionError();
            }
            return i4;
        }

        public static int remove(int i2, int i3, int[] iArr, int[] iArr2) {
            if (iArr2[i3] != i3) {
                if (i2 == i3) {
                    i2 = iArr[i3];
                } else {
                    iArr[iArr2[i3]] = iArr[i3];
                }
                if (iArr[i3] == -1) {
                    iArr2[i2] = iArr2[i3];
                } else {
                    iArr2[iArr[i3]] = iArr2[i3];
                    iArr[i3] = -1;
                }
            } else if ($assertionsDisabled || i2 == i3) {
                i2 = -1;
            } else {
                throw new AssertionError();
            }
            iArr2[i3] = -1;
            if ($assertionsDisabled || iArr[i3] == -1) {
                return i2;
            }
            throw new AssertionError();
        }
    }

    static {
        Class cls = class$org$apache$xmlbeans$impl$store$Cur;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.store.Cur");
            class$org$apache$xmlbeans$impl$store$Cur = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
    }

    public Cur(Locale locale) {
        this._locale = locale;
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public static Xobj createDomDocumentRootXobj(Locale locale) {
        return createDomDocumentRootXobj(locale, false);
    }

    public static Xobj createElementXobj(Locale locale, QName qName, QName qName2) {
        Saaj saaj = locale._saaj;
        if (saaj == null) {
            return new Xobj.ElementXobj(locale, qName);
        }
        Class identifyElement = saaj.identifyElement(qName, qName2);
        Class cls = class$org$apache$xmlbeans$impl$soap$SOAPElement;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.soap.SOAPElement");
            class$org$apache$xmlbeans$impl$soap$SOAPElement = cls;
        }
        if (identifyElement == cls) {
            return new Xobj.SoapElementXobj(locale, qName);
        }
        Class cls2 = class$org$apache$xmlbeans$impl$soap$SOAPBody;
        if (cls2 == null) {
            cls2 = class$("org.apache.xmlbeans.impl.soap.SOAPBody");
            class$org$apache$xmlbeans$impl$soap$SOAPBody = cls2;
        }
        if (identifyElement == cls2) {
            return new Xobj.SoapBodyXobj(locale, qName);
        }
        Class cls3 = class$org$apache$xmlbeans$impl$soap$SOAPBodyElement;
        if (cls3 == null) {
            cls3 = class$("org.apache.xmlbeans.impl.soap.SOAPBodyElement");
            class$org$apache$xmlbeans$impl$soap$SOAPBodyElement = cls3;
        }
        if (identifyElement == cls3) {
            return new Xobj.SoapBodyElementXobj(locale, qName);
        }
        Class cls4 = class$org$apache$xmlbeans$impl$soap$SOAPEnvelope;
        if (cls4 == null) {
            cls4 = class$("org.apache.xmlbeans.impl.soap.SOAPEnvelope");
            class$org$apache$xmlbeans$impl$soap$SOAPEnvelope = cls4;
        }
        if (identifyElement == cls4) {
            return new Xobj.SoapEnvelopeXobj(locale, qName);
        }
        Class cls5 = class$org$apache$xmlbeans$impl$soap$SOAPHeader;
        if (cls5 == null) {
            cls5 = class$("org.apache.xmlbeans.impl.soap.SOAPHeader");
            class$org$apache$xmlbeans$impl$soap$SOAPHeader = cls5;
        }
        if (identifyElement == cls5) {
            return new Xobj.SoapHeaderXobj(locale, qName);
        }
        Class cls6 = class$org$apache$xmlbeans$impl$soap$SOAPHeaderElement;
        if (cls6 == null) {
            cls6 = class$("org.apache.xmlbeans.impl.soap.SOAPHeaderElement");
            class$org$apache$xmlbeans$impl$soap$SOAPHeaderElement = cls6;
        }
        if (identifyElement == cls6) {
            return new Xobj.SoapHeaderElementXobj(locale, qName);
        }
        Class cls7 = class$org$apache$xmlbeans$impl$soap$SOAPFaultElement;
        if (cls7 == null) {
            cls7 = class$("org.apache.xmlbeans.impl.soap.SOAPFaultElement");
            class$org$apache$xmlbeans$impl$soap$SOAPFaultElement = cls7;
        }
        if (identifyElement == cls7) {
            return new Xobj.SoapFaultElementXobj(locale, qName);
        }
        Class cls8 = class$org$apache$xmlbeans$impl$soap$Detail;
        if (cls8 == null) {
            cls8 = class$("org.apache.xmlbeans.impl.soap.Detail");
            class$org$apache$xmlbeans$impl$soap$Detail = cls8;
        }
        if (identifyElement == cls8) {
            return new Xobj.DetailXobj(locale, qName);
        }
        Class cls9 = class$org$apache$xmlbeans$impl$soap$DetailEntry;
        if (cls9 == null) {
            cls9 = class$("org.apache.xmlbeans.impl.soap.DetailEntry");
            class$org$apache$xmlbeans$impl$soap$DetailEntry = cls9;
        }
        if (identifyElement == cls9) {
            return new Xobj.DetailEntryXobj(locale, qName);
        }
        Class cls10 = class$org$apache$xmlbeans$impl$soap$SOAPFault;
        if (cls10 == null) {
            cls10 = class$("org.apache.xmlbeans.impl.soap.SOAPFault");
            class$org$apache$xmlbeans$impl$soap$SOAPFault = cls10;
        }
        if (identifyElement == cls10) {
            return new Xobj.SoapFaultXobj(locale, qName);
        }
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append("Unknown SAAJ element class: ");
        stringBuffer.append(identifyElement);
        throw new IllegalStateException(stringBuffer.toString());
    }

    private void createHelper(Xobj xobj) {
        if ($assertionsDisabled || xobj._locale == this._locale) {
            if (isPositioned()) {
                Cur tempCur = tempCur(xobj, 0);
                tempCur.moveNode(this);
                tempCur.release();
            }
            moveTo(xobj);
            return;
        }
        throw new AssertionError();
    }

    public static void dump(PrintStream printStream, DomImpl.Dom dom) {
        dom.dump(printStream);
    }

    public static void dump(PrintStream printStream, DomImpl.Dom dom, Object obj) {
    }

    public static void dumpBookmarks(PrintStream printStream, Xobj xobj, Object obj) {
        for (Xobj.Bookmark bookmark = xobj._bookmarks; bookmark != null; bookmark = bookmark._next) {
            printStream.print(" ");
            if (obj == bookmark) {
                printStream.print("*:");
            }
            Object obj2 = bookmark._value;
            if (obj2 instanceof XmlLineNumber) {
                StringBuffer a = a.a("<line:");
                a.append(((XmlLineNumber) obj2).getLine());
                a.append(GreaterThanPtg.GREATERTHAN);
                a.append("[");
                a.append(bookmark._pos);
                a.append("]");
                printStream.print(a.toString());
            } else {
                StringBuffer a2 = a.a("<mark>[");
                a2.append(bookmark._pos);
                a2.append("]");
                printStream.print(a2.toString());
            }
        }
    }

    public static void dumpCharNodes(PrintStream printStream, DomImpl.CharNode charNode, Object obj) {
        while (charNode != null) {
            printStream.print(" ");
            if (charNode == obj) {
                printStream.print("*");
            }
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append(charNode instanceof DomImpl.TextNode ? "TEXT" : "CDATA");
            stringBuffer.append("[");
            stringBuffer.append(charNode._cch);
            stringBuffer.append("]");
            printStream.print(stringBuffer.toString());
            charNode = charNode._next;
        }
    }

    public static void dumpChars(PrintStream printStream, Object obj, int i2, int i3) {
        printStream.print("\"");
        String string = CharUtil.getString(obj, i2, i3);
        int i4 = 0;
        while (true) {
            if (i4 >= string.length()) {
                break;
            } else if (i4 == 36) {
                printStream.print(FunctionMetadataReader.ELLIPSIS);
                break;
            } else {
                char charAt = string.charAt(i4);
                if (charAt >= ' ' && charAt < 127) {
                    printStream.print(charAt);
                } else if (charAt == '\n') {
                    printStream.print("\\n");
                } else if (charAt == '\r') {
                    printStream.print("\\r");
                } else if (charAt == '\t') {
                    printStream.print("\\t");
                } else if (charAt == '\"') {
                    printStream.print("\\\"");
                } else {
                    StringBuffer stringBuffer = new StringBuffer();
                    stringBuffer.append("<#");
                    stringBuffer.append((int) charAt);
                    stringBuffer.append(GreaterThanPtg.GREATERTHAN);
                    printStream.print(stringBuffer.toString());
                }
                i4++;
            }
        }
        printStream.print("\"");
    }

    public static void dumpCur(PrintStream printStream, String str, Cur cur, Object obj) {
        printStream.print(" ");
        if (obj == cur) {
            printStream.print("*:");
        }
        StringBuffer a = a.a(str);
        String str2 = cur._id;
        if (str2 == null) {
            str2 = "<cur>";
        }
        a.append(str2);
        a.append("[");
        a.append(cur._pos);
        a.append("]");
        printStream.print(a.toString());
    }

    public static void dumpCurs(PrintStream printStream, Xobj xobj, Object obj) {
        for (Cur cur = xobj._embedded; cur != null; cur = cur._next) {
            dumpCur(printStream, "E:", cur, obj);
        }
        for (Cur cur2 = xobj._locale._registered; cur2 != null; cur2 = cur2._next) {
            if (cur2._xobj == xobj) {
                dumpCur(printStream, "R:", cur2, obj);
            }
        }
    }

    public static void dumpXobj(PrintStream printStream, Xobj xobj, int i2, Object obj) {
        int lastIndexOf;
        if (xobj != null) {
            if (xobj == obj) {
                printStream.print("* ");
            } else {
                printStream.print(JamPrinter.INDENT);
            }
            for (int i3 = 0; i3 < i2; i3++) {
                printStream.print(JamPrinter.INDENT);
            }
            printStream.print(kindName(xobj.kind()));
            if (xobj._name != null) {
                printStream.print(" ");
                if (xobj._name.getPrefix().length() > 0) {
                    StringBuffer stringBuffer = new StringBuffer();
                    stringBuffer.append(xobj._name.getPrefix());
                    stringBuffer.append(":");
                    printStream.print(stringBuffer.toString());
                }
                printStream.print(xobj._name.getLocalPart());
                if (xobj._name.getNamespaceURI().length() > 0) {
                    StringBuffer a = a.a("@");
                    a.append(xobj._name.getNamespaceURI());
                    printStream.print(a.toString());
                }
            }
            if (!(xobj._srcValue == null && xobj._charNodesValue == null)) {
                printStream.print(" Value( ");
                dumpChars(printStream, xobj._srcValue, xobj._offValue, xobj._cchValue);
                dumpCharNodes(printStream, xobj._charNodesValue, obj);
                printStream.print(" )");
            }
            if (xobj._user != null) {
                printStream.print(" (USER)");
            }
            if (xobj.isVacant()) {
                printStream.print(" (VACANT)");
            }
            if (!(xobj._srcAfter == null && xobj._charNodesAfter == null)) {
                printStream.print(" After( ");
                dumpChars(printStream, xobj._srcAfter, xobj._offAfter, xobj._cchAfter);
                dumpCharNodes(printStream, xobj._charNodesAfter, obj);
                printStream.print(" )");
            }
            dumpCurs(printStream, xobj, obj);
            dumpBookmarks(printStream, xobj, obj);
            String name = xobj.getClass().getName();
            int lastIndexOf2 = name.lastIndexOf(46);
            if (lastIndexOf2 > 0 && (lastIndexOf = (name = name.substring(lastIndexOf2 + 1)).lastIndexOf(36)) > 0) {
                name = name.substring(lastIndexOf + 1);
            }
            printStream.print(" (");
            printStream.print(name);
            printStream.print(")");
            printStream.println();
            for (Xobj xobj2 = xobj._firstChild; xobj2 != null; xobj2 = xobj2._nextSibling) {
                dumpXobj(printStream, xobj2, i2 + 1, obj);
            }
        }
    }

    private Xobj getDenormal() {
        if ($assertionsDisabled || isPositioned()) {
            return getDenormal(this._xobj, this._pos);
        }
        throw new AssertionError();
    }

    private Xobj getNormal(Xobj xobj, int i2) {
        Xobj normal = xobj.getNormal(i2);
        this._posTemp = xobj._locale._posTemp;
        return normal;
    }

    public static boolean kindIsContainer(int i2) {
        return i2 == 2 || i2 == 1;
    }

    public static boolean kindIsFinish(int i2) {
        return i2 == -2 || i2 == -1;
    }

    public static String kindName(int i2) {
        if (i2 == 0) {
            return "TEXT";
        }
        if (i2 == 1) {
            return "ROOT";
        }
        if (i2 == 2) {
            return "ELEM";
        }
        if (i2 == 3) {
            return "ATTR";
        }
        if (i2 == 4) {
            return "COMMENT";
        }
        if (i2 == 5) {
            return "PROCINST";
        }
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append("<< Unknown Kind (");
        stringBuffer.append(i2);
        stringBuffer.append(") >>");
        return stringBuffer.toString();
    }

    public static void release(Cur cur) {
        if (cur != null) {
            cur.release();
        }
    }

    private int selectionIndex(int i2) {
        if ($assertionsDisabled || (this._selectionN >= -1 && i2 >= 0 && i2 < this._selectionCount)) {
            if (this._selectionN == -1) {
                this._selectionN = 0;
                this._selectionLoc = this._selectionFirst;
            }
            while (this._selectionN < i2) {
                this._selectionLoc = this._locale._locations.next(this._selectionLoc);
                this._selectionN++;
            }
            while (this._selectionN > i2) {
                this._selectionLoc = this._locale._locations.prev(this._selectionLoc);
                this._selectionN--;
            }
            return this._selectionLoc;
        }
        throw new AssertionError();
    }

    public static void transferChars(Xobj xobj, int i2, Xobj xobj2, int i3, int i4) {
        if (!$assertionsDisabled && xobj == xobj2) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && xobj._locale != xobj2._locale) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && (i2 <= 0 || i2 >= xobj.posMax())) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && (i3 <= 0 || i3 > xobj2.posMax())) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && (i4 <= 0 || i4 > xobj.cchRight(i2))) {
            throw new AssertionError();
        } else if ($assertionsDisabled || i3 >= xobj2.posAfter() || xobj2.isOccupied()) {
            Object charsHelper = xobj.getCharsHelper(i2, i4);
            Locale locale = xobj._locale;
            xobj2.insertCharsHelper(i3, charsHelper, locale._offSrc, locale._cchSrc, false);
            xobj.removeCharsHelper(i2, i4, xobj2, i3, true, false);
        } else {
            throw new AssertionError();
        }
    }

    public static DomImpl.CharNode updateCharNodes(Locale locale, Xobj xobj, DomImpl.CharNode charNode, int i2) {
        if ($assertionsDisabled || charNode == null || charNode.locale() == locale) {
            DomImpl.CharNode charNode2 = charNode;
            int i3 = 0;
            while (charNode2 != null && i2 > 0) {
                if ($assertionsDisabled || charNode2.getDom() == xobj) {
                    if (charNode2._cch > i2) {
                        charNode2._cch = i2;
                    }
                    charNode2._off = i3;
                    int i4 = charNode2._cch;
                    i3 += i4;
                    i2 -= i4;
                    charNode2 = charNode2._next;
                } else {
                    throw new AssertionError();
                }
            }
            if (i2 <= 0) {
                while (charNode2 != null) {
                    if ($assertionsDisabled || charNode2.getDom() == xobj) {
                        if (charNode2._cch != 0) {
                            charNode2._cch = 0;
                        }
                        charNode2._off = i3;
                        charNode2 = charNode2._next;
                    } else {
                        throw new AssertionError();
                    }
                }
                return charNode;
            }
            DomImpl.TextNode createTextNode = locale.createTextNode();
            createTextNode.setDom((DomImpl.Dom) xobj);
            createTextNode._cch = i2;
            createTextNode._off = i3;
            return DomImpl.CharNode.appendNode(charNode, createTextNode);
        }
        throw new AssertionError();
    }

    public void addToSelection(Cur cur) {
        if (!$assertionsDisabled && (cur == null || !cur.isNormal())) {
            throw new AssertionError();
        } else if ($assertionsDisabled || (isPositioned() && cur.isPositioned())) {
            this._selectionFirst = this._locale._locations.insert(this._selectionFirst, -1, this._locale._locations.allocate(cur));
            this._selectionCount++;
        } else {
            throw new AssertionError();
        }
    }

    public int cchLeft() {
        if ($assertionsDisabled || isPositioned()) {
            return this._xobj.cchLeft(this._pos);
        }
        throw new AssertionError();
    }

    public int cchRight() {
        if ($assertionsDisabled || isPositioned()) {
            return this._xobj.cchRight(this._pos);
        }
        throw new AssertionError();
    }

    public void clearSelection() {
        if ($assertionsDisabled || this._selectionCount >= 0) {
            while (this._selectionCount > 0) {
                removeSelection(0);
            }
            return;
        }
        throw new AssertionError();
    }

    public int comparePosition(Cur cur) {
        if (!$assertionsDisabled && (!isPositioned() || !cur.isPositioned())) {
            throw new AssertionError();
        } else if (this._locale != cur._locale) {
            return 2;
        } else {
            Xobj xobj = this._xobj;
            int i2 = this._pos;
            if (i2 == -1) {
                i2 = xobj.posAfter() - 1;
            }
            Xobj xobj2 = cur._xobj;
            int i3 = cur._pos;
            if (i3 == -1) {
                i3 = xobj2.posAfter() - 1;
            }
            int i4 = 0;
            if (xobj != xobj2) {
                int i5 = 0;
                for (Xobj xobj3 = xobj._parent; xobj3 != null; xobj3 = xobj3._parent) {
                    i5++;
                    if (xobj3 == xobj2) {
                        if (i3 < xobj2.posAfter() - 1) {
                            return 1;
                        } else {
                            return -1;
                        }
                    }
                }
                for (Xobj xobj4 = xobj2._parent; xobj4 != null; xobj4 = xobj4._parent) {
                    i4++;
                    if (xobj4 == xobj) {
                        if (i2 < xobj.posAfter() - 1) {
                            return -1;
                        } else {
                            return 1;
                        }
                    }
                }
                while (i5 > i4) {
                    i5--;
                    xobj = xobj._parent;
                }
                while (i4 > i5) {
                    i4--;
                    xobj2 = xobj2._parent;
                }
                if (!$assertionsDisabled && i4 != i5) {
                    throw new AssertionError();
                } else if (i4 == 0) {
                    return 2;
                } else {
                    if ($assertionsDisabled || !(xobj._parent == null || xobj2._parent == null)) {
                        while (true) {
                            Xobj xobj5 = xobj._parent;
                            Xobj xobj6 = xobj2._parent;
                            if (xobj5 != xobj6) {
                                if (xobj5 == null) {
                                    return 2;
                                }
                                xobj = xobj5;
                                xobj2 = xobj6;
                            } else if (xobj._prevSibling == null || xobj2._nextSibling == null) {
                                return -1;
                            } else {
                                if (xobj._nextSibling == null || xobj2._prevSibling == null) {
                                    return 1;
                                }
                                while (xobj != null) {
                                    xobj = xobj._prevSibling;
                                    if (xobj == xobj2) {
                                        return 1;
                                    }
                                }
                                return -1;
                            }
                        }
                    } else {
                        throw new AssertionError();
                    }
                }
            } else if (i2 < i3) {
                return -1;
            } else {
                return i2 == i3 ? 0 : 1;
            }
        }
    }

    public boolean contains(Cur cur) {
        if (!$assertionsDisabled && !isNode()) {
            throw new AssertionError();
        } else if ($assertionsDisabled || (cur != null && cur.isPositioned())) {
            return this._xobj.contains(cur);
        } else {
            throw new AssertionError();
        }
    }

    public void copyNode(Cur cur) {
        if (!$assertionsDisabled && cur == null) {
            throw new AssertionError();
        } else if ($assertionsDisabled || isNode()) {
            Xobj copyNode = this._xobj.copyNode(cur._locale);
            if (cur.isPositioned()) {
                moveNode(copyNode, cur);
            } else {
                cur.moveTo(copyNode);
            }
        } else {
            throw new AssertionError();
        }
    }

    public void createAttr(QName qName) {
        createHelper(new Xobj.AttrXobj(this._locale, qName));
    }

    public void createComment() {
        createHelper(new Xobj.CommentXobj(this._locale));
    }

    public void createDomDocFragRoot() {
        moveTo(new Xobj.DocumentFragXobj(this._locale));
    }

    public void createDomDocumentRoot() {
        moveTo(createDomDocumentRootXobj(this._locale));
    }

    public void createElement(QName qName) {
        createElement(qName, null);
    }

    public void createProcinst(String str) {
        createHelper(new Xobj.ProcInstXobj(this._locale, str));
    }

    public void createRoot() {
        createDomDocFragRoot();
    }

    public int firstBookmarkInChars(Object obj, int i2) {
        if (!$assertionsDisabled && !isNormal()) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && obj == null) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && i2 <= 0) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && i2 > cchRight()) {
            throw new AssertionError();
        } else if (!isText()) {
            return -1;
        } else {
            int i3 = -1;
            for (Xobj.Bookmark bookmark = this._xobj._bookmarks; bookmark != null; bookmark = bookmark._next) {
                if (bookmark._key == obj && inChars(bookmark, i2, false) && (i3 == -1 || bookmark._pos - this._pos < i3)) {
                    i3 = bookmark._pos - this._pos;
                }
            }
            return i3;
        }
    }

    public int firstBookmarkInCharsLeft(Object obj, int i2) {
        if (!$assertionsDisabled && !isNormal()) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && obj == null) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && i2 <= 0) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && i2 > cchLeft()) {
            throw new AssertionError();
        } else if (cchLeft() <= 0) {
            return -1;
        } else {
            Xobj denormal = getDenormal();
            int i3 = this._posTemp - i2;
            int i4 = -1;
            for (Xobj.Bookmark bookmark = denormal._bookmarks; bookmark != null; bookmark = bookmark._next) {
                if (bookmark._key == obj && denormal.inChars(i3, bookmark._xobj, bookmark._pos, i2, false) && (i4 == -1 || bookmark._pos - i3 < i4)) {
                    i4 = bookmark._pos - i3;
                }
            }
            return i4;
        }
    }

    public String getAttrValue(QName qName) {
        push();
        String valueAsString = toAttr(qName) ? getValueAsString() : null;
        pop();
        return valueAsString;
    }

    public Object getBookmark(Object obj) {
        if (!$assertionsDisabled && !isNormal()) {
            throw new AssertionError();
        } else if ($assertionsDisabled || obj != null) {
            for (Xobj.Bookmark bookmark = this._xobj._bookmarks; bookmark != null; bookmark = bookmark._next) {
                if (bookmark._pos == this._pos && bookmark._key == obj) {
                    return bookmark._value;
                }
            }
            return null;
        } else {
            throw new AssertionError();
        }
    }

    public DomImpl.CharNode getCharNodes() {
        if (!$assertionsDisabled && !isPositioned()) {
            throw new AssertionError();
        } else if ($assertionsDisabled || !isRoot()) {
            Xobj denormal = getDenormal();
            if (this._posTemp >= denormal.posAfter()) {
                DomImpl.CharNode updateCharNodes = updateCharNodes(this._locale, denormal, denormal._charNodesAfter, denormal._cchAfter);
                denormal._charNodesAfter = updateCharNodes;
                return updateCharNodes;
            }
            denormal.ensureOccupancy();
            DomImpl.CharNode updateCharNodes2 = updateCharNodes(this._locale, denormal, denormal._charNodesValue, denormal._cchValue);
            denormal._charNodesValue = updateCharNodes2;
            return updateCharNodes2;
        } else {
            throw new AssertionError();
        }
    }

    public Object getChars(int i2) {
        if ($assertionsDisabled || isPositioned()) {
            return this._xobj.getChars(this._pos, i2, this);
        }
        throw new AssertionError();
    }

    public String getCharsAsString(int i2) {
        if ($assertionsDisabled || (isNormal() && this._xobj != null)) {
            return getCharsAsString(i2, 1);
        }
        throw new AssertionError();
    }

    public DomImpl.Dom getDom() {
        if (!$assertionsDisabled && !isNormal()) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && !isPositioned()) {
            throw new AssertionError();
        } else if (!isText()) {
            return this._xobj.getDom();
        } else {
            int cchLeft = cchLeft();
            DomImpl.CharNode charNodes = getCharNodes();
            while (true) {
                cchLeft -= charNodes._cch;
                if (cchLeft < 0) {
                    return charNodes;
                }
                charNodes = charNodes._next;
            }
        }
    }

    public Object getFirstChars() {
        if ($assertionsDisabled || isNode()) {
            Object firstChars = this._xobj.getFirstChars();
            Locale locale = this._locale;
            this._offSrc = locale._offSrc;
            this._cchSrc = locale._cchSrc;
            return firstChars;
        }
        throw new AssertionError();
    }

    public String getLocal() {
        return getName().getLocalPart();
    }

    public QName getName() {
        if ($assertionsDisabled || isNode() || isEnd()) {
            return this._xobj._name;
        }
        throw new AssertionError();
    }

    public XmlObject getObject() {
        if (isUserNode()) {
            return (XmlObject) getUser();
        }
        return null;
    }

    public Xobj getParent() {
        return getParent(false);
    }

    public Xobj getParentNoRoot() {
        if ($assertionsDisabled || isPositioned()) {
            int i2 = this._pos;
            if (i2 == -1 || (i2 >= 1 && i2 < this._xobj.posAfter())) {
                return this._xobj;
            }
            if ($assertionsDisabled || this._pos == 0 || this._xobj._parent != null) {
                Xobj xobj = this._xobj._parent;
                if (xobj != null) {
                    return xobj;
                }
                return null;
            }
            throw new AssertionError();
        }
        throw new AssertionError();
    }

    public Xobj getParentRaw() {
        return getParent(true);
    }

    public String getUri() {
        return getName().getNamespaceURI();
    }

    public TypeStoreUser getUser() {
        if ($assertionsDisabled || isUserNode()) {
            return this._xobj.getUser();
        }
        throw new AssertionError();
    }

    public String getValueAsString(int i2) {
        if ($assertionsDisabled || isNode()) {
            return this._xobj.getValueAsString(i2);
        }
        throw new AssertionError();
    }

    public String getXmlnsPrefix() {
        if ($assertionsDisabled || isXmlns()) {
            return this._xobj.getXmlnsPrefix();
        }
        throw new AssertionError();
    }

    public String getXmlnsUri() {
        if ($assertionsDisabled || isXmlns()) {
            return this._xobj.getXmlnsUri();
        }
        throw new AssertionError();
    }

    public final QName getXsiTypeName() {
        if ($assertionsDisabled || isNode()) {
            return this._xobj.getXsiTypeName();
        }
        throw new AssertionError();
    }

    public boolean hasAttrs() {
        if ($assertionsDisabled || isNode()) {
            return this._xobj.hasAttrs();
        }
        throw new AssertionError();
    }

    public boolean hasChildren() {
        if ($assertionsDisabled || isNode()) {
            return this._xobj.hasChildren();
        }
        throw new AssertionError();
    }

    public boolean hasParent() {
        if ($assertionsDisabled || isPositioned()) {
            int i2 = this._pos;
            if (i2 == -1) {
                return true;
            }
            if (i2 >= 1 && i2 < this._xobj.posAfter()) {
                return true;
            }
            if (!$assertionsDisabled && this._pos != 0 && this._xobj._parent == null) {
                throw new AssertionError();
            } else if (this._xobj._parent != null) {
                return true;
            } else {
                return false;
            }
        } else {
            throw new AssertionError();
        }
    }

    public boolean hasText() {
        if ($assertionsDisabled || isNode()) {
            return this._xobj.hasTextEnsureOccupancy();
        }
        throw new AssertionError();
    }

    public boolean inChars(Cur cur, int i2, boolean z) {
        if (!$assertionsDisabled && (!isPositioned() || !isText() || cchRight() < i2)) {
            throw new AssertionError();
        } else if ($assertionsDisabled || cur.isNormal()) {
            return this._xobj.inChars(this._pos, cur._xobj, cur._pos, i2, z);
        } else {
            throw new AssertionError();
        }
    }

    public void insertChars(Object obj, int i2, int i3) {
        if (!$assertionsDisabled && (!isPositioned() || isRoot())) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && !CharUtil.isValid(obj, i2, i3)) {
            throw new AssertionError();
        } else if (i3 > 0) {
            this._locale.notifyChange();
            if (this._pos == -1) {
                this._xobj.ensureOccupancy();
            }
            Xobj denormal = getDenormal();
            int i4 = this._posTemp;
            if ($assertionsDisabled || i4 > 0) {
                denormal.insertCharsHelper(i4, obj, i2, i3, true);
                moveTo(denormal, i4);
                this._locale._versionAll++;
                return;
            }
            throw new AssertionError();
        }
    }

    public void insertString(String str) {
        if (str != null) {
            insertChars(str, 0, str.length());
        }
    }

    public boolean isAtEndOf(Cur cur) {
        if ($assertionsDisabled || (cur != null && cur.isNormal() && cur.isNode())) {
            return this._xobj == cur._xobj && this._pos == -1;
        }
        throw new AssertionError();
    }

    public boolean isAtEndOfLastPush() {
        if ($assertionsDisabled || this._stackTop != -1) {
            return this._locale._locations.isAtEndOf(this._stackTop, this);
        }
        throw new AssertionError();
    }

    public boolean isAtLastPush() {
        if ($assertionsDisabled || this._stackTop != -1) {
            return this._locale._locations.isSamePos(this._stackTop, this);
        }
        throw new AssertionError();
    }

    public boolean isAttr() {
        if ($assertionsDisabled || isPositioned()) {
            return this._pos == 0 && this._xobj.kind() == 3;
        }
        throw new AssertionError();
    }

    public boolean isComment() {
        if ($assertionsDisabled || isPositioned()) {
            return this._pos == 0 && this._xobj.kind() == 4;
        }
        throw new AssertionError();
    }

    public boolean isContainer() {
        if ($assertionsDisabled || isPositioned()) {
            return this._pos == 0 && kindIsContainer(this._xobj.kind());
        }
        throw new AssertionError();
    }

    public boolean isContainerOrFinish() {
        if ($assertionsDisabled || isPositioned()) {
            int i2 = this._pos;
            if (i2 != 0 && i2 != -1) {
                return false;
            }
            int kind = this._xobj.kind();
            if (kind == 2 || kind == -2 || kind == 1 || kind == -1) {
                return true;
            }
            return false;
        }
        throw new AssertionError();
    }

    public boolean isDomDocRoot() {
        return isRoot() && (this._xobj.getDom() instanceof Document);
    }

    public boolean isDomFragRoot() {
        return isRoot() && (this._xobj.getDom() instanceof DocumentFragment);
    }

    public boolean isElem() {
        if ($assertionsDisabled || isPositioned()) {
            return this._pos == 0 && this._xobj.kind() == 2;
        }
        throw new AssertionError();
    }

    public boolean isEnd() {
        if ($assertionsDisabled || isPositioned()) {
            return this._pos == -1 && this._xobj.kind() == 2;
        }
        throw new AssertionError();
    }

    public boolean isEndRoot() {
        if ($assertionsDisabled || isPositioned()) {
            return this._pos == -1 && this._xobj.kind() == 1;
        }
        throw new AssertionError();
    }

    public boolean isFinish() {
        if ($assertionsDisabled || isPositioned()) {
            return this._pos == -1 && kindIsContainer(this._xobj.kind());
        }
        throw new AssertionError();
    }

    public boolean isInSameTree(Cur cur) {
        if ($assertionsDisabled || (isPositioned() && cur.isPositioned())) {
            return this._xobj.isInSameTree(cur._xobj);
        }
        throw new AssertionError();
    }

    public boolean isJustAfterEnd(Cur cur) {
        if ($assertionsDisabled || (isNormal() && cur != null && cur.isNormal() && cur.isNode())) {
            return cur._xobj.isJustAfterEnd(this._xobj, this._pos);
        }
        throw new AssertionError();
    }

    public boolean isNode() {
        if ($assertionsDisabled || isPositioned()) {
            return this._pos == 0;
        }
        throw new AssertionError();
    }

    public boolean isNormal() {
        int i2 = this._state;
        if (i2 == 0 || i2 == 3) {
            return false;
        }
        Xobj xobj = this._xobj;
        if (xobj == null) {
            if (this._pos == -2) {
                return true;
            }
            return false;
        } else if (!xobj.isNormal(this._pos)) {
            return false;
        } else {
            int i3 = this._state;
            if (i3 == 2) {
                return isOnList(this._xobj._embedded);
            }
            if ($assertionsDisabled || i3 == 1) {
                return isOnList(this._locale._registered);
            }
            throw new AssertionError();
        }
    }

    public boolean isNormalAttr() {
        return isNode() && this._xobj.isNormalAttr();
    }

    public boolean isOnList(Cur cur) {
        while (cur != null) {
            if (cur == this) {
                return true;
            }
            cur = cur._next;
        }
        return false;
    }

    public boolean isPositioned() {
        if ($assertionsDisabled || isNormal()) {
            return this._xobj != null;
        }
        throw new AssertionError();
    }

    public boolean isProcinst() {
        if ($assertionsDisabled || isPositioned()) {
            return this._pos == 0 && this._xobj.kind() == 5;
        }
        throw new AssertionError();
    }

    public boolean isRoot() {
        if ($assertionsDisabled || isPositioned()) {
            return this._pos == 0 && this._xobj.kind() == 1;
        }
        throw new AssertionError();
    }

    public boolean isSamePos(Cur cur) {
        if ($assertionsDisabled || (isNormal() && (cur == null || cur.isNormal()))) {
            return this._xobj == cur._xobj && this._pos == cur._pos;
        }
        throw new AssertionError();
    }

    public boolean isText() {
        if ($assertionsDisabled || isPositioned()) {
            return this._pos > 0;
        }
        throw new AssertionError();
    }

    public boolean isTextCData() {
        Xobj xobj = this._xobj;
        Class cls = class$org$apache$xmlbeans$CDataBookmark;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.CDataBookmark");
            class$org$apache$xmlbeans$CDataBookmark = cls;
        }
        return xobj.hasBookmark(cls, this._pos);
    }

    public boolean isUserNode() {
        if ($assertionsDisabled || isPositioned()) {
            int kind = kind();
            if (kind == 2 || kind == 1) {
                return true;
            }
            return kind == 3 && !isXmlns();
        }
        throw new AssertionError();
    }

    public boolean isXmlns() {
        return isNode() && this._xobj.isXmlns();
    }

    public int kind() {
        if ($assertionsDisabled || isPositioned()) {
            int kind = this._xobj.kind();
            int i2 = this._pos;
            if (i2 == 0) {
                return kind;
            }
            if (i2 == -1) {
                return -kind;
            }
            return 0;
        }
        throw new AssertionError();
    }

    public Cur listInsert(Cur cur) {
        if (!$assertionsDisabled && (this._next != null || this._prev != null)) {
            throw new AssertionError();
        } else if (cur == null) {
            this._prev = this;
            return this;
        } else {
            this._prev = cur._prev;
            cur._prev._next = this;
            cur._prev = this;
            return cur;
        }
    }

    public Cur listRemove(Cur cur) {
        if ($assertionsDisabled || (this._prev != null && isOnList(cur))) {
            Cur cur2 = this._prev;
            if (cur2 == this) {
                cur = null;
            } else {
                if (cur == this) {
                    cur = this._next;
                } else {
                    cur2._next = this._next;
                }
                Cur cur3 = this._next;
                if (cur3 == null) {
                    cur._prev = this._prev;
                } else {
                    cur3._prev = this._prev;
                    this._next = null;
                }
            }
            this._prev = null;
            if ($assertionsDisabled || this._next == null) {
                return cur;
            }
            throw new AssertionError();
        }
        throw new AssertionError();
    }

    /* JADX WARNING: Code restructure failed: missing block: B:37:0x0071, code lost:
        if ((r9._pos >= r9._xobj.posAfter() ? r9._xobj._parent : r9._xobj).isOccupied() != false) goto L_0x007a;
     */
    public Object moveChars(Cur cur, int i2) {
        if (!$assertionsDisabled && !isPositioned()) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && i2 > 0 && i2 > cchRight()) {
            throw new AssertionError();
        } else if ($assertionsDisabled || cur == null || (cur.isPositioned() && !cur.isRoot())) {
            if (i2 < 0) {
                i2 = cchRight();
            }
            if (i2 == 0) {
                this._offSrc = 0;
                this._cchSrc = 0;
                return null;
            }
            Object chars = getChars(i2);
            int i3 = this._offSrc;
            if (!$assertionsDisabled) {
                if (isText()) {
                }
                throw new AssertionError();
            }
            if (cur == null) {
                for (Xobj.Bookmark bookmark = this._xobj._bookmarks; bookmark != null; bookmark = bookmark._next) {
                    if (inChars(bookmark, i2, false)) {
                        Cur tempCur = this._locale.tempCur();
                        tempCur.createRoot();
                        tempCur.next();
                        Object moveChars = moveChars(tempCur, i2);
                        tempCur.release();
                        return moveChars;
                    }
                }
            } else if (inChars(cur, i2, true)) {
                cur.moveToCur(this);
                nextChars(i2);
                this._offSrc = i3;
                this._cchSrc = i2;
                return chars;
            } else {
                cur.insertChars(chars, i3, i2);
            }
            this._locale.notifyChange();
            if (cur == null) {
                this._xobj.removeCharsHelper(this._pos, i2, null, -2, false, true);
            } else {
                this._xobj.removeCharsHelper(this._pos, i2, cur._xobj, cur._pos, false, true);
            }
            this._locale._versionAll++;
            this._offSrc = i3;
            this._cchSrc = i2;
            return chars;
        } else {
            throw new AssertionError();
        }
    }

    public void moveNode(Cur cur) {
        if (!$assertionsDisabled && (!isNode() || isRoot())) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && cur != null && !cur.isPositioned()) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && cur != null && contains(cur)) {
            throw new AssertionError();
        } else if ($assertionsDisabled || cur == null || !cur.isRoot()) {
            Xobj xobj = this._xobj;
            skip();
            moveNode(xobj, cur);
        } else {
            throw new AssertionError();
        }
    }

    public void moveNodeContents(Cur cur, boolean z) {
        if (!$assertionsDisabled && this._pos != 0) {
            throw new AssertionError();
        } else if ($assertionsDisabled || cur == null || !cur.isRoot()) {
            moveNodeContents(this._xobj, cur, z);
        } else {
            throw new AssertionError();
        }
    }

    public void moveTo(Xobj xobj) {
        moveTo(xobj, 0);
    }

    public void moveToCharNode(DomImpl.CharNode charNode) {
        if ($assertionsDisabled || (charNode.getDom() != null && charNode.getDom().locale() == this._locale)) {
            moveToDom(charNode.getDom());
            this._xobj.ensureOccupancy();
            Xobj xobj = this._xobj;
            DomImpl.CharNode updateCharNodes = updateCharNodes(this._locale, xobj, xobj._charNodesValue, xobj._cchValue);
            xobj._charNodesValue = updateCharNodes;
            while (updateCharNodes != null) {
                if (charNode == updateCharNodes) {
                    moveTo(getNormal(this._xobj, updateCharNodes._off + 1), this._posTemp);
                    return;
                }
                updateCharNodes = updateCharNodes._next;
            }
            Xobj xobj2 = this._xobj;
            DomImpl.CharNode updateCharNodes2 = updateCharNodes(this._locale, xobj2, xobj2._charNodesAfter, xobj2._cchAfter);
            xobj2._charNodesAfter = updateCharNodes2;
            while (updateCharNodes2 != null) {
                if (charNode == updateCharNodes2) {
                    Xobj xobj3 = this._xobj;
                    moveTo(getNormal(xobj3, updateCharNodes2._off + xobj3._cchValue + 2), this._posTemp);
                    return;
                }
                updateCharNodes2 = updateCharNodes2._next;
            }
            if (!$assertionsDisabled) {
                throw new AssertionError();
            }
            return;
        }
        throw new AssertionError();
    }

    public void moveToCur(Cur cur) {
        if (!$assertionsDisabled && (!isNormal() || (cur != null && !cur.isNormal()))) {
            throw new AssertionError();
        } else if (cur == null) {
            moveTo(null, -2);
        } else {
            moveTo(cur._xobj, cur._pos);
        }
    }

    public void moveToDom(DomImpl.Dom dom) {
        if (!$assertionsDisabled && this._locale != dom.locale()) {
            throw new AssertionError();
        } else if ($assertionsDisabled || (dom instanceof Xobj) || (dom instanceof Xobj.SoapPartDom)) {
            moveTo(dom instanceof Xobj ? (Xobj) dom : ((Xobj.SoapPartDom) dom)._docXobj);
        } else {
            throw new AssertionError();
        }
    }

    public void moveToNoCheck(Xobj xobj, int i2) {
        Xobj xobj2;
        if (this._state == 2 && xobj != (xobj2 = this._xobj)) {
            xobj2._embedded = listRemove(xobj2._embedded);
            Locale locale = this._locale;
            locale._registered = listInsert(locale._registered);
            this._state = 1;
        }
        this._xobj = xobj;
        this._pos = i2;
    }

    public void moveToSelection(int i2) {
        if ($assertionsDisabled || (i2 >= 0 && i2 < this._selectionCount)) {
            this._locale._locations.moveTo(selectionIndex(i2), this);
            return;
        }
        throw new AssertionError();
    }

    public final String namespaceForPrefix(String str, boolean z) {
        return this._xobj.namespaceForPrefix(str, z);
    }

    public boolean next(boolean z) {
        return z ? nextWithAttrs() : next();
    }

    public int nextChars(int i2) {
        if ($assertionsDisabled || isPositioned()) {
            int cchRight = cchRight();
            if (cchRight == 0) {
                return 0;
            }
            if (i2 < 0 || i2 >= cchRight) {
                next();
                return cchRight;
            }
            moveTo(getNormal(this._xobj, this._pos + i2), this._posTemp);
            return i2;
        }
        throw new AssertionError();
    }

    public boolean nextWithAttrs() {
        int kind = kind();
        if (kindIsContainer(kind)) {
            if (toFirstAttr()) {
                return true;
            }
        } else if (kind == -3) {
            if (next()) {
                return true;
            }
            toParent();
            if (!toParentRaw()) {
                return false;
            }
        }
        return next();
    }

    public TypeStoreUser peekUser() {
        if ($assertionsDisabled || isUserNode()) {
            return this._xobj._user;
        }
        throw new AssertionError();
    }

    public void pop(boolean z) {
        if (z) {
            popButStay();
        } else {
            pop();
        }
    }

    public void popButStay() {
        int i2 = this._stackTop;
        if (i2 != -1) {
            this._stackTop = this._locale._locations.remove(i2, i2);
        }
    }

    public final String prefixForNamespace(String str, String str2, boolean z) {
        return (isContainer() ? this._xobj : getParent()).prefixForNamespace(str, str2, z);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:41:0x0077, code lost:
        if (r0._cchValue > 0) goto L_0x007c;
     */
    public boolean prev() {
        Xobj xobj;
        if ($assertionsDisabled || isPositioned()) {
            int i2 = 0;
            if (this._xobj.isRoot() && this._pos == 0) {
                return false;
            }
            if (this._xobj.isAttr() && this._pos == 0 && this._xobj._prevSibling == null) {
                return false;
            }
            Xobj denormal = getDenormal();
            int i3 = this._posTemp;
            if ($assertionsDisabled || (i3 > 0 && i3 != -1)) {
                int posAfter = denormal.posAfter();
                if (i3 > posAfter) {
                    i2 = posAfter;
                } else if (i3 != posAfter) {
                    if (i3 == posAfter - 1) {
                        denormal.ensureOccupancy();
                    } else if (i3 <= 1) {
                        if (!$assertionsDisabled && i3 != 1) {
                            throw new AssertionError();
                        }
                    }
                    i2 = 1;
                } else if (!denormal.isAttr() || (denormal._cchAfter <= 0 && (xobj = denormal._nextSibling) != null && xobj.isAttr())) {
                    i2 = -1;
                } else {
                    denormal = denormal.ensureParent();
                }
                moveTo(getNormal(denormal, i2), this._posTemp);
                return true;
            }
            throw new AssertionError();
        }
        throw new AssertionError();
    }

    public int prevChars(int i2) {
        if ($assertionsDisabled || isPositioned()) {
            int cchLeft = cchLeft();
            if (i2 < 0 || i2 > cchLeft) {
                i2 = cchLeft;
            }
            if (i2 != 0) {
                moveTo(getNormal(getDenormal(), this._posTemp - i2), this._posTemp);
            }
            return i2;
        }
        throw new AssertionError();
    }

    public boolean prevWithAttrs() {
        if (prev()) {
            return true;
        }
        if (!isAttr()) {
            return false;
        }
        toParent();
        return true;
    }

    public void push() {
        if ($assertionsDisabled || isPositioned()) {
            int allocate = this._locale._locations.allocate(this);
            Locations locations = this._locale._locations;
            int i2 = this._stackTop;
            this._stackTop = locations.insert(i2, i2, allocate);
            return;
        }
        throw new AssertionError();
    }

    public boolean removeAttr(QName qName) {
        if ($assertionsDisabled || isContainer()) {
            return this._xobj.removeAttr(qName);
        }
        throw new AssertionError();
    }

    public void removeFollowingAttrs() {
        if ($assertionsDisabled || isAttr()) {
            QName name = getName();
            push();
            if (toNextAttr()) {
                while (isAttr()) {
                    if (getName().equals(name)) {
                        moveNode(null);
                    } else if (!toNextAttr()) {
                        break;
                    }
                }
            }
            pop();
            return;
        }
        throw new AssertionError();
    }

    public void removeSelection(int i2) {
        if ($assertionsDisabled || (i2 >= 0 && i2 < this._selectionCount)) {
            int selectionIndex = selectionIndex(i2);
            int i3 = this._selectionN;
            if (i2 < i3) {
                this._selectionN = i3 - 1;
            } else if (i2 == i3) {
                this._selectionN = i3 - 1;
                if (i2 == 0) {
                    this._selectionLoc = -1;
                } else {
                    this._selectionLoc = this._locale._locations.prev(this._selectionLoc);
                }
            }
            this._selectionFirst = this._locale._locations.remove(this._selectionFirst, selectionIndex);
            this._selectionCount--;
            return;
        }
        throw new AssertionError();
    }

    public int selectionCount() {
        return this._selectionCount;
    }

    public void setAttrValue(QName qName, String str) {
        if ($assertionsDisabled || isContainer()) {
            this._xobj.setAttr(qName, str);
            return;
        }
        throw new AssertionError();
    }

    public void setAttrValueAsQName(QName qName, QName qName2) {
        if (!$assertionsDisabled && !isContainer()) {
            throw new AssertionError();
        } else if (qName2 == null) {
            this._xobj.removeAttr(qName);
        } else {
            if (toAttr(qName)) {
                removeFollowingAttrs();
            } else {
                next();
                createAttr(qName);
            }
            setValueAsQName(qName2);
            toParent();
        }
    }

    public final Xobj.Bookmark setBookmark(Object obj, Object obj2) {
        if (!$assertionsDisabled && !isNormal()) {
            throw new AssertionError();
        } else if ($assertionsDisabled || obj != null) {
            return this._xobj.setBookmark(this._pos, obj, obj2);
        } else {
            throw new AssertionError();
        }
    }

    public void setCharNodes(DomImpl.CharNode charNode) {
        if (!$assertionsDisabled && charNode != null && this._locale != charNode.locale()) {
            throw new AssertionError();
        } else if ($assertionsDisabled || isPositioned()) {
            Xobj denormal = getDenormal();
            int i2 = this._posTemp;
            if ($assertionsDisabled || !denormal.isRoot() || (i2 > 0 && i2 < denormal.posAfter())) {
                if (i2 >= denormal.posAfter()) {
                    denormal._charNodesAfter = charNode;
                } else {
                    denormal._charNodesValue = charNode;
                }
                while (charNode != null) {
                    charNode.setDom((DomImpl.Dom) denormal);
                    charNode = charNode._next;
                }
                return;
            }
            throw new AssertionError();
        } else {
            throw new AssertionError();
        }
    }

    public void setId(String str) {
        this._id = str;
    }

    public void setName(QName qName) {
        if ($assertionsDisabled || (isNode() && qName != null)) {
            this._xobj.setName(qName);
            return;
        }
        throw new AssertionError();
    }

    public void setSubstitution(QName qName, SchemaType schemaType) {
        setSubstitution(qName, schemaType, true);
    }

    public void setType(SchemaType schemaType) {
        setType(schemaType, true);
    }

    public void setValue(String str) {
        if ($assertionsDisabled || isNode()) {
            moveNodeContents(null, false);
            next();
            insertString(str);
            toParent();
            return;
        }
        throw new AssertionError();
    }

    public void setValueAsQName(QName qName) {
        if ($assertionsDisabled || isNode()) {
            String localPart = qName.getLocalPart();
            String prefixForNamespace = prefixForNamespace(qName.getNamespaceURI(), qName.getPrefix().length() > 0 ? qName.getPrefix() : null, true);
            if (prefixForNamespace.length() > 0) {
                localPart = a.a(prefixForNamespace, ":", localPart);
            }
            setValue(localPart);
            return;
        }
        throw new AssertionError();
    }

    public final void setXsiType(QName qName) {
        if ($assertionsDisabled || isContainer()) {
            setAttrValueAsQName(Locale._xsiType, qName);
            return;
        }
        throw new AssertionError();
    }

    public boolean skip() {
        if (!$assertionsDisabled && !isNode()) {
            throw new AssertionError();
        } else if (this._xobj.isRoot()) {
            return false;
        } else {
            if (this._xobj.isAttr()) {
                Xobj xobj = this._xobj._nextSibling;
                if (xobj == null || !xobj.isAttr()) {
                    return false;
                }
                moveTo(this._xobj._nextSibling, 0);
                return true;
            }
            Xobj xobj2 = this._xobj;
            moveTo(getNormal(xobj2, xobj2.posAfter()), this._posTemp);
            return true;
        }
    }

    public boolean skipWithAttrs() {
        if (!$assertionsDisabled && !isNode()) {
            throw new AssertionError();
        } else if (skip()) {
            return true;
        } else {
            if (this._xobj.isRoot()) {
                return false;
            }
            if ($assertionsDisabled || this._xobj.isAttr()) {
                toParent();
                next();
                return true;
            }
            throw new AssertionError();
        }
    }

    public Cur tempCur() {
        return tempCur(null);
    }

    public boolean toAttr(QName qName) {
        if ($assertionsDisabled || isNode()) {
            Xobj attr = this._xobj.getAttr(qName);
            if (attr == null) {
                return false;
            }
            moveTo(attr);
            return true;
        }
        throw new AssertionError();
    }

    public void toEnd() {
        if ($assertionsDisabled || isNode()) {
            moveTo(this._xobj, -1);
            return;
        }
        throw new AssertionError();
    }

    public boolean toFirstAttr() {
        if ($assertionsDisabled || isNode()) {
            Xobj firstAttr = this._xobj.firstAttr();
            if (firstAttr == null) {
                return false;
            }
            moveTo(firstAttr);
            return true;
        }
        throw new AssertionError();
    }

    public boolean toFirstChild() {
        if (!$assertionsDisabled && !isNode()) {
            throw new AssertionError();
        } else if (!this._xobj.hasChildren()) {
            return false;
        } else {
            Xobj xobj = this._xobj._firstChild;
            while (xobj.isAttr()) {
                xobj = xobj._nextSibling;
            }
            moveTo(xobj);
            return true;
        }
    }

    public boolean toLastAttr() {
        if (!$assertionsDisabled && !isNode()) {
            throw new AssertionError();
        } else if (!toFirstAttr()) {
            return false;
        } else {
            do {
            } while (toNextAttr());
            return true;
        }
    }

    public boolean toLastChild() {
        if (!$assertionsDisabled && !isNode()) {
            throw new AssertionError();
        } else if (!this._xobj.hasChildren()) {
            return false;
        } else {
            moveTo(this._xobj._lastChild);
            return true;
        }
    }

    public boolean toNextAttr() {
        if ($assertionsDisabled || isAttr() || isContainer()) {
            Xobj nextAttr = this._xobj.nextAttr();
            if (nextAttr == null) {
                return false;
            }
            moveTo(nextAttr);
            return true;
        }
        throw new AssertionError();
    }

    public boolean toNextSibling() {
        if (!$assertionsDisabled && !isNode()) {
            throw new AssertionError();
        } else if (this._xobj.isAttr()) {
            Xobj xobj = this._xobj._nextSibling;
            if (xobj == null || !xobj.isAttr()) {
                return false;
            }
            moveTo(this._xobj._nextSibling);
            return true;
        } else {
            Xobj xobj2 = this._xobj._nextSibling;
            if (xobj2 == null) {
                return false;
            }
            moveTo(xobj2);
            return true;
        }
    }

    public boolean toParent() {
        return toParent(false);
    }

    public boolean toParentRaw() {
        return toParent(true);
    }

    public boolean toPrevAttr() {
        if (isAttr()) {
            Xobj xobj = this._xobj;
            Xobj xobj2 = xobj._prevSibling;
            if (xobj2 == null) {
                moveTo(xobj.ensureParent());
                return true;
            }
            moveTo(xobj2);
            return true;
        }
        prev();
        if (isContainer()) {
            return toLastAttr();
        }
        next();
        return false;
    }

    public void toRoot() {
        Xobj xobj = this._xobj;
        while (true) {
            if (!xobj.isRoot()) {
                xobj = xobj._parent;
                if (xobj == null) {
                    Cur tempCur = this._locale.tempCur();
                    tempCur.createRoot();
                    Xobj xobj2 = tempCur._xobj;
                    tempCur.next();
                    moveNode(tempCur);
                    tempCur.release();
                    xobj = xobj2;
                    break;
                }
            } else {
                break;
            }
        }
        moveTo(xobj);
    }

    public final QName valueAsQName() {
        throw new RuntimeException("Not implemented");
    }

    public Cur weakCur(Object obj) {
        Cur weakCur = this._locale.weakCur(obj);
        weakCur.moveToCur(this);
        return weakCur;
    }

    public static Xobj createDomDocumentRootXobj(Locale locale, boolean z) {
        Xobj.NodeXobj nodeXobj;
        if (locale._saaj != null) {
            nodeXobj = new Xobj.SoapPartDocXobj(locale);
        } else if (z) {
            nodeXobj = new Xobj.DocumentFragXobj(locale);
        } else {
            nodeXobj = new Xobj.DocumentXobj(locale);
        }
        if (locale._ownerDoc == null) {
            locale._ownerDoc = nodeXobj.getDom();
        }
        return nodeXobj;
    }

    public static void dump(DomImpl.Dom dom) {
        dump(System.out, dom);
    }

    public void createElement(QName qName, QName qName2) {
        createHelper(createElementXobj(this._locale, qName, qName2));
    }

    public Xobj getParent(boolean z) {
        if ($assertionsDisabled || isPositioned()) {
            int i2 = this._pos;
            if (i2 == -1 || (i2 >= 1 && i2 < this._xobj.posAfter())) {
                return this._xobj;
            }
            if ($assertionsDisabled || this._pos == 0 || this._xobj._parent != null) {
                Xobj xobj = this._xobj;
                Xobj xobj2 = xobj._parent;
                if (xobj2 != null) {
                    return xobj2;
                }
                if (z || xobj.isRoot()) {
                    return null;
                }
                Cur tempCur = this._locale.tempCur();
                tempCur.createRoot();
                Xobj xobj3 = tempCur._xobj;
                tempCur.next();
                moveNode(tempCur);
                tempCur.release();
                return xobj3;
            }
            throw new AssertionError();
        }
        throw new AssertionError();
    }

    public void moveTo(Xobj xobj, int i2) {
        Xobj xobj2;
        Xobj xobj3;
        int i3;
        if (!$assertionsDisabled && xobj != null && this._locale != xobj._locale) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && xobj == null && i2 != -2) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && xobj != null && !xobj.isNormal(i2) && (!xobj.isVacant() || xobj._cchValue != 0 || xobj._user != null)) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && (i3 = this._state) != 1 && i3 != 2) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && this._state != 2 && (xobj3 = this._xobj) != null && isOnList(xobj3._embedded)) {
            throw new AssertionError();
        } else if ($assertionsDisabled || this._state == 1 || ((xobj2 = this._xobj) != null && isOnList(xobj2._embedded))) {
            moveToNoCheck(xobj, i2);
            if (!$assertionsDisabled && !isNormal()) {
                if (this._xobj.isVacant()) {
                    Xobj xobj4 = this._xobj;
                    if (xobj4._cchValue == 0 && xobj4._user == null) {
                        return;
                    }
                }
                throw new AssertionError();
            }
        } else {
            throw new AssertionError();
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:54:0x0099, code lost:
        if (r1 != null) goto L_0x005a;
     */
    public boolean next() {
        Xobj xobj;
        Xobj xobj2;
        Xobj xobj3;
        Xobj xobj4;
        if ($assertionsDisabled || isNormal()) {
            Xobj xobj5 = this._xobj;
            int i2 = this._pos;
            int posAfter = xobj5.posAfter();
            if (i2 >= posAfter) {
                posAfter = this._xobj.posMax();
            } else if (i2 != -1) {
                if (i2 > 0) {
                    if ($assertionsDisabled || (xobj3 = xobj5._firstChild) == null || !xobj3.isAttr()) {
                        xobj2 = xobj5._firstChild;
                        if (xobj2 == null) {
                            posAfter = -1;
                        }
                    } else {
                        throw new AssertionError();
                    }
                } else if ($assertionsDisabled || i2 == 0) {
                    xobj5.ensureOccupancy();
                    if (xobj5._cchValue == 0 && (xobj = xobj5._firstChild) != null) {
                        if (xobj.isAttr()) {
                            Xobj xobj6 = xobj5._firstChild;
                            while (true) {
                                Xobj xobj7 = xobj6._nextSibling;
                                if (xobj7 != null && xobj7.isAttr()) {
                                    xobj6 = xobj6._nextSibling;
                                }
                            }
                            if (xobj6._cchAfter > 0) {
                                posAfter = xobj6.posAfter();
                                xobj5 = xobj6;
                            } else {
                                xobj2 = xobj6._nextSibling;
                            }
                        } else {
                            xobj5 = xobj5._firstChild;
                            posAfter = 0;
                        }
                    }
                    posAfter = 1;
                } else {
                    throw new AssertionError();
                }
                xobj5 = xobj2;
                posAfter = 0;
            } else if (xobj5.isRoot() || (xobj5.isAttr() && ((xobj4 = xobj5._nextSibling) == null || !xobj4.isAttr()))) {
                return false;
            }
            moveTo(getNormal(xobj5, posAfter), this._posTemp);
            return true;
        }
        throw new AssertionError();
    }

    public void release() {
        if (this._tempFrame >= 0) {
            Cur cur = this._nextTemp;
            if (cur != null) {
                cur._prevTemp = this._prevTemp;
            }
            Cur cur2 = this._prevTemp;
            if (cur2 == null) {
                this._locale._tempFrames[this._tempFrame] = this._nextTemp;
            } else {
                cur2._nextTemp = this._nextTemp;
            }
            this._nextTemp = null;
            this._prevTemp = null;
            this._tempFrame = -1;
        }
        int i2 = this._state;
        if (i2 != 0 && i2 != 3) {
            while (this._stackTop != -1) {
                popButStay();
            }
            clearSelection();
            this._id = null;
            moveToCur(null);
            if (!$assertionsDisabled && !isNormal()) {
                throw new AssertionError();
            } else if (!$assertionsDisabled && this._xobj != null) {
                throw new AssertionError();
            } else if ($assertionsDisabled || this._pos == -2) {
                Locale.Ref ref = this._ref;
                if (ref != null) {
                    ref.clear();
                    this._ref._cur = null;
                }
                this._ref = null;
                if ($assertionsDisabled || this._state == 1) {
                    Locale locale = this._locale;
                    locale._registered = listRemove(locale._registered);
                    Locale locale2 = this._locale;
                    if (locale2._curPoolCount < 16) {
                        locale2._curPool = listInsert(locale2._curPool);
                        this._state = 0;
                        this._locale._curPoolCount++;
                        return;
                    }
                    this._locale = null;
                    this._state = 3;
                    return;
                }
                throw new AssertionError();
            } else {
                throw new AssertionError();
            }
        }
    }

    public void setSubstitution(QName qName, SchemaType schemaType, boolean z) {
        if (!$assertionsDisabled && qName == null) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && schemaType == null) {
            throw new AssertionError();
        } else if ($assertionsDisabled || isUserNode()) {
            TypeStoreUser peekUser = peekUser();
            if ((peekUser == null || peekUser.get_schema_type() != schemaType || !qName.equals(getName())) && !isRoot()) {
                TypeStoreUser user = this._xobj.ensureParent().getUser();
                if (isAttr()) {
                    if (z) {
                        throw new IllegalArgumentException("Can't use substitution with attributes");
                    }
                } else if (!$assertionsDisabled && !isElem()) {
                    throw new AssertionError();
                } else if (user.get_element_type(qName, null) == schemaType) {
                    setName(qName);
                    removeAttr(Locale._xsiType);
                } else {
                    QName name = schemaType.getName();
                    if (name == null) {
                        if (z) {
                            throw new IllegalArgumentException("Can't set xsi:type on element, type is un-named");
                        }
                    } else if (user.get_element_type(qName, name) == schemaType) {
                        setName(qName);
                        setAttrValueAsQName(Locale._xsiType, name);
                    } else if (z) {
                        throw new IllegalArgumentException("Can't set xsi:type on element, invalid type");
                    }
                }
            }
        } else {
            throw new AssertionError();
        }
    }

    public void setType(SchemaType schemaType, boolean z) {
        if (!$assertionsDisabled && schemaType == null) {
            throw new AssertionError();
        } else if ($assertionsDisabled || isUserNode()) {
            TypeStoreUser peekUser = peekUser();
            if (peekUser != null && peekUser.get_schema_type() == schemaType) {
                return;
            }
            if (isRoot()) {
                this._xobj.setStableType(schemaType);
                return;
            }
            TypeStoreUser user = this._xobj.ensureParent().getUser();
            if (isAttr()) {
                if (z && user.get_attribute_type(getName()) != schemaType) {
                    StringBuffer a = a.a("Can't set type of attribute to ");
                    a.append(schemaType.toString());
                    throw new IllegalArgumentException(a.toString());
                }
            } else if (!$assertionsDisabled && !isElem()) {
                throw new AssertionError();
            } else if (user.get_element_type(getName(), null) == schemaType) {
                removeAttr(Locale._xsiType);
            } else {
                QName name = schemaType.getName();
                if (name == null) {
                    if (z) {
                        throw new IllegalArgumentException("Can't set type of element, type is un-named");
                    }
                } else if (user.get_element_type(getName(), name) == schemaType) {
                    setAttrValueAsQName(Locale._xsiType, name);
                } else if (z) {
                    throw new IllegalArgumentException("Can't set type of element, invalid type");
                }
            }
        } else {
            throw new AssertionError();
        }
    }

    public Cur tempCur(String str) {
        Cur tempCur = this._locale.tempCur(str);
        tempCur.moveToCur(this);
        return tempCur;
    }

    public boolean toParent(boolean z) {
        Xobj parent = getParent(z);
        if (parent == null) {
            return false;
        }
        moveTo(parent);
        return true;
    }

    public static final class CurLoadContext extends Locale.LoadContext {
        public static final /* synthetic */ boolean $assertionsDisabled;
        public Map _additionalNamespaces;
        public boolean _after;
        public CharUtil _charUtil;
        public boolean _discardDocElem;
        public String _doctypeName;
        public String _doctypePublicId;
        public String _doctypeSystemId;
        public Xobj _frontier;
        public int _lastPos;
        public Xobj _lastXobj;
        public Locale _locale;
        public QName _replaceDocElem;
        public boolean _stripComments;
        public boolean _stripLeft = true;
        public boolean _stripProcinsts;
        public boolean _stripWhitespace;
        public Map _substituteNamespaces;

        static {
            Class cls = Cur.class$org$apache$xmlbeans$impl$store$Cur;
            if (cls == null) {
                cls = Cur.class$("org.apache.xmlbeans.impl.store.Cur");
                Cur.class$org$apache$xmlbeans$impl$store$Cur = cls;
            }
            $assertionsDisabled = !cls.desiredAssertionStatus();
        }

        public CurLoadContext(Locale locale, XmlOptions xmlOptions) {
            XmlOptions maskNull = XmlOptions.maskNull(xmlOptions);
            this._locale = locale;
            this._charUtil = maskNull.hasOption(Cur.LOAD_USE_LOCALE_CHAR_UTIL) ? this._locale.getCharUtil() : CharUtil.getThreadLocalCharUtil();
            Xobj createDomDocumentRootXobj = Cur.createDomDocumentRootXobj(this._locale);
            this._frontier = createDomDocumentRootXobj;
            this._after = false;
            this._lastXobj = createDomDocumentRootXobj;
            this._lastPos = 0;
            if (maskNull.hasOption(XmlOptions.LOAD_REPLACE_DOCUMENT_ELEMENT)) {
                this._replaceDocElem = (QName) maskNull.get(XmlOptions.LOAD_REPLACE_DOCUMENT_ELEMENT);
                this._discardDocElem = true;
            }
            this._stripWhitespace = maskNull.hasOption(XmlOptions.LOAD_STRIP_WHITESPACE);
            this._stripComments = maskNull.hasOption(XmlOptions.LOAD_STRIP_COMMENTS);
            this._stripProcinsts = maskNull.hasOption(XmlOptions.LOAD_STRIP_PROCINSTS);
            this._substituteNamespaces = (Map) maskNull.get(XmlOptions.LOAD_SUBSTITUTE_NAMESPACES);
            this._additionalNamespaces = (Map) maskNull.get(XmlOptions.LOAD_ADDITIONAL_NAMESPACES);
            Locale locale2 = this._locale;
            locale2._versionAll++;
            locale2._versionSansText++;
        }

        private QName checkName(QName qName, boolean z) {
            String str;
            if (this._substituteNamespaces != null) {
                return ((!z || qName.getNamespaceURI().length() > 0) && (str = (String) this._substituteNamespaces.get(qName.getNamespaceURI())) != null) ? this._locale.makeQName(str, qName.getLocalPart(), qName.getPrefix()) : qName;
            }
            return qName;
        }

        private void end() {
            if (!$assertionsDisabled && this._frontier == null) {
                throw new AssertionError();
            } else if ($assertionsDisabled || !this._after || this._frontier._parent != null) {
                flushText();
                if (this._after) {
                    this._frontier = this._frontier._parent;
                } else {
                    this._after = true;
                }
                this._lastXobj = this._frontier;
                this._lastPos = -1;
            } else {
                throw new AssertionError();
            }
        }

        private void flushText() {
            if (!this._stripWhitespace) {
                return;
            }
            if (this._after) {
                Xobj xobj = this._frontier;
                xobj._srcAfter = this._charUtil.stripRight(xobj._srcAfter, xobj._offAfter, xobj._cchAfter);
                Xobj xobj2 = this._frontier;
                CharUtil charUtil = this._charUtil;
                xobj2._offAfter = charUtil._offSrc;
                xobj2._cchAfter = charUtil._cchSrc;
                return;
            }
            Xobj xobj3 = this._frontier;
            xobj3._srcValue = this._charUtil.stripRight(xobj3._srcValue, xobj3._offValue, xobj3._cchValue);
            Xobj xobj4 = this._frontier;
            CharUtil charUtil2 = this._charUtil;
            xobj4._offValue = charUtil2._offSrc;
            xobj4._cchValue = charUtil2._cchSrc;
        }

        private Xobj parent() {
            return this._after ? this._frontier._parent : this._frontier;
        }

        private void start(Xobj xobj) {
            if (!$assertionsDisabled && this._frontier == null) {
                throw new AssertionError();
            } else if ($assertionsDisabled || !this._after || this._frontier._parent != null) {
                flushText();
                if (this._after) {
                    this._frontier = this._frontier._parent;
                    this._after = false;
                }
                this._frontier.appendXobj(xobj);
                this._frontier = xobj;
                this._lastXobj = xobj;
                this._lastPos = 0;
            } else {
                throw new AssertionError();
            }
        }

        private void stripText(Object obj, int i2, int i3) {
            if (this._stripWhitespace && this._stripLeft) {
                obj = this._charUtil.stripLeft(obj, i2, i3);
                this._stripLeft = false;
                CharUtil charUtil = this._charUtil;
                int i4 = charUtil._offSrc;
                i3 = charUtil._cchSrc;
                i2 = i4;
            }
            text(obj, i2, i3);
        }

        private void text(Object obj, int i2, int i3) {
            if (i3 > 0) {
                Xobj xobj = this._frontier;
                this._lastXobj = xobj;
                int i4 = xobj._cchValue;
                int i5 = i4 + 1;
                this._lastPos = i5;
                if (this._after) {
                    int i6 = xobj._cchAfter;
                    this._lastPos = i6 + 1 + i5;
                    xobj._srcAfter = this._charUtil.saveChars(obj, i2, i3, xobj._srcAfter, xobj._offAfter, i6);
                    Xobj xobj2 = this._frontier;
                    CharUtil charUtil = this._charUtil;
                    xobj2._offAfter = charUtil._offSrc;
                    xobj2._cchAfter = charUtil._cchSrc;
                    return;
                }
                xobj._srcValue = this._charUtil.saveChars(obj, i2, i3, xobj._srcValue, xobj._offValue, i4);
                Xobj xobj3 = this._frontier;
                CharUtil charUtil2 = this._charUtil;
                xobj3._offValue = charUtil2._offSrc;
                xobj3._cchValue = charUtil2._cchSrc;
            }
        }

        @Override // org.apache.xmlbeans.impl.store.Locale.LoadContext
        public void abort() {
            this._stripLeft = true;
            while (!parent().isRoot()) {
                end();
            }
            finish().release();
        }

        @Override // org.apache.xmlbeans.impl.store.Locale.LoadContext
        public void attr(QName qName, String str) {
            if ($assertionsDisabled || parent().isContainer()) {
                boolean isAttrOfTypeId = isAttrOfTypeId(qName, (this._after ? this._lastXobj._parent : this._lastXobj).getQName());
                Xobj attrIdXobj = isAttrOfTypeId ? new Xobj.AttrIdXobj(this._locale, checkName(qName, true)) : new Xobj.AttrXobj(this._locale, checkName(qName, true));
                start(attrIdXobj);
                text(str, 0, str.length());
                end();
                if (isAttrOfTypeId) {
                    Cur tempCur = attrIdXobj.tempCur();
                    tempCur.toRoot();
                    Xobj xobj = tempCur._xobj;
                    tempCur.release();
                    if (xobj instanceof Xobj.DocumentXobj) {
                        ((Xobj.DocumentXobj) xobj).addIdElement(str, attrIdXobj._parent.getDom());
                    }
                }
                this._lastXobj = attrIdXobj;
                this._lastPos = 0;
                return;
            }
            throw new AssertionError();
        }

        @Override // org.apache.xmlbeans.impl.store.Locale.LoadContext
        public void bookmark(XmlCursor.XmlBookmark xmlBookmark) {
            this._lastXobj.setBookmark(this._lastPos, xmlBookmark.getKey(), xmlBookmark);
        }

        @Override // org.apache.xmlbeans.impl.store.Locale.LoadContext
        public void bookmarkLastAttr(QName qName, XmlCursor.XmlBookmark xmlBookmark) {
            if (this._lastPos == 0 && this._lastXobj.isAttr()) {
                if ($assertionsDisabled || this._lastXobj._parent != null) {
                    Xobj attr = this._lastXobj._parent.getAttr(qName);
                    if (attr != null) {
                        attr.setBookmark(0, xmlBookmark.getKey(), xmlBookmark);
                        return;
                    }
                    return;
                }
                throw new AssertionError();
            }
        }

        @Override // org.apache.xmlbeans.impl.store.Locale.LoadContext
        public void bookmarkLastNonAttr(XmlCursor.XmlBookmark xmlBookmark) {
            if (this._lastPos > 0 || !this._lastXobj.isAttr()) {
                this._lastXobj.setBookmark(this._lastPos, xmlBookmark.getKey(), xmlBookmark);
            } else if ($assertionsDisabled || this._lastXobj._parent != null) {
                this._lastXobj._parent.setBookmark(0, xmlBookmark.getKey(), xmlBookmark);
            } else {
                throw new AssertionError();
            }
        }

        @Override // org.apache.xmlbeans.impl.store.Locale.LoadContext
        public void comment(String str) {
            if (!this._stripComments) {
                comment(str, 0, str.length());
            }
            this._stripLeft = true;
        }

        public void dump() {
            this._frontier.dump();
        }

        @Override // org.apache.xmlbeans.impl.store.Locale.LoadContext
        public void endDTD() {
        }

        @Override // org.apache.xmlbeans.impl.store.Locale.LoadContext
        public void endElement() {
            if ($assertionsDisabled || parent().isElem()) {
                end();
                this._stripLeft = true;
                return;
            }
            throw new AssertionError();
        }

        @Override // org.apache.xmlbeans.impl.store.Locale.LoadContext
        public Cur finish() {
            Xobj xobj;
            flushText();
            if (this._after) {
                this._frontier = this._frontier._parent;
            }
            if ($assertionsDisabled || ((xobj = this._frontier) != null && xobj._parent == null && xobj.isRoot())) {
                Cur tempCur = this._frontier.tempCur();
                if (!Locale.toFirstChildElement(tempCur)) {
                    return tempCur;
                }
                boolean isFragmentQName = Locale.isFragmentQName(tempCur.getName());
                if (this._discardDocElem || isFragmentQName) {
                    QName qName = this._replaceDocElem;
                    if (qName != null) {
                        tempCur.setName(qName);
                    } else {
                        do {
                        } while (tempCur.toParent());
                        tempCur.next();
                        while (!tempCur.isElem()) {
                            if (tempCur.isText()) {
                                tempCur.moveChars(null, -1);
                            } else {
                                tempCur.moveNode(null);
                            }
                        }
                        if ($assertionsDisabled || tempCur.isElem()) {
                            tempCur.skip();
                            while (!tempCur.isFinish()) {
                                if (tempCur.isText()) {
                                    tempCur.moveChars(null, -1);
                                } else {
                                    tempCur.moveNode(null);
                                }
                            }
                            tempCur.toParent();
                            tempCur.next();
                            if ($assertionsDisabled || tempCur.isElem()) {
                                Cur tempCur2 = tempCur.tempCur();
                                tempCur.moveNodeContents(tempCur, true);
                                tempCur.moveToCur(tempCur2);
                                tempCur2.release();
                                tempCur.moveNode(null);
                            } else {
                                throw new AssertionError();
                            }
                        } else {
                            throw new AssertionError();
                        }
                    }
                    if (isFragmentQName) {
                        tempCur.moveTo(this._frontier);
                        if (tempCur.toFirstAttr()) {
                            while (true) {
                                if (tempCur.isXmlns() && tempCur.getXmlnsUri().equals(Locale._openFragUri)) {
                                    tempCur.moveNode(null);
                                    if (!tempCur.isAttr()) {
                                        break;
                                    }
                                } else if (!tempCur.toNextAttr()) {
                                    break;
                                }
                            }
                        }
                        tempCur.moveTo(this._frontier);
                        Xobj createDomDocumentRootXobj = Cur.createDomDocumentRootXobj(this._locale, true);
                        this._frontier = createDomDocumentRootXobj;
                        Cur tempCur3 = createDomDocumentRootXobj.tempCur();
                        tempCur3.next();
                        tempCur.moveNodeContents(tempCur3, true);
                        tempCur.moveTo(this._frontier);
                        tempCur3.release();
                    }
                }
                if (this._additionalNamespaces != null) {
                    tempCur.moveTo(this._frontier);
                    Locale.toFirstChildElement(tempCur);
                    Locale.applyNamespaces(tempCur, this._additionalNamespaces);
                }
                if (!(this._doctypeName == null || (this._doctypePublicId == null && this._doctypeSystemId == null))) {
                    XmlDocumentProperties docProps = Locale.getDocProps(tempCur, true);
                    docProps.setDoctypeName(this._doctypeName);
                    String str = this._doctypePublicId;
                    if (str != null) {
                        docProps.setDoctypePublicId(str);
                    }
                    String str2 = this._doctypeSystemId;
                    if (str2 != null) {
                        docProps.setDoctypeSystemId(str2);
                    }
                }
                tempCur.moveTo(this._frontier);
                if ($assertionsDisabled || tempCur.isRoot()) {
                    return tempCur;
                }
                throw new AssertionError();
            }
            throw new AssertionError();
        }

        @Override // org.apache.xmlbeans.impl.store.Locale.LoadContext
        public void lineNumber(int i2, int i3, int i4) {
            Xobj xobj = this._lastXobj;
            int i5 = this._lastPos;
            Class cls = Cur.class$org$apache$xmlbeans$XmlLineNumber;
            if (cls == null) {
                cls = Cur.class$("org.apache.xmlbeans.XmlLineNumber");
                Cur.class$org$apache$xmlbeans$XmlLineNumber = cls;
            }
            xobj.setBookmark(i5, cls, new XmlLineNumber(i2, i3, i4));
        }

        @Override // org.apache.xmlbeans.impl.store.Locale.LoadContext
        public void procInst(String str, String str2) {
            if (!this._stripProcinsts) {
                Xobj.ProcInstXobj procInstXobj = new Xobj.ProcInstXobj(this._locale, str);
                start(procInstXobj);
                text(str2, 0, str2.length());
                end();
                this._lastXobj = procInstXobj;
                this._lastPos = 0;
            }
            this._stripLeft = true;
        }

        @Override // org.apache.xmlbeans.impl.store.Locale.LoadContext
        public void startDTD(String str, String str2, String str3) {
            this._doctypeName = str;
            this._doctypePublicId = str2;
            this._doctypeSystemId = str3;
        }

        @Override // org.apache.xmlbeans.impl.store.Locale.LoadContext
        public void startElement(QName qName) {
            start(Cur.createElementXobj(this._locale, checkName(qName, false), parent()._name));
            this._stripLeft = true;
        }

        @Override // org.apache.xmlbeans.impl.store.Locale.LoadContext
        public void xmlns(String str, String str2) {
            String str3;
            if ($assertionsDisabled || parent().isContainer()) {
                Map map = this._substituteNamespaces;
                if (!(map == null || (str3 = (String) map.get(str2)) == null)) {
                    str2 = str3;
                }
                Locale locale = this._locale;
                Xobj.AttrXobj attrXobj = new Xobj.AttrXobj(locale, locale.createXmlns(str));
                start(attrXobj);
                text(str2, 0, str2.length());
                end();
                this._lastXobj = attrXobj;
                this._lastPos = 0;
                return;
            }
            throw new AssertionError();
        }

        @Override // org.apache.xmlbeans.impl.store.Locale.LoadContext
        public void comment(char[] cArr, int i2, int i3) {
            if (!this._stripComments) {
                Object saveChars = this._charUtil.saveChars(cArr, i2, i3);
                CharUtil charUtil = this._charUtil;
                comment(saveChars, charUtil._offSrc, charUtil._cchSrc);
            }
            this._stripLeft = true;
        }

        private void comment(Object obj, int i2, int i3) {
            Xobj.CommentXobj commentXobj = new Xobj.CommentXobj(this._locale);
            start(commentXobj);
            text(obj, i2, i3);
            end();
            this._lastXobj = commentXobj;
            this._lastPos = 0;
        }

        @Override // org.apache.xmlbeans.impl.store.Locale.LoadContext
        public void text(String str) {
            if (str != null) {
                stripText(str, 0, str.length());
            }
        }

        @Override // org.apache.xmlbeans.impl.store.Locale.LoadContext
        public void text(char[] cArr, int i2, int i3) {
            stripText(cArr, i2, i3);
        }

        @Override // org.apache.xmlbeans.impl.store.Locale.LoadContext
        public void attr(String str, String str2, String str3, String str4) {
            attr(this._locale.makeQName(str2, str, str3), str4);
        }
    }

    public static void dump(Node node) {
        dump(System.out, node);
    }

    private Xobj getDenormal(Xobj xobj, int i2) {
        Xobj denormal = xobj.getDenormal(i2);
        this._posTemp = xobj._locale._posTemp;
        return denormal;
    }

    public String getCharsAsString(int i2, int i3) {
        return this._xobj.getCharsAsString(this._pos, i2, i3);
    }

    public String getValueAsString() {
        if (!$assertionsDisabled && !isNode()) {
            throw new AssertionError();
        } else if ($assertionsDisabled || !hasChildren()) {
            return this._xobj.getValueAsString();
        } else {
            throw new AssertionError();
        }
    }

    public boolean isJustAfterEnd(Xobj xobj) {
        return xobj.isJustAfterEnd(this._xobj, this._pos);
    }

    public boolean pop() {
        int i2 = this._stackTop;
        if (i2 == -1) {
            return false;
        }
        this._locale._locations.moveTo(i2, this);
        Locations locations = this._locale._locations;
        int i3 = this._stackTop;
        this._stackTop = locations.remove(i3, i3);
        return true;
    }

    public static void dump(PrintStream printStream, Node node) {
        dump(printStream, (DomImpl.Dom) node);
    }

    /* JADX WARNING: Removed duplicated region for block: B:105:0x0170  */
    /* JADX WARNING: Removed duplicated region for block: B:139:0x01f0  */
    /* JADX WARNING: Removed duplicated region for block: B:153:? A[RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:64:0x00e3  */
    /* JADX WARNING: Removed duplicated region for block: B:98:0x0145  */
    public static void moveNodeContents(Xobj xobj, Cur cur, boolean z) {
        int i2;
        Xobj walk;
        Xobj xobj2;
        Xobj xobj3;
        boolean z2;
        if ($assertionsDisabled || cur == null || !cur.isRoot()) {
            boolean hasAttrs = xobj.hasAttrs();
            int i3 = 1;
            boolean z3 = true;
            boolean z4 = false;
            Cur cur2 = null;
            if (!(!xobj.hasChildren() && (!z || !hasAttrs))) {
                if (cur != null) {
                    if (xobj == cur._xobj && cur._pos == -1) {
                        cur.moveTo(xobj);
                        if (!z || !hasAttrs) {
                            z3 = false;
                        }
                        cur.next(z3);
                        return;
                    }
                    if (cur._locale == xobj._locale) {
                        cur.push();
                        cur.moveTo(xobj);
                        cur.next(z && hasAttrs);
                        z2 = cur.isAtLastPush();
                        cur.pop();
                    } else {
                        z2 = false;
                    }
                    if (!z2) {
                        if (!$assertionsDisabled && xobj.contains(cur)) {
                            throw new AssertionError();
                        } else if (!$assertionsDisabled && !cur.getParent().isOccupied()) {
                            throw new AssertionError();
                        }
                    } else {
                        return;
                    }
                }
                if (xobj.hasTextNoEnsureOccupancy()) {
                    Cur tempCur = xobj.tempCur();
                    tempCur.next();
                    tempCur.moveChars(cur, -1);
                    tempCur.release();
                    if (cur != null) {
                        i2 = tempCur._cchSrc;
                        cur.nextChars(i2);
                        xobj._locale.embedCurs();
                        walk = xobj.walk(xobj, true);
                        Xobj xobj4 = walk;
                        boolean z5 = false;
                        while (walk != null) {
                            if (walk._parent == xobj && walk.isAttr()) {
                                if (!$assertionsDisabled && walk._cchAfter != 0) {
                                    throw new AssertionError();
                                } else if (!z) {
                                    xobj4 = walk._nextSibling;
                                    walk = walk.walk(xobj, true);
                                } else {
                                    if (cur == null) {
                                        xobj3 = null;
                                    } else {
                                        xobj3 = cur.getParent();
                                    }
                                    walk.invalidateSpecialAttr(xobj3);
                                }
                            }
                            while (true) {
                                Cur cur3 = walk._embedded;
                                if (cur3 == null) {
                                    break;
                                }
                                cur3.moveTo(xobj, -1);
                            }
                            walk.disconnectUser();
                            if (cur != null) {
                                walk._locale = cur._locale;
                            }
                            if (z5 || walk._bookmarks != null) {
                                z5 = true;
                                walk = walk.walk(xobj, true);
                            } else {
                                z5 = false;
                                walk = walk.walk(xobj, true);
                            }
                        }
                        xobj2 = xobj._lastChild;
                        if (z5 && cur == null) {
                            cur = xobj._locale.tempCur();
                            cur.createRoot();
                            cur.next();
                            cur2 = cur;
                        }
                        if (!xobj2.isAttr()) {
                            xobj.invalidateUser();
                        }
                        Locale locale = xobj._locale;
                        locale._versionAll++;
                        locale._versionSansText++;
                        if (cur != null && i2 == 0) {
                            cur.getParent().invalidateUser();
                            Locale locale2 = cur._locale;
                            locale2._versionAll++;
                            locale2._versionSansText++;
                        }
                        xobj.removeXobjs(xobj4, xobj2);
                        if (cur != null) {
                            Xobj xobj5 = cur._xobj;
                            boolean z6 = cur._pos != 0;
                            int cchRight = cur.cchRight();
                            if (cchRight > 0) {
                                cur.push();
                                cur.next();
                                xobj5 = cur._xobj;
                                if (cur._pos != 0) {
                                    z4 = true;
                                }
                                cur.pop();
                                z6 = z4;
                            }
                            if (xobj4.isAttr()) {
                                Xobj xobj6 = xobj4;
                                while (true) {
                                    Xobj xobj7 = xobj6._nextSibling;
                                    if (xobj7 == null || !xobj7.isAttr()) {
                                        Xobj parent = cur.getParent();
                                    } else {
                                        xobj6 = xobj6._nextSibling;
                                    }
                                }
                                Xobj parent2 = cur.getParent();
                                if (cchRight > 0) {
                                    transferChars(cur._xobj, cur._pos, xobj6, xobj6.posMax(), cchRight);
                                }
                                if (parent2.hasTextNoEnsureOccupancy()) {
                                    int i4 = parent2._cchValue;
                                    if (i4 <= 0) {
                                        parent2 = parent2.lastAttr();
                                        i3 = parent2.posAfter();
                                        i4 = parent2._cchAfter;
                                    }
                                    transferChars(parent2, i3, xobj6, xobj6.posAfter(), i4);
                                }
                            } else if (cchRight > 0) {
                                transferChars(cur._xobj, cur._pos, xobj2, xobj2.posMax(), cchRight);
                            }
                            if (z6) {
                                xobj5.appendXobjs(xobj4, xobj2);
                            } else {
                                xobj5.insertXobjs(xobj4, xobj2);
                            }
                            cur.moveTo(xobj4);
                            cur.prevChars(i2);
                        }
                        if (cur2 == null) {
                            cur2.release();
                            return;
                        }
                        return;
                    }
                }
                i2 = 0;
                xobj._locale.embedCurs();
                walk = xobj.walk(xobj, true);
                Xobj xobj42 = walk;
                boolean z52 = false;
                while (walk != null) {
                }
                xobj2 = xobj._lastChild;
                cur = xobj._locale.tempCur();
                cur.createRoot();
                cur.next();
                cur2 = cur;
                if (!xobj2.isAttr()) {
                }
                Locale locale3 = xobj._locale;
                locale3._versionAll++;
                locale3._versionSansText++;
                cur.getParent().invalidateUser();
                Locale locale22 = cur._locale;
                locale22._versionAll++;
                locale22._versionSansText++;
                xobj.removeXobjs(xobj42, xobj2);
                if (cur != null) {
                }
                if (cur2 == null) {
                }
            } else if (xobj.isVacant() && cur == null) {
                xobj.clearBit(256);
                xobj.invalidateUser();
                xobj.invalidateSpecialAttr(null);
                xobj._locale._versionAll++;
            } else if (xobj.hasTextEnsureOccupancy()) {
                Cur tempCur2 = xobj.tempCur();
                tempCur2.next();
                tempCur2.moveChars(cur, -1);
                tempCur2.release();
            }
        } else {
            throw new AssertionError();
        }
    }

    private Cur tempCur(Xobj xobj, int i2) {
        if (!$assertionsDisabled && this._locale != xobj._locale) {
            throw new AssertionError();
        } else if ($assertionsDisabled || xobj != null || i2 == -2) {
            Cur tempCur = this._locale.tempCur();
            if (xobj != null) {
                tempCur.moveTo(getNormal(xobj, i2), this._posTemp);
            }
            return tempCur;
        } else {
            throw new AssertionError();
        }
    }

    public boolean inChars(Xobj.Bookmark bookmark, int i2, boolean z) {
        if (!$assertionsDisabled && (!isPositioned() || !isText() || cchRight() < i2)) {
            throw new AssertionError();
        } else if ($assertionsDisabled || bookmark._xobj.isNormal(bookmark._pos)) {
            return this._xobj.inChars(this._pos, bookmark._xobj, bookmark._pos, i2, z);
        } else {
            throw new AssertionError();
        }
    }

    public void dump() {
        dump(System.out, this._xobj, this);
    }

    public void addToSelection() {
        if ($assertionsDisabled || isPositioned()) {
            this._selectionFirst = this._locale._locations.insert(this._selectionFirst, -1, this._locale._locations.allocate(this));
            this._selectionCount++;
            return;
        }
        throw new AssertionError();
    }

    public void dump(PrintStream printStream) {
        Xobj xobj = this._xobj;
        if (xobj == null) {
            printStream.println("Unpositioned xptr");
        } else {
            dump(printStream, xobj, this);
        }
    }

    public static void moveNode(Xobj xobj, Cur cur) {
        Xobj xobj2;
        Locale locale;
        if (!$assertionsDisabled && (xobj == null || xobj.isRoot())) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && cur != null && !cur.isPositioned()) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && cur != null && xobj.contains(cur)) {
            throw new AssertionError();
        } else if ($assertionsDisabled || cur == null || !cur.isRoot()) {
            if (cur != null) {
                if (cur._pos == -1) {
                    cur._xobj.ensureOccupancy();
                }
                if ((cur._pos == 0 && cur._xobj == xobj) || cur.isJustAfterEnd(xobj)) {
                    cur.moveTo(xobj);
                    return;
                }
            }
            xobj._locale.notifyChange();
            Locale locale2 = xobj._locale;
            locale2._versionAll++;
            locale2._versionSansText++;
            if (!(cur == null || (locale = cur._locale) == locale2)) {
                locale.notifyChange();
                Locale locale3 = cur._locale;
                locale3._versionAll++;
                locale3._versionSansText++;
            }
            if (xobj.isAttr()) {
                if (cur == null) {
                    xobj2 = null;
                } else {
                    xobj2 = cur.getParentRaw();
                }
                xobj.invalidateSpecialAttr(xobj2);
            } else {
                Xobj xobj3 = xobj._parent;
                if (xobj3 != null) {
                    xobj3.invalidateUser();
                }
                if (cur != null && cur.hasParent()) {
                    cur.getParent().invalidateUser();
                }
            }
            boolean z = false;
            if (xobj._cchAfter > 0) {
                transferChars(xobj, xobj.posAfter(), xobj.getDenormal(0), xobj.posTemp(), xobj._cchAfter);
            }
            if ($assertionsDisabled || xobj._cchAfter == 0) {
                xobj._locale.embedCurs();
                Xobj xobj4 = xobj;
                while (xobj4 != null) {
                    while (true) {
                        Cur cur2 = xobj4._embedded;
                        if (cur2 == null) {
                            break;
                        }
                        cur2.moveTo(xobj.getNormal(xobj.posAfter()));
                    }
                    xobj4.disconnectUser();
                    if (cur != null) {
                        xobj4._locale = cur._locale;
                    }
                    xobj4 = xobj4.walk(xobj, true);
                }
                xobj.removeXobj();
                if (cur != null) {
                    Xobj xobj5 = cur._xobj;
                    boolean z2 = cur._pos != 0;
                    int cchRight = cur.cchRight();
                    if (cchRight > 0) {
                        cur.push();
                        cur.next();
                        xobj5 = cur._xobj;
                        if (cur._pos != 0) {
                            z = true;
                        }
                        cur.pop();
                        z2 = z;
                    }
                    if (z2) {
                        xobj5.appendXobj(xobj);
                    } else {
                        xobj5.insertXobj(xobj);
                    }
                    if (cchRight > 0) {
                        transferChars(cur._xobj, cur._pos, xobj, xobj.posAfter(), cchRight);
                    }
                    cur.moveTo(xobj);
                    return;
                }
                return;
            }
            throw new AssertionError();
        } else {
            throw new AssertionError();
        }
    }

    public static void dump(PrintStream printStream, Xobj xobj, Object obj) {
        if (obj == null) {
            obj = xobj;
        }
        while (true) {
            Xobj xobj2 = xobj._parent;
            if (xobj2 != null) {
                xobj = xobj2;
            } else {
                dumpXobj(printStream, xobj, 0, obj);
                printStream.println();
                return;
            }
        }
    }
}
