package org.apache.xmlbeans.impl.store;

import b.b.a.a.a;
import java.io.PrintStream;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.Locale;
import javax.xml.transform.Source;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.XmlCursor;
import org.apache.xmlbeans.XmlException;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlRuntimeException;
import org.apache.xmlbeans.impl.common.XMLChar;
import org.apache.xmlbeans.impl.jam.xml.JamXmlElements;
import org.apache.xmlbeans.impl.soap.Detail;
import org.apache.xmlbeans.impl.soap.DetailEntry;
import org.apache.xmlbeans.impl.soap.Name;
import org.apache.xmlbeans.impl.soap.SOAPBody;
import org.apache.xmlbeans.impl.soap.SOAPBodyElement;
import org.apache.xmlbeans.impl.soap.SOAPElement;
import org.apache.xmlbeans.impl.soap.SOAPEnvelope;
import org.apache.xmlbeans.impl.soap.SOAPFault;
import org.apache.xmlbeans.impl.soap.SOAPHeader;
import org.apache.xmlbeans.impl.soap.SOAPHeaderElement;
import org.apache.xmlbeans.impl.soap.SOAPPart;
import org.apache.xmlbeans.impl.soap.Text;
import org.apache.xmlbeans.impl.store.Xobj;
import org.w3c.dom.Attr;
import org.w3c.dom.CDATASection;
import org.w3c.dom.CharacterData;
import org.w3c.dom.Comment;
import org.w3c.dom.DOMException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.Document;
import org.w3c.dom.DocumentFragment;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;
import org.w3c.dom.EntityReference;
import org.w3c.dom.NamedNodeMap;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;
import org.w3c.dom.ProcessingInstruction;
import org.w3c.dom.UserDataHandler;

public final class DomImpl {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static final int ATTR = 2;
    public static final int CDATA = 4;
    public static final int COMMENT = 8;
    public static final int DOCFRAG = 11;
    public static final int DOCTYPE = 10;
    public static final int DOCUMENT = 9;
    public static final int ELEMENT = 1;
    public static final int ENTITY = 6;
    public static final int ENTITYREF = 5;
    public static final int NOTATION = 12;
    public static final int PROCINST = 7;
    public static final int TEXT = 3;
    public static NodeList _emptyNodeList = new EmptyNodeList();
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$store$DomImpl;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$store$DomImpl$SaajData;

    public static class CdataNode extends TextNode implements CDATASection {
        public CdataNode(Locale locale) {
            super(locale);
        }

        @Override // org.apache.xmlbeans.impl.store.DomImpl.TextNode
        public String name() {
            return "#cdata-section";
        }

        @Override // org.apache.xmlbeans.impl.store.DomImpl.Dom, org.apache.xmlbeans.impl.store.DomImpl.TextNode
        public int nodeType() {
            return 4;
        }
    }

    public interface Dom {
        void dump();

        void dump(PrintStream printStream);

        void dump(PrintStream printStream, Object obj);

        QName getQName();

        Locale locale();

        boolean nodeCanHavePrefixUri();

        int nodeType();

        Cur tempCur();
    }

    public static class ElementsByTagNameNSNodeList extends ElementsNodeList {
        public String _local;
        public String _uri;

        public ElementsByTagNameNSNodeList(Dom dom, String str, String str2) {
            super(dom);
            this._uri = str == null ? "" : str;
            this._local = str2;
        }

        @Override // org.apache.xmlbeans.impl.store.DomImpl.ElementsNodeList
        public boolean match(Dom dom) {
            if (!this._uri.equals("*") && !DomImpl._node_getNamespaceURI(dom).equals(this._uri)) {
                return false;
            }
            if (this._local.equals("*")) {
                return true;
            }
            return DomImpl._node_getLocalName(dom).equals(this._local);
        }
    }

    public static class ElementsByTagNameNodeList extends ElementsNodeList {
        public String _name;

        public ElementsByTagNameNodeList(Dom dom, String str) {
            super(dom);
            this._name = str;
        }

        @Override // org.apache.xmlbeans.impl.store.DomImpl.ElementsNodeList
        public boolean match(Dom dom) {
            if (this._name.equals("*")) {
                return true;
            }
            return DomImpl._node_getNodeName(dom).equals(this._name);
        }
    }

    public static abstract class ElementsNodeList implements NodeList {
        public static final /* synthetic */ boolean $assertionsDisabled;
        public ArrayList _elements;
        public Locale _locale;
        public Dom _root;
        public long _version;

        static {
            Class cls = DomImpl.class$org$apache$xmlbeans$impl$store$DomImpl;
            if (cls == null) {
                cls = DomImpl.class$("org.apache.xmlbeans.impl.store.DomImpl");
                DomImpl.class$org$apache$xmlbeans$impl$store$DomImpl = cls;
            }
            $assertionsDisabled = !cls.desiredAssertionStatus();
        }

        public ElementsNodeList(Dom dom) {
            if ($assertionsDisabled || dom.nodeType() == 9 || dom.nodeType() == 1) {
                this._root = dom;
                this._locale = dom.locale();
                this._version = 0;
                return;
            }
            throw new AssertionError();
        }

        private void addElements(Dom dom) {
            for (Dom firstChild = DomImpl.firstChild(dom); firstChild != null; firstChild = DomImpl.nextSibling(firstChild)) {
                if (firstChild.nodeType() == 1) {
                    if (match(firstChild)) {
                        this._elements.add(firstChild);
                    }
                    addElements(firstChild);
                }
            }
        }

        private void ensureElements() {
            if (this._version != this._locale.version()) {
                this._version = this._locale.version();
                this._elements = new ArrayList();
                Locale locale = this._locale;
                if (locale.noSync()) {
                    locale.enter();
                    try {
                        addElements(this._root);
                    } finally {
                        locale.exit();
                    }
                } else {
                    synchronized (locale) {
                        locale.enter();
                        try {
                            addElements(this._root);
                        } finally {
                            locale.exit();
                        }
                    }
                }
            }
        }

        @Override // org.w3c.dom.NodeList
        public int getLength() {
            ensureElements();
            return this._elements.size();
        }

        @Override // org.w3c.dom.NodeList
        public Node item(int i2) {
            ensureElements();
            if (i2 < 0 || i2 >= this._elements.size()) {
                return null;
            }
            return (Node) this._elements.get(i2);
        }

        public abstract boolean match(Dom dom);
    }

    public static final class EmptyNodeList implements NodeList {
        public EmptyNodeList() {
        }

        @Override // org.w3c.dom.NodeList
        public int getLength() {
            return 0;
        }

        @Override // org.w3c.dom.NodeList
        public Node item(int i2) {
            return null;
        }
    }

    public static class HierarchyRequestErr extends DOMException {
        public HierarchyRequestErr() {
            this("This node isn't allowed there");
        }

        public HierarchyRequestErr(String str) {
            super(3, str);
        }
    }

    public static class IndexSizeError extends DOMException {
        public IndexSizeError() {
            this("Index Size Error");
        }

        public IndexSizeError(String str) {
            super(1, str);
        }
    }

    public static class InuseAttributeError extends DOMException {
        public InuseAttributeError() {
            this("Attribute currently in use error");
        }

        public InuseAttributeError(String str) {
            super(10, str);
        }
    }

    public static class InvalidCharacterError extends DOMException {
        public InvalidCharacterError() {
            this("The name contains an invalid character");
        }

        public InvalidCharacterError(String str) {
            super(5, str);
        }
    }

    public static class NamespaceErr extends DOMException {
        public NamespaceErr() {
            this("Namespace error");
        }

        public NamespaceErr(String str) {
            super(14, str);
        }
    }

    public static class NoModificationAllowedErr extends DOMException {
        public NoModificationAllowedErr() {
            this("No modification allowed error");
        }

        public NoModificationAllowedErr(String str) {
            super(7, str);
        }
    }

    public static class NotFoundErr extends DOMException {
        public NotFoundErr() {
            this("Node not found");
        }

        public NotFoundErr(String str) {
            super(8, str);
        }
    }

    public static class NotSupportedError extends DOMException {
        public NotSupportedError() {
            this("This operation is not supported");
        }

        public NotSupportedError(String str) {
            super(9, str);
        }
    }

    public static class SaajCdataNode extends CdataNode implements Text {
        public SaajCdataNode(Locale locale) {
            super(locale);
        }

        @Override // org.apache.xmlbeans.impl.soap.Node
        public void detachNode() {
            DomImpl._soapNode_detachNode(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.Node
        public SOAPElement getParentElement() {
            return DomImpl._soapNode_getParentElement(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.Node
        public String getValue() {
            return DomImpl._soapNode_getValue(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.Text
        public boolean isComment() {
            return DomImpl._soapText_isComment(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.Node
        public void recycleNode() {
            DomImpl._soapNode_recycleNode(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.Node
        public void setParentElement(SOAPElement sOAPElement) {
            DomImpl._soapNode_setParentElement(this, sOAPElement);
        }

        @Override // org.apache.xmlbeans.impl.soap.Node
        public void setValue(String str) {
            DomImpl._soapNode_setValue(this, str);
        }
    }

    public static class SaajData {
        public Object _obj;

        public SaajData() {
        }
    }

    public static class SaajTextNode extends TextNode implements Text {
        public SaajTextNode(Locale locale) {
            super(locale);
        }

        @Override // org.apache.xmlbeans.impl.soap.Node
        public void detachNode() {
            DomImpl._soapNode_detachNode(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.Node
        public SOAPElement getParentElement() {
            return DomImpl._soapNode_getParentElement(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.Node
        public String getValue() {
            return DomImpl._soapNode_getValue(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.Text
        public boolean isComment() {
            return DomImpl._soapText_isComment(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.Node
        public void recycleNode() {
            DomImpl._soapNode_recycleNode(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.Node
        public void setParentElement(SOAPElement sOAPElement) {
            DomImpl._soapNode_setParentElement(this, sOAPElement);
        }

        @Override // org.apache.xmlbeans.impl.soap.Node
        public void setValue(String str) {
            DomImpl._soapNode_setValue(this, str);
        }
    }

    public static class TextNode extends CharNode implements org.w3c.dom.Text {
        public TextNode(Locale locale) {
            super(locale);
        }

        @Override // org.w3c.dom.Text
        public String getWholeText() {
            return DomImpl._text_getWholeText(this);
        }

        @Override // org.w3c.dom.Text
        public boolean isElementContentWhitespace() {
            return DomImpl._text_isElementContentWhitespace(this);
        }

        public String name() {
            return "#text";
        }

        @Override // org.apache.xmlbeans.impl.store.DomImpl.Dom
        public int nodeType() {
            return 3;
        }

        @Override // org.w3c.dom.Text
        public org.w3c.dom.Text replaceWholeText(String str) {
            return DomImpl._text_replaceWholeText(this, str);
        }

        @Override // org.w3c.dom.Text
        public org.w3c.dom.Text splitText(int i2) {
            return DomImpl._text_splitText(this, i2);
        }
    }

    public static class WrongDocumentErr extends DOMException {
        public WrongDocumentErr() {
            this("Nodes do not belong to the same document");
        }

        public WrongDocumentErr(String str) {
            super(4, str);
        }
    }

    static {
        Class cls = class$org$apache$xmlbeans$impl$store$DomImpl;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.store.DomImpl");
            class$org$apache$xmlbeans$impl$store$DomImpl = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
    }

    public static Element _attr_getOwnerElement(Dom dom) {
        Dom dom2;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                dom2 = attr_getOwnerElement(dom);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    dom2 = attr_getOwnerElement(dom);
                } finally {
                    locale.exit();
                }
            }
        }
        return (Element) dom2;
    }

    public static boolean _attr_getSpecified(Dom dom) {
        return true;
    }

    public static int _attributes_getLength(Dom dom) {
        int attributes_getLength;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                return attributes_getLength(dom);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    attributes_getLength = attributes_getLength(dom);
                } finally {
                    locale.exit();
                }
            }
            return attributes_getLength;
        }
    }

    public static Node _attributes_getNamedItem(Dom dom, String str) {
        Dom dom2;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                dom2 = attributes_getNamedItem(dom, str);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    dom2 = attributes_getNamedItem(dom, str);
                } finally {
                    locale.exit();
                }
            }
        }
        return (Node) dom2;
    }

    public static Node _attributes_getNamedItemNS(Dom dom, String str, String str2) {
        Dom dom2;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                dom2 = attributes_getNamedItemNS(dom, str, str2);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    dom2 = attributes_getNamedItemNS(dom, str, str2);
                } finally {
                    locale.exit();
                }
            }
        }
        return (Node) dom2;
    }

    public static Node _attributes_item(Dom dom, int i2) {
        Dom dom2;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                dom2 = attributes_item(dom, i2);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    dom2 = attributes_item(dom, i2);
                } finally {
                    locale.exit();
                }
            }
        }
        return (Node) dom2;
    }

    public static Node _attributes_removeNamedItem(Dom dom, String str) {
        Dom dom2;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                dom2 = attributes_removeNamedItem(dom, str);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    dom2 = attributes_removeNamedItem(dom, str);
                } finally {
                    locale.exit();
                }
            }
        }
        return (Node) dom2;
    }

    public static Node _attributes_removeNamedItemNS(Dom dom, String str, String str2) {
        Dom dom2;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                dom2 = attributes_removeNamedItemNS(dom, str, str2);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    dom2 = attributes_removeNamedItemNS(dom, str, str2);
                } finally {
                    locale.exit();
                }
            }
        }
        return (Node) dom2;
    }

    public static Node _attributes_setNamedItem(Dom dom, Node node) {
        Dom dom2;
        Locale locale = dom.locale();
        if (node != null) {
            if (node instanceof Dom) {
                Dom dom3 = (Dom) node;
                if (dom3.locale() == locale) {
                    if (locale.noSync()) {
                        locale.enter();
                        try {
                            dom2 = attributes_setNamedItem(dom, dom3);
                        } finally {
                            locale.exit();
                        }
                    } else {
                        synchronized (locale) {
                            locale.enter();
                            try {
                                dom2 = attributes_setNamedItem(dom, dom3);
                            } finally {
                                locale.exit();
                            }
                        }
                    }
                    return (Node) dom2;
                }
            }
            throw new WrongDocumentErr("Attr to set is from another document");
        }
        throw new IllegalArgumentException("Attr to set is null");
    }

    public static Node _attributes_setNamedItemNS(Dom dom, Node node) {
        Dom dom2;
        Locale locale = dom.locale();
        if (node != null) {
            if (node instanceof Dom) {
                Dom dom3 = (Dom) node;
                if (dom3.locale() == locale) {
                    if (locale.noSync()) {
                        locale.enter();
                        try {
                            dom2 = attributes_setNamedItemNS(dom, dom3);
                        } finally {
                            locale.exit();
                        }
                    } else {
                        synchronized (locale) {
                            locale.enter();
                            try {
                                dom2 = attributes_setNamedItemNS(dom, dom3);
                            } finally {
                                locale.exit();
                            }
                        }
                    }
                    return (Node) dom2;
                }
            }
            throw new WrongDocumentErr("Attr to set is from another document");
        }
        throw new IllegalArgumentException("Attr to set is null");
    }

    public static void _characterData_appendData(Dom dom, String str) {
        if (str != null && str.length() != 0) {
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append(_node_getNodeValue(dom));
            stringBuffer.append(str);
            _node_setNodeValue(dom, stringBuffer.toString());
        }
    }

    public static void _characterData_deleteData(Dom dom, int i2, int i3) {
        String _characterData_getData = _characterData_getData(dom);
        if (i2 < 0 || i2 > _characterData_getData.length() || i3 < 0) {
            throw new IndexSizeError();
        }
        if (i2 + i3 > _characterData_getData.length()) {
            i3 = _characterData_getData.length() - i2;
        }
        if (i3 > 0) {
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append(_characterData_getData.substring(0, i2));
            stringBuffer.append(_characterData_getData.substring(i2 + i3));
            _characterData_setData(dom, stringBuffer.toString());
        }
    }

    public static String _characterData_getData(Dom dom) {
        return _node_getNodeValue(dom);
    }

    public static int _characterData_getLength(Dom dom) {
        return _characterData_getData(dom).length();
    }

    public static void _characterData_insertData(Dom dom, int i2, String str) {
        String _characterData_getData = _characterData_getData(dom);
        if (i2 < 0 || i2 > _characterData_getData.length()) {
            throw new IndexSizeError();
        } else if (str != null && str.length() > 0) {
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append(_characterData_getData.substring(0, i2));
            stringBuffer.append(str);
            stringBuffer.append(_characterData_getData.substring(i2));
            _characterData_setData(dom, stringBuffer.toString());
        }
    }

    public static void _characterData_replaceData(Dom dom, int i2, int i3, String str) {
        String _characterData_getData = _characterData_getData(dom);
        if (i2 < 0 || i2 > _characterData_getData.length() || i3 < 0) {
            throw new IndexSizeError();
        }
        if (i2 + i3 > _characterData_getData.length()) {
            i3 = _characterData_getData.length() - i2;
        }
        if (i3 > 0) {
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append(_characterData_getData.substring(0, i2));
            if (str == null) {
                str = "";
            }
            stringBuffer.append(str);
            stringBuffer.append(_characterData_getData.substring(i2 + i3));
            _characterData_setData(dom, stringBuffer.toString());
        }
    }

    public static void _characterData_setData(Dom dom, String str) {
        _node_setNodeValue(dom, str);
    }

    public static String _characterData_substringData(Dom dom, int i2, int i3) {
        String _characterData_getData = _characterData_getData(dom);
        if (i2 < 0 || i2 > _characterData_getData.length() || i3 < 0) {
            throw new IndexSizeError();
        }
        if (i2 + i3 > _characterData_getData.length()) {
            i3 = _characterData_getData.length() - i2;
        }
        return _characterData_getData.substring(i2, i3 + i2);
    }

    public static int _childNodes_getLength(Dom dom) {
        int childNodes_getLength;
        int domZeroOneChildren;
        Locale locale = dom.locale();
        if ($assertionsDisabled || (dom instanceof Xobj)) {
            Xobj xobj = (Xobj) dom;
            if (!xobj.isVacant() && (domZeroOneChildren = xobj.getDomZeroOneChildren()) < 2) {
                return domZeroOneChildren;
            }
            if (locale.noSync()) {
                return childNodes_getLength(dom);
            }
            synchronized (locale) {
                childNodes_getLength = childNodes_getLength(dom);
            }
            return childNodes_getLength;
        }
        throw new AssertionError();
    }

    public static Node _childNodes_item(Dom dom, int i2) {
        Dom dom2;
        Locale locale = dom.locale();
        if (i2 == 0) {
            return _node_getFirstChild(dom);
        }
        if (locale.noSync()) {
            dom2 = childNodes_item(dom, i2);
        } else {
            synchronized (locale) {
                dom2 = childNodes_item(dom, i2);
            }
        }
        return (Node) dom2;
    }

    public static Attr _document_createAttribute(Dom dom, String str) {
        Dom dom2;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                dom2 = document_createAttribute(dom, str);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    dom2 = document_createAttribute(dom, str);
                } finally {
                    locale.exit();
                }
            }
        }
        return (Attr) dom2;
    }

    public static Attr _document_createAttributeNS(Dom dom, String str, String str2) {
        Dom dom2;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                dom2 = document_createAttributeNS(dom, str, str2);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    dom2 = document_createAttributeNS(dom, str, str2);
                } finally {
                    locale.exit();
                }
            }
        }
        return (Attr) dom2;
    }

    public static CDATASection _document_createCDATASection(Dom dom, String str) {
        return (CDATASection) document_createCDATASection(dom, str);
    }

    public static Comment _document_createComment(Dom dom, String str) {
        Dom dom2;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                dom2 = document_createComment(dom, str);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    dom2 = document_createComment(dom, str);
                } finally {
                    locale.exit();
                }
            }
        }
        return (Comment) dom2;
    }

    public static DocumentFragment _document_createDocumentFragment(Dom dom) {
        Dom dom2;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                dom2 = document_createDocumentFragment(dom);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    dom2 = document_createDocumentFragment(dom);
                } finally {
                    locale.exit();
                }
            }
        }
        return (DocumentFragment) dom2;
    }

    public static Element _document_createElement(Dom dom, String str) {
        Dom dom2;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                dom2 = document_createElement(dom, str);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    dom2 = document_createElement(dom, str);
                } finally {
                    locale.exit();
                }
            }
        }
        return (Element) dom2;
    }

    public static Element _document_createElementNS(Dom dom, String str, String str2) {
        Dom dom2;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                dom2 = document_createElementNS(dom, str, str2);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    dom2 = document_createElementNS(dom, str, str2);
                } finally {
                    locale.exit();
                }
            }
        }
        return (Element) dom2;
    }

    public static EntityReference _document_createEntityReference(Dom dom, String str) {
        throw new RuntimeException("Not implemented");
    }

    public static ProcessingInstruction _document_createProcessingInstruction(Dom dom, String str, String str2) {
        Dom dom2;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                dom2 = document_createProcessingInstruction(dom, str, str2);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    dom2 = document_createProcessingInstruction(dom, str, str2);
                } finally {
                    locale.exit();
                }
            }
        }
        return (ProcessingInstruction) dom2;
    }

    public static org.w3c.dom.Text _document_createTextNode(Dom dom, String str) {
        return (org.w3c.dom.Text) document_createTextNode(dom, str);
    }

    public static DocumentType _document_getDoctype(Dom dom) {
        Dom dom2;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                dom2 = document_getDoctype(dom);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    dom2 = document_getDoctype(dom);
                } finally {
                    locale.exit();
                }
            }
        }
        return (DocumentType) dom2;
    }

    public static Element _document_getDocumentElement(Dom dom) {
        Dom dom2;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                dom2 = document_getDocumentElement(dom);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    dom2 = document_getDocumentElement(dom);
                } finally {
                    locale.exit();
                }
            }
        }
        return (Element) dom2;
    }

    public static Element _document_getElementById(Dom dom, String str) {
        throw new RuntimeException("Not implemented");
    }

    public static NodeList _document_getElementsByTagName(Dom dom, String str) {
        NodeList document_getElementsByTagName;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                return document_getElementsByTagName(dom, str);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    document_getElementsByTagName = document_getElementsByTagName(dom, str);
                } finally {
                    locale.exit();
                }
            }
            return document_getElementsByTagName;
        }
    }

    public static NodeList _document_getElementsByTagNameNS(Dom dom, String str, String str2) {
        NodeList document_getElementsByTagNameNS;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                return document_getElementsByTagNameNS(dom, str, str2);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    document_getElementsByTagNameNS = document_getElementsByTagNameNS(dom, str, str2);
                } finally {
                    locale.exit();
                }
            }
            return document_getElementsByTagNameNS;
        }
    }

    public static DOMImplementation _document_getImplementation(Dom dom) {
        return dom.locale();
    }

    public static Node _document_importNode(Dom dom, Node node, boolean z) {
        Dom dom2;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                dom2 = document_importNode(dom, node, z);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    dom2 = document_importNode(dom, node, z);
                } finally {
                    locale.exit();
                }
            }
        }
        return (Node) dom2;
    }

    public static Document _domImplementation_createDocument(Locale locale, String str, String str2, DocumentType documentType) {
        Document domImplementation_createDocument;
        if (locale.noSync()) {
            locale.enter();
            try {
                return domImplementation_createDocument(locale, str, str2, documentType);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    domImplementation_createDocument = domImplementation_createDocument(locale, str, str2, documentType);
                } finally {
                    locale.exit();
                }
            }
            return domImplementation_createDocument;
        }
    }

    public static boolean _domImplementation_hasFeature(Locale locale, String str, String str2) {
        if (str == null) {
            return false;
        }
        if (str2 != null && str2.length() > 0 && !str2.equals("1.0") && !str2.equals("2.0")) {
            return false;
        }
        if (!str.equalsIgnoreCase("core") && !str.equalsIgnoreCase("xml")) {
            return false;
        }
        return true;
    }

    public static String _element_getAttribute(Dom dom, String str) {
        Node _attributes_getNamedItem = _attributes_getNamedItem(dom, str);
        if (_attributes_getNamedItem == null) {
            return "";
        }
        return _attributes_getNamedItem.getNodeValue();
    }

    public static String _element_getAttributeNS(Dom dom, String str, String str2) {
        Node _attributes_getNamedItemNS = _attributes_getNamedItemNS(dom, str, str2);
        if (_attributes_getNamedItemNS == null) {
            return "";
        }
        return _attributes_getNamedItemNS.getNodeValue();
    }

    public static Attr _element_getAttributeNode(Dom dom, String str) {
        return (Attr) _attributes_getNamedItem(dom, str);
    }

    public static Attr _element_getAttributeNodeNS(Dom dom, String str, String str2) {
        return (Attr) _attributes_getNamedItemNS(dom, str, str2);
    }

    public static NodeList _element_getElementsByTagName(Dom dom, String str) {
        NodeList element_getElementsByTagName;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                return element_getElementsByTagName(dom, str);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    element_getElementsByTagName = element_getElementsByTagName(dom, str);
                } finally {
                    locale.exit();
                }
            }
            return element_getElementsByTagName;
        }
    }

    public static NodeList _element_getElementsByTagNameNS(Dom dom, String str, String str2) {
        NodeList element_getElementsByTagNameNS;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                return element_getElementsByTagNameNS(dom, str, str2);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    element_getElementsByTagNameNS = element_getElementsByTagNameNS(dom, str, str2);
                } finally {
                    locale.exit();
                }
            }
            return element_getElementsByTagNameNS;
        }
    }

    public static String _element_getTagName(Dom dom) {
        return _node_getNodeName(dom);
    }

    public static boolean _element_hasAttribute(Dom dom, String str) {
        return _attributes_getNamedItem(dom, str) != null;
    }

    public static boolean _element_hasAttributeNS(Dom dom, String str, String str2) {
        return _attributes_getNamedItemNS(dom, str, str2) != null;
    }

    public static void _element_removeAttribute(Dom dom, String str) {
        try {
            _attributes_removeNamedItem(dom, str);
        } catch (NotFoundErr unused) {
        }
    }

    public static void _element_removeAttributeNS(Dom dom, String str, String str2) {
        try {
            _attributes_removeNamedItemNS(dom, str, str2);
        } catch (NotFoundErr unused) {
        }
    }

    public static Attr _element_removeAttributeNode(Dom dom, Attr attr) {
        if (attr == null) {
            throw new NotFoundErr("Attribute to remove is null");
        } else if (attr.getOwnerElement() == dom) {
            return (Attr) _attributes_removeNamedItem(dom, attr.getNodeName());
        } else {
            throw new NotFoundErr("Attribute to remove does not belong to this element");
        }
    }

    public static void _element_setAttribute(Dom dom, String str, String str2) {
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                element_setAttribute(dom, str, str2);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    element_setAttribute(dom, str, str2);
                } finally {
                    locale.exit();
                }
            }
        }
    }

    public static void _element_setAttributeNS(Dom dom, String str, String str2, String str3) {
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                element_setAttributeNS(dom, str, str2, str3);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    element_setAttributeNS(dom, str, str2, str3);
                } finally {
                    locale.exit();
                }
            }
        }
    }

    public static Attr _element_setAttributeNode(Dom dom, Attr attr) {
        return (Attr) _attributes_setNamedItem(dom, attr);
    }

    public static Attr _element_setAttributeNodeNS(Dom dom, Attr attr) {
        return (Attr) _attributes_setNamedItemNS(dom, attr);
    }

    public static XmlCursor _getXmlCursor(Dom dom) {
        XmlCursor xmlCursor;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                return getXmlCursor(dom);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    xmlCursor = getXmlCursor(dom);
                } finally {
                    locale.exit();
                }
            }
            return xmlCursor;
        }
    }

    public static XmlObject _getXmlObject(Dom dom) {
        XmlObject xmlObject;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                return getXmlObject(dom);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    xmlObject = getXmlObject(dom);
                } finally {
                    locale.exit();
                }
            }
            return xmlObject;
        }
    }

    public static XMLStreamReader _getXmlStreamReader(Dom dom) {
        XMLStreamReader xmlStreamReader;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                return getXmlStreamReader(dom);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    xmlStreamReader = getXmlStreamReader(dom);
                } finally {
                    locale.exit();
                }
            }
            return xmlStreamReader;
        }
    }

    public static Node _node_appendChild(Dom dom, Node node) {
        return _node_insertBefore(dom, node, null);
    }

    public static Node _node_cloneNode(Dom dom, boolean z) {
        Dom dom2;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                dom2 = node_cloneNode(dom, z);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    dom2 = node_cloneNode(dom, z);
                } finally {
                    locale.exit();
                }
            }
        }
        return (Node) dom2;
    }

    public static short _node_compareDocumentPosition(Dom dom, Node node) {
        throw new RuntimeException("DOM Level 3 Not implemented");
    }

    public static String _node_getBaseURI(Dom dom) {
        throw new RuntimeException("DOM Level 3 Not implemented");
    }

    public static Object _node_getFeature(Dom dom, String str, String str2) {
        throw new RuntimeException("DOM Level 3 Not implemented");
    }

    public static Node _node_getFirstChild(Dom dom) {
        Dom dom2;
        Locale locale = dom.locale();
        if ($assertionsDisabled || (dom instanceof Xobj)) {
            Xobj xobj = (Xobj) dom;
            if (!xobj.isVacant()) {
                if (xobj.isFirstChildPtrDomUsable()) {
                    return (Node) xobj._firstChild;
                }
                Xobj lastAttr = xobj.lastAttr();
                if (lastAttr != null && lastAttr.isNextSiblingPtrDomUsable()) {
                    return (Xobj.NodeXobj) lastAttr._nextSibling;
                }
                if (xobj.isExistingCharNodesValueUsable()) {
                    return xobj._charNodesValue;
                }
            }
            if (locale.noSync()) {
                dom2 = node_getFirstChild(dom);
            } else {
                synchronized (locale) {
                    dom2 = node_getFirstChild(dom);
                }
            }
            return (Node) dom2;
        }
        throw new AssertionError();
    }

    public static Node _node_getLastChild(Dom dom) {
        Dom dom2;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                dom2 = node_getLastChild(dom);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    dom2 = node_getLastChild(dom);
                } finally {
                    locale.exit();
                }
            }
        }
        return (Node) dom2;
    }

    public static String _node_getLocalName(Dom dom) {
        if (!dom.nodeCanHavePrefixUri()) {
            return null;
        }
        QName qName = dom.getQName();
        if (qName == null) {
            return "";
        }
        return qName.getLocalPart();
    }

    public static String _node_getNamespaceURI(Dom dom) {
        if (!dom.nodeCanHavePrefixUri()) {
            return null;
        }
        QName qName = dom.getQName();
        if (qName == null) {
            return "";
        }
        return qName.getNamespaceURI();
    }

    public static Node _node_getNextSibling(Dom dom) {
        Dom dom2;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            dom2 = node_getNextSibling(dom);
        } else {
            synchronized (locale) {
                dom2 = node_getNextSibling(dom);
            }
        }
        return (Node) dom2;
    }

    public static String _node_getNodeName(Dom dom) {
        switch (dom.nodeType()) {
            case 1:
            case 2:
                QName qName = dom.getQName();
                String prefix = qName.getPrefix();
                if (prefix.length() == 0) {
                    return qName.getLocalPart();
                }
                StringBuffer c = a.c(prefix, ":");
                c.append(qName.getLocalPart());
                return c.toString();
            case 3:
                return "#text";
            case 4:
                return "#cdata-section";
            case 5:
            case 6:
            case 10:
            case 12:
                throw new RuntimeException("Not impl");
            case 7:
                return dom.getQName().getLocalPart();
            case 8:
                return "#comment";
            case 9:
                return "#document";
            case 11:
                return "#document-fragment";
            default:
                throw new RuntimeException("Unknown node type");
        }
    }

    public static short _node_getNodeType(Dom dom) {
        return (short) dom.nodeType();
    }

    public static String _node_getNodeValue(Dom dom) {
        String node_getNodeValue;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            return node_getNodeValue(dom);
        }
        synchronized (locale) {
            node_getNodeValue = node_getNodeValue(dom);
        }
        return node_getNodeValue;
    }

    public static Document _node_getOwnerDocument(Dom dom) {
        Dom dom2;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                dom2 = node_getOwnerDocument(dom);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    dom2 = node_getOwnerDocument(dom);
                } finally {
                    locale.exit();
                }
            }
        }
        return (Document) dom2;
    }

    public static Node _node_getParentNode(Dom dom) {
        Dom dom2;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                dom2 = node_getParentNode(dom);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    dom2 = node_getParentNode(dom);
                } finally {
                    locale.exit();
                }
            }
        }
        return (Node) dom2;
    }

    public static String _node_getPrefix(Dom dom) {
        if (!dom.nodeCanHavePrefixUri()) {
            return null;
        }
        QName qName = dom.getQName();
        if (qName == null) {
            return "";
        }
        return qName.getPrefix();
    }

    public static Node _node_getPreviousSibling(Dom dom) {
        Dom dom2;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            dom2 = node_getPreviousSibling(dom);
        } else {
            synchronized (locale) {
                dom2 = node_getPreviousSibling(dom);
            }
        }
        return (Node) dom2;
    }

    public static String _node_getTextContent(Dom dom) {
        throw new RuntimeException("DOM Level 3 Not implemented");
    }

    public static Object _node_getUserData(Dom dom, String str) {
        throw new RuntimeException("DOM Level 3 Not implemented");
    }

    public static boolean _node_hasAttributes(Dom dom) {
        boolean node_hasAttributes;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                return node_hasAttributes(dom);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    node_hasAttributes = node_hasAttributes(dom);
                } finally {
                    locale.exit();
                }
            }
            return node_hasAttributes;
        }
    }

    public static boolean _node_hasChildNodes(Dom dom) {
        return _node_getFirstChild(dom) != null;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:11:0x0020, code lost:
        if (r1.locale() == r0) goto L_0x002b;
     */
    public static Node _node_insertBefore(Dom dom, Node node, Node node2) {
        Dom dom2;
        Locale locale = dom.locale();
        if (node != null) {
            if (node instanceof Dom) {
                Dom dom3 = (Dom) node;
                if (dom3.locale() == locale) {
                    Dom dom4 = null;
                    if (node2 != null) {
                        if (node2 instanceof Dom) {
                            dom4 = (Dom) node2;
                        }
                        throw new WrongDocumentErr("Reference child is from another document");
                    }
                    if (locale.noSync()) {
                        locale.enter();
                        try {
                            dom2 = node_insertBefore(dom, dom3, dom4);
                        } finally {
                            locale.exit();
                        }
                    } else {
                        synchronized (locale) {
                            locale.enter();
                            try {
                                dom2 = node_insertBefore(dom, dom3, dom4);
                            } finally {
                                locale.exit();
                            }
                        }
                    }
                    return (Node) dom2;
                }
            }
            throw new WrongDocumentErr("Child to add is from another document");
        }
        throw new IllegalArgumentException("Child to add is null");
    }

    public static boolean _node_isDefaultNamespace(Dom dom, String str) {
        throw new RuntimeException("DOM Level 3 Not implemented");
    }

    public static boolean _node_isEqualNode(Dom dom, Node node) {
        throw new RuntimeException("DOM Level 3 Not implemented");
    }

    public static boolean _node_isSameNode(Dom dom, Node node) {
        throw new RuntimeException("DOM Level 3 Not implemented");
    }

    public static boolean _node_isSupported(Dom dom, String str, String str2) {
        return _domImplementation_hasFeature(dom.locale(), str, str2);
    }

    public static String _node_lookupNamespaceURI(Dom dom, String str) {
        throw new RuntimeException("DOM Level 3 Not implemented");
    }

    public static String _node_lookupPrefix(Dom dom, String str) {
        throw new RuntimeException("DOM Level 3 Not implemented");
    }

    public static void _node_normalize(Dom dom) {
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                node_normalize(dom);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    node_normalize(dom);
                } finally {
                    locale.exit();
                }
            }
        }
    }

    public static Node _node_removeChild(Dom dom, Node node) {
        Dom dom2;
        Locale locale = dom.locale();
        if (node != null) {
            if (node instanceof Dom) {
                Dom dom3 = (Dom) node;
                if (dom3.locale() == locale) {
                    if (locale.noSync()) {
                        locale.enter();
                        try {
                            dom2 = node_removeChild(dom, dom3);
                        } finally {
                            locale.exit();
                        }
                    } else {
                        synchronized (locale) {
                            locale.enter();
                            try {
                                dom2 = node_removeChild(dom, dom3);
                            } finally {
                                locale.exit();
                            }
                        }
                    }
                    return (Node) dom2;
                }
            }
            throw new WrongDocumentErr("Child to remove is from another document");
        }
        throw new NotFoundErr("Child to remove is null");
    }

    public static Node _node_replaceChild(Dom dom, Node node, Node node2) {
        Dom dom2;
        Locale locale = dom.locale();
        if (node == null) {
            throw new IllegalArgumentException("Child to add is null");
        } else if (node2 != null) {
            if (node instanceof Dom) {
                Dom dom3 = (Dom) node;
                if (dom3.locale() == locale) {
                    if (node2 instanceof Dom) {
                        Dom dom4 = (Dom) node2;
                        if (dom4.locale() == locale) {
                            if (locale.noSync()) {
                                locale.enter();
                                try {
                                    dom2 = node_replaceChild(dom, dom3, dom4);
                                } finally {
                                    locale.exit();
                                }
                            } else {
                                synchronized (locale) {
                                    locale.enter();
                                    try {
                                        dom2 = node_replaceChild(dom, dom3, dom4);
                                    } finally {
                                        locale.exit();
                                    }
                                }
                            }
                            return (Node) dom2;
                        }
                    }
                    throw new WrongDocumentErr("Child to replace is from another document");
                }
            }
            throw new WrongDocumentErr("Child to add is from another document");
        } else {
            throw new NotFoundErr("Child to replace is null");
        }
    }

    public static void _node_setNodeValue(Dom dom, String str) {
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                node_setNodeValue(dom, str);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    node_setNodeValue(dom, str);
                } finally {
                    locale.exit();
                }
            }
        }
    }

    public static void _node_setPrefix(Dom dom, String str) {
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                node_setPrefix(dom, str);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    node_setPrefix(dom, str);
                } finally {
                    locale.exit();
                }
            }
        }
    }

    public static void _node_setTextContent(Dom dom, String str) {
        throw new RuntimeException("DOM Level 3 Not implemented");
    }

    public static Object _node_setUserData(Dom dom, String str, Object obj, UserDataHandler userDataHandler) {
        throw new RuntimeException("DOM Level 3 Not implemented");
    }

    public static String _processingInstruction_getData(Dom dom) {
        return _node_getNodeValue(dom);
    }

    public static String _processingInstruction_getTarget(Dom dom) {
        return _node_getNodeName(dom);
    }

    public static void _processingInstruction_setData(Dom dom, String str) {
        _node_setNodeValue(dom, str);
    }

    public static SOAPElement _soapElement_addAttribute(Dom dom, Name name, String str) {
        SOAPElement soapElement_addAttribute;
        Locale locale = dom.locale();
        SOAPElement sOAPElement = (SOAPElement) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapElement_addAttribute(sOAPElement, name, str);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapElement_addAttribute = locale._saaj.soapElement_addAttribute(sOAPElement, name, str);
                } finally {
                    locale.exit();
                }
            }
            return soapElement_addAttribute;
        }
    }

    public static SOAPElement _soapElement_addChildElement(Dom dom, SOAPElement sOAPElement) {
        SOAPElement soapElement_addChildElement;
        Locale locale = dom.locale();
        SOAPElement sOAPElement2 = (SOAPElement) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapElement_addChildElement(sOAPElement2, sOAPElement);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapElement_addChildElement = locale._saaj.soapElement_addChildElement(sOAPElement2, sOAPElement);
                } finally {
                    locale.exit();
                }
            }
            return soapElement_addChildElement;
        }
    }

    public static SOAPElement _soapElement_addNamespaceDeclaration(Dom dom, String str, String str2) {
        SOAPElement soapElement_addNamespaceDeclaration;
        Locale locale = dom.locale();
        SOAPElement sOAPElement = (SOAPElement) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapElement_addNamespaceDeclaration(sOAPElement, str, str2);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapElement_addNamespaceDeclaration = locale._saaj.soapElement_addNamespaceDeclaration(sOAPElement, str, str2);
                } finally {
                    locale.exit();
                }
            }
            return soapElement_addNamespaceDeclaration;
        }
    }

    public static SOAPElement _soapElement_addTextNode(Dom dom, String str) {
        SOAPElement soapElement_addTextNode;
        Locale locale = dom.locale();
        SOAPElement sOAPElement = (SOAPElement) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapElement_addTextNode(sOAPElement, str);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapElement_addTextNode = locale._saaj.soapElement_addTextNode(sOAPElement, str);
                } finally {
                    locale.exit();
                }
            }
            return soapElement_addTextNode;
        }
    }

    public static Iterator _soapElement_getAllAttributes(Dom dom) {
        Iterator soapElement_getAllAttributes;
        Locale locale = dom.locale();
        SOAPElement sOAPElement = (SOAPElement) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapElement_getAllAttributes(sOAPElement);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapElement_getAllAttributes = locale._saaj.soapElement_getAllAttributes(sOAPElement);
                } finally {
                    locale.exit();
                }
            }
            return soapElement_getAllAttributes;
        }
    }

    public static String _soapElement_getAttributeValue(Dom dom, Name name) {
        String soapElement_getAttributeValue;
        Locale locale = dom.locale();
        SOAPElement sOAPElement = (SOAPElement) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapElement_getAttributeValue(sOAPElement, name);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapElement_getAttributeValue = locale._saaj.soapElement_getAttributeValue(sOAPElement, name);
                } finally {
                    locale.exit();
                }
            }
            return soapElement_getAttributeValue;
        }
    }

    public static Iterator _soapElement_getChildElements(Dom dom) {
        Iterator soapElement_getChildElements;
        Locale locale = dom.locale();
        SOAPElement sOAPElement = (SOAPElement) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapElement_getChildElements(sOAPElement);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapElement_getChildElements = locale._saaj.soapElement_getChildElements(sOAPElement);
                } finally {
                    locale.exit();
                }
            }
            return soapElement_getChildElements;
        }
    }

    public static Name _soapElement_getElementName(Dom dom) {
        Name soapElement_getElementName;
        Locale locale = dom.locale();
        SOAPElement sOAPElement = (SOAPElement) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapElement_getElementName(sOAPElement);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapElement_getElementName = locale._saaj.soapElement_getElementName(sOAPElement);
                } finally {
                    locale.exit();
                }
            }
            return soapElement_getElementName;
        }
    }

    public static String _soapElement_getEncodingStyle(Dom dom) {
        String soapElement_getEncodingStyle;
        Locale locale = dom.locale();
        SOAPElement sOAPElement = (SOAPElement) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapElement_getEncodingStyle(sOAPElement);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapElement_getEncodingStyle = locale._saaj.soapElement_getEncodingStyle(sOAPElement);
                } finally {
                    locale.exit();
                }
            }
            return soapElement_getEncodingStyle;
        }
    }

    public static Iterator _soapElement_getNamespacePrefixes(Dom dom) {
        Iterator soapElement_getNamespacePrefixes;
        Locale locale = dom.locale();
        SOAPElement sOAPElement = (SOAPElement) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapElement_getNamespacePrefixes(sOAPElement);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapElement_getNamespacePrefixes = locale._saaj.soapElement_getNamespacePrefixes(sOAPElement);
                } finally {
                    locale.exit();
                }
            }
            return soapElement_getNamespacePrefixes;
        }
    }

    public static String _soapElement_getNamespaceURI(Dom dom, String str) {
        String soapElement_getNamespaceURI;
        Locale locale = dom.locale();
        SOAPElement sOAPElement = (SOAPElement) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapElement_getNamespaceURI(sOAPElement, str);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapElement_getNamespaceURI = locale._saaj.soapElement_getNamespaceURI(sOAPElement, str);
                } finally {
                    locale.exit();
                }
            }
            return soapElement_getNamespaceURI;
        }
    }

    public static Iterator _soapElement_getVisibleNamespacePrefixes(Dom dom) {
        Iterator soapElement_getVisibleNamespacePrefixes;
        Locale locale = dom.locale();
        SOAPElement sOAPElement = (SOAPElement) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapElement_getVisibleNamespacePrefixes(sOAPElement);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapElement_getVisibleNamespacePrefixes = locale._saaj.soapElement_getVisibleNamespacePrefixes(sOAPElement);
                } finally {
                    locale.exit();
                }
            }
            return soapElement_getVisibleNamespacePrefixes;
        }
    }

    public static boolean _soapElement_removeAttribute(Dom dom, Name name) {
        boolean soapElement_removeAttribute;
        Locale locale = dom.locale();
        SOAPElement sOAPElement = (SOAPElement) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapElement_removeAttribute(sOAPElement, name);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapElement_removeAttribute = locale._saaj.soapElement_removeAttribute(sOAPElement, name);
                } finally {
                    locale.exit();
                }
            }
            return soapElement_removeAttribute;
        }
    }

    public static void _soapElement_removeContents(Dom dom) {
        Locale locale = dom.locale();
        SOAPElement sOAPElement = (SOAPElement) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                locale._saaj.soapElement_removeContents(sOAPElement);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    locale._saaj.soapElement_removeContents(sOAPElement);
                } finally {
                    locale.exit();
                }
            }
        }
    }

    public static boolean _soapElement_removeNamespaceDeclaration(Dom dom, String str) {
        boolean soapElement_removeNamespaceDeclaration;
        Locale locale = dom.locale();
        SOAPElement sOAPElement = (SOAPElement) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapElement_removeNamespaceDeclaration(sOAPElement, str);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapElement_removeNamespaceDeclaration = locale._saaj.soapElement_removeNamespaceDeclaration(sOAPElement, str);
                } finally {
                    locale.exit();
                }
            }
            return soapElement_removeNamespaceDeclaration;
        }
    }

    public static void _soapElement_setEncodingStyle(Dom dom, String str) {
        Locale locale = dom.locale();
        SOAPElement sOAPElement = (SOAPElement) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                locale._saaj.soapElement_setEncodingStyle(sOAPElement, str);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    locale._saaj.soapElement_setEncodingStyle(sOAPElement, str);
                } finally {
                    locale.exit();
                }
            }
        }
    }

    public static SOAPBody _soapEnvelope_addBody(Dom dom) {
        SOAPBody soapEnvelope_addBody;
        Locale locale = dom.locale();
        SOAPEnvelope sOAPEnvelope = (SOAPEnvelope) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapEnvelope_addBody(sOAPEnvelope);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapEnvelope_addBody = locale._saaj.soapEnvelope_addBody(sOAPEnvelope);
                } finally {
                    locale.exit();
                }
            }
            return soapEnvelope_addBody;
        }
    }

    public static SOAPHeader _soapEnvelope_addHeader(Dom dom) {
        SOAPHeader soapEnvelope_addHeader;
        Locale locale = dom.locale();
        SOAPEnvelope sOAPEnvelope = (SOAPEnvelope) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapEnvelope_addHeader(sOAPEnvelope);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapEnvelope_addHeader = locale._saaj.soapEnvelope_addHeader(sOAPEnvelope);
                } finally {
                    locale.exit();
                }
            }
            return soapEnvelope_addHeader;
        }
    }

    public static Name _soapEnvelope_createName(Dom dom, String str) {
        Name soapEnvelope_createName;
        Locale locale = dom.locale();
        SOAPEnvelope sOAPEnvelope = (SOAPEnvelope) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapEnvelope_createName(sOAPEnvelope, str);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapEnvelope_createName = locale._saaj.soapEnvelope_createName(sOAPEnvelope, str);
                } finally {
                    locale.exit();
                }
            }
            return soapEnvelope_createName;
        }
    }

    public static SOAPBody _soapEnvelope_getBody(Dom dom) {
        SOAPBody soapEnvelope_getBody;
        Locale locale = dom.locale();
        SOAPEnvelope sOAPEnvelope = (SOAPEnvelope) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapEnvelope_getBody(sOAPEnvelope);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapEnvelope_getBody = locale._saaj.soapEnvelope_getBody(sOAPEnvelope);
                } finally {
                    locale.exit();
                }
            }
            return soapEnvelope_getBody;
        }
    }

    public static SOAPHeader _soapEnvelope_getHeader(Dom dom) {
        SOAPHeader soapEnvelope_getHeader;
        Locale locale = dom.locale();
        SOAPEnvelope sOAPEnvelope = (SOAPEnvelope) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapEnvelope_getHeader(sOAPEnvelope);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapEnvelope_getHeader = locale._saaj.soapEnvelope_getHeader(sOAPEnvelope);
                } finally {
                    locale.exit();
                }
            }
            return soapEnvelope_getHeader;
        }
    }

    public static void _soapNode_detachNode(Dom dom) {
        Locale locale = dom.locale();
        org.apache.xmlbeans.impl.soap.Node node = (org.apache.xmlbeans.impl.soap.Node) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                locale._saaj.soapNode_detachNode(node);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    locale._saaj.soapNode_detachNode(node);
                } finally {
                    locale.exit();
                }
            }
        }
    }

    public static SOAPElement _soapNode_getParentElement(Dom dom) {
        SOAPElement soapNode_getParentElement;
        Locale locale = dom.locale();
        org.apache.xmlbeans.impl.soap.Node node = (org.apache.xmlbeans.impl.soap.Node) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapNode_getParentElement(node);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapNode_getParentElement = locale._saaj.soapNode_getParentElement(node);
                } finally {
                    locale.exit();
                }
            }
            return soapNode_getParentElement;
        }
    }

    public static String _soapNode_getValue(Dom dom) {
        String soapNode_getValue;
        Locale locale = dom.locale();
        org.apache.xmlbeans.impl.soap.Node node = (org.apache.xmlbeans.impl.soap.Node) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapNode_getValue(node);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapNode_getValue = locale._saaj.soapNode_getValue(node);
                } finally {
                    locale.exit();
                }
            }
            return soapNode_getValue;
        }
    }

    public static void _soapNode_recycleNode(Dom dom) {
        Locale locale = dom.locale();
        org.apache.xmlbeans.impl.soap.Node node = (org.apache.xmlbeans.impl.soap.Node) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                locale._saaj.soapNode_recycleNode(node);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    locale._saaj.soapNode_recycleNode(node);
                } finally {
                    locale.exit();
                }
            }
        }
    }

    public static void _soapNode_setParentElement(Dom dom, SOAPElement sOAPElement) {
        Locale locale = dom.locale();
        org.apache.xmlbeans.impl.soap.Node node = (org.apache.xmlbeans.impl.soap.Node) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                locale._saaj.soapNode_setParentElement(node, sOAPElement);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    locale._saaj.soapNode_setParentElement(node, sOAPElement);
                } finally {
                    locale.exit();
                }
            }
        }
    }

    public static void _soapNode_setValue(Dom dom, String str) {
        Locale locale = dom.locale();
        org.apache.xmlbeans.impl.soap.Node node = (org.apache.xmlbeans.impl.soap.Node) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                locale._saaj.soapNode_setValue(node, str);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    locale._saaj.soapNode_setValue(node, str);
                } finally {
                    locale.exit();
                }
            }
        }
    }

    public static void _soapPart_addMimeHeader(Dom dom, String str, String str2) {
        Locale locale = dom.locale();
        SOAPPart sOAPPart = (SOAPPart) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                locale._saaj.soapPart_addMimeHeader(sOAPPart, str, str2);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    locale._saaj.soapPart_addMimeHeader(sOAPPart, str, str2);
                } finally {
                    locale.exit();
                }
            }
        }
    }

    public static Iterator _soapPart_getAllMimeHeaders(Dom dom) {
        Iterator soapPart_getAllMimeHeaders;
        Locale locale = dom.locale();
        SOAPPart sOAPPart = (SOAPPart) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapPart_getAllMimeHeaders(sOAPPart);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapPart_getAllMimeHeaders = locale._saaj.soapPart_getAllMimeHeaders(sOAPPart);
                } finally {
                    locale.exit();
                }
            }
            return soapPart_getAllMimeHeaders;
        }
    }

    public static Source _soapPart_getContent(Dom dom) {
        Source soapPart_getContent;
        Locale locale = dom.locale();
        SOAPPart sOAPPart = (SOAPPart) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapPart_getContent(sOAPPart);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapPart_getContent = locale._saaj.soapPart_getContent(sOAPPart);
                } finally {
                    locale.exit();
                }
            }
            return soapPart_getContent;
        }
    }

    public static SOAPEnvelope _soapPart_getEnvelope(Dom dom) {
        SOAPEnvelope soapPart_getEnvelope;
        Locale locale = dom.locale();
        SOAPPart sOAPPart = (SOAPPart) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapPart_getEnvelope(sOAPPart);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapPart_getEnvelope = locale._saaj.soapPart_getEnvelope(sOAPPart);
                } finally {
                    locale.exit();
                }
            }
            return soapPart_getEnvelope;
        }
    }

    public static Iterator _soapPart_getMatchingMimeHeaders(Dom dom, String[] strArr) {
        Iterator soapPart_getMatchingMimeHeaders;
        Locale locale = dom.locale();
        SOAPPart sOAPPart = (SOAPPart) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapPart_getMatchingMimeHeaders(sOAPPart, strArr);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapPart_getMatchingMimeHeaders = locale._saaj.soapPart_getMatchingMimeHeaders(sOAPPart, strArr);
                } finally {
                    locale.exit();
                }
            }
            return soapPart_getMatchingMimeHeaders;
        }
    }

    public static String[] _soapPart_getMimeHeader(Dom dom, String str) {
        String[] soapPart_getMimeHeader;
        Locale locale = dom.locale();
        SOAPPart sOAPPart = (SOAPPart) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapPart_getMimeHeader(sOAPPart, str);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapPart_getMimeHeader = locale._saaj.soapPart_getMimeHeader(sOAPPart, str);
                } finally {
                    locale.exit();
                }
            }
            return soapPart_getMimeHeader;
        }
    }

    public static Iterator _soapPart_getNonMatchingMimeHeaders(Dom dom, String[] strArr) {
        Iterator soapPart_getNonMatchingMimeHeaders;
        Locale locale = dom.locale();
        SOAPPart sOAPPart = (SOAPPart) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapPart_getNonMatchingMimeHeaders(sOAPPart, strArr);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapPart_getNonMatchingMimeHeaders = locale._saaj.soapPart_getNonMatchingMimeHeaders(sOAPPart, strArr);
                } finally {
                    locale.exit();
                }
            }
            return soapPart_getNonMatchingMimeHeaders;
        }
    }

    public static void _soapPart_removeAllMimeHeaders(Dom dom) {
        Locale locale = dom.locale();
        SOAPPart sOAPPart = (SOAPPart) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                locale._saaj.soapPart_removeAllMimeHeaders(sOAPPart);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    locale._saaj.soapPart_removeAllMimeHeaders(sOAPPart);
                } finally {
                    locale.exit();
                }
            }
        }
    }

    public static void _soapPart_removeMimeHeader(Dom dom, String str) {
        Locale locale = dom.locale();
        SOAPPart sOAPPart = (SOAPPart) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                locale._saaj.soapPart_removeMimeHeader(sOAPPart, str);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    locale._saaj.soapPart_removeMimeHeader(sOAPPart, str);
                } finally {
                    locale.exit();
                }
            }
        }
    }

    public static void _soapPart_setContent(Dom dom, Source source) {
        Locale locale = dom.locale();
        SOAPPart sOAPPart = (SOAPPart) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                locale._saaj.soapPart_setContent(sOAPPart, source);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    locale._saaj.soapPart_setContent(sOAPPart, source);
                } finally {
                    locale.exit();
                }
            }
        }
    }

    public static void _soapPart_setMimeHeader(Dom dom, String str, String str2) {
        Locale locale = dom.locale();
        SOAPPart sOAPPart = (SOAPPart) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                locale._saaj.soapPart_setMimeHeader(sOAPPart, str, str2);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    locale._saaj.soapPart_setMimeHeader(sOAPPart, str, str2);
                } finally {
                    locale.exit();
                }
            }
        }
    }

    public static boolean _soapText_isComment(Dom dom) {
        boolean soapText_isComment;
        Locale locale = dom.locale();
        Text text = (Text) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapText_isComment(text);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapText_isComment = locale._saaj.soapText_isComment(text);
                } finally {
                    locale.exit();
                }
            }
            return soapText_isComment;
        }
    }

    public static String _text_getWholeText(Dom dom) {
        throw new RuntimeException("DOM Level 3 Not implemented");
    }

    public static boolean _text_isElementContentWhitespace(Dom dom) {
        throw new RuntimeException("DOM Level 3 Not implemented");
    }

    public static org.w3c.dom.Text _text_replaceWholeText(Dom dom, String str) {
        throw new RuntimeException("DOM Level 3 Not implemented");
    }

    public static org.w3c.dom.Text _text_splitText(Dom dom, int i2) {
        if ($assertionsDisabled || dom.nodeType() == 3) {
            String _characterData_getData = _characterData_getData(dom);
            if (i2 < 0 || i2 > _characterData_getData.length()) {
                throw new IndexSizeError();
            }
            _characterData_deleteData(dom, i2, _characterData_getData.length() - i2);
            Dom dom2 = (Dom) _document_createTextNode(dom, _characterData_getData.substring(i2));
            Dom dom3 = (Dom) _node_getParentNode(dom);
            if (dom3 != null) {
                _node_insertBefore(dom3, (org.w3c.dom.Text) dom2, _node_getNextSibling(dom));
                dom.locale().invalidateDomCaches(dom3);
            }
            return (org.w3c.dom.Text) dom2;
        }
        throw new AssertionError();
    }

    public static Dom append(Dom dom, Dom dom2) {
        return node_insertBefore(dom2, dom, null);
    }

    public static Dom attr_getOwnerElement(Dom dom) {
        Cur tempCur = dom.tempCur();
        if (!tempCur.toParentRaw()) {
            tempCur.release();
            return null;
        }
        Dom dom2 = tempCur.getDom();
        tempCur.release();
        return dom2;
    }

    public static int attributes_getLength(Dom dom) {
        Cur tempCur = dom.tempCur();
        int i2 = 0;
        while (tempCur.toNextAttr()) {
            i2++;
        }
        tempCur.release();
        return i2;
    }

    public static Dom attributes_getNamedItem(Dom dom, String str) {
        Dom dom2;
        Cur tempCur = dom.tempCur();
        while (true) {
            if (!tempCur.toNextAttr()) {
                dom2 = null;
                break;
            }
            dom2 = tempCur.getDom();
            if (_node_getNodeName(dom2).equals(str)) {
                break;
            }
        }
        tempCur.release();
        return dom2;
    }

    public static Dom attributes_getNamedItemNS(Dom dom, String str, String str2) {
        if (str == null) {
            str = "";
        }
        Dom dom2 = null;
        Cur tempCur = dom.tempCur();
        while (true) {
            if (!tempCur.toNextAttr()) {
                break;
            }
            Dom dom3 = tempCur.getDom();
            QName qName = dom3.getQName();
            if (qName.getNamespaceURI().equals(str) && qName.getLocalPart().equals(str2)) {
                dom2 = dom3;
                break;
            }
        }
        tempCur.release();
        return dom2;
    }

    public static Dom attributes_item(Dom dom, int i2) {
        Dom dom2 = null;
        if (i2 < 0) {
            return null;
        }
        Cur tempCur = dom.tempCur();
        while (true) {
            if (!tempCur.toNextAttr()) {
                break;
            }
            int i3 = i2 - 1;
            if (i2 == 0) {
                dom2 = tempCur.getDom();
                break;
            }
            i2 = i3;
        }
        tempCur.release();
        return dom2;
    }

    public static Dom attributes_removeNamedItem(Dom dom, String str) {
        Cur tempCur = dom.tempCur();
        Dom dom2 = null;
        while (tempCur.toNextAttr()) {
            Dom dom3 = tempCur.getDom();
            if (_node_getNodeName(dom3).equals(str)) {
                if (dom2 == null) {
                    dom2 = dom3;
                }
                if (((Xobj.AttrXobj) dom3).isId()) {
                    Dom node_getOwnerDocument = node_getOwnerDocument(dom3);
                    String node_getNodeValue = node_getNodeValue(dom3);
                    if (node_getOwnerDocument instanceof Xobj.DocumentXobj) {
                        ((Xobj.DocumentXobj) node_getOwnerDocument).removeIdElement(node_getNodeValue);
                    }
                }
                removeNode(dom3);
                tempCur.toPrevAttr();
            }
        }
        tempCur.release();
        if (dom2 != null) {
            return dom2;
        }
        throw new NotFoundErr(a.a("Named item not found: ", str));
    }

    public static Dom attributes_removeNamedItemNS(Dom dom, String str, String str2) {
        if (str == null) {
            str = "";
        }
        Dom dom2 = null;
        Cur tempCur = dom.tempCur();
        while (tempCur.toNextAttr()) {
            Dom dom3 = tempCur.getDom();
            QName qName = dom3.getQName();
            if (qName.getNamespaceURI().equals(str) && qName.getLocalPart().equals(str2)) {
                if (dom2 == null) {
                    dom2 = dom3;
                }
                if (((Xobj.AttrXobj) dom3).isId()) {
                    Dom node_getOwnerDocument = node_getOwnerDocument(dom3);
                    String node_getNodeValue = node_getNodeValue(dom3);
                    if (node_getOwnerDocument instanceof Xobj.DocumentXobj) {
                        ((Xobj.DocumentXobj) node_getOwnerDocument).removeIdElement(node_getNodeValue);
                    }
                }
                removeNode(dom3);
                tempCur.toPrevAttr();
            }
        }
        tempCur.release();
        if (dom2 != null) {
            return dom2;
        }
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append("Named item not found: uri=");
        stringBuffer.append(str);
        stringBuffer.append(", local=");
        stringBuffer.append(str2);
        throw new NotFoundErr(stringBuffer.toString());
    }

    public static Dom attributes_setNamedItem(Dom dom, Dom dom2) {
        if (attr_getOwnerElement(dom2) != null) {
            throw new InuseAttributeError();
        } else if (dom2.nodeType() == 2) {
            String _node_getNodeName = _node_getNodeName(dom2);
            Dom dom3 = null;
            Cur tempCur = dom.tempCur();
            while (tempCur.toNextAttr()) {
                Dom dom4 = tempCur.getDom();
                if (_node_getNodeName(dom4).equals(_node_getNodeName)) {
                    if (dom3 == null) {
                        dom3 = dom4;
                    } else {
                        removeNode(dom4);
                        tempCur.toPrevAttr();
                    }
                }
            }
            if (dom3 == null) {
                tempCur.moveToDom(dom);
                tempCur.next();
                Cur.moveNode((Xobj) dom2, tempCur);
            } else {
                tempCur.moveToDom(dom3);
                Cur.moveNode((Xobj) dom2, tempCur);
                removeNode(dom3);
            }
            tempCur.release();
            return dom3;
        } else {
            throw new HierarchyRequestErr("Node is not an attribute");
        }
    }

    public static Dom attributes_setNamedItemNS(Dom dom, Dom dom2) {
        Dom attr_getOwnerElement = attr_getOwnerElement(dom2);
        if (attr_getOwnerElement == dom) {
            return dom2;
        }
        if (attr_getOwnerElement != null) {
            throw new InuseAttributeError();
        } else if (dom2.nodeType() == 2) {
            QName qName = dom2.getQName();
            Dom dom3 = null;
            Cur tempCur = dom.tempCur();
            while (tempCur.toNextAttr()) {
                Dom dom4 = tempCur.getDom();
                if (dom4.getQName().equals(qName)) {
                    if (dom3 == null) {
                        dom3 = dom4;
                    } else {
                        removeNode(dom4);
                        tempCur.toPrevAttr();
                    }
                }
            }
            if (dom3 == null) {
                tempCur.moveToDom(dom);
                tempCur.next();
                Cur.moveNode((Xobj) dom2, tempCur);
            } else {
                tempCur.moveToDom(dom3);
                Cur.moveNode((Xobj) dom2, tempCur);
                removeNode(dom3);
            }
            tempCur.release();
            return dom3;
        } else {
            throw new HierarchyRequestErr("Node is not an attribute");
        }
    }

    public static int childNodes_getLength(Dom dom) {
        switch (dom.nodeType()) {
            case 3:
            case 4:
            case 7:
            case 8:
                return 0;
            case 5:
                throw new RuntimeException("Not impl");
            case 6:
            case 10:
            case 12:
                throw new RuntimeException("Not impl");
            case 9:
            case 11:
            default:
                if ($assertionsDisabled || (dom instanceof Xobj)) {
                    Xobj xobj = (Xobj) dom;
                    xobj.ensureOccupancy();
                    int domZeroOneChildren = xobj.getDomZeroOneChildren();
                    if (domZeroOneChildren < 2) {
                        return domZeroOneChildren;
                    }
                    return dom.locale().domLength(dom);
                }
                throw new AssertionError();
        }
    }

    public static Dom childNodes_item(Dom dom, int i2) {
        if (i2 < 0) {
            return null;
        }
        switch (dom.nodeType()) {
            case 3:
            case 4:
            case 7:
            case 8:
                return null;
            case 5:
                throw new RuntimeException("Not impl");
            case 6:
            case 10:
            case 12:
                throw new RuntimeException("Not impl");
            case 9:
            case 11:
            default:
                if (i2 == 0) {
                    return node_getFirstChild(dom);
                }
                return dom.locale().findDomNthChild(dom, i2);
        }
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public static DetailEntry detail_addDetailEntry(Dom dom, Name name) {
        DetailEntry detail_addDetailEntry;
        Locale locale = dom.locale();
        Detail detail = (Detail) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.detail_addDetailEntry(detail, name);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    detail_addDetailEntry = locale._saaj.detail_addDetailEntry(detail, name);
                } finally {
                    locale.exit();
                }
            }
            return detail_addDetailEntry;
        }
    }

    public static Iterator detail_getDetailEntries(Dom dom) {
        Iterator detail_getDetailEntries;
        Locale locale = dom.locale();
        Detail detail = (Detail) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.detail_getDetailEntries(detail);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    detail_getDetailEntries = locale._saaj.detail_getDetailEntries(detail);
                } finally {
                    locale.exit();
                }
            }
            return detail_getDetailEntries;
        }
    }

    public static Dom document_createAttribute(Dom dom, String str) {
        validateName(str);
        Locale locale = dom.locale();
        Cur tempCur = locale.tempCur();
        tempCur.createAttr(locale.makeQualifiedQName("", str));
        Dom dom2 = tempCur.getDom();
        tempCur.release();
        ((Xobj.AttrXobj) dom2)._canHavePrefixUri = false;
        return dom2;
    }

    public static Dom document_createAttributeNS(Dom dom, String str, String str2) {
        validateQualifiedName(str2, str, true);
        Locale locale = dom.locale();
        Cur tempCur = locale.tempCur();
        tempCur.createAttr(locale.makeQualifiedQName(str, str2));
        Dom dom2 = tempCur.getDom();
        tempCur.release();
        return dom2;
    }

    public static Dom document_createCDATASection(Dom dom, String str) {
        CdataNode createCdataNode = dom.locale().createCdataNode();
        if (str == null) {
            str = "";
        }
        createCdataNode.setChars(str, 0, str.length());
        return createCdataNode;
    }

    public static Dom document_createComment(Dom dom, String str) {
        Cur tempCur = dom.locale().tempCur();
        tempCur.createComment();
        Dom dom2 = tempCur.getDom();
        if (str != null) {
            tempCur.next();
            tempCur.insertString(str);
        }
        tempCur.release();
        return dom2;
    }

    public static Dom document_createDocumentFragment(Dom dom) {
        Cur tempCur = dom.locale().tempCur();
        tempCur.createDomDocFragRoot();
        Dom dom2 = tempCur.getDom();
        tempCur.release();
        return dom2;
    }

    public static Dom document_createElement(Dom dom, String str) {
        validateName(str);
        Locale locale = dom.locale();
        Cur tempCur = locale.tempCur();
        tempCur.createElement(locale.makeQualifiedQName("", str));
        Dom dom2 = tempCur.getDom();
        tempCur.release();
        ((Xobj.ElementXobj) dom2)._canHavePrefixUri = false;
        return dom2;
    }

    public static Dom document_createElementNS(Dom dom, String str, String str2) {
        validateQualifiedName(str2, str, false);
        Locale locale = dom.locale();
        Cur tempCur = locale.tempCur();
        tempCur.createElement(locale.makeQualifiedQName(str, str2));
        Dom dom2 = tempCur.getDom();
        tempCur.release();
        return dom2;
    }

    public static Dom document_createProcessingInstruction(Dom dom, String str, String str2) {
        if (str == null) {
            throw new IllegalArgumentException("Target is null");
        } else if (str.length() == 0) {
            throw new IllegalArgumentException("Target is empty");
        } else if (!XMLChar.isValidName(str)) {
            throw new InvalidCharacterError("Target has an invalid character");
        } else if (!Locale.beginsWithXml(str) || str.length() != 3) {
            Cur tempCur = dom.locale().tempCur();
            tempCur.createProcinst(str);
            Dom dom2 = tempCur.getDom();
            if (str2 != null) {
                tempCur.next();
                tempCur.insertString(str2);
            }
            tempCur.release();
            return dom2;
        } else {
            throw new InvalidCharacterError("Invalid target - is 'xml'");
        }
    }

    public static CharNode document_createTextNode(Dom dom, String str) {
        TextNode createTextNode = dom.locale().createTextNode();
        if (str == null) {
            str = "";
        }
        createTextNode.setChars(str, 0, str.length());
        return createTextNode;
    }

    public static Dom document_getDoctype(Dom dom) {
        return null;
    }

    public static Dom document_getDocumentElement(Dom dom) {
        for (Dom firstChild = firstChild(dom); firstChild != null; firstChild = nextSibling(firstChild)) {
            if (firstChild.nodeType() == 1) {
                return firstChild;
            }
        }
        return null;
    }

    public static NodeList document_getElementsByTagName(Dom dom, String str) {
        return new ElementsByTagNameNodeList(dom, str);
    }

    public static NodeList document_getElementsByTagNameNS(Dom dom, String str, String str2) {
        return new ElementsByTagNameNSNodeList(dom, str, str2);
    }

    public static Dom document_importNode(Dom dom, Node node, boolean z) {
        Dom dom2;
        Dom dom3;
        Dom dom4;
        if (node == null) {
            return null;
        }
        switch (node.getNodeType()) {
            case 1:
                String localName = node.getLocalName();
                if (localName == null || localName.length() == 0) {
                    dom2 = document_createElement(dom, node.getNodeName());
                } else {
                    String prefix = node.getPrefix();
                    if (!(prefix == null || prefix.length() == 0)) {
                        localName = a.a(prefix, ":", localName);
                    }
                    String namespaceURI = node.getNamespaceURI();
                    if (namespaceURI == null || namespaceURI.length() == 0) {
                        dom2 = document_createElement(dom, localName);
                    } else {
                        dom2 = document_createElementNS(dom, namespaceURI, localName);
                    }
                }
                NamedNodeMap attributes = node.getAttributes();
                for (int i2 = 0; i2 < attributes.getLength(); i2++) {
                    attributes_setNamedItem(dom2, document_importNode(dom, attributes.item(i2), true));
                }
                break;
            case 2:
                String localName2 = node.getLocalName();
                if (localName2 == null || localName2.length() == 0) {
                    dom3 = document_createAttribute(dom, node.getNodeName());
                } else {
                    String prefix2 = node.getPrefix();
                    if (!(prefix2 == null || prefix2.length() == 0)) {
                        localName2 = a.a(prefix2, ":", localName2);
                    }
                    String namespaceURI2 = node.getNamespaceURI();
                    if (namespaceURI2 == null || namespaceURI2.length() == 0) {
                        dom3 = document_createAttribute(dom, localName2);
                    } else {
                        dom3 = document_createAttributeNS(dom, namespaceURI2, localName2);
                    }
                }
                dom2 = dom3;
                z = true;
                break;
            case 3:
                dom4 = document_createTextNode(dom, node.getNodeValue());
                dom2 = dom4;
                z = false;
                break;
            case 4:
                dom4 = document_createCDATASection(dom, node.getNodeValue());
                dom2 = dom4;
                z = false;
                break;
            case 5:
            case 6:
            case 12:
                throw new RuntimeException("Not impl");
            case 7:
                dom4 = document_createProcessingInstruction(dom, node.getNodeName(), node.getNodeValue());
                dom2 = dom4;
                z = false;
                break;
            case 8:
                dom4 = document_createComment(dom, node.getNodeValue());
                dom2 = dom4;
                z = false;
                break;
            case 9:
                throw new NotSupportedError("Document nodes may not be imported");
            case 10:
                throw new NotSupportedError("Document type nodes may not be imported");
            case 11:
                dom2 = document_createDocumentFragment(dom);
                break;
            default:
                throw new RuntimeException("Unknown kind");
        }
        if (z) {
            NodeList childNodes = node.getChildNodes();
            for (int i3 = 0; i3 < childNodes.getLength(); i3++) {
                node_insertBefore(dom2, document_importNode(dom, childNodes.item(i3), true), null);
            }
        }
        return dom2;
    }

    public static Document domImplementation_createDocument(Locale locale, String str, String str2, DocumentType documentType) {
        validateQualifiedName(str2, str, false);
        Cur tempCur = locale.tempCur();
        tempCur.createDomDocumentRoot();
        Document document = (Document) tempCur.getDom();
        tempCur.next();
        tempCur.createElement(locale.makeQualifiedQName(str, str2));
        if (documentType == null) {
            tempCur.toParent();
            try {
                Locale.autoTypeDocument(tempCur, null, null);
                tempCur.release();
                return document;
            } catch (XmlException e2) {
                throw new XmlRuntimeException(e2);
            }
        } else {
            throw new RuntimeException("Not impl");
        }
    }

    public static NodeList element_getElementsByTagName(Dom dom, String str) {
        return new ElementsByTagNameNodeList(dom, str);
    }

    public static NodeList element_getElementsByTagNameNS(Dom dom, String str, String str2) {
        return new ElementsByTagNameNSNodeList(dom, str, str2);
    }

    public static void element_setAttribute(Dom dom, String str, String str2) {
        Dom attributes_getNamedItem = attributes_getNamedItem(dom, str);
        if (attributes_getNamedItem == null) {
            attributes_getNamedItem = document_createAttribute(node_getOwnerDocument(dom), str);
            attributes_setNamedItem(dom, attributes_getNamedItem);
        }
        node_setNodeValue(attributes_getNamedItem, str2);
    }

    public static void element_setAttributeNS(Dom dom, String str, String str2, String str3) {
        validateQualifiedName(str2, str, true);
        QName makeQualifiedQName = dom.locale().makeQualifiedQName(str, str2);
        String localPart = makeQualifiedQName.getLocalPart();
        String validatePrefix = validatePrefix(makeQualifiedQName.getPrefix(), str, localPart, true);
        Dom attributes_getNamedItemNS = attributes_getNamedItemNS(dom, str, localPart);
        if (attributes_getNamedItemNS == null) {
            attributes_getNamedItemNS = document_createAttributeNS(node_getOwnerDocument(dom), str, localPart);
            attributes_setNamedItemNS(dom, attributes_getNamedItemNS);
        }
        node_setPrefix(attributes_getNamedItemNS, validatePrefix);
        node_setNodeValue(attributes_getNamedItemNS, str3);
    }

    public static Dom firstChild(Dom dom) {
        return node_getFirstChild(dom);
    }

    public static XmlCursor getXmlCursor(Dom dom) {
        Cur tempCur = dom.tempCur();
        Cursor cursor = new Cursor(tempCur);
        tempCur.release();
        return cursor;
    }

    public static XmlObject getXmlObject(Dom dom) {
        Cur tempCur = dom.tempCur();
        XmlObject object = tempCur.getObject();
        tempCur.release();
        return object;
    }

    public static XMLStreamReader getXmlStreamReader(Dom dom) {
        XMLStreamReader xMLStreamReader;
        switch (dom.nodeType()) {
            case 1:
            case 2:
            case 7:
            case 8:
            case 9:
            case 11:
                Cur tempCur = dom.tempCur();
                XMLStreamReader newXmlStreamReader = Jsr173.newXmlStreamReader(tempCur, null);
                tempCur.release();
                return newXmlStreamReader;
            case 3:
            case 4:
                CharNode charNode = (CharNode) dom;
                Cur tempCur2 = charNode.tempCur();
                if (tempCur2 == null) {
                    tempCur2 = dom.locale().tempCur();
                    xMLStreamReader = Jsr173.newXmlStreamReader(tempCur2, charNode._src, charNode._off, charNode._cch);
                } else {
                    xMLStreamReader = Jsr173.newXmlStreamReader(tempCur2, tempCur2.getChars(charNode._cch), tempCur2._offSrc, tempCur2._cchSrc);
                }
                tempCur2.release();
                return xMLStreamReader;
            case 5:
            case 6:
            case 10:
            case 12:
                throw new RuntimeException("Not impl");
            default:
                throw new RuntimeException("Unknown kind");
        }
    }

    public static Dom impl_saajCallback_createSoapElement(Dom dom, QName qName, QName qName2) {
        Cur tempCur = dom.locale().tempCur();
        tempCur.createElement(qName, qName2);
        Dom dom2 = tempCur.getDom();
        tempCur.release();
        return dom2;
    }

    public static org.w3c.dom.Text impl_saajCallback_ensureSoapTextNode(Dom dom) {
        return null;
    }

    public static Object impl_saajCallback_getSaajData(Dom dom) {
        Object obj;
        Cur tempCur = dom.locale().tempCur();
        tempCur.moveToDom(dom);
        Class cls = class$org$apache$xmlbeans$impl$store$DomImpl$SaajData;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.store.DomImpl$SaajData");
            class$org$apache$xmlbeans$impl$store$DomImpl$SaajData = cls;
        }
        SaajData saajData = (SaajData) tempCur.getBookmark(cls);
        if (saajData == null) {
            obj = null;
        } else {
            obj = saajData._obj;
        }
        tempCur.release();
        return obj;
    }

    public static Dom impl_saajCallback_importSoapElement(Dom dom, Element element, boolean z, QName qName) {
        throw new RuntimeException("Not impl");
    }

    public static void impl_saajCallback_setSaajData(Dom dom, Object obj) {
        Cur tempCur = dom.locale().tempCur();
        tempCur.moveToDom(dom);
        SaajData saajData = null;
        if (obj != null) {
            Class cls = class$org$apache$xmlbeans$impl$store$DomImpl$SaajData;
            if (cls == null) {
                cls = class$("org.apache.xmlbeans.impl.store.DomImpl$SaajData");
                class$org$apache$xmlbeans$impl$store$DomImpl$SaajData = cls;
            }
            SaajData saajData2 = (SaajData) tempCur.getBookmark(cls);
            if (saajData2 == null) {
                saajData2 = new SaajData();
            }
            saajData = saajData2;
            saajData._obj = obj;
        }
        Class cls2 = class$org$apache$xmlbeans$impl$store$DomImpl$SaajData;
        if (cls2 == null) {
            cls2 = class$("org.apache.xmlbeans.impl.store.DomImpl$SaajData");
            class$org$apache$xmlbeans$impl$store$DomImpl$SaajData = cls2;
        }
        tempCur.setBookmark(cls2, saajData);
        tempCur.release();
    }

    public static Dom insert(Dom dom, Dom dom2) {
        if ($assertionsDisabled || dom2 != null) {
            return node_insertBefore(parent(dom2), dom, dom2);
        }
        throw new AssertionError();
    }

    public static String isValidChild(Dom dom, Dom dom2) {
        int nodeType = dom.nodeType();
        int nodeType2 = dom2.nodeType();
        switch (nodeType) {
            case 1:
            case 5:
            case 6:
            case 11:
                if (nodeType2 == 1 || nodeType2 == 3 || nodeType2 == 4 || nodeType2 == 5 || nodeType2 == 7 || nodeType2 == 8) {
                    return null;
                }
            case 2:
                if (nodeType2 == 3 || nodeType2 == 5) {
                    return null;
                }
            case 3:
            case 4:
            case 7:
            case 8:
            case 10:
            case 12:
                StringBuffer stringBuffer = new StringBuffer();
                stringBuffer.append(nodeKindName(nodeType));
                stringBuffer.append(" nodes may not have any children");
                return stringBuffer.toString();
            case 9:
                if (nodeType2 != 1) {
                    if (nodeType2 != 10) {
                        if (nodeType2 == 7 || nodeType2 == 8) {
                            return null;
                        }
                    } else if (document_getDoctype(dom) != null) {
                        return "Documents may only have a maximum of one document type node";
                    } else {
                        return null;
                    }
                } else if (document_getDocumentElement(dom) != null) {
                    return "Documents may only have a maximum of one document element";
                } else {
                    return null;
                }
        }
        StringBuffer stringBuffer2 = new StringBuffer();
        stringBuffer2.append(nodeKindName(nodeType));
        stringBuffer2.append(" nodes may not have ");
        stringBuffer2.append(nodeKindName(nodeType2));
        stringBuffer2.append(" nodes as children");
        return stringBuffer2.toString();
    }

    public static Dom nextSibling(Dom dom) {
        return node_getNextSibling(dom);
    }

    public static String nodeKindName(int i2) {
        switch (i2) {
            case 1:
                return "element";
            case 2:
                return "attribute";
            case 3:
                return "text";
            case 4:
                return "cdata section";
            case 5:
                return "entity reference";
            case 6:
                return "entity";
            case 7:
                return "processing instruction";
            case 8:
                return JamXmlElements.COMMENT;
            case 9:
                return "document";
            case 10:
                return "document type";
            case 11:
                return "document fragment";
            case 12:
                return "notation";
            default:
                throw new RuntimeException("Unknown node type");
        }
    }

    public static Dom node_cloneNode(Dom dom, boolean z) {
        Cur cur;
        Locale locale = dom.locale();
        Dom dom2 = null;
        if (!z) {
            int nodeType = dom.nodeType();
            if (nodeType == 1) {
                cur = locale.tempCur();
                cur.createElement(dom.getQName());
                Element element = (Element) cur.getDom();
                NamedNodeMap attributes = ((Element) dom).getAttributes();
                for (int i2 = 0; i2 < attributes.getLength(); i2++) {
                    element.setAttributeNodeNS((Attr) attributes.item(i2).cloneNode(true));
                }
            } else if (nodeType == 2) {
                cur = locale.tempCur();
                cur.createAttr(dom.getQName());
            } else if (nodeType == 9) {
                cur = locale.tempCur();
                cur.createDomDocumentRoot();
            } else if (nodeType != 11) {
                cur = null;
            } else {
                cur = locale.tempCur();
                cur.createDomDocFragRoot();
            }
            if (cur != null) {
                dom2 = cur.getDom();
                cur.release();
            }
        }
        if (dom2 != null) {
            return dom2;
        }
        switch (dom.nodeType()) {
            case 1:
            case 2:
            case 7:
            case 8:
            case 9:
            case 11:
                Cur tempCur = locale.tempCur();
                Cur tempCur2 = dom.tempCur();
                tempCur2.copyNode(tempCur);
                Dom dom3 = tempCur.getDom();
                tempCur.release();
                tempCur2.release();
                return dom3;
            case 3:
            case 4:
                Cur tempCur3 = dom.tempCur();
                TextNode createTextNode = dom.nodeType() == 3 ? locale.createTextNode() : locale.createCdataNode();
                createTextNode.setChars(tempCur3.getChars(((CharNode) dom)._cch), tempCur3._offSrc, tempCur3._cchSrc);
                tempCur3.release();
                return createTextNode;
            case 5:
            case 6:
            case 10:
            case 12:
                throw new RuntimeException("Not impl");
            default:
                throw new RuntimeException("Unknown kind");
        }
    }

    public static Dom node_getFirstChild(Dom dom) {
        int nodeType = dom.nodeType();
        if (!(nodeType == 1 || nodeType == 2)) {
            if (nodeType != 5) {
                if (nodeType != 6) {
                    switch (nodeType) {
                        case 9:
                        case 11:
                            break;
                        case 10:
                        case 12:
                            break;
                        default:
                            return null;
                    }
                }
                throw new RuntimeException("Not impl");
            }
            throw new RuntimeException("Not impl");
        }
        Xobj xobj = (Xobj) dom;
        xobj.ensureOccupancy();
        if (xobj.isFirstChildPtrDomUsable()) {
            return (Xobj.NodeXobj) xobj._firstChild;
        }
        Xobj lastAttr = xobj.lastAttr();
        if (lastAttr != null) {
            if (lastAttr.isNextSiblingPtrDomUsable()) {
                return (Xobj.NodeXobj) lastAttr._nextSibling;
            }
            if (lastAttr.isCharNodesAfterUsable()) {
                return lastAttr._charNodesAfter;
            }
        }
        if (xobj.isCharNodesValueUsable()) {
            return xobj._charNodesValue;
        }
        return null;
    }

    public static Dom node_getLastChild(Dom dom) {
        CharNode charNode;
        CharNode charNode2 = null;
        switch (dom.nodeType()) {
            case 3:
            case 4:
            case 7:
            case 8:
                return null;
            case 5:
                throw new RuntimeException("Not impl");
            case 6:
            case 10:
            case 12:
                throw new RuntimeException("Not impl");
            case 9:
            case 11:
            default:
                Cur tempCur = dom.tempCur();
                if (tempCur.toLastChild()) {
                    Dom dom2 = tempCur.getDom();
                    tempCur.skip();
                    charNode = tempCur.getCharNodes();
                    if (charNode == null) {
                        charNode2 = dom2;
                    }
                } else {
                    tempCur.next();
                    charNode = tempCur.getCharNodes();
                }
                if (charNode2 == null && charNode != null) {
                    while (true) {
                        CharNode charNode3 = charNode._next;
                        if (charNode3 != null) {
                            charNode = charNode3;
                        } else {
                            charNode2 = charNode;
                        }
                    }
                }
                tempCur.release();
                return charNode2;
        }
    }

    public static Dom node_getNextSibling(Dom dom) {
        switch (dom.nodeType()) {
            case 1:
            case 7:
            case 8:
                if ($assertionsDisabled || (dom instanceof Xobj)) {
                    Xobj xobj = (Xobj) dom;
                    xobj.ensureOccupancy();
                    if (xobj.isNextSiblingPtrDomUsable()) {
                        return (Xobj.NodeXobj) xobj._nextSibling;
                    }
                    if (xobj.isCharNodesAfterUsable()) {
                        return xobj._charNodesAfter;
                    }
                    return null;
                }
                throw new AssertionError("PI, Comments and Elements always backed up by Xobj");
            case 2:
            case 9:
            case 11:
            default:
                return null;
            case 3:
            case 4:
                CharNode charNode = (CharNode) dom;
                if (!(charNode._src instanceof Xobj)) {
                    return null;
                }
                Xobj xobj2 = (Xobj) charNode._src;
                xobj2._charNodesAfter = Cur.updateCharNodes(xobj2._locale, xobj2, xobj2._charNodesAfter, xobj2._cchAfter);
                xobj2._charNodesValue = Cur.updateCharNodes(xobj2._locale, xobj2, xobj2._charNodesValue, xobj2._cchValue);
                CharNode charNode2 = charNode._next;
                if (charNode2 != null) {
                    return charNode2;
                }
                if (charNode.isNodeAftertext()) {
                    return (Xobj.NodeXobj) xobj2._nextSibling;
                }
                return (Xobj.NodeXobj) xobj2._firstChild;
            case 5:
            case 6:
            case 10:
            case 12:
                throw new RuntimeException("Not implemented");
        }
    }

    public static String node_getNodeValue(Dom dom) {
        int nodeType = dom.nodeType();
        if (nodeType != 2) {
            if (nodeType == 3 || nodeType == 4) {
                if ($assertionsDisabled || (dom instanceof CharNode)) {
                    CharNode charNode = (CharNode) dom;
                    if (!(charNode._src instanceof Xobj)) {
                        return CharUtil.getString(charNode._src, charNode._off, charNode._cch);
                    }
                    Xobj xobj = (Xobj) charNode._src;
                    xobj.ensureOccupancy();
                    if (charNode.isNodeAftertext()) {
                        xobj._charNodesAfter = Cur.updateCharNodes(xobj._locale, xobj, xobj._charNodesAfter, xobj._cchAfter);
                        return xobj.getCharsAfterAsString(charNode._off, charNode._cch);
                    }
                    xobj._charNodesValue = Cur.updateCharNodes(xobj._locale, xobj, xobj._charNodesValue, xobj._cchValue);
                    return xobj.getCharsValueAsString(charNode._off, charNode._cch);
                }
                throw new AssertionError("Text/CData should be a CharNode");
            } else if (!(nodeType == 7 || nodeType == 8)) {
                return null;
            }
        }
        return ((Xobj) dom).getValueAsString();
    }

    public static Dom node_getOwnerDocument(Dom dom) {
        if (dom.nodeType() == 9) {
            return null;
        }
        Locale locale = dom.locale();
        if (locale._ownerDoc == null) {
            Cur tempCur = locale.tempCur();
            tempCur.createDomDocumentRoot();
            locale._ownerDoc = tempCur.getDom();
            tempCur.release();
        }
        return locale._ownerDoc;
    }

    public static Dom node_getParentNode(Dom dom) {
        Cur cur;
        switch (dom.nodeType()) {
            case 1:
            case 7:
            case 8:
                cur = dom.tempCur();
                if (!cur.toParentRaw()) {
                    cur.release();
                }
                break;
            case 2:
            case 9:
            case 11:
                cur = null;
                break;
            case 3:
            case 4:
                cur = dom.tempCur();
                if (cur != null) {
                    cur.toParent();
                    break;
                }
                break;
            case 5:
                throw new RuntimeException("Not impl");
            case 6:
            case 10:
            case 12:
                throw new RuntimeException("Not impl");
            default:
                throw new RuntimeException("Unknown kind");
        }
        if (cur == null) {
            return null;
        }
        Dom dom2 = cur.getDom();
        cur.release();
        return dom2;
    }

    public static Dom node_getPreviousSibling(Dom dom) {
        Dom dom2;
        Xobj xobj;
        int nodeType = dom.nodeType();
        if (nodeType == 3 || nodeType == 4) {
            if ($assertionsDisabled || (dom instanceof CharNode)) {
                CharNode charNode = (CharNode) dom;
                if (!(charNode._src instanceof Xobj)) {
                    return null;
                }
                Xobj xobj2 = (Xobj) charNode._src;
                xobj2.ensureOccupancy();
                boolean isNodeAftertext = charNode.isNodeAftertext();
                Dom dom3 = charNode._prev;
                if (dom3 == null) {
                    if (isNodeAftertext) {
                        dom2 = (Dom) xobj2;
                    } else {
                        dom3 = xobj2._charNodesValue;
                    }
                }
                dom2 = dom3;
            } else {
                throw new AssertionError("Text/CData should be a CharNode");
            }
        } else if ($assertionsDisabled || (dom instanceof Xobj)) {
            Xobj xobj3 = (Xobj) dom;
            dom2 = (Dom) xobj3._prevSibling;
            if (dom2 == null && (xobj = xobj3._parent) != null) {
                dom2 = node_getFirstChild((Dom) xobj);
            }
        } else {
            throw new AssertionError();
        }
        if (dom2 == null || (dom3 = node_getNextSibling(dom2)) == dom) {
            return dom2;
        }
        dom2 = dom3;
        return dom2;
    }

    public static boolean node_hasAttributes(Dom dom) {
        if (dom.nodeType() != 1) {
            return false;
        }
        Cur tempCur = dom.tempCur();
        boolean hasAttrs = tempCur.hasAttrs();
        tempCur.release();
        return hasAttrs;
    }

    public static Dom node_insertBefore(Dom dom, Dom dom2, Dom dom3) {
        if (!$assertionsDisabled && dom2 == null) {
            throw new AssertionError();
        } else if (dom2 == dom3) {
            return dom2;
        } else {
            if (dom3 == null || parent(dom3) == dom) {
                int nodeType = dom2.nodeType();
                if (nodeType == 11) {
                    for (Dom firstChild = firstChild(dom2); firstChild != null; firstChild = nextSibling(firstChild)) {
                        validateNewChild(dom, firstChild);
                    }
                    Dom firstChild2 = firstChild(dom2);
                    while (firstChild2 != null) {
                        Dom nextSibling = nextSibling(firstChild2);
                        if (dom3 == null) {
                            append(firstChild2, dom);
                        } else {
                            insert(firstChild2, dom3);
                        }
                        firstChild2 = nextSibling;
                    }
                    return dom2;
                }
                validateNewChild(dom, dom2);
                remove(dom2);
                int nodeType2 = dom.nodeType();
                if ($assertionsDisabled || nodeType2 == 2 || nodeType2 == 11 || nodeType2 == 9 || nodeType2 == 1) {
                    if (nodeType != 1) {
                        if (nodeType == 10) {
                            throw new RuntimeException("Not implemented");
                        } else if (nodeType == 3 || nodeType == 4) {
                            CharNode charNode = (CharNode) dom2;
                            if ($assertionsDisabled || (charNode._prev == null && charNode._next == null)) {
                                CharNode charNode2 = null;
                                Cur tempCur = dom.tempCur();
                                if (dom3 == null) {
                                    tempCur.toEnd();
                                } else {
                                    int nodeType3 = dom3.nodeType();
                                    if (nodeType3 == 3 || nodeType3 == 4) {
                                        charNode2 = (CharNode) dom3;
                                        tempCur.moveToCharNode(charNode2);
                                    } else if (nodeType3 != 5) {
                                        tempCur.moveToDom(dom3);
                                    } else {
                                        throw new RuntimeException("Not implemented");
                                    }
                                }
                                CharNode insertNode = CharNode.insertNode(tempCur.getCharNodes(), charNode, charNode2);
                                tempCur.insertChars(charNode._src, charNode._off, charNode._cch);
                                tempCur.setCharNodes(insertNode);
                                tempCur.release();
                                return dom2;
                            }
                            throw new AssertionError();
                        } else if (nodeType == 5) {
                            throw new RuntimeException("Not implemented");
                        } else if (!(nodeType == 7 || nodeType == 8)) {
                            throw new RuntimeException("Unexpected child node type");
                        }
                    }
                    if (dom3 == null) {
                        Cur tempCur2 = dom.tempCur();
                        tempCur2.toEnd();
                        Cur.moveNode((Xobj) dom2, tempCur2);
                        tempCur2.release();
                    } else {
                        int nodeType4 = dom3.nodeType();
                        if (nodeType4 == 3 || nodeType4 == 4) {
                            ArrayList arrayList = new ArrayList();
                            while (dom3 != null && (dom3.nodeType() == 3 || dom3.nodeType() == 4)) {
                                Dom nextSibling2 = nextSibling(dom3);
                                arrayList.add(remove(dom3));
                                dom3 = nextSibling2;
                            }
                            if (dom3 == null) {
                                append(dom2, dom);
                            } else {
                                insert(dom2, dom3);
                            }
                            Dom nextSibling3 = nextSibling(dom2);
                            for (int i2 = 0; i2 < arrayList.size(); i2++) {
                                Dom dom4 = (Dom) arrayList.get(i2);
                                if (nextSibling3 == null) {
                                    append(dom4, dom);
                                } else {
                                    insert(dom4, nextSibling3);
                                }
                            }
                        } else if (nodeType4 == 5) {
                            throw new RuntimeException("Not implemented");
                        } else if ($assertionsDisabled || nodeType4 == 1 || nodeType4 == 7 || nodeType4 == 8) {
                            Cur tempCur3 = dom3.tempCur();
                            Cur.moveNode((Xobj) dom2, tempCur3);
                            tempCur3.release();
                        } else {
                            throw new AssertionError();
                        }
                    }
                    return dom2;
                }
                throw new AssertionError();
            }
            throw new NotFoundErr("RefChild is not a child of this node");
        }
    }

    public static void node_normalize(Dom dom) {
        switch (dom.nodeType()) {
            case 3:
            case 4:
            case 7:
            case 8:
                return;
            case 5:
                throw new RuntimeException("Not impl");
            case 6:
            case 10:
            case 12:
                throw new RuntimeException("Not impl");
            case 9:
            case 11:
            default:
                Cur tempCur = dom.tempCur();
                tempCur.push();
                do {
                    tempCur.nextWithAttrs();
                    CharNode charNodes = tempCur.getCharNodes();
                    if (charNodes != null) {
                        if (!tempCur.isText()) {
                            while (charNodes != null) {
                                charNodes.setChars(null, 0, 0);
                                charNodes = CharNode.remove(charNodes, charNodes);
                            }
                        } else if (charNodes._next != null) {
                            while (charNodes._next != null) {
                                charNodes.setChars(null, 0, 0);
                                charNodes = CharNode.remove(charNodes, charNodes._next);
                            }
                            charNodes._cch = Integer.MAX_VALUE;
                        }
                        tempCur.setCharNodes(charNodes);
                    }
                } while (!tempCur.isAtEndOfLastPush());
                tempCur.release();
                dom.locale().invalidateDomCaches(dom);
                return;
        }
    }

    public static Dom node_removeChild(Dom dom, Dom dom2) {
        if (parent(dom2) == dom) {
            switch (dom2.nodeType()) {
                case 1:
                case 7:
                case 8:
                    removeNode(dom2);
                    break;
                case 2:
                case 9:
                case 11:
                    throw new IllegalStateException();
                case 3:
                case 4:
                    Cur tempCur = dom2.tempCur();
                    CharNode charNodes = tempCur.getCharNodes();
                    CharNode charNode = (CharNode) dom2;
                    if ($assertionsDisabled || (charNode._src instanceof Dom)) {
                        charNode.setChars(tempCur.moveChars(null, charNode._cch), tempCur._offSrc, tempCur._cchSrc);
                        tempCur.setCharNodes(CharNode.remove(charNodes, charNode));
                        tempCur.release();
                        break;
                    } else {
                        throw new AssertionError();
                    }
                    break;
                case 5:
                    throw new RuntimeException("Not impl");
                case 6:
                case 10:
                case 12:
                    throw new RuntimeException("Not impl");
                default:
                    throw new RuntimeException("Unknown kind");
            }
            return dom2;
        }
        throw new NotFoundErr("Child to remove is not a child of given parent");
    }

    public static Dom node_replaceChild(Dom dom, Dom dom2, Dom dom3) {
        Dom node_getNextSibling = node_getNextSibling(dom3);
        node_removeChild(dom, dom3);
        try {
            node_insertBefore(dom, dom2, node_getNextSibling);
            return dom3;
        } catch (DOMException e2) {
            node_insertBefore(dom, dom3, node_getNextSibling);
            throw e2;
        }
    }

    public static void node_setNodeValue(Dom dom, String str) {
        if (str == null) {
            str = "";
        }
        int nodeType = dom.nodeType();
        if (nodeType == 2) {
            NodeList childNodes = ((Node) dom).getChildNodes();
            while (childNodes.getLength() > 1) {
                node_removeChild(dom, (Dom) childNodes.item(1));
            }
            if (childNodes.getLength() == 0) {
                TextNode createTextNode = dom.locale().createTextNode();
                createTextNode.setChars(str, 0, str.length());
                node_insertBefore(dom, createTextNode, null);
            } else if ($assertionsDisabled || childNodes.getLength() == 1) {
                childNodes.item(0).setNodeValue(str);
            } else {
                throw new AssertionError();
            }
            if (((Xobj.AttrXobj) dom).isId()) {
                Dom node_getOwnerDocument = node_getOwnerDocument(dom);
                String node_getNodeValue = node_getNodeValue(dom);
                if (node_getOwnerDocument instanceof Xobj.DocumentXobj) {
                    Xobj.DocumentXobj documentXobj = (Xobj.DocumentXobj) node_getOwnerDocument;
                    documentXobj.removeIdElement(node_getNodeValue);
                    documentXobj.addIdElement(str, attr_getOwnerElement(dom));
                }
            }
        } else if (nodeType == 3 || nodeType == 4) {
            CharNode charNode = (CharNode) dom;
            Cur tempCur = charNode.tempCur();
            if (tempCur != null) {
                tempCur.moveChars(null, charNode._cch);
                charNode._cch = str.length();
                tempCur.insertString(str);
                tempCur.release();
                return;
            }
            charNode.setChars(str, 0, str.length());
        } else if (nodeType == 7 || nodeType == 8) {
            Cur tempCur2 = dom.tempCur();
            tempCur2.next();
            tempCur2.getChars(-1);
            tempCur2.moveChars(null, tempCur2._cchSrc);
            tempCur2.insertString(str);
            tempCur2.release();
        }
    }

    public static void node_setPrefix(Dom dom, String str) {
        boolean z = false;
        if (dom.nodeType() == 1 || dom.nodeType() == 2) {
            Cur tempCur = dom.tempCur();
            QName name = tempCur.getName();
            String namespaceURI = name.getNamespaceURI();
            String localPart = name.getLocalPart();
            if (dom.nodeType() == 2) {
                z = true;
            }
            tempCur.setName(dom.locale().makeQName(namespaceURI, localPart, validatePrefix(str, namespaceURI, localPart, z)));
            tempCur.release();
            return;
        }
        validatePrefix(str, "", "", false);
    }

    public static Dom parent(Dom dom) {
        return node_getParentNode(dom);
    }

    public static Dom prevSibling(Dom dom) {
        return node_getPreviousSibling(dom);
    }

    public static Dom remove(Dom dom) {
        Dom parent = parent(dom);
        if (parent != null) {
            node_removeChild(parent, dom);
        }
        return dom;
    }

    public static void removeNode(Dom dom) {
        CharNode charNodes;
        if ($assertionsDisabled || !(dom.nodeType() == 3 || dom.nodeType() == 4)) {
            Cur tempCur = dom.tempCur();
            tempCur.toEnd();
            if (tempCur.next() && (charNodes = tempCur.getCharNodes()) != null) {
                tempCur.setCharNodes(null);
                Cur tempCur2 = dom.tempCur();
                tempCur2.setCharNodes(CharNode.appendNodes(tempCur2.getCharNodes(), charNodes));
                tempCur2.release();
            }
            tempCur.release();
            Cur.moveNode((Xobj) dom, null);
            return;
        }
        throw new AssertionError();
    }

    public static Element saajCallback_createSoapElement(Dom dom, QName qName, QName qName2) {
        Dom dom2;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                dom2 = impl_saajCallback_createSoapElement(dom, qName, qName2);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    dom2 = impl_saajCallback_createSoapElement(dom, qName, qName2);
                } finally {
                    locale.exit();
                }
            }
        }
        return (Element) dom2;
    }

    public static org.w3c.dom.Text saajCallback_ensureSoapTextNode(Dom dom) {
        org.w3c.dom.Text impl_saajCallback_ensureSoapTextNode;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                return impl_saajCallback_ensureSoapTextNode(dom);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    impl_saajCallback_ensureSoapTextNode = impl_saajCallback_ensureSoapTextNode(dom);
                } finally {
                    locale.exit();
                }
            }
            return impl_saajCallback_ensureSoapTextNode;
        }
    }

    public static Object saajCallback_getSaajData(Dom dom) {
        Object impl_saajCallback_getSaajData;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                return impl_saajCallback_getSaajData(dom);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    impl_saajCallback_getSaajData = impl_saajCallback_getSaajData(dom);
                } finally {
                    locale.exit();
                }
            }
            return impl_saajCallback_getSaajData;
        }
    }

    public static Element saajCallback_importSoapElement(Dom dom, Element element, boolean z, QName qName) {
        Dom dom2;
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                dom2 = impl_saajCallback_importSoapElement(dom, element, z, qName);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    dom2 = impl_saajCallback_importSoapElement(dom, element, z, qName);
                } finally {
                    locale.exit();
                }
            }
        }
        return (Element) dom2;
    }

    public static void saajCallback_setSaajData(Dom dom, Object obj) {
        Locale locale = dom.locale();
        if (locale.noSync()) {
            locale.enter();
            try {
                impl_saajCallback_setSaajData(dom, obj);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    impl_saajCallback_setSaajData(dom, obj);
                } finally {
                    locale.exit();
                }
            }
        }
    }

    public static SOAPBodyElement soapBody_addBodyElement(Dom dom, Name name) {
        SOAPBodyElement soapBody_addBodyElement;
        Locale locale = dom.locale();
        SOAPBody sOAPBody = (SOAPBody) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapBody_addBodyElement(sOAPBody, name);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapBody_addBodyElement = locale._saaj.soapBody_addBodyElement(sOAPBody, name);
                } finally {
                    locale.exit();
                }
            }
            return soapBody_addBodyElement;
        }
    }

    public static SOAPBodyElement soapBody_addDocument(Dom dom, Document document) {
        SOAPBodyElement soapBody_addDocument;
        Locale locale = dom.locale();
        SOAPBody sOAPBody = (SOAPBody) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapBody_addDocument(sOAPBody, document);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapBody_addDocument = locale._saaj.soapBody_addDocument(sOAPBody, document);
                } finally {
                    locale.exit();
                }
            }
            return soapBody_addDocument;
        }
    }

    public static SOAPFault soapBody_addFault(Dom dom) {
        SOAPFault soapBody_addFault;
        Locale locale = dom.locale();
        SOAPBody sOAPBody = (SOAPBody) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapBody_addFault(sOAPBody);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapBody_addFault = locale._saaj.soapBody_addFault(sOAPBody);
                } finally {
                    locale.exit();
                }
            }
            return soapBody_addFault;
        }
    }

    public static SOAPFault soapBody_getFault(Dom dom) {
        SOAPFault soapBody_getFault;
        Locale locale = dom.locale();
        SOAPBody sOAPBody = (SOAPBody) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapBody_getFault(sOAPBody);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapBody_getFault = locale._saaj.soapBody_getFault(sOAPBody);
                } finally {
                    locale.exit();
                }
            }
            return soapBody_getFault;
        }
    }

    public static boolean soapBody_hasFault(Dom dom) {
        boolean soapBody_hasFault;
        Locale locale = dom.locale();
        SOAPBody sOAPBody = (SOAPBody) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapBody_hasFault(sOAPBody);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapBody_hasFault = locale._saaj.soapBody_hasFault(sOAPBody);
                } finally {
                    locale.exit();
                }
            }
            return soapBody_hasFault;
        }
    }

    public static Detail soapFault_addDetail(Dom dom) {
        Detail soapFault_addDetail;
        Locale locale = dom.locale();
        SOAPFault sOAPFault = (SOAPFault) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapFault_addDetail(sOAPFault);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapFault_addDetail = locale._saaj.soapFault_addDetail(sOAPFault);
                } finally {
                    locale.exit();
                }
            }
            return soapFault_addDetail;
        }
    }

    public static Detail soapFault_getDetail(Dom dom) {
        Detail soapFault_getDetail;
        Locale locale = dom.locale();
        SOAPFault sOAPFault = (SOAPFault) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapFault_getDetail(sOAPFault);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapFault_getDetail = locale._saaj.soapFault_getDetail(sOAPFault);
                } finally {
                    locale.exit();
                }
            }
            return soapFault_getDetail;
        }
    }

    public static String soapFault_getFaultActor(Dom dom) {
        String soapFault_getFaultActor;
        Locale locale = dom.locale();
        SOAPFault sOAPFault = (SOAPFault) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapFault_getFaultActor(sOAPFault);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapFault_getFaultActor = locale._saaj.soapFault_getFaultActor(sOAPFault);
                } finally {
                    locale.exit();
                }
            }
            return soapFault_getFaultActor;
        }
    }

    public static String soapFault_getFaultCode(Dom dom) {
        String soapFault_getFaultCode;
        Locale locale = dom.locale();
        SOAPFault sOAPFault = (SOAPFault) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapFault_getFaultCode(sOAPFault);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapFault_getFaultCode = locale._saaj.soapFault_getFaultCode(sOAPFault);
                } finally {
                    locale.exit();
                }
            }
            return soapFault_getFaultCode;
        }
    }

    public static Name soapFault_getFaultCodeAsName(Dom dom) {
        Name soapFault_getFaultCodeAsName;
        Locale locale = dom.locale();
        SOAPFault sOAPFault = (SOAPFault) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapFault_getFaultCodeAsName(sOAPFault);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapFault_getFaultCodeAsName = locale._saaj.soapFault_getFaultCodeAsName(sOAPFault);
                } finally {
                    locale.exit();
                }
            }
            return soapFault_getFaultCodeAsName;
        }
    }

    public static String soapFault_getFaultString(Dom dom) {
        String soapFault_getFaultString;
        Locale locale = dom.locale();
        SOAPFault sOAPFault = (SOAPFault) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapFault_getFaultString(sOAPFault);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapFault_getFaultString = locale._saaj.soapFault_getFaultString(sOAPFault);
                } finally {
                    locale.exit();
                }
            }
            return soapFault_getFaultString;
        }
    }

    public static Locale soapFault_getFaultStringLocale(Dom dom) {
        Locale soapFault_getFaultStringLocale;
        Locale locale = dom.locale();
        SOAPFault sOAPFault = (SOAPFault) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapFault_getFaultStringLocale(sOAPFault);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapFault_getFaultStringLocale = locale._saaj.soapFault_getFaultStringLocale(sOAPFault);
                } finally {
                    locale.exit();
                }
            }
            return soapFault_getFaultStringLocale;
        }
    }

    public static void soapFault_setFaultActor(Dom dom, String str) {
        Locale locale = dom.locale();
        SOAPFault sOAPFault = (SOAPFault) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                locale._saaj.soapFault_setFaultActor(sOAPFault, str);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    locale._saaj.soapFault_setFaultActor(sOAPFault, str);
                } finally {
                    locale.exit();
                }
            }
        }
    }

    public static void soapFault_setFaultCode(Dom dom, Name name) {
        Locale locale = dom.locale();
        SOAPFault sOAPFault = (SOAPFault) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                locale._saaj.soapFault_setFaultCode(sOAPFault, name);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    locale._saaj.soapFault_setFaultCode(sOAPFault, name);
                } finally {
                    locale.exit();
                }
            }
        }
    }

    public static void soapFault_setFaultString(Dom dom, String str) {
        Locale locale = dom.locale();
        SOAPFault sOAPFault = (SOAPFault) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                locale._saaj.soapFault_setFaultString(sOAPFault, str);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    locale._saaj.soapFault_setFaultString(sOAPFault, str);
                } finally {
                    locale.exit();
                }
            }
        }
    }

    public static String soapHeaderElement_getActor(Dom dom) {
        String soapHeaderElement_getActor;
        Locale locale = dom.locale();
        SOAPHeaderElement sOAPHeaderElement = (SOAPHeaderElement) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapHeaderElement_getActor(sOAPHeaderElement);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapHeaderElement_getActor = locale._saaj.soapHeaderElement_getActor(sOAPHeaderElement);
                } finally {
                    locale.exit();
                }
            }
            return soapHeaderElement_getActor;
        }
    }

    public static boolean soapHeaderElement_getMustUnderstand(Dom dom) {
        boolean soapHeaderElement_getMustUnderstand;
        Locale locale = dom.locale();
        SOAPHeaderElement sOAPHeaderElement = (SOAPHeaderElement) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapHeaderElement_getMustUnderstand(sOAPHeaderElement);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapHeaderElement_getMustUnderstand = locale._saaj.soapHeaderElement_getMustUnderstand(sOAPHeaderElement);
                } finally {
                    locale.exit();
                }
            }
            return soapHeaderElement_getMustUnderstand;
        }
    }

    public static void soapHeaderElement_setActor(Dom dom, String str) {
        Locale locale = dom.locale();
        SOAPHeaderElement sOAPHeaderElement = (SOAPHeaderElement) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                locale._saaj.soapHeaderElement_setActor(sOAPHeaderElement, str);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    locale._saaj.soapHeaderElement_setActor(sOAPHeaderElement, str);
                } finally {
                    locale.exit();
                }
            }
        }
    }

    public static void soapHeaderElement_setMustUnderstand(Dom dom, boolean z) {
        Locale locale = dom.locale();
        SOAPHeaderElement sOAPHeaderElement = (SOAPHeaderElement) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                locale._saaj.soapHeaderElement_setMustUnderstand(sOAPHeaderElement, z);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    locale._saaj.soapHeaderElement_setMustUnderstand(sOAPHeaderElement, z);
                } finally {
                    locale.exit();
                }
            }
        }
    }

    public static SOAPHeaderElement soapHeader_addHeaderElement(Dom dom, Name name) {
        SOAPHeaderElement soapHeader_addHeaderElement;
        Locale locale = dom.locale();
        SOAPHeader sOAPHeader = (SOAPHeader) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapHeader_addHeaderElement(sOAPHeader, name);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapHeader_addHeaderElement = locale._saaj.soapHeader_addHeaderElement(sOAPHeader, name);
                } finally {
                    locale.exit();
                }
            }
            return soapHeader_addHeaderElement;
        }
    }

    public static Iterator soapHeader_examineAllHeaderElements(Dom dom) {
        Iterator soapHeader_examineAllHeaderElements;
        Locale locale = dom.locale();
        SOAPHeader sOAPHeader = (SOAPHeader) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapHeader_examineAllHeaderElements(sOAPHeader);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapHeader_examineAllHeaderElements = locale._saaj.soapHeader_examineAllHeaderElements(sOAPHeader);
                } finally {
                    locale.exit();
                }
            }
            return soapHeader_examineAllHeaderElements;
        }
    }

    public static Iterator soapHeader_examineHeaderElements(Dom dom, String str) {
        Iterator soapHeader_examineHeaderElements;
        Locale locale = dom.locale();
        SOAPHeader sOAPHeader = (SOAPHeader) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapHeader_examineHeaderElements(sOAPHeader, str);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapHeader_examineHeaderElements = locale._saaj.soapHeader_examineHeaderElements(sOAPHeader, str);
                } finally {
                    locale.exit();
                }
            }
            return soapHeader_examineHeaderElements;
        }
    }

    public static Iterator soapHeader_examineMustUnderstandHeaderElements(Dom dom, String str) {
        Iterator soapHeader_examineMustUnderstandHeaderElements;
        Locale locale = dom.locale();
        SOAPHeader sOAPHeader = (SOAPHeader) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapHeader_examineMustUnderstandHeaderElements(sOAPHeader, str);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapHeader_examineMustUnderstandHeaderElements = locale._saaj.soapHeader_examineMustUnderstandHeaderElements(sOAPHeader, str);
                } finally {
                    locale.exit();
                }
            }
            return soapHeader_examineMustUnderstandHeaderElements;
        }
    }

    public static Iterator soapHeader_extractAllHeaderElements(Dom dom) {
        Iterator soapHeader_extractAllHeaderElements;
        Locale locale = dom.locale();
        SOAPHeader sOAPHeader = (SOAPHeader) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapHeader_extractAllHeaderElements(sOAPHeader);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapHeader_extractAllHeaderElements = locale._saaj.soapHeader_extractAllHeaderElements(sOAPHeader);
                } finally {
                    locale.exit();
                }
            }
            return soapHeader_extractAllHeaderElements;
        }
    }

    public static Iterator soapHeader_extractHeaderElements(Dom dom, String str) {
        Iterator soapHeader_extractHeaderElements;
        Locale locale = dom.locale();
        SOAPHeader sOAPHeader = (SOAPHeader) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapHeader_extractHeaderElements(sOAPHeader, str);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapHeader_extractHeaderElements = locale._saaj.soapHeader_extractHeaderElements(sOAPHeader, str);
                } finally {
                    locale.exit();
                }
            }
            return soapHeader_extractHeaderElements;
        }
    }

    public static void validateName(String str) {
        if (str == null) {
            throw new IllegalArgumentException("Name is null");
        } else if (str.length() == 0) {
            throw new IllegalArgumentException("Name is empty");
        } else if (!XMLChar.isValidName(str)) {
            throw new InvalidCharacterError("Name has an invalid character");
        }
    }

    public static void validateNcName(String str) {
        if (str != null && str.length() > 0 && !XMLChar.isValidNCName(str)) {
            throw new InvalidCharacterError();
        }
    }

    public static void validateNewChild(Dom dom, Dom dom2) {
        String isValidChild = isValidChild(dom, dom2);
        if (isValidChild != null) {
            throw new HierarchyRequestErr(isValidChild);
        } else if (dom != dom2) {
            do {
                dom = parent(dom);
                if (dom == null) {
                    return;
                }
                if (dom2.nodeType() == 5) {
                    throw new NoModificationAllowedErr("Entity reference trees may not be modified");
                }
            } while (dom2 != dom);
            throw new HierarchyRequestErr("New child is an ancestor node of the parent node");
        } else {
            throw new HierarchyRequestErr("New child and parent are the same node");
        }
    }

    public static String validatePrefix(String str, String str2, String str3, boolean z) {
        validateNcName(str);
        if (str == null) {
            str = "";
        }
        if (str2 == null) {
            str2 = "";
        }
        if (str.length() > 0 && str2.length() == 0) {
            throw new NamespaceErr("Attempt to give a prefix for no namespace");
        } else if (!str.equals("xml") || str2.equals("http://www.w3.org/XML/1998/namespace")) {
            if (z) {
                if (str.length() > 0) {
                    if (str3.equals("xmlns")) {
                        throw new NamespaceErr("Invalid namespace - attr is default namespace already");
                    } else if (Locale.beginsWithXml(str3)) {
                        throw new NamespaceErr("Invalid namespace - attr prefix begins with 'xml'");
                    } else if (str.equals("xmlns") && !str2.equals("http://www.w3.org/2000/xmlns/")) {
                        throw new NamespaceErr("Invalid namespace - uri is not 'http://www.w3.org/2000/xmlns/;");
                    }
                } else if (str3.equals("xmlns") && !str2.equals("http://www.w3.org/2000/xmlns/")) {
                    throw new NamespaceErr("Invalid namespace - uri is not 'http://www.w3.org/2000/xmlns/;");
                }
            } else if (Locale.beginsWithXml(str)) {
                throw new NamespaceErr("Invalid prefix - begins with 'xml'");
            }
            return str;
        } else {
            throw new NamespaceErr("Invalid prefix - begins with 'xml'");
        }
    }

    public static void validateQualifiedName(String str, String str2, boolean z) {
        if ($assertionsDisabled || str != null) {
            if (str2 == null) {
                str2 = "";
            }
            int indexOf = str.indexOf(58);
            if (indexOf < 0) {
                validateNcName(str);
                if (z && str.equals("xmlns") && !str2.equals("http://www.w3.org/2000/xmlns/")) {
                    throw new NamespaceErr("Default xmlns attribute does not have namespace: http://www.w3.org/2000/xmlns/");
                }
            } else if (indexOf != 0) {
                String substring = str.substring(0, indexOf);
                validateNcName(substring);
                if (str2.length() != 0) {
                    str = str.substring(indexOf + 1);
                    if (str.indexOf(58) < 0) {
                        validateNcName(str);
                        if (substring.equals("xml") && !str2.equals("http://www.w3.org/XML/1998/namespace")) {
                            throw new NamespaceErr("Invalid prefix - begins with 'xml'");
                        }
                    } else {
                        throw new NamespaceErr("Invalid qualified name, more than one colon");
                    }
                } else {
                    throw new NamespaceErr("Attempt to give a prefix for no namespace");
                }
            } else {
                throw new NamespaceErr("Invalid qualified name, no prefix specified");
            }
            if (str.length() == 0) {
                throw new NamespaceErr("Invalid qualified name, no local part specified");
            }
            return;
        }
        throw new AssertionError();
    }

    public static abstract class CharNode implements Dom, Node, CharacterData {
        public static final /* synthetic */ boolean $assertionsDisabled;
        public int _cch;
        public Locale _locale;
        public CharNode _next;
        public int _off;
        public CharNode _prev;
        public Object _src;

        static {
            Class cls = DomImpl.class$org$apache$xmlbeans$impl$store$DomImpl;
            if (cls == null) {
                cls = DomImpl.class$("org.apache.xmlbeans.impl.store.DomImpl");
                DomImpl.class$org$apache$xmlbeans$impl$store$DomImpl = cls;
            }
            $assertionsDisabled = !cls.desiredAssertionStatus();
        }

        public CharNode(Locale locale) {
            if ($assertionsDisabled || locale != null) {
                this._locale = locale;
                return;
            }
            throw new AssertionError();
        }

        public static CharNode appendNode(CharNode charNode, CharNode charNode2) {
            return insertNode(charNode, charNode2, null);
        }

        public static CharNode appendNodes(CharNode charNode, CharNode charNode2) {
            if (!$assertionsDisabled && charNode2 == null) {
                throw new AssertionError();
            } else if (!$assertionsDisabled && charNode2._prev != null) {
                throw new AssertionError();
            } else if (charNode == null) {
                return charNode2;
            } else {
                CharNode charNode3 = charNode;
                while (true) {
                    CharNode charNode4 = charNode3._next;
                    if (charNode4 != null) {
                        charNode3 = charNode4;
                    } else {
                        charNode3._next = charNode2;
                        charNode2._prev = charNode3;
                        return charNode;
                    }
                }
            }
        }

        public static CharNode copyNodes(CharNode charNode, Object obj) {
            TextNode textNode;
            TextNode textNode2 = null;
            TextNode textNode3 = null;
            while (charNode != null) {
                if (charNode instanceof TextNode) {
                    textNode = charNode.locale().createTextNode();
                } else {
                    textNode = charNode.locale().createCdataNode();
                }
                textNode.setChars(obj, charNode._off, charNode._cch);
                if (textNode2 == null) {
                    textNode2 = textNode;
                }
                if (textNode3 != null) {
                    textNode3._next = textNode;
                    textNode._prev = textNode3;
                }
                charNode = charNode._next;
                textNode3 = textNode;
            }
            return textNode2;
        }

        public static CharNode insertNode(CharNode charNode, CharNode charNode2, CharNode charNode3) {
            CharNode charNode4;
            if (!$assertionsDisabled && isOnList(charNode, charNode2)) {
                throw new AssertionError();
            } else if (!$assertionsDisabled && charNode3 != null && !isOnList(charNode, charNode3)) {
                throw new AssertionError();
            } else if (!$assertionsDisabled && charNode2 == null) {
                throw new AssertionError();
            } else if ($assertionsDisabled || (charNode2._prev == null && charNode2._next == null)) {
                if (charNode == null) {
                    if (!$assertionsDisabled && charNode3 != null) {
                        throw new AssertionError();
                    }
                } else if (charNode == charNode3) {
                    charNode._prev = charNode2;
                    charNode2._next = charNode;
                } else {
                    CharNode charNode5 = charNode;
                    while (true) {
                        charNode4 = charNode5._next;
                        if (charNode4 == charNode3) {
                            break;
                        }
                        charNode5 = charNode4;
                    }
                    charNode2._next = charNode4;
                    if (charNode4 != null) {
                        charNode5._next._prev = charNode2;
                    }
                    charNode2._prev = charNode5;
                    charNode5._next = charNode2;
                    return charNode;
                }
                return charNode2;
            } else {
                throw new AssertionError();
            }
        }

        public static boolean isOnList(CharNode charNode, CharNode charNode2) {
            if ($assertionsDisabled || charNode2 != null) {
                while (charNode != null) {
                    if (charNode == charNode2) {
                        return true;
                    }
                    charNode = charNode._next;
                }
                return false;
            }
            throw new AssertionError();
        }

        private boolean isValid() {
            if (!(this._src instanceof Dom)) {
                return this._locale != null;
            }
            if (this._locale == null) {
                return true;
            }
            return false;
        }

        public static CharNode remove(CharNode charNode, CharNode charNode2) {
            if ($assertionsDisabled || isOnList(charNode, charNode2)) {
                if (charNode == charNode2) {
                    charNode = charNode2._next;
                } else {
                    charNode2._prev._next = charNode2._next;
                }
                CharNode charNode3 = charNode2._next;
                if (charNode3 != null) {
                    charNode3._prev = charNode2._prev;
                }
                charNode2._next = null;
                charNode2._prev = null;
                return charNode;
            }
            throw new AssertionError();
        }

        @Override // org.w3c.dom.Node
        public Node appendChild(Node node) {
            return DomImpl._node_appendChild(this, node);
        }

        @Override // org.w3c.dom.CharacterData
        public void appendData(String str) {
            DomImpl._characterData_appendData(this, str);
        }

        @Override // org.w3c.dom.Node
        public Node cloneNode(boolean z) {
            return DomImpl._node_cloneNode(this, z);
        }

        @Override // org.w3c.dom.Node
        public short compareDocumentPosition(Node node) {
            return DomImpl._node_compareDocumentPosition(this, node);
        }

        @Override // org.w3c.dom.CharacterData
        public void deleteData(int i2, int i3) {
            DomImpl._characterData_deleteData(this, i2, i3);
        }

        @Override // org.apache.xmlbeans.impl.store.DomImpl.Dom
        public void dump(PrintStream printStream, Object obj) {
            Object obj2 = this._src;
            if (obj2 instanceof Dom) {
                ((Dom) obj2).dump(printStream, obj);
                return;
            }
            StringBuffer a = a.a("Lonely CharNode: \"");
            a.append(CharUtil.getString(this._src, this._off, this._cch));
            a.append("\"");
            printStream.println(a.toString());
        }

        @Override // org.w3c.dom.Node
        public NamedNodeMap getAttributes() {
            return null;
        }

        @Override // org.w3c.dom.Node
        public String getBaseURI() {
            return DomImpl._node_getBaseURI(this);
        }

        @Override // org.w3c.dom.Node
        public NodeList getChildNodes() {
            return DomImpl._emptyNodeList;
        }

        @Override // org.w3c.dom.CharacterData
        public String getData() {
            return DomImpl._characterData_getData(this);
        }

        public Dom getDom() {
            if ($assertionsDisabled || isValid()) {
                Object obj = this._src;
                if (obj instanceof Dom) {
                    return (Dom) obj;
                }
                return null;
            }
            throw new AssertionError();
        }

        @Override // org.w3c.dom.Node
        public Object getFeature(String str, String str2) {
            return DomImpl._node_getFeature(this, str, str2);
        }

        @Override // org.w3c.dom.Node
        public Node getFirstChild() {
            return null;
        }

        @Override // org.w3c.dom.Node
        public Node getLastChild() {
            return null;
        }

        @Override // org.w3c.dom.CharacterData
        public int getLength() {
            return DomImpl._characterData_getLength(this);
        }

        @Override // org.w3c.dom.Node
        public String getLocalName() {
            return DomImpl._node_getLocalName(this);
        }

        @Override // org.w3c.dom.Node
        public String getNamespaceURI() {
            return DomImpl._node_getNamespaceURI(this);
        }

        @Override // org.w3c.dom.Node
        public Node getNextSibling() {
            return DomImpl._node_getNextSibling(this);
        }

        @Override // org.w3c.dom.Node
        public String getNodeName() {
            return DomImpl._node_getNodeName(this);
        }

        @Override // org.w3c.dom.Node
        public short getNodeType() {
            return DomImpl._node_getNodeType(this);
        }

        @Override // org.w3c.dom.Node
        public String getNodeValue() {
            return DomImpl._node_getNodeValue(this);
        }

        @Override // org.w3c.dom.Node
        public Document getOwnerDocument() {
            return DomImpl._node_getOwnerDocument(this);
        }

        @Override // org.w3c.dom.Node
        public Node getParentNode() {
            return DomImpl._node_getParentNode(this);
        }

        @Override // org.w3c.dom.Node
        public String getPrefix() {
            return DomImpl._node_getPrefix(this);
        }

        @Override // org.w3c.dom.Node
        public Node getPreviousSibling() {
            return DomImpl._node_getPreviousSibling(this);
        }

        @Override // org.apache.xmlbeans.impl.store.DomImpl.Dom
        public QName getQName() {
            return null;
        }

        @Override // org.w3c.dom.Node
        public String getTextContent() {
            return DomImpl._node_getTextContent(this);
        }

        @Override // org.w3c.dom.Node
        public Object getUserData(String str) {
            return DomImpl._node_getUserData(this, str);
        }

        @Override // org.w3c.dom.Node
        public boolean hasAttributes() {
            return false;
        }

        @Override // org.w3c.dom.Node
        public boolean hasChildNodes() {
            return false;
        }

        @Override // org.w3c.dom.Node
        public Node insertBefore(Node node, Node node2) {
            return DomImpl._node_insertBefore(this, node, node2);
        }

        @Override // org.w3c.dom.CharacterData
        public void insertData(int i2, String str) {
            DomImpl._characterData_insertData(this, i2, str);
        }

        @Override // org.w3c.dom.Node
        public boolean isDefaultNamespace(String str) {
            return DomImpl._node_isDefaultNamespace(this, str);
        }

        @Override // org.w3c.dom.Node
        public boolean isEqualNode(Node node) {
            return DomImpl._node_isEqualNode(this, node);
        }

        public boolean isNodeAftertext() {
            if ($assertionsDisabled || (this._src instanceof Xobj)) {
                Xobj xobj = (Xobj) this._src;
                if (xobj._charNodesValue == null) {
                    return true;
                }
                CharNode charNode = xobj._charNodesAfter;
                if (charNode == null) {
                    return false;
                }
                return isOnList(charNode, this);
            }
            throw new AssertionError("this method is to only be used for nodes backed up by Xobjs");
        }

        @Override // org.w3c.dom.Node
        public boolean isSameNode(Node node) {
            return DomImpl._node_isSameNode(this, node);
        }

        @Override // org.w3c.dom.Node
        public boolean isSupported(String str, String str2) {
            return DomImpl._node_isSupported(this, str, str2);
        }

        @Override // org.apache.xmlbeans.impl.store.DomImpl.Dom
        public Locale locale() {
            if ($assertionsDisabled || isValid()) {
                Locale locale = this._locale;
                return locale == null ? ((Dom) this._src).locale() : locale;
            }
            throw new AssertionError();
        }

        @Override // org.w3c.dom.Node
        public String lookupNamespaceURI(String str) {
            return DomImpl._node_lookupNamespaceURI(this, str);
        }

        @Override // org.w3c.dom.Node
        public String lookupPrefix(String str) {
            return DomImpl._node_lookupPrefix(this, str);
        }

        @Override // org.apache.xmlbeans.impl.store.DomImpl.Dom
        public boolean nodeCanHavePrefixUri() {
            return false;
        }

        @Override // org.w3c.dom.Node
        public void normalize() {
            DomImpl._node_normalize(this);
        }

        @Override // org.w3c.dom.Node
        public Node removeChild(Node node) {
            return DomImpl._node_removeChild(this, node);
        }

        @Override // org.w3c.dom.Node
        public Node replaceChild(Node node, Node node2) {
            return DomImpl._node_replaceChild(this, node, node2);
        }

        @Override // org.w3c.dom.CharacterData
        public void replaceData(int i2, int i3, String str) {
            DomImpl._characterData_replaceData(this, i2, i3, str);
        }

        public void setChars(Object obj, int i2, int i3) {
            if (!$assertionsDisabled && !CharUtil.isValid(obj, i2, i3)) {
                throw new AssertionError();
            } else if ($assertionsDisabled || this._locale != null || (this._src instanceof Dom)) {
                if (this._locale == null) {
                    this._locale = ((Dom) this._src).locale();
                }
                this._src = obj;
                this._off = i2;
                this._cch = i3;
            } else {
                throw new AssertionError();
            }
        }

        @Override // org.w3c.dom.CharacterData
        public void setData(String str) {
            DomImpl._characterData_setData(this, str);
        }

        public void setDom(Dom dom) {
            if ($assertionsDisabled || dom != null) {
                this._src = dom;
                this._locale = null;
                return;
            }
            throw new AssertionError();
        }

        @Override // org.w3c.dom.Node
        public void setNodeValue(String str) {
            DomImpl._node_setNodeValue(this, str);
        }

        @Override // org.w3c.dom.Node
        public void setPrefix(String str) {
            DomImpl._node_setPrefix(this, str);
        }

        @Override // org.w3c.dom.Node
        public void setTextContent(String str) {
            DomImpl._node_setTextContent(this, str);
        }

        @Override // org.w3c.dom.Node
        public Object setUserData(String str, Object obj, UserDataHandler userDataHandler) {
            return DomImpl._node_setUserData(this, str, obj, userDataHandler);
        }

        @Override // org.w3c.dom.CharacterData
        public String substringData(int i2, int i3) {
            return DomImpl._characterData_substringData(this, i2, i3);
        }

        @Override // org.apache.xmlbeans.impl.store.DomImpl.Dom
        public Cur tempCur() {
            if (!$assertionsDisabled && !isValid()) {
                throw new AssertionError();
            } else if (!(this._src instanceof Dom)) {
                return null;
            } else {
                Cur tempCur = locale().tempCur();
                tempCur.moveToCharNode(this);
                return tempCur;
            }
        }

        @Override // org.apache.xmlbeans.impl.store.DomImpl.Dom
        public void dump(PrintStream printStream) {
            dump(printStream, this);
        }

        @Override // org.apache.xmlbeans.impl.store.DomImpl.Dom
        public void dump() {
            dump(System.out);
        }
    }

    public static SOAPElement _soapElement_addChildElement(Dom dom, Name name) {
        SOAPElement soapElement_addChildElement;
        Locale locale = dom.locale();
        SOAPElement sOAPElement = (SOAPElement) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapElement_addChildElement(sOAPElement, name);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapElement_addChildElement = locale._saaj.soapElement_addChildElement(sOAPElement, name);
                } finally {
                    locale.exit();
                }
            }
            return soapElement_addChildElement;
        }
    }

    public static Iterator _soapElement_getChildElements(Dom dom, Name name) {
        Iterator soapElement_getChildElements;
        Locale locale = dom.locale();
        SOAPElement sOAPElement = (SOAPElement) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapElement_getChildElements(sOAPElement, name);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapElement_getChildElements = locale._saaj.soapElement_getChildElements(sOAPElement, name);
                } finally {
                    locale.exit();
                }
            }
            return soapElement_getChildElements;
        }
    }

    public static Name _soapEnvelope_createName(Dom dom, String str, String str2, String str3) {
        Name soapEnvelope_createName;
        Locale locale = dom.locale();
        SOAPEnvelope sOAPEnvelope = (SOAPEnvelope) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapEnvelope_createName(sOAPEnvelope, str, str2, str3);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapEnvelope_createName = locale._saaj.soapEnvelope_createName(sOAPEnvelope, str, str2, str3);
                } finally {
                    locale.exit();
                }
            }
            return soapEnvelope_createName;
        }
    }

    public static SOAPFault soapBody_addFault(Dom dom, Name name, String str) {
        SOAPFault soapBody_addFault;
        Locale locale = dom.locale();
        SOAPBody sOAPBody = (SOAPBody) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapBody_addFault(sOAPBody, name, str);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapBody_addFault = locale._saaj.soapBody_addFault(sOAPBody, name, str);
                } finally {
                    locale.exit();
                }
            }
            return soapBody_addFault;
        }
    }

    public static void soapFault_setFaultCode(Dom dom, String str) {
        Locale locale = dom.locale();
        SOAPFault sOAPFault = (SOAPFault) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                locale._saaj.soapFault_setFaultCode(sOAPFault, str);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    locale._saaj.soapFault_setFaultCode(sOAPFault, str);
                } finally {
                    locale.exit();
                }
            }
        }
    }

    public static void soapFault_setFaultString(Dom dom, String str, Locale locale) {
        Locale locale2 = dom.locale();
        SOAPFault sOAPFault = (SOAPFault) dom;
        if (locale2.noSync()) {
            locale2.enter();
            try {
                locale2._saaj.soapFault_setFaultString(sOAPFault, str, locale);
            } finally {
                locale2.exit();
            }
        } else {
            synchronized (locale2) {
                locale2.enter();
                try {
                    locale2._saaj.soapFault_setFaultString(sOAPFault, str, locale);
                } finally {
                    locale2.exit();
                }
            }
        }
    }

    public static SOAPElement _soapElement_addChildElement(Dom dom, String str) {
        SOAPElement soapElement_addChildElement;
        Locale locale = dom.locale();
        SOAPElement sOAPElement = (SOAPElement) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapElement_addChildElement(sOAPElement, str);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapElement_addChildElement = locale._saaj.soapElement_addChildElement(sOAPElement, str);
                } finally {
                    locale.exit();
                }
            }
            return soapElement_addChildElement;
        }
    }

    public static SOAPFault soapBody_addFault(Dom dom, Name name, String str, Locale locale) {
        SOAPFault soapBody_addFault;
        Locale locale2 = dom.locale();
        SOAPBody sOAPBody = (SOAPBody) dom;
        if (locale2.noSync()) {
            locale2.enter();
            try {
                return locale2._saaj.soapBody_addFault(sOAPBody, name, str, locale);
            } finally {
                locale2.exit();
            }
        } else {
            synchronized (locale2) {
                locale2.enter();
                try {
                    soapBody_addFault = locale2._saaj.soapBody_addFault(sOAPBody, name, str, locale);
                } finally {
                    locale2.exit();
                }
            }
            return soapBody_addFault;
        }
    }

    public static SOAPElement _soapElement_addChildElement(Dom dom, String str, String str2) {
        SOAPElement soapElement_addChildElement;
        Locale locale = dom.locale();
        SOAPElement sOAPElement = (SOAPElement) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapElement_addChildElement(sOAPElement, str, str2);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapElement_addChildElement = locale._saaj.soapElement_addChildElement(sOAPElement, str, str2);
                } finally {
                    locale.exit();
                }
            }
            return soapElement_addChildElement;
        }
    }

    public static SOAPElement _soapElement_addChildElement(Dom dom, String str, String str2, String str3) {
        SOAPElement soapElement_addChildElement;
        Locale locale = dom.locale();
        SOAPElement sOAPElement = (SOAPElement) dom;
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale._saaj.soapElement_addChildElement(sOAPElement, str, str2, str3);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    soapElement_addChildElement = locale._saaj.soapElement_addChildElement(sOAPElement, str, str2, str3);
                } finally {
                    locale.exit();
                }
            }
            return soapElement_addChildElement;
        }
    }
}
