package org.apache.xmlbeans.impl.store;

import b.b.a.a.a;
import java.util.ConcurrentModificationException;
import java.util.HashMap;
import java.util.Iterator;
import org.apache.poi.javax.xml.namespace.NamespaceContext;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.poi.javax.xml.stream.Location;
import org.apache.poi.javax.xml.stream.XMLStreamException;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.XmlDocumentProperties;
import org.apache.xmlbeans.XmlLineNumber;
import org.apache.xmlbeans.XmlOptions;
import org.w3c.dom.Node;

public class Jsr173 {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static /* synthetic */ Class class$org$apache$xmlbeans$XmlLineNumber;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$store$Jsr173;

    public static abstract class Jsr173GateWay {
        public Locale _l;
        public XMLStreamReaderBase _xs;

        public Jsr173GateWay(Locale locale, XMLStreamReaderBase xMLStreamReaderBase) {
            this._l = locale;
            this._xs = xMLStreamReaderBase;
        }
    }

    public static final class SyncedJsr173 extends Jsr173GateWay implements XMLStreamReader, Location, NamespaceContext {
        public SyncedJsr173(Locale locale, XMLStreamReaderBase xMLStreamReaderBase) {
            super(locale, xMLStreamReaderBase);
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public void close() {
            synchronized (this._l) {
                this._l.enter();
                try {
                    this._xs.close();
                } finally {
                    this._l.exit();
                }
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public int getAttributeCount() {
            int attributeCount;
            synchronized (this._l) {
                this._l.enter();
                try {
                    attributeCount = this._xs.getAttributeCount();
                } finally {
                    this._l.exit();
                }
            }
            return attributeCount;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getAttributeLocalName(int i2) {
            String attributeLocalName;
            synchronized (this._l) {
                this._l.enter();
                try {
                    attributeLocalName = this._xs.getAttributeLocalName(i2);
                } finally {
                    this._l.exit();
                }
            }
            return attributeLocalName;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public QName getAttributeName(int i2) {
            QName attributeName;
            synchronized (this._l) {
                this._l.enter();
                try {
                    attributeName = this._xs.getAttributeName(i2);
                } finally {
                    this._l.exit();
                }
            }
            return attributeName;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getAttributeNamespace(int i2) {
            String attributeNamespace;
            synchronized (this._l) {
                this._l.enter();
                try {
                    attributeNamespace = this._xs.getAttributeNamespace(i2);
                } finally {
                    this._l.exit();
                }
            }
            return attributeNamespace;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getAttributePrefix(int i2) {
            String attributePrefix;
            synchronized (this._l) {
                this._l.enter();
                try {
                    attributePrefix = this._xs.getAttributePrefix(i2);
                } finally {
                    this._l.exit();
                }
            }
            return attributePrefix;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getAttributeType(int i2) {
            String attributeType;
            synchronized (this._l) {
                this._l.enter();
                try {
                    attributeType = this._xs.getAttributeType(i2);
                } finally {
                    this._l.exit();
                }
            }
            return attributeType;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getAttributeValue(String str, String str2) {
            String attributeValue;
            synchronized (this._l) {
                this._l.enter();
                try {
                    attributeValue = this._xs.getAttributeValue(str, str2);
                } finally {
                    this._l.exit();
                }
            }
            return attributeValue;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getCharacterEncodingScheme() {
            String characterEncodingScheme;
            synchronized (this._l) {
                this._l.enter();
                try {
                    characterEncodingScheme = this._xs.getCharacterEncodingScheme();
                } finally {
                    this._l.exit();
                }
            }
            return characterEncodingScheme;
        }

        @Override // org.apache.poi.javax.xml.stream.Location
        public int getCharacterOffset() {
            int characterOffset;
            synchronized (this._l) {
                this._l.enter();
                try {
                    characterOffset = this._xs.getCharacterOffset();
                } finally {
                    this._l.exit();
                }
            }
            return characterOffset;
        }

        @Override // org.apache.poi.javax.xml.stream.Location
        public int getColumnNumber() {
            int columnNumber;
            synchronized (this._l) {
                this._l.enter();
                try {
                    columnNumber = this._xs.getColumnNumber();
                } finally {
                    this._l.exit();
                }
            }
            return columnNumber;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getElementText() {
            String elementText;
            synchronized (this._l) {
                this._l.enter();
                try {
                    elementText = this._xs.getElementText();
                } finally {
                    this._l.exit();
                }
            }
            return elementText;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getEncoding() {
            String encoding;
            synchronized (this._l) {
                this._l.enter();
                try {
                    encoding = this._xs.getEncoding();
                } finally {
                    this._l.exit();
                }
            }
            return encoding;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public int getEventType() {
            int eventType;
            synchronized (this._l) {
                this._l.enter();
                try {
                    eventType = this._xs.getEventType();
                } finally {
                    this._l.exit();
                }
            }
            return eventType;
        }

        @Override // org.apache.poi.javax.xml.stream.Location
        public int getLineNumber() {
            int lineNumber;
            synchronized (this._l) {
                this._l.enter();
                try {
                    lineNumber = this._xs.getLineNumber();
                } finally {
                    this._l.exit();
                }
            }
            return lineNumber;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getLocalName() {
            String localName;
            synchronized (this._l) {
                this._l.enter();
                try {
                    localName = this._xs.getLocalName();
                } finally {
                    this._l.exit();
                }
            }
            return localName;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public Location getLocation() {
            Location location;
            synchronized (this._l) {
                this._l.enter();
                try {
                    location = this._xs.getLocation();
                } finally {
                    this._l.exit();
                }
            }
            return location;
        }

        public String getLocationURI() {
            String locationURI;
            synchronized (this._l) {
                this._l.enter();
                try {
                    locationURI = this._xs.getLocationURI();
                } finally {
                    this._l.exit();
                }
            }
            return locationURI;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public QName getName() {
            QName name;
            synchronized (this._l) {
                this._l.enter();
                try {
                    name = this._xs.getName();
                } finally {
                    this._l.exit();
                }
            }
            return name;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public NamespaceContext getNamespaceContext() {
            return this;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public int getNamespaceCount() {
            int namespaceCount;
            synchronized (this._l) {
                this._l.enter();
                try {
                    namespaceCount = this._xs.getNamespaceCount();
                } finally {
                    this._l.exit();
                }
            }
            return namespaceCount;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getNamespacePrefix(int i2) {
            String namespacePrefix;
            synchronized (this._l) {
                this._l.enter();
                try {
                    namespacePrefix = this._xs.getNamespacePrefix(i2);
                } finally {
                    this._l.exit();
                }
            }
            return namespacePrefix;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader, org.apache.poi.javax.xml.namespace.NamespaceContext
        public String getNamespaceURI(String str) {
            String namespaceURI;
            synchronized (this._l) {
                this._l.enter();
                try {
                    namespaceURI = this._xs.getNamespaceURI(str);
                } finally {
                    this._l.exit();
                }
            }
            return namespaceURI;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getPIData() {
            String pIData;
            synchronized (this._l) {
                this._l.enter();
                try {
                    pIData = this._xs.getPIData();
                } finally {
                    this._l.exit();
                }
            }
            return pIData;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getPITarget() {
            String pITarget;
            synchronized (this._l) {
                this._l.enter();
                try {
                    pITarget = this._xs.getPITarget();
                } finally {
                    this._l.exit();
                }
            }
            return pITarget;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getPrefix() {
            String prefix;
            synchronized (this._l) {
                this._l.enter();
                try {
                    prefix = this._xs.getPrefix();
                } finally {
                    this._l.exit();
                }
            }
            return prefix;
        }

        @Override // org.apache.poi.javax.xml.namespace.NamespaceContext
        public Iterator getPrefixes(String str) {
            Iterator prefixes;
            synchronized (this._l) {
                this._l.enter();
                try {
                    prefixes = this._xs.getPrefixes(str);
                } finally {
                    this._l.exit();
                }
            }
            return prefixes;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public Object getProperty(String str) {
            Object property;
            synchronized (this._l) {
                this._l.enter();
                try {
                    property = this._xs.getProperty(str);
                } finally {
                    this._l.exit();
                }
            }
            return property;
        }

        @Override // org.apache.poi.javax.xml.stream.Location
        public String getPublicId() {
            String publicId;
            synchronized (this._l) {
                this._l.enter();
                try {
                    publicId = this._xs.getPublicId();
                } finally {
                    this._l.exit();
                }
            }
            return publicId;
        }

        @Override // org.apache.poi.javax.xml.stream.Location
        public String getSystemId() {
            String systemId;
            synchronized (this._l) {
                this._l.enter();
                try {
                    systemId = this._xs.getSystemId();
                } finally {
                    this._l.exit();
                }
            }
            return systemId;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getText() {
            String text;
            synchronized (this._l) {
                this._l.enter();
                try {
                    text = this._xs.getText();
                } finally {
                    this._l.exit();
                }
            }
            return text;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public char[] getTextCharacters() {
            char[] textCharacters;
            synchronized (this._l) {
                this._l.enter();
                try {
                    textCharacters = this._xs.getTextCharacters();
                } finally {
                    this._l.exit();
                }
            }
            return textCharacters;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public int getTextLength() {
            int textLength;
            synchronized (this._l) {
                this._l.enter();
                try {
                    textLength = this._xs.getTextLength();
                } finally {
                    this._l.exit();
                }
            }
            return textLength;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public int getTextStart() {
            int textStart;
            synchronized (this._l) {
                this._l.enter();
                try {
                    textStart = this._xs.getTextStart();
                } finally {
                    this._l.exit();
                }
            }
            return textStart;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getVersion() {
            String version;
            synchronized (this._l) {
                this._l.enter();
                try {
                    version = this._xs.getVersion();
                } finally {
                    this._l.exit();
                }
            }
            return version;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean hasName() {
            boolean hasName;
            synchronized (this._l) {
                this._l.enter();
                try {
                    hasName = this._xs.hasName();
                } finally {
                    this._l.exit();
                }
            }
            return hasName;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean hasNext() {
            boolean hasNext;
            synchronized (this._l) {
                this._l.enter();
                try {
                    hasNext = this._xs.hasNext();
                } finally {
                    this._l.exit();
                }
            }
            return hasNext;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean hasText() {
            boolean hasText;
            synchronized (this._l) {
                this._l.enter();
                try {
                    hasText = this._xs.hasText();
                } finally {
                    this._l.exit();
                }
            }
            return hasText;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean isAttributeSpecified(int i2) {
            boolean isAttributeSpecified;
            synchronized (this._l) {
                this._l.enter();
                try {
                    isAttributeSpecified = this._xs.isAttributeSpecified(i2);
                } finally {
                    this._l.exit();
                }
            }
            return isAttributeSpecified;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean isCharacters() {
            boolean isCharacters;
            synchronized (this._l) {
                this._l.enter();
                try {
                    isCharacters = this._xs.isCharacters();
                } finally {
                    this._l.exit();
                }
            }
            return isCharacters;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean isEndElement() {
            boolean isEndElement;
            synchronized (this._l) {
                this._l.enter();
                try {
                    isEndElement = this._xs.isEndElement();
                } finally {
                    this._l.exit();
                }
            }
            return isEndElement;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean isStandalone() {
            boolean isStandalone;
            synchronized (this._l) {
                this._l.enter();
                try {
                    isStandalone = this._xs.isStandalone();
                } finally {
                    this._l.exit();
                }
            }
            return isStandalone;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean isStartElement() {
            boolean isStartElement;
            synchronized (this._l) {
                this._l.enter();
                try {
                    isStartElement = this._xs.isStartElement();
                } finally {
                    this._l.exit();
                }
            }
            return isStartElement;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean isWhiteSpace() {
            boolean isWhiteSpace;
            synchronized (this._l) {
                this._l.enter();
                try {
                    isWhiteSpace = this._xs.isWhiteSpace();
                } finally {
                    this._l.exit();
                }
            }
            return isWhiteSpace;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public int next() {
            int next;
            synchronized (this._l) {
                this._l.enter();
                try {
                    next = this._xs.next();
                } finally {
                    this._l.exit();
                }
            }
            return next;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public int nextTag() {
            int nextTag;
            synchronized (this._l) {
                this._l.enter();
                try {
                    nextTag = this._xs.nextTag();
                } finally {
                    this._l.exit();
                }
            }
            return nextTag;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public void require(int i2, String str, String str2) {
            synchronized (this._l) {
                this._l.enter();
                try {
                    this._xs.require(i2, str, str2);
                } finally {
                    this._l.exit();
                }
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean standaloneSet() {
            boolean standaloneSet;
            synchronized (this._l) {
                this._l.enter();
                try {
                    standaloneSet = this._xs.standaloneSet();
                } finally {
                    this._l.exit();
                }
            }
            return standaloneSet;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getAttributeValue(int i2) {
            String attributeValue;
            synchronized (this._l) {
                this._l.enter();
                try {
                    attributeValue = this._xs.getAttributeValue(i2);
                } finally {
                    this._l.exit();
                }
            }
            return attributeValue;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getNamespaceURI(int i2) {
            String namespaceURI;
            synchronized (this._l) {
                this._l.enter();
                try {
                    namespaceURI = this._xs.getNamespaceURI(i2);
                } finally {
                    this._l.exit();
                }
            }
            return namespaceURI;
        }

        @Override // org.apache.poi.javax.xml.namespace.NamespaceContext
        public String getPrefix(String str) {
            String prefix;
            synchronized (this._l) {
                this._l.enter();
                try {
                    prefix = this._xs.getPrefix(str);
                } finally {
                    this._l.exit();
                }
            }
            return prefix;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public int getTextCharacters(int i2, char[] cArr, int i3, int i4) {
            int textCharacters;
            synchronized (this._l) {
                this._l.enter();
                try {
                    textCharacters = this._xs.getTextCharacters(i2, cArr, i3, i4);
                } finally {
                    this._l.exit();
                }
            }
            return textCharacters;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getNamespaceURI() {
            String namespaceURI;
            synchronized (this._l) {
                this._l.enter();
                try {
                    namespaceURI = this._xs.getNamespaceURI();
                } finally {
                    this._l.exit();
                }
            }
            return namespaceURI;
        }
    }

    public static final class UnsyncedJsr173 extends Jsr173GateWay implements XMLStreamReader, Location, NamespaceContext {
        public UnsyncedJsr173(Locale locale, XMLStreamReaderBase xMLStreamReaderBase) {
            super(locale, xMLStreamReaderBase);
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public void close() {
            try {
                this._l.enter();
                this._xs.close();
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public int getAttributeCount() {
            try {
                this._l.enter();
                return this._xs.getAttributeCount();
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getAttributeLocalName(int i2) {
            try {
                this._l.enter();
                return this._xs.getAttributeLocalName(i2);
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public QName getAttributeName(int i2) {
            try {
                this._l.enter();
                return this._xs.getAttributeName(i2);
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getAttributeNamespace(int i2) {
            try {
                this._l.enter();
                return this._xs.getAttributeNamespace(i2);
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getAttributePrefix(int i2) {
            try {
                this._l.enter();
                return this._xs.getAttributePrefix(i2);
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getAttributeType(int i2) {
            try {
                this._l.enter();
                return this._xs.getAttributeType(i2);
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getAttributeValue(String str, String str2) {
            try {
                this._l.enter();
                return this._xs.getAttributeValue(str, str2);
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getCharacterEncodingScheme() {
            try {
                this._l.enter();
                return this._xs.getCharacterEncodingScheme();
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.Location
        public int getCharacterOffset() {
            try {
                this._l.enter();
                return this._xs.getCharacterOffset();
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.Location
        public int getColumnNumber() {
            try {
                this._l.enter();
                return this._xs.getColumnNumber();
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getElementText() {
            try {
                this._l.enter();
                return this._xs.getElementText();
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getEncoding() {
            try {
                this._l.enter();
                return this._xs.getEncoding();
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public int getEventType() {
            try {
                this._l.enter();
                return this._xs.getEventType();
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.Location
        public int getLineNumber() {
            int lineNumber;
            synchronized (this._l) {
                this._l.enter();
                try {
                    lineNumber = this._xs.getLineNumber();
                } finally {
                    this._l.exit();
                }
            }
            return lineNumber;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getLocalName() {
            try {
                this._l.enter();
                return this._xs.getLocalName();
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public Location getLocation() {
            try {
                this._l.enter();
                return this._xs.getLocation();
            } finally {
                this._l.exit();
            }
        }

        public String getLocationURI() {
            String locationURI;
            synchronized (this._l) {
                this._l.enter();
                try {
                    locationURI = this._xs.getLocationURI();
                } finally {
                    this._l.exit();
                }
            }
            return locationURI;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public QName getName() {
            try {
                this._l.enter();
                return this._xs.getName();
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public NamespaceContext getNamespaceContext() {
            return this;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public int getNamespaceCount() {
            try {
                this._l.enter();
                return this._xs.getNamespaceCount();
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getNamespacePrefix(int i2) {
            try {
                this._l.enter();
                return this._xs.getNamespacePrefix(i2);
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader, org.apache.poi.javax.xml.namespace.NamespaceContext
        public String getNamespaceURI(String str) {
            try {
                this._l.enter();
                return this._xs.getNamespaceURI(str);
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getPIData() {
            try {
                this._l.enter();
                return this._xs.getPIData();
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getPITarget() {
            try {
                this._l.enter();
                return this._xs.getPITarget();
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getPrefix() {
            try {
                this._l.enter();
                return this._xs.getPrefix();
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.namespace.NamespaceContext
        public Iterator getPrefixes(String str) {
            try {
                this._l.enter();
                return this._xs.getPrefixes(str);
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public Object getProperty(String str) {
            try {
                this._l.enter();
                return this._xs.getProperty(str);
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.Location
        public String getPublicId() {
            String publicId;
            synchronized (this._l) {
                this._l.enter();
                try {
                    publicId = this._xs.getPublicId();
                } finally {
                    this._l.exit();
                }
            }
            return publicId;
        }

        @Override // org.apache.poi.javax.xml.stream.Location
        public String getSystemId() {
            String systemId;
            synchronized (this._l) {
                this._l.enter();
                try {
                    systemId = this._xs.getSystemId();
                } finally {
                    this._l.exit();
                }
            }
            return systemId;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getText() {
            try {
                this._l.enter();
                return this._xs.getText();
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public char[] getTextCharacters() {
            try {
                this._l.enter();
                return this._xs.getTextCharacters();
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public int getTextLength() {
            try {
                this._l.enter();
                return this._xs.getTextLength();
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public int getTextStart() {
            try {
                this._l.enter();
                return this._xs.getTextStart();
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getVersion() {
            try {
                this._l.enter();
                return this._xs.getVersion();
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean hasName() {
            try {
                this._l.enter();
                return this._xs.hasName();
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean hasNext() {
            try {
                this._l.enter();
                return this._xs.hasNext();
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean hasText() {
            try {
                this._l.enter();
                return this._xs.hasText();
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean isAttributeSpecified(int i2) {
            try {
                this._l.enter();
                return this._xs.isAttributeSpecified(i2);
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean isCharacters() {
            try {
                this._l.enter();
                return this._xs.isCharacters();
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean isEndElement() {
            try {
                this._l.enter();
                return this._xs.isEndElement();
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean isStandalone() {
            try {
                this._l.enter();
                return this._xs.isStandalone();
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean isStartElement() {
            try {
                this._l.enter();
                return this._xs.isStartElement();
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean isWhiteSpace() {
            try {
                this._l.enter();
                return this._xs.isWhiteSpace();
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public int next() {
            try {
                this._l.enter();
                return this._xs.next();
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public int nextTag() {
            try {
                this._l.enter();
                return this._xs.nextTag();
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public void require(int i2, String str, String str2) {
            try {
                this._l.enter();
                this._xs.require(i2, str, str2);
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean standaloneSet() {
            try {
                this._l.enter();
                return this._xs.standaloneSet();
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getAttributeValue(int i2) {
            try {
                this._l.enter();
                return this._xs.getAttributeValue(i2);
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getNamespaceURI(int i2) {
            try {
                this._l.enter();
                return this._xs.getNamespaceURI(i2);
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.namespace.NamespaceContext
        public String getPrefix(String str) {
            try {
                this._l.enter();
                return this._xs.getPrefix(str);
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public int getTextCharacters(int i2, char[] cArr, int i3, int i4) {
            try {
                this._l.enter();
                return this._xs.getTextCharacters(i2, cArr, i3, i4);
            } finally {
                this._l.exit();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getNamespaceURI() {
            try {
                this._l.enter();
                return this._xs.getNamespaceURI();
            } finally {
                this._l.exit();
            }
        }
    }

    public static abstract class XMLStreamReaderBase implements XMLStreamReader, NamespaceContext, Location {
        public int _column = -1;
        public int _line = -1;
        public Locale _locale;
        public int _offset = -1;
        public String _uri;
        public long _version;

        public XMLStreamReaderBase(Cur cur) {
            Locale locale = cur._locale;
            this._locale = locale;
            this._version = locale.version();
        }

        public final void checkChanged() {
            if (this._version != this._locale.version()) {
                throw new ConcurrentModificationException("Document changed while streaming");
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public void close() {
            checkChanged();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getCharacterEncodingScheme() {
            checkChanged();
            XmlDocumentProperties docProps = Locale.getDocProps(getStreamCur(), false);
            if (docProps == null) {
                return null;
            }
            return docProps.getEncoding();
        }

        @Override // org.apache.poi.javax.xml.stream.Location
        public int getCharacterOffset() {
            return this._offset;
        }

        @Override // org.apache.poi.javax.xml.stream.Location
        public int getColumnNumber() {
            return this._column;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getEncoding() {
            return null;
        }

        @Override // org.apache.poi.javax.xml.stream.Location
        public int getLineNumber() {
            return this._line;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public Location getLocation() {
            checkChanged();
            Cur streamCur = getStreamCur();
            Class cls = Jsr173.class$org$apache$xmlbeans$XmlLineNumber;
            if (cls == null) {
                cls = Jsr173.class$("org.apache.xmlbeans.XmlLineNumber");
                Jsr173.class$org$apache$xmlbeans$XmlLineNumber = cls;
            }
            XmlLineNumber xmlLineNumber = (XmlLineNumber) streamCur.getBookmark(cls);
            this._uri = null;
            if (xmlLineNumber != null) {
                this._line = xmlLineNumber.getLine();
                this._column = xmlLineNumber.getColumn();
                this._offset = xmlLineNumber.getOffset();
            } else {
                this._line = -1;
                this._column = -1;
                this._offset = -1;
            }
            return this;
        }

        public String getLocationURI() {
            return this._uri;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public NamespaceContext getNamespaceContext() {
            throw new RuntimeException("This version of getNamespaceContext should not be called");
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader, org.apache.poi.javax.xml.namespace.NamespaceContext
        public String getNamespaceURI(String str) {
            checkChanged();
            Cur streamCur = getStreamCur();
            streamCur.push();
            if (!streamCur.isContainer()) {
                streamCur.toParent();
            }
            String namespaceForPrefix = streamCur.namespaceForPrefix(str, true);
            streamCur.pop();
            return namespaceForPrefix;
        }

        @Override // org.apache.poi.javax.xml.namespace.NamespaceContext
        public String getPrefix(String str) {
            checkChanged();
            Cur streamCur = getStreamCur();
            streamCur.push();
            if (!streamCur.isContainer()) {
                streamCur.toParent();
            }
            String prefixForNamespace = streamCur.prefixForNamespace(str, null, false);
            streamCur.pop();
            return prefixForNamespace;
        }

        @Override // org.apache.poi.javax.xml.namespace.NamespaceContext
        public Iterator getPrefixes(String str) {
            checkChanged();
            HashMap hashMap = new HashMap();
            hashMap.put(str, getPrefix(str));
            return hashMap.values().iterator();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public Object getProperty(String str) {
            checkChanged();
            if (str != null) {
                return null;
            }
            throw new IllegalArgumentException("Property name is null");
        }

        @Override // org.apache.poi.javax.xml.stream.Location
        public String getPublicId() {
            return null;
        }

        public abstract Cur getStreamCur();

        @Override // org.apache.poi.javax.xml.stream.Location
        public String getSystemId() {
            return null;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getVersion() {
            checkChanged();
            XmlDocumentProperties docProps = Locale.getDocProps(getStreamCur(), false);
            if (docProps == null) {
                return null;
            }
            return docProps.getVersion();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean isStandalone() {
            checkChanged();
            XmlDocumentProperties docProps = Locale.getDocProps(getStreamCur(), false);
            if (docProps == null) {
                return false;
            }
            return docProps.getStandalone();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean isWhiteSpace() {
            checkChanged();
            String text = getText();
            return this._locale.getCharUtil().isWhiteSpace(text, 0, text.length());
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public void require(int i2, String str, String str2) {
            checkChanged();
            if (i2 != getEventType()) {
                throw new XMLStreamException();
            } else if (str != null && !getNamespaceURI().equals(str)) {
                throw new XMLStreamException();
            } else if (str2 != null && !getLocalName().equals(str2)) {
                throw new XMLStreamException();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean standaloneSet() {
            checkChanged();
            return false;
        }
    }

    public static final class XMLStreamReaderForString extends XMLStreamReaderBase {
        public int _cch;
        public Cur _cur;
        public int _off;
        public Object _src;

        public XMLStreamReaderForString(Cur cur, Object obj, int i2, int i3) {
            super(cur);
            this._src = obj;
            this._off = i2;
            this._cch = i3;
            this._cur = cur;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public int getAttributeCount() {
            throw new IllegalStateException();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getAttributeLocalName(int i2) {
            throw new IllegalStateException();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public QName getAttributeName(int i2) {
            throw new IllegalStateException();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getAttributeNamespace(int i2) {
            throw new IllegalStateException();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getAttributePrefix(int i2) {
            throw new IllegalStateException();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getAttributeType(int i2) {
            throw new IllegalStateException();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getAttributeValue(int i2) {
            throw new IllegalStateException();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getElementText() {
            throw new IllegalStateException();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public int getEventType() {
            checkChanged();
            return 4;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getLocalName() {
            throw new IllegalStateException();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public QName getName() {
            throw new IllegalStateException();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public int getNamespaceCount() {
            throw new IllegalStateException();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getNamespacePrefix(int i2) {
            throw new IllegalStateException();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getNamespaceURI(int i2) {
            throw new IllegalStateException();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getPIData() {
            throw new IllegalStateException();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getPITarget() {
            throw new IllegalStateException();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getPrefix() {
            throw new IllegalStateException();
        }

        @Override // org.apache.poi.javax.xml.stream.Location, org.apache.xmlbeans.impl.store.Jsr173.XMLStreamReaderBase
        public String getPublicId() {
            throw new IllegalStateException();
        }

        @Override // org.apache.xmlbeans.impl.store.Jsr173.XMLStreamReaderBase
        public Cur getStreamCur() {
            return this._cur;
        }

        @Override // org.apache.poi.javax.xml.stream.Location, org.apache.xmlbeans.impl.store.Jsr173.XMLStreamReaderBase
        public String getSystemId() {
            throw new IllegalStateException();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getText() {
            checkChanged();
            return CharUtil.getString(this._src, this._off, this._cch);
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public char[] getTextCharacters() {
            checkChanged();
            int i2 = this._cch;
            char[] cArr = new char[i2];
            CharUtil.getChars(cArr, 0, this._src, this._off, i2);
            return cArr;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public int getTextLength() {
            checkChanged();
            return this._cch;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public int getTextStart() {
            checkChanged();
            return this._off;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean hasName() {
            checkChanged();
            return false;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean hasNext() {
            checkChanged();
            return false;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean hasText() {
            checkChanged();
            return true;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean isAttributeSpecified(int i2) {
            throw new IllegalStateException();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean isCharacters() {
            checkChanged();
            return true;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean isEndElement() {
            checkChanged();
            return false;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean isStartElement() {
            checkChanged();
            return false;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public int next() {
            throw new IllegalStateException();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public int nextTag() {
            throw new IllegalStateException();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getAttributeValue(String str, String str2) {
            throw new IllegalStateException();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getNamespaceURI() {
            throw new IllegalStateException();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public int getTextCharacters(int i2, char[] cArr, int i3, int i4) {
            checkChanged();
            if (i4 >= 0) {
                int i5 = this._cch;
                if (i2 <= i5) {
                    if (i2 + i4 > i5) {
                        i4 = i5 - i2;
                    }
                    CharUtil.getChars(cArr, i3, this._src, this._off + i2, i4);
                    return i4;
                }
                throw new IndexOutOfBoundsException();
            }
            throw new IndexOutOfBoundsException();
        }
    }

    static {
        Class cls = class$org$apache$xmlbeans$impl$store$Jsr173;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.store.Jsr173");
            class$org$apache$xmlbeans$impl$store$Jsr173 = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public static XMLStreamReader newXmlStreamReader(Cur cur, Object obj, int i2, int i3) {
        XMLStreamReaderForString xMLStreamReaderForString = new XMLStreamReaderForString(cur, obj, i2, i3);
        if (cur._locale.noSync()) {
            return new UnsyncedJsr173(cur._locale, xMLStreamReaderForString);
        }
        return new SyncedJsr173(cur._locale, xMLStreamReaderForString);
    }

    public static Node nodeFromStream(XMLStreamReader xMLStreamReader) {
        Node nodeFromStreamImpl;
        if (!(xMLStreamReader instanceof Jsr173GateWay)) {
            return null;
        }
        Jsr173GateWay jsr173GateWay = (Jsr173GateWay) xMLStreamReader;
        Locale locale = jsr173GateWay._l;
        if (locale.noSync()) {
            locale.enter();
            try {
                return nodeFromStreamImpl(jsr173GateWay);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    nodeFromStreamImpl = nodeFromStreamImpl(jsr173GateWay);
                } finally {
                    locale.exit();
                }
            }
            return nodeFromStreamImpl;
        }
    }

    public static Node nodeFromStreamImpl(Jsr173GateWay jsr173GateWay) {
        Cur streamCur = jsr173GateWay._xs.getStreamCur();
        if (streamCur.isNode()) {
            return (Node) streamCur.getDom();
        }
        return null;
    }

    public static final class XMLStreamReaderForNode extends XMLStreamReaderBase {
        public static final /* synthetic */ boolean $assertionsDisabled;
        public int _cchChars;
        public int _cchSrc;
        public char[] _chars;
        public Cur _cur;
        public boolean _done;
        public Cur _end;
        public int _offChars;
        public int _offSrc;
        public Object _src;
        public boolean _srcFetched;
        public boolean _textFetched;
        public boolean _wholeDoc;

        static {
            Class cls = Jsr173.class$org$apache$xmlbeans$impl$store$Jsr173;
            if (cls == null) {
                cls = Jsr173.class$("org.apache.xmlbeans.impl.store.Jsr173");
                Jsr173.class$org$apache$xmlbeans$impl$store$Jsr173 = cls;
            }
            $assertionsDisabled = !cls.desiredAssertionStatus();
        }

        public XMLStreamReaderForNode(Cur cur, boolean z) {
            super(cur);
            if ($assertionsDisabled || cur.isContainer() || cur.isComment() || cur.isProcinst() || cur.isAttr()) {
                if (!z) {
                    this._cur = cur.weakCur(this);
                    if (cur.isRoot()) {
                        this._wholeDoc = true;
                    } else {
                        this._end = cur.weakCur(this);
                        if (!cur.isAttr()) {
                            this._end.skip();
                        } else if (!this._end.toNextAttr()) {
                            this._end.toParent();
                            this._end.next();
                        }
                    }
                } else if ($assertionsDisabled || cur.isContainer()) {
                    Cur weakCur = cur.weakCur(this);
                    this._cur = weakCur;
                    if (!weakCur.toFirstAttr()) {
                        this._cur.next();
                    }
                    Cur weakCur2 = cur.weakCur(this);
                    this._end = weakCur2;
                    weakCur2.toEnd();
                } else {
                    throw new AssertionError();
                }
                if (!this._wholeDoc) {
                    this._cur.push();
                    try {
                        next();
                        this._cur.pop();
                    } catch (XMLStreamException e2) {
                        throw new RuntimeException(e2.getMessage(), e2);
                    }
                }
                if (!$assertionsDisabled && !this._wholeDoc && this._cur.isSamePos(this._end)) {
                    throw new AssertionError();
                }
                return;
            }
            throw new AssertionError();
        }

        private void ensureCharBufLen(int i2) {
            char[] cArr = this._chars;
            if (cArr == null || cArr.length < i2) {
                int i3 = 256;
                while (i3 < i2) {
                    i3 *= 2;
                }
                this._chars = new char[i3];
            }
        }

        private void fetchChars() {
            Cur cur;
            if (!this._textFetched) {
                int kind = this._cur.kind();
                if (kind == 4) {
                    cur = this._cur.tempCur();
                    cur.next();
                } else if (kind == 0) {
                    cur = this._cur;
                } else {
                    throw new IllegalStateException();
                }
                Object chars = cur.getChars(-1);
                ensureCharBufLen(cur._cchSrc);
                char[] cArr = this._chars;
                this._offChars = 0;
                int i2 = cur._offSrc;
                int i3 = cur._cchSrc;
                this._cchChars = i3;
                CharUtil.getChars(cArr, 0, chars, i2, i3);
                if (cur != this._cur) {
                    cur.release();
                }
                this._textFetched = true;
            }
        }

        public static boolean matchAttr(Cur cur, String str, String str2) {
            if ($assertionsDisabled || cur.isNormalAttr()) {
                QName name = cur.getName();
                return name.getLocalPart().equals(str2) && (str == null || name.getNamespaceURI().equals(str));
            }
            throw new AssertionError();
        }

        public static Cur toAttr(Cur cur, String str, String str2) {
            if (str == null || str2 == null || str2.length() == 0) {
                throw new IllegalArgumentException();
            }
            Cur tempCur = cur.tempCur();
            boolean z = false;
            if (cur.isElem()) {
                if (tempCur.toFirstAttr()) {
                    while (true) {
                        if (!tempCur.isNormalAttr() || !matchAttr(tempCur, str, str2)) {
                            if (!tempCur.toNextSibling()) {
                                break;
                            }
                        } else {
                            z = true;
                            break;
                        }
                    }
                }
            } else if (cur.isNormalAttr()) {
                z = matchAttr(cur, str, str2);
            } else {
                throw new IllegalStateException();
            }
            if (z) {
                return tempCur;
            }
            tempCur.release();
            return null;
        }

        /* JADX WARNING: Code restructure failed: missing block: B:7:0x001c, code lost:
            if (r6 == 0) goto L_0x0047;
         */
        /* JADX WARNING: Removed duplicated region for block: B:24:0x0049 A[RETURN] */
        /* JADX WARNING: Removed duplicated region for block: B:25:0x004a  */
        public static Cur toXmlns(Cur cur, int i2) {
            if (i2 >= 0) {
                Cur tempCur = cur.tempCur();
                boolean z = true;
                if (cur.isElem() || cur.kind() == -2) {
                    if (cur.kind() == -2) {
                        tempCur.toParent();
                    }
                    if (tempCur.toFirstAttr()) {
                        while (true) {
                            if (tempCur.isXmlns()) {
                                int i3 = i2 - 1;
                                if (i2 == 0) {
                                    break;
                                }
                                i2 = i3;
                            }
                            if (!tempCur.toNextSibling()) {
                                break;
                            }
                        }
                        if (!z) {
                            return tempCur;
                        }
                        tempCur.release();
                        throw new IndexOutOfBoundsException("Namespace index is too large");
                    }
                } else if (!cur.isXmlns()) {
                    throw new IllegalStateException();
                }
                z = false;
                if (!z) {
                }
            } else {
                throw new IndexOutOfBoundsException("Namespace index is negative");
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public int getAttributeCount() {
            if (this._cur.isElem()) {
                Cur tempCur = this._cur.tempCur();
                int i2 = 0;
                if (tempCur.toFirstAttr()) {
                    do {
                        if (tempCur.isNormalAttr()) {
                            i2++;
                        }
                    } while (tempCur.toNextSibling());
                }
                tempCur.release();
                return i2;
            } else if (this._cur.isNormalAttr()) {
                return 1;
            } else {
                throw new IllegalStateException();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getAttributeLocalName(int i2) {
            return getAttributeName(i2).getLocalPart();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public QName getAttributeName(int i2) {
            Cur attr = toAttr(this._cur, i2);
            QName name = attr.getName();
            attr.release();
            return name;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getAttributeNamespace(int i2) {
            return getAttributeName(i2).getNamespaceURI();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getAttributePrefix(int i2) {
            return getAttributeName(i2).getPrefix();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getAttributeType(int i2) {
            toAttr(this._cur, i2).release();
            return "CDATA";
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getAttributeValue(String str, String str2) {
            Cur attr = toAttr(this._cur, str, str2);
            if (attr == null) {
                return null;
            }
            String valueAsString = attr.getValueAsString();
            attr.release();
            return valueAsString;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getElementText() {
            checkChanged();
            if (isStartElement()) {
                StringBuffer stringBuffer = new StringBuffer();
                while (hasNext()) {
                    int next = next();
                    if (next == 2) {
                        return stringBuffer.toString();
                    }
                    if (next == 1) {
                        throw new XMLStreamException();
                    } else if (!(next == 5 || next == 3)) {
                        stringBuffer.append(getText());
                    }
                }
                throw new XMLStreamException();
            }
            throw new IllegalStateException();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public int getEventType() {
            switch (this._cur.kind()) {
                case -2:
                    return 2;
                case -1:
                    return 8;
                case 0:
                    return 4;
                case 1:
                    return 7;
                case 2:
                    return 1;
                case 3:
                    return this._cur.isXmlns() ? 13 : 10;
                case 4:
                    return 5;
                case 5:
                    return 3;
                default:
                    throw new IllegalStateException();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getLocalName() {
            return getName().getLocalPart();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public QName getName() {
            if (hasName()) {
                return this._cur.getName();
            }
            throw new IllegalStateException();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public int getNamespaceCount() {
            if (this._cur.isElem() || this._cur.kind() == -2) {
                Cur tempCur = this._cur.tempCur();
                if (this._cur.kind() == -2) {
                    tempCur.toParent();
                }
                int i2 = 0;
                if (tempCur.toFirstAttr()) {
                    do {
                        if (tempCur.isXmlns()) {
                            i2++;
                        }
                    } while (tempCur.toNextSibling());
                }
                tempCur.release();
                return i2;
            } else if (this._cur.isXmlns()) {
                return 1;
            } else {
                throw new IllegalStateException();
            }
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getNamespacePrefix(int i2) {
            Cur xmlns = toXmlns(this._cur, i2);
            String xmlnsPrefix = xmlns.getXmlnsPrefix();
            xmlns.release();
            return xmlnsPrefix;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getNamespaceURI(int i2) {
            Cur xmlns = toXmlns(this._cur, i2);
            String xmlnsUri = xmlns.getXmlnsUri();
            xmlns.release();
            return xmlnsUri;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getPIData() {
            if (this._cur.kind() == 5) {
                return this._cur.getValueAsString();
            }
            return null;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getPITarget() {
            if (this._cur.kind() == 5) {
                return this._cur.getName().getLocalPart();
            }
            return null;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getPrefix() {
            return getName().getPrefix();
        }

        @Override // org.apache.xmlbeans.impl.store.Jsr173.XMLStreamReaderBase
        public Cur getStreamCur() {
            return this._cur;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getText() {
            checkChanged();
            int kind = this._cur.kind();
            if (kind == 4) {
                return this._cur.getValueAsString();
            }
            if (kind == 0) {
                return this._cur.getCharsAsString(-1);
            }
            throw new IllegalStateException();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public char[] getTextCharacters() {
            checkChanged();
            fetchChars();
            return this._chars;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public int getTextLength() {
            checkChanged();
            fetchChars();
            return this._cchChars;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public int getTextStart() {
            checkChanged();
            fetchChars();
            return this._offChars;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean hasName() {
            int kind = this._cur.kind();
            return kind == 2 || kind == -2;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean hasNext() {
            checkChanged();
            return !this._done;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean hasText() {
            int kind = this._cur.kind();
            return kind == 4 || kind == 0;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean isAttributeSpecified(int i2) {
            toAttr(this._cur, i2).release();
            return false;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean isCharacters() {
            return getEventType() == 4;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean isEndElement() {
            return getEventType() == 2;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public boolean isStartElement() {
            return getEventType() == 1;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public int next() {
            checkChanged();
            if (hasNext()) {
                int kind = this._cur.kind();
                boolean z = true;
                if (kind != -1) {
                    if (kind == 3) {
                        if (!this._cur.toNextAttr()) {
                            this._cur.toParent();
                            this._cur.next();
                        }
                    } else if (kind == 4 || kind == 5) {
                        this._cur.skip();
                    } else if (kind != 1) {
                        this._cur.next();
                    } else if (!this._cur.toFirstAttr()) {
                        this._cur.next();
                    }
                    if ($assertionsDisabled || this._wholeDoc || this._end != null) {
                        if (!this._wholeDoc) {
                            z = this._cur.isSamePos(this._end);
                        } else if (this._cur.kind() != -1) {
                            z = false;
                        }
                        this._done = z;
                    } else {
                        throw new AssertionError();
                    }
                } else if ($assertionsDisabled || this._wholeDoc) {
                    this._done = true;
                } else {
                    throw new AssertionError();
                }
                this._textFetched = false;
                this._srcFetched = false;
                return getEventType();
            }
            throw new IllegalStateException("No next event in stream");
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public int nextTag() {
            checkChanged();
            while (!isStartElement() && !isEndElement()) {
                if (!isWhiteSpace()) {
                    throw new XMLStreamException();
                } else if (hasNext()) {
                    next();
                } else {
                    throw new XMLStreamException();
                }
            }
            return getEventType();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getAttributeValue(int i2) {
            Cur attr = toAttr(this._cur, i2);
            if (attr == null) {
                return null;
            }
            String valueAsString = attr.getValueAsString();
            attr.release();
            return valueAsString;
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public String getNamespaceURI() {
            return getName().getNamespaceURI();
        }

        @Override // org.apache.poi.javax.xml.stream.XMLStreamReader
        public int getTextCharacters(int i2, char[] cArr, int i3, int i4) {
            Cur cur;
            if (i4 < 0) {
                throw new IndexOutOfBoundsException();
            } else if (i3 < 0 || i3 >= cArr.length) {
                throw new IndexOutOfBoundsException();
            } else if (i3 + i4 <= cArr.length) {
                if (!this._srcFetched) {
                    int kind = this._cur.kind();
                    if (kind == 4) {
                        cur = this._cur.tempCur();
                        cur.next();
                    } else if (kind == 0) {
                        cur = this._cur;
                    } else {
                        throw new IllegalStateException();
                    }
                    this._src = cur.getChars(-1);
                    this._offSrc = cur._offSrc;
                    this._cchSrc = cur._cchSrc;
                    if (cur != this._cur) {
                        cur.release();
                    }
                    this._srcFetched = true;
                }
                int i5 = this._cchSrc;
                if (i2 <= i5) {
                    if (i2 + i4 > i5) {
                        i4 = i5 - i2;
                    }
                    CharUtil.getChars(cArr, i3, this._src, this._offSrc, i4);
                    return i4;
                }
                throw new IndexOutOfBoundsException();
            } else {
                throw new IndexOutOfBoundsException();
            }
        }

        /* JADX WARNING: Code restructure failed: missing block: B:15:0x002e, code lost:
            if (r5 == 0) goto L_0x0030;
         */
        /* JADX WARNING: Removed duplicated region for block: B:17:0x0032 A[RETURN] */
        /* JADX WARNING: Removed duplicated region for block: B:18:0x0033  */
        public static Cur toAttr(Cur cur, int i2) {
            if (i2 >= 0) {
                Cur tempCur = cur.tempCur();
                boolean z = true;
                if (cur.isElem()) {
                    if (tempCur.toFirstAttr()) {
                        while (true) {
                            if (tempCur.isNormalAttr()) {
                                int i3 = i2 - 1;
                                if (i2 == 0) {
                                    break;
                                }
                                i2 = i3;
                            }
                            if (!tempCur.toNextSibling()) {
                                break;
                            }
                        }
                        if (!z) {
                            return tempCur;
                        }
                        tempCur.release();
                        throw new IndexOutOfBoundsException("Attribute index is too large");
                    }
                } else if (!cur.isNormalAttr()) {
                    throw new IllegalStateException();
                }
                z = false;
                if (!z) {
                }
            } else {
                throw new IndexOutOfBoundsException("Attribute index is negative");
            }
        }
    }

    public static XMLStreamReader newXmlStreamReader(Cur cur, XmlOptions xmlOptions) {
        XMLStreamReaderBase xMLStreamReaderBase;
        XmlOptions maskNull = XmlOptions.maskNull(xmlOptions);
        boolean z = maskNull.hasOption(XmlOptions.SAVE_INNER) && !maskNull.hasOption(XmlOptions.SAVE_OUTER);
        int kind = cur.kind();
        if (kind == 0 || kind < 0) {
            xMLStreamReaderBase = new XMLStreamReaderForString(cur, cur.getChars(-1), cur._offSrc, cur._cchSrc);
        } else if (!z) {
            xMLStreamReaderBase = new XMLStreamReaderForNode(cur, false);
        } else if (!cur.hasAttrs() && !cur.hasChildren()) {
            xMLStreamReaderBase = new XMLStreamReaderForString(cur, cur.getFirstChars(), cur._offSrc, cur._cchSrc);
        } else if ($assertionsDisabled || cur.isContainer()) {
            xMLStreamReaderBase = new XMLStreamReaderForNode(cur, true);
        } else {
            throw new AssertionError();
        }
        if (cur._locale.noSync()) {
            return new UnsyncedJsr173(cur._locale, xMLStreamReaderBase);
        }
        return new SyncedJsr173(cur._locale, xMLStreamReaderBase);
    }
}
