package org.apache.xmlbeans.impl.store;

import b.b.a.a.a;
import java.io.IOException;
import java.io.InputStream;
import java.io.Reader;
import java.io.StringReader;
import java.lang.ref.PhantomReference;
import java.lang.ref.ReferenceQueue;
import java.lang.ref.SoftReference;
import java.util.HashMap;
import java.util.Hashtable;
import java.util.Map;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xerces.impl.xs.SchemaSymbols;
import org.apache.xerces.parsers.AbstractSAXParser;
import org.apache.xmlbeans.CDataBookmark;
import org.apache.xmlbeans.QNameCache;
import org.apache.xmlbeans.QNameSet;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.SchemaTypeLoader;
import org.apache.xmlbeans.XmlBeans;
import org.apache.xmlbeans.XmlCursor;
import org.apache.xmlbeans.XmlDocumentProperties;
import org.apache.xmlbeans.XmlError;
import org.apache.xmlbeans.XmlErrorCodes;
import org.apache.xmlbeans.XmlException;
import org.apache.xmlbeans.XmlLineNumber;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlRuntimeException;
import org.apache.xmlbeans.XmlSaxHandler;
import org.apache.xmlbeans.XmlTokenSource;
import org.apache.xmlbeans.impl.common.QNameHelper;
import org.apache.xmlbeans.impl.common.ResolverUtil;
import org.apache.xmlbeans.impl.common.Sax2Dom;
import org.apache.xmlbeans.impl.common.SystemCache;
import org.apache.xmlbeans.impl.common.XMLNameHelper;
import org.apache.xmlbeans.impl.common.XmlLocale;
import org.apache.xmlbeans.impl.jam.xml.JamXmlElements;
import org.apache.xmlbeans.impl.piccolo.io.FileFormatException;
import org.apache.xmlbeans.impl.piccolo.xml.Piccolo;
import org.apache.xmlbeans.impl.store.Cur;
import org.apache.xmlbeans.impl.store.DomImpl;
import org.apache.xmlbeans.impl.store.Saaj;
import org.apache.xmlbeans.xml.stream.Attribute;
import org.apache.xmlbeans.xml.stream.AttributeIterator;
import org.apache.xmlbeans.xml.stream.CharacterData;
import org.apache.xmlbeans.xml.stream.Comment;
import org.apache.xmlbeans.xml.stream.Location;
import org.apache.xmlbeans.xml.stream.ProcessingInstruction;
import org.apache.xmlbeans.xml.stream.Space;
import org.apache.xmlbeans.xml.stream.StartDocument;
import org.apache.xmlbeans.xml.stream.StartElement;
import org.apache.xmlbeans.xml.stream.XMLEvent;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.apache.xmlbeans.xml.stream.XMLName;
import org.apache.xmlbeans.xml.stream.XMLStreamException;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.Document;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;
import org.w3c.dom.NamedNodeMap;
import org.w3c.dom.Node;
import org.xml.sax.Attributes;
import org.xml.sax.ContentHandler;
import org.xml.sax.DTDHandler;
import org.xml.sax.EntityResolver;
import org.xml.sax.ErrorHandler;
import org.xml.sax.InputSource;
import org.xml.sax.Locator;
import org.xml.sax.SAXException;
import org.xml.sax.SAXParseException;
import org.xml.sax.XMLReader;
import org.xml.sax.ext.DeclHandler;
import org.xml.sax.ext.LexicalHandler;

public final class Locale implements DOMImplementation, Saaj.SaajCallback, XmlLocale {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static final int ATTR = 3;
    public static final int COMMENT = 4;
    public static final String COPY_USE_NEW_LOCALE = "COPY_USE_NEW_LOCALE";
    public static final int ELEM = 2;
    public static final int PROCINST = 5;
    public static final int ROOT = 1;
    public static final int TEXT = 0;
    public static final String USE_SAME_LOCALE = "USE_SAME_LOCALE";
    public static final int WS_COLLAPSE = 3;
    public static final int WS_PRESERVE = 1;
    public static final int WS_REPLACE = 2;
    public static final int WS_UNSPECIFIED = 0;
    public static final String _openFragUri = "http://www.openuri.org/fragment";
    public static final QName _openuriFragment = new QName(_openFragUri, "fragment", "frag");
    public static final String _schema = "http://www.w3.org/2001/XMLSchema";
    public static final String _xml1998Uri = "http://www.w3.org/XML/1998/namespace";
    public static final QName _xmlFragment = new QName("xml-fragment");
    public static final String _xmlnsUri = "http://www.w3.org/2000/xmlns/";
    public static final String _xsi = "http://www.w3.org/2001/XMLSchema-instance";
    public static final QName _xsiLoc = new QName("http://www.w3.org/2001/XMLSchema-instance", "schemaLocation", "xsi");
    public static final QName _xsiNil = new QName("http://www.w3.org/2001/XMLSchema-instance", "nil", "xsi");
    public static final QName _xsiNoLoc = new QName("http://www.w3.org/2001/XMLSchema-instance", "noNamespaceSchemaLocation", "xsi");
    public static final QName _xsiType = new QName("http://www.w3.org/2001/XMLSchema-instance", JamXmlElements.TYPE, "xsi");
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$store$Locale;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$store$Locale$DocProps;
    public static ThreadLocal tl_scrubBuffer = new ThreadLocal() {
        /* class org.apache.xmlbeans.impl.store.Locale.AnonymousClass1 */

        @Override // java.lang.ThreadLocal
        public Object initialValue() {
            return new SoftReference(new ScrubBuffer());
        }
    };
    public int _cchSrc;
    public ChangeListener _changeListeners;
    public CharUtil _charUtil;
    public Cur _curPool;
    public int _curPoolCount;
    public domNthCache _domNthCache_A = new domNthCache();
    public domNthCache _domNthCache_B = new domNthCache();
    public int _entryCount;
    public Cur.Locations _locations;
    public boolean _noSync;
    public nthCache _nthCache_A = new nthCache();
    public nthCache _nthCache_B = new nthCache();
    public int _numTempFramesLeft;
    public int _offSrc;
    public DomImpl.Dom _ownerDoc;
    public int _posTemp;
    public QNameFactory _qnameFactory;
    public ReferenceQueue _refQueue;
    public Cur _registered;
    public Saaj _saaj;
    public SchemaTypeLoader _schemaTypeLoader;
    public Cur[] _tempFrames;
    public boolean _validateOnSet;
    public long _versionAll;
    public long _versionSansText;

    public interface ChangeListener {
        ChangeListener getNextChangeListener();

        void notifyChange();

        void setNextChangeListener(ChangeListener changeListener);
    }

    public static class DefaultEntityResolver implements EntityResolver {
        public DefaultEntityResolver() {
        }

        @Override // org.xml.sax.EntityResolver
        public InputSource resolveEntity(String str, String str2) {
            return new InputSource(new StringReader(""));
        }
    }

    public static final class DefaultQNameFactory implements QNameFactory {
        public QNameCache _cache;

        public DefaultQNameFactory() {
            this._cache = XmlBeans.getQNameCache();
        }

        @Override // org.apache.xmlbeans.impl.store.QNameFactory
        public QName getQName(String str, String str2) {
            return this._cache.getName(str, str2, "");
        }

        @Override // org.apache.xmlbeans.impl.store.QNameFactory
        public QName getQName(String str, String str2, String str3) {
            return this._cache.getName(str, str2, str3);
        }

        @Override // org.apache.xmlbeans.impl.store.QNameFactory
        public QName getQName(char[] cArr, int i2, int i3, char[] cArr2, int i4, int i5) {
            return this._cache.getName(new String(cArr, i2, i3), new String(cArr2, i4, i5), "");
        }

        @Override // org.apache.xmlbeans.impl.store.QNameFactory
        public QName getQName(char[] cArr, int i2, int i3, char[] cArr2, int i4, int i5, char[] cArr3, int i6, int i7) {
            return this._cache.getName(new String(cArr, i2, i3), new String(cArr2, i4, i5), new String(cArr3, i6, i7));
        }
    }

    public static class DocProps extends XmlDocumentProperties {
        public HashMap _map;

        public DocProps() {
            this._map = new HashMap();
        }

        @Override // org.apache.xmlbeans.XmlDocumentProperties
        public Object get(Object obj) {
            return this._map.get(obj);
        }

        @Override // org.apache.xmlbeans.XmlDocumentProperties
        public Object put(Object obj, Object obj2) {
            return this._map.put(obj, obj2);
        }

        @Override // org.apache.xmlbeans.XmlDocumentProperties
        public Object remove(Object obj) {
            return this._map.remove(obj);
        }
    }

    public static abstract class LoadContext {
        public Hashtable _idAttrs;

        public abstract void abort();

        public void addIdAttr(String str, String str2) {
            if (this._idAttrs == null) {
                this._idAttrs = new Hashtable();
            }
            this._idAttrs.put(str2, str);
        }

        public abstract void attr(String str, String str2, String str3, String str4);

        public abstract void attr(QName qName, String str);

        public abstract void bookmark(XmlCursor.XmlBookmark xmlBookmark);

        public abstract void bookmarkLastAttr(QName qName, XmlCursor.XmlBookmark xmlBookmark);

        public abstract void bookmarkLastNonAttr(XmlCursor.XmlBookmark xmlBookmark);

        public abstract void comment(String str);

        public abstract void comment(char[] cArr, int i2, int i3);

        public abstract void endDTD();

        public abstract void endElement();

        public abstract Cur finish();

        public boolean isAttrOfTypeId(QName qName, QName qName2) {
            if (this._idAttrs == null) {
                return false;
            }
            String prefix = qName.getPrefix();
            String localPart = qName.getLocalPart();
            if (!"".equals(prefix)) {
                localPart = a.a(prefix, ":", localPart);
            }
            String str = (String) this._idAttrs.get(localPart);
            if (str == null) {
                return false;
            }
            String prefix2 = qName2.getPrefix();
            qName2.getLocalPart();
            String localPart2 = qName2.getLocalPart();
            if (!"".equals(prefix2)) {
                localPart2 = a.a(prefix2, ":", localPart2);
            }
            return str.equals(localPart2);
        }

        public abstract void lineNumber(int i2, int i3, int i4);

        public abstract void procInst(String str, String str2);

        public abstract void startDTD(String str, String str2, String str3);

        public abstract void startElement(QName qName);

        public abstract void text(String str);

        public abstract void text(char[] cArr, int i2, int i3);

        public abstract void xmlns(String str, String str2);
    }

    public static final class LocalDocumentQNameFactory implements QNameFactory {
        public QNameCache _cache = new QNameCache(32);

        @Override // org.apache.xmlbeans.impl.store.QNameFactory
        public QName getQName(String str, String str2) {
            return this._cache.getName(str, str2, "");
        }

        @Override // org.apache.xmlbeans.impl.store.QNameFactory
        public QName getQName(String str, String str2, String str3) {
            return this._cache.getName(str, str2, str3);
        }

        @Override // org.apache.xmlbeans.impl.store.QNameFactory
        public QName getQName(char[] cArr, int i2, int i3, char[] cArr2, int i4, int i5) {
            return this._cache.getName(new String(cArr, i2, i3), new String(cArr2, i4, i5), "");
        }

        @Override // org.apache.xmlbeans.impl.store.QNameFactory
        public QName getQName(char[] cArr, int i2, int i3, char[] cArr2, int i4, int i5, char[] cArr3, int i6, int i7) {
            return this._cache.getName(new String(cArr, i2, i3), new String(cArr2, i4, i5), new String(cArr3, i6, i7));
        }
    }

    public static class PiccoloSaxLoader extends SaxLoader {
        public Piccolo _piccolo;

        public PiccoloSaxLoader(Piccolo piccolo) {
            super(piccolo, piccolo.getStartLocator());
            this._piccolo = piccolo;
        }

        public static PiccoloSaxLoader newInstance() {
            return new PiccoloSaxLoader(new Piccolo());
        }

        @Override // org.apache.xmlbeans.impl.store.Locale.SaxLoader
        public void postLoad(Cur cur) {
            XmlDocumentProperties docProps = Locale.getDocProps(cur, true);
            docProps.setEncoding(this._piccolo.getEncoding());
            docProps.setVersion(this._piccolo.getVersion());
            super.postLoad(cur);
        }
    }

    public static final class Ref extends PhantomReference {
        public Cur _cur;

        public Ref(Cur cur, Object obj) {
            super(obj, cur._locale.refQueue());
            this._cur = cur;
        }
    }

    public static abstract class SaxLoader extends SaxHandler implements ErrorHandler {
        public XMLReader _xr;

        public SaxLoader(XMLReader xMLReader, Locator locator) {
            super(locator);
            this._xr = xMLReader;
            try {
                xMLReader.setFeature("http://xml.org/sax/features/namespace-prefixes", true);
                this._xr.setFeature("http://xml.org/sax/features/namespaces", true);
                this._xr.setFeature("http://xml.org/sax/features/validation", false);
                this._xr.setProperty("http://xml.org/sax/properties/lexical-handler", this);
                this._xr.setContentHandler(this);
                this._xr.setProperty(AbstractSAXParser.DECLARATION_HANDLER, this);
                this._xr.setDTDHandler(this);
                this._xr.setErrorHandler(this);
            } catch (Throwable th) {
                throw new RuntimeException(th.getMessage(), th);
            }
        }

        @Override // org.xml.sax.ErrorHandler
        public void error(SAXParseException sAXParseException) {
            throw sAXParseException;
        }

        @Override // org.xml.sax.ErrorHandler
        public void fatalError(SAXParseException sAXParseException) {
            throw sAXParseException;
        }

        public Cur load(Locale locale, InputSource inputSource, XmlOptions xmlOptions) {
            inputSource.setSystemId("file://");
            initSaxHandler(locale, xmlOptions);
            try {
                this._xr.parse(inputSource);
                Cur finish = this._context.finish();
                Locale.associateSourceName(finish, xmlOptions);
                postLoad(finish);
                return finish;
            } catch (FileFormatException e2) {
                this._context.abort();
                throw new XmlException(e2.getMessage(), e2);
            } catch (XmlRuntimeException e3) {
                this._context.abort();
                throw new XmlException(e3);
            } catch (SAXParseException e4) {
                this._context.abort();
                XmlError forLocation = XmlError.forLocation(e4.getMessage(), (String) XmlOptions.safeGet(xmlOptions, XmlOptions.DOCUMENT_SOURCE_NAME), e4.getLineNumber(), e4.getColumnNumber(), -1);
                throw new XmlException(forLocation.toString(), e4, forLocation);
            } catch (SAXException e5) {
                this._context.abort();
                XmlError forMessage = XmlError.forMessage(e5.getMessage());
                throw new XmlException(forMessage.toString(), e5, forMessage);
            } catch (RuntimeException e6) {
                this._context.abort();
                throw e6;
            }
        }

        public void postLoad(Cur cur) {
            this._locale = null;
            this._context = null;
        }

        public void setEntityResolver(EntityResolver entityResolver) {
            this._xr.setEntityResolver(entityResolver);
        }

        @Override // org.xml.sax.ErrorHandler
        public void warning(SAXParseException sAXParseException) {
            throw sAXParseException;
        }
    }

    public static final class ScrubBuffer {
        public static final int NOSPACE_STATE = 2;
        public static final int SPACE_SEEN_STATE = 1;
        public static final int START_STATE = 0;
        public StringBuffer _sb = new StringBuffer();
        public char[] _srcBuf = new char[1024];
        public int _state;
        public int _wsr;

        public String getResultAsString() {
            return this._sb.toString();
        }

        public void init(int i2) {
            StringBuffer stringBuffer = this._sb;
            stringBuffer.delete(0, stringBuffer.length());
            this._wsr = i2;
            this._state = 0;
        }

        public void scrub(Object obj, int i2, int i3) {
            char[] cArr;
            if (i3 != 0) {
                if (this._wsr == 1) {
                    CharUtil.getString(this._sb, obj, i2, i3);
                    return;
                }
                if (obj instanceof char[]) {
                    cArr = (char[]) obj;
                } else {
                    char[] cArr2 = this._srcBuf;
                    if (i3 > cArr2.length) {
                        if (i3 <= 16384) {
                            cArr2 = new char[16384];
                            this._srcBuf = cArr2;
                        } else {
                            cArr2 = new char[i3];
                        }
                    }
                    CharUtil.getChars(cArr2, 0, obj, i2, i3);
                    cArr = cArr2;
                    i2 = 0;
                }
                int i4 = 0;
                for (int i5 = 0; i5 < i3; i5++) {
                    char c = cArr[i2 + i5];
                    if (c == ' ' || c == '\n' || c == '\r' || c == '\t') {
                        this._sb.append(cArr, i2 + i4, i5 - i4);
                        i4 = i5 + 1;
                        if (this._wsr == 2) {
                            this._sb.append(' ');
                        } else if (this._state == 2) {
                            this._state = 1;
                        }
                    } else {
                        if (this._state == 1) {
                            this._sb.append(' ');
                        }
                        this._state = 2;
                    }
                }
                this._sb.append(cArr, i2 + i4, i3 - i4);
            }
        }
    }

    public static class XmlReaderSaxLoader extends SaxLoader {
        public XmlReaderSaxLoader(XMLReader xMLReader) {
            super(xMLReader, null);
        }
    }

    public class XmlSaxHandlerImpl extends SaxHandler implements XmlSaxHandler {
        public XmlOptions _options;
        public SchemaType _type;

        public XmlSaxHandlerImpl(Locale locale, SchemaType schemaType, XmlOptions xmlOptions) {
            super(null);
            this._options = xmlOptions;
            this._type = schemaType;
            XmlOptions xmlOptions2 = new XmlOptions(xmlOptions);
            xmlOptions2.put(Cur.LOAD_USE_LOCALE_CHAR_UTIL);
            initSaxHandler(locale, xmlOptions2);
        }

        @Override // org.apache.xmlbeans.XmlSaxHandler
        public void bookmarkLastAttr(QName qName, XmlCursor.XmlBookmark xmlBookmark) {
            this._context.bookmarkLastAttr(qName, xmlBookmark);
        }

        @Override // org.apache.xmlbeans.XmlSaxHandler
        public void bookmarkLastEvent(XmlCursor.XmlBookmark xmlBookmark) {
            this._context.bookmarkLastNonAttr(xmlBookmark);
        }

        @Override // org.apache.xmlbeans.XmlSaxHandler
        public ContentHandler getContentHandler() {
            if (this._context == null) {
                return null;
            }
            return this;
        }

        @Override // org.apache.xmlbeans.XmlSaxHandler
        public LexicalHandler getLexicalHandler() {
            if (this._context == null) {
                return null;
            }
            return this;
        }

        @Override // org.apache.xmlbeans.XmlSaxHandler
        public XmlObject getObject() {
            if (this._context == null) {
                return null;
            }
            this._locale.enter();
            try {
                Cur finish = this._context.finish();
                Locale.autoTypeDocument(finish, this._type, this._options);
                XmlObject xmlObject = (XmlObject) finish.getUser();
                finish.release();
                this._context = null;
                return xmlObject;
            } finally {
                this._locale.exit();
            }
        }
    }

    public class domNthCache {
        public static final /* synthetic */ boolean $assertionsDisabled;
        public static final int BLITZ_BOUNDARY = 40;
        public DomImpl.Dom _child;
        public int _len;
        public int _n;
        public DomImpl.Dom _parent;
        public long _version;

        static {
            Class cls = Locale.class$org$apache$xmlbeans$impl$store$Locale;
            if (cls == null) {
                cls = Locale.class$("org.apache.xmlbeans.impl.store.Locale");
                Locale.class$org$apache$xmlbeans$impl$store$Locale = cls;
            }
            $assertionsDisabled = !cls.desiredAssertionStatus();
        }

        public domNthCache() {
        }

        public int distance(DomImpl.Dom dom, int i2) {
            if (!$assertionsDisabled && i2 < 0) {
                throw new AssertionError();
            } else if (this._version != Locale.this.version()) {
                return 2147483646;
            } else {
                if (dom != this._parent) {
                    return Integer.MAX_VALUE;
                }
                int i3 = this._n;
                return i2 > i3 ? i2 - i3 : i3 - i2;
            }
        }

        public DomImpl.Dom fetch(DomImpl.Dom dom, int i2) {
            if (!$assertionsDisabled && i2 < 0) {
                throw new AssertionError();
            } else if (this._version == Locale.this.version() && this._parent == dom) {
                int i3 = this._n;
                if (i3 < 0) {
                    return null;
                }
                if (i2 > i3) {
                    while (i2 > this._n) {
                        DomImpl.Dom nextSibling = DomImpl.nextSibling(this._child);
                        if (nextSibling == null) {
                            return null;
                        }
                        this._child = nextSibling;
                        this._n++;
                    }
                } else if (i2 < i3) {
                    while (i2 < this._n) {
                        DomImpl.Dom prevSibling = DomImpl.prevSibling(this._child);
                        if (prevSibling == null) {
                            return null;
                        }
                        this._child = prevSibling;
                        this._n--;
                    }
                }
                return this._child;
            } else {
                this._parent = dom;
                this._version = Locale.this.version();
                this._child = null;
                this._n = -1;
                this._len = -1;
                DomImpl.Dom firstChild = DomImpl.firstChild(this._parent);
                while (true) {
                    if (firstChild == null) {
                        break;
                    }
                    int i4 = this._n + 1;
                    this._n = i4;
                    if (this._child == null && i2 == i4) {
                        this._child = firstChild;
                        break;
                    }
                    firstChild = DomImpl.nextSibling(firstChild);
                }
                return this._child;
            }
        }

        public int length(DomImpl.Dom dom) {
            int i2;
            if (!(this._version == Locale.this.version() && this._parent == dom)) {
                this._parent = dom;
                this._version = Locale.this.version();
                this._child = null;
                this._n = -1;
                this._len = -1;
            }
            if (this._len == -1) {
                DomImpl.Dom dom2 = this._child;
                if (dom2 == null || (i2 = this._n) == -1) {
                    dom2 = DomImpl.firstChild(this._parent);
                    this._len = 0;
                    this._child = dom2;
                    this._n = 0;
                } else {
                    this._len = i2;
                }
                while (dom2 != null) {
                    this._len++;
                    dom2 = DomImpl.nextSibling(dom2);
                }
            }
            return this._len;
        }
    }

    public class nthCache {
        public static final /* synthetic */ boolean $assertionsDisabled;
        public Xobj _child;
        public int _n;
        public QName _name;
        public Xobj _parent;
        public QNameSet _set;
        public long _version;

        static {
            Class cls = Locale.class$org$apache$xmlbeans$impl$store$Locale;
            if (cls == null) {
                cls = Locale.class$("org.apache.xmlbeans.impl.store.Locale");
                Locale.class$org$apache$xmlbeans$impl$store$Locale = cls;
            }
            $assertionsDisabled = !cls.desiredAssertionStatus();
        }

        public nthCache() {
        }

        private boolean cacheSame(QName qName, QNameSet qNameSet) {
            return qNameSet == null ? namesSame(qName, this._name) : setsSame(qNameSet, this._set);
        }

        private boolean nameHit(QName qName, QNameSet qNameSet, QName qName2) {
            return qNameSet == null ? namesSame(qName, qName2) : qNameSet.contains(qName2);
        }

        private boolean namesSame(QName qName, QName qName2) {
            return qName == null || qName.equals(qName2);
        }

        private boolean setsSame(QNameSet qNameSet, QNameSet qNameSet2) {
            return qNameSet != null && qNameSet == qNameSet2;
        }

        public int distance(Xobj xobj, QName qName, QNameSet qNameSet, int i2) {
            if (!$assertionsDisabled && i2 < 0) {
                throw new AssertionError();
            } else if (this._version != Locale.this.version()) {
                return 2147483646;
            } else {
                if (xobj != this._parent || !cacheSame(qName, qNameSet)) {
                    return Integer.MAX_VALUE;
                }
                int i3 = this._n;
                return i2 > i3 ? i2 - i3 : i3 - i2;
            }
        }

        /* JADX WARNING: Code restructure failed: missing block: B:34:0x0072, code lost:
            r6._child = r7;
            r6._n++;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:46:0x0096, code lost:
            r6._child = r7;
            r6._n--;
         */
        public Xobj fetch(Xobj xobj, QName qName, QNameSet qNameSet, int i2) {
            if ($assertionsDisabled || i2 >= 0) {
                if (this._version != Locale.this.version() || this._parent != xobj || !cacheSame(qName, qNameSet) || i2 == 0) {
                    this._version = Locale.this.version();
                    this._parent = xobj;
                    this._name = qName;
                    this._child = null;
                    this._n = -1;
                    Xobj xobj2 = xobj._firstChild;
                    while (true) {
                        if (xobj2 != null) {
                            if (xobj2.isElem() && nameHit(qName, qNameSet, xobj2._name)) {
                                this._child = xobj2;
                                this._n = 0;
                                break;
                            }
                            xobj2 = xobj2._nextSibling;
                        } else {
                            break;
                        }
                    }
                }
                int i3 = this._n;
                if (i3 < 0) {
                    return null;
                }
                if (i2 <= i3) {
                    if (i2 < i3) {
                        while (i2 < this._n) {
                            Xobj xobj3 = this._child;
                            while (true) {
                                xobj3 = xobj3._prevSibling;
                                if (xobj3 != null) {
                                    if (xobj3.isElem() && nameHit(qName, qNameSet, xobj3._name)) {
                                        break;
                                    }
                                } else {
                                    return null;
                                }
                            }
                        }
                    }
                } else {
                    while (i2 > this._n) {
                        Xobj xobj4 = this._child;
                        while (true) {
                            xobj4 = xobj4._nextSibling;
                            if (xobj4 != null) {
                                if (xobj4.isElem() && nameHit(qName, qNameSet, xobj4._name)) {
                                    break;
                                }
                            } else {
                                return null;
                            }
                        }
                    }
                }
                return this._child;
            }
            throw new AssertionError();
        }
    }

    static {
        Class cls = class$org$apache$xmlbeans$impl$store$Locale;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.store.Locale");
            class$org$apache$xmlbeans$impl$store$Locale = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
    }

    public Locale(SchemaTypeLoader schemaTypeLoader, XmlOptions xmlOptions) {
        XmlOptions maskNull = XmlOptions.maskNull(xmlOptions);
        this._noSync = maskNull.hasOption(XmlOptions.UNSYNCHRONIZED);
        this._numTempFramesLeft = 8;
        this._tempFrames = new Cur[8];
        this._qnameFactory = new DefaultQNameFactory();
        this._locations = new Cur.Locations(this);
        this._schemaTypeLoader = schemaTypeLoader;
        this._validateOnSet = maskNull.hasOption(XmlOptions.VALIDATE_ON_SET);
        Object obj = maskNull.get(Saaj.SAAJ_IMPL);
        if (obj == null) {
            return;
        }
        if (obj instanceof Saaj) {
            Saaj saaj = (Saaj) obj;
            this._saaj = saaj;
            saaj.setCallback(this);
            return;
        }
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append("Saaj impl not correct type: ");
        stringBuffer.append(obj);
        throw new IllegalStateException(stringBuffer.toString());
    }

    public static void addNamespace(StringBuffer stringBuffer, QName qName) {
        if (qName.getNamespaceURI() == null) {
            stringBuffer.append("<no namespace>");
            return;
        }
        stringBuffer.append("\"");
        stringBuffer.append(qName.getNamespaceURI());
        stringBuffer.append("\"");
    }

    public static void applyNamespaces(Cur cur, Map map) {
        if ($assertionsDisabled || cur.isContainer()) {
            for (String str : map.keySet()) {
                if (!str.toLowerCase().startsWith("xml") && cur.namespaceForPrefix(str, false) == null) {
                    cur.push();
                    cur.next();
                    cur.createAttr(cur._locale.createXmlns(str));
                    cur.next();
                    cur.insertString((String) map.get(str));
                    cur.pop();
                }
            }
            return;
        }
        throw new AssertionError();
    }

    public static String applyWhiteSpaceRule(String str, int i2) {
        int i3 = 0;
        int length = str == null ? 0 : str.length();
        if (length == 0) {
            return str;
        }
        int i4 = 1;
        if (i2 == 1) {
            return str;
        }
        if (i2 == 2) {
            while (i3 < length) {
                char charAt = str.charAt(i3);
                if (charAt == '\n' || charAt == '\r' || charAt == '\t') {
                    return processWhiteSpaceRule(str, i2);
                }
                i3++;
            }
            return str;
        } else if (i2 != 3) {
            return str;
        } else {
            if (CharUtil.isWhiteSpace(str.charAt(0)) || CharUtil.isWhiteSpace(str.charAt(length - 1))) {
                return processWhiteSpaceRule(str, i2);
            }
            while (i4 < length) {
                boolean isWhiteSpace = CharUtil.isWhiteSpace(str.charAt(i4));
                if (isWhiteSpace && i3 != 0) {
                    return processWhiteSpaceRule(str, i2);
                }
                i4++;
                i3 = isWhiteSpace ? 1 : 0;
            }
            return str;
        }
    }

    public static void associateSourceName(Cur cur, XmlOptions xmlOptions) {
        String str = (String) XmlOptions.safeGet(xmlOptions, XmlOptions.DOCUMENT_SOURCE_NAME);
        if (str != null) {
            getDocProps(cur, true).setSourceName(str);
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:20:0x0042, code lost:
        if (r5.isAssignableFrom(r0) == false) goto L_0x0045;
     */
    public static void autoTypeDocument(Cur cur, SchemaType schemaType, XmlOptions xmlOptions) {
        SchemaType schemaType2;
        QName name;
        QName documentElementName;
        if ($assertionsDisabled || cur.isRoot()) {
            SchemaType schemaType3 = (SchemaType) XmlOptions.maskNull(xmlOptions).get(XmlOptions.DOCUMENT_TYPE);
            if (schemaType3 != null) {
                cur.setType(schemaType3);
                return;
            }
            SchemaType schemaType4 = null;
            if (schemaType == null || schemaType.getName() != null) {
                QName xsiTypeName = cur.getXsiTypeName();
                if (xsiTypeName == null) {
                    schemaType2 = null;
                } else {
                    schemaType2 = cur._locale._schemaTypeLoader.findType(xsiTypeName);
                }
                if (schemaType != null) {
                }
                if (schemaType2 == null && (schemaType == null || schemaType.isDocumentType())) {
                    if (!$assertionsDisabled || cur.isRoot()) {
                        cur.push();
                        name = (!cur.hasAttrs() || !toFirstChildElement(cur) || toNextSiblingElement(cur)) ? null : cur.getName();
                        cur.pop();
                        if (!(name == null || (schemaType2 = cur._locale._schemaTypeLoader.findDocumentType(name)) == null || schemaType == null)) {
                            documentElementName = schemaType.getDocumentElementName();
                            if (!documentElementName.equals(name) && !schemaType.isValidSubstitution(name)) {
                                StringBuffer a = a.a("Element ");
                                a.append(QNameHelper.pretty(name));
                                a.append(" is not a valid ");
                                a.append(QNameHelper.pretty(documentElementName));
                                a.append(" document or a valid substitution.");
                                throw new XmlException(a.toString());
                            }
                        }
                    } else {
                        throw new AssertionError();
                    }
                }
                if (schemaType2 == null && schemaType == null) {
                    cur.push();
                    if (toFirstNormalAttr(cur) && !toNextNormalAttr(cur)) {
                        schemaType4 = cur._locale._schemaTypeLoader.findAttributeType(cur.getName());
                    }
                    cur.pop();
                    schemaType2 = schemaType4;
                }
                if (schemaType2 == null) {
                    schemaType2 = schemaType;
                }
                if (schemaType2 == null) {
                    schemaType2 = XmlBeans.NO_TYPE;
                }
                cur.setType(schemaType2);
                if (schemaType == null) {
                    return;
                }
                if (schemaType2.isDocumentType()) {
                    verifyDocumentType(cur, schemaType2.getDocumentElementName());
                    return;
                } else if (schemaType2.isAttributeType()) {
                    verifyAttributeType(cur, schemaType2.getAttributeTypeAttributeName());
                    return;
                } else {
                    return;
                }
            }
            schemaType2 = null;
            if (!$assertionsDisabled) {
            }
            cur.push();
            if (!cur.hasAttrs()) {
            }
            cur.pop();
            documentElementName = schemaType.getDocumentElementName();
            StringBuffer a2 = a.a("Element ");
            a2.append(QNameHelper.pretty(name));
            a2.append(" is not a valid ");
            a2.append(QNameHelper.pretty(documentElementName));
            a2.append(" document or a valid substitution.");
            throw new XmlException(a2.toString());
        }
        throw new AssertionError();
    }

    public static boolean beginsWithXml(String str) {
        char charAt;
        char charAt2;
        if (str.length() < 3) {
            return false;
        }
        char charAt3 = str.charAt(0);
        if ((charAt3 == 'x' || charAt3 == 'X') && (((charAt = str.charAt(1)) == 'm' || charAt == 'M') && ((charAt2 = str.charAt(2)) == 'l' || charAt2 == 'L'))) {
            return true;
        }
        return false;
    }

    public static DomImpl.Dom checkNode(Node node) {
        if (node == null) {
            throw new IllegalArgumentException("Node is null");
        } else if (node instanceof DomImpl.Dom) {
            return (DomImpl.Dom) node;
        } else {
            throw new IllegalArgumentException("Node is not an XmlBeans node");
        }
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    private void doAttributes(XMLStreamReader xMLStreamReader, LoadContext loadContext) {
        int attributeCount = xMLStreamReader.getAttributeCount();
        for (int i2 = 0; i2 < attributeCount; i2++) {
            loadContext.attr(xMLStreamReader.getAttributeLocalName(i2), xMLStreamReader.getAttributeNamespace(i2), xMLStreamReader.getAttributePrefix(i2), xMLStreamReader.getAttributeValue(i2));
        }
    }

    private void doNamespaces(XMLStreamReader xMLStreamReader, LoadContext loadContext) {
        int namespaceCount = xMLStreamReader.getNamespaceCount();
        for (int i2 = 0; i2 < namespaceCount; i2++) {
            String namespacePrefix = xMLStreamReader.getNamespacePrefix(i2);
            if (namespacePrefix == null || namespacePrefix.length() == 0) {
                loadContext.attr("xmlns", "http://www.w3.org/2000/xmlns/", null, xMLStreamReader.getNamespaceURI(i2));
            } else {
                loadContext.attr(namespacePrefix, "http://www.w3.org/2000/xmlns/", "xmlns", xMLStreamReader.getNamespaceURI(i2));
            }
        }
    }

    public static Map getAllNamespaces(Cur cur, Map map) {
        if ($assertionsDisabled || cur.isNode()) {
            cur.push();
            if (!cur.isContainer()) {
                cur.toParent();
            }
            if ($assertionsDisabled || cur.isContainer()) {
                do {
                    QName name = cur.getName();
                    while (cur.toNextAttr()) {
                        if (cur.isXmlns()) {
                            String xmlnsPrefix = cur.getXmlnsPrefix();
                            String xmlnsUri = cur.getXmlnsUri();
                            if (xmlnsPrefix.length() != 0 || xmlnsUri.length() <= 0 || name == null || name.getNamespaceURI().length() <= 0) {
                                if (map == null) {
                                    map = new HashMap();
                                }
                                if (!map.containsKey(xmlnsPrefix)) {
                                    map.put(xmlnsPrefix, xmlnsUri);
                                }
                            }
                        }
                    }
                    if (!cur.isContainer()) {
                        cur.toParentRaw();
                    }
                } while (cur.toParentRaw());
                cur.pop();
                return map;
            }
            throw new AssertionError();
        }
        throw new AssertionError();
    }

    public static XmlDocumentProperties getDocProps(Cur cur, boolean z) {
        cur.push();
        do {
        } while (cur.toParent());
        Class cls = class$org$apache$xmlbeans$impl$store$Locale$DocProps;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.store.Locale$DocProps");
            class$org$apache$xmlbeans$impl$store$Locale$DocProps = cls;
        }
        DocProps docProps = (DocProps) cur.getBookmark(cls);
        if (docProps == null && z) {
            Class cls2 = class$org$apache$xmlbeans$impl$store$Locale$DocProps;
            if (cls2 == null) {
                cls2 = class$("org.apache.xmlbeans.impl.store.Locale$DocProps");
                class$org$apache$xmlbeans$impl$store$Locale$DocProps = cls2;
            }
            docProps = new DocProps();
            cur.setBookmark(cls2, docProps);
        }
        cur.pop();
        return docProps;
    }

    public static Locale getLocale(SchemaTypeLoader schemaTypeLoader, XmlOptions xmlOptions) {
        Locale locale;
        if (schemaTypeLoader == null) {
            schemaTypeLoader = XmlBeans.getContextTypeLoader();
        }
        XmlOptions maskNull = XmlOptions.maskNull(xmlOptions);
        if (!maskNull.hasOption(USE_SAME_LOCALE)) {
            return new Locale(schemaTypeLoader, maskNull);
        }
        Object obj = maskNull.get(USE_SAME_LOCALE);
        if (obj instanceof Locale) {
            locale = (Locale) obj;
        } else if (obj instanceof XmlTokenSource) {
            locale = (Locale) ((XmlTokenSource) obj).monitor();
        } else {
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append("Source locale not understood: ");
            stringBuffer.append(obj);
            throw new IllegalArgumentException(stringBuffer.toString());
        }
        if (locale._schemaTypeLoader == schemaTypeLoader) {
            Saaj saaj = locale._saaj;
            if (saaj != null && saaj != maskNull.get(Saaj.SAAJ_IMPL)) {
                throw new IllegalArgumentException("Source locale does not support same saaj");
            } else if (!locale._validateOnSet || maskNull.hasOption(XmlOptions.VALIDATE_ON_SET)) {
                return locale;
            } else {
                throw new IllegalArgumentException("Source locale does not support same validate on set");
            }
        } else {
            throw new IllegalArgumentException("Source locale does not support same schema type loader");
        }
    }

    public static SaxLoader getPiccoloSaxLoader() {
        SaxLoader saxLoader = (SaxLoader) SystemCache.get().getSaxLoader();
        if (saxLoader != null) {
            return saxLoader;
        }
        PiccoloSaxLoader newInstance = PiccoloSaxLoader.newInstance();
        SystemCache.get().setSaxLoader(newInstance);
        return newInstance;
    }

    public static SaxLoader getSaxLoader(XmlOptions xmlOptions) {
        XmlOptions maskNull = XmlOptions.maskNull(xmlOptions);
        EntityResolver entityResolver = null;
        if (!maskNull.hasOption(XmlOptions.LOAD_USE_DEFAULT_RESOLVER)) {
            EntityResolver entityResolver2 = (EntityResolver) maskNull.get(XmlOptions.ENTITY_RESOLVER);
            if (entityResolver2 == null) {
                entityResolver2 = ResolverUtil.getGlobalEntityResolver();
            }
            if (entityResolver2 == null) {
                entityResolver2 = new DefaultEntityResolver();
            }
            entityResolver = entityResolver2;
        }
        if (maskNull.hasOption(XmlOptions.LOAD_USE_XMLREADER)) {
            XMLReader xMLReader = (XMLReader) maskNull.get(XmlOptions.LOAD_USE_XMLREADER);
            if (xMLReader != null) {
                XmlReaderSaxLoader xmlReaderSaxLoader = new XmlReaderSaxLoader(xMLReader);
                if (entityResolver == null) {
                    return xmlReaderSaxLoader;
                }
                xMLReader.setEntityResolver(entityResolver);
                return xmlReaderSaxLoader;
            }
            throw new IllegalArgumentException("XMLReader is null");
        }
        SaxLoader piccoloSaxLoader = getPiccoloSaxLoader();
        piccoloSaxLoader.setEntityResolver(entityResolver);
        return piccoloSaxLoader;
    }

    public static ScrubBuffer getScrubBuffer(int i2) {
        ScrubBuffer scrubBuffer = (ScrubBuffer) ((SoftReference) tl_scrubBuffer.get()).get();
        if (scrubBuffer == null) {
            scrubBuffer = new ScrubBuffer();
            tl_scrubBuffer.set(new SoftReference(scrubBuffer));
        }
        scrubBuffer.init(i2);
        return scrubBuffer;
    }

    public static String getTextValue(Cur cur) {
        if (!$assertionsDisabled && !cur.isNode()) {
            throw new AssertionError();
        } else if (!cur.hasChildren()) {
            return cur.getValueAsString();
        } else {
            StringBuffer stringBuffer = new StringBuffer();
            cur.push();
            while (true) {
                cur.next();
                if (cur.isAtEndOfLastPush()) {
                    cur.pop();
                    return stringBuffer.toString();
                } else if (cur.isText() && ((!cur._xobj.isComment() && !cur._xobj.isProcinst()) || cur._pos >= cur._xobj._cchValue)) {
                    CharUtil.getString(stringBuffer, cur.getChars(-1), cur._offSrc, cur._cchSrc);
                }
            }
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:14:0x0035, code lost:
        r2 = true;
     */
    public static boolean isFragment(Cur cur, Cur cur2) {
        boolean z;
        int kind;
        if ($assertionsDisabled || !cur2.isAttr()) {
            cur.push();
            cur2.push();
            int i2 = 0;
            while (true) {
                if (cur.isSamePos(cur2) || (kind = cur.kind()) == 3) {
                    z = false;
                } else if ((kind != 0 || isWhiteSpace(cur.getCharsAsString(-1))) && (kind != 2 || (i2 = i2 + 1) <= 1)) {
                    if ($assertionsDisabled || kind != 3) {
                        if (kind != 0) {
                            cur.toEnd();
                        }
                        cur.next();
                    } else {
                        throw new AssertionError();
                    }
                }
                cur.pop();
                cur2.pop();
                if (!z || i2 != 1) {
                    return true;
                }
                return false;
            }
            z = false;
            cur.pop();
            cur2.pop();
            if (!z) {
            }
            return true;
        }
        throw new AssertionError();
    }

    public static boolean isFragmentQName(QName qName) {
        return qName.equals(_openuriFragment) || qName.equals(_xmlFragment);
    }

    public static final boolean isWhiteSpace(String str) {
        int length = str.length();
        while (true) {
            int i2 = length - 1;
            if (length <= 0) {
                return true;
            }
            if (!CharUtil.isWhiteSpace(str.charAt(i2))) {
                return false;
            }
            length = i2;
        }
    }

    public static boolean isXmlns(QName qName) {
        String prefix = qName.getPrefix();
        if (prefix.equals("xmlns")) {
            return true;
        }
        if (prefix.length() != 0 || !qName.getLocalPart().equals("xmlns")) {
            return false;
        }
        return true;
    }

    public static void lineNumber(XMLEvent xMLEvent, LoadContext loadContext) {
        Location location = xMLEvent.getLocation();
        if (location != null) {
            loadContext.lineNumber(location.getLineNumber(), location.getColumnNumber(), -1);
        }
    }

    private DomImpl.Dom load(InputSource inputSource, XmlOptions xmlOptions) {
        return getSaxLoader(xmlOptions).load(this, inputSource, xmlOptions).getDom();
    }

    private void loadNodeChildren(Node node, LoadContext loadContext) {
        for (Node firstChild = node.getFirstChild(); firstChild != null; firstChild = firstChild.getNextSibling()) {
            loadNode(firstChild, loadContext);
        }
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x00c7  */
    /* JADX WARNING: Removed duplicated region for block: B:73:0x0150 A[SYNTHETIC] */
    private Cur loadXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
        CharacterData characterData;
        Map namespaceMap;
        XmlOptions maskNull = XmlOptions.maskNull(xmlOptions);
        boolean hasOption = maskNull.hasOption(XmlOptions.LOAD_LINE_NUMBERS);
        XMLEvent peek = xMLInputStream.peek();
        if (peek != null && peek.getType() == 2 && (namespaceMap = ((StartElement) peek).getNamespaceMap()) != null && namespaceMap.size() > 0) {
            HashMap hashMap = new HashMap();
            hashMap.putAll(namespaceMap);
            XmlOptions xmlOptions2 = new XmlOptions(maskNull);
            xmlOptions2.put(XmlOptions.LOAD_ADDITIONAL_NAMESPACES, hashMap);
            maskNull = xmlOptions2;
        }
        Cur.CurLoadContext curLoadContext = new Cur.CurLoadContext(this, maskNull);
        XMLEvent next = xMLInputStream.next();
        String str = null;
        String str2 = null;
        String str3 = null;
        boolean z = true;
        while (true) {
            if (next != null) {
                int type = next.getType();
                if (type != 1) {
                    if (type != 2) {
                        switch (type) {
                            case 4:
                                curLoadContext.endElement();
                                if (!hasOption) {
                                    break;
                                } else {
                                    lineNumber(next, curLoadContext);
                                    break;
                                }
                            case 8:
                                ProcessingInstruction processingInstruction = (ProcessingInstruction) next;
                                curLoadContext.procInst(processingInstruction.getTarget(), processingInstruction.getData());
                                if (!hasOption) {
                                    break;
                                } else {
                                    lineNumber(next, curLoadContext);
                                    break;
                                }
                            case 16:
                                characterData = (CharacterData) next;
                                if (characterData.hasContent()) {
                                    break;
                                } else {
                                    curLoadContext.text(characterData.getContent());
                                    if (!hasOption) {
                                        break;
                                    } else {
                                        lineNumber(next, curLoadContext);
                                        break;
                                    }
                                }
                            case 32:
                                Comment comment = (Comment) next;
                                if (!comment.hasContent()) {
                                    break;
                                } else {
                                    curLoadContext.comment(comment.getContent());
                                    if (!hasOption) {
                                        break;
                                    } else {
                                        lineNumber(next, curLoadContext);
                                        break;
                                    }
                                }
                            case 64:
                                if (((Space) next).ignorable()) {
                                    break;
                                }
                                characterData = (CharacterData) next;
                                if (characterData.hasContent()) {
                                }
                                break;
                            case 128:
                                if (xMLInputStream.hasNext()) {
                                    break;
                                } else {
                                    break;
                                }
                            case 256:
                                StartDocument startDocument = (StartDocument) next;
                                String systemId = startDocument.getSystemId();
                                String characterEncodingScheme = startDocument.getCharacterEncodingScheme();
                                String version = startDocument.getVersion();
                                startDocument.isStandalone();
                                boolean isStandalone = startDocument.isStandalone();
                                if (hasOption) {
                                    lineNumber(next, curLoadContext);
                                }
                                z = isStandalone;
                                str = systemId;
                                str2 = characterEncodingScheme;
                                str3 = version;
                                break;
                            case 512:
                                if (hasOption) {
                                    lineNumber(next, curLoadContext);
                                    break;
                                }
                                break;
                            case 1024:
                            case 2048:
                            case 4096:
                            case 8192:
                                break;
                            default:
                                StringBuffer a = a.a("Unhandled xml event type: ");
                                a.append(next.getTypeAsString());
                                throw new RuntimeException(a.toString());
                        }
                    } else {
                        curLoadContext.startElement(XMLNameHelper.getQName(next.getName()));
                        if (hasOption) {
                            lineNumber(next, curLoadContext);
                        }
                        StartElement startElement = (StartElement) next;
                        AttributeIterator attributes = startElement.getAttributes();
                        while (attributes.hasNext()) {
                            Attribute next2 = attributes.next();
                            curLoadContext.attr(XMLNameHelper.getQName(next2.getName()), next2.getValue());
                        }
                        AttributeIterator namespaces = startElement.getNamespaces();
                        while (namespaces.hasNext()) {
                            Attribute next3 = namespaces.next();
                            XMLName name = next3.getName();
                            String localName = name.getLocalName();
                            if (name.getPrefix() == null && localName.equals("xmlns")) {
                                localName = "";
                            }
                            curLoadContext.xmlns(localName, next3.getValue());
                        }
                    }
                }
                next = xMLInputStream.next();
            }
        }
        Cur finish = curLoadContext.finish();
        associateSourceName(finish, maskNull);
        XmlDocumentProperties docProps = getDocProps(finish, true);
        docProps.setDoctypeSystemId(str);
        docProps.setEncoding(str2);
        docProps.setVersion(str3);
        docProps.setStandalone(z);
        return finish;
    }

    private Cur loadXMLStreamReader(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
        XmlOptions maskNull = XmlOptions.maskNull(xmlOptions);
        boolean hasOption = maskNull.hasOption(XmlOptions.LOAD_LINE_NUMBERS);
        Cur.CurLoadContext curLoadContext = new Cur.CurLoadContext(this, maskNull);
        int eventType = xMLStreamReader.getEventType();
        int i2 = 0;
        String str = null;
        String str2 = null;
        boolean z = false;
        while (true) {
            switch (eventType) {
                case 1:
                    i2++;
                    curLoadContext.startElement(xMLStreamReader.getName());
                    if (hasOption) {
                        lineNumber(xMLStreamReader, curLoadContext);
                    }
                    doAttributes(xMLStreamReader, curLoadContext);
                    doNamespaces(xMLStreamReader, curLoadContext);
                    if (xMLStreamReader.hasNext() && i2 > 0) {
                        eventType = xMLStreamReader.next();
                    }
                case 2:
                    i2--;
                    curLoadContext.endElement();
                    if (hasOption) {
                        lineNumber(xMLStreamReader, curLoadContext);
                    }
                    eventType = xMLStreamReader.next();
                    break;
                case 3:
                    curLoadContext.procInst(xMLStreamReader.getPITarget(), xMLStreamReader.getPIData());
                    if (hasOption) {
                        lineNumber(xMLStreamReader, curLoadContext);
                    }
                    eventType = xMLStreamReader.next();
                    break;
                case 4:
                case 12:
                    curLoadContext.text(xMLStreamReader.getTextCharacters(), xMLStreamReader.getTextStart(), xMLStreamReader.getTextLength());
                    if (hasOption) {
                        lineNumber(xMLStreamReader, curLoadContext);
                    }
                    eventType = xMLStreamReader.next();
                    break;
                case 5:
                    curLoadContext.comment(xMLStreamReader.getText());
                    if (hasOption) {
                        lineNumber(xMLStreamReader, curLoadContext);
                    }
                    eventType = xMLStreamReader.next();
                    break;
                case 6:
                case 11:
                    eventType = xMLStreamReader.next();
                    break;
                case 7:
                    i2++;
                    String characterEncodingScheme = xMLStreamReader.getCharacterEncodingScheme();
                    String version = xMLStreamReader.getVersion();
                    boolean isStandalone = xMLStreamReader.isStandalone();
                    if (hasOption) {
                        lineNumber(xMLStreamReader, curLoadContext);
                    }
                    z = isStandalone;
                    str2 = version;
                    str = characterEncodingScheme;
                    eventType = xMLStreamReader.next();
                    break;
                case 8:
                    if (hasOption) {
                        lineNumber(xMLStreamReader, curLoadContext);
                        break;
                    }
                    break;
                case 9:
                    curLoadContext.text(xMLStreamReader.getText());
                    eventType = xMLStreamReader.next();
                    break;
                case 10:
                    doAttributes(xMLStreamReader, curLoadContext);
                    eventType = xMLStreamReader.next();
                    break;
                case 13:
                    doNamespaces(xMLStreamReader, curLoadContext);
                    eventType = xMLStreamReader.next();
                    break;
                default:
                    throw new RuntimeException(a.b("Unhandled xml event type: ", eventType));
            }
        }
        Cur finish = curLoadContext.finish();
        associateSourceName(finish, maskNull);
        XmlDocumentProperties docProps = getDocProps(finish, true);
        docProps.setEncoding(str);
        docProps.setVersion(str2);
        docProps.setStandalone(z);
        return finish;
    }

    public static boolean namespacesSame(QName qName, QName qName2) {
        if (qName == qName2) {
            return true;
        }
        if (!(qName == null || qName2 == null)) {
            if (qName.getNamespaceURI() == qName2.getNamespaceURI()) {
                return true;
            }
            if (!(qName.getNamespaceURI() == null || qName2.getNamespaceURI() == null)) {
                return qName.getNamespaceURI().equals(qName2.getNamespaceURI());
            }
        }
        return false;
    }

    public static DOMImplementation newDomImplementation(SchemaTypeLoader schemaTypeLoader, XmlOptions xmlOptions) {
        return getLocale(schemaTypeLoader, xmlOptions);
    }

    public static XmlObject newInstance(SchemaTypeLoader schemaTypeLoader, SchemaType schemaType, XmlOptions xmlOptions) {
        XmlObject newInstance;
        Locale locale = getLocale(schemaTypeLoader, xmlOptions);
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale.newInstance(schemaType, xmlOptions);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    newInstance = locale.newInstance(schemaType, xmlOptions);
                } finally {
                    locale.exit();
                }
            }
            return newInstance;
        }
    }

    public static XmlSaxHandler newSaxHandler(SchemaTypeLoader schemaTypeLoader, SchemaType schemaType, XmlOptions xmlOptions) {
        XmlSaxHandler newSaxHandler;
        Locale locale = getLocale(schemaTypeLoader, xmlOptions);
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale.newSaxHandler(schemaType, xmlOptions);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    newSaxHandler = locale.newSaxHandler(schemaType, xmlOptions);
                } finally {
                    locale.exit();
                }
            }
            return newSaxHandler;
        }
    }

    public static XmlCursor nodeToCursor(Node node) {
        return DomImpl._getXmlCursor(checkNode(node));
    }

    public static XmlObject nodeToXmlObject(Node node) {
        return DomImpl._getXmlObject(checkNode(node));
    }

    public static XMLStreamReader nodeToXmlStream(Node node) {
        return DomImpl._getXmlStreamReader(checkNode(node));
    }

    public static XmlObject parseToXmlObject(SchemaTypeLoader schemaTypeLoader, String str, SchemaType schemaType, XmlOptions xmlOptions) {
        XmlObject parseToXmlObject;
        Locale locale = getLocale(schemaTypeLoader, xmlOptions);
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale.parseToXmlObject(str, schemaType, xmlOptions);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    parseToXmlObject = locale.parseToXmlObject(str, schemaType, xmlOptions);
                } finally {
                    locale.exit();
                }
            }
            return parseToXmlObject;
        }
    }

    private void pollQueue() {
        if (this._refQueue != null) {
            while (true) {
                Ref ref = (Ref) this._refQueue.poll();
                if (ref != null) {
                    Cur cur = ref._cur;
                    if (cur != null) {
                        cur.release();
                    }
                } else {
                    return;
                }
            }
        }
    }

    public static String processWhiteSpaceRule(String str, int i2) {
        ScrubBuffer scrubBuffer = getScrubBuffer(i2);
        scrubBuffer.scrub(str, 0, str.length());
        return scrubBuffer.getResultAsString();
    }

    /* JADX WARNING: Code restructure failed: missing block: B:17:0x0026, code lost:
        return false;
     */
    public static boolean pushToContainer(Cur cur) {
        cur.push();
        while (true) {
            int kind = cur.kind();
            if (kind == -2 || kind == -1) {
                cur.pop();
            } else if (kind == 1 || kind == 2) {
                return true;
            } else {
                if (kind == 4 || kind == 5) {
                    cur.skip();
                } else {
                    cur.nextWithAttrs();
                }
            }
        }
        return true;
    }

    public static Node streamToNode(XMLStreamReader xMLStreamReader) {
        return Jsr173.nodeFromStream(xMLStreamReader);
    }

    public static boolean toChild(Cur cur, QName qName, int i2) {
        if (i2 < 0 || !pushToContainer(cur)) {
            return false;
        }
        Xobj findNthChildElem = cur._locale.findNthChildElem(cur._xobj, qName, null, i2);
        cur.pop();
        if (findNthChildElem == null) {
            return false;
        }
        cur.moveTo(findNthChildElem);
        return true;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:25:0x003e, code lost:
        return false;
     */
    public static boolean toFirstChildElement(Cur cur) {
        Xobj xobj = cur._xobj;
        int i2 = cur._pos;
        while (true) {
            int kind = cur.kind();
            if (kind == -2 || kind == -1) {
                cur.moveTo(xobj, i2);
            } else if (kind != 1 && kind != 2) {
                if (kind == 4 || kind == 5) {
                    cur.skip();
                } else {
                    cur.nextWithAttrs();
                }
            }
        }
        if (cur.toFirstChild() && (cur.isElem() || toNextSiblingElement(cur))) {
            return true;
        }
        cur.moveTo(xobj, i2);
        return false;
    }

    public static boolean toFirstNormalAttr(Cur cur) {
        cur.push();
        if (cur.toFirstAttr()) {
            while (cur.isXmlns()) {
                if (!cur.toNextAttr()) {
                }
            }
            cur.popButStay();
            return true;
        }
        cur.pop();
        return false;
    }

    public static boolean toLastChildElement(Cur cur) {
        if (!pushToContainer(cur)) {
            return false;
        }
        if (!cur.toLastChild() || (!cur.isElem() && !toPrevSiblingElement(cur))) {
            cur.pop();
            return false;
        }
        cur.popButStay();
        return true;
    }

    public static boolean toNextNormalAttr(Cur cur) {
        cur.push();
        while (cur.toNextAttr()) {
            if (!cur.isXmlns()) {
                cur.popButStay();
                return true;
            }
        }
        cur.pop();
        return false;
    }

    public static boolean toNextSiblingElement(Cur cur) {
        if (!cur.hasParent()) {
            return false;
        }
        cur.push();
        int kind = cur.kind();
        if (kind == 3) {
            cur.toParent();
            cur.next();
        } else if (kind == 2) {
            cur.skip();
        }
        while (true) {
            int kind2 = cur.kind();
            if (kind2 < 0) {
                cur.pop();
                return false;
            } else if (kind2 == 2) {
                cur.popButStay();
                return true;
            } else {
                if (kind2 > 0) {
                    cur.toEnd();
                }
                cur.next();
            }
        }
    }

    public static boolean toPrevNormalAttr(Cur cur) {
        if (!cur.isAttr()) {
            return false;
        }
        cur.push();
        do {
            if (!$assertionsDisabled && !cur.isAttr()) {
                throw new AssertionError();
            } else if (!cur.prev()) {
                cur.pop();
                return false;
            } else {
                cur.prev();
                if (!cur.isAttr()) {
                    cur.prev();
                }
            }
        } while (!cur.isNormalAttr());
        cur.popButStay();
        return true;
    }

    public static boolean toPrevSiblingElement(Cur cur) {
        int kind;
        boolean z = false;
        if (!cur.hasParent()) {
            return false;
        }
        Cur tempCur = cur.tempCur();
        if (tempCur.kind() != 3) {
            while (true) {
                if (tempCur.prev() && (kind = tempCur.kind()) != 1 && kind != 2) {
                    if (tempCur.kind() == -2) {
                        tempCur.toParent();
                        cur.moveToCur(tempCur);
                        z = true;
                        break;
                    }
                } else {
                    break;
                }
            }
        }
        tempCur.release();
        return z;
    }

    public static void verifyAttributeType(Cur cur, QName qName) {
        StringBuffer stringBuffer;
        if ($assertionsDisabled || cur.isRoot()) {
            cur.push();
            try {
                if (!toFirstNormalAttr(cur) || toNextNormalAttr(cur)) {
                    stringBuffer = new StringBuffer();
                    stringBuffer.append("The document is not a ");
                    stringBuffer.append(QNameHelper.pretty(qName));
                    stringBuffer.append(cur.isRoot() ? ": no attributes" : ": multiple attributes");
                } else {
                    QName name = cur.getName();
                    if (!name.equals(qName)) {
                        stringBuffer = new StringBuffer();
                        stringBuffer.append("The document is not a ");
                        stringBuffer.append(QNameHelper.pretty(qName));
                        if (qName.getLocalPart().equals(name.getLocalPart())) {
                            stringBuffer.append(": attribute namespace mismatch ");
                            stringBuffer.append("expected ");
                            addNamespace(stringBuffer, qName);
                            stringBuffer.append(" got ");
                            addNamespace(stringBuffer, name);
                        } else if (namespacesSame(qName, name)) {
                            stringBuffer.append(": attribute local name mismatch ");
                            StringBuffer stringBuffer2 = new StringBuffer();
                            stringBuffer2.append("expected ");
                            stringBuffer2.append(qName.getLocalPart());
                            stringBuffer.append(stringBuffer2.toString());
                            StringBuffer stringBuffer3 = new StringBuffer();
                            stringBuffer3.append(" got ");
                            stringBuffer3.append(name.getLocalPart());
                            stringBuffer.append(stringBuffer3.toString());
                        } else {
                            stringBuffer.append(": attribute element mismatch ");
                            stringBuffer.append("got ");
                            stringBuffer.append(QNameHelper.pretty(name));
                        }
                    } else {
                        stringBuffer = null;
                    }
                }
                if (stringBuffer != null) {
                    XmlError forCursor = XmlError.forCursor(stringBuffer.toString(), new Cursor(cur));
                    throw new XmlException(forCursor.toString(), (Throwable) null, forCursor);
                }
            } finally {
                cur.pop();
            }
        } else {
            throw new AssertionError();
        }
    }

    public static void verifyDocumentType(Cur cur, QName qName) {
        StringBuffer stringBuffer;
        if ($assertionsDisabled || cur.isRoot()) {
            cur.push();
            try {
                if (!toFirstChildElement(cur) || toNextSiblingElement(cur)) {
                    stringBuffer = new StringBuffer();
                    stringBuffer.append("The document is not a ");
                    stringBuffer.append(QNameHelper.pretty(qName));
                    stringBuffer.append(cur.isRoot() ? ": no document element" : ": multiple document elements");
                } else {
                    QName name = cur.getName();
                    if (!name.equals(qName)) {
                        stringBuffer = new StringBuffer();
                        stringBuffer.append("The document is not a ");
                        stringBuffer.append(QNameHelper.pretty(qName));
                        if (qName.getLocalPart().equals(name.getLocalPart())) {
                            stringBuffer.append(": document element namespace mismatch ");
                            stringBuffer.append("expected ");
                            addNamespace(stringBuffer, qName);
                            stringBuffer.append(" got ");
                            addNamespace(stringBuffer, name);
                        } else if (namespacesSame(qName, name)) {
                            stringBuffer.append(": document element local name mismatch ");
                            StringBuffer stringBuffer2 = new StringBuffer();
                            stringBuffer2.append("expected ");
                            stringBuffer2.append(qName.getLocalPart());
                            stringBuffer.append(stringBuffer2.toString());
                            StringBuffer stringBuffer3 = new StringBuffer();
                            stringBuffer3.append(" got ");
                            stringBuffer3.append(name.getLocalPart());
                            stringBuffer.append(stringBuffer3.toString());
                        } else {
                            stringBuffer.append(": document element mismatch ");
                            stringBuffer.append("got ");
                            stringBuffer.append(QNameHelper.pretty(name));
                        }
                    } else {
                        stringBuffer = null;
                    }
                }
                if (stringBuffer != null) {
                    XmlError forCursor = XmlError.forCursor(stringBuffer.toString(), new Cursor(cur));
                    throw new XmlException(forCursor.toString(), (Throwable) null, forCursor);
                }
            } finally {
                cur.pop();
            }
        } else {
            throw new AssertionError();
        }
    }

    public static String xmlnsPrefix(QName qName) {
        return qName.getPrefix().equals("xmlns") ? qName.getLocalPart() : "";
    }

    public int count(Xobj xobj, QName qName, QNameSet qNameSet) {
        int i2 = 0;
        for (Xobj findNthChildElem = findNthChildElem(xobj, qName, qNameSet, 0); findNthChildElem != null; findNthChildElem = findNthChildElem._nextSibling) {
            if (findNthChildElem.isElem()) {
                if (qNameSet == null) {
                    if (!findNthChildElem._name.equals(qName)) {
                    }
                } else if (!qNameSet.contains(findNthChildElem._name)) {
                }
                i2++;
            }
        }
        return i2;
    }

    public DomImpl.CdataNode createCdataNode() {
        return this._saaj == null ? new DomImpl.CdataNode(this) : new DomImpl.SaajCdataNode(this);
    }

    @Override // org.w3c.dom.DOMImplementation
    public Document createDocument(String str, String str2, DocumentType documentType) {
        return DomImpl._domImplementation_createDocument(this, str, str2, documentType);
    }

    @Override // org.w3c.dom.DOMImplementation
    public DocumentType createDocumentType(String str, String str2, String str3) {
        throw new RuntimeException("Not implemented");
    }

    @Override // org.apache.xmlbeans.impl.store.Saaj.SaajCallback
    public Element createSoapElement(QName qName, QName qName2) {
        if ($assertionsDisabled || this._ownerDoc != null) {
            return DomImpl.saajCallback_createSoapElement(this._ownerDoc, qName, qName2);
        }
        throw new AssertionError();
    }

    public DomImpl.TextNode createTextNode() {
        return this._saaj == null ? new DomImpl.TextNode(this) : new DomImpl.SaajTextNode(this);
    }

    public QName createXmlns(String str) {
        if (str == null) {
            str = "";
        }
        return str.length() == 0 ? makeQName("http://www.w3.org/2000/xmlns/", "xmlns", "") : makeQName("http://www.w3.org/2000/xmlns/", str, "xmlns");
    }

    public int domLength(DomImpl.Dom dom) {
        if (dom == null) {
            return 0;
        }
        int distance = this._domNthCache_A.distance(dom, 0);
        int distance2 = this._domNthCache_B.distance(dom, 0);
        int length = (distance <= distance2 ? this._domNthCache_A : this._domNthCache_B).length(dom);
        if (distance == distance2) {
            domNthCache domnthcache = this._domNthCache_A;
            this._domNthCache_A = this._domNthCache_B;
            this._domNthCache_B = domnthcache;
        }
        return length;
    }

    public void embedCurs() {
        while (true) {
            Cur cur = this._registered;
            if (cur == null) {
                return;
            }
            if ($assertionsDisabled || cur._xobj != null) {
                this._registered = cur.listRemove(this._registered);
                Xobj xobj = cur._xobj;
                xobj._embedded = cur.listInsert(xobj._embedded);
                cur._state = 2;
            } else {
                throw new AssertionError();
            }
        }
    }

    public void enter(Locale locale) {
        enter();
        if (locale != this) {
            locale.enter();
        }
    }

    public boolean entered() {
        return this._tempFrames.length - this._numTempFramesLeft > 0;
    }

    public void exit(Locale locale) {
        exit();
        if (locale != this) {
            locale.exit();
        }
    }

    public DomImpl.Dom findDomNthChild(DomImpl.Dom dom, int i2) {
        DomImpl.Dom dom2;
        if (!$assertionsDisabled && i2 < 0) {
            throw new AssertionError();
        } else if (dom == null) {
            return null;
        } else {
            int distance = this._domNthCache_A.distance(dom, i2);
            int distance2 = this._domNthCache_B.distance(dom, i2);
            boolean z = true;
            boolean z2 = distance2 - (this._domNthCache_B._len / 2) > 0 && (distance2 - (this._domNthCache_B._len / 2)) + -40 > 0;
            if (distance - (this._domNthCache_A._len / 2) <= 0 || (distance - (this._domNthCache_A._len / 2)) - 40 <= 0) {
                z = false;
            }
            if (distance <= distance2) {
                if (!z) {
                    dom2 = this._domNthCache_A.fetch(dom, i2);
                } else {
                    this._domNthCache_B._version = -1;
                    dom2 = this._domNthCache_B.fetch(dom, i2);
                }
            } else if (!z2) {
                dom2 = this._domNthCache_B.fetch(dom, i2);
            } else {
                this._domNthCache_A._version = -1;
                dom2 = this._domNthCache_A.fetch(dom, i2);
            }
            if (distance == distance2) {
                domNthCache domnthcache = this._domNthCache_A;
                this._domNthCache_A = this._domNthCache_B;
                this._domNthCache_B = domnthcache;
            }
            return dom2;
        }
    }

    public Xobj findNthChildElem(Xobj xobj, QName qName, QNameSet qNameSet, int i2) {
        if (!$assertionsDisabled && qName != null && qNameSet != null) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && i2 < 0) {
            throw new AssertionError();
        } else if (xobj == null) {
            return null;
        } else {
            int distance = this._nthCache_A.distance(xobj, qName, qNameSet, i2);
            int distance2 = this._nthCache_B.distance(xobj, qName, qNameSet, i2);
            Xobj fetch = (distance <= distance2 ? this._nthCache_A : this._nthCache_B).fetch(xobj, qName, qNameSet, i2);
            if (distance == distance2) {
                nthCache nthcache = this._nthCache_A;
                this._nthCache_A = this._nthCache_B;
                this._nthCache_B = nthcache;
            }
            return fetch;
        }
    }

    public CharUtil getCharUtil() {
        if (this._charUtil == null) {
            this._charUtil = new CharUtil(1024);
        }
        return this._charUtil;
    }

    public Cur getCur() {
        if ($assertionsDisabled || this._curPool == null || this._curPoolCount > 0) {
            Cur cur = this._curPool;
            if (cur == null) {
                cur = new Cur(this);
            } else {
                this._curPool = cur.listRemove(cur);
                this._curPoolCount--;
            }
            if (!$assertionsDisabled && cur._state != 0) {
                throw new AssertionError();
            } else if (!$assertionsDisabled && (cur._prev != null || cur._next != null)) {
                throw new AssertionError();
            } else if (!$assertionsDisabled && (cur._xobj != null || cur._pos != -2)) {
                throw new AssertionError();
            } else if ($assertionsDisabled || cur._ref == null) {
                this._registered = cur.listInsert(this._registered);
                cur._state = 1;
                return cur;
            } else {
                throw new AssertionError();
            }
        } else {
            throw new AssertionError();
        }
    }

    @Override // org.w3c.dom.DOMImplementation
    public Object getFeature(String str, String str2) {
        throw new RuntimeException("DOM Level 3 Not implemented");
    }

    @Override // org.apache.xmlbeans.impl.store.Saaj.SaajCallback
    public Object getSaajData(Node node) {
        if ($assertionsDisabled || (node instanceof DomImpl.Dom)) {
            return DomImpl.saajCallback_getSaajData((DomImpl.Dom) node);
        }
        throw new AssertionError();
    }

    @Override // org.w3c.dom.DOMImplementation
    public boolean hasFeature(String str, String str2) {
        return DomImpl._domImplementation_hasFeature(this, str, str2);
    }

    @Override // org.apache.xmlbeans.impl.store.Saaj.SaajCallback
    public Element importSoapElement(Document document, Element element, boolean z, QName qName) {
        if ($assertionsDisabled || (document instanceof DomImpl.Dom)) {
            return DomImpl.saajCallback_importSoapElement((DomImpl.Dom) document, element, z, qName);
        }
        throw new AssertionError();
    }

    public void invalidateDomCaches(DomImpl.Dom dom) {
        if (this._domNthCache_A._parent == dom) {
            this._domNthCache_A._version = -1;
        }
        if (this._domNthCache_B._parent == dom) {
            this._domNthCache_B._version = -1;
        }
    }

    public boolean isDomCached(DomImpl.Dom dom) {
        return this._domNthCache_A._parent == dom || this._domNthCache_B._parent == dom;
    }

    public void loadNode(Node node, LoadContext loadContext) {
        switch (node.getNodeType()) {
            case 1:
                loadContext.startElement(makeQualifiedQName(node.getNamespaceURI(), node.getNodeName()));
                NamedNodeMap attributes = node.getAttributes();
                for (int i2 = 0; i2 < attributes.getLength(); i2++) {
                    Node item = attributes.item(i2);
                    String nodeName = item.getNodeName();
                    String nodeValue = item.getNodeValue();
                    if (!nodeName.toLowerCase().startsWith("xmlns")) {
                        loadContext.attr(makeQualifiedQName(item.getNamespaceURI(), nodeName), nodeValue);
                    } else if (nodeName.length() == 5) {
                        loadContext.xmlns(null, nodeValue);
                    } else {
                        loadContext.xmlns(nodeName.substring(6), nodeValue);
                    }
                }
                loadNodeChildren(node, loadContext);
                loadContext.endElement();
                return;
            case 2:
            case 6:
            case 10:
            case 12:
                throw new RuntimeException("Unexpected node");
            case 3:
            case 4:
                loadContext.text(node.getNodeValue());
                return;
            case 5:
            case 9:
            case 11:
                loadNodeChildren(node, loadContext);
                return;
            case 7:
                loadContext.procInst(node.getNodeName(), node.getNodeValue());
                return;
            case 8:
                loadContext.comment(node.getNodeValue());
                return;
            default:
                return;
        }
    }

    public QName makeQName(String str, String str2) {
        if ($assertionsDisabled || (str2 != null && str2.length() > 0)) {
            return this._qnameFactory.getQName(str, str2);
        }
        throw new AssertionError();
    }

    public QName makeQNameNoCheck(String str, String str2) {
        return this._qnameFactory.getQName(str, str2);
    }

    public QName makeQualifiedQName(String str, String str2) {
        if (str2 == null) {
            str2 = "";
        }
        int indexOf = str2.indexOf(58);
        return indexOf < 0 ? this._qnameFactory.getQName(str, str2) : this._qnameFactory.getQName(str, str2.substring(indexOf + 1), str2.substring(0, indexOf));
    }

    @Override // org.apache.xmlbeans.impl.common.XmlLocale
    public boolean noSync() {
        return this._noSync;
    }

    public void notifyChange() {
        while (true) {
            ChangeListener changeListener = this._changeListeners;
            if (changeListener != null) {
                changeListener.notifyChange();
                ChangeListener nextChangeListener = this._changeListeners.getNextChangeListener();
                ChangeListener changeListener2 = this._changeListeners;
                if (nextChangeListener == changeListener2) {
                    changeListener2.setNextChangeListener(null);
                }
                ChangeListener nextChangeListener2 = this._changeListeners.getNextChangeListener();
                this._changeListeners.setNextChangeListener(null);
                this._changeListeners = nextChangeListener2;
            } else {
                this._locations.notifyChange();
                return;
            }
        }
    }

    public Cur parse(String str, SchemaType schemaType, XmlOptions xmlOptions) {
        StringReader stringReader = new StringReader(str);
        try {
            Cur load = getSaxLoader(xmlOptions).load(this, new InputSource(stringReader), xmlOptions);
            autoTypeDocument(load, schemaType, xmlOptions);
            try {
                stringReader.close();
            } catch (IOException unused) {
            }
            return load;
        } catch (IOException e2) {
            if (!$assertionsDisabled) {
                throw new AssertionError("StringReader should not throw IOException");
            }
            throw new XmlException(e2.getMessage(), e2);
        } catch (Throwable th) {
            try {
                stringReader.close();
            } catch (IOException unused2) {
            }
            throw th;
        }
    }

    public final ReferenceQueue refQueue() {
        if (this._refQueue == null) {
            this._refQueue = new ReferenceQueue();
        }
        return this._refQueue;
    }

    public void registerForChange(ChangeListener changeListener) {
        if (changeListener.getNextChangeListener() == null) {
            ChangeListener changeListener2 = this._changeListeners;
            if (changeListener2 == null) {
                changeListener.setNextChangeListener(changeListener);
            } else {
                changeListener.setNextChangeListener(changeListener2);
            }
            this._changeListeners = changeListener;
        }
    }

    @Override // org.apache.xmlbeans.impl.store.Saaj.SaajCallback
    public void setSaajData(Node node, Object obj) {
        if ($assertionsDisabled || (node instanceof DomImpl.Dom)) {
            DomImpl.saajCallback_setSaajData((DomImpl.Dom) node, obj);
            return;
        }
        throw new AssertionError();
    }

    @Override // org.apache.xmlbeans.impl.common.XmlLocale
    public boolean sync() {
        return !this._noSync;
    }

    public Cur tempCur() {
        return tempCur(null);
    }

    public long version() {
        return this._versionAll;
    }

    public Cur weakCur(Object obj) {
        if ($assertionsDisabled || (obj != null && !(obj instanceof Ref))) {
            Cur cur = getCur();
            if (!$assertionsDisabled && cur._tempFrame != -1) {
                throw new AssertionError();
            } else if ($assertionsDisabled || cur._ref == null) {
                cur._ref = new Ref(cur, obj);
                return cur;
            } else {
                throw new AssertionError();
            }
        } else {
            throw new AssertionError();
        }
    }

    public DomImpl.Dom load(Reader reader) {
        return load(reader, (XmlOptions) null);
    }

    public Cur tempCur(String str) {
        Cur cur = getCur();
        if (!$assertionsDisabled && cur._tempFrame != -1) {
            throw new AssertionError();
        } else if ($assertionsDisabled || this._numTempFramesLeft < this._tempFrames.length) {
            Cur[] curArr = this._tempFrames;
            int length = (curArr.length - this._numTempFramesLeft) - 1;
            if ($assertionsDisabled || (length >= 0 && length < curArr.length)) {
                Cur cur2 = this._tempFrames[length];
                cur._nextTemp = cur2;
                if ($assertionsDisabled || cur._prevTemp == null) {
                    if (cur2 != null) {
                        if ($assertionsDisabled || cur2._prevTemp == null) {
                            cur2._prevTemp = cur;
                        } else {
                            throw new AssertionError();
                        }
                    }
                    this._tempFrames[length] = cur;
                    cur._tempFrame = length;
                    cur._id = str;
                    return cur;
                }
                throw new AssertionError();
            }
            throw new AssertionError();
        } else {
            throw new AssertionError("Temp frame not pushed");
        }
    }

    public static final boolean isWhiteSpace(StringBuffer stringBuffer) {
        int length = stringBuffer.length();
        while (true) {
            int i2 = length - 1;
            if (length <= 0) {
                return true;
            }
            if (!CharUtil.isWhiteSpace(stringBuffer.charAt(i2))) {
                return false;
            }
            length = i2;
        }
    }

    public static void lineNumber(XMLStreamReader xMLStreamReader, LoadContext loadContext) {
        org.apache.poi.javax.xml.stream.Location location = xMLStreamReader.getLocation();
        if (location != null) {
            loadContext.lineNumber(location.getLineNumber(), location.getColumnNumber(), location.getCharacterOffset());
        }
    }

    @Override // org.apache.xmlbeans.impl.common.XmlLocale
    public void enter() {
        if ($assertionsDisabled || this._numTempFramesLeft >= 0) {
            int i2 = this._numTempFramesLeft - 1;
            this._numTempFramesLeft = i2;
            if (i2 <= 0) {
                Cur[] curArr = this._tempFrames;
                int length = curArr.length;
                this._numTempFramesLeft = length;
                Cur[] curArr2 = new Cur[(length * 2)];
                System.arraycopy(curArr, 0, curArr2, 0, curArr.length);
                this._tempFrames = curArr2;
            }
            int i3 = this._entryCount + 1;
            this._entryCount = i3;
            if (i3 > 1000) {
                pollQueue();
                this._entryCount = 0;
                return;
            }
            return;
        }
        throw new AssertionError();
    }

    @Override // org.apache.xmlbeans.impl.common.XmlLocale
    public void exit() {
        int i2;
        if ($assertionsDisabled || ((i2 = this._numTempFramesLeft) >= 0 && i2 <= this._tempFrames.length - 1)) {
            int length = this._tempFrames.length;
            int i3 = this._numTempFramesLeft + 1;
            this._numTempFramesLeft = i3;
            int i4 = length - i3;
            while (true) {
                Cur[] curArr = this._tempFrames;
                if (curArr[i4] != null) {
                    curArr[i4].release();
                } else {
                    return;
                }
            }
        } else {
            StringBuffer a = a.a(" Temp frames mismanaged. Impossible stack frame. Unsynchronized: ");
            a.append(noSync());
            throw new AssertionError(a.toString());
        }
    }

    public DomImpl.Dom load(Reader reader, XmlOptions xmlOptions) {
        return load(new InputSource(reader), xmlOptions);
    }

    public QName makeQName(String str, String str2, String str3) {
        QNameFactory qNameFactory = this._qnameFactory;
        if (str3 == null) {
            str3 = "";
        }
        return qNameFactory.getQName(str, str2, str3);
    }

    public DomImpl.Dom load(InputStream inputStream) {
        return load(inputStream, (XmlOptions) null);
    }

    public DomImpl.Dom load(InputStream inputStream, XmlOptions xmlOptions) {
        return load(new InputSource(inputStream), xmlOptions);
    }

    public static abstract class SaxHandler implements ContentHandler, LexicalHandler, DeclHandler, DTDHandler {
        public static final /* synthetic */ boolean $assertionsDisabled;
        public LoadContext _context;
        public int _entityBytes;
        public int _entityBytesLimit;
        public boolean _insideCDATA;
        public int _insideEntity;
        public Locale _locale;
        public Locator _startLocator;
        public boolean _wantCdataBookmarks;
        public boolean _wantLineNumbers;
        public boolean _wantLineNumbersAtEndElt;

        static {
            Class cls = Locale.class$org$apache$xmlbeans$impl$store$Locale;
            if (cls == null) {
                cls = Locale.class$("org.apache.xmlbeans.impl.store.Locale");
                Locale.class$org$apache$xmlbeans$impl$store$Locale = cls;
            }
            $assertionsDisabled = !cls.desiredAssertionStatus();
        }

        public SaxHandler(Locator locator) {
            this._insideCDATA = false;
            this._entityBytesLimit = 10240;
            this._entityBytes = 0;
            this._insideEntity = 0;
            this._startLocator = locator;
        }

        @Override // org.xml.sax.ext.DeclHandler
        public void attributeDecl(String str, String str2, String str3, String str4, String str5) {
            if (str3.equals(SchemaSymbols.ATTVAL_ID)) {
                this._context.addIdAttr(str, str2);
            }
        }

        @Override // org.xml.sax.ContentHandler
        public void characters(char[] cArr, int i2, int i3) {
            this._context.text(cArr, i2, i3);
            if (this._wantCdataBookmarks && this._insideCDATA) {
                this._context.bookmarkLastNonAttr(CDataBookmark.CDATA_BOOKMARK);
            }
            if (this._insideEntity != 0) {
                int i4 = this._entityBytes + i3;
                this._entityBytes = i4;
                if (i4 > this._entityBytesLimit) {
                    throw new SAXException(XmlError.forMessage(XmlErrorCodes.EXCEPTION_EXCEEDED_ENTITY_BYTES, new Integer[]{new Integer(this._entityBytesLimit)}).getMessage());
                }
            }
        }

        @Override // org.xml.sax.ext.LexicalHandler
        public void comment(char[] cArr, int i2, int i3) {
            this._context.comment(cArr, i2, i3);
        }

        @Override // org.xml.sax.ext.DeclHandler
        public void elementDecl(String str, String str2) {
        }

        @Override // org.xml.sax.ext.LexicalHandler
        public void endCDATA() {
            this._insideCDATA = false;
        }

        @Override // org.xml.sax.ext.LexicalHandler
        public void endDTD() {
            this._context.endDTD();
        }

        @Override // org.xml.sax.ContentHandler
        public void endDocument() {
        }

        @Override // org.xml.sax.ContentHandler
        public void endElement(String str, String str2, String str3) {
            this._context.endElement();
            if (this._wantLineNumbersAtEndElt) {
                this._context.bookmark(new XmlLineNumber(this._startLocator.getLineNumber(), this._startLocator.getColumnNumber() - 1, -1));
            }
        }

        @Override // org.xml.sax.ext.LexicalHandler
        public void endEntity(String str) {
            int i2 = this._insideEntity - 1;
            this._insideEntity = i2;
            if (!$assertionsDisabled && i2 < 0) {
                throw new AssertionError();
            } else if (this._insideEntity == 0) {
                this._entityBytes = 0;
            }
        }

        @Override // org.xml.sax.ContentHandler
        public void endPrefixMapping(String str) {
        }

        @Override // org.xml.sax.ext.DeclHandler
        public void externalEntityDecl(String str, String str2, String str3) {
        }

        @Override // org.xml.sax.ContentHandler
        public void ignorableWhitespace(char[] cArr, int i2, int i3) {
        }

        public void initSaxHandler(Locale locale, XmlOptions xmlOptions) {
            this._locale = locale;
            XmlOptions maskNull = XmlOptions.maskNull(xmlOptions);
            this._context = new Cur.CurLoadContext(this._locale, maskNull);
            boolean z = true;
            this._wantLineNumbers = this._startLocator != null && maskNull.hasOption(XmlOptions.LOAD_LINE_NUMBERS);
            this._wantLineNumbersAtEndElt = this._startLocator != null && maskNull.hasOption(XmlOptions.LOAD_LINE_NUMBERS_END_ELEMENT);
            if (this._startLocator == null || !maskNull.hasOption(XmlOptions.LOAD_SAVE_CDATA_BOOKMARKS)) {
                z = false;
            }
            this._wantCdataBookmarks = z;
            if (maskNull.hasOption(XmlOptions.LOAD_ENTITY_BYTES_LIMIT)) {
                this._entityBytesLimit = ((Integer) maskNull.get(XmlOptions.LOAD_ENTITY_BYTES_LIMIT)).intValue();
            }
        }

        @Override // org.xml.sax.ext.DeclHandler
        public void internalEntityDecl(String str, String str2) {
        }

        @Override // org.xml.sax.DTDHandler
        public void notationDecl(String str, String str2, String str3) {
        }

        @Override // org.xml.sax.ContentHandler
        public void processingInstruction(String str, String str2) {
            this._context.procInst(str, str2);
        }

        @Override // org.xml.sax.ContentHandler
        public void setDocumentLocator(Locator locator) {
        }

        @Override // org.xml.sax.ContentHandler
        public void skippedEntity(String str) {
        }

        @Override // org.xml.sax.ext.LexicalHandler
        public void startCDATA() {
            this._insideCDATA = true;
        }

        @Override // org.xml.sax.ext.LexicalHandler
        public void startDTD(String str, String str2, String str3) {
            this._context.startDTD(str, str2, str3);
        }

        @Override // org.xml.sax.ContentHandler
        public void startDocument() {
        }

        @Override // org.xml.sax.ContentHandler
        public void startElement(String str, String str2, String str3, Attributes attributes) {
            str2.length();
            if (str3.indexOf(58) < 0 || str.length() != 0) {
                this._context.startElement(this._locale.makeQualifiedQName(str, str3));
                if (this._wantLineNumbers) {
                    this._context.bookmark(new XmlLineNumber(this._startLocator.getLineNumber(), this._startLocator.getColumnNumber() - 1, -1));
                }
                int length = attributes.getLength();
                for (int i2 = 0; i2 < length; i2++) {
                    String qName = attributes.getQName(i2);
                    if (qName.equals("xmlns")) {
                        this._context.xmlns("", attributes.getValue(i2));
                    } else if (qName.startsWith(Sax2Dom.XMLNS_STRING)) {
                        String substring = qName.substring(6);
                        if (substring.length() != 0) {
                            String value = attributes.getValue(i2);
                            if (value.length() != 0) {
                                this._context.xmlns(substring, value);
                            } else {
                                StringBuffer stringBuffer = new StringBuffer();
                                stringBuffer.append("Prefix can't be mapped to no namespace: ");
                                stringBuffer.append(substring);
                                XmlError forMessage = XmlError.forMessage(stringBuffer.toString(), 0);
                                throw new XmlRuntimeException(forMessage.toString(), (Throwable) null, forMessage);
                            }
                        } else {
                            XmlError forMessage2 = XmlError.forMessage("Prefix not specified", 0);
                            throw new XmlRuntimeException(forMessage2.toString(), (Throwable) null, forMessage2);
                        }
                    } else {
                        int indexOf = qName.indexOf(58);
                        if (indexOf < 0) {
                            this._context.attr(qName, attributes.getURI(i2), null, attributes.getValue(i2));
                        } else {
                            this._context.attr(qName.substring(indexOf + 1), attributes.getURI(i2), qName.substring(0, indexOf), attributes.getValue(i2));
                        }
                    }
                }
                return;
            }
            StringBuffer a = a.a("Use of undefined namespace prefix: ");
            a.append(str3.substring(0, str3.indexOf(58)));
            XmlError forMessage3 = XmlError.forMessage(a.toString());
            throw new XmlRuntimeException(forMessage3.toString(), (Throwable) null, forMessage3);
        }

        @Override // org.xml.sax.ext.LexicalHandler
        public void startEntity(String str) {
            this._insideEntity++;
        }

        @Override // org.xml.sax.ContentHandler
        public void startPrefixMapping(String str, String str2) {
            if (!Locale.beginsWithXml(str)) {
                return;
            }
            if (!"xml".equals(str) || !"http://www.w3.org/XML/1998/namespace".equals(str2)) {
                StringBuffer stringBuffer = new StringBuffer();
                stringBuffer.append("Prefix can't begin with XML: ");
                stringBuffer.append(str);
                XmlError forMessage = XmlError.forMessage(stringBuffer.toString(), 0);
                throw new XmlRuntimeException(forMessage.toString(), (Throwable) null, forMessage);
            }
        }

        @Override // org.xml.sax.DTDHandler
        public void unparsedEntityDecl(String str, String str2, String str3, String str4) {
        }

        public SaxHandler() {
            this(null);
        }
    }

    public DomImpl.Dom load(String str) {
        return load(str, (XmlOptions) null);
    }

    public DomImpl.Dom load(String str, XmlOptions xmlOptions) {
        StringReader stringReader = new StringReader(str);
        try {
            DomImpl.Dom load = load(stringReader, xmlOptions);
            try {
                stringReader.close();
            } catch (IOException unused) {
            }
            return load;
        } catch (IOException e2) {
            if (!$assertionsDisabled) {
                throw new AssertionError("StringReader should not throw IOException");
            }
            throw new XmlException(e2.getMessage(), e2);
        } catch (Throwable th) {
            try {
                stringReader.close();
            } catch (IOException unused2) {
            }
            throw th;
        }
    }

    private XmlObject newInstance(SchemaType schemaType, XmlOptions xmlOptions) {
        XmlOptions maskNull = XmlOptions.maskNull(xmlOptions);
        Cur tempCur = tempCur();
        SchemaType schemaType2 = (SchemaType) maskNull.get(XmlOptions.DOCUMENT_TYPE);
        if (schemaType2 == null) {
            if (schemaType == null) {
                schemaType = XmlObject.type;
            }
            schemaType2 = schemaType;
        }
        if (schemaType2.isDocumentType()) {
            tempCur.createDomDocumentRoot();
        } else {
            tempCur.createRoot();
        }
        tempCur.setType(schemaType2);
        XmlObject xmlObject = (XmlObject) tempCur.getUser();
        tempCur.release();
        return xmlObject;
    }

    private XmlObject parseToXmlObject(String str, SchemaType schemaType, XmlOptions xmlOptions) {
        Cur parse = parse(str, schemaType, xmlOptions);
        XmlObject xmlObject = (XmlObject) parse.getUser();
        parse.release();
        return xmlObject;
    }

    public XmlSaxHandler newSaxHandler(SchemaType schemaType, XmlOptions xmlOptions) {
        return new XmlSaxHandlerImpl(this, schemaType, xmlOptions);
    }

    public static int getTextValue(Cur cur, int i2, char[] cArr, int i3, int i4) {
        if ($assertionsDisabled || cur.isNode()) {
            String valueAsString = cur._xobj.getValueAsString(i2);
            int length = valueAsString.length();
            if (length <= i4) {
                i4 = length;
            }
            if (i4 <= 0) {
                return 0;
            }
            valueAsString.getChars(0, i4, cArr, i3);
            return i4;
        }
        throw new AssertionError();
    }

    public static boolean toNextSiblingElement(Cur cur, Xobj xobj) {
        Xobj xobj2 = cur._xobj;
        int i2 = cur._pos;
        int kind = cur.kind();
        if (kind == 3) {
            cur.moveTo(xobj);
            cur.next();
        } else if (kind == 2) {
            cur.skip();
        }
        while (true) {
            int kind2 = cur.kind();
            if (kind2 < 0) {
                cur.moveTo(xobj2, i2);
                return false;
            } else if (kind2 == 2) {
                return true;
            } else {
                if (kind2 > 0) {
                    cur.toEnd();
                }
                cur.next();
            }
        }
    }

    public static XmlObject parseToXmlObject(SchemaTypeLoader schemaTypeLoader, XMLInputStream xMLInputStream, SchemaType schemaType, XmlOptions xmlOptions) {
        XmlObject parseToXmlObject;
        Locale locale = getLocale(schemaTypeLoader, xmlOptions);
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale.parseToXmlObject(xMLInputStream, schemaType, xmlOptions);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    parseToXmlObject = locale.parseToXmlObject(xMLInputStream, schemaType, xmlOptions);
                } finally {
                    locale.exit();
                }
            }
            return parseToXmlObject;
        }
    }

    public XmlObject parseToXmlObject(XMLInputStream xMLInputStream, SchemaType schemaType, XmlOptions xmlOptions) {
        try {
            Cur loadXMLInputStream = loadXMLInputStream(xMLInputStream, xmlOptions);
            autoTypeDocument(loadXMLInputStream, schemaType, xmlOptions);
            XmlObject xmlObject = (XmlObject) loadXMLInputStream.getUser();
            loadXMLInputStream.release();
            return xmlObject;
        } catch (XMLStreamException e2) {
            throw new XmlException(e2.getMessage(), e2);
        }
    }

    public static XmlObject parseToXmlObject(SchemaTypeLoader schemaTypeLoader, XMLStreamReader xMLStreamReader, SchemaType schemaType, XmlOptions xmlOptions) {
        XmlObject parseToXmlObject;
        Locale locale = getLocale(schemaTypeLoader, xmlOptions);
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale.parseToXmlObject(xMLStreamReader, schemaType, xmlOptions);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    parseToXmlObject = locale.parseToXmlObject(xMLStreamReader, schemaType, xmlOptions);
                } finally {
                    locale.exit();
                }
            }
            return parseToXmlObject;
        }
    }

    public XmlObject parseToXmlObject(XMLStreamReader xMLStreamReader, SchemaType schemaType, XmlOptions xmlOptions) {
        try {
            Cur loadXMLStreamReader = loadXMLStreamReader(xMLStreamReader, xmlOptions);
            autoTypeDocument(loadXMLStreamReader, schemaType, xmlOptions);
            XmlObject xmlObject = (XmlObject) loadXMLStreamReader.getUser();
            loadXMLStreamReader.release();
            return xmlObject;
        } catch (org.apache.poi.javax.xml.stream.XMLStreamException e2) {
            throw new XmlException(e2.getMessage(), e2);
        }
    }

    public static XmlObject parseToXmlObject(SchemaTypeLoader schemaTypeLoader, InputStream inputStream, SchemaType schemaType, XmlOptions xmlOptions) {
        XmlObject parseToXmlObject;
        Locale locale = getLocale(schemaTypeLoader, xmlOptions);
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale.parseToXmlObject(inputStream, schemaType, xmlOptions);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    parseToXmlObject = locale.parseToXmlObject(inputStream, schemaType, xmlOptions);
                } finally {
                    locale.exit();
                }
            }
            return parseToXmlObject;
        }
    }

    private XmlObject parseToXmlObject(InputStream inputStream, SchemaType schemaType, XmlOptions xmlOptions) {
        Cur load = getSaxLoader(xmlOptions).load(this, new InputSource(inputStream), xmlOptions);
        autoTypeDocument(load, schemaType, xmlOptions);
        XmlObject xmlObject = (XmlObject) load.getUser();
        load.release();
        return xmlObject;
    }

    public static XmlObject parseToXmlObject(SchemaTypeLoader schemaTypeLoader, Reader reader, SchemaType schemaType, XmlOptions xmlOptions) {
        XmlObject parseToXmlObject;
        Locale locale = getLocale(schemaTypeLoader, xmlOptions);
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale.parseToXmlObject(reader, schemaType, xmlOptions);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    parseToXmlObject = locale.parseToXmlObject(reader, schemaType, xmlOptions);
                } finally {
                    locale.exit();
                }
            }
            return parseToXmlObject;
        }
    }

    private XmlObject parseToXmlObject(Reader reader, SchemaType schemaType, XmlOptions xmlOptions) {
        Cur load = getSaxLoader(xmlOptions).load(this, new InputSource(reader), xmlOptions);
        autoTypeDocument(load, schemaType, xmlOptions);
        XmlObject xmlObject = (XmlObject) load.getUser();
        load.release();
        return xmlObject;
    }

    public static XmlObject parseToXmlObject(SchemaTypeLoader schemaTypeLoader, Node node, SchemaType schemaType, XmlOptions xmlOptions) {
        XmlObject parseToXmlObject;
        Locale locale = getLocale(schemaTypeLoader, xmlOptions);
        if (locale.noSync()) {
            locale.enter();
            try {
                return locale.parseToXmlObject(node, schemaType, xmlOptions);
            } finally {
                locale.exit();
            }
        } else {
            synchronized (locale) {
                locale.enter();
                try {
                    parseToXmlObject = locale.parseToXmlObject(node, schemaType, xmlOptions);
                } finally {
                    locale.exit();
                }
            }
            return parseToXmlObject;
        }
    }

    public XmlObject parseToXmlObject(Node node, SchemaType schemaType, XmlOptions xmlOptions) {
        Cur.CurLoadContext curLoadContext = new Cur.CurLoadContext(this, xmlOptions);
        loadNode(node, curLoadContext);
        Cur finish = curLoadContext.finish();
        associateSourceName(finish, xmlOptions);
        autoTypeDocument(finish, schemaType, xmlOptions);
        XmlObject xmlObject = (XmlObject) finish.getUser();
        finish.release();
        return xmlObject;
    }
}
