package org.apache.xmlbeans.impl.store;

import b.b.a.a.a;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.math.BigDecimal;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlAnySimpleType;
import org.apache.xmlbeans.XmlBoolean;
import org.apache.xmlbeans.XmlCursor;
import org.apache.xmlbeans.XmlDate;
import org.apache.xmlbeans.XmlDecimal;
import org.apache.xmlbeans.XmlDouble;
import org.apache.xmlbeans.XmlException;
import org.apache.xmlbeans.XmlFloat;
import org.apache.xmlbeans.XmlInteger;
import org.apache.xmlbeans.XmlLong;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlRuntimeException;
import org.apache.xmlbeans.XmlString;
import org.apache.xmlbeans.impl.common.XPath;
import org.apache.xmlbeans.impl.store.Cur;
import org.apache.xmlbeans.impl.store.Locale;
import org.apache.xmlbeans.impl.store.QueryDelegate;
import org.w3c.dom.Node;

public abstract class Query {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static final String QUERY_DELEGATE_INTERFACE = "QUERY_DELEGATE_INTERFACE";
    public static String _delIntfName;
    public static String _useDelegateForXQuery = "use delegate for xquery";
    public static String _useXdkForXQuery = "use xdk for xquery";
    public static boolean _xdkAvailable = true;
    public static Method _xdkCompileQuery;
    public static HashMap _xdkQueryCache = new HashMap();
    public static boolean _xqrl2002Available = true;
    public static Method _xqrl2002CompileQuery;
    public static HashMap _xqrl2002QueryCache = new HashMap();
    public static boolean _xqrlAvailable = true;
    public static Method _xqrlCompileQuery;
    public static HashMap _xqrlQueryCache = new HashMap();
    public static /* synthetic */ Class class$java$lang$Boolean;
    public static /* synthetic */ Class class$java$lang$String;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$store$Query;

    public static final class DelegateQueryImpl extends Query {
        public static final /* synthetic */ boolean $assertionsDisabled;
        public QueryDelegate.QueryInterface _xqueryImpl;

        public static class DelegateQueryEngine {
            public static final /* synthetic */ boolean $assertionsDisabled;
            public Cur _cur;
            public QueryDelegate.QueryInterface _engine;
            public XmlOptions _options;
            public long _version;

            static {
                Class cls = Query.class$org$apache$xmlbeans$impl$store$Query;
                if (cls == null) {
                    cls = Query.class$("org.apache.xmlbeans.impl.store.Query");
                    Query.class$org$apache$xmlbeans$impl$store$Query = cls;
                }
                $assertionsDisabled = !cls.desiredAssertionStatus();
            }

            public DelegateQueryEngine(QueryDelegate.QueryInterface queryInterface, Cur cur, XmlOptions xmlOptions) {
                this._engine = queryInterface;
                this._version = cur._locale.version();
                this._cur = cur.weakCur(this);
                this._options = xmlOptions;
            }

            private SchemaType getType(Object obj) {
                if (obj instanceof Integer) {
                    return XmlInteger.type;
                }
                if (obj instanceof Double) {
                    return XmlDouble.type;
                }
                if (obj instanceof Long) {
                    return XmlLong.type;
                }
                if (obj instanceof Float) {
                    return XmlFloat.type;
                }
                if (obj instanceof BigDecimal) {
                    return XmlDecimal.type;
                }
                if (obj instanceof Boolean) {
                    return XmlBoolean.type;
                }
                if (obj instanceof String) {
                    return XmlString.type;
                }
                if (obj instanceof Date) {
                    return XmlDate.type;
                }
                return XmlAnySimpleType.type;
            }

            private Cur loadNode(Locale locale, Node node) {
                Cur.CurLoadContext curLoadContext = new Cur.CurLoadContext(locale, this._options);
                try {
                    loadNodeHelper(locale, node, curLoadContext);
                    Cur finish = curLoadContext.finish();
                    Locale.associateSourceName(finish, this._options);
                    Locale.autoTypeDocument(finish, null, this._options);
                    return finish;
                } catch (Exception e2) {
                    throw new XmlRuntimeException(e2.getMessage(), e2);
                }
            }

            private void loadNodeHelper(Locale locale, Node node, Locale.LoadContext loadContext) {
                if (node.getNodeType() == 2) {
                    loadContext.attr(new QName(node.getNamespaceURI(), node.getLocalName(), node.getPrefix()), node.getNodeValue());
                } else {
                    locale.loadNode(node, loadContext);
                }
            }

            public XmlCursor cursorExecute() {
                Cur cur = this._cur;
                if (cur != null) {
                    cur._locale.version();
                }
                List execQuery = this._engine.execQuery(this._cur.getDom(), (Map) XmlOptions.maskNull(this._options).get(XmlOptions.XQUERY_VARIABLE_MAP));
                if ($assertionsDisabled || execQuery.size() > -1) {
                    Cursor cursor = null;
                    this._engine = null;
                    Locale locale = Locale.getLocale(this._cur._locale._schemaTypeLoader, this._options);
                    locale.enter();
                    Cur.CurLoadContext curLoadContext = new Cur.CurLoadContext(locale, this._options);
                    for (int i2 = 0; i2 < execQuery.size(); i2++) {
                        try {
                            loadNodeHelper(locale, (Node) execQuery.get(i2), curLoadContext);
                        } catch (Exception unused) {
                            locale.exit();
                        } catch (Throwable th) {
                            locale.exit();
                            throw th;
                        }
                    }
                    Cur finish = curLoadContext.finish();
                    Locale.associateSourceName(finish, this._options);
                    Locale.autoTypeDocument(finish, null, this._options);
                    Cursor cursor2 = new Cursor(finish);
                    locale.exit();
                    cursor = cursor2;
                    release();
                    return cursor;
                }
                throw new AssertionError();
            }

            public XmlObject[] objectExecute() {
                Cur cur;
                Cur cur2 = this._cur;
                if (cur2 != null) {
                    cur2._locale.version();
                }
                List execQuery = this._engine.execQuery(this._cur.getDom(), (Map) XmlOptions.maskNull(this._options).get(XmlOptions.XQUERY_VARIABLE_MAP));
                if ($assertionsDisabled || execQuery.size() > -1) {
                    XmlObject[] xmlObjectArr = new XmlObject[execQuery.size()];
                    for (int i2 = 0; i2 < execQuery.size(); i2++) {
                        Locale locale = Locale.getLocale(this._cur._locale._schemaTypeLoader, this._options);
                        locale.enter();
                        Object obj = execQuery.get(i2);
                        try {
                            if (!(obj instanceof Node)) {
                                cur = locale.load("<xml-fragment/>").tempCur();
                                cur.setValue(obj.toString());
                                Locale.autoTypeDocument(cur, getType(obj), null);
                                xmlObjectArr[i2] = cur.getObject();
                            } else {
                                cur = loadNode(locale, (Node) obj);
                            }
                            xmlObjectArr[i2] = cur.getObject();
                            locale.exit();
                            cur.release();
                        } catch (XmlException e2) {
                            throw new RuntimeException(e2);
                        } catch (Throwable th) {
                            locale.exit();
                            throw th;
                        }
                    }
                    release();
                    this._engine = null;
                    return xmlObjectArr;
                }
                throw new AssertionError();
            }

            public void release() {
                Cur cur = this._cur;
                if (cur != null) {
                    cur.release();
                    this._cur = null;
                }
            }
        }

        static {
            Class cls = Query.class$org$apache$xmlbeans$impl$store$Query;
            if (cls == null) {
                cls = Query.class$("org.apache.xmlbeans.impl.store.Query");
                Query.class$org$apache$xmlbeans$impl$store$Query = cls;
            }
            $assertionsDisabled = !cls.desiredAssertionStatus();
        }

        public DelegateQueryImpl(QueryDelegate.QueryInterface queryInterface) {
            this._xqueryImpl = queryInterface;
        }

        public static Query createDelegateCompiledQuery(String str, String str2, String str3, int i2) {
            if ($assertionsDisabled || (!str3.startsWith(".") && !str3.startsWith(".."))) {
                QueryDelegate.QueryInterface createInstance = QueryDelegate.createInstance(str, str2, str3, i2);
                if (createInstance == null) {
                    return null;
                }
                return new DelegateQueryImpl(createInstance);
            }
            throw new AssertionError();
        }

        @Override // org.apache.xmlbeans.impl.store.Query
        public XmlCursor cursorExecute(Cur cur, XmlOptions xmlOptions) {
            return new DelegateQueryEngine(this._xqueryImpl, cur, xmlOptions).cursorExecute();
        }

        @Override // org.apache.xmlbeans.impl.store.Query
        public XmlObject[] objectExecute(Cur cur, XmlOptions xmlOptions) {
            return new DelegateQueryEngine(this._xqueryImpl, cur, xmlOptions).objectExecute();
        }
    }

    static {
        Class cls = class$org$apache$xmlbeans$impl$store$Query;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.store.Query");
            class$org$apache$xmlbeans$impl$store$Query = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
        Class cls2 = class$org$apache$xmlbeans$impl$store$Query;
        if (cls2 == null) {
            cls2 = class$("org.apache.xmlbeans.impl.store.Query");
            class$org$apache$xmlbeans$impl$store$Query = cls2;
        }
        try {
            BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(cls2.getClassLoader().getResourceAsStream("META-INF/services/org.apache.xmlbeans.impl.store.QueryDelegate.QueryInterface")));
            _delIntfName = bufferedReader.readLine().trim();
            bufferedReader.close();
        } catch (Exception unused) {
            _delIntfName = null;
        }
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public static synchronized String compileQuery(String str, XmlOptions xmlOptions) {
        synchronized (Query.class) {
            getCompiledQuery(str, xmlOptions);
        }
        return str;
    }

    public static Query createXdkCompiledQuery(String str, String str2) {
        Class<?> cls;
        Class<?> cls2;
        Class<?> cls3;
        if (!_xdkAvailable) {
            return null;
        }
        if (_xdkCompileQuery == null) {
            try {
                Class<?> cls4 = Class.forName("org.apache.xmlbeans.impl.store.OXQXBXqrlImpl");
                Class<?>[] clsArr = new Class[3];
                if (class$java$lang$String == null) {
                    cls = class$("java.lang.String");
                    class$java$lang$String = cls;
                } else {
                    cls = class$java$lang$String;
                }
                clsArr[0] = cls;
                if (class$java$lang$String == null) {
                    cls2 = class$("java.lang.String");
                    class$java$lang$String = cls2;
                } else {
                    cls2 = class$java$lang$String;
                }
                clsArr[1] = cls2;
                if (class$java$lang$Boolean == null) {
                    cls3 = class$("java.lang.Boolean");
                    class$java$lang$Boolean = cls3;
                } else {
                    cls3 = class$java$lang$Boolean;
                }
                clsArr[2] = cls3;
                _xdkCompileQuery = cls4.getDeclaredMethod("compileQuery", clsArr);
            } catch (ClassNotFoundException unused) {
                _xdkAvailable = false;
                return null;
            } catch (Exception e2) {
                _xdkAvailable = false;
                throw new RuntimeException(e2.getMessage(), e2);
            }
        }
        try {
            return (Query) _xdkCompileQuery.invoke(null, str, str2, new Boolean(true));
        } catch (InvocationTargetException e3) {
            Throwable cause = e3.getCause();
            throw new RuntimeException(cause.getMessage(), cause);
        } catch (IllegalAccessException e4) {
            throw new RuntimeException(e4.getMessage(), e4);
        }
    }

    public static Query createXqrlCompiledQuery(String str, String str2) {
        Class<?> cls;
        Class<?> cls2;
        Class<?> cls3;
        if (!_xqrlAvailable) {
            return null;
        }
        if (_xqrlCompileQuery == null) {
            try {
                Class<?> cls4 = Class.forName("org.apache.xmlbeans.impl.store.XqrlImpl");
                Class<?>[] clsArr = new Class[3];
                if (class$java$lang$String == null) {
                    cls = class$("java.lang.String");
                    class$java$lang$String = cls;
                } else {
                    cls = class$java$lang$String;
                }
                clsArr[0] = cls;
                if (class$java$lang$String == null) {
                    cls2 = class$("java.lang.String");
                    class$java$lang$String = cls2;
                } else {
                    cls2 = class$java$lang$String;
                }
                clsArr[1] = cls2;
                if (class$java$lang$Boolean == null) {
                    cls3 = class$("java.lang.Boolean");
                    class$java$lang$Boolean = cls3;
                } else {
                    cls3 = class$java$lang$Boolean;
                }
                clsArr[2] = cls3;
                _xqrlCompileQuery = cls4.getDeclaredMethod("compileQuery", clsArr);
            } catch (ClassNotFoundException unused) {
                _xqrlAvailable = false;
                return null;
            } catch (Exception e2) {
                _xqrlAvailable = false;
                throw new RuntimeException(e2.getMessage(), e2);
            }
        }
        try {
            return (Query) _xqrlCompileQuery.invoke(null, str, str2, new Boolean(true));
        } catch (InvocationTargetException e3) {
            Throwable cause = e3.getCause();
            throw new RuntimeException(cause.getMessage(), cause);
        } catch (IllegalAccessException e4) {
            throw new RuntimeException(e4.getMessage(), e4);
        }
    }

    public static XmlCursor cursorExecQuery(Cur cur, String str, XmlOptions xmlOptions) {
        return getCompiledQuery(str, xmlOptions).cursorExecute(cur, xmlOptions);
    }

    public static synchronized Query getCompiledQuery(String str, XmlOptions xmlOptions) {
        Query compiledQuery;
        synchronized (Query.class) {
            compiledQuery = getCompiledQuery(str, Path.getCurrentNodeVar(xmlOptions), xmlOptions);
        }
        return compiledQuery;
    }

    public static Query getXqrl2002CompiledQuery(String str, String str2) {
        Class<?> cls;
        Class<?> cls2;
        Class<?> cls3;
        if (_xqrl2002Available && _xqrl2002CompileQuery == null) {
            try {
                Class<?> cls4 = Class.forName("org.apache.xmlbeans.impl.store.Xqrl2002Impl");
                Class<?>[] clsArr = new Class[3];
                if (class$java$lang$String == null) {
                    cls = class$("java.lang.String");
                    class$java$lang$String = cls;
                } else {
                    cls = class$java$lang$String;
                }
                clsArr[0] = cls;
                if (class$java$lang$String == null) {
                    cls2 = class$("java.lang.String");
                    class$java$lang$String = cls2;
                } else {
                    cls2 = class$java$lang$String;
                }
                clsArr[1] = cls2;
                if (class$java$lang$Boolean == null) {
                    cls3 = class$("java.lang.Boolean");
                    class$java$lang$Boolean = cls3;
                } else {
                    cls3 = class$java$lang$Boolean;
                }
                clsArr[2] = cls3;
                _xqrl2002CompileQuery = cls4.getDeclaredMethod("compileQuery", clsArr);
            } catch (ClassNotFoundException unused) {
                _xqrl2002Available = false;
                return null;
            } catch (Exception e2) {
                _xqrl2002Available = false;
                throw new RuntimeException(e2.getMessage(), e2);
            }
        }
        try {
            return (Query) _xqrl2002CompileQuery.invoke(null, str, str2, new Boolean(true));
        } catch (InvocationTargetException e3) {
            Throwable cause = e3.getCause();
            throw new RuntimeException(cause.getMessage(), cause);
        } catch (IllegalAccessException e4) {
            throw new RuntimeException(e4.getMessage(), e4);
        }
    }

    public static XmlObject[] objectExecQuery(Cur cur, String str, XmlOptions xmlOptions) {
        return getCompiledQuery(str, xmlOptions).objectExecute(cur, xmlOptions);
    }

    public abstract XmlCursor cursorExecute(Cur cur, XmlOptions xmlOptions);

    public abstract XmlObject[] objectExecute(Cur cur, XmlOptions xmlOptions);

    public static synchronized Query getCompiledQuery(String str, String str2, XmlOptions xmlOptions) {
        Integer num;
        synchronized (Query.class) {
            if (!$assertionsDisabled) {
                if (str == null) {
                    throw new AssertionError();
                }
            }
            XmlOptions maskNull = XmlOptions.maskNull(xmlOptions);
            if (maskNull.hasOption(Path._forceXqrl2002ForXpathXQuery)) {
                Query query = (Query) _xqrl2002QueryCache.get(str);
                if (query != null) {
                    return query;
                }
                Query xqrl2002CompiledQuery = getXqrl2002CompiledQuery(str, str2);
                if (xqrl2002CompiledQuery != null) {
                    _xqrl2002QueryCache.put(str, xqrl2002CompiledQuery);
                    return xqrl2002CompiledQuery;
                }
                throw new RuntimeException("No 2002 query engine found.");
            }
            HashMap hashMap = new HashMap();
            int i2 = 0;
            try {
                XPath.compileXPath(str, str2, hashMap);
                if (hashMap.get(XPath._NS_BOUNDARY) != null) {
                    num = (Integer) hashMap.get(XPath._NS_BOUNDARY);
                    i2 = num.intValue();
                }
            } catch (XPath.XPathCompileException unused) {
                if (hashMap.get(XPath._NS_BOUNDARY) != null) {
                    num = (Integer) hashMap.get(XPath._NS_BOUNDARY);
                }
            } catch (Throwable th) {
                if (hashMap.get(XPath._NS_BOUNDARY) != null) {
                    ((Integer) hashMap.get(XPath._NS_BOUNDARY)).intValue();
                }
                throw th;
            }
            if (maskNull.hasOption(_useXdkForXQuery)) {
                Query query2 = (Query) _xdkQueryCache.get(str);
                if (query2 != null) {
                    return query2;
                }
                Query createXdkCompiledQuery = createXdkCompiledQuery(str, str2);
                if (createXdkCompiledQuery != null) {
                    _xdkQueryCache.put(str, createXdkCompiledQuery);
                    return createXdkCompiledQuery;
                }
            }
            if (!maskNull.hasOption(_useDelegateForXQuery)) {
                Query query3 = (Query) _xqrlQueryCache.get(str);
                if (query3 != null) {
                    return query3;
                }
                Query createXqrlCompiledQuery = createXqrlCompiledQuery(str, str2);
                if (createXqrlCompiledQuery != null) {
                    _xqrlQueryCache.put(str, createXqrlCompiledQuery);
                    return createXqrlCompiledQuery;
                }
            }
            Query createDelegateCompiledQuery = DelegateQueryImpl.createDelegateCompiledQuery(maskNull.hasOption(QUERY_DELEGATE_INTERFACE) ? (String) maskNull.get(QUERY_DELEGATE_INTERFACE) : _delIntfName, str, str2, i2);
            if (createDelegateCompiledQuery != null) {
                return createDelegateCompiledQuery;
            }
            throw new RuntimeException("No query engine found");
        }
    }
}
