package org.apache.xmlbeans.impl.store;

import b.b.a.a.a;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.poi.javax.xml.stream.Location;
import org.apache.xmlbeans.XmlCursor;
import org.apache.xmlbeans.impl.common.ValidatorListener;

public final class Validate implements ValidatorListener.Event {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$store$Validate;
    public Cur _cur;
    public boolean _hasText;
    public boolean _oneChunk;
    public ValidatorListener _sink;
    public Cur _textCur;
    public StringBuffer _textSb;

    static {
        Class cls = class$org$apache$xmlbeans$impl$store$Validate;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.store.Validate");
            class$org$apache$xmlbeans$impl$store$Validate = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
    }

    public Validate(Cur cur, ValidatorListener validatorListener) {
        if (cur.isUserNode()) {
            this._sink = validatorListener;
            this._cur = cur;
            this._textCur = cur.tempCur();
            this._hasText = false;
            this._cur.push();
            try {
                process();
            } finally {
                this._cur.pop();
                this._cur = null;
                this._sink = null;
                this._textCur.release();
            }
        } else {
            throw new IllegalStateException("Inappropriate location to validate");
        }
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    private void doAttrs() {
        if ($assertionsDisabled || !this._hasText) {
            if (this._cur.toFirstAttr()) {
                do {
                    if (this._cur.isNormalAttr() && !this._cur.getUri().equals("http://www.w3.org/2001/XMLSchema-instance")) {
                        this._sink.nextEvent(4, this);
                    }
                } while (this._cur.toNextAttr());
                this._cur.toParent();
            }
            this._sink.nextEvent(5, this);
            return;
        }
        throw new AssertionError();
    }

    private void emitEvent(int i2) {
        if (!$assertionsDisabled && i2 == 3) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && i2 == 4 && this._hasText) {
            throw new AssertionError();
        } else if ($assertionsDisabled || i2 != 5 || !this._hasText) {
            if (this._hasText) {
                this._sink.nextEvent(3, this);
                this._hasText = false;
            }
            this._sink.nextEvent(i2, this);
        } else {
            throw new AssertionError();
        }
    }

    private void emitText() {
        StringBuffer stringBuffer;
        if (!$assertionsDisabled && !this._cur.isText()) {
            throw new AssertionError();
        } else if (this._hasText) {
            if (this._oneChunk) {
                StringBuffer stringBuffer2 = this._textSb;
                if (stringBuffer2 == null) {
                    this._textSb = new StringBuffer();
                } else {
                    stringBuffer2.delete(0, stringBuffer2.length());
                }
                if ($assertionsDisabled || this._textCur.isText()) {
                    StringBuffer stringBuffer3 = this._textSb;
                    Object chars = this._textCur.getChars(-1);
                    Cur cur = this._textCur;
                    CharUtil.getString(stringBuffer3, chars, cur._offSrc, cur._cchSrc);
                    this._oneChunk = false;
                } else {
                    throw new AssertionError();
                }
            }
            if ($assertionsDisabled || ((stringBuffer = this._textSb) != null && stringBuffer.length() > 0)) {
                StringBuffer stringBuffer4 = this._textSb;
                Object chars2 = this._cur.getChars(-1);
                Cur cur2 = this._cur;
                CharUtil.getString(stringBuffer4, chars2, cur2._offSrc, cur2._cchSrc);
                return;
            }
            throw new AssertionError();
        } else {
            this._hasText = true;
            this._oneChunk = true;
            this._textCur.moveToCur(this._cur);
        }
    }

    private void process() {
        emitEvent(1);
        if (this._cur.isAttr()) {
            this._cur.next();
            if (this._cur.isText()) {
                emitText();
            }
        } else if ($assertionsDisabled || this._cur.isContainer()) {
            doAttrs();
            while (true) {
                this._cur.next();
                if (this._cur.isAtEndOfLastPush()) {
                    break;
                }
                int kind = this._cur.kind();
                if (kind == -2) {
                    emitEvent(2);
                } else if (kind == 0) {
                    emitText();
                } else if (kind == 2) {
                    emitEvent(1);
                    doAttrs();
                } else if (kind == 4 || kind == 5) {
                    this._cur.toEnd();
                } else {
                    StringBuffer a = a.a("Unexpected kind: ");
                    a.append(this._cur.kind());
                    throw new RuntimeException(a.toString());
                }
            }
        } else {
            throw new AssertionError();
        }
        emitEvent(2);
    }

    @Override // org.apache.xmlbeans.impl.common.ValidatorListener.Event
    public Location getLocation() {
        return null;
    }

    @Override // org.apache.xmlbeans.impl.common.ValidatorListener.Event
    public XmlCursor getLocationAsCursor() {
        return new Cursor(this._cur);
    }

    @Override // org.apache.xmlbeans.impl.common.ValidatorListener.Event
    public QName getName() {
        if (this._cur.isAtLastPush()) {
            return null;
        }
        return this._cur.getName();
    }

    @Override // org.apache.xmlbeans.impl.common.PrefixResolver
    public String getNamespaceForPrefix(String str) {
        return this._cur.namespaceForPrefix(str, true);
    }

    @Override // org.apache.xmlbeans.impl.common.ValidatorListener.Event
    public String getText() {
        StringBuffer stringBuffer;
        if (this._cur.isAttr()) {
            return this._cur.getValueAsString();
        }
        if (!$assertionsDisabled && !this._hasText) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && !this._oneChunk && ((stringBuffer = this._textSb) == null || stringBuffer.length() <= 0)) {
            throw new AssertionError();
        } else if ($assertionsDisabled || !this._oneChunk || this._textCur.isText()) {
            return this._oneChunk ? this._textCur.getCharsAsString(-1) : this._textSb.toString();
        } else {
            throw new AssertionError();
        }
    }

    @Override // org.apache.xmlbeans.impl.common.ValidatorListener.Event
    public String getXsiLoc() {
        return this._cur.getAttrValue(Locale._xsiLoc);
    }

    @Override // org.apache.xmlbeans.impl.common.ValidatorListener.Event
    public String getXsiNil() {
        return this._cur.getAttrValue(Locale._xsiNil);
    }

    @Override // org.apache.xmlbeans.impl.common.ValidatorListener.Event
    public String getXsiNoLoc() {
        return this._cur.getAttrValue(Locale._xsiNoLoc);
    }

    @Override // org.apache.xmlbeans.impl.common.ValidatorListener.Event
    public String getXsiType() {
        return this._cur.getAttrValue(Locale._xsiType);
    }

    @Override // org.apache.xmlbeans.impl.common.ValidatorListener.Event
    public boolean textIsWhitespace() {
        if (this._cur.isAttr()) {
            CharUtil charUtil = this._cur._locale.getCharUtil();
            Object firstChars = this._cur.getFirstChars();
            Cur cur = this._cur;
            return charUtil.isWhiteSpace(firstChars, cur._offSrc, cur._cchSrc);
        } else if (!$assertionsDisabled && !this._hasText) {
            throw new AssertionError();
        } else if (this._oneChunk) {
            CharUtil charUtil2 = this._cur._locale.getCharUtil();
            Object chars = this._textCur.getChars(-1);
            Cur cur2 = this._textCur;
            return charUtil2.isWhiteSpace(chars, cur2._offSrc, cur2._cchSrc);
        } else {
            String stringBuffer = this._textSb.toString();
            return this._cur._locale.getCharUtil().isWhiteSpace(stringBuffer, 0, stringBuffer.length());
        }
    }

    @Override // org.apache.xmlbeans.impl.common.ValidatorListener.Event
    public String getText(int i2) {
        StringBuffer stringBuffer;
        if (this._cur.isAttr()) {
            return this._cur.getValueAsString(i2);
        }
        if (!$assertionsDisabled && !this._hasText) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && !this._oneChunk && ((stringBuffer = this._textSb) == null || stringBuffer.length() <= 0)) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && this._oneChunk && !this._textCur.isText()) {
            throw new AssertionError();
        } else if (this._oneChunk) {
            return this._textCur.getCharsAsString(-1, i2);
        } else {
            return Locale.applyWhiteSpaceRule(this._textSb.toString(), i2);
        }
    }
}
