package org.apache.xmlbeans.impl.store;

import b.b.a.a.a;
import java.io.PrintStream;
import java.util.ArrayList;
import java.util.Hashtable;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import javax.xml.transform.Source;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.xerces.impl.xs.SchemaSymbols;
import org.apache.xmlbeans.CDataBookmark;
import org.apache.xmlbeans.QNameSet;
import org.apache.xmlbeans.SchemaField;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.SchemaTypeLoader;
import org.apache.xmlbeans.XmlBeans;
import org.apache.xmlbeans.XmlCursor;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.impl.common.QNameHelper;
import org.apache.xmlbeans.impl.common.ValidatorListener;
import org.apache.xmlbeans.impl.common.XmlLocale;
import org.apache.xmlbeans.impl.soap.Detail;
import org.apache.xmlbeans.impl.soap.DetailEntry;
import org.apache.xmlbeans.impl.soap.Name;
import org.apache.xmlbeans.impl.soap.SOAPBody;
import org.apache.xmlbeans.impl.soap.SOAPBodyElement;
import org.apache.xmlbeans.impl.soap.SOAPElement;
import org.apache.xmlbeans.impl.soap.SOAPEnvelope;
import org.apache.xmlbeans.impl.soap.SOAPFault;
import org.apache.xmlbeans.impl.soap.SOAPFaultElement;
import org.apache.xmlbeans.impl.soap.SOAPHeader;
import org.apache.xmlbeans.impl.soap.SOAPHeaderElement;
import org.apache.xmlbeans.impl.soap.SOAPPart;
import org.apache.xmlbeans.impl.store.DomImpl;
import org.apache.xmlbeans.impl.store.Locale;
import org.apache.xmlbeans.impl.values.TypeStore;
import org.apache.xmlbeans.impl.values.TypeStoreUser;
import org.apache.xmlbeans.impl.values.TypeStoreUserFactory;
import org.apache.xmlbeans.impl.values.TypeStoreVisitor;
import org.w3c.dom.Attr;
import org.w3c.dom.CDATASection;
import org.w3c.dom.Comment;
import org.w3c.dom.DOMConfiguration;
import org.w3c.dom.DOMImplementation;
import org.w3c.dom.Document;
import org.w3c.dom.DocumentFragment;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Element;
import org.w3c.dom.EntityReference;
import org.w3c.dom.NamedNodeMap;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;
import org.w3c.dom.ProcessingInstruction;
import org.w3c.dom.Text;
import org.w3c.dom.TypeInfo;
import org.w3c.dom.UserDataHandler;

public abstract class Xobj implements TypeStore {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static final int ATTR = 3;
    public static final int COMMENT = 4;
    public static final int ELEM = 2;
    public static final int END_POS = -1;
    public static final int INHIBIT_DISCONNECT = 1024;
    public static final int NO_POS = -2;
    public static final int PROCINST = 5;
    public static final int ROOT = 1;
    public static final int STABLE_USER = 512;
    public static final int TEXT = 0;
    public static final int VACANT = 256;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$store$Xobj;
    public int _bits;
    public Bookmark _bookmarks;
    public int _cchAfter;
    public int _cchValue;
    public DomImpl.CharNode _charNodesAfter;
    public DomImpl.CharNode _charNodesValue;
    public Cur _embedded;
    public Xobj _firstChild;
    public Xobj _lastChild;
    public Locale _locale;
    public QName _name;
    public Xobj _nextSibling;
    public int _offAfter;
    public int _offValue;
    public Xobj _parent;
    public Xobj _prevSibling;
    public Object _srcAfter;
    public Object _srcValue;
    public TypeStoreUser _user;

    public static class AttrIdXobj extends AttrXobj {
        public AttrIdXobj(Locale locale, QName qName) {
            super(locale, qName);
        }

        @Override // org.apache.xmlbeans.impl.store.Xobj.AttrXobj, org.w3c.dom.Attr
        public boolean isId() {
            return true;
        }
    }

    public static class AttrXobj extends NamedNodeXobj implements Attr {
        public AttrXobj(Locale locale, QName qName) {
            super(locale, 3, 2);
            this._name = qName;
        }

        @Override // org.w3c.dom.Attr
        public String getName() {
            return DomImpl._node_getNodeName(this);
        }

        @Override // org.w3c.dom.Node, org.apache.xmlbeans.impl.store.Xobj.NodeXobj
        public Node getNextSibling() {
            return null;
        }

        @Override // org.w3c.dom.Attr
        public Element getOwnerElement() {
            return DomImpl._attr_getOwnerElement(this);
        }

        @Override // org.w3c.dom.Attr
        public TypeInfo getSchemaTypeInfo() {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }

        @Override // org.w3c.dom.Attr
        public boolean getSpecified() {
            return DomImpl._attr_getSpecified(this);
        }

        @Override // org.w3c.dom.Attr
        public String getValue() {
            return DomImpl._node_getNodeValue(this);
        }

        @Override // org.w3c.dom.Attr
        public boolean isId() {
            return false;
        }

        @Override // org.apache.xmlbeans.impl.store.Xobj
        public Xobj newNode(Locale locale) {
            return new AttrXobj(locale, this._name);
        }

        @Override // org.w3c.dom.Attr
        public void setValue(String str) {
            DomImpl._node_setNodeValue(this, str);
        }
    }

    public static class Bookmark implements XmlCursor.XmlMark {
        public static final /* synthetic */ boolean $assertionsDisabled;
        public Object _key;
        public Bookmark _next;
        public int _pos;
        public Bookmark _prev;
        public Object _value;
        public Xobj _xobj;

        static {
            Class cls = Xobj.class$org$apache$xmlbeans$impl$store$Xobj;
            if (cls == null) {
                cls = Xobj.class$("org.apache.xmlbeans.impl.store.Xobj");
                Xobj.class$org$apache$xmlbeans$impl$store$Xobj = cls;
            }
            $assertionsDisabled = !cls.desiredAssertionStatus();
        }

        @Override // org.apache.xmlbeans.XmlCursor.XmlMark
        public XmlCursor createCursor() {
            Xobj xobj = this._xobj;
            if (xobj != null) {
                return Cursor.newCursor(xobj, this._pos);
            }
            throw new IllegalStateException("Attempting to create a cursor on a bookmark that has been cleared or replaced.");
        }

        public boolean isOnList(Bookmark bookmark) {
            while (bookmark != null) {
                if (bookmark == this) {
                    return true;
                }
                bookmark = bookmark._next;
            }
            return false;
        }

        public Bookmark listInsert(Bookmark bookmark) {
            if (!$assertionsDisabled && (this._next != null || this._prev != null)) {
                throw new AssertionError();
            } else if (bookmark == null) {
                this._prev = this;
                return this;
            } else {
                this._prev = bookmark._prev;
                bookmark._prev._next = this;
                bookmark._prev = this;
                return bookmark;
            }
        }

        public Bookmark listRemove(Bookmark bookmark) {
            if ($assertionsDisabled || (this._prev != null && isOnList(bookmark))) {
                Bookmark bookmark2 = this._prev;
                if (bookmark2 == this) {
                    bookmark = null;
                } else {
                    if (bookmark == this) {
                        bookmark = this._next;
                    } else {
                        bookmark2._next = this._next;
                    }
                    Bookmark bookmark3 = this._next;
                    if (bookmark3 == null) {
                        bookmark._prev = this._prev;
                    } else {
                        bookmark3._prev = this._prev;
                        this._next = null;
                    }
                }
                this._prev = null;
                if ($assertionsDisabled || this._next == null) {
                    return bookmark;
                }
                throw new AssertionError();
            }
            throw new AssertionError();
        }

        public void moveTo(Xobj xobj, int i2) {
            if ($assertionsDisabled || isOnList(this._xobj._bookmarks)) {
                Xobj xobj2 = this._xobj;
                if (xobj2 != xobj) {
                    xobj2._bookmarks = listRemove(xobj2._bookmarks);
                    xobj._bookmarks = listInsert(xobj._bookmarks);
                    this._xobj = xobj;
                }
                this._pos = i2;
                return;
            }
            throw new AssertionError();
        }
    }

    public static class CommentXobj extends NodeXobj implements Comment {
        public CommentXobj(Locale locale) {
            super(locale, 4, 8);
        }

        @Override // org.w3c.dom.CharacterData
        public void appendData(String str) {
            DomImpl._characterData_appendData(this, str);
        }

        @Override // org.w3c.dom.CharacterData
        public void deleteData(int i2, int i3) {
            DomImpl._characterData_deleteData(this, i2, i3);
        }

        @Override // org.w3c.dom.Node, org.apache.xmlbeans.impl.store.Xobj.NodeXobj
        public NodeList getChildNodes() {
            return DomImpl._emptyNodeList;
        }

        @Override // org.w3c.dom.CharacterData
        public String getData() {
            return DomImpl._characterData_getData(this);
        }

        @Override // org.w3c.dom.Node, org.apache.xmlbeans.impl.store.Xobj.NodeXobj
        public Node getFirstChild() {
            return null;
        }

        @Override // org.w3c.dom.NodeList, org.apache.xmlbeans.impl.store.Xobj.NodeXobj, org.w3c.dom.CharacterData
        public int getLength() {
            return DomImpl._characterData_getLength(this);
        }

        @Override // org.w3c.dom.CharacterData
        public void insertData(int i2, String str) {
            DomImpl._characterData_insertData(this, i2, str);
        }

        @Override // org.apache.xmlbeans.impl.store.Xobj
        public Xobj newNode(Locale locale) {
            return new CommentXobj(locale);
        }

        @Override // org.w3c.dom.CharacterData
        public void replaceData(int i2, int i3, String str) {
            DomImpl._characterData_replaceData(this, i2, i3, str);
        }

        @Override // org.w3c.dom.CharacterData
        public void setData(String str) {
            DomImpl._characterData_setData(this, str);
        }

        @Override // org.w3c.dom.CharacterData
        public String substringData(int i2, int i3) {
            return DomImpl._characterData_substringData(this, i2, i3);
        }
    }

    public static class DetailEntryXobj extends SoapElementXobj implements DetailEntry {
        public DetailEntryXobj(Locale locale, QName qName) {
            super(locale, qName);
        }

        @Override // org.apache.xmlbeans.impl.store.Xobj.ElementXobj, org.apache.xmlbeans.impl.store.Xobj, org.apache.xmlbeans.impl.store.Xobj.SoapElementXobj
        public Xobj newNode(Locale locale) {
            return new DetailEntryXobj(locale, this._name);
        }
    }

    public static class DetailXobj extends SoapFaultElementXobj implements Detail {
        public DetailXobj(Locale locale, QName qName) {
            super(locale, qName);
        }

        @Override // org.apache.xmlbeans.impl.soap.Detail
        public DetailEntry addDetailEntry(Name name) {
            return DomImpl.detail_addDetailEntry(this, name);
        }

        @Override // org.apache.xmlbeans.impl.soap.Detail
        public Iterator getDetailEntries() {
            return DomImpl.detail_getDetailEntries(this);
        }

        @Override // org.apache.xmlbeans.impl.store.Xobj.ElementXobj, org.apache.xmlbeans.impl.store.Xobj, org.apache.xmlbeans.impl.store.Xobj.SoapFaultElementXobj, org.apache.xmlbeans.impl.store.Xobj.SoapElementXobj
        public Xobj newNode(Locale locale) {
            return new DetailXobj(locale, this._name);
        }
    }

    public static class DocumentFragXobj extends NodeXobj implements DocumentFragment {
        public DocumentFragXobj(Locale locale) {
            super(locale, 1, 11);
        }

        @Override // org.apache.xmlbeans.impl.store.Xobj
        public Xobj newNode(Locale locale) {
            return new DocumentFragXobj(locale);
        }
    }

    public static class DocumentXobj extends NodeXobj implements Document {
        public Hashtable _idToElement;

        public DocumentXobj(Locale locale) {
            super(locale, 1, 9);
        }

        public void addIdElement(String str, DomImpl.Dom dom) {
            if (this._idToElement == null) {
                this._idToElement = new Hashtable();
            }
            this._idToElement.put(str, dom);
        }

        @Override // org.w3c.dom.Document
        public Node adoptNode(Node node) {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }

        @Override // org.w3c.dom.Document
        public Attr createAttribute(String str) {
            return DomImpl._document_createAttribute(this, str);
        }

        @Override // org.w3c.dom.Document
        public Attr createAttributeNS(String str, String str2) {
            return DomImpl._document_createAttributeNS(this, str, str2);
        }

        @Override // org.w3c.dom.Document
        public CDATASection createCDATASection(String str) {
            return DomImpl._document_createCDATASection(this, str);
        }

        @Override // org.w3c.dom.Document
        public Comment createComment(String str) {
            return DomImpl._document_createComment(this, str);
        }

        @Override // org.w3c.dom.Document
        public DocumentFragment createDocumentFragment() {
            return DomImpl._document_createDocumentFragment(this);
        }

        @Override // org.w3c.dom.Document
        public Element createElement(String str) {
            return DomImpl._document_createElement(this, str);
        }

        @Override // org.w3c.dom.Document
        public Element createElementNS(String str, String str2) {
            return DomImpl._document_createElementNS(this, str, str2);
        }

        @Override // org.w3c.dom.Document
        public EntityReference createEntityReference(String str) {
            return DomImpl._document_createEntityReference(this, str);
        }

        @Override // org.w3c.dom.Document
        public ProcessingInstruction createProcessingInstruction(String str, String str2) {
            return DomImpl._document_createProcessingInstruction(this, str, str2);
        }

        @Override // org.w3c.dom.Document
        public Text createTextNode(String str) {
            return DomImpl._document_createTextNode(this, str);
        }

        @Override // org.w3c.dom.Document
        public DocumentType getDoctype() {
            return DomImpl._document_getDoctype(this);
        }

        @Override // org.w3c.dom.Document
        public Element getDocumentElement() {
            return DomImpl._document_getDocumentElement(this);
        }

        @Override // org.w3c.dom.Document
        public String getDocumentURI() {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }

        @Override // org.w3c.dom.Document
        public DOMConfiguration getDomConfig() {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }

        @Override // org.w3c.dom.Document
        public Element getElementById(String str) {
            Xobj xobj;
            Hashtable hashtable = this._idToElement;
            if (hashtable == null || (xobj = (Xobj) hashtable.get(str)) == null) {
                return null;
            }
            if (!isInSameTree(xobj)) {
                this._idToElement.remove(str);
            }
            return (Element) xobj;
        }

        @Override // org.w3c.dom.Document
        public NodeList getElementsByTagName(String str) {
            return DomImpl._document_getElementsByTagName(this, str);
        }

        @Override // org.w3c.dom.Document
        public NodeList getElementsByTagNameNS(String str, String str2) {
            return DomImpl._document_getElementsByTagNameNS(this, str, str2);
        }

        @Override // org.w3c.dom.Document
        public DOMImplementation getImplementation() {
            return DomImpl._document_getImplementation(this);
        }

        @Override // org.w3c.dom.Document
        public String getInputEncoding() {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }

        @Override // org.w3c.dom.Document
        public boolean getStrictErrorChecking() {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }

        @Override // org.w3c.dom.Document
        public String getXmlEncoding() {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }

        @Override // org.w3c.dom.Document
        public boolean getXmlStandalone() {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }

        @Override // org.w3c.dom.Document
        public String getXmlVersion() {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }

        @Override // org.w3c.dom.Document
        public Node importNode(Node node, boolean z) {
            return DomImpl._document_importNode(this, node, z);
        }

        @Override // org.apache.xmlbeans.impl.store.Xobj
        public Xobj newNode(Locale locale) {
            return new DocumentXobj(locale);
        }

        @Override // org.w3c.dom.Document
        public void normalizeDocument() {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }

        public void removeIdElement(String str) {
            Hashtable hashtable = this._idToElement;
            if (hashtable != null) {
                hashtable.remove(str);
            }
        }

        @Override // org.w3c.dom.Document
        public Node renameNode(Node node, String str, String str2) {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }

        @Override // org.w3c.dom.Document
        public void setDocumentURI(String str) {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }

        @Override // org.w3c.dom.Document
        public void setStrictErrorChecking(boolean z) {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }

        @Override // org.w3c.dom.Document
        public void setXmlStandalone(boolean z) {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }

        @Override // org.w3c.dom.Document
        public void setXmlVersion(String str) {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }
    }

    public static final class ElementAttributes implements NamedNodeMap {
        public ElementXobj _elementXobj;

        public ElementAttributes(ElementXobj elementXobj) {
            this._elementXobj = elementXobj;
        }

        @Override // org.w3c.dom.NamedNodeMap
        public int getLength() {
            return DomImpl._attributes_getLength(this._elementXobj);
        }

        @Override // org.w3c.dom.NamedNodeMap
        public Node getNamedItem(String str) {
            return DomImpl._attributes_getNamedItem(this._elementXobj, str);
        }

        @Override // org.w3c.dom.NamedNodeMap
        public Node getNamedItemNS(String str, String str2) {
            return DomImpl._attributes_getNamedItemNS(this._elementXobj, str, str2);
        }

        @Override // org.w3c.dom.NamedNodeMap
        public Node item(int i2) {
            return DomImpl._attributes_item(this._elementXobj, i2);
        }

        @Override // org.w3c.dom.NamedNodeMap
        public Node removeNamedItem(String str) {
            return DomImpl._attributes_removeNamedItem(this._elementXobj, str);
        }

        @Override // org.w3c.dom.NamedNodeMap
        public Node removeNamedItemNS(String str, String str2) {
            return DomImpl._attributes_removeNamedItemNS(this._elementXobj, str, str2);
        }

        @Override // org.w3c.dom.NamedNodeMap
        public Node setNamedItem(Node node) {
            return DomImpl._attributes_setNamedItem(this._elementXobj, node);
        }

        @Override // org.w3c.dom.NamedNodeMap
        public Node setNamedItemNS(Node node) {
            return DomImpl._attributes_setNamedItemNS(this._elementXobj, node);
        }
    }

    public static class ElementXobj extends NamedNodeXobj implements Element {
        public ElementAttributes _attributes;

        public ElementXobj(Locale locale, QName qName) {
            super(locale, 2, 1);
            this._name = qName;
        }

        @Override // org.w3c.dom.Element
        public String getAttribute(String str) {
            return DomImpl._element_getAttribute(this, str);
        }

        @Override // org.w3c.dom.Element
        public String getAttributeNS(String str, String str2) {
            return DomImpl._element_getAttributeNS(this, str, str2);
        }

        @Override // org.w3c.dom.Element
        public Attr getAttributeNode(String str) {
            return DomImpl._element_getAttributeNode(this, str);
        }

        @Override // org.w3c.dom.Element
        public Attr getAttributeNodeNS(String str, String str2) {
            return DomImpl._element_getAttributeNodeNS(this, str, str2);
        }

        @Override // org.w3c.dom.Node, org.apache.xmlbeans.impl.store.Xobj.NodeXobj
        public NamedNodeMap getAttributes() {
            if (this._attributes == null) {
                this._attributes = new ElementAttributes(this);
            }
            return this._attributes;
        }

        @Override // org.w3c.dom.Element
        public NodeList getElementsByTagName(String str) {
            return DomImpl._element_getElementsByTagName(this, str);
        }

        @Override // org.w3c.dom.Element
        public NodeList getElementsByTagNameNS(String str, String str2) {
            return DomImpl._element_getElementsByTagNameNS(this, str, str2);
        }

        @Override // org.w3c.dom.Element
        public TypeInfo getSchemaTypeInfo() {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }

        @Override // org.w3c.dom.Element
        public String getTagName() {
            return DomImpl._element_getTagName(this);
        }

        @Override // org.w3c.dom.Element
        public boolean hasAttribute(String str) {
            return DomImpl._element_hasAttribute(this, str);
        }

        @Override // org.w3c.dom.Element
        public boolean hasAttributeNS(String str, String str2) {
            return DomImpl._element_hasAttributeNS(this, str, str2);
        }

        @Override // org.apache.xmlbeans.impl.store.Xobj
        public Xobj newNode(Locale locale) {
            return new ElementXobj(locale, this._name);
        }

        @Override // org.w3c.dom.Element
        public void removeAttribute(String str) {
            DomImpl._element_removeAttribute(this, str);
        }

        @Override // org.w3c.dom.Element
        public void removeAttributeNS(String str, String str2) {
            DomImpl._element_removeAttributeNS(this, str, str2);
        }

        @Override // org.w3c.dom.Element
        public Attr removeAttributeNode(Attr attr) {
            return DomImpl._element_removeAttributeNode(this, attr);
        }

        @Override // org.w3c.dom.Element
        public void setAttribute(String str, String str2) {
            DomImpl._element_setAttribute(this, str, str2);
        }

        @Override // org.w3c.dom.Element
        public void setAttributeNS(String str, String str2, String str3) {
            DomImpl._element_setAttributeNS(this, str, str2, str3);
        }

        @Override // org.w3c.dom.Element
        public Attr setAttributeNode(Attr attr) {
            return DomImpl._element_setAttributeNode(this, attr);
        }

        @Override // org.w3c.dom.Element
        public Attr setAttributeNodeNS(Attr attr) {
            return DomImpl._element_setAttributeNodeNS(this, attr);
        }

        @Override // org.w3c.dom.Element
        public void setIdAttribute(String str, boolean z) {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }

        @Override // org.w3c.dom.Element
        public void setIdAttributeNS(String str, String str2, boolean z) {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }

        @Override // org.w3c.dom.Element
        public void setIdAttributeNode(Attr attr, boolean z) {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }
    }

    public static abstract class NamedNodeXobj extends NodeXobj {
        public boolean _canHavePrefixUri = true;

        public NamedNodeXobj(Locale locale, int i2, int i3) {
            super(locale, i2, i3);
        }

        @Override // org.apache.xmlbeans.impl.store.DomImpl.Dom, org.apache.xmlbeans.impl.store.Xobj.NodeXobj
        public boolean nodeCanHavePrefixUri() {
            return this._canHavePrefixUri;
        }
    }

    public static abstract class NodeXobj extends Xobj implements DomImpl.Dom, Node, NodeList {
        public NodeXobj(Locale locale, int i2, int i3) {
            super(locale, i2, i3);
        }

        @Override // org.w3c.dom.Node
        public Node appendChild(Node node) {
            return DomImpl._node_appendChild(this, node);
        }

        @Override // org.w3c.dom.Node
        public Node cloneNode(boolean z) {
            return DomImpl._node_cloneNode(this, z);
        }

        @Override // org.w3c.dom.Node
        public short compareDocumentPosition(Node node) {
            return DomImpl._node_compareDocumentPosition(this, node);
        }

        @Override // org.w3c.dom.Node
        public NamedNodeMap getAttributes() {
            return null;
        }

        @Override // org.w3c.dom.Node
        public String getBaseURI() {
            return DomImpl._node_getBaseURI(this);
        }

        @Override // org.w3c.dom.Node
        public NodeList getChildNodes() {
            return this;
        }

        @Override // org.apache.xmlbeans.impl.store.Xobj
        public DomImpl.Dom getDom() {
            return this;
        }

        @Override // org.w3c.dom.Node
        public Object getFeature(String str, String str2) {
            return DomImpl._node_getFeature(this, str, str2);
        }

        @Override // org.w3c.dom.Node
        public Node getFirstChild() {
            return DomImpl._node_getFirstChild(this);
        }

        @Override // org.w3c.dom.Node
        public Node getLastChild() {
            return DomImpl._node_getLastChild(this);
        }

        @Override // org.w3c.dom.NodeList
        public int getLength() {
            return DomImpl._childNodes_getLength(this);
        }

        @Override // org.w3c.dom.Node
        public String getLocalName() {
            return DomImpl._node_getLocalName(this);
        }

        @Override // org.w3c.dom.Node
        public String getNamespaceURI() {
            return DomImpl._node_getNamespaceURI(this);
        }

        @Override // org.w3c.dom.Node
        public Node getNextSibling() {
            return DomImpl._node_getNextSibling(this);
        }

        @Override // org.w3c.dom.Node
        public String getNodeName() {
            return DomImpl._node_getNodeName(this);
        }

        @Override // org.w3c.dom.Node
        public short getNodeType() {
            return DomImpl._node_getNodeType(this);
        }

        @Override // org.w3c.dom.Node
        public String getNodeValue() {
            return DomImpl._node_getNodeValue(this);
        }

        @Override // org.w3c.dom.Node
        public Document getOwnerDocument() {
            return DomImpl._node_getOwnerDocument(this);
        }

        @Override // org.w3c.dom.Node
        public Node getParentNode() {
            return DomImpl._node_getParentNode(this);
        }

        @Override // org.w3c.dom.Node
        public String getPrefix() {
            return DomImpl._node_getPrefix(this);
        }

        @Override // org.w3c.dom.Node
        public Node getPreviousSibling() {
            return DomImpl._node_getPreviousSibling(this);
        }

        @Override // org.w3c.dom.Node
        public String getTextContent() {
            return DomImpl._node_getTextContent(this);
        }

        @Override // org.w3c.dom.Node
        public Object getUserData(String str) {
            return DomImpl._node_getUserData(this, str);
        }

        @Override // org.w3c.dom.Node
        public boolean hasAttributes() {
            return DomImpl._node_hasAttributes(this);
        }

        @Override // org.w3c.dom.Node
        public boolean hasChildNodes() {
            return DomImpl._node_hasChildNodes(this);
        }

        @Override // org.w3c.dom.Node
        public Node insertBefore(Node node, Node node2) {
            return DomImpl._node_insertBefore(this, node, node2);
        }

        @Override // org.w3c.dom.Node
        public boolean isDefaultNamespace(String str) {
            return DomImpl._node_isDefaultNamespace(this, str);
        }

        @Override // org.w3c.dom.Node
        public boolean isEqualNode(Node node) {
            return DomImpl._node_isEqualNode(this, node);
        }

        @Override // org.w3c.dom.Node
        public boolean isSameNode(Node node) {
            return DomImpl._node_isSameNode(this, node);
        }

        @Override // org.w3c.dom.Node
        public boolean isSupported(String str, String str2) {
            return DomImpl._node_isSupported(this, str, str2);
        }

        @Override // org.w3c.dom.NodeList
        public Node item(int i2) {
            return DomImpl._childNodes_item(this, i2);
        }

        @Override // org.w3c.dom.Node
        public String lookupNamespaceURI(String str) {
            return DomImpl._node_lookupNamespaceURI(this, str);
        }

        @Override // org.w3c.dom.Node
        public String lookupPrefix(String str) {
            return DomImpl._node_lookupPrefix(this, str);
        }

        @Override // org.apache.xmlbeans.impl.store.DomImpl.Dom
        public boolean nodeCanHavePrefixUri() {
            return false;
        }

        @Override // org.w3c.dom.Node
        public void normalize() {
            DomImpl._node_normalize(this);
        }

        @Override // org.w3c.dom.Node
        public Node removeChild(Node node) {
            return DomImpl._node_removeChild(this, node);
        }

        @Override // org.w3c.dom.Node
        public Node replaceChild(Node node, Node node2) {
            return DomImpl._node_replaceChild(this, node, node2);
        }

        @Override // org.w3c.dom.Node
        public void setNodeValue(String str) {
            DomImpl._node_setNodeValue(this, str);
        }

        @Override // org.w3c.dom.Node
        public void setPrefix(String str) {
            DomImpl._node_setPrefix(this, str);
        }

        @Override // org.w3c.dom.Node
        public void setTextContent(String str) {
            DomImpl._node_setTextContent(this, str);
        }

        @Override // org.w3c.dom.Node
        public Object setUserData(String str, Object obj, UserDataHandler userDataHandler) {
            return DomImpl._node_setUserData(this, str, obj, userDataHandler);
        }
    }

    public static class ProcInstXobj extends NodeXobj implements ProcessingInstruction {
        public ProcInstXobj(Locale locale, String str) {
            super(locale, 5, 7);
            this._name = this._locale.makeQName(null, str);
        }

        @Override // org.w3c.dom.ProcessingInstruction
        public String getData() {
            return DomImpl._processingInstruction_getData(this);
        }

        @Override // org.w3c.dom.Node, org.apache.xmlbeans.impl.store.Xobj.NodeXobj
        public Node getFirstChild() {
            return null;
        }

        @Override // org.w3c.dom.NodeList, org.apache.xmlbeans.impl.store.Xobj.NodeXobj
        public int getLength() {
            return 0;
        }

        @Override // org.w3c.dom.ProcessingInstruction
        public String getTarget() {
            return DomImpl._processingInstruction_getTarget(this);
        }

        @Override // org.apache.xmlbeans.impl.store.Xobj
        public Xobj newNode(Locale locale) {
            return new ProcInstXobj(locale, this._name.getLocalPart());
        }

        @Override // org.w3c.dom.ProcessingInstruction
        public void setData(String str) {
            DomImpl._processingInstruction_setData(this, str);
        }
    }

    public static class SoapBodyElementXobj extends SoapElementXobj implements SOAPBodyElement {
        public SoapBodyElementXobj(Locale locale, QName qName) {
            super(locale, qName);
        }

        @Override // org.apache.xmlbeans.impl.store.Xobj.ElementXobj, org.apache.xmlbeans.impl.store.Xobj, org.apache.xmlbeans.impl.store.Xobj.SoapElementXobj
        public Xobj newNode(Locale locale) {
            return new SoapBodyElementXobj(locale, this._name);
        }
    }

    public static class SoapBodyXobj extends SoapElementXobj implements SOAPBody {
        public SoapBodyXobj(Locale locale, QName qName) {
            super(locale, qName);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPBody
        public SOAPBodyElement addBodyElement(Name name) {
            return DomImpl.soapBody_addBodyElement(this, name);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPBody
        public SOAPBodyElement addDocument(Document document) {
            return DomImpl.soapBody_addDocument(this, document);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPBody
        public SOAPFault addFault() {
            return DomImpl.soapBody_addFault(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPBody
        public SOAPFault getFault() {
            return DomImpl.soapBody_getFault(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPBody
        public boolean hasFault() {
            return DomImpl.soapBody_hasFault(this);
        }

        @Override // org.apache.xmlbeans.impl.store.Xobj.ElementXobj, org.apache.xmlbeans.impl.store.Xobj, org.apache.xmlbeans.impl.store.Xobj.SoapElementXobj
        public Xobj newNode(Locale locale) {
            return new SoapBodyXobj(locale, this._name);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPBody
        public SOAPFault addFault(Name name, String str) {
            return DomImpl.soapBody_addFault(this, name, str);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPBody
        public SOAPFault addFault(Name name, String str, Locale locale) {
            return DomImpl.soapBody_addFault(this, name, str, locale);
        }
    }

    public static class SoapElementXobj extends ElementXobj implements SOAPElement, org.apache.xmlbeans.impl.soap.Node {
        public SoapElementXobj(Locale locale, QName qName) {
            super(locale, qName);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPElement
        public SOAPElement addAttribute(Name name, String str) {
            return DomImpl._soapElement_addAttribute(this, name, str);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPElement
        public SOAPElement addChildElement(SOAPElement sOAPElement) {
            return DomImpl._soapElement_addChildElement(this, sOAPElement);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPElement
        public SOAPElement addNamespaceDeclaration(String str, String str2) {
            return DomImpl._soapElement_addNamespaceDeclaration(this, str, str2);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPElement
        public SOAPElement addTextNode(String str) {
            return DomImpl._soapElement_addTextNode(this, str);
        }

        @Override // org.apache.xmlbeans.impl.soap.Node
        public void detachNode() {
            DomImpl._soapNode_detachNode(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPElement
        public Iterator getAllAttributes() {
            return DomImpl._soapElement_getAllAttributes(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPElement
        public String getAttributeValue(Name name) {
            return DomImpl._soapElement_getAttributeValue(this, name);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPElement
        public Iterator getChildElements() {
            return DomImpl._soapElement_getChildElements(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPElement
        public Name getElementName() {
            return DomImpl._soapElement_getElementName(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPElement
        public String getEncodingStyle() {
            return DomImpl._soapElement_getEncodingStyle(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPElement
        public Iterator getNamespacePrefixes() {
            return DomImpl._soapElement_getNamespacePrefixes(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPElement
        public String getNamespaceURI(String str) {
            return DomImpl._soapElement_getNamespaceURI(this, str);
        }

        @Override // org.apache.xmlbeans.impl.soap.Node
        public SOAPElement getParentElement() {
            return DomImpl._soapNode_getParentElement(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.Node
        public String getValue() {
            return DomImpl._soapNode_getValue(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPElement
        public Iterator getVisibleNamespacePrefixes() {
            return DomImpl._soapElement_getVisibleNamespacePrefixes(this);
        }

        @Override // org.apache.xmlbeans.impl.store.Xobj.ElementXobj, org.apache.xmlbeans.impl.store.Xobj
        public Xobj newNode(Locale locale) {
            return new SoapElementXobj(locale, this._name);
        }

        @Override // org.apache.xmlbeans.impl.soap.Node
        public void recycleNode() {
            DomImpl._soapNode_recycleNode(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPElement
        public boolean removeAttribute(Name name) {
            return DomImpl._soapElement_removeAttribute(this, name);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPElement
        public void removeContents() {
            DomImpl._soapElement_removeContents(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPElement
        public boolean removeNamespaceDeclaration(String str) {
            return DomImpl._soapElement_removeNamespaceDeclaration(this, str);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPElement
        public void setEncodingStyle(String str) {
            DomImpl._soapElement_setEncodingStyle(this, str);
        }

        @Override // org.apache.xmlbeans.impl.soap.Node
        public void setParentElement(SOAPElement sOAPElement) {
            DomImpl._soapNode_setParentElement(this, sOAPElement);
        }

        @Override // org.apache.xmlbeans.impl.soap.Node
        public void setValue(String str) {
            DomImpl._soapNode_setValue(this, str);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPElement
        public SOAPElement addChildElement(Name name) {
            return DomImpl._soapElement_addChildElement(this, name);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPElement
        public Iterator getChildElements(Name name) {
            return DomImpl._soapElement_getChildElements(this, name);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPElement
        public SOAPElement addChildElement(String str) {
            return DomImpl._soapElement_addChildElement(this, str);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPElement
        public SOAPElement addChildElement(String str, String str2) {
            return DomImpl._soapElement_addChildElement(this, str, str2);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPElement
        public SOAPElement addChildElement(String str, String str2, String str3) {
            return DomImpl._soapElement_addChildElement(this, str, str2, str3);
        }
    }

    public static class SoapEnvelopeXobj extends SoapElementXobj implements SOAPEnvelope {
        public SoapEnvelopeXobj(Locale locale, QName qName) {
            super(locale, qName);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPEnvelope
        public SOAPBody addBody() {
            return DomImpl._soapEnvelope_addBody(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPEnvelope
        public SOAPHeader addHeader() {
            return DomImpl._soapEnvelope_addHeader(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPEnvelope
        public Name createName(String str) {
            return DomImpl._soapEnvelope_createName(this, str);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPEnvelope
        public SOAPBody getBody() {
            return DomImpl._soapEnvelope_getBody(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPEnvelope
        public SOAPHeader getHeader() {
            return DomImpl._soapEnvelope_getHeader(this);
        }

        @Override // org.apache.xmlbeans.impl.store.Xobj.ElementXobj, org.apache.xmlbeans.impl.store.Xobj, org.apache.xmlbeans.impl.store.Xobj.SoapElementXobj
        public Xobj newNode(Locale locale) {
            return new SoapEnvelopeXobj(locale, this._name);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPEnvelope
        public Name createName(String str, String str2, String str3) {
            return DomImpl._soapEnvelope_createName(this, str, str2, str3);
        }
    }

    public static class SoapFaultElementXobj extends SoapElementXobj implements SOAPFaultElement {
        public SoapFaultElementXobj(Locale locale, QName qName) {
            super(locale, qName);
        }

        @Override // org.apache.xmlbeans.impl.store.Xobj.ElementXobj, org.apache.xmlbeans.impl.store.Xobj, org.apache.xmlbeans.impl.store.Xobj.SoapElementXobj
        public Xobj newNode(Locale locale) {
            return new SoapFaultElementXobj(locale, this._name);
        }
    }

    public static class SoapFaultXobj extends SoapBodyElementXobj implements SOAPFault {
        public SoapFaultXobj(Locale locale, QName qName) {
            super(locale, qName);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPFault
        public Detail addDetail() {
            return DomImpl.soapFault_addDetail(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPFault
        public Detail getDetail() {
            return DomImpl.soapFault_getDetail(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPFault
        public String getFaultActor() {
            return DomImpl.soapFault_getFaultActor(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPFault
        public String getFaultCode() {
            return DomImpl.soapFault_getFaultCode(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPFault
        public Name getFaultCodeAsName() {
            return DomImpl.soapFault_getFaultCodeAsName(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPFault
        public String getFaultString() {
            return DomImpl.soapFault_getFaultString(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPFault
        public Locale getFaultStringLocale() {
            return DomImpl.soapFault_getFaultStringLocale(this);
        }

        @Override // org.apache.xmlbeans.impl.store.Xobj.ElementXobj, org.apache.xmlbeans.impl.store.Xobj.SoapBodyElementXobj, org.apache.xmlbeans.impl.store.Xobj, org.apache.xmlbeans.impl.store.Xobj.SoapElementXobj
        public Xobj newNode(Locale locale) {
            return new SoapFaultXobj(locale, this._name);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPFault
        public void setFaultActor(String str) {
            DomImpl.soapFault_setFaultActor(this, str);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPFault
        public void setFaultCode(Name name) {
            DomImpl.soapFault_setFaultCode(this, name);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPFault
        public void setFaultString(String str) {
            DomImpl.soapFault_setFaultString(this, str);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPFault
        public void setFaultCode(String str) {
            DomImpl.soapFault_setFaultCode(this, str);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPFault
        public void setFaultString(String str, Locale locale) {
            DomImpl.soapFault_setFaultString(this, str, locale);
        }
    }

    public static class SoapHeaderElementXobj extends SoapElementXobj implements SOAPHeaderElement {
        public SoapHeaderElementXobj(Locale locale, QName qName) {
            super(locale, qName);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPHeaderElement
        public String getActor() {
            return DomImpl.soapHeaderElement_getActor(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPHeaderElement
        public boolean getMustUnderstand() {
            return DomImpl.soapHeaderElement_getMustUnderstand(this);
        }

        @Override // org.apache.xmlbeans.impl.store.Xobj.ElementXobj, org.apache.xmlbeans.impl.store.Xobj, org.apache.xmlbeans.impl.store.Xobj.SoapElementXobj
        public Xobj newNode(Locale locale) {
            return new SoapHeaderElementXobj(locale, this._name);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPHeaderElement
        public void setActor(String str) {
            DomImpl.soapHeaderElement_setActor(this, str);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPHeaderElement
        public void setMustUnderstand(boolean z) {
            DomImpl.soapHeaderElement_setMustUnderstand(this, z);
        }
    }

    public static class SoapHeaderXobj extends SoapElementXobj implements SOAPHeader {
        public SoapHeaderXobj(Locale locale, QName qName) {
            super(locale, qName);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPHeader
        public SOAPHeaderElement addHeaderElement(Name name) {
            return DomImpl.soapHeader_addHeaderElement(this, name);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPHeader
        public Iterator examineAllHeaderElements() {
            return DomImpl.soapHeader_examineAllHeaderElements(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPHeader
        public Iterator examineHeaderElements(String str) {
            return DomImpl.soapHeader_examineHeaderElements(this, str);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPHeader
        public Iterator examineMustUnderstandHeaderElements(String str) {
            return DomImpl.soapHeader_examineMustUnderstandHeaderElements(this, str);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPHeader
        public Iterator extractAllHeaderElements() {
            return DomImpl.soapHeader_extractAllHeaderElements(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPHeader
        public Iterator extractHeaderElements(String str) {
            return DomImpl.soapHeader_extractHeaderElements(this, str);
        }

        @Override // org.apache.xmlbeans.impl.store.Xobj.ElementXobj, org.apache.xmlbeans.impl.store.Xobj, org.apache.xmlbeans.impl.store.Xobj.SoapElementXobj
        public Xobj newNode(Locale locale) {
            return new SoapHeaderXobj(locale, this._name);
        }
    }

    public static class SoapPartDocXobj extends DocumentXobj {
        public SoapPartDom _soapPartDom = new SoapPartDom(this);

        public SoapPartDocXobj(Locale locale) {
            super(locale);
        }

        @Override // org.apache.xmlbeans.impl.store.Xobj, org.apache.xmlbeans.impl.store.Xobj.NodeXobj
        public DomImpl.Dom getDom() {
            return this._soapPartDom;
        }

        @Override // org.apache.xmlbeans.impl.store.Xobj, org.apache.xmlbeans.impl.store.Xobj.DocumentXobj
        public Xobj newNode(Locale locale) {
            return new SoapPartDocXobj(locale);
        }
    }

    public static class SoapPartDom extends SOAPPart implements DomImpl.Dom, Document, NodeList {
        public SoapPartDocXobj _docXobj;

        public SoapPartDom(SoapPartDocXobj soapPartDocXobj) {
            this._docXobj = soapPartDocXobj;
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPPart
        public void addMimeHeader(String str, String str2) {
            DomImpl._soapPart_addMimeHeader(this, str, str2);
        }

        @Override // org.w3c.dom.Document
        public Node adoptNode(Node node) {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }

        @Override // org.w3c.dom.Node
        public Node appendChild(Node node) {
            return DomImpl._node_appendChild(this, node);
        }

        @Override // org.w3c.dom.Node
        public Node cloneNode(boolean z) {
            return DomImpl._node_cloneNode(this, z);
        }

        @Override // org.w3c.dom.Node
        public short compareDocumentPosition(Node node) {
            return DomImpl._node_compareDocumentPosition(this, node);
        }

        @Override // org.w3c.dom.Document
        public Attr createAttribute(String str) {
            return DomImpl._document_createAttribute(this, str);
        }

        @Override // org.w3c.dom.Document
        public Attr createAttributeNS(String str, String str2) {
            return DomImpl._document_createAttributeNS(this, str, str2);
        }

        @Override // org.w3c.dom.Document
        public CDATASection createCDATASection(String str) {
            return DomImpl._document_createCDATASection(this, str);
        }

        @Override // org.w3c.dom.Document
        public Comment createComment(String str) {
            return DomImpl._document_createComment(this, str);
        }

        @Override // org.w3c.dom.Document
        public DocumentFragment createDocumentFragment() {
            return DomImpl._document_createDocumentFragment(this);
        }

        @Override // org.w3c.dom.Document
        public Element createElement(String str) {
            return DomImpl._document_createElement(this, str);
        }

        @Override // org.w3c.dom.Document
        public Element createElementNS(String str, String str2) {
            return DomImpl._document_createElementNS(this, str, str2);
        }

        @Override // org.w3c.dom.Document
        public EntityReference createEntityReference(String str) {
            return DomImpl._document_createEntityReference(this, str);
        }

        @Override // org.w3c.dom.Document
        public ProcessingInstruction createProcessingInstruction(String str, String str2) {
            return DomImpl._document_createProcessingInstruction(this, str, str2);
        }

        @Override // org.w3c.dom.Document
        public Text createTextNode(String str) {
            return DomImpl._document_createTextNode(this, str);
        }

        @Override // org.apache.xmlbeans.impl.store.DomImpl.Dom
        public void dump() {
            dump(System.out);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPPart
        public Iterator getAllMimeHeaders() {
            return DomImpl._soapPart_getAllMimeHeaders(this);
        }

        @Override // org.w3c.dom.Node
        public NamedNodeMap getAttributes() {
            return null;
        }

        @Override // org.w3c.dom.Node
        public String getBaseURI() {
            return DomImpl._node_getBaseURI(this);
        }

        @Override // org.w3c.dom.Node
        public NodeList getChildNodes() {
            return this;
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPPart
        public Source getContent() {
            return DomImpl._soapPart_getContent(this);
        }

        @Override // org.w3c.dom.Document
        public DocumentType getDoctype() {
            return DomImpl._document_getDoctype(this);
        }

        @Override // org.w3c.dom.Document
        public Element getDocumentElement() {
            return DomImpl._document_getDocumentElement(this);
        }

        @Override // org.w3c.dom.Document
        public String getDocumentURI() {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }

        @Override // org.w3c.dom.Document
        public DOMConfiguration getDomConfig() {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }

        @Override // org.w3c.dom.Document
        public Element getElementById(String str) {
            return DomImpl._document_getElementById(this, str);
        }

        @Override // org.w3c.dom.Document
        public NodeList getElementsByTagName(String str) {
            return DomImpl._document_getElementsByTagName(this, str);
        }

        @Override // org.w3c.dom.Document
        public NodeList getElementsByTagNameNS(String str, String str2) {
            return DomImpl._document_getElementsByTagNameNS(this, str, str2);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPPart
        public SOAPEnvelope getEnvelope() {
            return DomImpl._soapPart_getEnvelope(this);
        }

        @Override // org.w3c.dom.Node
        public Object getFeature(String str, String str2) {
            return DomImpl._node_getFeature(this, str, str2);
        }

        @Override // org.w3c.dom.Node
        public Node getFirstChild() {
            return DomImpl._node_getFirstChild(this);
        }

        @Override // org.w3c.dom.Document
        public DOMImplementation getImplementation() {
            return DomImpl._document_getImplementation(this);
        }

        @Override // org.w3c.dom.Document
        public String getInputEncoding() {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }

        @Override // org.w3c.dom.Node
        public Node getLastChild() {
            return DomImpl._node_getLastChild(this);
        }

        @Override // org.w3c.dom.NodeList
        public int getLength() {
            return DomImpl._childNodes_getLength(this);
        }

        @Override // org.w3c.dom.Node
        public String getLocalName() {
            return DomImpl._node_getLocalName(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPPart
        public Iterator getMatchingMimeHeaders(String[] strArr) {
            return DomImpl._soapPart_getMatchingMimeHeaders(this, strArr);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPPart
        public String[] getMimeHeader(String str) {
            return DomImpl._soapPart_getMimeHeader(this, str);
        }

        @Override // org.w3c.dom.Node
        public String getNamespaceURI() {
            return DomImpl._node_getNamespaceURI(this);
        }

        @Override // org.w3c.dom.Node
        public Node getNextSibling() {
            return DomImpl._node_getNextSibling(this);
        }

        @Override // org.w3c.dom.Node
        public String getNodeName() {
            return DomImpl._node_getNodeName(this);
        }

        @Override // org.w3c.dom.Node
        public short getNodeType() {
            return DomImpl._node_getNodeType(this);
        }

        @Override // org.w3c.dom.Node
        public String getNodeValue() {
            return DomImpl._node_getNodeValue(this);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPPart
        public Iterator getNonMatchingMimeHeaders(String[] strArr) {
            return DomImpl._soapPart_getNonMatchingMimeHeaders(this, strArr);
        }

        @Override // org.w3c.dom.Node
        public Document getOwnerDocument() {
            return DomImpl._node_getOwnerDocument(this);
        }

        @Override // org.w3c.dom.Node
        public Node getParentNode() {
            return DomImpl._node_getParentNode(this);
        }

        @Override // org.w3c.dom.Node
        public String getPrefix() {
            return DomImpl._node_getPrefix(this);
        }

        @Override // org.w3c.dom.Node
        public Node getPreviousSibling() {
            return DomImpl._node_getPreviousSibling(this);
        }

        @Override // org.apache.xmlbeans.impl.store.DomImpl.Dom
        public QName getQName() {
            return this._docXobj._name;
        }

        @Override // org.w3c.dom.Document
        public boolean getStrictErrorChecking() {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }

        @Override // org.w3c.dom.Node
        public String getTextContent() {
            return DomImpl._node_getTextContent(this);
        }

        @Override // org.w3c.dom.Node
        public Object getUserData(String str) {
            return DomImpl._node_getUserData(this, str);
        }

        @Override // org.w3c.dom.Document
        public String getXmlEncoding() {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }

        @Override // org.w3c.dom.Document
        public boolean getXmlStandalone() {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }

        @Override // org.w3c.dom.Document
        public String getXmlVersion() {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }

        @Override // org.w3c.dom.Node
        public boolean hasAttributes() {
            return DomImpl._node_hasAttributes(this);
        }

        @Override // org.w3c.dom.Node
        public boolean hasChildNodes() {
            return DomImpl._node_hasChildNodes(this);
        }

        @Override // org.w3c.dom.Document
        public Node importNode(Node node, boolean z) {
            return DomImpl._document_importNode(this, node, z);
        }

        @Override // org.w3c.dom.Node
        public Node insertBefore(Node node, Node node2) {
            return DomImpl._node_insertBefore(this, node, node2);
        }

        @Override // org.w3c.dom.Node
        public boolean isDefaultNamespace(String str) {
            return DomImpl._node_isDefaultNamespace(this, str);
        }

        @Override // org.w3c.dom.Node
        public boolean isEqualNode(Node node) {
            return DomImpl._node_isEqualNode(this, node);
        }

        @Override // org.w3c.dom.Node
        public boolean isSameNode(Node node) {
            return DomImpl._node_isSameNode(this, node);
        }

        @Override // org.w3c.dom.Node
        public boolean isSupported(String str, String str2) {
            return DomImpl._node_isSupported(this, str, str2);
        }

        @Override // org.w3c.dom.NodeList
        public Node item(int i2) {
            return DomImpl._childNodes_item(this, i2);
        }

        @Override // org.apache.xmlbeans.impl.store.DomImpl.Dom
        public Locale locale() {
            return this._docXobj._locale;
        }

        @Override // org.w3c.dom.Node
        public String lookupNamespaceURI(String str) {
            return DomImpl._node_lookupNamespaceURI(this, str);
        }

        @Override // org.w3c.dom.Node
        public String lookupPrefix(String str) {
            return DomImpl._node_lookupPrefix(this, str);
        }

        public String name() {
            return "#document";
        }

        @Override // org.apache.xmlbeans.impl.store.DomImpl.Dom
        public boolean nodeCanHavePrefixUri() {
            return true;
        }

        @Override // org.apache.xmlbeans.impl.store.DomImpl.Dom
        public int nodeType() {
            return 9;
        }

        @Override // org.w3c.dom.Node
        public void normalize() {
            DomImpl._node_normalize(this);
        }

        @Override // org.w3c.dom.Document
        public void normalizeDocument() {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPPart
        public void removeAllMimeHeaders() {
            DomImpl._soapPart_removeAllMimeHeaders(this);
        }

        @Override // org.w3c.dom.Node
        public Node removeChild(Node node) {
            return DomImpl._node_removeChild(this, node);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPPart
        public void removeMimeHeader(String str) {
            DomImpl._soapPart_removeMimeHeader(this, str);
        }

        @Override // org.w3c.dom.Document
        public Node renameNode(Node node, String str, String str2) {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }

        @Override // org.w3c.dom.Node
        public Node replaceChild(Node node, Node node2) {
            return DomImpl._node_replaceChild(this, node, node2);
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPPart
        public void setContent(Source source) {
            DomImpl._soapPart_setContent(this, source);
        }

        @Override // org.w3c.dom.Document
        public void setDocumentURI(String str) {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }

        @Override // org.apache.xmlbeans.impl.soap.SOAPPart
        public void setMimeHeader(String str, String str2) {
            DomImpl._soapPart_setMimeHeader(this, str, str2);
        }

        @Override // org.w3c.dom.Node
        public void setNodeValue(String str) {
            DomImpl._node_setNodeValue(this, str);
        }

        @Override // org.w3c.dom.Node
        public void setPrefix(String str) {
            DomImpl._node_setPrefix(this, str);
        }

        @Override // org.w3c.dom.Document
        public void setStrictErrorChecking(boolean z) {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }

        @Override // org.w3c.dom.Node
        public void setTextContent(String str) {
            DomImpl._node_setTextContent(this, str);
        }

        @Override // org.w3c.dom.Node
        public Object setUserData(String str, Object obj, UserDataHandler userDataHandler) {
            return DomImpl._node_setUserData(this, str, obj, userDataHandler);
        }

        @Override // org.w3c.dom.Document
        public void setXmlStandalone(boolean z) {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }

        @Override // org.w3c.dom.Document
        public void setXmlVersion(String str) {
            throw new RuntimeException("DOM Level 3 Not implemented");
        }

        @Override // org.apache.xmlbeans.impl.store.DomImpl.Dom
        public Cur tempCur() {
            return this._docXobj.tempCur();
        }

        @Override // org.apache.xmlbeans.impl.store.DomImpl.Dom
        public void dump(PrintStream printStream) {
            this._docXobj.dump(printStream);
        }

        @Override // org.apache.xmlbeans.impl.store.DomImpl.Dom
        public void dump(PrintStream printStream, Object obj) {
            this._docXobj.dump(printStream, obj);
        }
    }

    static {
        Class cls = class$org$apache$xmlbeans$impl$store$Xobj;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.store.Xobj");
            class$org$apache$xmlbeans$impl$store$Xobj = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
    }

    public Xobj(Locale locale, int i2, int i3) {
        if ($assertionsDisabled || i2 == 1 || i2 == 2 || i2 == 3 || i2 == 4 || i2 == 5) {
            this._locale = locale;
            this._bits = (i3 << 4) + i2;
            return;
        }
        throw new AssertionError();
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public static final void disbandXobjs(Xobj xobj, Xobj xobj2) {
        if (!$assertionsDisabled && xobj2._locale != xobj._locale) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && (xobj._parent != null || xobj2._parent != null)) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && xobj._prevSibling != null) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && xobj2._nextSibling != null) {
            throw new AssertionError();
        } else if ($assertionsDisabled || !xobj.isRoot()) {
            while (xobj != null) {
                Xobj xobj3 = xobj._nextSibling;
                xobj._prevSibling = null;
                xobj._nextSibling = null;
                xobj = xobj3;
            }
        } else {
            throw new AssertionError();
        }
    }

    public static TypeStoreUser insertElement(QName qName, Xobj xobj, int i2) {
        xobj._locale.enter();
        try {
            Cur tempCur = xobj._locale.tempCur();
            tempCur.moveTo(xobj, i2);
            tempCur.createElement(qName);
            TypeStoreUser user = tempCur.getUser();
            tempCur.release();
            return user;
        } finally {
            xobj._locale.exit();
        }
    }

    public static void removeElement(Xobj xobj) {
        if (xobj != null) {
            xobj._locale.enter();
            try {
                Cur tempCur = xobj.tempCur();
                tempCur.moveNode(null);
                tempCur.release();
            } finally {
                xobj._locale.exit();
            }
        } else {
            throw new IndexOutOfBoundsException();
        }
    }

    private void setValue(String str) {
        int i2;
        Xobj xobj;
        if (!$assertionsDisabled && !CharUtil.isValid(str, 0, str.length())) {
            throw new AssertionError();
        } else if (str.length() > 0) {
            this._locale.notifyChange();
            Xobj lastAttr = lastAttr();
            if (lastAttr != null) {
                xobj = lastAttr;
                i2 = lastAttr.posAfter();
            } else {
                i2 = 1;
                xobj = this;
            }
            xobj.insertCharsHelper(i2, str, 0, str.length(), true);
        }
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public TypeStoreUser add_attribute_user(QName qName) {
        if (getAttr(qName) == null) {
            this._locale.enter();
            try {
                return setAttr(qName, "").getUser();
            } finally {
                this._locale.exit();
            }
        } else {
            throw new IndexOutOfBoundsException();
        }
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public TypeStoreUser add_element_user(QName qName) {
        if (isContainer()) {
            Xobj xobj = null;
            QNameSet qNameSet = null;
            boolean z = false;
            for (Xobj xobj2 = this._lastChild; xobj2 != null; xobj2 = xobj2._prevSibling) {
                if (xobj2.isContainer()) {
                    if (xobj2._name.equals(qName)) {
                        break;
                    }
                    if (!z) {
                        qNameSet = this._user.get_element_ending_delimiters(qName);
                        z = true;
                    }
                    if (qNameSet == null || qNameSet.contains(xobj2._name)) {
                        xobj = xobj2;
                    }
                }
            }
            return xobj == null ? insertElement(qName, this, -1) : insertElement(qName, xobj, 0);
        }
        throw new IllegalStateException();
    }

    public final Xobj appendXobj(Xobj xobj) {
        if (!$assertionsDisabled && this._locale != xobj._locale) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && xobj.isRoot()) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && xobj._parent != null) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && xobj._prevSibling != null) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && xobj._nextSibling != null) {
            throw new AssertionError();
        } else if ($assertionsDisabled || this._lastChild == null || this._firstChild != null) {
            xobj._parent = this;
            Xobj xobj2 = this._lastChild;
            xobj._prevSibling = xobj2;
            if (xobj2 == null) {
                this._firstChild = xobj;
            } else {
                xobj2._nextSibling = xobj;
            }
            this._lastChild = xobj;
            return this;
        } else {
            throw new AssertionError();
        }
    }

    public final void appendXobjs(Xobj xobj, Xobj xobj2) {
        if (!$assertionsDisabled && this._locale != xobj._locale) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && xobj2._locale != xobj._locale) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && (xobj._parent != null || xobj2._parent != null)) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && xobj._prevSibling != null) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && xobj2._nextSibling != null) {
            throw new AssertionError();
        } else if ($assertionsDisabled || !xobj.isRoot()) {
            Xobj xobj3 = this._lastChild;
            xobj._prevSibling = xobj3;
            if (xobj3 == null) {
                this._firstChild = xobj;
            } else {
                xobj3._nextSibling = xobj;
            }
            this._lastChild = xobj2;
            while (xobj != null) {
                xobj._parent = this;
                xobj = xobj._nextSibling;
            }
        } else {
            throw new AssertionError();
        }
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public void array_setter(XmlObject[] xmlObjectArr, QName qName) {
        this._locale.enter();
        try {
            int length = xmlObjectArr.length;
            ArrayList arrayList = new ArrayList();
            ArrayList arrayList2 = new ArrayList();
            for (int i2 = 0; i2 < length; i2++) {
                if (xmlObjectArr[i2] != null) {
                    if (xmlObjectArr[i2].isImmutable()) {
                        arrayList.add(null);
                        arrayList2.add(null);
                    } else {
                        this = (Xobj) ((TypeStoreUser) xmlObjectArr[i2]).get_store();
                        if (this._locale == this._locale) {
                            arrayList.add(this.copyNode(this._locale));
                        } else {
                            this._locale.enter();
                            try {
                                arrayList.add(this.copyNode(this._locale));
                            } finally {
                                this._locale.exit();
                            }
                        }
                        arrayList2.add(xmlObjectArr[i2].schemaType());
                    }
                } else {
                    throw new IllegalArgumentException("Array element null");
                }
            }
            int count_elements = count_elements(qName);
            while (count_elements > length) {
                remove_element(qName, length);
                count_elements--;
            }
            while (length > count_elements) {
                add_element_user(qName);
                count_elements++;
            }
            if ($assertionsDisabled || length == count_elements) {
                ArrayList arrayList3 = new ArrayList();
                find_all_element_users(qName, arrayList3);
                for (int i3 = 0; i3 < arrayList3.size(); i3++) {
                    arrayList3.set(i3, (Xobj) ((TypeStoreUser) arrayList3.get(i3)).get_store());
                }
                if ($assertionsDisabled || arrayList3.size() == count_elements) {
                    Cur tempCur = tempCur();
                    for (int i4 = 0; i4 < count_elements; i4++) {
                        Xobj xobj = (Xobj) arrayList3.get(i4);
                        if (xmlObjectArr[i4].isImmutable()) {
                            xobj.getObject().set(xmlObjectArr[i4]);
                        } else {
                            Cur.moveNodeContents(xobj, null, true);
                            tempCur.moveTo(xobj);
                            tempCur.next();
                            Cur.moveNodeContents((Xobj) arrayList.get(i4), tempCur, true);
                            xobj.change_type((SchemaType) arrayList2.get(i4));
                        }
                    }
                    tempCur.release();
                    this._locale.exit();
                    return;
                }
                throw new AssertionError();
            }
            throw new AssertionError();
        } finally {
            this._locale.exit();
        }
    }

    public final boolean bitIsClear(int i2) {
        return (i2 & this._bits) == 0;
    }

    public final boolean bitIsSet(int i2) {
        return (i2 & this._bits) != 0;
    }

    public final int cchAfter() {
        return this._cchAfter;
    }

    public final int cchLeft(int i2) {
        if (isRoot() && i2 == 0) {
            return 0;
        }
        Xobj denormal = getDenormal(i2);
        int posTemp = posTemp();
        int posAfter = denormal.posAfter();
        if (posTemp < posAfter) {
            posAfter = 1;
        }
        return posTemp - posAfter;
    }

    public final int cchRight(int i2) {
        if (!$assertionsDisabled && i2 >= posMax()) {
            throw new AssertionError();
        } else if (i2 <= 0) {
            return 0;
        } else {
            int posAfter = posAfter();
            if (i2 < posAfter) {
                return (posAfter - i2) - 1;
            }
            return posMax() - i2;
        }
    }

    public final int cchValue() {
        return this._cchValue;
    }

    /* JADX INFO: finally extract failed */
    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public TypeStoreUser change_type(SchemaType schemaType) {
        this._locale.enter();
        try {
            Cur tempCur = tempCur();
            tempCur.setType(schemaType, false);
            tempCur.release();
            this._locale.exit();
            return getUser();
        } catch (Throwable th) {
            this._locale.exit();
            throw th;
        }
    }

    public final void clearBit(int i2) {
        this._bits = (~i2) & this._bits;
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public String compute_default_text() {
        if (isRoot()) {
            return null;
        }
        TypeStoreUser user = ensureParent().getUser();
        if (isAttr()) {
            return user.get_default_attribute_text(this._name);
        }
        String str = user.get_default_element_text(this._name);
        if (str != null) {
            return str;
        }
        TypeStoreVisitor new_visitor = user.new_visitor();
        if (new_visitor == null) {
            return null;
        }
        Xobj xobj = this._parent._firstChild;
        while (true) {
            if (xobj.isElem()) {
                new_visitor.visit(xobj._name);
                if (xobj == this) {
                    return new_visitor.get_default_text();
                }
            }
            xobj = xobj._nextSibling;
        }
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public int compute_flags() {
        if (isRoot()) {
            return 0;
        }
        TypeStoreUser user = ensureParent().getUser();
        if (isAttr()) {
            return user.get_attributeflags(this._name);
        }
        int i2 = user.get_elementflags(this._name);
        if (i2 != -1) {
            return i2;
        }
        TypeStoreVisitor new_visitor = user.new_visitor();
        if (new_visitor == null) {
            return 0;
        }
        Xobj xobj = this._parent._firstChild;
        while (true) {
            if (xobj.isElem()) {
                new_visitor.visit(xobj._name);
                if (xobj == this) {
                    return new_visitor.get_elementflags();
                }
            }
            xobj = xobj._nextSibling;
        }
    }

    public final boolean contains(Cur cur) {
        if ($assertionsDisabled || cur.isNormal()) {
            return contains(cur._xobj, cur._pos);
        }
        throw new AssertionError();
    }

    /* JADX INFO: finally extract failed */
    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public TypeStoreUser copy(SchemaTypeLoader schemaTypeLoader, SchemaType schemaType, XmlOptions xmlOptions) {
        Xobj xobj;
        XmlOptions maskNull = XmlOptions.maskNull(xmlOptions);
        SchemaType schemaType2 = (SchemaType) maskNull.get(XmlOptions.DOCUMENT_TYPE);
        if (schemaType2 == null) {
            schemaType2 = schemaType == null ? XmlObject.type : schemaType;
        }
        Locale locale = locale();
        if (Boolean.TRUE.equals(maskNull.get("COPY_USE_NEW_LOCALE"))) {
            locale = Locale.getLocale(schemaTypeLoader, maskNull);
        }
        if (schemaType2.isDocumentType() || (schemaType2.isNoType() && (this instanceof DocumentXobj))) {
            xobj = Cur.createDomDocumentRootXobj(locale, false);
        } else {
            xobj = Cur.createDomDocumentRootXobj(locale, true);
        }
        locale.enter();
        try {
            Cur tempCur = xobj.tempCur();
            tempCur.setType(schemaType);
            tempCur.release();
            locale.exit();
            return xobj.copy_contents_from(this);
        } catch (Throwable th) {
            locale.exit();
            throw th;
        }
    }

    public Xobj copyNode(Locale locale) {
        Xobj xobj = this;
        Xobj xobj2 = null;
        Xobj xobj3 = null;
        while (true) {
            xobj.ensureOccupancy();
            Xobj newNode = xobj.newNode(locale);
            newNode._srcValue = xobj._srcValue;
            newNode._offValue = xobj._offValue;
            newNode._cchValue = xobj._cchValue;
            newNode._srcAfter = xobj._srcAfter;
            newNode._offAfter = xobj._offAfter;
            newNode._cchAfter = xobj._cchAfter;
            for (Bookmark bookmark = xobj._bookmarks; bookmark != null; bookmark = bookmark._next) {
                if (xobj.hasBookmark(CDataBookmark.CDATA_BOOKMARK.getKey(), bookmark._pos)) {
                    newNode.setBookmark(bookmark._pos, CDataBookmark.CDATA_BOOKMARK.getKey(), CDataBookmark.CDATA_BOOKMARK);
                }
            }
            if (xobj2 == null) {
                xobj3 = newNode;
            } else {
                xobj2.appendXobj(newNode);
            }
            Xobj walk = xobj.walk(this, true);
            if (walk == null) {
                xobj3._srcAfter = null;
                xobj3._offAfter = 0;
                xobj3._cchAfter = 0;
                return xobj3;
            }
            if (xobj != walk._parent) {
                while (true) {
                    xobj = xobj._parent;
                    if (xobj == walk._parent) {
                        break;
                    }
                    xobj2 = xobj2._parent;
                }
            } else {
                xobj2 = newNode;
            }
            xobj = walk;
        }
    }

    /* JADX INFO: finally extract failed */
    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public TypeStoreUser copy_contents_from(TypeStore typeStore) {
        Xobj xobj = (Xobj) typeStore;
        if (xobj == this) {
            return getUser();
        }
        this._locale.enter();
        try {
            xobj._locale.enter();
            Cur tempCur = tempCur();
            try {
                Cur tempCur2 = xobj.tempCur();
                Map allNamespaces = Locale.getAllNamespaces(tempCur2, null);
                tempCur2.release();
                if (isAttr()) {
                    Cur tempCur3 = xobj.tempCur();
                    String textValue = Locale.getTextValue(tempCur3);
                    tempCur3.release();
                    tempCur.setValue(textValue);
                } else {
                    disconnectChildrenUsers();
                    if (!$assertionsDisabled) {
                        if (inhibitDisconnect()) {
                            throw new AssertionError();
                        }
                    }
                    setBit(1024);
                    QName xsiTypeName = isContainer() ? getXsiTypeName() : null;
                    Xobj copyNode = xobj.copyNode(this._locale);
                    Cur.moveNodeContents(this, null, true);
                    tempCur.next();
                    Cur.moveNodeContents(copyNode, tempCur, true);
                    tempCur.moveTo(this);
                    if (xsiTypeName != null) {
                        tempCur.setXsiType(xsiTypeName);
                    }
                    if (!$assertionsDisabled) {
                        if (!inhibitDisconnect()) {
                            throw new AssertionError();
                        }
                    }
                    clearBit(1024);
                }
                if (allNamespaces != null) {
                    if (!tempCur.isContainer()) {
                        tempCur.toParent();
                    }
                    Locale.applyNamespaces(tempCur, allNamespaces);
                }
                tempCur.release();
                xobj._locale.exit();
                this._locale.exit();
                return getUser();
            } catch (Throwable th) {
                tempCur.release();
                xobj._locale.exit();
                throw th;
            }
        } catch (Throwable th2) {
            this._locale.exit();
            throw th2;
        }
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public int count_elements(QName qName) {
        return this._locale.count(this, qName, null);
    }

    public void disconnectChildrenUsers() {
        Xobj walk = walk(this, this._user == null);
        while (walk != null) {
            Xobj walk2 = walk.walk(this, walk._user != null);
            walk.disconnectUser();
            walk = walk2;
        }
    }

    public void disconnectNonRootUsers() {
        Xobj xobj = this;
        while (xobj != null) {
            Xobj walk = xobj.walk(this, xobj._user != null);
            if (!xobj.isRoot()) {
                xobj.disconnectUser();
            }
            xobj = walk;
        }
    }

    public void disconnectUser() {
        if (this._user != null && !inhibitDisconnect()) {
            ensureOccupancy();
            this._user.disconnect_store();
            this._user = null;
        }
    }

    public final int domType() {
        return (this._bits & 240) >> 4;
    }

    public void dump(PrintStream printStream, Object obj) {
        Cur.dump(printStream, this, obj);
    }

    public final void ensureOccupancy() {
        if (!$assertionsDisabled && !isValid()) {
            throw new AssertionError();
        } else if (!isVacant()) {
        } else {
            if ($assertionsDisabled || isUserNode()) {
                clearBit(256);
                TypeStoreUser typeStoreUser = this._user;
                this._user = null;
                String build_text = typeStoreUser.build_text(this);
                Locale locale = this._locale;
                long j = locale._versionAll;
                long j2 = locale._versionSansText;
                setValue(build_text);
                if ($assertionsDisabled || j2 == this._locale._versionSansText) {
                    this._locale._versionAll = j;
                    if ($assertionsDisabled || this._user == null) {
                        this._user = typeStoreUser;
                        return;
                    }
                    throw new AssertionError();
                }
                throw new AssertionError();
            }
            throw new AssertionError();
        }
    }

    public final Xobj ensureParent() {
        if ($assertionsDisabled || this._parent != null || (!isRoot() && cchAfter() == 0)) {
            Xobj xobj = this._parent;
            return xobj == null ? new DocumentFragXobj(this._locale).appendXobj(this) : xobj;
        }
        throw new AssertionError();
    }

    public final boolean entered() {
        return this._locale.entered();
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public XmlObject[] exec_query(String str, XmlOptions xmlOptions) {
        this._locale.enter();
        try {
            Cur tempCur = tempCur();
            XmlObject[] objectExecQuery = Query.objectExecQuery(tempCur, str, xmlOptions);
            tempCur.release();
            return objectExecQuery;
        } finally {
            this._locale.exit();
        }
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public String fetch_text(int i2) {
        this._locale.enter();
        try {
            if (!$assertionsDisabled) {
                if (!isValid() || !isOccupied()) {
                    throw new AssertionError();
                }
            }
            return getValueAsString(i2);
        } finally {
            this._locale.exit();
        }
    }

    public final Xobj findXmlnsForPrefix(String str) {
        if ($assertionsDisabled || (isContainer() && str != null)) {
            for (Xobj xobj = this; xobj != null; xobj = xobj._parent) {
                for (Xobj firstAttr = xobj.firstAttr(); firstAttr != null; firstAttr = firstAttr.nextAttr()) {
                    if (firstAttr.isXmlns() && firstAttr.getXmlnsPrefix().equals(str)) {
                        return firstAttr;
                    }
                }
            }
            return null;
        }
        throw new AssertionError();
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public void find_all_element_users(QName qName, List list) {
        for (Xobj xobj = this._firstChild; xobj != null; xobj = xobj._nextSibling) {
            if (xobj.isElem() && xobj._name.equals(qName)) {
                list.add(xobj.getUser());
            }
        }
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public TypeStoreUser find_attribute_user(QName qName) {
        Xobj attr = getAttr(qName);
        if (attr == null) {
            return null;
        }
        return attr.getUser();
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public TypeStoreUser find_element_user(QName qName, int i2) {
        for (Xobj xobj = this._firstChild; xobj != null; xobj = xobj._nextSibling) {
            if (xobj.isElem() && xobj._name.equals(qName) && i2 - 1 < 0) {
                return xobj.getUser();
            }
        }
        return null;
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public boolean find_nil() {
        boolean z = false;
        if (isAttr()) {
            return false;
        }
        this._locale.enter();
        try {
            Xobj attr = getAttr(Locale._xsiNil);
            if (attr != null) {
                String valueAsString = attr.getValueAsString(3);
                if (valueAsString.equals(SchemaSymbols.ATTVAL_TRUE) || valueAsString.equals("1")) {
                    z = true;
                }
            }
            return z;
        } finally {
            this._locale.exit();
        }
    }

    @Override // org.apache.xmlbeans.impl.values.NamespaceManager
    public String find_prefix_for_nsuri(String str, String str2) {
        this._locale.enter();
        try {
            return prefixForNamespace(str, str2, true);
        } finally {
            this._locale.exit();
        }
    }

    public final Xobj firstAttr() {
        Xobj xobj = this._firstChild;
        if (xobj == null || !xobj.isAttr()) {
            return null;
        }
        return this._firstChild;
    }

    public final Xobj getAttr(QName qName) {
        Xobj xobj = this._firstChild;
        while (xobj != null && xobj.isAttr()) {
            if (xobj._name.equals(qName)) {
                return xobj;
            }
            xobj = xobj._nextSibling;
        }
        return null;
    }

    public Object getChars(int i2, int i3, Cur cur) {
        Object chars = getChars(i2, i3);
        Locale locale = this._locale;
        cur._offSrc = locale._offSrc;
        cur._cchSrc = locale._cchSrc;
        return chars;
    }

    public String getCharsAfterAsString(int i2, int i3) {
        int i4 = i2 + this._cchValue + 2;
        if (i4 == posMax()) {
            i4 = -1;
        }
        return getCharsAsString(i4, i3, 1);
    }

    public String getCharsAsString(int i2, int i3, int i4) {
        if (cchRight(i2) == 0) {
            return "";
        }
        Object chars = getChars(i2, i3);
        if (i4 == 1) {
            Locale locale = this._locale;
            return CharUtil.getString(chars, locale._offSrc, locale._cchSrc);
        }
        Locale.ScrubBuffer scrubBuffer = Locale.getScrubBuffer(i4);
        Locale locale2 = this._locale;
        scrubBuffer.scrub(chars, locale2._offSrc, locale2._cchSrc);
        return scrubBuffer.getResultAsString();
    }

    public Object getCharsHelper(int i2, int i3) {
        Object obj;
        if ($assertionsDisabled || (i3 > 0 && cchRight(i2) >= i3)) {
            int posAfter = posAfter();
            if (i2 >= posAfter) {
                obj = this._srcAfter;
                this._locale._offSrc = (this._offAfter + i2) - posAfter;
            } else {
                obj = this._srcValue;
                this._locale._offSrc = (this._offValue + i2) - 1;
            }
            this._locale._cchSrc = i3;
            return obj;
        }
        throw new AssertionError();
    }

    public String getCharsValueAsString(int i2, int i3) {
        return getCharsAsString(i2 + 1, i3, 1);
    }

    public final Xobj getDenormal(int i2) {
        Xobj xobj;
        Xobj xobj2;
        int posMax;
        if ($assertionsDisabled || !isRoot() || i2 == -1 || i2 > 0) {
            if (i2 == 0) {
                xobj2 = this._prevSibling;
                if (xobj2 == null) {
                    xobj2 = ensureParent();
                    posMax = xobj2.posAfter() - 1;
                } else {
                    posMax = xobj2.posMax();
                }
            } else {
                if (i2 == -1) {
                    xobj2 = this._lastChild;
                    if (xobj2 == null) {
                        i2 = posAfter() - 1;
                    } else {
                        posMax = xobj2.posMax();
                    }
                }
                xobj = this;
                this._locale._posTemp = i2;
                return xobj;
            }
            xobj = xobj2;
            i2 = posMax;
            this._locale._posTemp = i2;
            return xobj;
        }
        throw new AssertionError();
    }

    public abstract DomImpl.Dom getDom();

    public final int getDomZeroOneChildren() {
        Xobj xobj;
        DomImpl.CharNode charNode;
        if (this._firstChild == null && this._srcValue == null && this._charNodesValue == null) {
            return 0;
        }
        Xobj xobj2 = this._lastChild;
        if (xobj2 != null && xobj2.isAttr()) {
            Xobj xobj3 = this._lastChild;
            if (xobj3._charNodesAfter == null && xobj3._srcAfter == null && this._srcValue == null && this._charNodesValue == null) {
                return 0;
            }
        }
        Xobj xobj4 = this._firstChild;
        if (xobj4 == this._lastChild && xobj4 != null && !xobj4.isAttr() && this._srcValue == null && this._charNodesValue == null && this._firstChild._srcAfter == null) {
            return 1;
        }
        if (this._firstChild == null && this._srcValue != null && ((charNode = this._charNodesValue) == null || (charNode._next == null && charNode._cch == this._cchValue))) {
            return 1;
        }
        Xobj lastAttr = lastAttr();
        if (lastAttr == null) {
            xobj = null;
        } else {
            xobj = lastAttr._nextSibling;
        }
        if (lastAttr != null && lastAttr._srcAfter == null && xobj != null && xobj._srcAfter == null && xobj._nextSibling == null) {
            return 1;
        }
        return 2;
    }

    public final Cur getEmbedded() {
        this._locale.embedCurs();
        return this._embedded;
    }

    public Object getFirstChars() {
        ensureOccupancy();
        if (this._cchValue > 0) {
            return getChars(1, -1);
        }
        Xobj lastAttr = lastAttr();
        if (lastAttr != null && lastAttr._cchAfter > 0) {
            return lastAttr.getChars(lastAttr.posAfter(), -1);
        }
        Locale locale = this._locale;
        locale._offSrc = 0;
        locale._cchSrc = 0;
        return null;
    }

    @Override // org.apache.xmlbeans.impl.common.PrefixResolver
    public String getNamespaceForPrefix(String str) {
        return namespaceForPrefix(str, true);
    }

    public final Xobj getNormal(int i2) {
        Xobj xobj;
        if ($assertionsDisabled || i2 == -1 || (i2 >= 0 && i2 <= posMax())) {
            if (i2 == posMax()) {
                Xobj xobj2 = this._nextSibling;
                if (xobj2 != null) {
                    xobj = xobj2;
                    i2 = 0;
                    this._locale._posTemp = i2;
                    return xobj;
                }
                xobj = ensureParent();
            } else if (i2 == posAfter() - 1) {
                xobj = this;
            } else {
                xobj = this;
                this._locale._posTemp = i2;
                return xobj;
            }
            i2 = -1;
            this._locale._posTemp = i2;
            return xobj;
        }
        throw new AssertionError();
    }

    public final XmlObject getObject() {
        if (isUserNode()) {
            return (XmlObject) getUser();
        }
        return null;
    }

    public final QName getQName() {
        return this._name;
    }

    public String getString(int i2, int i3) {
        String str;
        int cchRight = cchRight(i2);
        if (cchRight == 0) {
            return "";
        }
        if (i3 < 0 || i3 > cchRight) {
            i3 = cchRight;
        }
        int posAfter = posAfter();
        if ($assertionsDisabled || i2 > 0) {
            if (i2 >= posAfter) {
                str = CharUtil.getString(this._srcAfter, (this._offAfter + i2) - posAfter, i3);
                if (i2 == posAfter && i3 == this._cchAfter) {
                    this._srcAfter = str;
                    this._offAfter = 0;
                }
            } else {
                str = CharUtil.getString(this._srcValue, (this._offValue + i2) - 1, i3);
                if (i2 == 1 && i3 == this._cchValue) {
                    this._srcValue = str;
                    this._offValue = 0;
                }
            }
            return str;
        }
        throw new AssertionError();
    }

    public final TypeStoreUser getUser() {
        if (!$assertionsDisabled && !isUserNode()) {
            throw new AssertionError();
        } else if ($assertionsDisabled || this._user != null || (!isRoot() && !isStableUser())) {
            if (this._user == null) {
                Xobj xobj = this._parent;
                TypeStoreUser createTypeStoreUser = xobj == null ? ((TypeStoreUserFactory) XmlBeans.NO_TYPE).createTypeStoreUser() : xobj.getUser();
                TypeStoreUser create_element_user = isElem() ? createTypeStoreUser.create_element_user(this._name, getXsiTypeName()) : createTypeStoreUser.create_attribute_user(this._name);
                this._user = create_element_user;
                create_element_user.attach_store(this);
            }
            return this._user;
        } else {
            throw new AssertionError();
        }
    }

    public final QName getValueAsQName() {
        String str;
        if ($assertionsDisabled || !hasChildren()) {
            String valueAsString = getValueAsString(3);
            int indexOf = valueAsString.indexOf(58);
            if (indexOf >= 0) {
                str = valueAsString.substring(0, indexOf);
                valueAsString = valueAsString.substring(indexOf + 1);
            } else {
                str = "";
            }
            String namespaceForPrefix = namespaceForPrefix(str, true);
            if (namespaceForPrefix == null) {
                return null;
            }
            return new QName(namespaceForPrefix, valueAsString);
        }
        throw new AssertionError();
    }

    public String getValueAsString(int i2) {
        if (!hasChildren()) {
            Object firstChars = getFirstChars();
            if (i2 == 1) {
                Locale locale = this._locale;
                String string = CharUtil.getString(firstChars, locale._offSrc, locale._cchSrc);
                int length = string.length();
                if (length > 0) {
                    Xobj lastAttr = lastAttr();
                    if (!$assertionsDisabled) {
                        if ((lastAttr == null ? this._cchValue : lastAttr._cchAfter) != length) {
                            throw new AssertionError();
                        }
                    }
                    if (lastAttr != null) {
                        lastAttr._srcAfter = string;
                        lastAttr._offAfter = 0;
                    } else {
                        this._srcValue = string;
                        this._offValue = 0;
                    }
                }
                return string;
            }
            Locale.ScrubBuffer scrubBuffer = Locale.getScrubBuffer(i2);
            Locale locale2 = this._locale;
            scrubBuffer.scrub(firstChars, locale2._offSrc, locale2._cchSrc);
            return scrubBuffer.getResultAsString();
        }
        Locale.ScrubBuffer scrubBuffer2 = Locale.getScrubBuffer(i2);
        Cur tempCur = tempCur();
        tempCur.push();
        tempCur.next();
        while (!tempCur.isAtEndOfLastPush()) {
            if (tempCur.isText()) {
                scrubBuffer2.scrub(tempCur.getChars(-1), tempCur._offSrc, tempCur._cchSrc);
            }
            if (tempCur.isComment() || tempCur.isProcinst()) {
                tempCur.skip();
            } else {
                tempCur.next();
            }
        }
        String resultAsString = scrubBuffer2.getResultAsString();
        tempCur.release();
        return resultAsString;
    }

    public final String getXmlnsPrefix() {
        return Locale.xmlnsPrefix(this._name);
    }

    public final String getXmlnsUri() {
        return getValueAsString();
    }

    public final QName getXsiTypeName() {
        if ($assertionsDisabled || isContainer()) {
            Xobj attr = getAttr(Locale._xsiType);
            if (attr == null) {
                return null;
            }
            return attr.getValueAsQName();
        }
        throw new AssertionError();
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public XmlLocale get_locale() {
        return this._locale;
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public Object get_root_object() {
        return this._locale;
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public SchemaField get_schema_field() {
        if (!$assertionsDisabled && !isValid()) {
            throw new AssertionError();
        } else if (isRoot()) {
            return null;
        } else {
            TypeStoreUser user = ensureParent().getUser();
            if (isAttr()) {
                return user.get_attribute_field(this._name);
            }
            if ($assertionsDisabled || isElem()) {
                TypeStoreVisitor new_visitor = user.new_visitor();
                if (new_visitor == null) {
                    return null;
                }
                Xobj xobj = this._parent._firstChild;
                while (true) {
                    if (xobj.isElem()) {
                        new_visitor.visit(xobj._name);
                        if (xobj == this) {
                            return new_visitor.get_schema_field();
                        }
                    }
                    xobj = xobj._nextSibling;
                }
            } else {
                throw new AssertionError();
            }
        }
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public SchemaTypeLoader get_schematypeloader() {
        return this._locale._schemaTypeLoader;
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public QName get_xsi_type() {
        return getXsiTypeName();
    }

    public final boolean hasAttrs() {
        Xobj xobj = this._firstChild;
        return xobj != null && xobj.isAttr();
    }

    public final boolean hasBookmark(Object obj, int i2) {
        for (Bookmark bookmark = this._bookmarks; bookmark != null; bookmark = bookmark._next) {
            if (bookmark._pos == i2 && obj == bookmark._key) {
                return true;
            }
        }
        return false;
    }

    public final boolean hasChildren() {
        Xobj xobj = this._lastChild;
        return xobj != null && !xobj.isAttr();
    }

    public final boolean hasTextEnsureOccupancy() {
        ensureOccupancy();
        return hasTextNoEnsureOccupancy();
    }

    public final boolean hasTextNoEnsureOccupancy() {
        if (this._cchValue > 0) {
            return true;
        }
        Xobj lastAttr = lastAttr();
        if (lastAttr == null || lastAttr._cchAfter <= 0) {
            return false;
        }
        return true;
    }

    public final boolean inChars(int i2, Xobj xobj, int i3, int i4, boolean z) {
        int i5;
        if (!$assertionsDisabled && (i2 <= 0 || i2 >= posMax() || i2 == posAfter() - 1 || i4 <= 0)) {
            throw new AssertionError();
        } else if ($assertionsDisabled || xobj.isNormal(i3)) {
            if (!z) {
                i5 = 0;
            } else if (xobj.isRoot() && i3 == 0) {
                return false;
            } else {
                xobj = xobj.getDenormal(i3);
                i3 = xobj.posTemp();
                i5 = 1;
            }
            if (xobj == this && i3 >= i2) {
                if (i4 < 0) {
                    i4 = cchRight(i2);
                }
                if (i3 < i2 + i4 + i5) {
                    return true;
                }
            }
            return false;
        } else {
            throw new AssertionError();
        }
    }

    public final boolean inhibitDisconnect() {
        return bitIsSet(1024);
    }

    public final void insertCharsHelper(int i2, Object obj, int i3, int i4, boolean z) {
        Xobj xobj;
        if (!$assertionsDisabled && i2 <= 0) {
            throw new AssertionError();
        } else if ($assertionsDisabled || i2 >= posAfter() || isOccupied()) {
            int posAfter = posAfter();
            if (i2 - (i2 < posAfter ? 1 : 2) < this._cchValue + this._cchAfter) {
                for (Cur embedded = getEmbedded(); embedded != null; embedded = embedded._next) {
                    int i5 = embedded._pos;
                    if (i5 >= i2) {
                        embedded._pos = i5 + i4;
                    }
                }
                for (Bookmark bookmark = this._bookmarks; bookmark != null; bookmark = bookmark._next) {
                    int i6 = bookmark._pos;
                    if (i6 >= i2) {
                        bookmark._pos = i6 + i4;
                    }
                }
            }
            CharUtil charUtil = this._locale.getCharUtil();
            if (i2 < posAfter) {
                this._srcValue = charUtil.insertChars(i2 - 1, this._srcValue, this._offValue, this._cchValue, obj, i3, i4);
                this._offValue = charUtil._offSrc;
                this._cchValue = charUtil._cchSrc;
                if (z) {
                    invalidateUser();
                    invalidateSpecialAttr(null);
                    return;
                }
                return;
            }
            this._srcAfter = charUtil.insertChars(i2 - posAfter, this._srcAfter, this._offAfter, this._cchAfter, obj, i3, i4);
            this._offAfter = charUtil._offSrc;
            this._cchAfter = charUtil._cchSrc;
            if (z && (xobj = this._parent) != null) {
                xobj.invalidateUser();
            }
        } else {
            throw new AssertionError();
        }
    }

    public final Xobj insertXobj(Xobj xobj) {
        if (!$assertionsDisabled && this._locale != xobj._locale) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && (xobj.isRoot() || isRoot())) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && xobj._parent != null) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && xobj._prevSibling != null) {
            throw new AssertionError();
        } else if ($assertionsDisabled || xobj._nextSibling == null) {
            ensureParent();
            xobj._parent = this._parent;
            xobj._prevSibling = this._prevSibling;
            xobj._nextSibling = this;
            Xobj xobj2 = this._prevSibling;
            if (xobj2 != null) {
                xobj2._nextSibling = xobj;
            } else {
                this._parent._firstChild = xobj;
            }
            this._prevSibling = xobj;
            return this;
        } else {
            throw new AssertionError();
        }
    }

    public final void insertXobjs(Xobj xobj, Xobj xobj2) {
        if (!$assertionsDisabled && this._locale != xobj._locale) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && xobj2._locale != xobj._locale) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && (xobj._parent != null || xobj2._parent != null)) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && xobj._prevSibling != null) {
            throw new AssertionError();
        } else if ($assertionsDisabled || xobj2._nextSibling == null) {
            xobj._prevSibling = this._prevSibling;
            xobj2._nextSibling = this;
            Xobj xobj3 = this._prevSibling;
            if (xobj3 != null) {
                xobj3._nextSibling = xobj;
            } else {
                this._parent._firstChild = xobj;
            }
            this._prevSibling = xobj2;
            while (xobj != this) {
                xobj._parent = this._parent;
                xobj = xobj._nextSibling;
            }
        } else {
            throw new AssertionError();
        }
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public TypeStoreUser insert_element_user(QName qName, int i2) {
        if (i2 < 0) {
            throw new IndexOutOfBoundsException();
        } else if (isContainer()) {
            Xobj findNthChildElem = this._locale.findNthChildElem(this, qName, null, i2);
            if (findNthChildElem != null) {
                return insertElement(qName, findNthChildElem, 0);
            }
            if (i2 <= this._locale.count(this, qName, null) + 1) {
                return add_element_user(qName);
            }
            throw new IndexOutOfBoundsException();
        } else {
            throw new IllegalStateException();
        }
    }

    public void invalidateNil() {
        TypeStoreUser typeStoreUser = this._user;
        if (typeStoreUser != null) {
            typeStoreUser.invalidate_nilvalue();
        }
    }

    public final void invalidateSpecialAttr(Xobj xobj) {
        if (isAttr()) {
            if (this._name.equals(Locale._xsiType)) {
                Xobj xobj2 = this._parent;
                if (xobj2 != null) {
                    xobj2.disconnectNonRootUsers();
                }
                if (xobj != null) {
                    xobj.disconnectNonRootUsers();
                }
            }
            if (this._name.equals(Locale._xsiNil)) {
                Xobj xobj3 = this._parent;
                if (xobj3 != null) {
                    xobj3.invalidateNil();
                }
                if (xobj != null) {
                    xobj.invalidateNil();
                }
            }
        }
    }

    public final void invalidateUser() {
        if (!$assertionsDisabled && !isValid()) {
            throw new AssertionError();
        } else if ($assertionsDisabled || this._user == null || isUserNode()) {
            TypeStoreUser typeStoreUser = this._user;
            if (typeStoreUser != null) {
                typeStoreUser.invalidate_value();
            }
        } else {
            throw new AssertionError();
        }
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public void invalidate_nil() {
        if (!isAttr()) {
            this._locale.enter();
            try {
                if (!this._user.build_nil()) {
                    removeAttr(Locale._xsiNil);
                } else {
                    setAttr(Locale._xsiNil, SchemaSymbols.ATTVAL_TRUE);
                }
            } finally {
                this._locale.exit();
            }
        }
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public void invalidate_text() {
        this._locale.enter();
        try {
            if (!$assertionsDisabled) {
                if (!isValid()) {
                    throw new AssertionError();
                }
            }
            if (isOccupied()) {
                if (hasTextNoEnsureOccupancy() || hasChildren()) {
                    TypeStoreUser typeStoreUser = this._user;
                    this._user = null;
                    Cur tempCur = tempCur();
                    tempCur.moveNodeContents(null, false);
                    tempCur.release();
                    if (!$assertionsDisabled) {
                        if (this._user != null) {
                            throw new AssertionError();
                        }
                    }
                    this._user = typeStoreUser;
                }
                setBit(256);
            }
            if (!$assertionsDisabled) {
                if (!isValid()) {
                    throw new AssertionError();
                }
            }
        } finally {
            this._locale.exit();
        }
    }

    public final boolean isAttr() {
        return kind() == 3;
    }

    public final boolean isCharNodesAfterUsable() {
        if (this._srcAfter == null) {
            return false;
        }
        DomImpl.CharNode charNode = this._charNodesAfter;
        if (charNode != null && charNode._next == null && charNode._cch == this._cchAfter) {
            return true;
        }
        DomImpl.CharNode updateCharNodes = Cur.updateCharNodes(this._locale, this, this._charNodesAfter, this._cchAfter);
        this._charNodesAfter = updateCharNodes;
        if (updateCharNodes != null) {
            return true;
        }
        return false;
    }

    public final boolean isCharNodesValueUsable() {
        if (!isExistingCharNodesValueUsable()) {
            DomImpl.CharNode updateCharNodes = Cur.updateCharNodes(this._locale, this, this._charNodesValue, this._cchValue);
            this._charNodesValue = updateCharNodes;
            return updateCharNodes != null;
        }
    }

    public final boolean isComment() {
        return kind() == 4;
    }

    public final boolean isContainer() {
        return Cur.kindIsContainer(kind());
    }

    public final boolean isElem() {
        return kind() == 2;
    }

    public final boolean isExistingCharNodesValueUsable() {
        DomImpl.CharNode charNode;
        if (this._srcValue != null && (charNode = this._charNodesValue) != null && charNode._next == null && charNode._cch == this._cchValue) {
            return true;
        }
        return false;
    }

    public final boolean isFirstChildPtrDomUsable() {
        if (this._firstChild == null && this._srcValue == null && this._charNodesValue == null) {
            return true;
        }
        Xobj xobj = this._firstChild;
        if (xobj == null || xobj.isAttr() || this._srcValue != null || this._charNodesValue != null) {
            return false;
        }
        if ($assertionsDisabled || (this._firstChild instanceof NodeXobj)) {
            return true;
        }
        throw new AssertionError("wrong node type");
    }

    public final boolean isInSameTree(Xobj xobj) {
        if (this._locale != xobj._locale) {
            return false;
        }
        Xobj xobj2 = this;
        while (xobj2 != xobj) {
            Xobj xobj3 = xobj2._parent;
            if (xobj3 == null) {
                while (xobj != this) {
                    Xobj xobj4 = xobj._parent;
                    if (xobj4 != null) {
                        xobj = xobj4;
                    } else if (xobj == xobj2) {
                        return true;
                    } else {
                        return false;
                    }
                }
                return true;
            }
            xobj2 = xobj3;
        }
        return true;
    }

    public final boolean isJustAfterEnd(Xobj xobj, int i2) {
        if (!$assertionsDisabled && !xobj.isNormal(i2)) {
            throw new AssertionError();
        } else if (xobj.isRoot() && i2 == 0) {
            return false;
        } else {
            if (xobj == this) {
                if (i2 == posAfter()) {
                    return true;
                }
                return false;
            } else if (!(xobj.getDenormal(i2) == this && xobj.posTemp() == posAfter())) {
                return false;
            }
            return true;
        }
    }

    public final boolean isNextSiblingPtrDomUsable() {
        Xobj xobj;
        if (this._charNodesAfter != null || this._srcAfter != null) {
            return false;
        }
        if ($assertionsDisabled || (xobj = this._nextSibling) == null || (xobj instanceof NodeXobj)) {
            return true;
        }
        throw new AssertionError("wrong node type");
    }

    public final boolean isNormal(int i2) {
        Xobj xobj;
        if (!isValid()) {
            return false;
        }
        if (i2 == -1 || i2 == 0) {
            return true;
        }
        if (i2 < 0 || i2 >= posMax()) {
            return false;
        }
        if (i2 >= posAfter()) {
            if (isRoot()) {
                return false;
            }
            Xobj xobj2 = this._nextSibling;
            if ((xobj2 != null && xobj2.isAttr()) || (xobj = this._parent) == null || !xobj.isContainer()) {
                return false;
            }
        }
        return i2 != posAfter() - 1;
    }

    public final boolean isNormalAttr() {
        return isAttr() && !Locale.isXmlns(this._name);
    }

    public final boolean isOccupied() {
        return bitIsClear(256);
    }

    public final boolean isProcinst() {
        return kind() == 5;
    }

    public final boolean isRoot() {
        return kind() == 1;
    }

    public final boolean isStableUser() {
        return bitIsSet(512);
    }

    public final boolean isUserNode() {
        int kind = kind();
        if (kind == 2 || kind == 1) {
            return true;
        }
        return kind == 3 && !isXmlns();
    }

    public final boolean isVacant() {
        return bitIsSet(256);
    }

    public final boolean isValid() {
        if (isVacant()) {
            return this._cchValue == 0 && this._user != null;
        }
        return true;
    }

    public final boolean isXmlns() {
        return isAttr() && Locale.isXmlns(this._name);
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public boolean is_attribute() {
        if ($assertionsDisabled || isValid()) {
            return isAttr();
        }
        throw new AssertionError();
    }

    public final int kind() {
        return this._bits & 15;
    }

    public final Xobj lastAttr() {
        Xobj xobj = this._firstChild;
        if (xobj == null || !xobj.isAttr()) {
            return null;
        }
        Xobj xobj2 = this._firstChild;
        while (true) {
            Xobj xobj3 = xobj2._nextSibling;
            if (xobj3 == null || !xobj3.isAttr()) {
                return xobj2;
            }
            xobj2 = xobj2._nextSibling;
        }
        return xobj2;
    }

    public final Locale locale() {
        return this._locale;
    }

    public final String namespaceForPrefix(String str, boolean z) {
        if (str == null) {
            str = "";
        }
        if (str.equals("xml")) {
            return "http://www.w3.org/XML/1998/namespace";
        }
        if (str.equals("xmlns")) {
            return "http://www.w3.org/2000/xmlns/";
        }
        for (Xobj xobj = this; xobj != null; xobj = xobj._parent) {
            Xobj xobj2 = xobj._firstChild;
            while (xobj2 != null && xobj2.isAttr()) {
                if (xobj2.isXmlns() && xobj2.getXmlnsPrefix().equals(str)) {
                    return xobj2.getXmlnsUri();
                }
                xobj2 = xobj2._nextSibling;
            }
        }
        if (!z || str.length() != 0) {
            return null;
        }
        return "";
    }

    public abstract Xobj newNode(Locale locale);

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public XmlCursor new_cursor() {
        this._locale.enter();
        try {
            Cur tempCur = tempCur();
            Cursor cursor = new Cursor(tempCur);
            tempCur.release();
            return cursor;
        } finally {
            this._locale.exit();
        }
    }

    public final Xobj nextAttr() {
        Xobj xobj = this._firstChild;
        if (xobj != null && xobj.isAttr()) {
            return this._firstChild;
        }
        Xobj xobj2 = this._nextSibling;
        if (xobj2 == null || !xobj2.isAttr()) {
            return null;
        }
        return this._nextSibling;
    }

    public final int nodeType() {
        return domType();
    }

    public final int posAfter() {
        return this._cchValue + 2;
    }

    public final int posMax() {
        return this._cchValue + 2 + this._cchAfter;
    }

    public final int posTemp() {
        return this._locale._posTemp;
    }

    public final String prefixForNamespace(String str, String str2, boolean z) {
        if (str == null) {
            str = "";
        }
        if (str.equals("http://www.w3.org/XML/1998/namespace")) {
            return "xml";
        }
        if (str.equals("http://www.w3.org/2000/xmlns/")) {
            return "xmlns";
        }
        Xobj xobj = this;
        while (!xobj.isContainer()) {
            xobj = xobj.ensureParent();
        }
        if (str.length() == 0) {
            Xobj findXmlnsForPrefix = xobj.findXmlnsForPrefix("");
            if (!(findXmlnsForPrefix == null || findXmlnsForPrefix.getXmlnsUri().length() == 0)) {
                if (!z) {
                    return null;
                }
                xobj.setAttr(this._locale.createXmlns(null), "");
            }
            return "";
        }
        for (Xobj xobj2 = xobj; xobj2 != null; xobj2 = xobj2._parent) {
            for (Xobj firstAttr = xobj2.firstAttr(); firstAttr != null; firstAttr = firstAttr.nextAttr()) {
                if (firstAttr.isXmlns() && firstAttr.getXmlnsUri().equals(str) && xobj.findXmlnsForPrefix(firstAttr.getXmlnsPrefix()) == firstAttr) {
                    return firstAttr.getXmlnsPrefix();
                }
            }
        }
        if (!z) {
            return null;
        }
        if (str2 != null && (str2.length() == 0 || str2.toLowerCase().startsWith("xml") || xobj.findXmlnsForPrefix(str2) != null)) {
            str2 = null;
        }
        if (str2 == null) {
            String suggestPrefix = QNameHelper.suggestPrefix(str);
            str2 = suggestPrefix;
            int i2 = 1;
            while (xobj.findXmlnsForPrefix(str2) != null) {
                StringBuffer a = a.a(suggestPrefix);
                a.append(i2);
                str2 = a.toString();
                i2++;
            }
        }
        Xobj xobj3 = xobj;
        while (!xobj3.isRoot() && !xobj3.ensureParent().isRoot()) {
            xobj3 = xobj3._parent;
        }
        xobj.setAttr(this._locale.createXmlns(str2), str);
        return str2;
    }

    public final boolean removeAttr(QName qName) {
        if ($assertionsDisabled || isContainer()) {
            Xobj attr = getAttr(qName);
            if (attr == null) {
                return false;
            }
            Cur tempCur = attr.tempCur();
            while (true) {
                tempCur.moveNode(null);
                Xobj attr2 = getAttr(qName);
                if (attr2 == null) {
                    tempCur.release();
                    return true;
                }
                tempCur.moveTo(attr2);
            }
        } else {
            throw new AssertionError();
        }
    }

    public final void removeCharsHelper(int i2, int i3, Xobj xobj, int i4, boolean z, boolean z2) {
        Xobj xobj2;
        int i5;
        int i6;
        if (!$assertionsDisabled && (i2 <= 0 || i2 >= posMax() || i2 == posAfter() - 1)) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && i3 <= 0) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && cchRight(i2) < i3) {
            throw new AssertionError();
        } else if ($assertionsDisabled || !z || xobj != null) {
            Cur embedded = getEmbedded();
            while (embedded != null) {
                Cur cur = embedded._next;
                if ($assertionsDisabled || embedded._xobj == this) {
                    int i7 = embedded._pos;
                    if (i7 >= i2 && i7 < i2 + i3) {
                        if (z) {
                            embedded.moveToNoCheck(xobj, (i7 + i4) - i2);
                        } else {
                            embedded.nextChars((i3 - i7) + i2);
                        }
                    }
                    if (embedded._xobj == this && (i6 = embedded._pos) >= i2 + i3) {
                        embedded._pos = i6 - i3;
                    }
                    embedded = cur;
                } else {
                    throw new AssertionError();
                }
            }
            for (Bookmark bookmark = this._bookmarks; bookmark != null; bookmark = bookmark._next) {
                if ($assertionsDisabled || bookmark._xobj == this) {
                    int i8 = bookmark._pos;
                    if (i8 >= i2 && i8 < i2 + i3) {
                        if ($assertionsDisabled || xobj != null) {
                            bookmark.moveTo(xobj, (bookmark._pos + i4) - i2);
                        } else {
                            throw new AssertionError();
                        }
                    }
                    if (bookmark._xobj == this && (i5 = bookmark._pos) >= i2 + i3) {
                        bookmark._pos = i5 - i3;
                    }
                } else {
                    throw new AssertionError();
                }
            }
            int posAfter = posAfter();
            CharUtil charUtil = this._locale.getCharUtil();
            if (i2 < posAfter) {
                this._srcValue = charUtil.removeChars(i2 - 1, i3, this._srcValue, this._offValue, this._cchValue);
                this._offValue = charUtil._offSrc;
                this._cchValue = charUtil._cchSrc;
                if (z2) {
                    invalidateUser();
                    invalidateSpecialAttr(null);
                    return;
                }
                return;
            }
            this._srcAfter = charUtil.removeChars(i2 - posAfter, i3, this._srcAfter, this._offAfter, this._cchAfter);
            this._offAfter = charUtil._offSrc;
            this._cchAfter = charUtil._cchSrc;
            if (z2 && (xobj2 = this._parent) != null) {
                xobj2.invalidateUser();
            }
        } else {
            throw new AssertionError();
        }
    }

    public final Xobj removeXobj() {
        Xobj xobj = this._parent;
        if (xobj != null) {
            if (xobj._firstChild == this) {
                xobj._firstChild = this._nextSibling;
            }
            Xobj xobj2 = this._parent;
            if (xobj2._lastChild == this) {
                xobj2._lastChild = this._prevSibling;
            }
            Xobj xobj3 = this._prevSibling;
            if (xobj3 != null) {
                xobj3._nextSibling = this._nextSibling;
            }
            Xobj xobj4 = this._nextSibling;
            if (xobj4 != null) {
                xobj4._prevSibling = this._prevSibling;
            }
            this._parent = null;
            this._prevSibling = null;
            this._nextSibling = null;
        }
        return this;
    }

    public final void removeXobjs(Xobj xobj, Xobj xobj2) {
        if (!$assertionsDisabled && xobj2._locale != xobj._locale) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && xobj._parent != this) {
            throw new AssertionError();
        } else if ($assertionsDisabled || xobj2._parent == this) {
            if (this._firstChild == xobj) {
                this._firstChild = xobj2._nextSibling;
            }
            if (this._lastChild == xobj2) {
                this._lastChild = xobj._prevSibling;
            }
            Xobj xobj3 = xobj._prevSibling;
            if (xobj3 != null) {
                xobj3._nextSibling = xobj2._nextSibling;
            }
            Xobj xobj4 = xobj2._nextSibling;
            if (xobj4 != null) {
                xobj4._prevSibling = xobj._prevSibling;
            }
            xobj._prevSibling = null;
            xobj2._nextSibling = null;
            while (xobj != null) {
                xobj._parent = null;
                xobj = xobj._nextSibling;
            }
        } else {
            throw new AssertionError();
        }
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public void remove_attribute(QName qName) {
        this._locale.enter();
        try {
            if (!removeAttr(qName)) {
                throw new IndexOutOfBoundsException();
            }
        } finally {
            this._locale.exit();
        }
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public void remove_element(QName qName, int i2) {
        if (i2 < 0) {
            throw new IndexOutOfBoundsException();
        } else if (isContainer()) {
            Xobj xobj = this._firstChild;
            while (xobj != null && (!xobj.isElem() || !xobj._name.equals(qName) || i2 - 1 >= 0)) {
                xobj = xobj._nextSibling;
            }
            removeElement(xobj);
        } else {
            throw new IllegalStateException();
        }
    }

    public final Xobj setAttr(QName qName, String str) {
        if ($assertionsDisabled || isContainer()) {
            Cur tempCur = tempCur();
            if (tempCur.toAttr(qName)) {
                tempCur.removeFollowingAttrs();
            } else {
                tempCur.next();
                tempCur.createAttr(qName);
            }
            tempCur.setValue(str);
            Xobj xobj = tempCur._xobj;
            tempCur.release();
            return xobj;
        }
        throw new AssertionError();
    }

    public final void setBit(int i2) {
        this._bits = i2 | this._bits;
    }

    public final Bookmark setBookmark(int i2, Object obj, Object obj2) {
        if ($assertionsDisabled || isNormal(i2)) {
            for (Bookmark bookmark = this._bookmarks; bookmark != null; bookmark = bookmark._next) {
                if (i2 == bookmark._pos && obj == bookmark._key) {
                    if (obj2 == null) {
                        this._bookmarks = bookmark.listRemove(this._bookmarks);
                        return null;
                    } else {
                        bookmark._value = obj2;
                        return bookmark;
                    }
                }
            }
            if (obj2 == null) {
                return null;
            }
            Bookmark bookmark2 = new Bookmark();
            bookmark2._xobj = this;
            bookmark2._pos = i2;
            bookmark2._key = obj;
            bookmark2._value = obj2;
            this._bookmarks = bookmark2.listInsert(this._bookmarks);
            return bookmark2;
        }
        throw new AssertionError();
    }

    public final void setName(QName qName) {
        Xobj xobj;
        if (!$assertionsDisabled && !isAttr() && !isElem() && !isProcinst()) {
            throw new AssertionError();
        } else if (!$assertionsDisabled && qName == null) {
            throw new AssertionError();
        } else if (!this._name.equals(qName) || !this._name.getPrefix().equals(qName.getPrefix())) {
            this._locale.notifyChange();
            QName qName2 = this._name;
            this._name = qName;
            if (this instanceof NamedNodeXobj) {
                ((NamedNodeXobj) this)._canHavePrefixUri = true;
            }
            if (!isProcinst()) {
                if (!isAttr() || this._parent == null) {
                    xobj = this;
                } else {
                    if (qName2.equals(Locale._xsiType) || qName.equals(Locale._xsiType)) {
                        xobj = this._parent;
                    } else {
                        xobj = this;
                    }
                    if (qName2.equals(Locale._xsiNil) || qName.equals(Locale._xsiNil)) {
                        this._parent.invalidateNil();
                    }
                }
                xobj.disconnectNonRootUsers();
            }
            Locale locale = this._locale;
            locale._versionAll++;
            locale._versionSansText++;
        }
    }

    public void setStableType(SchemaType schemaType) {
        setStableUser(((TypeStoreUserFactory) schemaType).createTypeStoreUser());
    }

    public void setStableUser(TypeStoreUser typeStoreUser) {
        disconnectNonRootUsers();
        disconnectUser();
        if ($assertionsDisabled || this._user == null) {
            this._user = typeStoreUser;
            typeStoreUser.attach_store(this);
            setBit(512);
            return;
        }
        throw new AssertionError();
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public void store_text(String str) {
        this._locale.enter();
        TypeStoreUser typeStoreUser = this._user;
        this._user = null;
        try {
            Cur tempCur = tempCur();
            tempCur.moveNodeContents(null, false);
            if (str != null && str.length() > 0) {
                tempCur.next();
                tempCur.insertString(str);
            }
            tempCur.release();
            if ($assertionsDisabled || this._user == null) {
                this._user = typeStoreUser;
                this._locale.exit();
                return;
            }
            throw new AssertionError();
        } catch (Throwable th) {
            if ($assertionsDisabled || this._user == null) {
                this._user = typeStoreUser;
                this._locale.exit();
                throw th;
            }
            throw new AssertionError();
        }
    }

    /* JADX INFO: finally extract failed */
    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public TypeStoreUser substitute(QName qName, SchemaType schemaType) {
        this._locale.enter();
        try {
            Cur tempCur = tempCur();
            tempCur.setSubstitution(qName, schemaType, false);
            tempCur.release();
            this._locale.exit();
            return getUser();
        } catch (Throwable th) {
            this._locale.exit();
            throw th;
        }
    }

    public final Cur tempCur() {
        Cur tempCur = this._locale.tempCur();
        tempCur.moveTo(this);
        return tempCur;
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public void validate(ValidatorListener validatorListener) {
        this._locale.enter();
        try {
            Cur tempCur = tempCur();
            new Validate(tempCur, validatorListener);
            tempCur.release();
        } finally {
            this._locale.exit();
        }
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public boolean validate_on_set() {
        if ($assertionsDisabled || isValid()) {
            return this._locale._validateOnSet;
        }
        throw new AssertionError();
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public void visit_elements(TypeStoreVisitor typeStoreVisitor) {
        throw new RuntimeException("Not implemeneted");
    }

    public final Xobj walk(Xobj xobj, boolean z) {
        Xobj xobj2 = this._firstChild;
        if (xobj2 != null && z) {
            return xobj2;
        }
        for (Xobj xobj3 = this; xobj3 != xobj; xobj3 = xobj3._parent) {
            Xobj xobj4 = xobj3._nextSibling;
            if (xobj4 != null) {
                return xobj4;
            }
        }
        return null;
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public int count_elements(QNameSet qNameSet) {
        return this._locale.count(this, null, qNameSet);
    }

    public void dump(PrintStream printStream) {
        Cur.dump(printStream, this, this);
    }

    public final boolean contains(Xobj xobj, int i2) {
        if (!$assertionsDisabled && !xobj.isNormal(i2)) {
            throw new AssertionError();
        } else if (this == xobj) {
            if (i2 == -1) {
                return true;
            }
            if (i2 <= 0 || i2 >= posAfter()) {
                return false;
            }
            return true;
        } else if (this._firstChild == null) {
            return false;
        } else {
            while (xobj != null) {
                if (xobj == this) {
                    return true;
                }
                xobj = xobj._parent;
            }
            return false;
        }
    }

    public void dump() {
        dump(System.out);
    }

    public Object getChars(int i2, int i3) {
        if ($assertionsDisabled || isNormal(i2)) {
            int cchRight = cchRight(i2);
            if (i3 < 0 || i3 > cchRight) {
                i3 = cchRight;
            }
            if (i3 != 0) {
                return getCharsHelper(i2, i3);
            }
            Locale locale = this._locale;
            locale._offSrc = 0;
            locale._cchSrc = 0;
            return null;
        }
        throw new AssertionError();
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public void find_all_element_users(QNameSet qNameSet, List list) {
        for (Xobj xobj = this._firstChild; xobj != null; xobj = xobj._nextSibling) {
            if (xobj.isElem() && qNameSet.contains(xobj._name)) {
                list.add(xobj.getUser());
            }
        }
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public TypeStoreUser find_element_user(QNameSet qNameSet, int i2) {
        for (Xobj xobj = this._firstChild; xobj != null; xobj = xobj._nextSibling) {
            if (xobj.isElem() && qNameSet.contains(xobj._name) && i2 - 1 < 0) {
                return xobj.getUser();
            }
        }
        return null;
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public void remove_element(QNameSet qNameSet, int i2) {
        if (i2 < 0) {
            throw new IndexOutOfBoundsException();
        } else if (isContainer()) {
            Xobj xobj = this._firstChild;
            while (xobj != null && (!xobj.isElem() || !qNameSet.contains(xobj._name) || i2 - 1 >= 0)) {
                xobj = xobj._nextSibling;
            }
            removeElement(xobj);
        } else {
            throw new IllegalStateException();
        }
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStore
    public TypeStoreUser insert_element_user(QNameSet qNameSet, QName qName, int i2) {
        if (i2 < 0) {
            throw new IndexOutOfBoundsException();
        } else if (isContainer()) {
            Xobj findNthChildElem = this._locale.findNthChildElem(this, null, qNameSet, i2);
            if (findNthChildElem != null) {
                return insertElement(qName, findNthChildElem, 0);
            }
            if (i2 <= this._locale.count(this, null, qNameSet) + 1) {
                return add_element_user(qName);
            }
            throw new IndexOutOfBoundsException();
        } else {
            throw new IllegalStateException();
        }
    }

    public String getValueAsString() {
        return getValueAsString(1);
    }
}
