package org.apache.xmlbeans.impl.tool;

import b.b.a.a.a;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileFilter;
import java.io.FileWriter;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.PrintStream;
import java.net.URI;
import java.net.URISyntaxException;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Iterator;
import java.util.List;
import org.apache.xmlbeans.SystemProperties;
import org.apache.xmlbeans.XmlOptions;

public class CodeGenUtil {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static String DEFAULT_COMPILER = "javac";
    public static String DEFAULT_JAR = "jar";
    public static String DEFAULT_MEM_MAX = "256m";
    public static String DEFAULT_MEM_START = "8m";
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$tool$CodeGenUtil;

    public static class ThreadedReader {
        public ThreadedReader(InputStream inputStream, final StringBuffer stringBuffer) {
            final BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(inputStream));
            new Thread(new Runnable() {
                /* class org.apache.xmlbeans.impl.tool.CodeGenUtil.ThreadedReader.AnonymousClass1 */

                public void run() {
                    while (true) {
                        try {
                            String readLine = bufferedReader.readLine();
                            if (readLine != null) {
                                StringBuffer stringBuffer = stringBuffer;
                                StringBuffer stringBuffer2 = new StringBuffer();
                                stringBuffer2.append(readLine);
                                stringBuffer2.append("\n");
                                stringBuffer.append(stringBuffer2.toString());
                            } else {
                                return;
                            }
                        } catch (Exception unused) {
                            return;
                        }
                    }
                }
            }).start();
        }
    }

    static {
        Class cls = class$org$apache$xmlbeans$impl$tool$CodeGenUtil;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.tool.CodeGenUtil");
            class$org$apache$xmlbeans$impl$tool$CodeGenUtil = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
    }

    public static void addAllJavaFiles(List list, List list2) {
        Iterator it = list.iterator();
        while (it.hasNext()) {
            File file = (File) it.next();
            if (!file.isDirectory()) {
                list2.add(quoteAndEscapeFilename(file.getAbsolutePath()));
            } else {
                addAllJavaFiles(Arrays.asList(file.listFiles(new FileFilter() {
                    /* class org.apache.xmlbeans.impl.tool.CodeGenUtil.AnonymousClass1 */

                    public boolean accept(File file) {
                        return (file.isFile() && file.getName().endsWith(XMLBean.JAVA)) || file.isDirectory();
                    }
                })), list2);
            }
        }
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public static boolean externalCompile(List list, File file, File[] fileArr, boolean z) {
        return externalCompile(list, file, fileArr, z, DEFAULT_COMPILER, null, DEFAULT_MEM_START, DEFAULT_MEM_MAX, false, false);
    }

    public static boolean externalJar(File file, File file2) {
        return externalJar(file, file2, DEFAULT_JAR, false, false);
    }

    public static File findJavaTool(String str) {
        File file = new File(str);
        if (file.isFile()) {
            return file;
        }
        File file2 = new File(a.a(str, ".exe"));
        if (file2.isFile()) {
            return file2;
        }
        String property = SystemProperties.getProperty("java.home");
        String str2 = File.separator;
        File file3 = new File(a.a(property, str2, "..", str2, "bin"), str);
        if (file3.isFile()) {
            return file3;
        }
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append(file3.getPath());
        stringBuffer.append(".exe");
        File file4 = new File(stringBuffer.toString());
        if (file4.isFile()) {
            return file4;
        }
        File file5 = new File(a.a(property, str2, "bin"), str);
        if (file5.isFile()) {
            return file5;
        }
        StringBuffer stringBuffer2 = new StringBuffer();
        stringBuffer2.append(file5.getPath());
        stringBuffer2.append(".exe");
        File file6 = new File(stringBuffer2.toString());
        return file6.isFile() ? file6 : file;
    }

    public static String quoteAndEscapeFilename(String str) {
        if (str.indexOf(" ") < 0) {
            return str;
        }
        StringBuffer a = a.a("\"");
        a.append(str.replaceAll("\\\\", "\\\\\\\\"));
        a.append("\"");
        return a.toString();
    }

    public static String quoteNoEscapeFilename(String str) {
        return (str.indexOf(" ") < 0 || File.separatorChar == '/') ? str : a.a("\"", str, "\"");
    }

    public static URI resolve(URI uri, URI uri2) {
        URI resolve = uri.resolve(uri2);
        if (!"file".equals(resolve.getScheme()) || uri2.equals(resolve) || !uri.getPath().startsWith("//") || resolve.getPath().startsWith("//")) {
            return resolve;
        }
        try {
            return new URI("file", null, "///".concat(resolve.getPath()), resolve.getQuery(), resolve.getFragment());
        } catch (URISyntaxException unused) {
            return resolve;
        }
    }

    public static File[] systemClasspath() {
        String[] split;
        ArrayList arrayList = new ArrayList();
        for (String str : SystemProperties.getProperty("java.class.path").split(File.pathSeparator)) {
            arrayList.add(new File(str));
        }
        return (File[]) arrayList.toArray(new File[arrayList.size()]);
    }

    public static boolean externalCompile(List list, File file, File[] fileArr, boolean z, String str, String str2, String str3, boolean z2, boolean z3) {
        return externalCompile(list, file, fileArr, z, str, null, str2, str3, z2, z3);
    }

    public static boolean externalJar(File file, File file2, String str, boolean z, boolean z2) {
        ArrayList arrayList = new ArrayList();
        if (str == null) {
            str = DEFAULT_JAR;
        }
        File findJavaTool = findJavaTool(str);
        if ($assertionsDisabled || findJavaTool.exists()) {
            arrayList.add(findJavaTool.getAbsolutePath());
            arrayList.add("cf");
            arrayList.add(quoteNoEscapeFilename(file2.getAbsolutePath()));
            arrayList.add("-C");
            arrayList.add(quoteNoEscapeFilename(file.getAbsolutePath()));
            arrayList.add(".");
            try {
                String[] strArr = (String[]) arrayList.toArray(new String[arrayList.size()]);
                if (z2) {
                    System.out.print("jar command:");
                    for (String str2 : strArr) {
                        PrintStream printStream = System.out;
                        StringBuffer stringBuffer = new StringBuffer();
                        stringBuffer.append(" ");
                        stringBuffer.append(str2);
                        printStream.print(stringBuffer.toString());
                    }
                    System.out.println();
                }
                Process exec = Runtime.getRuntime().exec(strArr);
                StringBuffer stringBuffer2 = new StringBuffer();
                StringBuffer stringBuffer3 = new StringBuffer();
                new ThreadedReader(exec.getInputStream(), stringBuffer3);
                new ThreadedReader(exec.getErrorStream(), stringBuffer2);
                exec.waitFor();
                if (!z2 && exec.exitValue() == 0) {
                    return true;
                }
                if (stringBuffer3.length() > 0) {
                    System.out.println(stringBuffer3.toString());
                    System.out.flush();
                }
                if (stringBuffer2.length() > 0) {
                    System.err.println(stringBuffer2.toString());
                    System.err.flush();
                }
                if (exec.exitValue() != 0) {
                    return false;
                }
                return true;
            } catch (Throwable th) {
                th.printStackTrace(System.err);
                return false;
            }
        } else {
            StringBuffer stringBuffer4 = new StringBuffer();
            stringBuffer4.append("jar not found ");
            stringBuffer4.append(findJavaTool);
            throw new AssertionError(stringBuffer4.toString());
        }
    }

    public static boolean externalCompile(List list, File file, File[] fileArr, boolean z, String str, String str2, String str3, String str4, boolean z2, boolean z3) {
        ArrayList arrayList = new ArrayList();
        if (str == null) {
            str = DEFAULT_COMPILER;
        }
        File findJavaTool = findJavaTool(str);
        if ($assertionsDisabled || findJavaTool.exists()) {
            arrayList.add(findJavaTool.getAbsolutePath());
            if (file == null) {
                file = new File(".");
            } else {
                arrayList.add("-d");
                arrayList.add(quoteAndEscapeFilename(file.getAbsolutePath()));
            }
            if (fileArr == null) {
                fileArr = systemClasspath();
            }
            if (fileArr.length > 0) {
                StringBuffer stringBuffer = new StringBuffer();
                stringBuffer.append(file.getAbsolutePath());
                for (File file2 : fileArr) {
                    stringBuffer.append(File.pathSeparator);
                    stringBuffer.append(file2.getAbsolutePath());
                }
                arrayList.add("-classpath");
                arrayList.add(quoteAndEscapeFilename(stringBuffer.toString()));
            }
            if (str2 == null) {
                str2 = XmlOptions.GENERATE_JAVA_14;
            }
            arrayList.add("-source");
            arrayList.add(str2);
            arrayList.add("-target");
            arrayList.add(str2);
            arrayList.add(z ? "-g" : "-g:none");
            if (z3) {
                arrayList.add("-verbose");
            }
            addAllJavaFiles(list, arrayList);
            File file3 = null;
            try {
                file3 = File.createTempFile("javac", "");
                FileWriter fileWriter = new FileWriter(file3);
                Iterator it = arrayList.iterator();
                it.next();
                while (it.hasNext()) {
                    fileWriter.write((String) it.next());
                    fileWriter.write(10);
                }
                fileWriter.close();
                ArrayList arrayList2 = new ArrayList();
                arrayList2.add(arrayList.get(0));
                if (!(str3 == null || str3.length() == 0)) {
                    StringBuffer stringBuffer2 = new StringBuffer();
                    stringBuffer2.append("-J-Xms");
                    stringBuffer2.append(str3);
                    arrayList2.add(stringBuffer2.toString());
                }
                if (!(str4 == null || str4.length() == 0)) {
                    StringBuffer stringBuffer3 = new StringBuffer();
                    stringBuffer3.append("-J-Xmx");
                    stringBuffer3.append(str4);
                    arrayList2.add(stringBuffer3.toString());
                }
                StringBuffer stringBuffer4 = new StringBuffer();
                stringBuffer4.append("@");
                stringBuffer4.append(file3.getAbsolutePath());
                arrayList2.add(stringBuffer4.toString());
                arrayList = arrayList2;
            } catch (Exception unused) {
                System.err.println("Could not create command-line file for javac");
            }
            try {
                String[] strArr = (String[]) arrayList.toArray(new String[arrayList.size()]);
                if (z3) {
                    System.out.print("compile command:");
                    for (String str5 : strArr) {
                        PrintStream printStream = System.out;
                        StringBuffer stringBuffer5 = new StringBuffer();
                        stringBuffer5.append(" ");
                        stringBuffer5.append(str5);
                        printStream.print(stringBuffer5.toString());
                    }
                    System.out.println();
                }
                Process exec = Runtime.getRuntime().exec(strArr);
                StringBuffer stringBuffer6 = new StringBuffer();
                StringBuffer stringBuffer7 = new StringBuffer();
                new ThreadedReader(exec.getInputStream(), stringBuffer7);
                new ThreadedReader(exec.getErrorStream(), stringBuffer6);
                exec.waitFor();
                if (z3 || exec.exitValue() != 0) {
                    if (stringBuffer7.length() > 0) {
                        System.out.println(stringBuffer7.toString());
                        System.out.flush();
                    }
                    if (stringBuffer6.length() > 0) {
                        System.err.println(stringBuffer6.toString());
                        System.err.flush();
                    }
                    if (exec.exitValue() != 0) {
                        return false;
                    }
                }
                if (file3 == null) {
                    return true;
                }
                file3.delete();
                return true;
            } catch (Throwable th) {
                System.err.println(th.toString());
                System.err.println(th.getCause());
                th.printStackTrace(System.err);
                return false;
            }
        } else {
            StringBuffer stringBuffer8 = new StringBuffer();
            stringBuffer8.append("compiler not found ");
            stringBuffer8.append(findJavaTool);
            throw new AssertionError(stringBuffer8.toString());
        }
    }
}
