package org.apache.xmlbeans.impl.tool;

import b.b.a.a.a;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FilenameFilter;
import java.io.IOException;
import java.io.InputStream;
import java.io.PrintStream;
import java.io.Reader;
import java.io.StringReader;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Comparator;
import java.util.Enumeration;
import java.util.List;
import java.util.jar.JarEntry;
import java.util.jar.JarFile;
import java.util.zip.ZipEntry;
import org.apache.xerces.impl.xs.SchemaSymbols;
import org.apache.xmlbeans.SystemProperties;
import org.apache.xmlbeans.impl.schema.SchemaTypeSystemImpl;

public class Diff {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$tool$Diff;

    public static class FileNameComparator implements Comparator {
        public static final /* synthetic */ boolean $assertionsDisabled;

        static {
            Class cls = Diff.class$org$apache$xmlbeans$impl$tool$Diff;
            if (cls == null) {
                cls = Diff.class$("org.apache.xmlbeans.impl.tool.Diff");
                Diff.class$org$apache$xmlbeans$impl$tool$Diff = cls;
            }
            $assertionsDisabled = !cls.desiredAssertionStatus();
        }

        public FileNameComparator() {
        }

        @Override // java.util.Comparator
        public int compare(Object obj, Object obj2) {
            if (!$assertionsDisabled && !(obj instanceof File)) {
                throw new AssertionError("Must pass in a java.io.File as argument");
            } else if ($assertionsDisabled || (obj2 instanceof File)) {
                return ((File) obj).getName().compareTo(((File) obj2).getName());
            } else {
                throw new AssertionError("Must pass in a java.io.File as argument");
            }
        }

        public boolean equals(Object obj) {
            return this == obj;
        }
    }

    public static class XsbFilenameFilter implements FilenameFilter {
        public XsbFilenameFilter() {
        }

        public boolean accept(File file, String str) {
            return str.endsWith(".xsb");
        }
    }

    public static class ZipEntryNameComparator implements Comparator {
        public static final /* synthetic */ boolean $assertionsDisabled;

        static {
            Class cls = Diff.class$org$apache$xmlbeans$impl$tool$Diff;
            if (cls == null) {
                cls = Diff.class$("org.apache.xmlbeans.impl.tool.Diff");
                Diff.class$org$apache$xmlbeans$impl$tool$Diff = cls;
            }
            $assertionsDisabled = !cls.desiredAssertionStatus();
        }

        public ZipEntryNameComparator() {
        }

        @Override // java.util.Comparator
        public int compare(Object obj, Object obj2) {
            if (!$assertionsDisabled && !(obj instanceof ZipEntry)) {
                throw new AssertionError("Must pass in a java.util.zip.ZipEntry as argument");
            } else if ($assertionsDisabled || (obj2 instanceof ZipEntry)) {
                return ((ZipEntry) obj).getName().compareTo(((ZipEntry) obj2).getName());
            } else {
                throw new AssertionError("Must pass in a java.util.zip.ZipEntry as argument");
            }
        }

        public boolean equals(Object obj) {
            return this == obj;
        }
    }

    static {
        Class cls = class$org$apache$xmlbeans$impl$tool$Diff;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.tool.Diff");
            class$org$apache$xmlbeans$impl$tool$Diff = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public static void dirsAsTypeSystems(File file, File file2, List list) {
        if (!$assertionsDisabled && !file.isDirectory()) {
            throw new AssertionError("Parameters must be directories");
        } else if ($assertionsDisabled || file2.isDirectory()) {
            File file3 = new File(file, a.a(a.a("schema"), SchemaTypeSystemImpl.METADATA_PACKAGE_GEN, "/system"));
            File file4 = new File(file2, a.a(a.a("schema"), SchemaTypeSystemImpl.METADATA_PACKAGE_GEN, "/system"));
            int i2 = 0;
            if (!file3.exists() || !file4.exists()) {
                if (!file3.exists()) {
                    file3 = null;
                }
                if (!file4.exists()) {
                    file4 = null;
                }
            } else {
                File[] listFiles = file3.listFiles();
                File[] listFiles2 = file4.listFiles();
                if (listFiles.length == 1 && listFiles2.length == 1) {
                    file3 = listFiles[0];
                    file4 = listFiles2[0];
                } else {
                    if (listFiles.length == 0) {
                        file3 = null;
                    }
                    if (listFiles2.length == 0) {
                        file4 = null;
                    }
                    if (listFiles.length > 1) {
                        StringBuffer a = a.a("More than one typesystem found in dir \"");
                        a.append(file.getName());
                        a.append("\"");
                        list.add(a.toString());
                        return;
                    } else if (listFiles2.length > 1) {
                        StringBuffer a2 = a.a("More than one typesystem found in dir \"");
                        a2.append(file2.getName());
                        a2.append("\"");
                        list.add(a2.toString());
                        return;
                    }
                }
            }
            if (file3 != null || file4 != null) {
                if (file3 == null || file4 == null) {
                    if (file3 == null) {
                        StringBuffer stringBuffer = new StringBuffer();
                        stringBuffer.append("No typesystems found in dir \"");
                        stringBuffer.append(file);
                        stringBuffer.append("\"");
                        list.add(stringBuffer.toString());
                    }
                    if (file4 == null) {
                        StringBuffer stringBuffer2 = new StringBuffer();
                        stringBuffer2.append("No typesystems found in dir \"");
                        stringBuffer2.append(file2);
                        stringBuffer2.append("\"");
                        list.add(stringBuffer2.toString());
                        return;
                    }
                    return;
                }
                boolean isDiffIndex = isDiffIndex();
                XsbFilenameFilter xsbFilenameFilter = new XsbFilenameFilter();
                File[] listFiles3 = file3.listFiles(xsbFilenameFilter);
                File[] listFiles4 = file4.listFiles(xsbFilenameFilter);
                FileNameComparator fileNameComparator = new FileNameComparator();
                Arrays.sort(listFiles3, fileNameComparator);
                Arrays.sort(listFiles4, fileNameComparator);
                int i3 = 0;
                while (i2 < listFiles3.length && i3 < listFiles4.length) {
                    String name = listFiles3[i2].getName();
                    String name2 = listFiles4[i3].getName();
                    int compareTo = name.compareTo(name2);
                    if (compareTo == 0) {
                        if (isDiffIndex || !listFiles3[i2].getName().equals("index.xsb")) {
                            filesAsXsb(listFiles3[i2], listFiles4[i3], list);
                        }
                        i2++;
                    } else if (compareTo < 0) {
                        StringBuffer a3 = a.a("Dir \"");
                        a3.append(file3.getName());
                        a3.append("\" contains an extra file: \"");
                        a3.append(name);
                        a3.append("\"");
                        list.add(a3.toString());
                        i2++;
                    } else if (compareTo > 0) {
                        StringBuffer a4 = a.a("Dir \"");
                        a4.append(file4.getName());
                        a4.append("\" contains an extra file: \"");
                        a4.append(name2);
                        a4.append("\"");
                        list.add(a4.toString());
                    }
                    i3++;
                }
                while (i2 < listFiles3.length) {
                    StringBuffer a5 = a.a("Dir \"");
                    a5.append(file3.getName());
                    a5.append("\" contains an extra file: \"");
                    a5.append(listFiles3[i2].getName());
                    a5.append("\"");
                    list.add(a5.toString());
                    i2++;
                }
                while (i3 < listFiles4.length) {
                    StringBuffer a6 = a.a("Dir \"");
                    a6.append(file4.getName());
                    a6.append("\" contains an extra file: \"");
                    a6.append(listFiles4[i3].getName());
                    a6.append("\"");
                    list.add(a6.toString());
                    i3++;
                }
            }
        } else {
            throw new AssertionError("Parameters must be directories");
        }
    }

    public static void filesAsXsb(File file, File file2, List list) {
        if (!$assertionsDisabled && !file.exists()) {
            StringBuffer a = a.a("File \"");
            a.append(file.getAbsolutePath());
            a.append("\" does not exist.");
            throw new AssertionError(a.toString());
        } else if ($assertionsDisabled || file2.exists()) {
            try {
                streamsAsXsb(new FileInputStream(file), file.getName(), new FileInputStream(file2), file2.getName(), list);
            } catch (FileNotFoundException | IOException unused) {
            }
        } else {
            StringBuffer a2 = a.a("File \"");
            a2.append(file2.getAbsolutePath());
            a2.append("\" does not exist.");
            throw new AssertionError(a2.toString());
        }
    }

    public static boolean isDiffIndex() {
        String property = SystemProperties.getProperty("xmlbeans.diff.diffIndex");
        if (property == null) {
            return true;
        }
        if ("0".equals(property) || SchemaSymbols.ATTVAL_FALSE.equalsIgnoreCase(property)) {
            return false;
        }
        return true;
    }

    public static void jarsAsTypeSystems(JarFile jarFile, JarFile jarFile2, List list) {
        Enumeration<JarEntry> entries = jarFile.entries();
        Enumeration<JarEntry> entries2 = jarFile2.entries();
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        while (entries.hasMoreElements()) {
            JarEntry nextElement = entries.nextElement();
            String name = nextElement.getName();
            StringBuffer a = a.a("schema");
            a.append(SchemaTypeSystemImpl.METADATA_PACKAGE_GEN);
            a.append("/system/s");
            if (name.startsWith(a.toString()) && name.endsWith(".xsb")) {
                arrayList.add(nextElement);
            }
        }
        while (entries2.hasMoreElements()) {
            JarEntry nextElement2 = entries2.nextElement();
            String name2 = nextElement2.getName();
            StringBuffer a2 = a.a("schema");
            a2.append(SchemaTypeSystemImpl.METADATA_PACKAGE_GEN);
            a2.append("/system/s");
            if (name2.startsWith(a2.toString()) && name2.endsWith(".xsb")) {
                arrayList2.add(nextElement2);
            }
        }
        ZipEntry[] zipEntryArr = (ZipEntry[]) arrayList.toArray(new ZipEntry[arrayList.size()]);
        ZipEntry[] zipEntryArr2 = (ZipEntry[]) arrayList2.toArray(new ZipEntry[arrayList2.size()]);
        ZipEntryNameComparator zipEntryNameComparator = new ZipEntryNameComparator();
        Arrays.sort(zipEntryArr, zipEntryNameComparator);
        Arrays.sort(zipEntryArr2, zipEntryNameComparator);
        int i2 = 0;
        int i3 = 0;
        while (i2 < zipEntryArr.length && i3 < zipEntryArr2.length) {
            String name3 = zipEntryArr[i2].getName();
            String name4 = zipEntryArr2[i3].getName();
            int compareTo = name3.compareTo(name4);
            if (compareTo == 0) {
                zipEntriesAsXsb(zipEntryArr[i2], jarFile, zipEntryArr2[i3], jarFile2, list);
                i2++;
            } else if (compareTo < 0) {
                StringBuffer a3 = a.a("Jar \"");
                a3.append(jarFile.getName());
                a3.append("\" contains an extra file: \"");
                a3.append(name3);
                a3.append("\"");
                list.add(a3.toString());
                i2++;
            } else if (compareTo > 0) {
                StringBuffer a4 = a.a("Jar \"");
                a4.append(jarFile2.getName());
                a4.append("\" contains an extra file: \"");
                a4.append(name4);
                a4.append("\"");
                list.add(a4.toString());
            }
            i3++;
        }
        while (i2 < zipEntryArr.length) {
            StringBuffer a5 = a.a("Jar \"");
            a5.append(jarFile.getName());
            a5.append("\" contains an extra file: \"");
            a5.append(zipEntryArr[i2].getName());
            a5.append("\"");
            list.add(a5.toString());
            i2++;
        }
        while (i3 < zipEntryArr2.length) {
            StringBuffer a6 = a.a("Jar \"");
            a6.append(jarFile2.getName());
            a6.append("\" contains an extra file: \"");
            a6.append(zipEntryArr2[i3].getName());
            a6.append("\"");
            list.add(a6.toString());
            i3++;
        }
    }

    public static void main(String[] strArr) {
        if (strArr.length != 2) {
            System.out.println("Usage: diff <jarname1> <jarname2> to compare two jars");
            System.out.println("  or   diff <dirname1> <dirname2> to compare two dirs");
            return;
        }
        File file = new File(strArr[0]);
        if (!file.exists()) {
            PrintStream printStream = System.out;
            StringBuffer a = a.a("File \"");
            a.append(strArr[0]);
            a.append("\" not found.");
            printStream.println(a.toString());
            return;
        }
        File file2 = new File(strArr[1]);
        if (!file2.exists()) {
            PrintStream printStream2 = System.out;
            StringBuffer a2 = a.a("File \"");
            a2.append(strArr[1]);
            a2.append("\" not found.");
            printStream2.println(a2.toString());
            return;
        }
        ArrayList arrayList = new ArrayList();
        if (file.isDirectory()) {
            if (!file2.isDirectory()) {
                System.out.println("Both parameters have to be directories if the first parameter is a directory.");
                return;
            }
            dirsAsTypeSystems(file, file2, arrayList);
        } else if (file2.isDirectory()) {
            System.out.println("Both parameters have to be jar files if the first parameter is a jar file.");
            return;
        } else {
            try {
                jarsAsTypeSystems(new JarFile(file), new JarFile(file2), arrayList);
            } catch (IOException e2) {
                e2.printStackTrace();
            }
        }
        if (arrayList.size() < 1) {
            System.out.println("No differences encountered.");
            return;
        }
        System.out.println("Differences:");
        for (int i2 = 0; i2 < arrayList.size(); i2++) {
            System.out.println(arrayList.get(i2).toString());
        }
    }

    public static void readersAsText(Reader reader, String str, Reader reader2, String str2, List list) {
        org.apache.xmlbeans.impl.util.Diff.readersAsText(reader, str, reader2, str2, list);
    }

    public static void streamsAsXsb(InputStream inputStream, String str, InputStream inputStream2, String str2, List list) {
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        ByteArrayOutputStream byteArrayOutputStream2 = new ByteArrayOutputStream();
        XsbDumper.dump(inputStream, "", new PrintStream(byteArrayOutputStream));
        XsbDumper.dump(inputStream2, "", new PrintStream(byteArrayOutputStream2));
        inputStream.close();
        inputStream2.close();
        readersAsText(new StringReader(byteArrayOutputStream.toString()), str, new StringReader(byteArrayOutputStream2.toString()), str2, list);
    }

    public static void zipEntriesAsXsb(ZipEntry zipEntry, JarFile jarFile, ZipEntry zipEntry2, JarFile jarFile2, List list) {
        try {
            streamsAsXsb(jarFile.getInputStream(zipEntry), zipEntry.getName(), jarFile2.getInputStream(zipEntry2), zipEntry2.getName(), list);
        } catch (IOException unused) {
        }
    }
}
