package org.apache.xmlbeans.impl.tool;

import b.b.a.a.a;
import java.io.File;
import java.io.PrintStream;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashSet;
import java.util.Iterator;
import org.apache.xerces.impl.xs.SchemaSymbols;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.SchemaTypeLoader;
import org.apache.xmlbeans.XmlBeans;
import org.apache.xmlbeans.XmlException;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;

public class InstanceValidator {
    public static int extraMain(String[] strArr) {
        int i2;
        HashSet hashSet = new HashSet();
        hashSet.add("h");
        hashSet.add("help");
        hashSet.add("usage");
        hashSet.add("license");
        hashSet.add("version");
        hashSet.add("dl");
        hashSet.add("noupa");
        hashSet.add("nopvr");
        hashSet.add(SchemaSymbols.ATTVAL_STRICT);
        hashSet.add("partial");
        CommandLine commandLine = new CommandLine(strArr, hashSet, Collections.EMPTY_SET);
        if (commandLine.getOpt("h") == null && commandLine.getOpt("help") == null && commandLine.getOpt("usage") == null && strArr.length >= 1) {
            String[] badOpts = commandLine.getBadOpts();
            if (badOpts.length > 0) {
                for (String str : badOpts) {
                    PrintStream printStream = System.out;
                    StringBuffer a = a.a("Unrecognized option: ");
                    a.append(str);
                    printStream.println(a.toString());
                }
                printUsage();
                return 0;
            } else if (commandLine.getOpt("license") != null) {
                CommandLine.printLicense();
                return 0;
            } else if (commandLine.getOpt("version") != null) {
                CommandLine.printVersion();
                return 0;
            } else if (commandLine.args().length == 0) {
                return 0;
            } else {
                boolean z = commandLine.getOpt("dl") != null;
                boolean z2 = commandLine.getOpt("nopvr") != null;
                boolean z3 = commandLine.getOpt("noupa") != null;
                boolean z4 = commandLine.getOpt(SchemaSymbols.ATTVAL_STRICT) != null;
                boolean z5 = commandLine.getOpt("partial") != null;
                File[] filesEndingWith = commandLine.filesEndingWith(XMLBean.XSD);
                File[] filesEndingWith2 = commandLine.filesEndingWith(".xml");
                File[] filesEndingWith3 = commandLine.filesEndingWith(".jar");
                ArrayList arrayList = new ArrayList();
                for (int i3 = 0; i3 < filesEndingWith.length; i3++) {
                    try {
                        arrayList.add(XmlObject.Factory.parse(filesEndingWith[i3], new XmlOptions().setLoadLineNumbers().setLoadMessageDigest()));
                    } catch (Exception e2) {
                        PrintStream printStream2 = System.err;
                        StringBuffer stringBuffer = new StringBuffer();
                        stringBuffer.append(filesEndingWith[i3]);
                        stringBuffer.append(" not loadable: ");
                        stringBuffer.append(e2);
                        printStream2.println(stringBuffer.toString());
                    }
                }
                XmlObject[] xmlObjectArr = (XmlObject[]) arrayList.toArray(new XmlObject[0]);
                ArrayList arrayList2 = new ArrayList();
                XmlOptions xmlOptions = new XmlOptions();
                xmlOptions.setErrorListener(arrayList2);
                if (z) {
                    xmlOptions.setCompileDownloadUrls();
                }
                if (z2) {
                    xmlOptions.setCompileNoPvrRule();
                }
                if (z3) {
                    xmlOptions.setCompileNoUpaRule();
                }
                if (z5) {
                    xmlOptions.put("COMPILE_PARTIAL_TYPESYSTEM");
                }
                SchemaTypeLoader typeLoaderForResource = (filesEndingWith3 == null || filesEndingWith3.length <= 0) ? null : XmlBeans.typeLoaderForResource(XmlBeans.resourceLoaderForPath(filesEndingWith3));
                if (xmlObjectArr != null) {
                    try {
                        if (xmlObjectArr.length > 0) {
                            typeLoaderForResource = XmlBeans.compileXsd(xmlObjectArr, typeLoaderForResource, xmlOptions);
                        }
                    } catch (Exception e3) {
                        if (arrayList2.isEmpty() || !(e3 instanceof XmlException)) {
                            e3.printStackTrace(System.err);
                        }
                        PrintStream printStream3 = System.out;
                        StringBuffer a2 = a.a("Schema invalid:");
                        a2.append(z5 ? " couldn't recover from errors" : "");
                        printStream3.println(a2.toString());
                        Iterator it = arrayList2.iterator();
                        while (it.hasNext()) {
                            System.out.println(it.next());
                        }
                        return 10;
                    }
                }
                if (!z5 || arrayList2.isEmpty()) {
                    i2 = 0;
                } else {
                    i2 = 11;
                    System.out.println("Schema invalid: partial schema type system recovered");
                    Iterator it2 = arrayList2.iterator();
                    while (it2.hasNext()) {
                        System.out.println(it2.next());
                    }
                }
                if (typeLoaderForResource == null) {
                    typeLoaderForResource = XmlBeans.getContextTypeLoader();
                }
                for (int i4 = 0; i4 < filesEndingWith2.length; i4++) {
                    try {
                        XmlObject parse = typeLoaderForResource.parse(filesEndingWith2[i4], (SchemaType) null, new XmlOptions().setLoadLineNumbers(XmlOptions.LOAD_LINE_NUMBERS_END_ELEMENT));
                        ArrayList arrayList3 = new ArrayList();
                        if (parse.schemaType() == XmlObject.type) {
                            PrintStream printStream4 = System.out;
                            StringBuffer stringBuffer2 = new StringBuffer();
                            stringBuffer2.append(filesEndingWith2[i4]);
                            stringBuffer2.append(" NOT valid.  ");
                            printStream4.println(stringBuffer2.toString());
                            System.out.println("  Document type not found.");
                        } else {
                            XmlOptions errorListener = new XmlOptions().setErrorListener(arrayList3);
                            if (z4) {
                                errorListener = errorListener.setValidateStrict();
                            }
                            if (parse.validate(errorListener)) {
                                PrintStream printStream5 = System.out;
                                StringBuffer stringBuffer3 = new StringBuffer();
                                stringBuffer3.append(filesEndingWith2[i4]);
                                stringBuffer3.append(" valid.");
                                printStream5.println(stringBuffer3.toString());
                            } else {
                                PrintStream printStream6 = System.out;
                                StringBuffer stringBuffer4 = new StringBuffer();
                                stringBuffer4.append(filesEndingWith2[i4]);
                                stringBuffer4.append(" NOT valid.");
                                printStream6.println(stringBuffer4.toString());
                                Iterator it3 = arrayList3.iterator();
                                while (it3.hasNext()) {
                                    System.out.println(it3.next());
                                }
                                i2 = 1;
                            }
                        }
                    } catch (Exception e4) {
                        PrintStream printStream7 = System.err;
                        StringBuffer stringBuffer5 = new StringBuffer();
                        stringBuffer5.append(filesEndingWith2[i4]);
                        stringBuffer5.append(" not loadable: ");
                        stringBuffer5.append(e4);
                        printStream7.println(stringBuffer5.toString());
                        e4.printStackTrace(System.err);
                    }
                }
                return i2;
            }
        } else {
            printUsage();
            return 0;
        }
    }

    public static void main(String[] strArr) {
        System.exit(extraMain(strArr));
    }

    public static void printUsage() {
        System.out.println("Validates the specified instance against the specified schema.");
        System.out.println("Contrast with the svalidate tool, which validates using a stream.");
        System.out.println("Usage: validate [-dl] [-nopvr] [-noupa] [-license] schema.xsd instance.xml");
        System.out.println("Options:");
        System.out.println("    -dl - permit network downloads for imports and includes (default is off)");
        System.out.println("    -noupa - do not enforce the unique particle attribution rule");
        System.out.println("    -nopvr - do not enforce the particle valid (restriction) rule");
        System.out.println("    -strict - performs strict(er) validation");
        System.out.println("    -partial - allow partial schema type system");
        System.out.println("    -license - prints license information");
    }
}
