package org.apache.xmlbeans.impl.tool;

import b.b.a.a.a;
import java.io.File;
import java.io.IOException;
import java.io.PrintStream;
import java.io.StringWriter;
import java.util.Collections;
import java.util.HashSet;
import javax.xml.transform.OutputKeys;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;

public class PrettyPrinter {
    public static final int DEFAULT_INDENT = 2;

    public static String indent(String str) {
        StringWriter stringWriter = new StringWriter();
        XmlObject.Factory.parse(str, new XmlOptions().setLoadLineNumbers()).save(stringWriter, new XmlOptions().setSavePrettyPrint().setSavePrettyPrintIndent(2));
        stringWriter.close();
        return stringWriter.getBuffer().toString();
    }

    public static void main(String[] strArr) {
        int i2;
        HashSet hashSet = new HashSet();
        hashSet.add("h");
        hashSet.add("help");
        hashSet.add("usage");
        hashSet.add("license");
        hashSet.add("version");
        CommandLine commandLine = new CommandLine(strArr, hashSet, Collections.singleton(OutputKeys.INDENT));
        if (commandLine.getOpt("h") == null && commandLine.getOpt("help") == null && commandLine.getOpt("usage") == null) {
            String[] badOpts = commandLine.getBadOpts();
            if (badOpts.length > 0) {
                for (String str : badOpts) {
                    PrintStream printStream = System.out;
                    StringBuffer a = a.a("Unrecognized option: ");
                    a.append(str);
                    printStream.println(a.toString());
                }
                printUsage();
                System.exit(0);
            } else if (commandLine.getOpt("license") != null) {
                CommandLine.printLicense();
                System.exit(0);
            } else if (commandLine.getOpt("version") != null) {
                CommandLine.printVersion();
                System.exit(0);
            } else if (commandLine.args().length == 0) {
                printUsage();
            } else {
                String opt = commandLine.getOpt(OutputKeys.INDENT);
                if (opt == null) {
                    i2 = 2;
                } else {
                    i2 = Integer.parseInt(opt);
                }
                File[] files = commandLine.getFiles();
                for (int i3 = 0; i3 < files.length; i3++) {
                    try {
                        try {
                            XmlObject.Factory.parse(files[i3], new XmlOptions().setLoadLineNumbers()).save(System.out, new XmlOptions().setSavePrettyPrint().setSavePrettyPrintIndent(i2));
                        } catch (IOException e2) {
                            PrintStream printStream2 = System.err;
                            StringBuffer a2 = a.a("Unable to pretty print ");
                            a2.append(files[i3]);
                            a2.append(": ");
                            a2.append(e2.getMessage());
                            printStream2.println(a2.toString());
                        }
                    } catch (Exception e3) {
                        PrintStream printStream3 = System.err;
                        StringBuffer stringBuffer = new StringBuffer();
                        stringBuffer.append(files[i3]);
                        stringBuffer.append(" not loadable: ");
                        stringBuffer.append(e3.getMessage());
                        printStream3.println(stringBuffer.toString());
                    }
                }
            }
        } else {
            printUsage();
            System.exit(0);
        }
    }

    public static void printUsage() {
        System.out.println("Pretty prints XML files.");
        System.out.println("Usage: xpretty [switches] file.xml");
        System.out.println("Switches:");
        System.out.println("    -indent #   use the given indent");
        System.out.println("    -license prints license information");
    }
}
