package org.apache.xmlbeans.impl.tool;

import b.b.a.a.a;
import java.io.File;
import java.io.IOException;
import java.util.ArrayList;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;
import org.apache.poi.openxml4j.opc.internal.ZipHelper;
import org.apache.xmlbeans.SchemaTypeSystem;
import org.apache.xmlbeans.SystemProperties;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.impl.util.FilerImpl;
import repackage.Repackager;

public class SchemaCodeGenerator {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$tool$SchemaCodeGenerator;
    public static Set deleteFileQueue = new HashSet();
    public static int triesRemaining = 0;

    static {
        Class cls = class$org$apache$xmlbeans$impl$tool$SchemaCodeGenerator;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.tool.SchemaCodeGenerator");
            class$org$apache$xmlbeans$impl$tool$SchemaCodeGenerator = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public static File createTempDir() {
        String str;
        try {
            new File(SystemProperties.getProperty("java.io.tmpdir")).mkdirs();
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        File file = null;
        File createTempFile = File.createTempFile("xbean", null);
        String absolutePath = createTempFile.getAbsolutePath();
        if (absolutePath.endsWith(".tmp")) {
            int i2 = 0;
            String substring = absolutePath.substring(0, absolutePath.length() - 4);
            while (true) {
                if (i2 >= 100) {
                    break;
                }
                StringBuffer c = a.c(substring, ".d");
                if (i2 == 0) {
                    str = "";
                } else {
                    int i3 = i2 + 1;
                    String num = Integer.toString(i2);
                    i2 = i3;
                    str = num;
                }
                c.append(str);
                File file2 = new File(c.toString());
                if (!file2.exists()) {
                    boolean mkdirs = file2.mkdirs();
                    if ($assertionsDisabled || mkdirs) {
                        file = file2;
                    } else {
                        StringBuffer a = a.a("Could not create ");
                        a.append(file2.getAbsolutePath());
                        throw new AssertionError(a.toString());
                    }
                } else {
                    i2++;
                    file = file2;
                }
            }
            createTempFile.deleteOnExit();
            return file;
        }
        throw new IOException("Error: createTempFile did not create a file ending with .tmp");
    }

    public static void deleteDirRecursively(File file, File file2) {
        String[] list = file2.list();
        while (list != null && list.length == 0 && !file2.equals(file)) {
            file2.delete();
            file2 = file2.getParentFile();
            list = file2.list();
        }
    }

    public static void deleteObsoleteFiles(File file, File file2, Set set) {
        if (!file.isDirectory() || !file2.isDirectory()) {
            throw new IllegalArgumentException();
        }
        String absolutePath = file2.getAbsolutePath();
        if (absolutePath.length() > 5) {
            if (!absolutePath.startsWith("/home/") || (absolutePath.indexOf(ZipHelper.FORWARD_SLASH, 6) < absolutePath.length() - 1 && absolutePath.indexOf(ZipHelper.FORWARD_SLASH, 6) >= 0)) {
                File[] listFiles = file2.listFiles();
                for (int i2 = 0; i2 < listFiles.length; i2++) {
                    if (listFiles[i2].isDirectory()) {
                        deleteObsoleteFiles(file, listFiles[i2], set);
                    } else if (!set.contains(listFiles[i2])) {
                        deleteXmlBeansFile(listFiles[i2]);
                        deleteDirRecursively(file, listFiles[i2].getParentFile());
                    }
                }
            }
        }
    }

    public static void deleteXmlBeansFile(File file) {
        if (file.getName().endsWith(XMLBean.JAVA)) {
            file.delete();
        }
    }

    public static void giveUp() {
        synchronized (deleteFileQueue) {
            deleteFileQueue.clear();
            triesRemaining = 0;
        }
    }

    public static void saveTypeSystem(SchemaTypeSystem schemaTypeSystem, File file, File file2, Repackager repackager, XmlOptions xmlOptions) {
        schemaTypeSystem.save(new FilerImpl(file, null, repackager, false, false));
    }

    public static void tryHardToDelete(File file) {
        tryToDelete(file);
        if (file.exists()) {
            tryToDeleteLater(file);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:26:0x0057  */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x0058  */
    public static boolean tryNowThatItsLater() {
        ArrayList arrayList;
        boolean z;
        synchronized (deleteFileQueue) {
            arrayList = new ArrayList(deleteFileQueue);
            deleteFileQueue.clear();
        }
        ArrayList arrayList2 = new ArrayList();
        Iterator it = arrayList.iterator();
        while (it.hasNext()) {
            File file = (File) it.next();
            tryToDelete(file);
            if (file.exists()) {
                arrayList2.add(file);
            }
        }
        synchronized (deleteFileQueue) {
            z = true;
            if (triesRemaining > 0) {
                triesRemaining--;
            }
            if (triesRemaining > 0) {
                if (arrayList2.size() != 0) {
                    deleteFileQueue.addAll(arrayList2);
                    if (triesRemaining <= 0) {
                        z = false;
                    }
                }
            }
            triesRemaining = 0;
            if (triesRemaining <= 0) {
            }
        }
        return z;
    }

    public static void tryToDelete(File file) {
        String[] list;
        if (file.exists()) {
            if (file.isDirectory() && (list = file.list()) != null) {
                for (String str : list) {
                    tryToDelete(new File(file, str));
                }
            }
            if (!file.delete()) {
            }
        }
    }

    public static void tryToDeleteLater(File file) {
        synchronized (deleteFileQueue) {
            deleteFileQueue.add(file);
            if (triesRemaining == 0) {
                new Thread() {
                    /* class org.apache.xmlbeans.impl.tool.SchemaCodeGenerator.AnonymousClass1 */

                    public void run() {
                        while (!SchemaCodeGenerator.tryNowThatItsLater()) {
                            try {
                                Thread.sleep(3000);
                            } catch (InterruptedException unused) {
                                SchemaCodeGenerator.giveUp();
                                return;
                            }
                        }
                    }
                };
            }
            if (triesRemaining < 10) {
                triesRemaining = 10;
            }
        }
    }
}
