package org.apache.xmlbeans.impl.tool;

import b.b.a.a.a;
import java.io.File;
import java.io.FileInputStream;
import java.io.PrintStream;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashSet;
import java.util.Iterator;
import org.apache.poi.javax.xml.stream.Location;
import org.apache.poi.javax.xml.stream.XMLInputFactory;
import org.apache.poi.javax.xml.stream.XMLStreamException;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaTypeLoader;
import org.apache.xmlbeans.XmlBeans;
import org.apache.xmlbeans.XmlError;
import org.apache.xmlbeans.XmlException;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.impl.validator.ValidatingXMLStreamReader;

public class StreamInstanceValidator {
    public static final XMLInputFactory XML_INPUT_FACTORY = XMLInputFactory.newInstance();

    public static void main(String[] strArr) {
        HashSet hashSet = new HashSet();
        hashSet.add("h");
        hashSet.add("help");
        hashSet.add("usage");
        hashSet.add("license");
        hashSet.add("version");
        hashSet.add("dl");
        hashSet.add("noupr");
        hashSet.add("noupa");
        CommandLine commandLine = new CommandLine(strArr, hashSet, Collections.EMPTY_SET);
        if (commandLine.getOpt("h") == null && commandLine.getOpt("help") == null && commandLine.getOpt("usage") == null) {
            boolean z = true;
            if (strArr.length >= 1) {
                String[] badOpts = commandLine.getBadOpts();
                if (badOpts.length > 0) {
                    for (String str : badOpts) {
                        PrintStream printStream = System.out;
                        StringBuffer a = a.a("Unrecognized option: ");
                        a.append(str);
                        printStream.println(a.toString());
                    }
                    printUsage();
                    System.exit(0);
                    return;
                } else if (commandLine.getOpt("license") != null) {
                    CommandLine.printLicense();
                    System.exit(0);
                    return;
                } else if (commandLine.getOpt("version") != null) {
                    CommandLine.printVersion();
                    System.exit(0);
                    return;
                } else if (commandLine.args().length == 0) {
                    printUsage();
                    return;
                } else {
                    boolean z2 = commandLine.getOpt("dl") != null;
                    boolean z3 = commandLine.getOpt("nopvr") != null;
                    if (commandLine.getOpt("noupa") == null) {
                        z = false;
                    }
                    File[] filesEndingWith = commandLine.filesEndingWith(XMLBean.XSD);
                    File[] filesEndingWith2 = commandLine.filesEndingWith(".xml");
                    File[] filesEndingWith3 = commandLine.filesEndingWith(".jar");
                    ArrayList arrayList = new ArrayList();
                    XmlOptions loadLineNumbers = new XmlOptions().setLoadLineNumbers();
                    for (int i2 = 0; i2 < filesEndingWith.length; i2++) {
                        try {
                            arrayList.add(XmlObject.Factory.parse(filesEndingWith[i2], loadLineNumbers.setLoadMessageDigest()));
                        } catch (Exception e2) {
                            PrintStream printStream2 = System.err;
                            StringBuffer stringBuffer = new StringBuffer();
                            stringBuffer.append(filesEndingWith[i2]);
                            stringBuffer.append(" not loadable: ");
                            stringBuffer.append(e2);
                            printStream2.println(stringBuffer.toString());
                        }
                    }
                    XmlObject[] xmlObjectArr = (XmlObject[]) arrayList.toArray(new XmlObject[0]);
                    SchemaTypeLoader schemaTypeLoader = null;
                    ArrayList arrayList2 = new ArrayList();
                    XmlOptions xmlOptions = new XmlOptions();
                    xmlOptions.setErrorListener(arrayList2);
                    if (z2) {
                        xmlOptions.setCompileDownloadUrls();
                    }
                    if (z3) {
                        xmlOptions.setCompileNoPvrRule();
                    }
                    if (z) {
                        xmlOptions.setCompileNoUpaRule();
                    }
                    if (filesEndingWith3 != null && filesEndingWith3.length > 0) {
                        schemaTypeLoader = XmlBeans.typeLoaderForResource(XmlBeans.resourceLoaderForPath(filesEndingWith3));
                    }
                    if (xmlObjectArr != null) {
                        try {
                            if (xmlObjectArr.length > 0) {
                                schemaTypeLoader = XmlBeans.compileXsd(xmlObjectArr, schemaTypeLoader, xmlOptions);
                            }
                        } catch (Exception e3) {
                            if (arrayList2.isEmpty() || !(e3 instanceof XmlException)) {
                                e3.printStackTrace(System.err);
                            }
                            System.out.println("Schema invalid");
                            Iterator it = arrayList2.iterator();
                            while (it.hasNext()) {
                                System.out.println(it.next());
                            }
                            return;
                        }
                    }
                    validateFiles(filesEndingWith2, schemaTypeLoader, loadLineNumbers);
                    return;
                }
            }
        }
        printUsage();
        System.exit(0);
    }

    public static void printUsage() {
        System.out.println("Validates the specified instance against the specified schema.");
        System.out.println("A streaming validation useful for validating very large instance ");
        System.out.println("documents with less memory. Contrast with the validate tool.");
        System.out.println("Usage: svalidate [-dl] [-nopvr] [-noupa] [-license] schema.xsd instance.xml");
        System.out.println("Options:");
        System.out.println("    -dl - permit network downloads for imports and includes (default is off)");
        System.out.println("    -noupa - do not enforce the unique particle attribution rule");
        System.out.println("    -nopvr - do not enforce the particle valid (restriction) rule");
        System.out.println("    -license - prints license information");
    }

    public static String stringFromError(XmlError xmlError, String str) {
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append(XmlError.severityAsString(xmlError.getSeverity()));
        stringBuffer.append(": ");
        stringBuffer.append(str);
        stringBuffer.append(":");
        stringBuffer.append(xmlError.getLine());
        stringBuffer.append(":");
        stringBuffer.append(xmlError.getColumn());
        stringBuffer.append(" ");
        stringBuffer.append(xmlError.getMessage());
        stringBuffer.append(" ");
        return stringBuffer.toString();
    }

    /* JADX WARNING: Code restructure failed: missing block: B:20:0x005c, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:21:0x005d, code lost:
        r2 = java.lang.System.err;
        r3 = new java.lang.StringBuffer();
        r3.append("error for file: ");
        r3.append(r12);
        r3.append(": ");
        r3.append(r0);
        r2.println(r3.toString());
        r0.printStackTrace(java.lang.System.err);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:22:0x0082, code lost:
        r0 = e;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Removed duplicated region for block: B:20:0x005c A[ExcHandler: Exception (r0v10 'e' java.lang.Exception A[CUSTOM_DECLARE]), Splitter:B:4:0x001c] */
    /* JADX WARNING: Removed duplicated region for block: B:26:0x00a4  */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x00c3  */
    public static void validateFiles(File[] fileArr, SchemaTypeLoader schemaTypeLoader, XmlOptions xmlOptions) {
        long currentTimeMillis;
        ValidatingXMLStreamReader validatingXMLStreamReader = new ValidatingXMLStreamReader();
        ArrayList arrayList = new ArrayList();
        for (int i2 = 0; i2 < fileArr.length; i2++) {
            File file = fileArr[i2];
            String path = file.getPath();
            long j = 0;
            arrayList.clear();
            try {
                FileInputStream fileInputStream = new FileInputStream(file);
                XMLStreamReader createXMLStreamReader = XML_INPUT_FACTORY.createXMLStreamReader(path, fileInputStream);
                while (!createXMLStreamReader.isStartElement()) {
                    createXMLStreamReader.next();
                }
                currentTimeMillis = System.currentTimeMillis();
                validatingXMLStreamReader.init(createXMLStreamReader, true, null, schemaTypeLoader, xmlOptions, arrayList);
                while (validatingXMLStreamReader.hasNext()) {
                    validatingXMLStreamReader.next();
                }
                j = System.currentTimeMillis() - currentTimeMillis;
                validatingXMLStreamReader.close();
                fileInputStream.close();
            } catch (XMLStreamException e2) {
                XMLStreamException e3 = e2;
                j = currentTimeMillis;
                Location location = e3.getLocation();
                arrayList.add(XmlError.forLocation(e3.getMessage(), path, location.getLineNumber(), location.getColumnNumber(), location.getCharacterOffset()));
                if (arrayList.isEmpty()) {
                }
            } catch (Exception e4) {
            }
            if (arrayList.isEmpty()) {
                PrintStream printStream = System.out;
                StringBuffer stringBuffer = new StringBuffer();
                stringBuffer.append(file);
                stringBuffer.append(" valid. (");
                stringBuffer.append(j);
                stringBuffer.append(" ms)");
                printStream.println(stringBuffer.toString());
            } else {
                PrintStream printStream2 = System.out;
                StringBuffer stringBuffer2 = new StringBuffer();
                stringBuffer2.append(file);
                stringBuffer2.append(" NOT valid (");
                stringBuffer2.append(j);
                stringBuffer2.append(" ms):");
                printStream2.println(stringBuffer2.toString());
                Iterator it = arrayList.iterator();
                while (it.hasNext()) {
                    System.out.println(stringFromError((XmlError) it.next(), path));
                }
            }
        }
    }
}
