package org.apache.xmlbeans.impl.validator;

import java.math.BigDecimal;
import java.util.List;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.poi.ss.formula.functions.NumericFunction;
import org.apache.xmlbeans.GDate;
import org.apache.xmlbeans.GDuration;
import org.apache.xmlbeans.SchemaAttributeModel;
import org.apache.xmlbeans.SchemaLocalAttribute;
import org.apache.xmlbeans.SchemaLocalElement;
import org.apache.xmlbeans.SchemaParticle;
import org.apache.xmlbeans.SchemaType;

public class ValidatingInfoXMLStreamReader extends ValidatingXMLStreamReader implements XMLStreamReader {
    public int _attCount = -1;
    public int _attIndex = 0;

    public boolean getBooleanValue() {
        Validator validator = this._validator;
        if (validator == null) {
            return false;
        }
        return validator.getBooleanValue();
    }

    public byte[] getByteArrayValue() {
        Validator validator = this._validator;
        if (validator == null) {
            return null;
        }
        return validator.getByteArrayValue();
    }

    public SchemaLocalAttribute getCurrentAttribute() {
        Validator validator = this._validator;
        if (validator == null) {
            return null;
        }
        return validator.getCurrentAttribute();
    }

    public SchemaLocalElement getCurrentElement() {
        Validator validator = this._validator;
        if (validator == null) {
            return null;
        }
        return validator.getCurrentElement();
    }

    public SchemaType getCurrentElementSchemaType() {
        Validator validator = this._validator;
        if (validator == null) {
            return null;
        }
        return validator.getCurrentElementSchemaType();
    }

    public SchemaAttributeModel getCurrentWildcardAttribute() {
        Validator validator = this._validator;
        if (validator == null) {
            return null;
        }
        return validator.getCurrentWildcardAttribute();
    }

    public SchemaParticle getCurrentWildcardElement() {
        Validator validator = this._validator;
        if (validator == null) {
            return null;
        }
        return validator.getCurrentWildcardElement();
    }

    public BigDecimal getDecimalValue() {
        Validator validator = this._validator;
        if (validator == null) {
            return null;
        }
        return validator.getDecimalValue();
    }

    public double getDoubleValue() {
        Validator validator = this._validator;
        return validator == null ? NumericFunction.LOG_10_TO_BASE_e : validator.getDoubleValue();
    }

    public float getFloatValue() {
        Validator validator = this._validator;
        if (validator == null) {
            return 0.0f;
        }
        return validator.getFloatValue();
    }

    public GDate getGDateValue() {
        Validator validator = this._validator;
        if (validator == null) {
            return null;
        }
        return validator.getGDateValue();
    }

    public GDuration getGDurationValue() {
        Validator validator = this._validator;
        if (validator == null) {
            return null;
        }
        return validator.getGDurationValue();
    }

    public List getListTypes() {
        Validator validator = this._validator;
        if (validator == null) {
            return null;
        }
        return validator.getListTypes();
    }

    public List getListValue() {
        Validator validator = this._validator;
        if (validator == null) {
            return null;
        }
        return validator.getListValue();
    }

    public QName getQNameValue() {
        Validator validator = this._validator;
        if (validator == null) {
            return null;
        }
        return validator.getQNameValue();
    }

    public String getStringValue() {
        Validator validator = this._validator;
        if (validator == null) {
            return null;
        }
        return validator.getStringValue();
    }

    public SchemaType getUnionType() {
        Validator validator = this._validator;
        if (validator == null) {
            return null;
        }
        return validator.getUnionType();
    }

    public int nextWithAttributes() {
        int i2 = this._attIndex;
        if (i2 >= this._attCount) {
            return next();
        }
        validate_attribute(i2);
        this._attIndex++;
        return 10;
    }

    @Override // org.apache.xmlbeans.impl.validator.ValidatingXMLStreamReader
    public void validate_attributes(int i2) {
        this._attCount = i2;
        this._attIndex = 0;
    }
}
