package org.apache.xmlbeans.impl.validator;

import b.b.a.a.a;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.Collection;
import java.util.HashSet;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.poi.ss.formula.functions.NumericFunction;
import org.apache.xmlbeans.GDate;
import org.apache.xmlbeans.GDuration;
import org.apache.xmlbeans.SchemaAttributeModel;
import org.apache.xmlbeans.SchemaField;
import org.apache.xmlbeans.SchemaGlobalAttribute;
import org.apache.xmlbeans.SchemaGlobalElement;
import org.apache.xmlbeans.SchemaLocalAttribute;
import org.apache.xmlbeans.SchemaLocalElement;
import org.apache.xmlbeans.SchemaParticle;
import org.apache.xmlbeans.SchemaProperty;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.SchemaTypeLoader;
import org.apache.xmlbeans.SimpleValue;
import org.apache.xmlbeans.XmlAnySimpleType;
import org.apache.xmlbeans.XmlCursor;
import org.apache.xmlbeans.XmlErrorCodes;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.XmlQName;
import org.apache.xmlbeans.XmlString;
import org.apache.xmlbeans.XmlValidationError;
import org.apache.xmlbeans.impl.common.IdentityConstraint;
import org.apache.xmlbeans.impl.common.InvalidLexicalValueException;
import org.apache.xmlbeans.impl.common.QNameHelper;
import org.apache.xmlbeans.impl.common.ValidationContext;
import org.apache.xmlbeans.impl.common.ValidatorListener;
import org.apache.xmlbeans.impl.common.XmlWhitespace;
import org.apache.xmlbeans.impl.schema.SchemaTypeImpl;
import org.apache.xmlbeans.impl.schema.SchemaTypeVisitorImpl;
import org.apache.xmlbeans.impl.util.XsTypeConverter;
import org.apache.xmlbeans.impl.values.JavaBase64Holder;
import org.apache.xmlbeans.impl.values.JavaBase64HolderEx;
import org.apache.xmlbeans.impl.values.JavaBooleanHolder;
import org.apache.xmlbeans.impl.values.JavaBooleanHolderEx;
import org.apache.xmlbeans.impl.values.JavaDecimalHolderEx;
import org.apache.xmlbeans.impl.values.JavaDoubleHolderEx;
import org.apache.xmlbeans.impl.values.JavaFloatHolderEx;
import org.apache.xmlbeans.impl.values.JavaGDateHolderEx;
import org.apache.xmlbeans.impl.values.JavaGDurationHolderEx;
import org.apache.xmlbeans.impl.values.JavaHexBinaryHolder;
import org.apache.xmlbeans.impl.values.JavaHexBinaryHolderEx;
import org.apache.xmlbeans.impl.values.JavaNotationHolderEx;
import org.apache.xmlbeans.impl.values.JavaQNameHolder;
import org.apache.xmlbeans.impl.values.JavaQNameHolderEx;
import org.apache.xmlbeans.impl.values.JavaStringEnumerationHolderEx;
import org.apache.xmlbeans.impl.values.JavaUriHolderEx;
import org.apache.xmlbeans.impl.values.NamespaceContext;
import org.apache.xmlbeans.impl.values.XmlListImpl;
import org.apache.xmlbeans.impl.values.XmlValueOutOfRangeException;

public final class Validator implements ValidatorListener {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$validator$Validator;
    public boolean _booleanValue;
    public byte[] _byteArrayValue;
    public IdentityConstraint _constraintEngine;
    public BigDecimal _decimalValue;
    public double _doubleValue;
    public int _eatContent;
    public Collection _errorListener;
    public int _errorState;
    public float _floatValue;
    public GDate _gdateValue;
    public GDuration _gdurationValue;
    public SchemaTypeLoader _globalTypes;
    public boolean _invalid;
    public List _listTypes;
    public List _listValue;
    public SchemaLocalAttribute _localAttribute;
    public SchemaLocalElement _localElement;
    public QName _qnameValue;
    public SchemaField _rootField;
    public SchemaType _rootType;
    public State _stateStack;
    public boolean _strict;
    public String _stringValue;
    public int _suspendErrors;
    public boolean _treatLaxAsSkip;
    public SchemaType _unionType;
    public ValidatorVC _vc;
    public LinkedList _visitorPool = new LinkedList();
    public SchemaAttributeModel _wildcardAttribute;
    public SchemaParticle _wildcardElement;

    public final class State {
        public static final /* synthetic */ boolean $assertionsDisabled;
        public SchemaAttributeModel _attrModel;
        public HashSet _attrs;
        public boolean _canHaveAttrs;
        public boolean _canHaveElements;
        public boolean _canHaveMixedContent;
        public SchemaField _field;
        public boolean _hasSimpleContent;
        public boolean _isEmpty;
        public boolean _isNil;
        public State _next;
        public boolean _sawText;
        public SchemaType _type;
        public SchemaTypeVisitorImpl _visitor;

        static {
            Class cls = Validator.class$org$apache$xmlbeans$impl$validator$Validator;
            if (cls == null) {
                cls = Validator.class$("org.apache.xmlbeans.impl.validator.Validator");
                Validator.class$org$apache$xmlbeans$impl$validator$Validator = cls;
            }
            $assertionsDisabled = !cls.desiredAssertionStatus();
        }

        public State() {
        }

        public SchemaParticle currentParticle() {
            if ($assertionsDisabled || this._visitor != null) {
                return this._visitor.currentParticle();
            }
            throw new AssertionError();
        }

        public boolean end() {
            return !this._canHaveElements || this._visitor.visit(null);
        }

        public boolean test(QName qName) {
            return this._canHaveElements && this._visitor.testValid(qName);
        }

        public boolean visit(QName qName) {
            return this._canHaveElements && this._visitor.visit(qName);
        }
    }

    public class ValidatorVC implements ValidationContext {
        public ValidatorListener.Event _event;

        public ValidatorVC() {
        }

        @Override // org.apache.xmlbeans.impl.common.ValidationContext
        public void invalid(String str) {
            Validator.this.emitError(this._event, str, null, null, null, XmlValidationError.ATTRIBUTE_TYPE_INVALID, null);
        }

        @Override // org.apache.xmlbeans.impl.common.ValidationContext
        public void invalid(String str, Object[] objArr) {
            Validator.this.emitError(this._event, str, objArr, null, null, null, XmlValidationError.ATTRIBUTE_TYPE_INVALID, null);
        }
    }

    static {
        Class cls = class$org$apache$xmlbeans$impl$validator$Validator;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.validator.Validator");
            class$org$apache$xmlbeans$impl$validator$Validator = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
    }

    public Validator(SchemaType schemaType, SchemaField schemaField, SchemaTypeLoader schemaTypeLoader, XmlOptions xmlOptions, Collection collection) {
        XmlOptions maskNull = XmlOptions.maskNull(xmlOptions);
        this._errorListener = (Collection) maskNull.get(XmlOptions.ERROR_LISTENER);
        this._treatLaxAsSkip = maskNull.hasOption(XmlOptions.VALIDATE_TREAT_LAX_AS_SKIP);
        this._strict = maskNull.hasOption(XmlOptions.VALIDATE_STRICT);
        if (this._errorListener == null) {
            this._errorListener = collection;
        }
        this._constraintEngine = new IdentityConstraint(this._errorListener, schemaType.isDocumentType());
        this._globalTypes = schemaTypeLoader;
        this._rootType = schemaType;
        this._rootField = schemaField;
        this._vc = new ValidatorVC();
    }

    private void addToList(SchemaType schemaType) {
        if (schemaType.getSimpleVariety() == 1 || schemaType.getSimpleVariety() == 2) {
            if (schemaType.getUnionMemberTypes().length > 0 && getUnionType() != null) {
                schemaType = getUnionType();
                this._unionType = null;
            }
            this._listTypes.add(schemaType);
            if (schemaType.getPrimitiveType() == null) {
                this._listValue.add(null);
                return;
            }
            switch (schemaType.getPrimitiveType().getBuiltinTypeCode()) {
                case 2:
                    this._listValue.add(this._stringValue);
                    return;
                case 3:
                    this._listValue.add(this._booleanValue ? Boolean.TRUE : Boolean.FALSE);
                    this._booleanValue = false;
                    return;
                case 4:
                    this._listValue.add(this._byteArrayValue);
                    this._byteArrayValue = null;
                    return;
                case 5:
                    this._listValue.add(this._byteArrayValue);
                    this._byteArrayValue = null;
                    return;
                case 6:
                    this._listTypes.add(this._stringValue);
                    return;
                case 7:
                    this._listValue.add(this._qnameValue);
                    this._qnameValue = null;
                    return;
                case 8:
                    this._listValue.add(this._qnameValue);
                    this._qnameValue = null;
                    return;
                case 9:
                    this._listValue.add(new Float(this._floatValue));
                    this._floatValue = 0.0f;
                    return;
                case 10:
                    this._listValue.add(new Double(this._doubleValue));
                    this._doubleValue = NumericFunction.LOG_10_TO_BASE_e;
                    return;
                case 11:
                    this._listValue.add(this._decimalValue);
                    this._decimalValue = null;
                    return;
                case 12:
                    this._listValue.add(this._stringValue);
                    this._stringValue = null;
                    return;
                case 13:
                    this._listValue.add(this._gdurationValue);
                    this._gdurationValue = null;
                    return;
                case 14:
                case 15:
                case 16:
                case 17:
                case 18:
                case 19:
                case 20:
                case 21:
                    this._listValue.add(this._gdateValue);
                    this._gdateValue = null;
                    return;
                default:
                    throw new RuntimeException("Unexpected primitive type code");
            }
        }
    }

    private void attrEvent(ValidatorListener.Event event) {
        QName name = event.getName();
        State state = topState();
        if (state._attrs == null) {
            state._attrs = new HashSet();
        }
        if (state._attrs.contains(name)) {
            emitFieldError(event, XmlErrorCodes.XML_DUPLICATE_ATTRIBUTE, new Object[]{QNameHelper.pretty(name)}, name, null, null, 1000, state._type);
            return;
        }
        state._attrs.add(name);
        if (!state._canHaveAttrs) {
            emitFieldError(event, XmlErrorCodes.ELEM_COMPLEX_TYPE_LOCALLY_VALID$NO_WILDCARD, new Object[]{QNameHelper.pretty(name)}, name, null, null, 1000, state._type);
            return;
        }
        SchemaAttributeModel schemaAttributeModel = state._attrModel;
        SchemaLocalAttribute attribute = schemaAttributeModel == null ? null : schemaAttributeModel.getAttribute(name);
        if (attribute != null) {
            this._localAttribute = attribute;
            if (attribute.getUse() == 1) {
                emitFieldError(event, XmlErrorCodes.ELEM_COMPLEX_TYPE_LOCALLY_VALID$PROHIBITED_ATTRIBUTE, new Object[]{QNameHelper.pretty(name)}, name, null, null, 1000, state._type);
            } else {
                this._constraintEngine.attr(event, name, attribute.getType(), validateSimpleType(attribute.getType(), attribute, event, false, false));
            }
        } else {
            int wildcardProcess = state._attrModel.getWildcardProcess();
            SchemaAttributeModel schemaAttributeModel2 = state._attrModel;
            this._wildcardAttribute = schemaAttributeModel2;
            if (wildcardProcess == 0) {
                emitFieldError(event, XmlErrorCodes.ELEM_COMPLEX_TYPE_LOCALLY_VALID$NO_WILDCARD, new Object[]{QNameHelper.pretty(name)}, name, null, null, 1000, state._type);
            } else if (!schemaAttributeModel2.getWildcardSet().contains(name)) {
                emitFieldError(event, XmlErrorCodes.ELEM_COMPLEX_TYPE_LOCALLY_VALID$NOT_WILDCARD_VALID, new Object[]{QNameHelper.pretty(name)}, name, null, null, 1000, state._type);
            } else if (wildcardProcess == 3) {
            } else {
                if (wildcardProcess != 2 || !this._treatLaxAsSkip) {
                    SchemaGlobalAttribute findAttribute = this._globalTypes.findAttribute(name);
                    this._localAttribute = findAttribute;
                    if (findAttribute != null) {
                        this._constraintEngine.attr(event, name, findAttribute.getType(), validateSimpleType(findAttribute.getType(), findAttribute, event, false, false));
                    } else if (wildcardProcess != 2) {
                        if ($assertionsDisabled || wildcardProcess == 1) {
                            emitFieldError(event, XmlErrorCodes.ASSESS_ATTR_SCHEMA_VALID$NOT_RESOLVED, new Object[]{QNameHelper.pretty(name)}, name, null, null, 1000, state._type);
                            return;
                        }
                        throw new AssertionError();
                    }
                }
            }
        }
    }

    /* JADX INFO: finally extract failed */
    /* JADX WARNING: Code restructure failed: missing block: B:87:?, code lost:
        r19._errorState++;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:88:0x01ae, code lost:
        r19._suspendErrors--;
        r6 = r9;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:96:0x01ea, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:97:0x01eb, code lost:
        r19._suspendErrors--;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:98:0x01f0, code lost:
        throw r0;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:86:0x01a9 */
    private void beginEvent(ValidatorListener.Event event) {
        QName qName;
        SchemaField schemaField;
        SchemaType type;
        SchemaField schemaField2;
        SchemaField schemaField3;
        SchemaField schemaField4;
        SchemaType schemaType;
        SchemaType schemaType2;
        SchemaType schemaType3;
        boolean z;
        SchemaType schemaType4;
        boolean z2;
        boolean z3;
        QName qName2;
        int i2;
        this._localElement = null;
        this._wildcardElement = null;
        State state = topState();
        boolean z4 = false;
        if (state == null) {
            type = this._rootType;
            schemaField4 = this._rootField;
        } else {
            QName name = event.getName();
            if ($assertionsDisabled || name != null) {
                state._isEmpty = false;
                boolean z5 = state._isNil;
                if (z5) {
                    QName name2 = state._field.getName();
                    SchemaType schemaType5 = state._type;
                    emitFieldError(event, XmlErrorCodes.ELEM_LOCALLY_VALID$NIL_WITH_CONTENT, null, name2, schemaType5, null, 4, schemaType5);
                    this._eatContent = 1;
                    return;
                }
                if (z5 || (schemaField3 = state._field) == null || !schemaField3.isFixed()) {
                    qName = name;
                } else {
                    Object[] objArr = {QNameHelper.pretty(state._field.getName())};
                    QName name3 = state._field.getName();
                    SchemaType schemaType6 = state._type;
                    qName = name;
                    emitFieldError(event, XmlErrorCodes.ELEM_LOCALLY_VALID$FIXED_WITH_CONTENT, objArr, name3, schemaType6, null, 2, schemaType6);
                }
                if (!state.visit(qName)) {
                    findDetailedErrorBegin(event, state, qName);
                    this._eatContent = 1;
                    return;
                }
                SchemaParticle currentParticle = state.currentParticle();
                this._wildcardElement = currentParticle;
                if (currentParticle.getParticleType() == 5) {
                    if (!currentParticle.getWildcardSet().contains(qName)) {
                        emitFieldError(event, XmlErrorCodes.PARTICLE_VALID$NOT_WILDCARD_VALID, new Object[]{QNameHelper.pretty(qName)}, qName, null, null, 2, state._type);
                        this._eatContent = 1;
                        return;
                    }
                    int wildcardProcess = currentParticle.getWildcardProcess();
                    if (wildcardProcess == 3 || (wildcardProcess == 2 && this._treatLaxAsSkip)) {
                        this._eatContent = 1;
                        return;
                    }
                    SchemaGlobalElement findElement = this._globalTypes.findElement(qName);
                    this._localElement = findElement;
                    schemaField = findElement;
                    if (findElement == null) {
                        if (wildcardProcess == 1) {
                            Object[] objArr2 = {QNameHelper.pretty(qName)};
                            SchemaType schemaType7 = state._type;
                            emitFieldError(event, XmlErrorCodes.ASSESS_ELEM_SCHEMA_VALID$NOT_RESOLVED, objArr2, qName, schemaType7, null, 2, schemaType7);
                        }
                        this._eatContent = 1;
                        return;
                    }
                } else if ($assertionsDisabled || currentParticle.getParticleType() == 4) {
                    if (currentParticle.getName().equals(qName)) {
                        schemaField2 = (SchemaField) currentParticle;
                    } else if (((SchemaLocalElement) currentParticle).blockSubstitution()) {
                        Object[] objArr3 = {QNameHelper.pretty(qName)};
                        SchemaType schemaType8 = state._type;
                        emitFieldError(event, XmlErrorCodes.PARTICLE_VALID$BLOCK_SUBSTITUTION, objArr3, qName, schemaType8, null, 2, schemaType8);
                        this._eatContent = 1;
                        return;
                    } else {
                        SchemaGlobalElement findElement2 = this._globalTypes.findElement(qName);
                        if (!$assertionsDisabled && findElement2 == null) {
                            throw new AssertionError();
                        } else if (findElement2 != null) {
                            this._localElement = findElement2;
                            schemaField2 = findElement2;
                        } else {
                            schemaField2 = null;
                        }
                    }
                    schemaField = schemaField2;
                } else {
                    throw new AssertionError();
                }
                type = schemaField.getType();
                schemaField4 = schemaField;
            } else {
                throw new AssertionError();
            }
        }
        if ($assertionsDisabled || type != null) {
            if (type.isNoType()) {
                schemaType = type;
                emitFieldError(event, XmlErrorCodes.ELEM_LOCALLY_VALID$NO_TYPE, null, event.getName(), null, null, 3, null);
                this._eatContent = 1;
            } else {
                schemaType = type;
            }
            String xsiType = event.getXsiType();
            if (xsiType != null) {
                int i3 = this._errorState;
                this._suspendErrors++;
                try {
                    schemaType2 = null;
                    this._vc._event = null;
                    SchemaType findType = this._globalTypes.findType(JavaQNameHolder.validateLexical(xsiType, this._vc, event));
                    this._suspendErrors--;
                    schemaType3 = findType;
                } catch (Throwable unused) {
                    schemaType2 = null;
                }
                if (i3 != this._errorState) {
                    emitFieldError(event, XmlErrorCodes.ELEM_LOCALLY_VALID$XSI_TYPE_INVALID_QNAME, new Object[]{xsiType}, event.getName(), schemaType3, null, 3, state._type);
                    this._eatContent = 1;
                    return;
                } else if (schemaType3 == null) {
                    emitFieldError(event, XmlErrorCodes.ELEM_LOCALLY_VALID$XSI_TYPE_NOT_FOUND, new Object[]{xsiType}, event.getName(), null, null, 3, null);
                    this._eatContent = 1;
                    return;
                }
            } else {
                schemaType2 = null;
                schemaType3 = null;
            }
            if (schemaType3 != null && !schemaType3.equals(schemaType)) {
                if (!schemaType.isAssignableFrom(schemaType3)) {
                    Object[] objArr4 = {schemaType3, schemaType};
                    QName name4 = event.getName();
                    if (state != null) {
                        schemaType2 = state._type;
                    }
                    emitFieldError(event, XmlErrorCodes.ELEM_LOCALLY_VALID$XSI_TYPE_NOT_DERIVED, objArr4, name4, schemaType, null, 3, schemaType2);
                    this._eatContent = 1;
                    return;
                }
                if (schemaType.blockExtension()) {
                    for (SchemaType schemaType9 = schemaType3; !schemaType9.equals(schemaType); schemaType9 = schemaType9.getBaseType()) {
                        if (schemaType9.getDerivationType() == 2) {
                            Object[] objArr5 = {schemaType3, schemaType};
                            QName name5 = event.getName();
                            if (state != null) {
                                schemaType2 = state._type;
                            }
                            emitFieldError(event, XmlErrorCodes.ELEM_LOCALLY_VALID$XSI_TYPE_BLOCK_EXTENSION, objArr5, name5, schemaType, null, 3, schemaType2);
                            this._eatContent = 1;
                            return;
                        }
                    }
                }
                if (schemaType.blockRestriction()) {
                    for (SchemaType schemaType10 = schemaType3; !schemaType10.equals(schemaType); schemaType10 = schemaType10.getBaseType()) {
                        if (schemaType10.getDerivationType() == 1) {
                            Object[] objArr6 = {schemaType3, schemaType};
                            QName name6 = event.getName();
                            if (state != null) {
                                schemaType2 = state._type;
                            }
                            emitFieldError(event, XmlErrorCodes.ELEM_LOCALLY_VALID$XSI_TYPE_BLOCK_RESTRICTION, objArr6, name6, schemaType, null, 3, schemaType2);
                            this._eatContent = 1;
                            return;
                        }
                    }
                }
                if (schemaField4 instanceof SchemaLocalElement) {
                    SchemaLocalElement schemaLocalElement = (SchemaLocalElement) schemaField4;
                    this._localElement = schemaLocalElement;
                    if (schemaLocalElement.blockExtension() || schemaLocalElement.blockRestriction()) {
                        for (SchemaType schemaType11 = schemaType3; !schemaType11.equals(schemaType); schemaType11 = schemaType11.getBaseType()) {
                            if (schemaType11.getDerivationType() != 1 || !schemaLocalElement.blockRestriction()) {
                                i2 = 2;
                                if (schemaType11.getDerivationType() != 2 || !schemaLocalElement.blockExtension()) {
                                }
                            } else {
                                i2 = 2;
                            }
                            Object[] objArr7 = new Object[i2];
                            objArr7[0] = schemaType3;
                            objArr7[1] = QNameHelper.pretty(schemaLocalElement.getName());
                            emitFieldError(event, XmlErrorCodes.ELEM_LOCALLY_VALID$XSI_TYPE_PROHIBITED_SUBST, objArr7, schemaLocalElement.getName(), null, null, 3, null);
                            this._eatContent = 1;
                            return;
                        }
                    }
                }
                schemaType = schemaType3;
            }
            boolean z6 = schemaField4 instanceof SchemaLocalElement;
            if (z6) {
                SchemaLocalElement schemaLocalElement2 = (SchemaLocalElement) schemaField4;
                this._localElement = schemaLocalElement2;
                if (schemaLocalElement2.isAbstract()) {
                    emitError(event, XmlErrorCodes.ELEM_LOCALLY_VALID$ABSTRACT, new Object[]{QNameHelper.pretty(schemaLocalElement2.getName())}, schemaLocalElement2.getName(), null, null, 3, null);
                    this._eatContent = 1;
                    return;
                }
            }
            if (schemaType.isAbstract()) {
                Object[] objArr8 = {schemaType};
                QName name7 = event.getName();
                if (state != null) {
                    schemaType2 = state._type;
                }
                emitError(event, XmlErrorCodes.ELEM_LOCALLY_VALID$ABSTRACT, objArr8, name7, schemaType, null, 3, schemaType2);
                this._eatContent = 1;
                return;
            }
            String xsiNil = event.getXsiNil();
            if (xsiNil != null) {
                ValidatorVC validatorVC = this._vc;
                validatorVC._event = event;
                z = JavaBooleanHolder.validateLexical(xsiNil, validatorVC);
                z4 = true;
            } else {
                z = false;
            }
            if (!z4 || (schemaField4 != null && schemaField4.isNillable())) {
                if (!z || schemaField4 == null || !schemaField4.isFixed()) {
                    z2 = z6;
                    schemaType4 = schemaType2;
                    z3 = z;
                } else {
                    z2 = z6;
                    schemaType4 = schemaType2;
                    emitFieldError(event, XmlErrorCodes.ELEM_LOCALLY_VALID$NIL_WITH_FIXED, null, schemaField4.getName(), schemaType, null, 3, state == null ? schemaType2 : state._type);
                    z3 = z;
                }
                newState(schemaType, schemaField4, z3);
                this._constraintEngine.element(event, schemaType, z2 ? ((SchemaLocalElement) schemaField4).getIdentityConstraints() : schemaType4);
                return;
            }
            if (schemaField4 == null) {
                qName2 = schemaType2;
            } else {
                qName2 = schemaField4.getName();
            }
            if (state != null) {
                schemaType2 = state._type;
            }
            emitFieldError(event, XmlErrorCodes.ELEM_LOCALLY_VALID$NOT_NILLABLE, null, qName2, schemaType, null, 3, schemaType2);
            this._eatContent = 1;
            return;
        }
        throw new AssertionError();
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    private boolean derivedFromInteger(SchemaType schemaType) {
        int builtinTypeCode = schemaType.getBuiltinTypeCode();
        while (builtinTypeCode == 0) {
            schemaType = schemaType.getBaseType();
            builtinTypeCode = schemaType.getBuiltinTypeCode();
        }
        return builtinTypeCode >= 22 && builtinTypeCode <= 34;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void emitError(ValidatorListener.Event event, String str, QName qName, SchemaType schemaType, List list, int i2, SchemaType schemaType2) {
        emitError(event, str, null, null, 0, null, qName, schemaType, list, i2, schemaType2);
    }

    private void emitFieldError(ValidatorListener.Event event, String str, Object[] objArr, QName qName, SchemaType schemaType, List list, int i2, SchemaType schemaType2) {
        emitFieldError(event, null, str, objArr, 0, qName, schemaType, list, i2, schemaType2);
    }

    private void endAttrsEvent(ValidatorListener.Event event) {
        State state = topState();
        SchemaAttributeModel schemaAttributeModel = state._attrModel;
        if (schemaAttributeModel != null) {
            SchemaLocalAttribute[] attributes = schemaAttributeModel.getAttributes();
            for (SchemaLocalAttribute schemaLocalAttribute : attributes) {
                HashSet hashSet = state._attrs;
                if (hashSet == null || !hashSet.contains(schemaLocalAttribute.getName())) {
                    if (schemaLocalAttribute.getUse() == 3) {
                        emitFieldError(event, XmlErrorCodes.ELEM_COMPLEX_TYPE_LOCALLY_VALID$MISSING_REQUIRED_ATTRIBUTE, new Object[]{QNameHelper.pretty(schemaLocalAttribute.getName())}, schemaLocalAttribute.getName(), null, null, 1000, state._type);
                    } else if (schemaLocalAttribute.isDefault() || schemaLocalAttribute.isFixed()) {
                        this._constraintEngine.attr(event, schemaLocalAttribute.getName(), schemaLocalAttribute.getType(), schemaLocalAttribute.getDefaultText());
                    }
                }
            }
        }
    }

    private void endEvent(ValidatorListener.Event event) {
        this._localElement = null;
        this._wildcardElement = null;
        State state = topState();
        if (!state._isNil) {
            if (!state.end()) {
                findDetailedErrorEnd(event, state);
            }
            if (state._isEmpty) {
                handleText(event, true, state._field);
            }
        }
        popState(event);
        this._constraintEngine.endElement(event);
    }

    private void findDetailedErrorBegin(ValidatorListener.Event event, State state, QName qName) {
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        SchemaProperty[] elementProperties = state._type.getElementProperties();
        for (SchemaProperty schemaProperty : elementProperties) {
            if (state.test(schemaProperty.getName())) {
                if (BigInteger.ZERO.compareTo(schemaProperty.getMinOccurs()) == 0) {
                    arrayList2.add(schemaProperty.getName());
                } else {
                    arrayList.add(schemaProperty.getName());
                }
            }
        }
        ArrayList arrayList3 = arrayList.size() > 0 ? arrayList : arrayList2;
        if (arrayList3.size() > 0) {
            StringBuffer stringBuffer = new StringBuffer();
            Iterator it = arrayList3.iterator();
            while (it.hasNext()) {
                stringBuffer.append(QNameHelper.pretty((QName) it.next()));
                if (it.hasNext()) {
                    stringBuffer.append(" ");
                }
            }
            emitFieldError(event, XmlErrorCodes.ELEM_COMPLEX_TYPE_LOCALLY_VALID$EXPECTED_DIFFERENT_ELEMENT, new Object[]{new Integer(arrayList3.size()), stringBuffer.toString(), QNameHelper.pretty(qName)}, qName, null, arrayList3, 1, state._type);
            return;
        }
        emitFieldError(event, XmlErrorCodes.ELEM_COMPLEX_TYPE_LOCALLY_VALID$ELEMENT_NOT_ALLOWED, new Object[]{QNameHelper.pretty(qName)}, qName, null, null, 1, state._type);
    }

    private void findDetailedErrorEnd(ValidatorListener.Event event, State state) {
        SchemaProperty[] elementProperties = state._type.getElementProperties();
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        for (SchemaProperty schemaProperty : elementProperties) {
            if (state.test(schemaProperty.getName())) {
                if (BigInteger.ZERO.compareTo(schemaProperty.getMinOccurs()) == 0) {
                    arrayList2.add(schemaProperty.getName());
                } else {
                    arrayList.add(schemaProperty.getName());
                }
            }
        }
        ArrayList arrayList3 = arrayList.size() > 0 ? arrayList : arrayList2;
        if (arrayList3.size() > 0) {
            StringBuffer stringBuffer = new StringBuffer();
            Iterator it = arrayList3.iterator();
            while (it.hasNext()) {
                stringBuffer.append(QNameHelper.pretty((QName) it.next()));
                if (it.hasNext()) {
                    stringBuffer.append(" ");
                }
            }
            emitFieldError(event, XmlErrorCodes.ELEM_COMPLEX_TYPE_LOCALLY_VALID$MISSING_ELEMENT, new Object[]{new Integer(arrayList3.size()), stringBuffer.toString()}, null, null, arrayList3, 1, state._type);
            return;
        }
        emitFieldError(event, XmlErrorCodes.ELEM_COMPLEX_TYPE_LOCALLY_VALID$EXPECTED_ELEMENT, null, null, null, null, 2, state._type);
    }

    private void handleText(ValidatorListener.Event event, boolean z, SchemaField schemaField) {
        State state = topState();
        if (!state._sawText) {
            if (state._hasSimpleContent) {
                this._constraintEngine.text(event, state._type, validateSimpleType(state._type, schemaField, event, z, true), false);
            } else if (state._canHaveMixedContent) {
                this._constraintEngine.text(event, XmlString.type, validateSimpleType(XmlString.type, schemaField, event, z, true), false);
            } else if (z) {
                this._constraintEngine.text(event, state._type, null, true);
            } else {
                this._constraintEngine.text(event, state._type, "", false);
            }
        }
        if (!z && !state._canHaveMixedContent && !event.textIsWhitespace() && !state._hasSimpleContent) {
            if (schemaField instanceof SchemaLocalElement) {
                SchemaLocalElement schemaLocalElement = (SchemaLocalElement) schemaField;
                if ($assertionsDisabled || state._type.getContentType() == 1 || state._type.getContentType() == 3) {
                    emitError(event, state._type.getContentType() == 1 ? XmlErrorCodes.ELEM_COMPLEX_TYPE_LOCALLY_VALID$EMPTY_WITH_CONTENT : XmlErrorCodes.ELEM_COMPLEX_TYPE_LOCALLY_VALID$ELEMENT_ONLY_WITH_TEXT, new Object[]{QNameHelper.pretty(schemaLocalElement.getName())}, schemaLocalElement.getName(), schemaField.getType(), null, 3, null);
                } else {
                    throw new AssertionError();
                }
            } else {
                emitError(event, "Can't have mixed content", event.getName(), state._type, null, 3, null);
            }
        }
        if (!z) {
            state._sawText = true;
        }
    }

    private SchemaTypeVisitorImpl initVisitor(SchemaParticle schemaParticle) {
        if (this._visitorPool.isEmpty()) {
            return new SchemaTypeVisitorImpl(schemaParticle);
        }
        SchemaTypeVisitorImpl schemaTypeVisitorImpl = (SchemaTypeVisitorImpl) this._visitorPool.removeLast();
        schemaTypeVisitorImpl.init(schemaParticle);
        return schemaTypeVisitorImpl;
    }

    private void newState(SchemaType schemaType, SchemaField schemaField, boolean z) {
        State state = new State();
        state._type = schemaType;
        state._field = schemaField;
        boolean z2 = true;
        state._isEmpty = true;
        state._isNil = z;
        if (schemaType.isSimpleType()) {
            state._hasSimpleContent = true;
        } else {
            state._canHaveAttrs = true;
            state._attrModel = schemaType.getAttributeModel();
            int contentType = schemaType.getContentType();
            if (contentType != 1) {
                if (contentType != 2) {
                    if (contentType != 3) {
                        if (contentType == 4) {
                            state._canHaveMixedContent = true;
                        } else {
                            throw new RuntimeException("Unexpected content type");
                        }
                    }
                    SchemaParticle contentModel = schemaType.getContentModel();
                    if (contentModel == null) {
                        z2 = false;
                    }
                    state._canHaveElements = z2;
                    if (z2) {
                        state._visitor = initVisitor(contentModel);
                    }
                } else {
                    state._hasSimpleContent = true;
                }
            }
        }
        pushState(state);
    }

    private void poolVisitor(SchemaTypeVisitorImpl schemaTypeVisitorImpl) {
        this._visitorPool.add(schemaTypeVisitorImpl);
    }

    private void popState(ValidatorListener.Event event) {
        SchemaTypeVisitorImpl schemaTypeVisitorImpl = this._stateStack._visitor;
        if (schemaTypeVisitorImpl != null) {
            poolVisitor(schemaTypeVisitorImpl);
            this._stateStack._visitor = null;
        }
        this._stateStack = this._stateStack._next;
    }

    private void pushState(State state) {
        state._next = this._stateStack;
        this._stateStack = state;
    }

    private void resetValues() {
        this._localAttribute = null;
        this._wildcardAttribute = null;
        this._stringValue = null;
        this._decimalValue = null;
        this._booleanValue = false;
        this._floatValue = 0.0f;
        this._doubleValue = NumericFunction.LOG_10_TO_BASE_e;
        this._qnameValue = null;
        this._gdateValue = null;
        this._gdurationValue = null;
        this._byteArrayValue = null;
        this._listValue = null;
        this._listTypes = null;
        this._unionType = null;
        this._localAttribute = null;
    }

    private void textEvent(ValidatorListener.Event event) {
        State state = topState();
        if (state._isNil) {
            QName name = state._field.getName();
            SchemaType schemaType = state._type;
            emitFieldError(event, XmlErrorCodes.ELEM_LOCALLY_VALID$NIL_WITH_CONTENT, null, name, schemaType, null, 4, schemaType);
        } else {
            handleText(event, false, state._field);
        }
        state._isEmpty = false;
    }

    private State topState() {
        return this._stateStack;
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    private void validateAtomicType(SchemaType schemaType, String str, ValidatorListener.Event event) {
        if ($assertionsDisabled || schemaType.getSimpleVariety() == 1) {
            int i2 = this._errorState;
            this._vc._event = event;
            switch (schemaType.getPrimitiveType().getBuiltinTypeCode()) {
                case 2:
                    this._stringValue = str;
                    return;
                case 3:
                    this._booleanValue = JavaBooleanHolderEx.validateLexical(str, schemaType, this._vc);
                    return;
                case 4:
                    byte[] validateLexical = JavaBase64Holder.validateLexical(str, schemaType, this._vc);
                    if (validateLexical != null) {
                        JavaBase64HolderEx.validateValue(validateLexical, schemaType, this._vc);
                    }
                    this._byteArrayValue = validateLexical;
                    return;
                case 5:
                    byte[] validateLexical2 = JavaHexBinaryHolder.validateLexical(str, schemaType, this._vc);
                    if (validateLexical2 != null) {
                        JavaHexBinaryHolderEx.validateValue(validateLexical2, schemaType, this._vc);
                    }
                    this._byteArrayValue = validateLexical2;
                    return;
                case 6:
                    JavaUriHolderEx.validateLexical(str, schemaType, this._vc);
                    if (this._strict) {
                        try {
                            XsTypeConverter.lexAnyURI(str);
                        } catch (InvalidLexicalValueException unused) {
                            this._vc.invalid("anyURI", new Object[]{str});
                        }
                    }
                    this._stringValue = str;
                    return;
                case 7:
                    QName validateLexical3 = JavaQNameHolderEx.validateLexical(str, schemaType, this._vc, event);
                    if (i2 == this._errorState) {
                        JavaQNameHolderEx.validateValue(validateLexical3, schemaType, this._vc);
                    }
                    this._qnameValue = validateLexical3;
                    return;
                case 8:
                    QName validateLexical4 = JavaNotationHolderEx.validateLexical(str, schemaType, this._vc, event);
                    if (i2 == this._errorState) {
                        JavaNotationHolderEx.validateValue(validateLexical4, schemaType, this._vc);
                    }
                    this._qnameValue = validateLexical4;
                    return;
                case 9:
                    float validateLexical5 = JavaFloatHolderEx.validateLexical(str, schemaType, this._vc);
                    if (i2 == this._errorState) {
                        JavaFloatHolderEx.validateValue(validateLexical5, schemaType, this._vc);
                    }
                    this._floatValue = validateLexical5;
                    return;
                case 10:
                    double validateLexical6 = JavaDoubleHolderEx.validateLexical(str, schemaType, this._vc);
                    if (i2 == this._errorState) {
                        JavaDoubleHolderEx.validateValue(validateLexical6, schemaType, this._vc);
                    }
                    this._doubleValue = validateLexical6;
                    return;
                case 11:
                    JavaDecimalHolderEx.validateLexical(str, schemaType, this._vc);
                    if (derivedFromInteger(schemaType) && str.lastIndexOf(46) >= 0) {
                        this._vc.invalid("integer", new Object[]{str});
                    }
                    if (i2 == this._errorState) {
                        BigDecimal bigDecimal = new BigDecimal(str);
                        this._decimalValue = bigDecimal;
                        JavaDecimalHolderEx.validateValue(bigDecimal, schemaType, this._vc);
                        return;
                    }
                    return;
                case 12:
                    JavaStringEnumerationHolderEx.validateLexical(str, schemaType, this._vc);
                    this._stringValue = str;
                    return;
                case 13:
                    GDuration validateLexical7 = JavaGDurationHolderEx.validateLexical(str, schemaType, this._vc);
                    if (validateLexical7 != null) {
                        JavaGDurationHolderEx.validateValue(validateLexical7, schemaType, this._vc);
                    }
                    this._gdurationValue = validateLexical7;
                    return;
                case 14:
                case 15:
                case 16:
                case 17:
                case 18:
                case 19:
                case 20:
                    break;
                case 21:
                    if (this._strict && str.length() == 6 && str.charAt(4) == '-' && str.charAt(5) == '-') {
                        this._vc.invalid("date", new Object[]{str});
                        break;
                    }
                default:
                    throw new RuntimeException("Unexpected primitive type code");
            }
            GDate validateLexical8 = JavaGDateHolderEx.validateLexical(str, schemaType, this._vc);
            if (validateLexical8 != null) {
                JavaGDateHolderEx.validateValue(validateLexical8, schemaType, this._vc);
            }
            this._gdateValue = validateLexical8;
            return;
        }
        throw new AssertionError();
    }

    /* JADX WARNING: Removed duplicated region for block: B:20:0x00e2  */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x0121  */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x0139 A[LOOP:0: B:26:0x0136->B:28:0x0139, LOOP_END] */
    private void validateListType(SchemaType schemaType, String str, ValidatorListener.Event event) {
        int i2;
        String[] strArr;
        int i3;
        String[] strArr2;
        int i4;
        XmlAnySimpleType facet;
        String[] strArr3;
        int intValue;
        int i5 = this._errorState;
        if (!schemaType.matchPatternFacet(str)) {
            i2 = 0;
            emitError(event, XmlErrorCodes.DATATYPE_VALID$PATTERN_VALID, new Object[]{"list", str, QNameHelper.readable(schemaType)}, null, schemaType, null, 2000, null);
        } else {
            i2 = 0;
        }
        String[] split_list = XmlListImpl.split_list(str);
        XmlAnySimpleType facet2 = schemaType.getFacet(i2);
        if (facet2 == null || (intValue = ((SimpleValue) facet2).getIntValue()) == split_list.length) {
            strArr = split_list;
            i3 = 1;
        } else {
            Object[] objArr = new Object[4];
            objArr[i2] = str;
            objArr[1] = new Integer(split_list.length);
            objArr[2] = new Integer(intValue);
            objArr[3] = QNameHelper.readable(schemaType);
            i3 = 1;
            strArr = split_list;
            emitError(event, XmlErrorCodes.DATATYPE_LENGTH_VALID$LIST_LENGTH, objArr, null, schemaType, null, 2000, null);
        }
        XmlAnySimpleType facet3 = schemaType.getFacet(i3);
        if (facet3 != null) {
            int intValue2 = ((SimpleValue) facet3).getIntValue();
            if (intValue2 > strArr.length) {
                Object[] objArr2 = new Object[4];
                objArr2[0] = str;
                objArr2[i3] = new Integer(strArr.length);
                objArr2[2] = new Integer(intValue2);
                objArr2[3] = QNameHelper.readable(schemaType);
                i4 = 2;
                strArr2 = strArr;
                emitError(event, XmlErrorCodes.DATATYPE_LENGTH_VALID$LIST_LENGTH, objArr2, null, schemaType, null, 2000, null);
                facet = schemaType.getFacet(i4);
                if (facet == null) {
                    int intValue3 = ((SimpleValue) facet).getIntValue();
                    if (intValue3 < strArr2.length) {
                        Object[] objArr3 = new Object[4];
                        objArr3[0] = str;
                        objArr3[1] = new Integer(strArr2.length);
                        objArr3[i4] = new Integer(intValue3);
                        objArr3[3] = QNameHelper.readable(schemaType);
                        strArr3 = strArr2;
                        emitError(event, XmlErrorCodes.DATATYPE_LENGTH_VALID$LIST_LENGTH, objArr3, null, schemaType, null, 2000, null);
                    } else {
                        strArr3 = strArr2;
                    }
                } else {
                    strArr3 = strArr2;
                }
                SchemaType listItemType = schemaType.getListItemType();
                this._listValue = new ArrayList();
                this._listTypes = new ArrayList();
                for (String str2 : strArr3) {
                    validateSimpleType(listItemType, str2, event);
                    addToList(listItemType);
                }
                if (i5 == this._errorState && schemaType.getEnumerationValues() != null) {
                    NamespaceContext.push(new NamespaceContext(event));
                    try {
                        ((SchemaTypeImpl) schemaType).newValidatingValue(str);
                    } catch (XmlValueOutOfRangeException unused) {
                        emitError(event, XmlErrorCodes.DATATYPE_ENUM_VALID, new Object[]{"list", str, QNameHelper.readable(schemaType)}, null, schemaType, null, 2000, null);
                    } catch (Throwable th) {
                        NamespaceContext.pop();
                        throw th;
                    }
                    NamespaceContext.pop();
                    return;
                }
            }
            strArr2 = strArr;
        } else {
            strArr2 = strArr;
        }
        i4 = 2;
        facet = schemaType.getFacet(i4);
        if (facet == null) {
        }
        SchemaType listItemType2 = schemaType.getListItemType();
        this._listValue = new ArrayList();
        this._listTypes = new ArrayList();
        while (r7 < strArr3.length) {
        }
        if (i5 == this._errorState) {
        }
    }

    private String validateSimpleType(SchemaType schemaType, SchemaField schemaField, ValidatorListener.Event event, boolean z, boolean z2) {
        String str;
        String str2;
        if (schemaType.isSimpleType() || schemaType.getContentType() == 2) {
            if (schemaType.isNoType()) {
                emitError(event, schemaField.isAttribute() ? XmlErrorCodes.ATTR_LOCALLY_VALID$NO_TYPE : XmlErrorCodes.ELEM_LOCALLY_VALID$NO_TYPE, null, schemaField.getName(), schemaType, null, 3, null);
                return null;
            }
            if (!z) {
                int whiteSpaceRule = schemaType.getWhiteSpaceRule();
                str = whiteSpaceRule == 1 ? event.getText() : event.getText(whiteSpaceRule);
            } else {
                str = "";
            }
            if (str.length() != 0 || !z2 || schemaField == null || (!schemaField.isDefault() && !schemaField.isFixed())) {
                if (!validateSimpleType(schemaType, str, event)) {
                    return null;
                }
                if (schemaField != null && schemaField.isFixed()) {
                    String collapse = XmlWhitespace.collapse(schemaField.getDefaultText(), schemaType.getWhiteSpaceRule());
                    if (!validateSimpleType(schemaType, collapse, event)) {
                        return null;
                    }
                    if (!schemaType.newValue(str).valueEquals(schemaType.newValue(collapse))) {
                        if (schemaField.isAttribute()) {
                            emitError(event, XmlErrorCodes.ATTR_LOCALLY_VALID$FIXED, new Object[]{str, collapse, QNameHelper.pretty(event.getName())}, null, schemaField.getType(), null, 3, null);
                        } else {
                            if (schemaField.getType().getContentType() == 4) {
                                str2 = XmlErrorCodes.ELEM_LOCALLY_VALID$FIXED_VALID_MIXED_CONTENT;
                            } else if (schemaType.isSimpleType()) {
                                str2 = XmlErrorCodes.ELEM_LOCALLY_VALID$FIXED_VALID_SIMPLE_TYPE;
                            } else if ($assertionsDisabled) {
                                str2 = null;
                            } else {
                                throw new AssertionError("Element with fixed may not be EMPTY or ELEMENT_ONLY");
                            }
                            emitError(event, str2, new Object[]{str, collapse}, schemaField.getName(), schemaField.getType(), null, 3, null);
                        }
                        return null;
                    }
                }
                return str;
            } else if (XmlQName.type.isAssignableFrom(schemaType)) {
                StringBuffer a = a.a("Default QName values are unsupported for ");
                a.append(QNameHelper.readable(schemaType));
                a.append(" - ignoring.");
                emitError(event, a.toString(), null, null, 2, schemaField.getName(), null, schemaType, null, 3, null);
                return null;
            } else {
                String collapse2 = XmlWhitespace.collapse(schemaField.getDefaultText(), schemaType.getWhiteSpaceRule());
                if (validateSimpleType(schemaType, collapse2, event)) {
                    return collapse2;
                }
                return null;
            }
        } else if ($assertionsDisabled) {
            return null;
        } else {
            throw new AssertionError();
        }
    }

    /* JADX INFO: finally extract failed */
    private void validateUnionType(SchemaType schemaType, String str, ValidatorListener.Event event) {
        if (!schemaType.matchPatternFacet(str)) {
            emitError(event, XmlErrorCodes.DATATYPE_VALID$PATTERN_VALID, new Object[]{"union", str, QNameHelper.readable(schemaType)}, null, schemaType, null, 3000, null);
        }
        SchemaType[] unionMemberTypes = schemaType.getUnionMemberTypes();
        int i2 = this._errorState;
        String str2 = str;
        int i3 = 0;
        int i4 = 1;
        while (true) {
            if (i3 >= unionMemberTypes.length) {
                break;
            }
            int whiteSpaceRule = unionMemberTypes[i3].getWhiteSpaceRule();
            if (whiteSpaceRule == 0) {
                whiteSpaceRule = 1;
            }
            if (whiteSpaceRule != i4) {
                str2 = XmlWhitespace.collapse(str, whiteSpaceRule);
                i4 = whiteSpaceRule;
            }
            int i5 = this._errorState;
            this._suspendErrors++;
            try {
                validateSimpleType(unionMemberTypes[i3], str2, event);
                this._suspendErrors--;
                if (i5 == this._errorState) {
                    this._unionType = unionMemberTypes[i3];
                    break;
                }
                i3++;
            } catch (Throwable th) {
                this._suspendErrors--;
                throw th;
            }
        }
        this._errorState = i2;
        if (i3 >= unionMemberTypes.length) {
            emitError(event, XmlErrorCodes.DATATYPE_VALID$UNION, new Object[]{str, QNameHelper.readable(schemaType)}, null, schemaType, null, 3000, null);
            return;
        }
        XmlAnySimpleType[] enumerationValues = schemaType.getEnumerationValues();
        if (enumerationValues != null) {
            NamespaceContext.push(new NamespaceContext(event));
            try {
                XmlAnySimpleType newValue = schemaType.newValue(str);
                int i6 = 0;
                while (true) {
                    if (i6 >= enumerationValues.length) {
                        break;
                    } else if (newValue.valueEquals(enumerationValues[i6])) {
                        break;
                    } else {
                        i6++;
                    }
                }
                if (i6 >= enumerationValues.length) {
                    emitError(event, XmlErrorCodes.DATATYPE_ENUM_VALID, new Object[]{"union", str, QNameHelper.readable(schemaType)}, null, schemaType, null, 3000, null);
                }
            } catch (XmlValueOutOfRangeException unused) {
                emitError(event, XmlErrorCodes.DATATYPE_ENUM_VALID, new Object[]{"union", str, QNameHelper.readable(schemaType)}, null, schemaType, null, 3000, null);
            } catch (Throwable th2) {
                NamespaceContext.pop();
                throw th2;
            }
            NamespaceContext.pop();
        }
    }

    public boolean getBooleanValue() {
        return this._booleanValue;
    }

    public byte[] getByteArrayValue() {
        return this._byteArrayValue;
    }

    public SchemaLocalAttribute getCurrentAttribute() {
        return this._localAttribute;
    }

    public SchemaLocalElement getCurrentElement() {
        State state;
        SchemaLocalElement schemaLocalElement = this._localElement;
        if (schemaLocalElement != null) {
            return schemaLocalElement;
        }
        if (this._eatContent <= 0 && (state = this._stateStack) != null) {
            SchemaField schemaField = state._field;
            if (schemaField instanceof SchemaLocalElement) {
                return (SchemaLocalElement) schemaField;
            }
        }
        return null;
    }

    public SchemaType getCurrentElementSchemaType() {
        State state = topState();
        if (state != null) {
            return state._type;
        }
        return null;
    }

    public SchemaAttributeModel getCurrentWildcardAttribute() {
        return this._wildcardAttribute;
    }

    public SchemaParticle getCurrentWildcardElement() {
        return this._wildcardElement;
    }

    public BigDecimal getDecimalValue() {
        return this._decimalValue;
    }

    public double getDoubleValue() {
        return this._doubleValue;
    }

    public float getFloatValue() {
        return this._floatValue;
    }

    public GDate getGDateValue() {
        return this._gdateValue;
    }

    public GDuration getGDurationValue() {
        return this._gdurationValue;
    }

    public List getListTypes() {
        return this._listTypes;
    }

    public List getListValue() {
        return this._listValue;
    }

    public QName getQNameValue() {
        return this._qnameValue;
    }

    public String getStringValue() {
        return this._stringValue;
    }

    public SchemaType getUnionType() {
        return this._unionType;
    }

    public boolean isValid() {
        return !this._invalid && this._constraintEngine.isValid();
    }

    @Override // org.apache.xmlbeans.impl.common.ValidatorListener
    public void nextEvent(int i2, ValidatorListener.Event event) {
        resetValues();
        int i3 = this._eatContent;
        if (i3 > 0) {
            if (i2 == 1) {
                this._eatContent = i3 + 1;
            } else if (i2 == 2) {
                this._eatContent = i3 - 1;
            }
        } else if (!$assertionsDisabled && i2 != 1 && i2 != 4 && i2 != 2 && i2 != 3 && i2 != 5) {
            throw new AssertionError();
        } else if (i2 == 1) {
            beginEvent(event);
        } else if (i2 == 2) {
            endEvent(event);
        } else if (i2 == 3) {
            textEvent(event);
        } else if (i2 == 4) {
            attrEvent(event);
        } else if (i2 == 5) {
            endAttrsEvent(event);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void emitError(ValidatorListener.Event event, String str, Object[] objArr, QName qName, SchemaType schemaType, List list, int i2, SchemaType schemaType2) {
        emitError(event, null, str, objArr, 0, null, qName, schemaType, list, i2, schemaType2);
    }

    private void emitFieldError(ValidatorListener.Event event, String str, String str2, Object[] objArr, int i2, QName qName, SchemaType schemaType, List list, int i3, SchemaType schemaType2) {
        SchemaField schemaField;
        State state = this._stateStack;
        emitError(event, str, str2, objArr, i2, (state == null || (schemaField = state._field) == null) ? null : schemaField.getName(), qName, schemaType, list, i3, schemaType2);
    }

    private void emitError(ValidatorListener.Event event, String str, String str2, Object[] objArr, int i2, QName qName, QName qName2, SchemaType schemaType, List list, int i3, SchemaType schemaType2) {
        XmlValidationError xmlValidationError;
        this._errorState++;
        if (this._suspendErrors == 0) {
            if (i2 == 0) {
                this._invalid = true;
            }
            if (this._errorListener == null) {
                return;
            }
            if ($assertionsDisabled || event != null) {
                XmlCursor locationAsCursor = event.getLocationAsCursor();
                if (locationAsCursor != null) {
                    xmlValidationError = XmlValidationError.forCursorWithDetails(str, str2, objArr, i2, locationAsCursor, qName, qName2, schemaType, list, i3, schemaType2);
                } else {
                    xmlValidationError = XmlValidationError.forLocationWithDetails(str, str2, objArr, i2, event.getLocation(), qName, qName2, schemaType, list, i3, schemaType2);
                }
                this._errorListener.add(xmlValidationError);
                return;
            }
            throw new AssertionError();
        }
    }

    private boolean validateSimpleType(SchemaType schemaType, String str, ValidatorListener.Event event) {
        if (schemaType.isSimpleType() || schemaType.getContentType() == 2) {
            int i2 = this._errorState;
            int simpleVariety = schemaType.getSimpleVariety();
            if (simpleVariety == 1) {
                validateAtomicType(schemaType, str, event);
            } else if (simpleVariety == 2) {
                validateUnionType(schemaType, str, event);
            } else if (simpleVariety == 3) {
                validateListType(schemaType, str, event);
            } else {
                throw new RuntimeException("Unexpected simple variety");
            }
            if (i2 == this._errorState) {
                return true;
            }
            return false;
        } else if (!$assertionsDisabled) {
            throw new AssertionError();
        } else {
            throw new RuntimeException("Not a simple type");
        }
    }
}
