package org.apache.xmlbeans.impl.validator;

import b.b.a.a.a;
import java.util.Collection;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.poi.javax.xml.stream.Location;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlCursor;
import org.apache.xmlbeans.impl.common.PrefixResolver;
import org.apache.xmlbeans.impl.common.ValidatorListener;
import org.apache.xmlbeans.impl.common.XmlWhitespace;

public class ValidatorUtil {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$validator$ValidatorUtil;

    public static class EventImpl implements ValidatorListener.Event {
        public PrefixResolver _prefixResolver;
        public String _text;

        public EventImpl(PrefixResolver prefixResolver, String str) {
            this._prefixResolver = prefixResolver;
            this._text = str;
        }

        @Override // org.apache.xmlbeans.impl.common.ValidatorListener.Event
        public Location getLocation() {
            return null;
        }

        @Override // org.apache.xmlbeans.impl.common.ValidatorListener.Event
        public XmlCursor getLocationAsCursor() {
            return null;
        }

        @Override // org.apache.xmlbeans.impl.common.ValidatorListener.Event
        public QName getName() {
            return null;
        }

        @Override // org.apache.xmlbeans.impl.common.PrefixResolver
        public String getNamespaceForPrefix(String str) {
            return this._prefixResolver.getNamespaceForPrefix(str);
        }

        @Override // org.apache.xmlbeans.impl.common.ValidatorListener.Event
        public String getText() {
            return this._text;
        }

        @Override // org.apache.xmlbeans.impl.common.ValidatorListener.Event
        public String getXsiLoc() {
            return null;
        }

        @Override // org.apache.xmlbeans.impl.common.ValidatorListener.Event
        public String getXsiNil() {
            return null;
        }

        @Override // org.apache.xmlbeans.impl.common.ValidatorListener.Event
        public String getXsiNoLoc() {
            return null;
        }

        @Override // org.apache.xmlbeans.impl.common.ValidatorListener.Event
        public String getXsiType() {
            return null;
        }

        @Override // org.apache.xmlbeans.impl.common.ValidatorListener.Event
        public boolean textIsWhitespace() {
            return false;
        }

        @Override // org.apache.xmlbeans.impl.common.ValidatorListener.Event
        public String getText(int i2) {
            return XmlWhitespace.collapse(this._text, i2);
        }
    }

    static {
        Class cls = class$org$apache$xmlbeans$impl$validator$ValidatorUtil;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.validator.ValidatorUtil");
            class$org$apache$xmlbeans$impl$validator$ValidatorUtil = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public static boolean validateSimpleType(SchemaType schemaType, String str, Collection collection, PrefixResolver prefixResolver) {
        if (schemaType.isSimpleType() || schemaType.getContentType() == 2) {
            Validator validator = new Validator(schemaType, null, schemaType.getTypeSystem(), null, collection);
            EventImpl eventImpl = new EventImpl(prefixResolver, str);
            validator.nextEvent(1, eventImpl);
            validator.nextEvent(3, eventImpl);
            validator.nextEvent(2, eventImpl);
            return validator.isValid();
        } else if (!$assertionsDisabled) {
            throw new AssertionError();
        } else {
            throw new RuntimeException("Not a simple type");
        }
    }
}
