package org.apache.xmlbeans.impl.values;

import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlAnySimpleType;
import org.apache.xmlbeans.XmlErrorCodes;
import org.apache.xmlbeans.impl.common.QNameHelper;
import org.apache.xmlbeans.impl.common.ValidationContext;

public abstract class JavaBase64HolderEx extends JavaBase64Holder {
    public SchemaType _schemaType;

    public JavaBase64HolderEx(SchemaType schemaType, boolean z) {
        this._schemaType = schemaType;
        initComplexType(z, false);
    }

    public static void validateValue(byte[] bArr, SchemaType schemaType, ValidationContext validationContext) {
        int intValue;
        int intValue2;
        int intValue3;
        XmlAnySimpleType facet = schemaType.getFacet(0);
        if (!(facet == null || (intValue3 = ((XmlObjectBase) facet).bigIntegerValue().intValue()) == bArr.length)) {
            validationContext.invalid(XmlErrorCodes.DATATYPE_LENGTH_VALID$BINARY, new Object[]{"base64Binary", new Integer(bArr.length), new Integer(intValue3), QNameHelper.readable(schemaType)});
        }
        XmlAnySimpleType facet2 = schemaType.getFacet(1);
        if (facet2 != null && (intValue2 = ((XmlObjectBase) facet2).bigIntegerValue().intValue()) > bArr.length) {
            validationContext.invalid(XmlErrorCodes.DATATYPE_MIN_LENGTH_VALID$BINARY, new Object[]{"base64Binary", new Integer(bArr.length), new Integer(intValue2), QNameHelper.readable(schemaType)});
        }
        XmlAnySimpleType facet3 = schemaType.getFacet(2);
        if (facet3 != null && (intValue = ((XmlObjectBase) facet3).bigIntegerValue().intValue()) < bArr.length) {
            validationContext.invalid(XmlErrorCodes.DATATYPE_MAX_LENGTH_VALID$BINARY, new Object[]{"base64Binary", new Integer(bArr.length), new Integer(intValue), QNameHelper.readable(schemaType)});
        }
        XmlAnySimpleType[] enumerationValues = schemaType.getEnumerationValues();
        if (enumerationValues != null) {
            int i2 = 0;
            loop0:
            while (i2 < enumerationValues.length) {
                byte[] byteArrayValue = ((XmlObjectBase) enumerationValues[i2]).byteArrayValue();
                if (byteArrayValue.length == bArr.length) {
                    for (int i3 = 0; i3 < byteArrayValue.length; i3++) {
                        if (byteArrayValue[i3] == bArr[i3]) {
                        }
                    }
                    break loop0;
                }
                i2++;
            }
            if (i2 >= enumerationValues.length) {
                validationContext.invalid(XmlErrorCodes.DATATYPE_ENUM_VALID$NO_VALUE, new Object[]{"base64Binary", QNameHelper.readable(schemaType)});
            }
        }
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public int get_wscanon_rule() {
        return schemaType().getWhiteSpaceRule();
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase, org.apache.xmlbeans.impl.values.JavaBase64Holder, org.apache.xmlbeans.XmlObject
    public SchemaType schemaType() {
        return this._schemaType;
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase, org.apache.xmlbeans.impl.values.JavaBase64Holder
    public void set_ByteArray(byte[] bArr) {
        if (_validateOnSet()) {
            validateValue(bArr, schemaType(), XmlObjectBase._voorVc);
        }
        super.set_ByteArray(bArr);
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase, org.apache.xmlbeans.impl.values.JavaBase64Holder
    public void set_text(String str) {
        byte[] bArr;
        if (_validateOnSet()) {
            bArr = JavaBase64Holder.validateLexical(str, schemaType(), XmlObjectBase._voorVc);
        } else {
            bArr = JavaBase64Holder.lex(str, XmlObjectBase._voorVc);
        }
        if (bArr != null && _validateOnSet()) {
            validateValue(bArr, schemaType(), XmlObjectBase._voorVc);
        }
        super.set_ByteArray(bArr);
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void validate_simpleval(String str, ValidationContext validationContext) {
        JavaBase64Holder.validateLexical(str, schemaType(), validationContext);
        validateValue(byteArrayValue(), schemaType(), validationContext);
    }
}
