package org.apache.xmlbeans.impl.values;

import b.b.a.a.a;
import java.math.BigDecimal;
import java.math.BigInteger;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.impl.common.ValidationContext;
import org.apache.xmlbeans.impl.schema.BuiltinSchemaTypeSystem;
import org.apache.xmlbeans.impl.util.XsTypeConverter;

public class JavaDecimalHolder extends XmlObjectBase {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static BigInteger _maxlong = BigInteger.valueOf(Long.MAX_VALUE);
    public static BigInteger _minlong = BigInteger.valueOf(Long.MIN_VALUE);
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$values$JavaDecimalHolder;
    public BigDecimal _value;

    static {
        Class cls = class$org$apache$xmlbeans$impl$values$JavaDecimalHolder;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.values.JavaDecimalHolder");
            class$org$apache$xmlbeans$impl$values$JavaDecimalHolder = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public static void validateLexical(String str, ValidationContext validationContext) {
        char charAt;
        int length = str.length();
        boolean z = false;
        boolean z2 = false;
        for (int i2 = (length <= 0 || !((charAt = str.charAt(0)) == '+' || charAt == '-')) ? 0 : 1; i2 < length; i2++) {
            char charAt2 = str.charAt(i2);
            if (charAt2 == '.') {
                if (z2) {
                    validationContext.invalid("decimal", new Object[]{a.a("saw '.' more than once: ", str)});
                    return;
                }
                z2 = true;
            } else if (charAt2 < '0' || charAt2 > '9') {
                StringBuffer stringBuffer = new StringBuffer();
                stringBuffer.append("unexpected char '");
                stringBuffer.append((int) charAt2);
                stringBuffer.append("'");
                validationContext.invalid("decimal", new Object[]{stringBuffer.toString()});
                return;
            } else {
                z = true;
            }
        }
        if (!z) {
            validationContext.invalid("decimal", new Object[]{"expected at least one digit"});
        }
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public int compare_to(XmlObject xmlObject) {
        return this._value.compareTo(((XmlObjectBase) xmlObject).bigDecimalValue());
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public String compute_text(NamespaceManager namespaceManager) {
        return XsTypeConverter.printDecimal(this._value);
    }

    public int decimalHashCode() {
        if ($assertionsDisabled || this._value.scale() > 0) {
            String bigDecimal = this._value.toString();
            int length = bigDecimal.length() - 1;
            while (length >= 0 && bigDecimal.charAt(length) == '0') {
                length--;
            }
            if ($assertionsDisabled || bigDecimal.indexOf(46) < length) {
                return bigDecimal.substring(0, length + 1).hashCode();
            }
            throw new AssertionError();
        }
        throw new AssertionError();
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public boolean equal_to(XmlObject xmlObject) {
        return this._value.compareTo(((XmlObjectBase) xmlObject).bigDecimalValue()) == 0;
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase, org.apache.xmlbeans.SimpleValue
    public BigDecimal getBigDecimalValue() {
        check_dated();
        return this._value;
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase, org.apache.xmlbeans.XmlObject
    public SchemaType schemaType() {
        return BuiltinSchemaTypeSystem.ST_DECIMAL;
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void set_BigDecimal(BigDecimal bigDecimal) {
        this._value = bigDecimal;
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void set_nil() {
        this._value = null;
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void set_text(String str) {
        if (_validateOnSet()) {
            validateLexical(str, XmlObjectBase._voorVc);
        }
        try {
            set_BigDecimal(new BigDecimal(str));
        } catch (NumberFormatException unused) {
            XmlObjectBase._voorVc.invalid("decimal", new Object[]{str});
        }
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public int value_hash_code() {
        if (this._value.scale() > 0 && this._value.setScale(0, 1).compareTo(this._value) != 0) {
            return decimalHashCode();
        }
        BigInteger bigInteger = this._value.toBigInteger();
        if (bigInteger.compareTo(_maxlong) > 0 || bigInteger.compareTo(_minlong) < 0) {
            return bigInteger.hashCode();
        }
        long longValue = bigInteger.longValue();
        return (int) (((longValue >> 32) * 19) + longValue);
    }
}
