package org.apache.xmlbeans.impl.values;

import b.b.a.a.a;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlAnySimpleType;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.impl.common.PrefixResolver;
import org.apache.xmlbeans.impl.common.QNameHelper;
import org.apache.xmlbeans.impl.common.ValidationContext;
import org.apache.xmlbeans.impl.common.XMLChar;
import org.apache.xmlbeans.impl.schema.BuiltinSchemaTypeSystem;

public class JavaQNameHolder extends XmlObjectBase {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static final NamespaceManager PRETTY_PREFIXER = new PrettyNamespaceManager();
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$values$JavaQNameHolder;
    public QName _value;

    public static class PrettyNamespaceManager implements NamespaceManager {
        public PrettyNamespaceManager() {
        }

        @Override // org.apache.xmlbeans.impl.values.NamespaceManager
        public String find_prefix_for_nsuri(String str, String str2) {
            return QNameHelper.suggestPrefix(str);
        }

        @Override // org.apache.xmlbeans.impl.common.PrefixResolver
        public String getNamespaceForPrefix(String str) {
            throw new RuntimeException("Should not be called");
        }
    }

    static {
        Class cls = class$org$apache$xmlbeans$impl$values$JavaQNameHolder;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.values.JavaQNameHolder");
            class$org$apache$xmlbeans$impl$values$JavaQNameHolder = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public static QName parse(String str, PrefixResolver prefixResolver) {
        String str2;
        String str3;
        String str4;
        int length = str.length();
        while (length > 0 && XMLChar.isSpace(str.charAt(length - 1))) {
            length--;
        }
        int i2 = 0;
        while (i2 < length && XMLChar.isSpace(str.charAt(i2))) {
            i2++;
        }
        int indexOf = str.indexOf(58, i2);
        String str5 = "";
        if (indexOf >= 0) {
            str2 = str.substring(i2, indexOf);
            str3 = str.substring(indexOf + 1, length);
        } else {
            str3 = str.substring(i2, length);
            str2 = str5;
        }
        if (str2.length() > 0 && !XMLChar.isValidNCName(str2)) {
            throw new XmlValueOutOfRangeException("QName", new Object[]{a.a("Prefix not a valid NCName in '", str, "'")});
        } else if (XMLChar.isValidNCName(str3)) {
            if (prefixResolver == null) {
                str4 = null;
            } else {
                str4 = prefixResolver.getNamespaceForPrefix(str2);
            }
            if (str4 != null) {
                str5 = str4;
            } else if (str2.length() > 0) {
                throw new XmlValueOutOfRangeException("QName", new Object[]{a.a("Can't resolve prefix '", str2, "'")});
            }
            if (str2.length() > 0) {
                return new QName(str5, str3, str2);
            }
            return new QName(str5, str3);
        } else {
            throw new XmlValueOutOfRangeException("QName", new Object[]{a.a("Localname not a valid NCName in '", str, "'")});
        }
    }

    public static QName validateLexical(String str, ValidationContext validationContext, PrefixResolver prefixResolver) {
        try {
            return parse(str, prefixResolver);
        } catch (XmlValueOutOfRangeException e2) {
            validationContext.invalid(e2.getMessage());
            return null;
        }
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public String compute_text(NamespaceManager namespaceManager) {
        if (namespaceManager == null) {
            namespaceManager = PRETTY_PREFIXER;
        }
        String namespaceURI = this._value.getNamespaceURI();
        String localPart = this._value.getLocalPart();
        if (namespaceURI == null || namespaceURI.length() == 0) {
            return localPart;
        }
        String find_prefix_for_nsuri = namespaceManager.find_prefix_for_nsuri(namespaceURI, null);
        if ($assertionsDisabled || find_prefix_for_nsuri != null) {
            return "".equals(find_prefix_for_nsuri) ? localPart : a.a(find_prefix_for_nsuri, ":", localPart);
        }
        throw new AssertionError();
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public boolean equal_to(XmlObject xmlObject) {
        return this._value.equals(((XmlObjectBase) xmlObject).qNameValue());
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase, org.apache.xmlbeans.SimpleValue
    public QName getQNameValue() {
        check_dated();
        return this._value;
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public int get_wscanon_rule() {
        return 1;
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase, org.apache.xmlbeans.XmlObject
    public SchemaType schemaType() {
        return BuiltinSchemaTypeSystem.ST_QNAME;
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void set_QName(QName qName) {
        if ($assertionsDisabled || qName != null) {
            if (has_store()) {
                get_store().find_prefix_for_nsuri(qName.getNamespaceURI(), null);
            }
            this._value = qName;
            return;
        }
        throw new AssertionError();
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void set_nil() {
        this._value = null;
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void set_text(String str) {
        PrefixResolver current = NamespaceContext.getCurrent();
        if (current == null && has_store()) {
            current = get_store();
        }
        this._value = parse(str, current);
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void set_xmlanysimple(XmlAnySimpleType xmlAnySimpleType) {
        this._value = parse(xmlAnySimpleType.getStringValue(), NamespaceContext.getCurrent());
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public int value_hash_code() {
        return this._value.hashCode();
    }
}
