package org.apache.xmlbeans.impl.values;

import b.b.a.a.a;
import java.lang.reflect.Proxy;
import java.util.ArrayList;
import java.util.Map;
import org.apache.xmlbeans.XmlCursor;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.impl.common.PrefixResolver;
import org.apache.xmlbeans.xml.stream.StartElement;

public class NamespaceContext implements PrefixResolver {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static final int MAP = 3;
    public static final int RESOLVER = 5;
    public static final int START_ELEMENT = 4;
    public static final int TYPE_STORE = 1;
    public static final int XML_OBJECT = 2;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$values$NamespaceContext;
    public static ThreadLocal tl_namespaceContextStack = new ThreadLocal();
    public int _code = 3;
    public Object _obj;

    public static final class NamespaceContextStack {
        public NamespaceContext current;
        public ArrayList stack;

        public NamespaceContextStack() {
            this.stack = new ArrayList();
        }

        public final void pop() {
            ArrayList arrayList = this.stack;
            this.current = (NamespaceContext) arrayList.get(arrayList.size() - 1);
            ArrayList arrayList2 = this.stack;
            arrayList2.remove(arrayList2.size() - 1);
        }

        public final void push(NamespaceContext namespaceContext) {
            this.stack.add(this.current);
            this.current = namespaceContext;
        }
    }

    static {
        Class cls = class$org$apache$xmlbeans$impl$values$NamespaceContext;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.values.NamespaceContext");
            class$org$apache$xmlbeans$impl$values$NamespaceContext = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
    }

    public NamespaceContext(Map map) {
        this._obj = map;
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public static PrefixResolver getCurrent() {
        return getNamespaceContextStack().current;
    }

    public static NamespaceContextStack getNamespaceContextStack() {
        NamespaceContextStack namespaceContextStack = (NamespaceContextStack) tl_namespaceContextStack.get();
        if (namespaceContextStack != null) {
            return namespaceContextStack;
        }
        NamespaceContextStack namespaceContextStack2 = new NamespaceContextStack();
        tl_namespaceContextStack.set(namespaceContextStack2);
        return namespaceContextStack2;
    }

    public static void pop() {
        NamespaceContextStack namespaceContextStack = getNamespaceContextStack();
        namespaceContextStack.pop();
        if (namespaceContextStack.stack.size() == 0) {
            tl_namespaceContextStack.set(null);
        }
    }

    public static void push(NamespaceContext namespaceContext) {
        getNamespaceContextStack().push(namespaceContext);
    }

    @Override // org.apache.xmlbeans.impl.common.PrefixResolver
    public String getNamespaceForPrefix(String str) {
        if (str != null && str.equals("xml")) {
            return "http://www.w3.org/XML/1998/namespace";
        }
        int i2 = this._code;
        if (i2 == 1) {
            return ((TypeStore) this._obj).getNamespaceForPrefix(str);
        }
        if (i2 == 2) {
            Object obj = this._obj;
            if (Proxy.isProxyClass(obj.getClass())) {
                obj = Proxy.getInvocationHandler(obj);
            }
            if (obj instanceof TypeStoreUser) {
                return ((TypeStoreUser) obj).get_store().getNamespaceForPrefix(str);
            }
            XmlCursor newCursor = ((XmlObject) this._obj).newCursor();
            if (newCursor != null) {
                if (newCursor.currentTokenType() == XmlCursor.TokenType.ATTR) {
                    newCursor.toParent();
                }
                try {
                    return newCursor.namespaceForPrefix(str);
                } finally {
                    newCursor.dispose();
                }
            }
        } else if (i2 != 3) {
            if (i2 == 4) {
                return ((StartElement) this._obj).getNamespaceUri(str);
            }
            if (i2 == 5) {
                return ((PrefixResolver) this._obj).getNamespaceForPrefix(str);
            }
            if ($assertionsDisabled) {
                return null;
            }
            throw new AssertionError("Improperly initialized NamespaceContext.");
        }
        return (String) ((Map) this._obj).get(str);
    }

    public NamespaceContext(TypeStore typeStore) {
        this._obj = typeStore;
    }

    public NamespaceContext(XmlObject xmlObject) {
        this._obj = xmlObject;
    }

    public NamespaceContext(StartElement startElement) {
        this._obj = startElement;
    }

    public NamespaceContext(PrefixResolver prefixResolver) {
        this._obj = prefixResolver;
    }
}
