package org.apache.xmlbeans.impl.values;

import b.b.a.a.a;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.Calendar;
import java.util.Date;
import java.util.List;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.xmlbeans.GDate;
import org.apache.xmlbeans.GDuration;
import org.apache.xmlbeans.QNameSet;
import org.apache.xmlbeans.SchemaProperty;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.SimpleValue;
import org.apache.xmlbeans.StringEnumAbstractBase;
import org.apache.xmlbeans.XmlCursor;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.impl.schema.SchemaTypeImpl;
import org.apache.xmlbeans.impl.schema.SchemaTypeVisitorImpl;

public class XmlComplexContentImpl extends XmlObjectBase {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$values$XmlComplexContentImpl;
    public SchemaTypeImpl _schemaType;

    static {
        Class cls = class$org$apache$xmlbeans$impl$values$XmlComplexContentImpl;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.values.XmlComplexContentImpl");
            class$org$apache$xmlbeans$impl$values$XmlComplexContentImpl = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
    }

    public XmlComplexContentImpl(SchemaType schemaType) {
        this._schemaType = (SchemaTypeImpl) schemaType;
        initComplexType(true, true);
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public SimpleValue[] arraySetterHelper(int i2, QName qName) {
        TypeStoreUser typeStoreUser;
        SimpleValue[] simpleValueArr = new SimpleValue[i2];
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qName);
        while (count_elements > i2) {
            count_elements = a.a(count_elements, -1, typeStore, qName, count_elements, -1);
        }
        for (int i3 = 0; i3 < i2; i3++) {
            if (i3 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qName, i3);
            }
            simpleValueArr[i3] = (SimpleValue) typeStoreUser;
        }
        return simpleValueArr;
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public String compute_text(NamespaceManager namespaceManager) {
        return null;
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public boolean equal_to(XmlObject xmlObject) {
        return this._schemaType.equals(xmlObject.schemaType());
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.impl.values.XmlObjectBase
    public String get_default_attribute_text(QName qName) {
        return super.get_default_attribute_text(qName);
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.impl.values.XmlObjectBase
    public String get_default_element_text(QName qName) {
        SchemaProperty elementProperty = schemaType().getElementProperty(qName);
        if (elementProperty == null) {
            return "";
        }
        return elementProperty.getDefaultText();
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.impl.values.XmlObjectBase
    public int get_elementflags(QName qName) {
        SchemaProperty elementProperty = schemaType().getElementProperty(qName);
        int i2 = 0;
        if (elementProperty == null) {
            return 0;
        }
        if (elementProperty.hasDefault() == 1 || elementProperty.hasFixed() == 1 || elementProperty.hasNillable() == 1) {
            return -1;
        }
        int i3 = (elementProperty.hasDefault() == 0 ? 0 : 2) | (elementProperty.hasFixed() == 0 ? 0 : 4);
        if (elementProperty.hasNillable() != 0) {
            i2 = 1;
        }
        return i3 | i2;
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.impl.values.XmlObjectBase
    public boolean is_child_element_order_sensitive() {
        return schemaType().isOrderSensitive();
    }

    @Override // org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.impl.values.XmlObjectBase
    public TypeStoreVisitor new_visitor() {
        return new SchemaTypeVisitorImpl(this._schemaType.getContentModel());
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase, org.apache.xmlbeans.XmlObject
    public SchemaType schemaType() {
        return this._schemaType;
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public final void set_String(String str) {
        if (!$assertionsDisabled && this._schemaType.getContentType() == 2) {
            throw new AssertionError();
        } else if (this._schemaType.getContentType() == 4 || this._schemaType.isNoType()) {
            super.set_String(str);
        } else {
            StringBuffer a = a.a("Type does not allow for textual content: ");
            a.append(this._schemaType);
            throw new IllegalArgumentException(a.toString());
        }
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void set_nil() {
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void set_text(String str) {
        if (!$assertionsDisabled && this._schemaType.getContentType() != 4 && !this._schemaType.isNoType()) {
            throw new AssertionError();
        }
    }

    public void unionArraySetterHelper(Object[] objArr, QName qName) {
        TypeStoreUser typeStoreUser;
        int length = objArr == null ? 0 : objArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qName);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qName, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qName, i2);
            }
            ((XmlObjectBase) typeStoreUser).objectSet(objArr[i2]);
        }
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void update_from_complex_content() {
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public int value_hash_code() {
        throw new IllegalStateException("Complex types cannot be used as hash keys");
    }

    public SimpleValue[] arraySetterHelper(int i2, QName qName, QNameSet qNameSet) {
        TypeStoreUser typeStoreUser;
        SimpleValue[] simpleValueArr = new SimpleValue[i2];
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qNameSet);
        while (count_elements > i2) {
            count_elements = a.a(count_elements, -1, typeStore, qNameSet, count_elements, -1);
        }
        for (int i3 = 0; i3 < i2; i3++) {
            if (i3 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qNameSet, i3);
            }
            simpleValueArr[i3] = (SimpleValue) typeStoreUser;
        }
        return simpleValueArr;
    }

    public void unionArraySetterHelper(Object[] objArr, QName qName, QNameSet qNameSet) {
        TypeStoreUser typeStoreUser;
        int length = objArr == null ? 0 : objArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qNameSet);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qNameSet, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qNameSet, i2);
            }
            ((XmlObjectBase) typeStoreUser).objectSet(objArr[i2]);
        }
    }

    public void arraySetterHelper(boolean[] zArr, QName qName) {
        TypeStoreUser typeStoreUser;
        int length = zArr == null ? 0 : zArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qName);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qName, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qName, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(zArr[i2]);
        }
    }

    public void arraySetterHelper(float[] fArr, QName qName) {
        TypeStoreUser typeStoreUser;
        int length = fArr == null ? 0 : fArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qName);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qName, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qName, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(fArr[i2]);
        }
    }

    public void arraySetterHelper(double[] dArr, QName qName) {
        TypeStoreUser typeStoreUser;
        int length = dArr == null ? 0 : dArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qName);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qName, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qName, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(dArr[i2]);
        }
    }

    public void arraySetterHelper(byte[] bArr, QName qName) {
        TypeStoreUser typeStoreUser;
        int length = bArr == null ? 0 : bArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qName);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qName, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qName, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(bArr[i2]);
        }
    }

    public void arraySetterHelper(short[] sArr, QName qName) {
        TypeStoreUser typeStoreUser;
        int length = sArr == null ? 0 : sArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qName);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qName, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qName, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(sArr[i2]);
        }
    }

    public void arraySetterHelper(int[] iArr, QName qName) {
        TypeStoreUser typeStoreUser;
        int length = iArr == null ? 0 : iArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qName);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qName, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qName, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(iArr[i2]);
        }
    }

    public void arraySetterHelper(long[] jArr, QName qName) {
        TypeStoreUser typeStoreUser;
        int length = jArr == null ? 0 : jArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qName);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qName, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qName, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(jArr[i2]);
        }
    }

    public void arraySetterHelper(BigDecimal[] bigDecimalArr, QName qName) {
        TypeStoreUser typeStoreUser;
        int length = bigDecimalArr == null ? 0 : bigDecimalArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qName);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qName, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qName, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(bigDecimalArr[i2]);
        }
    }

    public void arraySetterHelper(BigInteger[] bigIntegerArr, QName qName) {
        TypeStoreUser typeStoreUser;
        int length = bigIntegerArr == null ? 0 : bigIntegerArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qName);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qName, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qName, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(bigIntegerArr[i2]);
        }
    }

    public void arraySetterHelper(String[] strArr, QName qName) {
        TypeStoreUser typeStoreUser;
        int length = strArr == null ? 0 : strArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qName);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qName, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qName, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(strArr[i2]);
        }
    }

    public void arraySetterHelper(byte[][] bArr, QName qName) {
        TypeStoreUser typeStoreUser;
        int length = bArr == null ? 0 : bArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qName);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qName, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qName, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(bArr[i2]);
        }
    }

    public void arraySetterHelper(GDate[] gDateArr, QName qName) {
        TypeStoreUser typeStoreUser;
        int length = gDateArr == null ? 0 : gDateArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qName);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qName, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qName, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(gDateArr[i2]);
        }
    }

    public void arraySetterHelper(GDuration[] gDurationArr, QName qName) {
        TypeStoreUser typeStoreUser;
        int length = gDurationArr == null ? 0 : gDurationArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qName);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qName, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qName, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(gDurationArr[i2]);
        }
    }

    public void arraySetterHelper(Calendar[] calendarArr, QName qName) {
        TypeStoreUser typeStoreUser;
        int length = calendarArr == null ? 0 : calendarArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qName);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qName, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qName, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(calendarArr[i2]);
        }
    }

    public void arraySetterHelper(Date[] dateArr, QName qName) {
        TypeStoreUser typeStoreUser;
        int length = dateArr == null ? 0 : dateArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qName);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qName, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qName, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(dateArr[i2]);
        }
    }

    public void arraySetterHelper(QName[] qNameArr, QName qName) {
        TypeStoreUser typeStoreUser;
        int length = qNameArr == null ? 0 : qNameArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qName);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qName, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qName, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(qNameArr[i2]);
        }
    }

    public void arraySetterHelper(StringEnumAbstractBase[] stringEnumAbstractBaseArr, QName qName) {
        TypeStoreUser typeStoreUser;
        int length = stringEnumAbstractBaseArr == null ? 0 : stringEnumAbstractBaseArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qName);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qName, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qName, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(stringEnumAbstractBaseArr[i2]);
        }
    }

    public void arraySetterHelper(List[] listArr, QName qName) {
        TypeStoreUser typeStoreUser;
        int length = listArr == null ? 0 : listArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qName);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qName, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qName, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(listArr[i2]);
        }
    }

    public void arraySetterHelper(boolean[] zArr, QName qName, QNameSet qNameSet) {
        TypeStoreUser typeStoreUser;
        int length = zArr == null ? 0 : zArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qNameSet);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qNameSet, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qNameSet, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(zArr[i2]);
        }
    }

    public void arraySetterHelper(float[] fArr, QName qName, QNameSet qNameSet) {
        TypeStoreUser typeStoreUser;
        int length = fArr == null ? 0 : fArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qNameSet);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qNameSet, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qNameSet, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(fArr[i2]);
        }
    }

    public void arraySetterHelper(double[] dArr, QName qName, QNameSet qNameSet) {
        TypeStoreUser typeStoreUser;
        int length = dArr == null ? 0 : dArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qNameSet);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qNameSet, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qNameSet, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(dArr[i2]);
        }
    }

    public void arraySetterHelper(byte[] bArr, QName qName, QNameSet qNameSet) {
        TypeStoreUser typeStoreUser;
        int length = bArr == null ? 0 : bArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qNameSet);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qNameSet, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qNameSet, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(bArr[i2]);
        }
    }

    public void arraySetterHelper(short[] sArr, QName qName, QNameSet qNameSet) {
        TypeStoreUser typeStoreUser;
        int length = sArr == null ? 0 : sArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qNameSet);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qNameSet, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qNameSet, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(sArr[i2]);
        }
    }

    public void arraySetterHelper(int[] iArr, QName qName, QNameSet qNameSet) {
        TypeStoreUser typeStoreUser;
        int length = iArr == null ? 0 : iArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qNameSet);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qNameSet, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qNameSet, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(iArr[i2]);
        }
    }

    public void arraySetterHelper(long[] jArr, QName qName, QNameSet qNameSet) {
        TypeStoreUser typeStoreUser;
        int length = jArr == null ? 0 : jArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qNameSet);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qNameSet, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qNameSet, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(jArr[i2]);
        }
    }

    public void arraySetterHelper(BigDecimal[] bigDecimalArr, QName qName, QNameSet qNameSet) {
        TypeStoreUser typeStoreUser;
        int length = bigDecimalArr == null ? 0 : bigDecimalArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qNameSet);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qNameSet, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qNameSet, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(bigDecimalArr[i2]);
        }
    }

    public void arraySetterHelper(BigInteger[] bigIntegerArr, QName qName, QNameSet qNameSet) {
        TypeStoreUser typeStoreUser;
        int length = bigIntegerArr == null ? 0 : bigIntegerArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qNameSet);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qNameSet, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qNameSet, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(bigIntegerArr[i2]);
        }
    }

    public void arraySetterHelper(String[] strArr, QName qName, QNameSet qNameSet) {
        TypeStoreUser typeStoreUser;
        int length = strArr == null ? 0 : strArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qNameSet);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qNameSet, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qNameSet, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(strArr[i2]);
        }
    }

    public void arraySetterHelper(byte[][] bArr, QName qName, QNameSet qNameSet) {
        TypeStoreUser typeStoreUser;
        int length = bArr == null ? 0 : bArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qNameSet);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qNameSet, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qNameSet, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(bArr[i2]);
        }
    }

    public void arraySetterHelper(GDate[] gDateArr, QName qName, QNameSet qNameSet) {
        TypeStoreUser typeStoreUser;
        int length = gDateArr == null ? 0 : gDateArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qNameSet);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qNameSet, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qNameSet, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(gDateArr[i2]);
        }
    }

    public void arraySetterHelper(GDuration[] gDurationArr, QName qName, QNameSet qNameSet) {
        TypeStoreUser typeStoreUser;
        int length = gDurationArr == null ? 0 : gDurationArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qNameSet);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qNameSet, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qNameSet, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(gDurationArr[i2]);
        }
    }

    public void arraySetterHelper(Calendar[] calendarArr, QName qName, QNameSet qNameSet) {
        TypeStoreUser typeStoreUser;
        int length = calendarArr == null ? 0 : calendarArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qNameSet);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qNameSet, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qNameSet, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(calendarArr[i2]);
        }
    }

    public void arraySetterHelper(Date[] dateArr, QName qName, QNameSet qNameSet) {
        TypeStoreUser typeStoreUser;
        int length = dateArr == null ? 0 : dateArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qNameSet);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qNameSet, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qNameSet, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(dateArr[i2]);
        }
    }

    public void arraySetterHelper(QName[] qNameArr, QName qName, QNameSet qNameSet) {
        TypeStoreUser typeStoreUser;
        int length = qNameArr == null ? 0 : qNameArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qNameSet);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qNameSet, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qNameSet, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(qNameArr[i2]);
        }
    }

    public void arraySetterHelper(StringEnumAbstractBase[] stringEnumAbstractBaseArr, QName qName, QNameSet qNameSet) {
        TypeStoreUser typeStoreUser;
        int length = stringEnumAbstractBaseArr == null ? 0 : stringEnumAbstractBaseArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qNameSet);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qNameSet, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qNameSet, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(stringEnumAbstractBaseArr[i2]);
        }
    }

    public void arraySetterHelper(List[] listArr, QName qName, QNameSet qNameSet) {
        TypeStoreUser typeStoreUser;
        int length = listArr == null ? 0 : listArr.length;
        TypeStore typeStore = get_store();
        int count_elements = typeStore.count_elements(qNameSet);
        while (count_elements > length) {
            count_elements = a.a(count_elements, -1, typeStore, qNameSet, count_elements, -1);
        }
        for (int i2 = 0; i2 < length; i2++) {
            if (i2 >= count_elements) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qNameSet, i2);
            }
            ((XmlObjectBase) typeStoreUser).set(listArr[i2]);
        }
    }

    public void arraySetterHelper(XmlObject[] xmlObjectArr, QName qName) {
        int i2;
        int i3;
        int i4;
        TypeStoreUser typeStoreUser;
        TypeStore typeStore = get_store();
        int i5 = 0;
        if (xmlObjectArr == null || xmlObjectArr.length == 0) {
            for (int count_elements = typeStore.count_elements(qName); count_elements > 0; count_elements--) {
                typeStore.remove_element(qName, 0);
            }
            return;
        }
        int count_elements2 = typeStore.count_elements(qName);
        int i6 = 0;
        while (true) {
            if (i6 >= xmlObjectArr.length) {
                break;
            }
            if (!xmlObjectArr[i6].isImmutable()) {
                XmlCursor newCursor = xmlObjectArr[i6].newCursor();
                if (newCursor.toParent() && newCursor.getObject() == this) {
                    newCursor.dispose();
                    break;
                }
                newCursor.dispose();
            }
            i6++;
        }
        if (i6 >= xmlObjectArr.length || typeStore.find_element_user(qName, 0) != xmlObjectArr[i6]) {
            i2 = i6;
            i4 = 0;
            i3 = 0;
        } else {
            while (i5 < i6) {
                ((XmlObjectBase) typeStore.insert_element_user(qName, i5)).set(xmlObjectArr[i5]);
                i5++;
            }
            int i7 = i5 + 1;
            int i8 = i6 + 1;
            while (i8 < xmlObjectArr.length) {
                XmlCursor newCursor2 = xmlObjectArr[i8].isImmutable() ? null : xmlObjectArr[i8].newCursor();
                if (newCursor2 != null && newCursor2.toParent() && newCursor2.getObject() == this) {
                    newCursor2.dispose();
                    if (typeStore.find_element_user(qName, i7) != xmlObjectArr[i8]) {
                        break;
                    }
                } else {
                    newCursor2.dispose();
                    ((XmlObjectBase) typeStore.insert_element_user(qName, i7)).set(xmlObjectArr[i8]);
                }
                i8++;
                i7++;
            }
            i4 = i8;
            i2 = i4;
            i3 = i7;
            count_elements2 = typeStore.count_elements(qName);
        }
        for (int i9 = i2; i9 < xmlObjectArr.length; i9++) {
            ((XmlObjectBase) typeStore.add_element_user(qName)).set(xmlObjectArr[i9]);
        }
        int i10 = count_elements2;
        while (i10 > (i2 - i4) + i3) {
            i10 = a.a(i10, -1, typeStore, qName, i10, -1);
        }
        while (i4 < i2) {
            if (i3 >= i10) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qName, i3);
            }
            ((XmlObjectBase) typeStoreUser).set(xmlObjectArr[i4]);
            i4++;
            i3++;
        }
    }

    public void arraySetterHelper(XmlObject[] xmlObjectArr, QName qName, QNameSet qNameSet) {
        int i2;
        int i3;
        int i4;
        TypeStoreUser typeStoreUser;
        TypeStore typeStore = get_store();
        int i5 = 0;
        if (xmlObjectArr == null || xmlObjectArr.length == 0) {
            for (int count_elements = typeStore.count_elements(qNameSet); count_elements > 0; count_elements--) {
                typeStore.remove_element(qNameSet, 0);
            }
            return;
        }
        int count_elements2 = typeStore.count_elements(qNameSet);
        int i6 = 0;
        while (true) {
            if (i6 >= xmlObjectArr.length) {
                break;
            }
            if (!xmlObjectArr[i6].isImmutable()) {
                XmlCursor newCursor = xmlObjectArr[i6].newCursor();
                if (newCursor.toParent() && newCursor.getObject() == this) {
                    newCursor.dispose();
                    break;
                }
                newCursor.dispose();
            }
            i6++;
        }
        if (i6 >= xmlObjectArr.length || typeStore.find_element_user(qNameSet, 0) != xmlObjectArr[i6]) {
            i2 = i6;
            i4 = 0;
            i3 = 0;
        } else {
            while (i5 < i6) {
                ((XmlObjectBase) typeStore.insert_element_user(qNameSet, qName, i5)).set(xmlObjectArr[i5]);
                i5++;
            }
            int i7 = i5 + 1;
            int i8 = i6 + 1;
            while (i8 < xmlObjectArr.length) {
                XmlCursor newCursor2 = xmlObjectArr[i8].isImmutable() ? null : xmlObjectArr[i8].newCursor();
                if (newCursor2 != null && newCursor2.toParent() && newCursor2.getObject() == this) {
                    newCursor2.dispose();
                    if (typeStore.find_element_user(qNameSet, i7) != xmlObjectArr[i8]) {
                        break;
                    }
                } else {
                    newCursor2.dispose();
                    ((XmlObjectBase) typeStore.insert_element_user(qNameSet, qName, i7)).set(xmlObjectArr[i8]);
                }
                i8++;
                i7++;
            }
            i4 = i8;
            i2 = i4;
            i3 = i7;
            count_elements2 = typeStore.count_elements(qName);
        }
        for (int i9 = i2; i9 < xmlObjectArr.length; i9++) {
            ((XmlObjectBase) typeStore.add_element_user(qName)).set(xmlObjectArr[i9]);
        }
        int i10 = count_elements2;
        while (i10 > (i2 - i4) + i3) {
            i10 = a.a(i10, -1, typeStore, qNameSet, i10, -1);
        }
        while (i4 < i2) {
            if (i3 >= i10) {
                typeStoreUser = typeStore.add_element_user(qName);
            } else {
                typeStoreUser = typeStore.find_element_user(qNameSet, i3);
            }
            ((XmlObjectBase) typeStoreUser).set(xmlObjectArr[i4]);
            i4++;
            i3++;
        }
    }
}
