package org.apache.xmlbeans.impl.values;

import b.b.a.a.a;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.Calendar;
import java.util.Date;
import java.util.List;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.poi.ss.formula.functions.NumericFunction;
import org.apache.xerces.impl.xs.SchemaSymbols;
import org.apache.xmlbeans.GDate;
import org.apache.xmlbeans.GDateSpecification;
import org.apache.xmlbeans.GDuration;
import org.apache.xmlbeans.GDurationSpecification;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.SimpleValue;
import org.apache.xmlbeans.StringEnumAbstractBase;
import org.apache.xmlbeans.XmlAnySimpleType;
import org.apache.xmlbeans.XmlErrorCodes;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.impl.common.QNameHelper;
import org.apache.xmlbeans.impl.common.ValidationContext;
import org.apache.xmlbeans.impl.schema.SchemaTypeImpl;

public class XmlUnionImpl extends XmlObjectBase implements XmlAnySimpleType {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static final int JAVA_BYTEARRAY = 50;
    public static final int JAVA_CALENDAR = 49;
    public static final int JAVA_DATE = 48;
    public static final int JAVA_LIST = 51;
    public static final int JAVA_NUMBER = 47;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$values$XmlUnionImpl;
    public SchemaType _schemaType;
    public String _textvalue = "";
    public XmlAnySimpleType _value;

    static {
        Class cls = class$org$apache$xmlbeans$impl$values$XmlUnionImpl;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.values.XmlUnionImpl");
            class$org$apache$xmlbeans$impl$values$XmlUnionImpl = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
    }

    public XmlUnionImpl(SchemaType schemaType, boolean z) {
        this._schemaType = schemaType;
        initComplexType(z, false);
    }

    public static boolean check(XmlObject xmlObject, SchemaType schemaType) {
        XmlAnySimpleType[] enumerationValues = schemaType.getEnumerationValues();
        if (enumerationValues == null) {
            return true;
        }
        for (XmlAnySimpleType xmlAnySimpleType : enumerationValues) {
            if (xmlAnySimpleType.valueEquals(xmlObject)) {
                return true;
            }
        }
        return false;
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public static boolean lexical_overlap(int i2, int i3) {
        if (!(i2 == i3 || i2 == 2 || i3 == 2 || i2 == 12 || i3 == 12 || i2 == 6 || i3 == 6)) {
            if (i2 == 3) {
                return i3 == 7 || i3 == 8;
            }
            if (i2 == 4) {
                if (!(i3 == 3 || i3 == 5 || i3 == 13 || i3 == 18)) {
                    switch (i3) {
                        case 7:
                        case 8:
                        case 9:
                        case 10:
                        case 11:
                            break;
                        default:
                            return false;
                    }
                }
                return true;
            } else if (i2 == 5) {
                if (!(i3 == 3 || i3 == 4 || i3 == 18)) {
                    switch (i3) {
                        case 7:
                        case 8:
                        case 9:
                        case 10:
                        case 11:
                            break;
                        default:
                            return false;
                    }
                }
                return true;
            } else if (i2 == 13) {
                return i3 == 4 || i3 == 7 || i3 == 8;
            } else {
                if (i2 != 18) {
                    switch (i2) {
                        case 7:
                        case 8:
                            return i3 == 3 || i3 == 4 || i3 == 5 || i3 == 7 || i3 == 8 || i3 == 13;
                        case 9:
                        case 10:
                        case 11:
                            break;
                        default:
                            return false;
                    }
                }
                if (!(i3 == 4 || i3 == 5 || i3 == 18)) {
                    switch (i3) {
                        case 9:
                        case 10:
                        case 11:
                            break;
                        default:
                            return false;
                    }
                }
                return true;
            }
        }
    }

    public static boolean logical_overlap(SchemaType schemaType, int i2) {
        if (!$assertionsDisabled && schemaType.getSimpleVariety() == 2) {
            throw new AssertionError();
        } else if (i2 > 46) {
            switch (i2) {
                case 47:
                    if (schemaType.getSimpleVariety() != 1) {
                        return false;
                    }
                    int builtinTypeCode = schemaType.getPrimitiveType().getBuiltinTypeCode();
                    if (!(builtinTypeCode == 18 || builtinTypeCode == 20 || builtinTypeCode == 21)) {
                        switch (builtinTypeCode) {
                            case 9:
                            case 10:
                            case 11:
                                break;
                            default:
                                return false;
                        }
                    }
                    return true;
                case 48:
                    if (schemaType.getSimpleVariety() != 1) {
                        return false;
                    }
                    int builtinTypeCode2 = schemaType.getPrimitiveType().getBuiltinTypeCode();
                    return builtinTypeCode2 == 14 || builtinTypeCode2 == 16;
                case 49:
                    if (schemaType.getSimpleVariety() != 1) {
                        return false;
                    }
                    switch (schemaType.getPrimitiveType().getBuiltinTypeCode()) {
                        case 14:
                        case 15:
                        case 16:
                        case 17:
                        case 18:
                        case 19:
                        case 20:
                        case 21:
                            return true;
                        default:
                            return false;
                    }
                case 50:
                    if (schemaType.getSimpleVariety() != 1) {
                        return false;
                    }
                    int builtinTypeCode3 = schemaType.getPrimitiveType().getBuiltinTypeCode();
                    return builtinTypeCode3 == 4 || builtinTypeCode3 == 5;
                case 51:
                    if (schemaType.getSimpleVariety() == 3) {
                        return true;
                    }
                    return false;
                default:
                    if ($assertionsDisabled) {
                        return false;
                    }
                    throw new AssertionError("missing case");
            }
        } else if (schemaType.getSimpleVariety() == 1 && schemaType.getPrimitiveType().getBuiltinTypeCode() == i2) {
            return true;
        } else {
            return false;
        }
    }

    private void set_primitive(int i2, Object obj) {
        boolean z;
        SchemaType[] unionConstituentTypes = this._schemaType.getUnionConstituentTypes();
        if ($assertionsDisabled || unionConstituentTypes != null) {
            if (has_store()) {
                NamespaceContext.push(new NamespaceContext(get_store()));
                z = true;
            } else {
                z = false;
            }
            boolean z2 = true;
            while (true) {
                if (!z2) {
                    try {
                        if (_validateOnSet()) {
                            break;
                        }
                    } catch (Throwable th) {
                        if (z) {
                            NamespaceContext.pop();
                        }
                        throw th;
                    }
                }
                for (int i3 = 0; i3 < unionConstituentTypes.length; i3++) {
                    if (logical_overlap(unionConstituentTypes[i3], i2)) {
                        try {
                            XmlAnySimpleType newValue = ((SchemaTypeImpl) unionConstituentTypes[i3]).newValue(obj, z2);
                            this._value = newValue;
                            this._textvalue = newValue.stringValue();
                            if (z) {
                                NamespaceContext.pop();
                                return;
                            }
                            return;
                        } catch (XmlValueOutOfRangeException unused) {
                            continue;
                        } catch (Exception e2) {
                            if (!$assertionsDisabled) {
                                StringBuffer stringBuffer = new StringBuffer();
                                stringBuffer.append("Unexpected ");
                                stringBuffer.append(e2);
                                throw new AssertionError(stringBuffer.toString());
                            }
                        }
                    }
                }
                if (!z2) {
                    break;
                }
                z2 = false;
            }
            if (z) {
                NamespaceContext.pop();
            }
            throw new XmlValueOutOfRangeException(XmlErrorCodes.DATATYPE_VALID$UNION, new Object[]{obj.toString(), QNameHelper.readable(this._schemaType)});
        }
        throw new AssertionError();
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public String compute_text(NamespaceManager namespaceManager) {
        return this._textvalue;
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public boolean equal_to(XmlObject xmlObject) {
        return this._value.valueEquals(xmlObject);
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase, org.apache.xmlbeans.SimpleValue
    public BigDecimal getBigDecimalValue() {
        check_dated();
        XmlAnySimpleType xmlAnySimpleType = this._value;
        if (xmlAnySimpleType == null) {
            return null;
        }
        return ((SimpleValue) xmlAnySimpleType).getBigDecimalValue();
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase, org.apache.xmlbeans.SimpleValue
    public BigInteger getBigIntegerValue() {
        check_dated();
        XmlAnySimpleType xmlAnySimpleType = this._value;
        if (xmlAnySimpleType == null) {
            return null;
        }
        return ((SimpleValue) xmlAnySimpleType).getBigIntegerValue();
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase, org.apache.xmlbeans.SimpleValue
    public boolean getBooleanValue() {
        check_dated();
        XmlAnySimpleType xmlAnySimpleType = this._value;
        if (xmlAnySimpleType == null) {
            return false;
        }
        return ((SimpleValue) xmlAnySimpleType).getBooleanValue();
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase, org.apache.xmlbeans.SimpleValue
    public byte[] getByteArrayValue() {
        check_dated();
        XmlAnySimpleType xmlAnySimpleType = this._value;
        if (xmlAnySimpleType == null) {
            return null;
        }
        return ((SimpleValue) xmlAnySimpleType).getByteArrayValue();
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase, org.apache.xmlbeans.SimpleValue
    public byte getByteValue() {
        check_dated();
        XmlAnySimpleType xmlAnySimpleType = this._value;
        if (xmlAnySimpleType == null) {
            return 0;
        }
        return ((SimpleValue) xmlAnySimpleType).getByteValue();
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase, org.apache.xmlbeans.SimpleValue
    public Calendar getCalendarValue() {
        check_dated();
        XmlAnySimpleType xmlAnySimpleType = this._value;
        if (xmlAnySimpleType == null) {
            return null;
        }
        return ((SimpleValue) xmlAnySimpleType).getCalendarValue();
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase, org.apache.xmlbeans.SimpleValue
    public Date getDateValue() {
        check_dated();
        XmlAnySimpleType xmlAnySimpleType = this._value;
        if (xmlAnySimpleType == null) {
            return null;
        }
        return ((SimpleValue) xmlAnySimpleType).getDateValue();
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase, org.apache.xmlbeans.SimpleValue
    public double getDoubleValue() {
        check_dated();
        XmlAnySimpleType xmlAnySimpleType = this._value;
        return xmlAnySimpleType == null ? NumericFunction.LOG_10_TO_BASE_e : ((SimpleValue) xmlAnySimpleType).getDoubleValue();
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase, org.apache.xmlbeans.SimpleValue
    public StringEnumAbstractBase getEnumValue() {
        check_dated();
        XmlAnySimpleType xmlAnySimpleType = this._value;
        if (xmlAnySimpleType == null) {
            return null;
        }
        return ((SimpleValue) xmlAnySimpleType).getEnumValue();
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase, org.apache.xmlbeans.SimpleValue
    public float getFloatValue() {
        check_dated();
        XmlAnySimpleType xmlAnySimpleType = this._value;
        if (xmlAnySimpleType == null) {
            return 0.0f;
        }
        return ((SimpleValue) xmlAnySimpleType).getFloatValue();
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase, org.apache.xmlbeans.SimpleValue
    public GDate getGDateValue() {
        check_dated();
        XmlAnySimpleType xmlAnySimpleType = this._value;
        if (xmlAnySimpleType == null) {
            return null;
        }
        return ((SimpleValue) xmlAnySimpleType).getGDateValue();
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase, org.apache.xmlbeans.SimpleValue
    public GDuration getGDurationValue() {
        check_dated();
        XmlAnySimpleType xmlAnySimpleType = this._value;
        if (xmlAnySimpleType == null) {
            return null;
        }
        return ((SimpleValue) xmlAnySimpleType).getGDurationValue();
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase, org.apache.xmlbeans.SimpleValue
    public int getIntValue() {
        check_dated();
        XmlAnySimpleType xmlAnySimpleType = this._value;
        if (xmlAnySimpleType == null) {
            return 0;
        }
        return ((SimpleValue) xmlAnySimpleType).getIntValue();
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase, org.apache.xmlbeans.SimpleValue
    public List getListValue() {
        check_dated();
        XmlAnySimpleType xmlAnySimpleType = this._value;
        if (xmlAnySimpleType == null) {
            return null;
        }
        return ((SimpleValue) xmlAnySimpleType).getListValue();
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase, org.apache.xmlbeans.SimpleValue
    public long getLongValue() {
        check_dated();
        XmlAnySimpleType xmlAnySimpleType = this._value;
        if (xmlAnySimpleType == null) {
            return 0;
        }
        return ((SimpleValue) xmlAnySimpleType).getLongValue();
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase, org.apache.xmlbeans.SimpleValue
    public QName getQNameValue() {
        check_dated();
        XmlAnySimpleType xmlAnySimpleType = this._value;
        if (xmlAnySimpleType == null) {
            return null;
        }
        return ((SimpleValue) xmlAnySimpleType).getQNameValue();
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase, org.apache.xmlbeans.SimpleValue
    public short getShortValue() {
        check_dated();
        XmlAnySimpleType xmlAnySimpleType = this._value;
        if (xmlAnySimpleType == null) {
            return 0;
        }
        return ((SimpleValue) xmlAnySimpleType).getShortValue();
    }

    @Override // org.apache.xmlbeans.XmlAnySimpleType, org.apache.xmlbeans.impl.values.XmlObjectBase, org.apache.xmlbeans.SimpleValue
    public String getStringValue() {
        check_dated();
        XmlAnySimpleType xmlAnySimpleType = this._value;
        if (xmlAnySimpleType == null) {
            return null;
        }
        return xmlAnySimpleType.getStringValue();
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public int get_wscanon_rule() {
        return 1;
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase, org.apache.xmlbeans.SimpleValue
    public SchemaType instanceType() {
        check_dated();
        XmlAnySimpleType xmlAnySimpleType = this._value;
        if (xmlAnySimpleType == null) {
            return null;
        }
        return ((SimpleValue) xmlAnySimpleType).instanceType();
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public boolean is_defaultable_ws(String str) {
        try {
            XmlAnySimpleType xmlAnySimpleType = this._value;
            set_text(str);
            this._value = xmlAnySimpleType;
            return false;
        } catch (XmlValueOutOfRangeException unused) {
            return true;
        }
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase, org.apache.xmlbeans.XmlObject
    public SchemaType schemaType() {
        return this._schemaType;
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void set_BigDecimal(BigDecimal bigDecimal) {
        set_primitive(47, bigDecimal);
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void set_BigInteger(BigInteger bigInteger) {
        set_primitive(47, bigInteger);
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void set_ByteArray(byte[] bArr) {
        set_primitive(50, bArr);
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void set_Calendar(Calendar calendar) {
        set_primitive(49, calendar);
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void set_Date(Date date) {
        set_primitive(48, date);
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void set_GDate(GDateSpecification gDateSpecification) {
        int builtinTypeCode = gDateSpecification.getBuiltinTypeCode();
        if (builtinTypeCode > 0) {
            set_primitive(builtinTypeCode, gDateSpecification);
            return;
        }
        throw new XmlValueOutOfRangeException();
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void set_GDuration(GDurationSpecification gDurationSpecification) {
        set_primitive(13, gDurationSpecification);
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void set_QName(QName qName) {
        set_primitive(7, qName);
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void set_b64(byte[] bArr) {
        set_primitive(50, bArr);
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void set_boolean(boolean z) {
        set_primitive(3, new Boolean(z));
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void set_byte(byte b2) {
        set_primitive(47, new Byte(b2));
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void set_double(double d2) {
        set_primitive(47, new Double(d2));
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void set_enum(StringEnumAbstractBase stringEnumAbstractBase) {
        set_primitive(12, stringEnumAbstractBase);
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void set_float(float f2) {
        set_primitive(47, new Float(f2));
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void set_hex(byte[] bArr) {
        set_primitive(50, bArr);
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void set_int(int i2) {
        set_primitive(47, new Integer(i2));
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void set_list(List list) {
        set_primitive(51, list);
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void set_long(long j) {
        set_primitive(47, new Long(j));
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void set_nil() {
        this._value = null;
        this._textvalue = null;
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void set_short(short s) {
        set_primitive(47, new Short(s));
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void set_text(String str) {
        boolean z;
        if (this._schemaType.matchPatternFacet(str) || !_validateOnSet()) {
            String str2 = this._textvalue;
            this._textvalue = str;
            SchemaType[] unionConstituentTypes = this._schemaType.getUnionConstituentTypes();
            if ($assertionsDisabled || unionConstituentTypes != null) {
                if (has_store()) {
                    NamespaceContext.push(new NamespaceContext(get_store()));
                    z = true;
                } else {
                    z = false;
                }
                boolean z2 = true;
                while (true) {
                    if (!z2) {
                        try {
                            if (_validateOnSet()) {
                                break;
                            }
                        } catch (Throwable th) {
                            if (z) {
                                NamespaceContext.pop();
                            }
                            throw th;
                        }
                    }
                    for (int i2 = 0; i2 < unionConstituentTypes.length; i2++) {
                        try {
                            XmlAnySimpleType newValue = ((SchemaTypeImpl) unionConstituentTypes[i2]).newValue(str, z2);
                            if (check(newValue, this._schemaType)) {
                                this._value = newValue;
                                if (z) {
                                    NamespaceContext.pop();
                                    return;
                                }
                                return;
                            }
                        } catch (XmlValueOutOfRangeException unused) {
                        } catch (Exception e2) {
                            StringBuffer stringBuffer = new StringBuffer();
                            stringBuffer.append("Troublesome union exception caused by unexpected ");
                            stringBuffer.append(e2);
                            throw new RuntimeException(stringBuffer.toString(), e2);
                        }
                    }
                    if (!z2) {
                        break;
                    }
                    z2 = false;
                }
                if (z) {
                    NamespaceContext.pop();
                }
                this._textvalue = str2;
                throw new XmlValueOutOfRangeException(XmlErrorCodes.DATATYPE_VALID$UNION, new Object[]{str, QNameHelper.readable(this._schemaType)});
            }
            throw new AssertionError();
        }
        throw new XmlValueOutOfRangeException(XmlErrorCodes.DATATYPE_VALID$PATTERN_VALID, new Object[]{SchemaSymbols.ATTVAL_STRING, str, QNameHelper.readable(this._schemaType)});
    }

    public void set_xmldate(XmlObject xmlObject) {
        set_primitive(16, xmlObject);
    }

    public void set_xmldatetime(XmlObject xmlObject) {
        set_primitive(14, xmlObject);
    }

    public void set_xmldecimal(XmlObject xmlObject) {
        set_primitive(11, xmlObject);
    }

    public void set_xmldouble(XmlObject xmlObject) {
        set_primitive(10, xmlObject);
    }

    public void set_xmlduration(XmlObject xmlObject) {
        set_primitive(13, xmlObject);
    }

    public void set_xmlfloat(XmlObject xmlObject) {
        set_primitive(9, xmlObject);
    }

    public void set_xmlgday(XmlObject xmlObject) {
        set_primitive(20, xmlObject);
    }

    public void set_xmlgmonth(XmlObject xmlObject) {
        set_primitive(21, xmlObject);
    }

    public void set_xmlgmonthday(XmlObject xmlObject) {
        set_primitive(19, xmlObject);
    }

    public void set_xmlgyear(XmlObject xmlObject) {
        set_primitive(18, xmlObject);
    }

    public void set_xmlgyearmonth(XmlObject xmlObject) {
        set_primitive(17, xmlObject);
    }

    public void set_xmltime(XmlObject xmlObject) {
        set_primitive(15, xmlObject);
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public void validate_simpleval(String str, ValidationContext validationContext) {
        try {
            check_dated();
            XmlAnySimpleType xmlAnySimpleType = this._value;
            if (xmlAnySimpleType == null) {
                StringBuffer c = a.c("'", str, "' does not match any of the member types for ");
                c.append(QNameHelper.readable(schemaType()));
                validationContext.invalid("union", new Object[]{c.toString()});
                return;
            }
            ((XmlObjectBase) xmlAnySimpleType).validate_simpleval(str, validationContext);
        } catch (Exception unused) {
            StringBuffer c2 = a.c("'", str, "' does not match any of the member types for ");
            c2.append(QNameHelper.readable(schemaType()));
            validationContext.invalid("union", new Object[]{c2.toString()});
        }
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase
    public int value_hash_code() {
        return this._value.hashCode();
    }

    @Override // org.apache.xmlbeans.impl.values.XmlObjectBase, org.apache.xmlbeans.SimpleValue
    public List xgetListValue() {
        check_dated();
        XmlAnySimpleType xmlAnySimpleType = this._value;
        if (xmlAnySimpleType == null) {
            return null;
        }
        return ((SimpleValue) xmlAnySimpleType).xgetListValue();
    }
}
