package org.apache.xmlbeans.impl.xb.xsdschema.impl;

import org.apache.poi.javax.xml.namespace.QName;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.impl.values.XmlComplexContentImpl;
import org.apache.xmlbeans.impl.xb.xsdschema.AttributeDocument;
import org.apache.xmlbeans.impl.xb.xsdschema.TopLevelAttribute;

public class AttributeDocumentImpl extends XmlComplexContentImpl implements AttributeDocument {
    public static final QName ATTRIBUTE$0 = new QName("http://www.w3.org/2001/XMLSchema", "attribute");

    public AttributeDocumentImpl(SchemaType schemaType) {
        super(schemaType);
    }

    @Override // org.apache.xmlbeans.impl.xb.xsdschema.AttributeDocument
    public TopLevelAttribute addNewAttribute() {
        TopLevelAttribute topLevelAttribute;
        synchronized (monitor()) {
            check_orphaned();
            topLevelAttribute = (TopLevelAttribute) get_store().add_element_user(ATTRIBUTE$0);
        }
        return topLevelAttribute;
    }

    @Override // org.apache.xmlbeans.impl.xb.xsdschema.AttributeDocument
    public TopLevelAttribute getAttribute() {
        synchronized (monitor()) {
            check_orphaned();
            TopLevelAttribute topLevelAttribute = (TopLevelAttribute) get_store().find_element_user(ATTRIBUTE$0, 0);
            if (topLevelAttribute == null) {
                return null;
            }
            return topLevelAttribute;
        }
    }

    @Override // org.apache.xmlbeans.impl.xb.xsdschema.AttributeDocument
    public void setAttribute(TopLevelAttribute topLevelAttribute) {
        synchronized (monitor()) {
            check_orphaned();
            TopLevelAttribute topLevelAttribute2 = (TopLevelAttribute) get_store().find_element_user(ATTRIBUTE$0, 0);
            if (topLevelAttribute2 == null) {
                topLevelAttribute2 = (TopLevelAttribute) get_store().add_element_user(ATTRIBUTE$0);
            }
            topLevelAttribute2.set(topLevelAttribute);
        }
    }
}
