package org.apache.xmlbeans.impl.xb.xsdschema.impl;

import org.apache.poi.javax.xml.namespace.QName;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.impl.values.XmlComplexContentImpl;
import org.apache.xmlbeans.impl.xb.xsdschema.PatternDocument;

public class PatternDocumentImpl extends XmlComplexContentImpl implements PatternDocument {
    public static final QName PATTERN$0 = new QName("http://www.w3.org/2001/XMLSchema", "pattern");

    public static class PatternImpl extends NoFixedFacetImpl implements PatternDocument.Pattern {
        public PatternImpl(SchemaType schemaType) {
            super(schemaType);
        }
    }

    public PatternDocumentImpl(SchemaType schemaType) {
        super(schemaType);
    }

    @Override // org.apache.xmlbeans.impl.xb.xsdschema.PatternDocument
    public PatternDocument.Pattern addNewPattern() {
        PatternDocument.Pattern pattern;
        synchronized (monitor()) {
            check_orphaned();
            pattern = (PatternDocument.Pattern) get_store().add_element_user(PATTERN$0);
        }
        return pattern;
    }

    @Override // org.apache.xmlbeans.impl.xb.xsdschema.PatternDocument
    public PatternDocument.Pattern getPattern() {
        synchronized (monitor()) {
            check_orphaned();
            PatternDocument.Pattern pattern = (PatternDocument.Pattern) get_store().find_element_user(PATTERN$0, 0);
            if (pattern == null) {
                return null;
            }
            return pattern;
        }
    }

    @Override // org.apache.xmlbeans.impl.xb.xsdschema.PatternDocument
    public void setPattern(PatternDocument.Pattern pattern) {
        synchronized (monitor()) {
            check_orphaned();
            PatternDocument.Pattern pattern2 = (PatternDocument.Pattern) get_store().find_element_user(PATTERN$0, 0);
            if (pattern2 == null) {
                pattern2 = (PatternDocument.Pattern) get_store().add_element_user(PATTERN$0);
            }
            pattern2.set(pattern);
        }
    }
}
