package org.apache.xmlbeans.impl.xb.xsdschema.impl;

import org.apache.poi.javax.xml.namespace.QName;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.SimpleValue;
import org.apache.xmlbeans.XmlNCName;
import org.apache.xmlbeans.impl.xb.xsdschema.TopLevelElement;

public class TopLevelElementImpl extends ElementImpl implements TopLevelElement {
    public static final QName NAME$0 = new QName("", "name");

    public TopLevelElementImpl(SchemaType schemaType) {
        super(schemaType);
    }

    @Override // org.apache.xmlbeans.impl.xb.xsdschema.TopLevelElement, org.apache.xmlbeans.impl.xb.xsdschema.Element, org.apache.xmlbeans.impl.xb.xsdschema.impl.ElementImpl
    public String getName() {
        synchronized (monitor()) {
            check_orphaned();
            SimpleValue simpleValue = (SimpleValue) get_store().find_attribute_user(NAME$0);
            if (simpleValue == null) {
                return null;
            }
            return simpleValue.getStringValue();
        }
    }

    @Override // org.apache.xmlbeans.impl.xb.xsdschema.TopLevelElement, org.apache.xmlbeans.impl.xb.xsdschema.Element, org.apache.xmlbeans.impl.xb.xsdschema.impl.ElementImpl
    public boolean isSetName() {
        boolean z;
        synchronized (monitor()) {
            check_orphaned();
            z = get_store().find_attribute_user(NAME$0) != null;
        }
        return z;
    }

    @Override // org.apache.xmlbeans.impl.xb.xsdschema.TopLevelElement, org.apache.xmlbeans.impl.xb.xsdschema.Element, org.apache.xmlbeans.impl.xb.xsdschema.impl.ElementImpl
    public void setName(String str) {
        synchronized (monitor()) {
            check_orphaned();
            SimpleValue simpleValue = (SimpleValue) get_store().find_attribute_user(NAME$0);
            if (simpleValue == null) {
                simpleValue = (SimpleValue) get_store().add_attribute_user(NAME$0);
            }
            simpleValue.setStringValue(str);
        }
    }

    @Override // org.apache.xmlbeans.impl.xb.xsdschema.TopLevelElement, org.apache.xmlbeans.impl.xb.xsdschema.Element, org.apache.xmlbeans.impl.xb.xsdschema.impl.ElementImpl
    public void unsetName() {
        synchronized (monitor()) {
            check_orphaned();
            get_store().remove_attribute(NAME$0);
        }
    }

    @Override // org.apache.xmlbeans.impl.xb.xsdschema.TopLevelElement, org.apache.xmlbeans.impl.xb.xsdschema.Element, org.apache.xmlbeans.impl.xb.xsdschema.impl.ElementImpl
    public XmlNCName xgetName() {
        XmlNCName xmlNCName;
        synchronized (monitor()) {
            check_orphaned();
            xmlNCName = (XmlNCName) get_store().find_attribute_user(NAME$0);
        }
        return xmlNCName;
    }

    @Override // org.apache.xmlbeans.impl.xb.xsdschema.TopLevelElement, org.apache.xmlbeans.impl.xb.xsdschema.Element, org.apache.xmlbeans.impl.xb.xsdschema.impl.ElementImpl
    public void xsetName(XmlNCName xmlNCName) {
        synchronized (monitor()) {
            check_orphaned();
            XmlNCName xmlNCName2 = (XmlNCName) get_store().find_attribute_user(NAME$0);
            if (xmlNCName2 == null) {
                xmlNCName2 = (XmlNCName) get_store().add_attribute_user(NAME$0);
            }
            xmlNCName2.set(xmlNCName);
        }
    }
}
