package org.apache.xmlbeans.impl.xpathgen;

import b.b.a.a.a;
import java.util.Iterator;
import org.apache.poi.javax.xml.namespace.NamespaceContext;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.poi.openxml4j.opc.internal.ZipHelper;
import org.apache.xmlbeans.XmlCursor;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.impl.common.JarHelper;

public class XPathGenerator {
    public static final /* synthetic */ boolean $assertionsDisabled;
    public static /* synthetic */ Class class$org$apache$xmlbeans$impl$xpathgen$XPathGenerator;

    static {
        Class cls = class$org$apache$xmlbeans$impl$xpathgen$XPathGenerator;
        if (cls == null) {
            cls = class$("org.apache.xmlbeans.impl.xpathgen.XPathGenerator");
            class$org$apache$xmlbeans$impl$xpathgen$XPathGenerator = cls;
        }
        $assertionsDisabled = !cls.desiredAssertionStatus();
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw a.a(e2);
        }
    }

    public static int countTextTokens(XmlCursor xmlCursor) {
        XmlCursor newCursor = xmlCursor.newCursor();
        xmlCursor.push();
        xmlCursor.toParent();
        XmlCursor.TokenType firstContentToken = xmlCursor.toFirstContentToken();
        int i2 = 0;
        int i3 = 0;
        while (!firstContentToken.isEnd()) {
            if (firstContentToken.isText()) {
                if (xmlCursor.comparePosition(newCursor) > 0) {
                    i2++;
                } else {
                    i3++;
                }
            } else if (firstContentToken.isStart()) {
                xmlCursor.toEndToken();
            }
            firstContentToken = xmlCursor.toNextToken();
        }
        xmlCursor.pop();
        if (i2 == 0) {
            return 0;
        }
        return i3;
    }

    public static String generateInternal(XmlCursor xmlCursor, XmlCursor xmlCursor2, NamespaceContext namespaceContext) {
        StringBuffer stringBuffer;
        if (xmlCursor.isStartdoc()) {
            return "";
        }
        if (xmlCursor2 != null && xmlCursor.isAtSamePositionAs(xmlCursor2)) {
            return ".";
        }
        if ($assertionsDisabled || xmlCursor.isStart()) {
            QName name = xmlCursor.getName();
            XmlCursor newCursor = xmlCursor.newCursor();
            if (!xmlCursor.toParent()) {
                StringBuffer stringBuffer2 = new StringBuffer();
                stringBuffer2.append(ZipHelper.FORWARD_SLASH);
                stringBuffer2.append(name);
                return stringBuffer2.toString();
            }
            int i2 = 0;
            xmlCursor.push();
            if (xmlCursor.toChild(name)) {
                int i3 = 1;
                do {
                    if (xmlCursor.isAtSamePositionAs(newCursor)) {
                        i2 = i3;
                    } else {
                        i3++;
                    }
                } while (xmlCursor.toNextSibling(name));
                xmlCursor.pop();
                newCursor.dispose();
                String generateInternal = generateInternal(xmlCursor, xmlCursor2, namespaceContext);
                if (i3 == 1) {
                    stringBuffer.append(generateInternal);
                    stringBuffer.append(JarHelper.SEP);
                    stringBuffer.append(qnameToString(name, namespaceContext));
                } else {
                    stringBuffer = new StringBuffer();
                    stringBuffer.append(generateInternal);
                    stringBuffer.append(JarHelper.SEP);
                    stringBuffer.append(qnameToString(name, namespaceContext));
                    stringBuffer.append('[');
                    stringBuffer.append(i2);
                    stringBuffer.append(']');
                }
                return stringBuffer.toString();
            }
            StringBuffer stringBuffer3 = new StringBuffer();
            stringBuffer3.append("Must have at least one child with name: ");
            stringBuffer3.append(name);
            throw new IllegalStateException(stringBuffer3.toString());
        }
        throw new AssertionError();
    }

    public static String generateXPath(XmlCursor xmlCursor, XmlCursor xmlCursor2, NamespaceContext namespaceContext) {
        if (xmlCursor == null) {
            throw new IllegalArgumentException("Null node");
        } else if (namespaceContext != null) {
            XmlCursor.TokenType currentTokenType = xmlCursor.currentTokenType();
            if (xmlCursor2 != null && xmlCursor.isAtSamePositionAs(xmlCursor2)) {
                return ".";
            }
            int intValue = currentTokenType.intValue();
            if (intValue == 1 || intValue == 3) {
                return generateInternal(xmlCursor, xmlCursor2, namespaceContext);
            }
            if (intValue == 5) {
                int countTextTokens = countTextTokens(xmlCursor);
                xmlCursor.toParent();
                String generateInternal = generateInternal(xmlCursor, xmlCursor2, namespaceContext);
                if (countTextTokens == 0) {
                    return a.a(generateInternal, "/text()");
                }
                StringBuffer stringBuffer = new StringBuffer();
                stringBuffer.append(generateInternal);
                stringBuffer.append("/text()[position()=");
                stringBuffer.append(countTextTokens);
                stringBuffer.append(']');
                return stringBuffer.toString();
            } else if (intValue == 6) {
                QName name = xmlCursor.getName();
                xmlCursor.toParent();
                String generateInternal2 = generateInternal(xmlCursor, xmlCursor2, namespaceContext);
                StringBuffer stringBuffer2 = new StringBuffer();
                stringBuffer2.append(generateInternal2);
                stringBuffer2.append(JarHelper.SEP);
                stringBuffer2.append('@');
                stringBuffer2.append(qnameToString(name, namespaceContext));
                return stringBuffer2.toString();
            } else if (intValue == 7) {
                QName name2 = xmlCursor.getName();
                xmlCursor.toParent();
                String generateInternal3 = generateInternal(xmlCursor, xmlCursor2, namespaceContext);
                String localPart = name2.getLocalPart();
                if (localPart.length() == 0) {
                    return a.a(generateInternal3, "/@xmlns");
                }
                return a.a(generateInternal3, "/@xmlns:", localPart);
            } else {
                StringBuffer a = a.a("Cannot generate XPath for cursor position: ");
                a.append(currentTokenType.toString());
                throw new XPathGenerationException(a.toString());
            }
        } else {
            throw new IllegalArgumentException("Null namespace context");
        }
    }

    public static void main(String[] strArr) {
        AnonymousClass1 r5 = new NamespaceContext() {
            /* class org.apache.xmlbeans.impl.xpathgen.XPathGenerator.AnonymousClass1 */

            @Override // org.apache.poi.javax.xml.namespace.NamespaceContext
            public String getNamespaceURI(String str) {
                if ("ns".equals(str)) {
                    return "http://a.com";
                }
                return null;
            }

            @Override // org.apache.poi.javax.xml.namespace.NamespaceContext
            public String getPrefix(String str) {
                return null;
            }

            @Override // org.apache.poi.javax.xml.namespace.NamespaceContext
            public Iterator getPrefixes(String str) {
                return null;
            }
        };
        XmlCursor newCursor = XmlObject.Factory.parse("<root>\n<ns:a xmlns:ns=\"http://a.com\"><b foo=\"value\">text1<c/>text2<c/>text3<c>text</c>text4</b></ns:a>\n</root>").newCursor();
        newCursor.toFirstContentToken();
        newCursor.toFirstContentToken();
        newCursor.toFirstChild();
        newCursor.toFirstChild();
        newCursor.push();
        System.out.println(generateXPath(newCursor, null, r5));
        newCursor.pop();
        newCursor.toNextSibling();
        newCursor.toNextSibling();
        newCursor.push();
        System.out.println(generateXPath(newCursor, null, r5));
        newCursor.pop();
        XmlCursor newCursor2 = newCursor.newCursor();
        newCursor2.toParent();
        newCursor.push();
        System.out.println(generateXPath(newCursor, newCursor2, r5));
        newCursor.pop();
        newCursor2.toParent();
        newCursor.push();
        System.out.println(generateXPath(newCursor, newCursor2, r5));
        newCursor.pop();
        newCursor.toFirstContentToken();
        newCursor.push();
        System.out.println(generateXPath(newCursor, newCursor2, r5));
        newCursor.pop();
        newCursor.toParent();
        newCursor.toPrevToken();
        newCursor.push();
        System.out.println(generateXPath(newCursor, newCursor2, r5));
        newCursor.pop();
        newCursor.toParent();
        newCursor.push();
        System.out.println(generateXPath(newCursor, newCursor2, r5));
        newCursor.pop();
        newCursor.toFirstAttribute();
        newCursor.push();
        System.out.println(generateXPath(newCursor, newCursor2, r5));
        newCursor.pop();
        newCursor.toParent();
        newCursor.toParent();
        newCursor.toNextToken();
        newCursor.push();
        System.out.println(generateXPath(newCursor, newCursor2, r5));
        newCursor.pop();
        newCursor.push();
        System.out.println(generateXPath(newCursor, null, r5));
        newCursor.pop();
    }

    public static String qnameToString(QName qName, NamespaceContext namespaceContext) {
        String localPart = qName.getLocalPart();
        String namespaceURI = qName.getNamespaceURI();
        if (namespaceURI.length() == 0) {
            return localPart;
        }
        String prefix = qName.getPrefix();
        if (prefix == null || prefix.length() <= 0 || !namespaceURI.equals(namespaceContext.getNamespaceURI(prefix))) {
            String prefix2 = namespaceContext.getPrefix(namespaceURI);
            if (prefix2 == null) {
                throw new XPathGenerationException(a.a("Could not obtain a prefix for URI: ", namespaceURI));
            } else if (prefix2.length() != 0) {
                StringBuffer stringBuffer = new StringBuffer();
                stringBuffer.append(prefix2);
                stringBuffer.append(':');
                stringBuffer.append(localPart);
                return stringBuffer.toString();
            } else {
                throw new XPathGenerationException(a.a("Can not use default prefix in XPath for URI: ", namespaceURI));
            }
        } else {
            StringBuffer stringBuffer2 = new StringBuffer();
            stringBuffer2.append(prefix);
            stringBuffer2.append(':');
            stringBuffer2.append(localPart);
            return stringBuffer2.toString();
        }
    }
}
