package org.openxmlformats.schemas.officeDocument.x2006.customProperties.impl;

import java.util.AbstractList;
import java.util.ArrayList;
import java.util.List;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.impl.values.XmlComplexContentImpl;
import org.openxmlformats.schemas.officeDocument.x2006.customProperties.CTProperties;
import org.openxmlformats.schemas.officeDocument.x2006.customProperties.CTProperty;

public class CTPropertiesImpl extends XmlComplexContentImpl implements CTProperties {
    public static final QName PROPERTY$0 = new QName("http://schemas.openxmlformats.org/officeDocument/2006/custom-properties", "property");

    public CTPropertiesImpl(SchemaType schemaType) {
        super(schemaType);
    }

    @Override // org.openxmlformats.schemas.officeDocument.x2006.customProperties.CTProperties
    public CTProperty addNewProperty() {
        CTProperty cTProperty;
        synchronized (monitor()) {
            check_orphaned();
            cTProperty = (CTProperty) get_store().add_element_user(PROPERTY$0);
        }
        return cTProperty;
    }

    @Override // org.openxmlformats.schemas.officeDocument.x2006.customProperties.CTProperties
    public CTProperty getPropertyArray(int i2) {
        CTProperty cTProperty;
        synchronized (monitor()) {
            check_orphaned();
            cTProperty = (CTProperty) get_store().find_element_user(PROPERTY$0, i2);
            if (cTProperty == null) {
                throw new IndexOutOfBoundsException();
            }
        }
        return cTProperty;
    }

    @Override // org.openxmlformats.schemas.officeDocument.x2006.customProperties.CTProperties
    public CTProperty[] getPropertyArray() {
        CTProperty[] cTPropertyArr;
        synchronized (monitor()) {
            check_orphaned();
            ArrayList arrayList = new ArrayList();
            get_store().find_all_element_users(PROPERTY$0, arrayList);
            cTPropertyArr = new CTProperty[arrayList.size()];
            arrayList.toArray(cTPropertyArr);
        }
        return cTPropertyArr;
    }

    @Override // org.openxmlformats.schemas.officeDocument.x2006.customProperties.CTProperties
    public List<CTProperty> getPropertyList() {
        AnonymousClass1PropertyList r1;
        synchronized (monitor()) {
            check_orphaned();
            r1 = new AbstractList<CTProperty>() {
                /* class org.openxmlformats.schemas.officeDocument.x2006.customProperties.impl.CTPropertiesImpl.AnonymousClass1PropertyList */

                public void add(int i2, CTProperty cTProperty) {
                    CTPropertiesImpl.this.insertNewProperty(i2).set(cTProperty);
                }

                @Override // java.util.List, java.util.AbstractList
                public CTProperty get(int i2) {
                    return CTPropertiesImpl.this.getPropertyArray(i2);
                }

                @Override // java.util.List, java.util.AbstractList
                public CTProperty remove(int i2) {
                    CTProperty propertyArray = CTPropertiesImpl.this.getPropertyArray(i2);
                    CTPropertiesImpl.this.removeProperty(i2);
                    return propertyArray;
                }

                public CTProperty set(int i2, CTProperty cTProperty) {
                    CTProperty propertyArray = CTPropertiesImpl.this.getPropertyArray(i2);
                    CTPropertiesImpl.this.setPropertyArray(i2, cTProperty);
                    return propertyArray;
                }

                public int size() {
                    return CTPropertiesImpl.this.sizeOfPropertyArray();
                }
            };
        }
        return r1;
    }

    @Override // org.openxmlformats.schemas.officeDocument.x2006.customProperties.CTProperties
    public CTProperty insertNewProperty(int i2) {
        CTProperty cTProperty;
        synchronized (monitor()) {
            check_orphaned();
            cTProperty = (CTProperty) get_store().insert_element_user(PROPERTY$0, i2);
        }
        return cTProperty;
    }

    @Override // org.openxmlformats.schemas.officeDocument.x2006.customProperties.CTProperties
    public void removeProperty(int i2) {
        synchronized (monitor()) {
            check_orphaned();
            get_store().remove_element(PROPERTY$0, i2);
        }
    }

    @Override // org.openxmlformats.schemas.officeDocument.x2006.customProperties.CTProperties
    public void setPropertyArray(int i2, CTProperty cTProperty) {
        synchronized (monitor()) {
            check_orphaned();
            CTProperty cTProperty2 = (CTProperty) get_store().find_element_user(PROPERTY$0, i2);
            if (cTProperty2 != null) {
                cTProperty2.set(cTProperty);
            } else {
                throw new IndexOutOfBoundsException();
            }
        }
    }

    @Override // org.openxmlformats.schemas.officeDocument.x2006.customProperties.CTProperties
    public void setPropertyArray(CTProperty[] cTPropertyArr) {
        synchronized (monitor()) {
            check_orphaned();
            arraySetterHelper(cTPropertyArr, PROPERTY$0);
        }
    }

    @Override // org.openxmlformats.schemas.officeDocument.x2006.customProperties.CTProperties
    public int sizeOfPropertyArray() {
        int count_elements;
        synchronized (monitor()) {
            check_orphaned();
            count_elements = get_store().count_elements(PROPERTY$0);
        }
        return count_elements;
    }
}
