package org.openxmlformats.schemas.presentationml.x2006.main.impl;

import java.util.AbstractList;
import java.util.ArrayList;
import java.util.List;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.poi.xslf.usermodel.XSLFShape;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.impl.values.XmlComplexContentImpl;
import org.openxmlformats.schemas.presentationml.x2006.main.CTSlideIdList;
import org.openxmlformats.schemas.presentationml.x2006.main.CTSlideIdListEntry;

public class CTSlideIdListImpl extends XmlComplexContentImpl implements CTSlideIdList {
    public static final QName SLDID$0 = new QName(XSLFShape.PML_NS, "sldId");

    public CTSlideIdListImpl(SchemaType schemaType) {
        super(schemaType);
    }

    @Override // org.openxmlformats.schemas.presentationml.x2006.main.CTSlideIdList
    public CTSlideIdListEntry addNewSldId() {
        CTSlideIdListEntry cTSlideIdListEntry;
        synchronized (monitor()) {
            check_orphaned();
            cTSlideIdListEntry = (CTSlideIdListEntry) get_store().add_element_user(SLDID$0);
        }
        return cTSlideIdListEntry;
    }

    @Override // org.openxmlformats.schemas.presentationml.x2006.main.CTSlideIdList
    public CTSlideIdListEntry getSldIdArray(int i2) {
        CTSlideIdListEntry cTSlideIdListEntry;
        synchronized (monitor()) {
            check_orphaned();
            cTSlideIdListEntry = (CTSlideIdListEntry) get_store().find_element_user(SLDID$0, i2);
            if (cTSlideIdListEntry == null) {
                throw new IndexOutOfBoundsException();
            }
        }
        return cTSlideIdListEntry;
    }

    @Override // org.openxmlformats.schemas.presentationml.x2006.main.CTSlideIdList
    public CTSlideIdListEntry[] getSldIdArray() {
        CTSlideIdListEntry[] cTSlideIdListEntryArr;
        synchronized (monitor()) {
            check_orphaned();
            ArrayList arrayList = new ArrayList();
            get_store().find_all_element_users(SLDID$0, arrayList);
            cTSlideIdListEntryArr = new CTSlideIdListEntry[arrayList.size()];
            arrayList.toArray(cTSlideIdListEntryArr);
        }
        return cTSlideIdListEntryArr;
    }

    @Override // org.openxmlformats.schemas.presentationml.x2006.main.CTSlideIdList
    public List<CTSlideIdListEntry> getSldIdList() {
        AnonymousClass1SldIdList r1;
        synchronized (monitor()) {
            check_orphaned();
            r1 = new AbstractList<CTSlideIdListEntry>() {
                /* class org.openxmlformats.schemas.presentationml.x2006.main.impl.CTSlideIdListImpl.AnonymousClass1SldIdList */

                public void add(int i2, CTSlideIdListEntry cTSlideIdListEntry) {
                    CTSlideIdListImpl.this.insertNewSldId(i2).set(cTSlideIdListEntry);
                }

                @Override // java.util.List, java.util.AbstractList
                public CTSlideIdListEntry get(int i2) {
                    return CTSlideIdListImpl.this.getSldIdArray(i2);
                }

                @Override // java.util.List, java.util.AbstractList
                public CTSlideIdListEntry remove(int i2) {
                    CTSlideIdListEntry sldIdArray = CTSlideIdListImpl.this.getSldIdArray(i2);
                    CTSlideIdListImpl.this.removeSldId(i2);
                    return sldIdArray;
                }

                public CTSlideIdListEntry set(int i2, CTSlideIdListEntry cTSlideIdListEntry) {
                    CTSlideIdListEntry sldIdArray = CTSlideIdListImpl.this.getSldIdArray(i2);
                    CTSlideIdListImpl.this.setSldIdArray(i2, cTSlideIdListEntry);
                    return sldIdArray;
                }

                public int size() {
                    return CTSlideIdListImpl.this.sizeOfSldIdArray();
                }
            };
        }
        return r1;
    }

    @Override // org.openxmlformats.schemas.presentationml.x2006.main.CTSlideIdList
    public CTSlideIdListEntry insertNewSldId(int i2) {
        CTSlideIdListEntry cTSlideIdListEntry;
        synchronized (monitor()) {
            check_orphaned();
            cTSlideIdListEntry = (CTSlideIdListEntry) get_store().insert_element_user(SLDID$0, i2);
        }
        return cTSlideIdListEntry;
    }

    @Override // org.openxmlformats.schemas.presentationml.x2006.main.CTSlideIdList
    public void removeSldId(int i2) {
        synchronized (monitor()) {
            check_orphaned();
            get_store().remove_element(SLDID$0, i2);
        }
    }

    @Override // org.openxmlformats.schemas.presentationml.x2006.main.CTSlideIdList
    public void setSldIdArray(int i2, CTSlideIdListEntry cTSlideIdListEntry) {
        synchronized (monitor()) {
            check_orphaned();
            CTSlideIdListEntry cTSlideIdListEntry2 = (CTSlideIdListEntry) get_store().find_element_user(SLDID$0, i2);
            if (cTSlideIdListEntry2 != null) {
                cTSlideIdListEntry2.set(cTSlideIdListEntry);
            } else {
                throw new IndexOutOfBoundsException();
            }
        }
    }

    @Override // org.openxmlformats.schemas.presentationml.x2006.main.CTSlideIdList
    public void setSldIdArray(CTSlideIdListEntry[] cTSlideIdListEntryArr) {
        synchronized (monitor()) {
            check_orphaned();
            arraySetterHelper(cTSlideIdListEntryArr, SLDID$0);
        }
    }

    @Override // org.openxmlformats.schemas.presentationml.x2006.main.CTSlideIdList
    public int sizeOfSldIdArray() {
        int count_elements;
        synchronized (monitor()) {
            check_orphaned();
            count_elements = get_store().count_elements(SLDID$0);
        }
        return count_elements;
    }
}
