package org.openxmlformats.schemas.presentationml.x2006.main.impl;

import java.util.AbstractList;
import java.util.ArrayList;
import java.util.List;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.poi.xslf.usermodel.XSLFShape;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.impl.values.XmlComplexContentImpl;
import org.openxmlformats.schemas.presentationml.x2006.main.CTSlideMasterIdList;
import org.openxmlformats.schemas.presentationml.x2006.main.CTSlideMasterIdListEntry;

public class CTSlideMasterIdListImpl extends XmlComplexContentImpl implements CTSlideMasterIdList {
    public static final QName SLDMASTERID$0 = new QName(XSLFShape.PML_NS, "sldMasterId");

    public CTSlideMasterIdListImpl(SchemaType schemaType) {
        super(schemaType);
    }

    @Override // org.openxmlformats.schemas.presentationml.x2006.main.CTSlideMasterIdList
    public CTSlideMasterIdListEntry addNewSldMasterId() {
        CTSlideMasterIdListEntry cTSlideMasterIdListEntry;
        synchronized (monitor()) {
            check_orphaned();
            cTSlideMasterIdListEntry = (CTSlideMasterIdListEntry) get_store().add_element_user(SLDMASTERID$0);
        }
        return cTSlideMasterIdListEntry;
    }

    @Override // org.openxmlformats.schemas.presentationml.x2006.main.CTSlideMasterIdList
    public CTSlideMasterIdListEntry getSldMasterIdArray(int i2) {
        CTSlideMasterIdListEntry cTSlideMasterIdListEntry;
        synchronized (monitor()) {
            check_orphaned();
            cTSlideMasterIdListEntry = (CTSlideMasterIdListEntry) get_store().find_element_user(SLDMASTERID$0, i2);
            if (cTSlideMasterIdListEntry == null) {
                throw new IndexOutOfBoundsException();
            }
        }
        return cTSlideMasterIdListEntry;
    }

    @Override // org.openxmlformats.schemas.presentationml.x2006.main.CTSlideMasterIdList
    public CTSlideMasterIdListEntry[] getSldMasterIdArray() {
        CTSlideMasterIdListEntry[] cTSlideMasterIdListEntryArr;
        synchronized (monitor()) {
            check_orphaned();
            ArrayList arrayList = new ArrayList();
            get_store().find_all_element_users(SLDMASTERID$0, arrayList);
            cTSlideMasterIdListEntryArr = new CTSlideMasterIdListEntry[arrayList.size()];
            arrayList.toArray(cTSlideMasterIdListEntryArr);
        }
        return cTSlideMasterIdListEntryArr;
    }

    @Override // org.openxmlformats.schemas.presentationml.x2006.main.CTSlideMasterIdList
    public List<CTSlideMasterIdListEntry> getSldMasterIdList() {
        AnonymousClass1SldMasterIdList r1;
        synchronized (monitor()) {
            check_orphaned();
            r1 = new AbstractList<CTSlideMasterIdListEntry>() {
                /* class org.openxmlformats.schemas.presentationml.x2006.main.impl.CTSlideMasterIdListImpl.AnonymousClass1SldMasterIdList */

                public void add(int i2, CTSlideMasterIdListEntry cTSlideMasterIdListEntry) {
                    CTSlideMasterIdListImpl.this.insertNewSldMasterId(i2).set(cTSlideMasterIdListEntry);
                }

                @Override // java.util.List, java.util.AbstractList
                public CTSlideMasterIdListEntry get(int i2) {
                    return CTSlideMasterIdListImpl.this.getSldMasterIdArray(i2);
                }

                @Override // java.util.List, java.util.AbstractList
                public CTSlideMasterIdListEntry remove(int i2) {
                    CTSlideMasterIdListEntry sldMasterIdArray = CTSlideMasterIdListImpl.this.getSldMasterIdArray(i2);
                    CTSlideMasterIdListImpl.this.removeSldMasterId(i2);
                    return sldMasterIdArray;
                }

                public CTSlideMasterIdListEntry set(int i2, CTSlideMasterIdListEntry cTSlideMasterIdListEntry) {
                    CTSlideMasterIdListEntry sldMasterIdArray = CTSlideMasterIdListImpl.this.getSldMasterIdArray(i2);
                    CTSlideMasterIdListImpl.this.setSldMasterIdArray(i2, cTSlideMasterIdListEntry);
                    return sldMasterIdArray;
                }

                public int size() {
                    return CTSlideMasterIdListImpl.this.sizeOfSldMasterIdArray();
                }
            };
        }
        return r1;
    }

    @Override // org.openxmlformats.schemas.presentationml.x2006.main.CTSlideMasterIdList
    public CTSlideMasterIdListEntry insertNewSldMasterId(int i2) {
        CTSlideMasterIdListEntry cTSlideMasterIdListEntry;
        synchronized (monitor()) {
            check_orphaned();
            cTSlideMasterIdListEntry = (CTSlideMasterIdListEntry) get_store().insert_element_user(SLDMASTERID$0, i2);
        }
        return cTSlideMasterIdListEntry;
    }

    @Override // org.openxmlformats.schemas.presentationml.x2006.main.CTSlideMasterIdList
    public void removeSldMasterId(int i2) {
        synchronized (monitor()) {
            check_orphaned();
            get_store().remove_element(SLDMASTERID$0, i2);
        }
    }

    @Override // org.openxmlformats.schemas.presentationml.x2006.main.CTSlideMasterIdList
    public void setSldMasterIdArray(int i2, CTSlideMasterIdListEntry cTSlideMasterIdListEntry) {
        synchronized (monitor()) {
            check_orphaned();
            CTSlideMasterIdListEntry cTSlideMasterIdListEntry2 = (CTSlideMasterIdListEntry) get_store().find_element_user(SLDMASTERID$0, i2);
            if (cTSlideMasterIdListEntry2 != null) {
                cTSlideMasterIdListEntry2.set(cTSlideMasterIdListEntry);
            } else {
                throw new IndexOutOfBoundsException();
            }
        }
    }

    @Override // org.openxmlformats.schemas.presentationml.x2006.main.CTSlideMasterIdList
    public void setSldMasterIdArray(CTSlideMasterIdListEntry[] cTSlideMasterIdListEntryArr) {
        synchronized (monitor()) {
            check_orphaned();
            arraySetterHelper(cTSlideMasterIdListEntryArr, SLDMASTERID$0);
        }
    }

    @Override // org.openxmlformats.schemas.presentationml.x2006.main.CTSlideMasterIdList
    public int sizeOfSldMasterIdArray() {
        int count_elements;
        synchronized (monitor()) {
            check_orphaned();
            count_elements = get_store().count_elements(SLDMASTERID$0);
        }
        return count_elements;
    }
}
