package org.openxmlformats.schemas.presentationml.x2006.main.impl;

import org.apache.poi.javax.xml.namespace.QName;
import org.apache.poi.xslf.usermodel.XSLFShape;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.impl.values.XmlComplexContentImpl;
import org.openxmlformats.schemas.presentationml.x2006.main.CTPresentation;
import org.openxmlformats.schemas.presentationml.x2006.main.PresentationDocument;

public class PresentationDocumentImpl extends XmlComplexContentImpl implements PresentationDocument {
    public static final QName PRESENTATION$0 = new QName(XSLFShape.PML_NS, "presentation");

    public PresentationDocumentImpl(SchemaType schemaType) {
        super(schemaType);
    }

    @Override // org.openxmlformats.schemas.presentationml.x2006.main.PresentationDocument
    public CTPresentation addNewPresentation() {
        CTPresentation cTPresentation;
        synchronized (monitor()) {
            check_orphaned();
            cTPresentation = (CTPresentation) get_store().add_element_user(PRESENTATION$0);
        }
        return cTPresentation;
    }

    @Override // org.openxmlformats.schemas.presentationml.x2006.main.PresentationDocument
    public CTPresentation getPresentation() {
        synchronized (monitor()) {
            check_orphaned();
            CTPresentation cTPresentation = (CTPresentation) get_store().find_element_user(PRESENTATION$0, 0);
            if (cTPresentation == null) {
                return null;
            }
            return cTPresentation;
        }
    }

    @Override // org.openxmlformats.schemas.presentationml.x2006.main.PresentationDocument
    public void setPresentation(CTPresentation cTPresentation) {
        synchronized (monitor()) {
            check_orphaned();
            CTPresentation cTPresentation2 = (CTPresentation) get_store().find_element_user(PRESENTATION$0, 0);
            if (cTPresentation2 == null) {
                cTPresentation2 = (CTPresentation) get_store().add_element_user(PRESENTATION$0);
            }
            cTPresentation2.set(cTPresentation);
        }
    }
}
