package org.openxmlformats.schemas.presentationml.x2006.main.impl;

import org.apache.poi.javax.xml.namespace.QName;
import org.apache.poi.xslf.usermodel.XSLFShape;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.impl.values.XmlComplexContentImpl;
import org.openxmlformats.schemas.presentationml.x2006.main.CTSlide;
import org.openxmlformats.schemas.presentationml.x2006.main.SldDocument;

public class SldDocumentImpl extends XmlComplexContentImpl implements SldDocument {
    public static final QName SLD$0 = new QName(XSLFShape.PML_NS, "sld");

    public SldDocumentImpl(SchemaType schemaType) {
        super(schemaType);
    }

    @Override // org.openxmlformats.schemas.presentationml.x2006.main.SldDocument
    public CTSlide addNewSld() {
        CTSlide cTSlide;
        synchronized (monitor()) {
            check_orphaned();
            cTSlide = (CTSlide) get_store().add_element_user(SLD$0);
        }
        return cTSlide;
    }

    @Override // org.openxmlformats.schemas.presentationml.x2006.main.SldDocument
    public CTSlide getSld() {
        synchronized (monitor()) {
            check_orphaned();
            CTSlide cTSlide = (CTSlide) get_store().find_element_user(SLD$0, 0);
            if (cTSlide == null) {
                return null;
            }
            return cTSlide;
        }
    }

    @Override // org.openxmlformats.schemas.presentationml.x2006.main.SldDocument
    public void setSld(CTSlide cTSlide) {
        synchronized (monitor()) {
            check_orphaned();
            CTSlide cTSlide2 = (CTSlide) get_store().find_element_user(SLD$0, 0);
            if (cTSlide2 == null) {
                cTSlide2 = (CTSlide) get_store().add_element_user(SLD$0);
            }
            cTSlide2.set(cTSlide);
        }
    }
}
