package org.openxmlformats.schemas.spreadsheetml.x2006.main.impl;

import java.util.AbstractList;
import java.util.ArrayList;
import java.util.List;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.poi.xssf.usermodel.XSSFRelation;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.impl.values.XmlComplexContentImpl;
import org.openxmlformats.schemas.spreadsheetml.x2006.main.CTDefinedName;
import org.openxmlformats.schemas.spreadsheetml.x2006.main.CTDefinedNames;

public class CTDefinedNamesImpl extends XmlComplexContentImpl implements CTDefinedNames {
    public static final QName DEFINEDNAME$0 = new QName(XSSFRelation.NS_SPREADSHEETML, "definedName");

    public CTDefinedNamesImpl(SchemaType schemaType) {
        super(schemaType);
    }

    @Override // org.openxmlformats.schemas.spreadsheetml.x2006.main.CTDefinedNames
    public CTDefinedName addNewDefinedName() {
        CTDefinedName cTDefinedName;
        synchronized (monitor()) {
            check_orphaned();
            cTDefinedName = (CTDefinedName) get_store().add_element_user(DEFINEDNAME$0);
        }
        return cTDefinedName;
    }

    @Override // org.openxmlformats.schemas.spreadsheetml.x2006.main.CTDefinedNames
    public CTDefinedName getDefinedNameArray(int i2) {
        CTDefinedName cTDefinedName;
        synchronized (monitor()) {
            check_orphaned();
            cTDefinedName = (CTDefinedName) get_store().find_element_user(DEFINEDNAME$0, i2);
            if (cTDefinedName == null) {
                throw new IndexOutOfBoundsException();
            }
        }
        return cTDefinedName;
    }

    @Override // org.openxmlformats.schemas.spreadsheetml.x2006.main.CTDefinedNames
    public CTDefinedName[] getDefinedNameArray() {
        CTDefinedName[] cTDefinedNameArr;
        synchronized (monitor()) {
            check_orphaned();
            ArrayList arrayList = new ArrayList();
            get_store().find_all_element_users(DEFINEDNAME$0, arrayList);
            cTDefinedNameArr = new CTDefinedName[arrayList.size()];
            arrayList.toArray(cTDefinedNameArr);
        }
        return cTDefinedNameArr;
    }

    @Override // org.openxmlformats.schemas.spreadsheetml.x2006.main.CTDefinedNames
    public List<CTDefinedName> getDefinedNameList() {
        AnonymousClass1DefinedNameList r1;
        synchronized (monitor()) {
            check_orphaned();
            r1 = new AbstractList<CTDefinedName>() {
                /* class org.openxmlformats.schemas.spreadsheetml.x2006.main.impl.CTDefinedNamesImpl.AnonymousClass1DefinedNameList */

                public void add(int i2, CTDefinedName cTDefinedName) {
                    CTDefinedNamesImpl.this.insertNewDefinedName(i2).set(cTDefinedName);
                }

                @Override // java.util.List, java.util.AbstractList
                public CTDefinedName get(int i2) {
                    return CTDefinedNamesImpl.this.getDefinedNameArray(i2);
                }

                @Override // java.util.List, java.util.AbstractList
                public CTDefinedName remove(int i2) {
                    CTDefinedName definedNameArray = CTDefinedNamesImpl.this.getDefinedNameArray(i2);
                    CTDefinedNamesImpl.this.removeDefinedName(i2);
                    return definedNameArray;
                }

                public CTDefinedName set(int i2, CTDefinedName cTDefinedName) {
                    CTDefinedName definedNameArray = CTDefinedNamesImpl.this.getDefinedNameArray(i2);
                    CTDefinedNamesImpl.this.setDefinedNameArray(i2, cTDefinedName);
                    return definedNameArray;
                }

                public int size() {
                    return CTDefinedNamesImpl.this.sizeOfDefinedNameArray();
                }
            };
        }
        return r1;
    }

    @Override // org.openxmlformats.schemas.spreadsheetml.x2006.main.CTDefinedNames
    public CTDefinedName insertNewDefinedName(int i2) {
        CTDefinedName cTDefinedName;
        synchronized (monitor()) {
            check_orphaned();
            cTDefinedName = (CTDefinedName) get_store().insert_element_user(DEFINEDNAME$0, i2);
        }
        return cTDefinedName;
    }

    @Override // org.openxmlformats.schemas.spreadsheetml.x2006.main.CTDefinedNames
    public void removeDefinedName(int i2) {
        synchronized (monitor()) {
            check_orphaned();
            get_store().remove_element(DEFINEDNAME$0, i2);
        }
    }

    @Override // org.openxmlformats.schemas.spreadsheetml.x2006.main.CTDefinedNames
    public void setDefinedNameArray(int i2, CTDefinedName cTDefinedName) {
        synchronized (monitor()) {
            check_orphaned();
            CTDefinedName cTDefinedName2 = (CTDefinedName) get_store().find_element_user(DEFINEDNAME$0, i2);
            if (cTDefinedName2 != null) {
                cTDefinedName2.set(cTDefinedName);
            } else {
                throw new IndexOutOfBoundsException();
            }
        }
    }

    @Override // org.openxmlformats.schemas.spreadsheetml.x2006.main.CTDefinedNames
    public void setDefinedNameArray(CTDefinedName[] cTDefinedNameArr) {
        synchronized (monitor()) {
            check_orphaned();
            arraySetterHelper(cTDefinedNameArr, DEFINEDNAME$0);
        }
    }

    @Override // org.openxmlformats.schemas.spreadsheetml.x2006.main.CTDefinedNames
    public int sizeOfDefinedNameArray() {
        int count_elements;
        synchronized (monitor()) {
            check_orphaned();
            count_elements = get_store().count_elements(DEFINEDNAME$0);
        }
        return count_elements;
    }
}
