package org.openxmlformats.schemas.spreadsheetml.x2006.main.impl;

import java.util.AbstractList;
import java.util.ArrayList;
import java.util.List;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.poi.xssf.usermodel.XSSFRelation;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.impl.values.XmlComplexContentImpl;
import org.openxmlformats.schemas.spreadsheetml.x2006.main.CTExtensionList;
import org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredError;
import org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredErrors;

public class CTIgnoredErrorsImpl extends XmlComplexContentImpl implements CTIgnoredErrors {
    public static final QName EXTLST$2 = new QName(XSSFRelation.NS_SPREADSHEETML, "extLst");
    public static final QName IGNOREDERROR$0 = new QName(XSSFRelation.NS_SPREADSHEETML, "ignoredError");

    public CTIgnoredErrorsImpl(SchemaType schemaType) {
        super(schemaType);
    }

    @Override // org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredErrors
    public CTExtensionList addNewExtLst() {
        CTExtensionList add_element_user;
        synchronized (monitor()) {
            check_orphaned();
            add_element_user = get_store().add_element_user(EXTLST$2);
        }
        return add_element_user;
    }

    @Override // org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredErrors
    public CTIgnoredError addNewIgnoredError() {
        CTIgnoredError cTIgnoredError;
        synchronized (monitor()) {
            check_orphaned();
            cTIgnoredError = (CTIgnoredError) get_store().add_element_user(IGNOREDERROR$0);
        }
        return cTIgnoredError;
    }

    @Override // org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredErrors
    public CTExtensionList getExtLst() {
        synchronized (monitor()) {
            check_orphaned();
            CTExtensionList find_element_user = get_store().find_element_user(EXTLST$2, 0);
            if (find_element_user == null) {
                return null;
            }
            return find_element_user;
        }
    }

    @Override // org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredErrors
    public CTIgnoredError getIgnoredErrorArray(int i2) {
        CTIgnoredError cTIgnoredError;
        synchronized (monitor()) {
            check_orphaned();
            cTIgnoredError = (CTIgnoredError) get_store().find_element_user(IGNOREDERROR$0, i2);
            if (cTIgnoredError == null) {
                throw new IndexOutOfBoundsException();
            }
        }
        return cTIgnoredError;
    }

    @Override // org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredErrors
    public CTIgnoredError[] getIgnoredErrorArray() {
        CTIgnoredError[] cTIgnoredErrorArr;
        synchronized (monitor()) {
            check_orphaned();
            ArrayList arrayList = new ArrayList();
            get_store().find_all_element_users(IGNOREDERROR$0, arrayList);
            cTIgnoredErrorArr = new CTIgnoredError[arrayList.size()];
            arrayList.toArray(cTIgnoredErrorArr);
        }
        return cTIgnoredErrorArr;
    }

    @Override // org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredErrors
    public List<CTIgnoredError> getIgnoredErrorList() {
        AnonymousClass1IgnoredErrorList r1;
        synchronized (monitor()) {
            check_orphaned();
            r1 = new AbstractList<CTIgnoredError>() {
                /* class org.openxmlformats.schemas.spreadsheetml.x2006.main.impl.CTIgnoredErrorsImpl.AnonymousClass1IgnoredErrorList */

                public void add(int i2, CTIgnoredError cTIgnoredError) {
                    CTIgnoredErrorsImpl.this.insertNewIgnoredError(i2).set(cTIgnoredError);
                }

                @Override // java.util.List, java.util.AbstractList
                public CTIgnoredError get(int i2) {
                    return CTIgnoredErrorsImpl.this.getIgnoredErrorArray(i2);
                }

                @Override // java.util.List, java.util.AbstractList
                public CTIgnoredError remove(int i2) {
                    CTIgnoredError ignoredErrorArray = CTIgnoredErrorsImpl.this.getIgnoredErrorArray(i2);
                    CTIgnoredErrorsImpl.this.removeIgnoredError(i2);
                    return ignoredErrorArray;
                }

                public CTIgnoredError set(int i2, CTIgnoredError cTIgnoredError) {
                    CTIgnoredError ignoredErrorArray = CTIgnoredErrorsImpl.this.getIgnoredErrorArray(i2);
                    CTIgnoredErrorsImpl.this.setIgnoredErrorArray(i2, cTIgnoredError);
                    return ignoredErrorArray;
                }

                public int size() {
                    return CTIgnoredErrorsImpl.this.sizeOfIgnoredErrorArray();
                }
            };
        }
        return r1;
    }

    @Override // org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredErrors
    public CTIgnoredError insertNewIgnoredError(int i2) {
        CTIgnoredError cTIgnoredError;
        synchronized (monitor()) {
            check_orphaned();
            cTIgnoredError = (CTIgnoredError) get_store().insert_element_user(IGNOREDERROR$0, i2);
        }
        return cTIgnoredError;
    }

    @Override // org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredErrors
    public boolean isSetExtLst() {
        boolean z;
        synchronized (monitor()) {
            check_orphaned();
            z = get_store().count_elements(EXTLST$2) != 0;
        }
        return z;
    }

    @Override // org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredErrors
    public void removeIgnoredError(int i2) {
        synchronized (monitor()) {
            check_orphaned();
            get_store().remove_element(IGNOREDERROR$0, i2);
        }
    }

    @Override // org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredErrors
    public void setExtLst(CTExtensionList cTExtensionList) {
        synchronized (monitor()) {
            check_orphaned();
            CTExtensionList find_element_user = get_store().find_element_user(EXTLST$2, 0);
            if (find_element_user == null) {
                find_element_user = (CTExtensionList) get_store().add_element_user(EXTLST$2);
            }
            find_element_user.set(cTExtensionList);
        }
    }

    @Override // org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredErrors
    public void setIgnoredErrorArray(int i2, CTIgnoredError cTIgnoredError) {
        synchronized (monitor()) {
            check_orphaned();
            CTIgnoredError cTIgnoredError2 = (CTIgnoredError) get_store().find_element_user(IGNOREDERROR$0, i2);
            if (cTIgnoredError2 != null) {
                cTIgnoredError2.set(cTIgnoredError);
            } else {
                throw new IndexOutOfBoundsException();
            }
        }
    }

    @Override // org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredErrors
    public void setIgnoredErrorArray(CTIgnoredError[] cTIgnoredErrorArr) {
        synchronized (monitor()) {
            check_orphaned();
            arraySetterHelper(cTIgnoredErrorArr, IGNOREDERROR$0);
        }
    }

    @Override // org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredErrors
    public int sizeOfIgnoredErrorArray() {
        int count_elements;
        synchronized (monitor()) {
            check_orphaned();
            count_elements = get_store().count_elements(IGNOREDERROR$0);
        }
        return count_elements;
    }

    @Override // org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredErrors
    public void unsetExtLst() {
        synchronized (monitor()) {
            check_orphaned();
            get_store().remove_element(EXTLST$2, 0);
        }
    }
}
