package org.openxmlformats.schemas.spreadsheetml.x2006.main.impl;

import java.util.AbstractList;
import java.util.ArrayList;
import java.util.List;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.poi.xssf.usermodel.XSSFRelation;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.impl.values.XmlComplexContentImpl;
import org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIndexedColors;
import org.openxmlformats.schemas.spreadsheetml.x2006.main.CTRgbColor;

public class CTIndexedColorsImpl extends XmlComplexContentImpl implements CTIndexedColors {
    public static final QName RGBCOLOR$0 = new QName(XSSFRelation.NS_SPREADSHEETML, "rgbColor");

    public CTIndexedColorsImpl(SchemaType schemaType) {
        super(schemaType);
    }

    @Override // org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIndexedColors
    public CTRgbColor addNewRgbColor() {
        CTRgbColor cTRgbColor;
        synchronized (monitor()) {
            check_orphaned();
            cTRgbColor = (CTRgbColor) get_store().add_element_user(RGBCOLOR$0);
        }
        return cTRgbColor;
    }

    @Override // org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIndexedColors
    public CTRgbColor getRgbColorArray(int i2) {
        CTRgbColor cTRgbColor;
        synchronized (monitor()) {
            check_orphaned();
            cTRgbColor = (CTRgbColor) get_store().find_element_user(RGBCOLOR$0, i2);
            if (cTRgbColor == null) {
                throw new IndexOutOfBoundsException();
            }
        }
        return cTRgbColor;
    }

    @Override // org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIndexedColors
    public CTRgbColor[] getRgbColorArray() {
        CTRgbColor[] cTRgbColorArr;
        synchronized (monitor()) {
            check_orphaned();
            ArrayList arrayList = new ArrayList();
            get_store().find_all_element_users(RGBCOLOR$0, arrayList);
            cTRgbColorArr = new CTRgbColor[arrayList.size()];
            arrayList.toArray(cTRgbColorArr);
        }
        return cTRgbColorArr;
    }

    @Override // org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIndexedColors
    public List<CTRgbColor> getRgbColorList() {
        AnonymousClass1RgbColorList r1;
        synchronized (monitor()) {
            check_orphaned();
            r1 = new AbstractList<CTRgbColor>() {
                /* class org.openxmlformats.schemas.spreadsheetml.x2006.main.impl.CTIndexedColorsImpl.AnonymousClass1RgbColorList */

                public void add(int i2, CTRgbColor cTRgbColor) {
                    CTIndexedColorsImpl.this.insertNewRgbColor(i2).set(cTRgbColor);
                }

                @Override // java.util.List, java.util.AbstractList
                public CTRgbColor get(int i2) {
                    return CTIndexedColorsImpl.this.getRgbColorArray(i2);
                }

                @Override // java.util.List, java.util.AbstractList
                public CTRgbColor remove(int i2) {
                    CTRgbColor rgbColorArray = CTIndexedColorsImpl.this.getRgbColorArray(i2);
                    CTIndexedColorsImpl.this.removeRgbColor(i2);
                    return rgbColorArray;
                }

                public CTRgbColor set(int i2, CTRgbColor cTRgbColor) {
                    CTRgbColor rgbColorArray = CTIndexedColorsImpl.this.getRgbColorArray(i2);
                    CTIndexedColorsImpl.this.setRgbColorArray(i2, cTRgbColor);
                    return rgbColorArray;
                }

                public int size() {
                    return CTIndexedColorsImpl.this.sizeOfRgbColorArray();
                }
            };
        }
        return r1;
    }

    @Override // org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIndexedColors
    public CTRgbColor insertNewRgbColor(int i2) {
        CTRgbColor cTRgbColor;
        synchronized (monitor()) {
            check_orphaned();
            cTRgbColor = (CTRgbColor) get_store().insert_element_user(RGBCOLOR$0, i2);
        }
        return cTRgbColor;
    }

    @Override // org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIndexedColors
    public void removeRgbColor(int i2) {
        synchronized (monitor()) {
            check_orphaned();
            get_store().remove_element(RGBCOLOR$0, i2);
        }
    }

    @Override // org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIndexedColors
    public void setRgbColorArray(int i2, CTRgbColor cTRgbColor) {
        synchronized (monitor()) {
            check_orphaned();
            CTRgbColor cTRgbColor2 = (CTRgbColor) get_store().find_element_user(RGBCOLOR$0, i2);
            if (cTRgbColor2 != null) {
                cTRgbColor2.set(cTRgbColor);
            } else {
                throw new IndexOutOfBoundsException();
            }
        }
    }

    @Override // org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIndexedColors
    public void setRgbColorArray(CTRgbColor[] cTRgbColorArr) {
        synchronized (monitor()) {
            check_orphaned();
            arraySetterHelper(cTRgbColorArr, RGBCOLOR$0);
        }
    }

    @Override // org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIndexedColors
    public int sizeOfRgbColorArray() {
        int count_elements;
        synchronized (monitor()) {
            check_orphaned();
            count_elements = get_store().count_elements(RGBCOLOR$0);
        }
        return count_elements;
    }
}
