package org.openxmlformats.schemas.xpackage.x2006.relationships.impl;

import java.util.AbstractList;
import java.util.ArrayList;
import java.util.List;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.poi.openxml4j.opc.PackageNamespaces;
import org.apache.poi.openxml4j.opc.PackageRelationship;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.impl.values.XmlComplexContentImpl;
import org.openxmlformats.schemas.xpackage.x2006.relationships.CTRelationship;
import org.openxmlformats.schemas.xpackage.x2006.relationships.CTRelationships;

public class CTRelationshipsImpl extends XmlComplexContentImpl implements CTRelationships {
    public static final QName RELATIONSHIP$0 = new QName(PackageNamespaces.RELATIONSHIPS, PackageRelationship.RELATIONSHIP_TAG_NAME);

    public CTRelationshipsImpl(SchemaType schemaType) {
        super(schemaType);
    }

    @Override // org.openxmlformats.schemas.xpackage.x2006.relationships.CTRelationships
    public CTRelationship addNewRelationship() {
        CTRelationship cTRelationship;
        synchronized (monitor()) {
            check_orphaned();
            cTRelationship = (CTRelationship) get_store().add_element_user(RELATIONSHIP$0);
        }
        return cTRelationship;
    }

    @Override // org.openxmlformats.schemas.xpackage.x2006.relationships.CTRelationships
    public CTRelationship getRelationshipArray(int i2) {
        CTRelationship cTRelationship;
        synchronized (monitor()) {
            check_orphaned();
            cTRelationship = (CTRelationship) get_store().find_element_user(RELATIONSHIP$0, i2);
            if (cTRelationship == null) {
                throw new IndexOutOfBoundsException();
            }
        }
        return cTRelationship;
    }

    @Override // org.openxmlformats.schemas.xpackage.x2006.relationships.CTRelationships
    public CTRelationship[] getRelationshipArray() {
        CTRelationship[] cTRelationshipArr;
        synchronized (monitor()) {
            check_orphaned();
            ArrayList arrayList = new ArrayList();
            get_store().find_all_element_users(RELATIONSHIP$0, arrayList);
            cTRelationshipArr = new CTRelationship[arrayList.size()];
            arrayList.toArray(cTRelationshipArr);
        }
        return cTRelationshipArr;
    }

    @Override // org.openxmlformats.schemas.xpackage.x2006.relationships.CTRelationships
    public List<CTRelationship> getRelationshipList() {
        AnonymousClass1RelationshipList r1;
        synchronized (monitor()) {
            check_orphaned();
            r1 = new AbstractList<CTRelationship>() {
                /* class org.openxmlformats.schemas.xpackage.x2006.relationships.impl.CTRelationshipsImpl.AnonymousClass1RelationshipList */

                public void add(int i2, CTRelationship cTRelationship) {
                    CTRelationshipsImpl.this.insertNewRelationship(i2).set(cTRelationship);
                }

                @Override // java.util.List, java.util.AbstractList
                public CTRelationship get(int i2) {
                    return CTRelationshipsImpl.this.getRelationshipArray(i2);
                }

                @Override // java.util.List, java.util.AbstractList
                public CTRelationship remove(int i2) {
                    CTRelationship relationshipArray = CTRelationshipsImpl.this.getRelationshipArray(i2);
                    CTRelationshipsImpl.this.removeRelationship(i2);
                    return relationshipArray;
                }

                public CTRelationship set(int i2, CTRelationship cTRelationship) {
                    CTRelationship relationshipArray = CTRelationshipsImpl.this.getRelationshipArray(i2);
                    CTRelationshipsImpl.this.setRelationshipArray(i2, cTRelationship);
                    return relationshipArray;
                }

                public int size() {
                    return CTRelationshipsImpl.this.sizeOfRelationshipArray();
                }
            };
        }
        return r1;
    }

    @Override // org.openxmlformats.schemas.xpackage.x2006.relationships.CTRelationships
    public CTRelationship insertNewRelationship(int i2) {
        CTRelationship cTRelationship;
        synchronized (monitor()) {
            check_orphaned();
            cTRelationship = (CTRelationship) get_store().insert_element_user(RELATIONSHIP$0, i2);
        }
        return cTRelationship;
    }

    @Override // org.openxmlformats.schemas.xpackage.x2006.relationships.CTRelationships
    public void removeRelationship(int i2) {
        synchronized (monitor()) {
            check_orphaned();
            get_store().remove_element(RELATIONSHIP$0, i2);
        }
    }

    @Override // org.openxmlformats.schemas.xpackage.x2006.relationships.CTRelationships
    public void setRelationshipArray(int i2, CTRelationship cTRelationship) {
        synchronized (monitor()) {
            check_orphaned();
            CTRelationship cTRelationship2 = (CTRelationship) get_store().find_element_user(RELATIONSHIP$0, i2);
            if (cTRelationship2 != null) {
                cTRelationship2.set(cTRelationship);
            } else {
                throw new IndexOutOfBoundsException();
            }
        }
    }

    @Override // org.openxmlformats.schemas.xpackage.x2006.relationships.CTRelationships
    public void setRelationshipArray(CTRelationship[] cTRelationshipArr) {
        synchronized (monitor()) {
            check_orphaned();
            arraySetterHelper(cTRelationshipArr, RELATIONSHIP$0);
        }
    }

    @Override // org.openxmlformats.schemas.xpackage.x2006.relationships.CTRelationships
    public int sizeOfRelationshipArray() {
        int count_elements;
        synchronized (monitor()) {
            check_orphaned();
            count_elements = get_store().count_elements(RELATIONSHIP$0);
        }
        return count_elements;
    }
}
