package org.w3c.dom;

public interface Document extends Node {
    Node adoptNode(Node node);

    Attr createAttribute(String str);

    Attr createAttributeNS(String str, String str2);

    CDATASection createCDATASection(String str);

    Comment createComment(String str);

    DocumentFragment createDocumentFragment();

    Element createElement(String str);

    Element createElementNS(String str, String str2);

    EntityReference createEntityReference(String str);

    ProcessingInstruction createProcessingInstruction(String str, String str2);

    Text createTextNode(String str);

    DocumentType getDoctype();

    Element getDocumentElement();

    String getDocumentURI();

    DOMConfiguration getDomConfig();

    Element getElementById(String str);

    NodeList getElementsByTagName(String str);

    NodeList getElementsByTagNameNS(String str, String str2);

    DOMImplementation getImplementation();

    String getInputEncoding();

    boolean getStrictErrorChecking();

    String getXmlEncoding();

    boolean getXmlStandalone();

    String getXmlVersion();

    Node importNode(Node node, boolean z);

    void normalizeDocument();

    Node renameNode(Node node, String str, String str2);

    void setDocumentURI(String str);

    void setStrictErrorChecking(boolean z);

    void setXmlStandalone(boolean z);

    void setXmlVersion(String str);
}
