package org.xml.sax;

public class SAXParseException extends SAXException {
    public static final long serialVersionUID = -5651165872476709336L;
    public int columnNumber;
    public int lineNumber;
    public String publicId;
    public String systemId;

    public SAXParseException(String str, String str2, String str3, int i2, int i3) {
        super(str);
        init(str2, str3, i2, i3);
    }

    public SAXParseException(String str, String str2, String str3, int i2, int i3, Exception exc) {
        super(str, exc);
        init(str2, str3, i2, i3);
    }

    public SAXParseException(String str, Locator locator) {
        super(str);
        if (locator != null) {
            init(locator.getPublicId(), locator.getSystemId(), locator.getLineNumber(), locator.getColumnNumber());
        } else {
            init(null, null, -1, -1);
        }
    }

    public SAXParseException(String str, Locator locator, Exception exc) {
        super(str, exc);
        if (locator != null) {
            init(locator.getPublicId(), locator.getSystemId(), locator.getLineNumber(), locator.getColumnNumber());
        } else {
            init(null, null, -1, -1);
        }
    }

    private void init(String str, String str2, int i2, int i3) {
        this.publicId = str;
        this.systemId = str2;
        this.lineNumber = i2;
        this.columnNumber = i3;
    }

    public int getColumnNumber() {
        return this.columnNumber;
    }

    public int getLineNumber() {
        return this.lineNumber;
    }

    public String getPublicId() {
        return this.publicId;
    }

    public String getSystemId() {
        return this.systemId;
    }
}
