package org.xml.sax.ext;

import b.b.a.a.a;
import org.xml.sax.Attributes;
import org.xml.sax.helpers.AttributesImpl;

public class Attributes2Impl extends AttributesImpl implements Attributes2 {
    public boolean[] declared;
    public boolean[] specified;

    public Attributes2Impl() {
    }

    public Attributes2Impl(Attributes attributes) {
        super(attributes);
    }

    @Override // org.xml.sax.helpers.AttributesImpl
    public void addAttribute(String str, String str2, String str3, String str4, String str5) {
        super.addAttribute(str, str2, str3, str4, str5);
        int length = getLength();
        if (length < this.specified.length) {
            boolean[] zArr = new boolean[length];
            boolean[] zArr2 = this.declared;
            System.arraycopy(zArr2, 0, zArr, 0, zArr2.length);
            this.declared = zArr;
            boolean[] zArr3 = new boolean[length];
            boolean[] zArr4 = this.specified;
            System.arraycopy(zArr4, 0, zArr3, 0, zArr4.length);
            this.specified = zArr3;
        }
        int i2 = length - 1;
        this.specified[i2] = true;
        this.declared[i2] = true ^ "CDATA".equals(str4);
    }

    @Override // org.xml.sax.ext.Attributes2
    public boolean isDeclared(int i2) {
        if (i2 >= 0 && i2 < getLength()) {
            return this.declared[i2];
        }
        throw new ArrayIndexOutOfBoundsException(a.b("No attribute at index: ", i2));
    }

    @Override // org.xml.sax.ext.Attributes2
    public boolean isDeclared(String str) {
        int index = getIndex(str);
        if (index >= 0) {
            return this.declared[index];
        }
        throw new IllegalArgumentException(a.a("No such attribute: ", str));
    }

    @Override // org.xml.sax.ext.Attributes2
    public boolean isDeclared(String str, String str2) {
        int index = getIndex(str, str2);
        if (index >= 0) {
            return this.declared[index];
        }
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append("No such attribute: local=");
        stringBuffer.append(str2);
        stringBuffer.append(", namespace=");
        stringBuffer.append(str);
        throw new IllegalArgumentException(stringBuffer.toString());
    }

    @Override // org.xml.sax.ext.Attributes2
    public boolean isSpecified(int i2) {
        if (i2 >= 0 && i2 < getLength()) {
            return this.specified[i2];
        }
        throw new ArrayIndexOutOfBoundsException(a.b("No attribute at index: ", i2));
    }

    @Override // org.xml.sax.ext.Attributes2
    public boolean isSpecified(String str) {
        int index = getIndex(str);
        if (index >= 0) {
            return this.specified[index];
        }
        throw new IllegalArgumentException(a.a("No such attribute: ", str));
    }

    @Override // org.xml.sax.ext.Attributes2
    public boolean isSpecified(String str, String str2) {
        int index = getIndex(str, str2);
        if (index >= 0) {
            return this.specified[index];
        }
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append("No such attribute: local=");
        stringBuffer.append(str2);
        stringBuffer.append(", namespace=");
        stringBuffer.append(str);
        throw new IllegalArgumentException(stringBuffer.toString());
    }

    @Override // org.xml.sax.helpers.AttributesImpl
    public void removeAttribute(int i2) {
        int length = getLength() - 1;
        super.removeAttribute(i2);
        if (i2 != length) {
            boolean[] zArr = this.declared;
            int i3 = i2 + 1;
            int i4 = length - i2;
            System.arraycopy(zArr, i3, zArr, i2, i4);
            boolean[] zArr2 = this.specified;
            System.arraycopy(zArr2, i3, zArr2, i2, i4);
        }
    }

    @Override // org.xml.sax.helpers.AttributesImpl
    public void setAttributes(Attributes attributes) {
        int length = attributes.getLength();
        super.setAttributes(attributes);
        this.declared = new boolean[length];
        this.specified = new boolean[length];
        int i2 = 0;
        if (attributes instanceof Attributes2) {
            Attributes2 attributes2 = (Attributes2) attributes;
            while (i2 < length) {
                this.declared[i2] = attributes2.isDeclared(i2);
                this.specified[i2] = attributes2.isSpecified(i2);
                i2++;
            }
            return;
        }
        while (i2 < length) {
            this.declared[i2] = !"CDATA".equals(attributes.getType(i2));
            this.specified[i2] = true;
            i2++;
        }
    }

    public void setDeclared(int i2, boolean z) {
        if (i2 < 0 || i2 >= getLength()) {
            throw new ArrayIndexOutOfBoundsException(a.b("No attribute at index: ", i2));
        }
        this.declared[i2] = z;
    }

    public void setSpecified(int i2, boolean z) {
        if (i2 < 0 || i2 >= getLength()) {
            throw new ArrayIndexOutOfBoundsException(a.b("No attribute at index: ", i2));
        }
        this.specified[i2] = z;
    }
}
