package android.support.v4.media;

import android.graphics.Bitmap;
import android.media.MediaDescription;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.support.v4.media.session.MediaSessionCompat;

public final class MediaDescriptionCompat implements Parcelable {
    public static final Parcelable.Creator<MediaDescriptionCompat> CREATOR = new a();
    public final CharSequence A;
    public final Bitmap C;
    public final Uri D;
    public final Bundle F;
    public final Uri G;
    public Object H;
    public final String x;
    public final CharSequence y;
    public final CharSequence z;

    public static class a implements Parcelable.Creator<MediaDescriptionCompat> {
        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // android.os.Parcelable.Creator
        public MediaDescriptionCompat createFromParcel(Parcel parcel) {
            return MediaDescriptionCompat.a(MediaDescription.CREATOR.createFromParcel(parcel));
        }

        /* Return type fixed from 'java.lang.Object[]' to match base method */
        @Override // android.os.Parcelable.Creator
        public MediaDescriptionCompat[] newArray(int i2) {
            return new MediaDescriptionCompat[i2];
        }
    }

    public MediaDescriptionCompat(String str, CharSequence charSequence, CharSequence charSequence2, CharSequence charSequence3, Bitmap bitmap, Uri uri, Bundle bundle, Uri uri2) {
        this.x = str;
        this.y = charSequence;
        this.z = charSequence2;
        this.A = charSequence3;
        this.C = bitmap;
        this.D = uri;
        this.F = bundle;
        this.G = uri2;
    }

    /* JADX WARNING: Removed duplicated region for block: B:15:0x004e  */
    public static MediaDescriptionCompat a(Object obj) {
        Uri uri;
        Bundle bundle;
        Uri uri2 = null;
        if (obj == null) {
            return null;
        }
        MediaDescription mediaDescription = (MediaDescription) obj;
        String mediaId = mediaDescription.getMediaId();
        CharSequence title = mediaDescription.getTitle();
        CharSequence subtitle = mediaDescription.getSubtitle();
        CharSequence description = mediaDescription.getDescription();
        Bitmap iconBitmap = mediaDescription.getIconBitmap();
        Uri iconUri = mediaDescription.getIconUri();
        Bundle extras = mediaDescription.getExtras();
        if (extras != null) {
            MediaSessionCompat.a(extras);
            uri = (Uri) extras.getParcelable("android.support.v4.media.description.MEDIA_URI");
        } else {
            uri = null;
        }
        if (uri != null) {
            if (!extras.containsKey("android.support.v4.media.description.NULL_BUNDLE_FLAG") || extras.size() != 2) {
                extras.remove("android.support.v4.media.description.MEDIA_URI");
                extras.remove("android.support.v4.media.description.NULL_BUNDLE_FLAG");
            } else {
                bundle = null;
                if (uri == null) {
                    if (Build.VERSION.SDK_INT >= 23) {
                        uri2 = mediaDescription.getMediaUri();
                    }
                    uri = uri2;
                }
                MediaDescriptionCompat mediaDescriptionCompat = new MediaDescriptionCompat(mediaId, title, subtitle, description, iconBitmap, iconUri, bundle, uri);
                mediaDescriptionCompat.H = obj;
                return mediaDescriptionCompat;
            }
        }
        bundle = extras;
        if (uri == null) {
        }
        MediaDescriptionCompat mediaDescriptionCompat2 = new MediaDescriptionCompat(mediaId, title, subtitle, description, iconBitmap, iconUri, bundle, uri);
        mediaDescriptionCompat2.H = obj;
        return mediaDescriptionCompat2;
    }

    public int describeContents() {
        return 0;
    }

    public String toString() {
        return ((Object) this.y) + ", " + ((Object) this.z) + ", " + ((Object) this.A);
    }

    public void writeToParcel(Parcel parcel, int i2) {
        Object obj = this.H;
        if (obj == null) {
            MediaDescription.Builder builder = new MediaDescription.Builder();
            builder.setMediaId(this.x);
            builder.setTitle(this.y);
            builder.setSubtitle(this.z);
            builder.setDescription(this.A);
            builder.setIconBitmap(this.C);
            builder.setIconUri(this.D);
            Bundle bundle = this.F;
            if (Build.VERSION.SDK_INT < 23 && this.G != null) {
                if (bundle == null) {
                    bundle = new Bundle();
                    bundle.putBoolean("android.support.v4.media.description.NULL_BUNDLE_FLAG", true);
                }
                bundle.putParcelable("android.support.v4.media.description.MEDIA_URI", this.G);
            }
            builder.setExtras(bundle);
            if (Build.VERSION.SDK_INT >= 23) {
                builder.setMediaUri(this.G);
            }
            obj = builder.build();
            this.H = obj;
        }
        ((MediaDescription) obj).writeToParcel(parcel, i2);
    }
}
