package androidx.appcompat.widget;

import android.content.Context;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.Gravity;
import android.view.View;
import android.view.ViewGroup;
import f.b.f;
import f.b.p.v;
import f.f.j.k;
import org.apache.xmlbeans.impl.common.ConcurrentReaderHashMap;

public class AlertDialogLayout extends v {
    public AlertDialogLayout(Context context) {
        super(context);
    }

    public static int a(View view) {
        int d2 = k.d(view);
        if (d2 > 0) {
            return d2;
        }
        if (view instanceof ViewGroup) {
            ViewGroup viewGroup = (ViewGroup) view;
            if (viewGroup.getChildCount() == 1) {
                return a(viewGroup.getChildAt(0));
            }
        }
        return 0;
    }

    @Override // f.b.p.v
    private void b(int i2, int i3) {
        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(getMeasuredWidth(), ConcurrentReaderHashMap.MAXIMUM_CAPACITY);
        for (int i4 = 0; i4 < i2; i4++) {
            View childAt = getChildAt(i4);
            if (childAt.getVisibility() != 8) {
                v.a aVar = (v.a) childAt.getLayoutParams();
                if (((ViewGroup.MarginLayoutParams) aVar).width == -1) {
                    int i5 = ((ViewGroup.MarginLayoutParams) aVar).height;
                    ((ViewGroup.MarginLayoutParams) aVar).height = childAt.getMeasuredHeight();
                    measureChildWithMargins(childAt, makeMeasureSpec, 0, i3, 0);
                    ((ViewGroup.MarginLayoutParams) aVar).height = i5;
                }
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:29:0x009d  */
    @Override // f.b.p.v
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        int paddingLeft = getPaddingLeft();
        int i11 = i4 - i2;
        int paddingRight = i11 - getPaddingRight();
        int paddingRight2 = (i11 - paddingLeft) - getPaddingRight();
        int measuredHeight = getMeasuredHeight();
        int childCount = getChildCount();
        int gravity = getGravity();
        int i12 = gravity & 112;
        int i13 = gravity & 8388615;
        if (i12 == 16) {
            i6 = (((i5 - i3) - measuredHeight) / 2) + getPaddingTop();
        } else if (i12 != 80) {
            i6 = getPaddingTop();
        } else {
            i6 = ((getPaddingTop() + i5) - i3) - measuredHeight;
        }
        Drawable dividerDrawable = getDividerDrawable();
        if (dividerDrawable == null) {
            i7 = 0;
        } else {
            i7 = dividerDrawable.getIntrinsicHeight();
        }
        for (int i14 = 0; i14 < childCount; i14++) {
            View childAt = getChildAt(i14);
            if (!(childAt == null || childAt.getVisibility() == 8)) {
                int measuredWidth = childAt.getMeasuredWidth();
                int measuredHeight2 = childAt.getMeasuredHeight();
                v.a aVar = (v.a) childAt.getLayoutParams();
                int i15 = aVar.f429b;
                if (i15 < 0) {
                    i15 = i13;
                }
                int absoluteGravity = Gravity.getAbsoluteGravity(i15, k.c(this)) & 7;
                if (absoluteGravity == 1) {
                    i10 = ((paddingRight2 - measuredWidth) / 2) + paddingLeft + ((ViewGroup.MarginLayoutParams) aVar).leftMargin;
                    i9 = ((ViewGroup.MarginLayoutParams) aVar).rightMargin;
                } else if (absoluteGravity != 5) {
                    i8 = ((ViewGroup.MarginLayoutParams) aVar).leftMargin + paddingLeft;
                    if (a(i14)) {
                        i6 += i7;
                    }
                    int i16 = i6 + ((ViewGroup.MarginLayoutParams) aVar).topMargin;
                    childAt.layout(i8, i16, measuredWidth + i8, measuredHeight2 + i16);
                    i6 = measuredHeight2 + ((ViewGroup.MarginLayoutParams) aVar).bottomMargin + i16;
                } else {
                    i10 = paddingRight - measuredWidth;
                    i9 = ((ViewGroup.MarginLayoutParams) aVar).rightMargin;
                }
                i8 = i10 - i9;
                if (a(i14)) {
                }
                int i162 = i6 + ((ViewGroup.MarginLayoutParams) aVar).topMargin;
                childAt.layout(i8, i162, measuredWidth + i8, measuredHeight2 + i162);
                i6 = measuredHeight2 + ((ViewGroup.MarginLayoutParams) aVar).bottomMargin + i162;
            }
        }
    }

    @Override // f.b.p.v
    public void onMeasure(int i2, int i3) {
        int i4;
        int i5;
        int i6;
        int i7;
        int i8;
        int childCount = getChildCount();
        View view = null;
        boolean z = false;
        View view2 = null;
        View view3 = null;
        int i9 = 0;
        while (true) {
            if (i9 < childCount) {
                View childAt = getChildAt(i9);
                if (childAt.getVisibility() != 8) {
                    int id = childAt.getId();
                    if (id == f.topPanel) {
                        view = childAt;
                    } else if (id != f.buttonPanel) {
                        if (!((id == f.contentPanel || id == f.customPanel) && view3 == null)) {
                            break;
                        }
                        view3 = childAt;
                    } else {
                        view2 = childAt;
                    }
                }
                i9++;
            } else {
                int mode = View.MeasureSpec.getMode(i3);
                int size = View.MeasureSpec.getSize(i3);
                int mode2 = View.MeasureSpec.getMode(i2);
                int paddingBottom = getPaddingBottom() + getPaddingTop();
                if (view != null) {
                    view.measure(i2, 0);
                    paddingBottom += view.getMeasuredHeight();
                    i4 = View.combineMeasuredStates(0, view.getMeasuredState());
                } else {
                    i4 = 0;
                }
                if (view2 != null) {
                    view2.measure(i2, 0);
                    i6 = a(view2);
                    i5 = view2.getMeasuredHeight() - i6;
                    paddingBottom += i6;
                    i4 = View.combineMeasuredStates(i4, view2.getMeasuredState());
                } else {
                    i6 = 0;
                    i5 = 0;
                }
                if (view3 != null) {
                    if (mode == 0) {
                        i8 = 0;
                    } else {
                        i8 = View.MeasureSpec.makeMeasureSpec(Math.max(0, size - paddingBottom), mode);
                    }
                    view3.measure(i2, i8);
                    i7 = view3.getMeasuredHeight();
                    paddingBottom += i7;
                    i4 = View.combineMeasuredStates(i4, view3.getMeasuredState());
                } else {
                    i7 = 0;
                }
                int i10 = size - paddingBottom;
                if (view2 != null) {
                    int i11 = paddingBottom - i6;
                    int min = Math.min(i10, i5);
                    if (min > 0) {
                        i10 -= min;
                        i6 += min;
                    }
                    view2.measure(i2, View.MeasureSpec.makeMeasureSpec(i6, ConcurrentReaderHashMap.MAXIMUM_CAPACITY));
                    paddingBottom = i11 + view2.getMeasuredHeight();
                    i4 = View.combineMeasuredStates(i4, view2.getMeasuredState());
                }
                if (view3 != null && i10 > 0) {
                    view3.measure(i2, View.MeasureSpec.makeMeasureSpec(i7 + i10, mode));
                    paddingBottom = (paddingBottom - i7) + view3.getMeasuredHeight();
                    i4 = View.combineMeasuredStates(i4, view3.getMeasuredState());
                }
                int i12 = 0;
                for (int i13 = 0; i13 < childCount; i13++) {
                    View childAt2 = getChildAt(i13);
                    if (childAt2.getVisibility() != 8) {
                        i12 = Math.max(i12, childAt2.getMeasuredWidth());
                    }
                }
                setMeasuredDimension(View.resolveSizeAndState(getPaddingRight() + getPaddingLeft() + i12, i2, i4), View.resolveSizeAndState(paddingBottom, i3, 0));
                if (mode2 != 1073741824) {
                    b(childCount, i3);
                }
                z = true;
            }
        }
        if (!z) {
            super.onMeasure(i2, i3);
        }
    }

    public AlertDialogLayout(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }
}
