package f.b.p;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Typeface;
import android.graphics.drawable.Drawable;
import android.os.Handler;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import f.b.l.a.a;
import f.f.e.b.b;
import f.f.e.b.g;
import f.f.f.c;
import java.io.IOException;
import org.xmlpull.v1.XmlPullParserException;

/* compiled from: TintTypedArray */
public class j0 {
    public final Context a;

    /* renamed from: b  reason: collision with root package name */
    public final TypedArray f399b;
    public TypedValue c;

    public j0(Context context, TypedArray typedArray) {
        this.a = context;
        this.f399b = typedArray;
    }

    public static j0 a(Context context, AttributeSet attributeSet, int[] iArr) {
        return new j0(context, context.obtainStyledAttributes(attributeSet, iArr));
    }

    public Drawable b(int i2) {
        int resourceId;
        if (!this.f399b.hasValue(i2) || (resourceId = this.f399b.getResourceId(i2, 0)) == 0) {
            return this.f399b.getDrawable(i2);
        }
        return a.c(this.a, resourceId);
    }

    public String c(int i2) {
        return this.f399b.getString(i2);
    }

    public CharSequence d(int i2) {
        return this.f399b.getText(i2);
    }

    public int e(int i2, int i3) {
        return this.f399b.getResourceId(i2, i3);
    }

    public static j0 a(Context context, AttributeSet attributeSet, int[] iArr, int i2, int i3) {
        return new j0(context, context.obtainStyledAttributes(attributeSet, iArr, i2, i3));
    }

    public int c(int i2, int i3) {
        return this.f399b.getInt(i2, i3);
    }

    public int d(int i2, int i3) {
        return this.f399b.getLayoutDimension(i2, i3);
    }

    public boolean e(int i2) {
        return this.f399b.hasValue(i2);
    }

    /* JADX WARNING: Removed duplicated region for block: B:39:0x00c4  */
    public Typeface a(int i2, int i3, g gVar) {
        Typeface typeface;
        int resourceId = this.f399b.getResourceId(i2, 0);
        Typeface typeface2 = null;
        if (resourceId == 0) {
            return null;
        }
        if (this.c == null) {
            this.c = new TypedValue();
        }
        Context context = this.a;
        TypedValue typedValue = this.c;
        if (!context.isRestricted()) {
            Resources resources = context.getResources();
            resources.getValue(resourceId, typedValue, true);
            CharSequence charSequence = typedValue.string;
            if (charSequence != null) {
                String charSequence2 = charSequence.toString();
                if (charSequence2.startsWith("res/")) {
                    Typeface a2 = c.f522b.a(c.a(resources, resourceId, i3));
                    if (a2 != null) {
                        if (gVar != null) {
                            gVar.a(a2, (Handler) null);
                        }
                        typeface2 = a2;
                    } else {
                        try {
                            if (charSequence2.toLowerCase().endsWith(".xml")) {
                                b a3 = e.a.a.a.a.a(resources.getXml(resourceId), resources);
                                if (a3 == null) {
                                    Log.e("ResourcesCompat", "Failed to find font-family tag");
                                    if (gVar != null) {
                                        gVar.a(-3, (Handler) null);
                                    }
                                } else {
                                    typeface = c.a(context, a3, resources, resourceId, i3, gVar, null, true);
                                }
                            } else {
                                typeface = c.a(context, resources, resourceId, charSequence2, i3);
                                if (gVar != null) {
                                    if (typeface != null) {
                                        gVar.a(typeface, (Handler) null);
                                    } else {
                                        gVar.a(-3, (Handler) null);
                                    }
                                }
                            }
                            typeface2 = typeface;
                        } catch (XmlPullParserException e2) {
                            Log.e("ResourcesCompat", "Failed to parse xml resource " + charSequence2, e2);
                            if (gVar != null) {
                                gVar.a(-3, (Handler) null);
                            }
                            throw new Resources.NotFoundException(b.b.a.a.a.a(resourceId, b.b.a.a.a.b("Font resource ID #0x"), " could not be retrieved."));
                        } catch (IOException e3) {
                            Log.e("ResourcesCompat", "Failed to read xml resource " + charSequence2, e3);
                            if (gVar != null) {
                            }
                            throw new Resources.NotFoundException(b.b.a.a.a.a(resourceId, b.b.a.a.a.b("Font resource ID #0x"), " could not be retrieved."));
                        }
                    }
                } else if (gVar != null) {
                    gVar.a(-3, (Handler) null);
                }
                if (typeface2 == null && gVar == null) {
                    throw new Resources.NotFoundException(b.b.a.a.a.a(resourceId, b.b.a.a.a.b("Font resource ID #0x"), " could not be retrieved."));
                }
            } else {
                StringBuilder b2 = b.b.a.a.a.b("Resource \"");
                b2.append(resources.getResourceName(resourceId));
                b2.append("\" (");
                b2.append(Integer.toHexString(resourceId));
                b2.append(") is not a Font: ");
                b2.append(typedValue);
                throw new Resources.NotFoundException(b2.toString());
            }
        }
        return typeface2;
    }

    public int b(int i2, int i3) {
        return this.f399b.getDimensionPixelSize(i2, i3);
    }

    public boolean a(int i2, boolean z) {
        return this.f399b.getBoolean(i2, z);
    }

    public ColorStateList a(int i2) {
        int resourceId;
        ColorStateList b2;
        if (!this.f399b.hasValue(i2) || (resourceId = this.f399b.getResourceId(i2, 0)) == 0 || (b2 = a.b(this.a, resourceId)) == null) {
            return this.f399b.getColorStateList(i2);
        }
        return b2;
    }

    public int a(int i2, int i3) {
        return this.f399b.getDimensionPixelOffset(i2, i3);
    }
}
