package f.f.j;

import android.os.Build;
import android.os.Bundle;
import android.text.Spanned;
import android.text.style.ClickableSpan;
import android.util.Log;
import android.util.SparseArray;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.view.accessibility.AccessibilityNodeProvider;
import f.f.j.q.b;
import f.f.j.q.c;
import f.f.j.q.d;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/* compiled from: AccessibilityDelegateCompat */
public class a {
    public static final View.AccessibilityDelegate c = new View.AccessibilityDelegate();
    public final View.AccessibilityDelegate a = c;

    /* renamed from: b  reason: collision with root package name */
    public final View.AccessibilityDelegate f558b = new C0026a(this);

    /* renamed from: f.f.j.a$a  reason: collision with other inner class name */
    /* compiled from: AccessibilityDelegateCompat */
    public static final class C0026a extends View.AccessibilityDelegate {
        public final a a;

        public C0026a(a aVar) {
            this.a = aVar;
        }

        public boolean dispatchPopulateAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
            return this.a.a.dispatchPopulateAccessibilityEvent(view, accessibilityEvent);
        }

        public AccessibilityNodeProvider getAccessibilityNodeProvider(View view) {
            AccessibilityNodeProvider accessibilityNodeProvider = this.a.a.getAccessibilityNodeProvider(view);
            c cVar = accessibilityNodeProvider != null ? new c(accessibilityNodeProvider) : null;
            if (cVar != null) {
                return (AccessibilityNodeProvider) cVar.a;
            }
            return null;
        }

        public void onInitializeAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
            this.a.a(view, accessibilityEvent);
        }

        public void onInitializeAccessibilityNodeInfo(View view, AccessibilityNodeInfo accessibilityNodeInfo) {
            boolean z;
            int i2;
            b bVar = new b(accessibilityNodeInfo);
            boolean g2 = k.g(view);
            if (Build.VERSION.SDK_INT >= 28) {
                bVar.a.setScreenReaderFocusable(g2);
            } else {
                bVar.a(1, g2);
            }
            Boolean bool = (Boolean) new j(f.f.b.tag_accessibility_heading, Boolean.class, 28).b(view);
            if (bool == null) {
                z = false;
            } else {
                z = bool.booleanValue();
            }
            if (Build.VERSION.SDK_INT >= 28) {
                bVar.a.setHeading(z);
            } else {
                bVar.a(2, z);
            }
            CharSequence charSequence = (CharSequence) new i(f.f.b.tag_accessibility_pane_title, CharSequence.class, 8, 28).b(view);
            if (Build.VERSION.SDK_INT >= 28) {
                bVar.a.setPaneTitle(charSequence);
            } else {
                bVar.a.getExtras().putCharSequence("androidx.view.accessibility.AccessibilityNodeInfoCompat.PANE_TITLE_KEY", charSequence);
            }
            this.a.a(view, bVar);
            CharSequence text = accessibilityNodeInfo.getText();
            if (Build.VERSION.SDK_INT < 26) {
                bVar.a.getExtras().remove("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_START_KEY");
                bVar.a.getExtras().remove("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_END_KEY");
                bVar.a.getExtras().remove("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_FLAGS_KEY");
                bVar.a.getExtras().remove("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_ID_KEY");
                SparseArray sparseArray = (SparseArray) view.getTag(f.f.b.tag_accessibility_clickable_spans);
                if (sparseArray != null) {
                    ArrayList arrayList = new ArrayList();
                    for (int i3 = 0; i3 < sparseArray.size(); i3++) {
                        if (((WeakReference) sparseArray.valueAt(i3)).get() == null) {
                            arrayList.add(Integer.valueOf(i3));
                        }
                    }
                    for (int i4 = 0; i4 < arrayList.size(); i4++) {
                        sparseArray.remove(((Integer) arrayList.get(i4)).intValue());
                    }
                }
                ClickableSpan[] a2 = b.a(text);
                if (a2 != null && a2.length > 0) {
                    bVar.a().putInt("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_ACTION_ID_KEY", f.f.b.accessibility_action_clickable_span);
                    SparseArray sparseArray2 = (SparseArray) view.getTag(f.f.b.tag_accessibility_clickable_spans);
                    if (sparseArray2 == null) {
                        sparseArray2 = new SparseArray();
                        view.setTag(f.f.b.tag_accessibility_clickable_spans, sparseArray2);
                    }
                    for (int i5 = 0; i5 < a2.length; i5++) {
                        ClickableSpan clickableSpan = a2[i5];
                        int i6 = 0;
                        while (true) {
                            if (i6 >= sparseArray2.size()) {
                                i2 = b.f569d;
                                b.f569d = i2 + 1;
                                break;
                            } else if (clickableSpan.equals((ClickableSpan) ((WeakReference) sparseArray2.valueAt(i6)).get())) {
                                i2 = sparseArray2.keyAt(i6);
                                break;
                            } else {
                                i6++;
                            }
                        }
                        sparseArray2.put(i2, new WeakReference(a2[i5]));
                        ClickableSpan clickableSpan2 = a2[i5];
                        Spanned spanned = (Spanned) text;
                        bVar.a("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_START_KEY").add(Integer.valueOf(spanned.getSpanStart(clickableSpan2)));
                        bVar.a("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_END_KEY").add(Integer.valueOf(spanned.getSpanEnd(clickableSpan2)));
                        bVar.a("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_FLAGS_KEY").add(Integer.valueOf(spanned.getSpanFlags(clickableSpan2)));
                        bVar.a("androidx.view.accessibility.AccessibilityNodeInfoCompat.SPANS_ID_KEY").add(Integer.valueOf(i2));
                    }
                }
            }
            List list = (List) view.getTag(f.f.b.tag_accessibility_actions);
            if (list == null) {
                list = Collections.emptyList();
            }
            for (int i7 = 0; i7 < list.size(); i7++) {
                bVar.a((b.a) list.get(i7));
            }
        }

        public void onPopulateAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
            this.a.a.onPopulateAccessibilityEvent(view, accessibilityEvent);
        }

        public boolean onRequestSendAccessibilityEvent(ViewGroup viewGroup, View view, AccessibilityEvent accessibilityEvent) {
            return this.a.a.onRequestSendAccessibilityEvent(viewGroup, view, accessibilityEvent);
        }

        public boolean performAccessibilityAction(View view, int i2, Bundle bundle) {
            return this.a.a(view, i2, bundle);
        }

        public void sendAccessibilityEvent(View view, int i2) {
            this.a.a.sendAccessibilityEvent(view, i2);
        }

        public void sendAccessibilityEventUnchecked(View view, AccessibilityEvent accessibilityEvent) {
            this.a.a.sendAccessibilityEventUnchecked(view, accessibilityEvent);
        }
    }

    public void a(View view, AccessibilityEvent accessibilityEvent) {
        this.a.onInitializeAccessibilityEvent(view, accessibilityEvent);
    }

    public void a(View view, b bVar) {
        this.a.onInitializeAccessibilityNodeInfo(view, bVar.a);
    }

    /* JADX WARNING: Removed duplicated region for block: B:30:0x0077  */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x00c7  */
    public boolean a(View view, int i2, Bundle bundle) {
        boolean z;
        WeakReference weakReference;
        boolean z2;
        d.a aVar;
        Exception e2;
        String str;
        List list = (List) view.getTag(f.f.b.tag_accessibility_actions);
        if (list == null) {
            list = Collections.emptyList();
        }
        boolean z3 = false;
        int i3 = 0;
        while (true) {
            if (i3 >= list.size()) {
                break;
            }
            b.a aVar2 = (b.a) list.get(i3);
            if (((AccessibilityNodeInfo.AccessibilityAction) aVar2.a).getId() != i2) {
                i3++;
            } else if (aVar2.c != null) {
                Class<? extends d.a> cls = aVar2.f575b;
                d.a aVar3 = null;
                if (cls != null) {
                    try {
                        aVar = (d.a) cls.getDeclaredConstructor(new Class[0]).newInstance(new Object[0]);
                        if (aVar == null) {
                            try {
                                throw null;
                            } catch (Exception e3) {
                                e2 = e3;
                            }
                        }
                    } catch (Exception e4) {
                        e2 = e4;
                        aVar = null;
                        Class<? extends d.a> cls2 = aVar2.f575b;
                        if (cls2 == null) {
                            str = "null";
                        } else {
                            str = cls2.getName();
                        }
                        Log.e("A11yActionCompat", "Failed to execute command with argument class ViewCommandArgument: " + str, e2);
                        aVar3 = aVar;
                        z = aVar2.c.a(view, aVar3);
                        if (!z) {
                        }
                        return z ? z : z;
                    }
                    aVar3 = aVar;
                }
                z = aVar2.c.a(view, aVar3);
            }
        }
        z = false;
        if (!z) {
            z = this.a.performAccessibilityAction(view, i2, bundle);
        }
        if (z && i2 == f.f.b.accessibility_action_clickable_span) {
            int i4 = bundle.getInt("ACCESSIBILITY_CLICKABLE_SPAN_ID", -1);
            SparseArray sparseArray = (SparseArray) view.getTag(f.f.b.tag_accessibility_clickable_spans);
            if (!(sparseArray == null || (weakReference = (WeakReference) sparseArray.get(i4)) == null)) {
                ClickableSpan clickableSpan = (ClickableSpan) weakReference.get();
                if (clickableSpan != null) {
                    ClickableSpan[] a2 = b.a(view.createAccessibilityNodeInfo().getText());
                    int i5 = 0;
                    while (true) {
                        if (a2 == null || i5 >= a2.length) {
                            break;
                        } else if (clickableSpan.equals(a2[i5])) {
                            z2 = true;
                            break;
                        } else {
                            i5++;
                        }
                    }
                    if (z2) {
                        clickableSpan.onClick(view);
                        z3 = true;
                    }
                }
                z2 = false;
                if (z2) {
                }
            }
            return z3;
        }
    }
}
