package g.a.b.b;

import android.text.DynamicLayout;
import android.text.Editable;
import android.text.Layout;
import android.text.Selection;
import android.text.TextPaint;
import android.view.KeyEvent;
import android.view.View;
import android.view.inputmethod.BaseInputConnection;
import android.view.inputmethod.InputMethodManager;
import g.a.a.b.i.k;
import java.util.Arrays;
import java.util.HashMap;

/* compiled from: InputConnectionAdaptor */
public class a extends BaseInputConnection {
    public final View a;

    /* renamed from: b  reason: collision with root package name */
    public final int f755b;
    public final k c;

    /* renamed from: d  reason: collision with root package name */
    public final Editable f756d;

    /* renamed from: e  reason: collision with root package name */
    public int f757e = 0;

    /* renamed from: f  reason: collision with root package name */
    public InputMethodManager f758f;

    /* renamed from: g  reason: collision with root package name */
    public final Layout f759g = new DynamicLayout(this.f756d, new TextPaint(), Integer.MAX_VALUE, Layout.Alignment.ALIGN_NORMAL, 1.0f, 0.0f, false);

    public a(View view, int i2, k kVar, Editable editable) {
        super(view, true);
        this.a = view;
        this.f755b = i2;
        this.c = kVar;
        this.f756d = editable;
        this.f758f = (InputMethodManager) view.getContext().getSystemService("input_method");
    }

    public final void a() {
        if (this.f757e <= 0) {
            int selectionStart = Selection.getSelectionStart(this.f756d);
            int selectionEnd = Selection.getSelectionEnd(this.f756d);
            int composingSpanStart = BaseInputConnection.getComposingSpanStart(this.f756d);
            int composingSpanEnd = BaseInputConnection.getComposingSpanEnd(this.f756d);
            this.f758f.updateSelection(this.a, selectionStart, selectionEnd, composingSpanStart, composingSpanEnd);
            k kVar = this.c;
            int i2 = this.f755b;
            String obj = this.f756d.toString();
            if (kVar != null) {
                HashMap hashMap = new HashMap();
                hashMap.put("text", obj);
                hashMap.put("selectionBase", Integer.valueOf(selectionStart));
                hashMap.put("selectionExtent", Integer.valueOf(selectionEnd));
                hashMap.put("composingBase", Integer.valueOf(composingSpanStart));
                hashMap.put("composingExtent", Integer.valueOf(composingSpanEnd));
                kVar.a.a("TextInputClient.updateEditingState", Arrays.asList(Integer.valueOf(i2), hashMap));
                return;
            }
            throw null;
        }
    }

    public boolean beginBatchEdit() {
        this.f757e++;
        return super.beginBatchEdit();
    }

    public boolean commitText(CharSequence charSequence, int i2) {
        boolean commitText = super.commitText(charSequence, i2);
        a();
        return commitText;
    }

    public boolean deleteSurroundingText(int i2, int i3) {
        if (Selection.getSelectionStart(this.f756d) == -1) {
            return true;
        }
        boolean deleteSurroundingText = super.deleteSurroundingText(i2, i3);
        a();
        return deleteSurroundingText;
    }

    public boolean endBatchEdit() {
        boolean endBatchEdit = super.endBatchEdit();
        this.f757e--;
        a();
        return endBatchEdit;
    }

    public Editable getEditable() {
        return this.f756d;
    }

    public boolean performEditorAction(int i2) {
        if (i2 == 0) {
            k kVar = this.c;
            int i3 = this.f755b;
            kVar.a.a("TextInputClient.performAction", Arrays.asList(Integer.valueOf(i3), "TextInputAction.unspecified"));
        } else if (i2 == 1) {
            k kVar2 = this.c;
            int i4 = this.f755b;
            kVar2.a.a("TextInputClient.performAction", Arrays.asList(Integer.valueOf(i4), "TextInputAction.newline"));
        } else if (i2 == 2) {
            k kVar3 = this.c;
            int i5 = this.f755b;
            kVar3.a.a("TextInputClient.performAction", Arrays.asList(Integer.valueOf(i5), "TextInputAction.go"));
        } else if (i2 == 3) {
            k kVar4 = this.c;
            int i6 = this.f755b;
            kVar4.a.a("TextInputClient.performAction", Arrays.asList(Integer.valueOf(i6), "TextInputAction.search"));
        } else if (i2 == 4) {
            k kVar5 = this.c;
            int i7 = this.f755b;
            kVar5.a.a("TextInputClient.performAction", Arrays.asList(Integer.valueOf(i7), "TextInputAction.send"));
        } else if (i2 == 5) {
            k kVar6 = this.c;
            int i8 = this.f755b;
            kVar6.a.a("TextInputClient.performAction", Arrays.asList(Integer.valueOf(i8), "TextInputAction.next"));
        } else if (i2 != 7) {
            k kVar7 = this.c;
            int i9 = this.f755b;
            kVar7.a.a("TextInputClient.performAction", Arrays.asList(Integer.valueOf(i9), "TextInputAction.done"));
        } else {
            k kVar8 = this.c;
            int i10 = this.f755b;
            kVar8.a.a("TextInputClient.performAction", Arrays.asList(Integer.valueOf(i10), "TextInputAction.previous"));
        }
        return true;
    }

    public boolean sendKeyEvent(KeyEvent keyEvent) {
        if (keyEvent.getAction() == 0) {
            if (keyEvent.getKeyCode() == 67) {
                int a2 = a(Selection.getSelectionStart(this.f756d), this.f756d);
                int a3 = a(Selection.getSelectionEnd(this.f756d), this.f756d);
                if (a3 > a2) {
                    Selection.setSelection(this.f756d, a2);
                    this.f756d.delete(a2, a3);
                    a();
                    return true;
                } else if (a2 > 0) {
                    Layout layout = this.f759g;
                    if (layout.isRtlCharAt(layout.getLineForOffset(a2))) {
                        try {
                            Selection.extendRight(this.f756d, this.f759g);
                        } catch (IndexOutOfBoundsException unused) {
                            Selection.setSelection(this.f756d, a2, a2 - 1);
                        }
                    } else {
                        Selection.extendLeft(this.f756d, this.f759g);
                    }
                    int a4 = a(Selection.getSelectionStart(this.f756d), this.f756d);
                    int a5 = a(Selection.getSelectionEnd(this.f756d), this.f756d);
                    Selection.setSelection(this.f756d, Math.min(a4, a5));
                    this.f756d.delete(Math.min(a4, a5), Math.max(a4, a5));
                    a();
                    return true;
                }
            } else if (keyEvent.getKeyCode() == 21) {
                int max = Math.max(Selection.getSelectionStart(this.f756d) - 1, 0);
                setSelection(max, max);
                return true;
            } else if (keyEvent.getKeyCode() == 22) {
                int min = Math.min(Selection.getSelectionStart(this.f756d) + 1, this.f756d.length());
                setSelection(min, min);
                return true;
            } else {
                int unicodeChar = keyEvent.getUnicodeChar();
                if (unicodeChar != 0) {
                    int max2 = Math.max(0, Selection.getSelectionStart(this.f756d));
                    int max3 = Math.max(0, Selection.getSelectionEnd(this.f756d));
                    if (max3 != max2) {
                        this.f756d.delete(max2, max3);
                    }
                    this.f756d.insert(max2, String.valueOf((char) unicodeChar));
                    int i2 = max2 + 1;
                    setSelection(i2, i2);
                }
                return true;
            }
        }
        return false;
    }

    public boolean setComposingRegion(int i2, int i3) {
        boolean composingRegion = super.setComposingRegion(i2, i3);
        a();
        return composingRegion;
    }

    public boolean setComposingText(CharSequence charSequence, int i2) {
        boolean z;
        if (charSequence.length() == 0) {
            z = super.commitText(charSequence, i2);
        } else {
            z = super.setComposingText(charSequence, i2);
        }
        a();
        return z;
    }

    public boolean setSelection(int i2, int i3) {
        boolean selection = super.setSelection(i2, i3);
        a();
        return selection;
    }

    public static int a(int i2, Editable editable) {
        return Math.max(0, Math.min(editable.length(), i2));
    }
}
