package io.flutter.plugin.platform;

import android.annotation.TargetApi;
import android.app.Presentation;
import android.content.Context;
import android.content.ContextWrapper;
import android.graphics.Rect;
import android.graphics.drawable.ColorDrawable;
import android.os.Bundle;
import android.util.Log;
import android.view.Display;
import android.view.Gravity;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowManager;
import android.view.accessibility.AccessibilityEvent;
import android.view.inputmethod.InputMethodManager;
import android.widget.FrameLayout;
import androidx.annotation.Keep;
import java.lang.reflect.InvocationHandler;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.lang.reflect.Proxy;

@Keep
@TargetApi(17)
public class SingleViewPresentation extends Presentation {
    public final g.a.b.c.b accessibilityEventsDelegate;
    public FrameLayout container;
    public Object createParams;
    public final View.OnFocusChangeListener focusChangeListener;
    public a rootView;
    public boolean startFocused = false;
    public e state;
    public final g.a.b.c.e viewFactory;
    public int viewId;

    public static class a extends FrameLayout {
        public final g.a.b.c.b x;
        public final View y;

        public a(Context context, g.a.b.c.b bVar, View view) {
            super(context);
            this.x = bVar;
            this.y = view;
        }

        public boolean requestSendAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
            Integer recordFlutterId;
            g.a.b.c.b bVar = this.x;
            View view2 = this.y;
            g.a.e.b bVar2 = bVar.a;
            if (bVar2 == null || !bVar2.f787d.requestSendAccessibilityEvent(view2, view, accessibilityEvent) || (recordFlutterId = bVar2.f787d.getRecordFlutterId(view2, accessibilityEvent)) == null) {
                return false;
            }
            int eventType = accessibilityEvent.getEventType();
            if (eventType == 8) {
                bVar2.k = recordFlutterId;
                bVar2.m = null;
            } else if (eventType == 128) {
                bVar2.o = null;
            } else if (eventType == 32768) {
                bVar2.j = recordFlutterId;
                bVar2.f792i = null;
            } else if (eventType == 65536) {
                bVar2.k = null;
                bVar2.j = null;
            }
            return true;
        }
    }

    public static class b extends ViewGroup {
        public final Rect x = new Rect();
        public final Rect y = new Rect();

        public b(Context context) {
            super(context);
        }

        public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
            for (int i6 = 0; i6 < getChildCount(); i6++) {
                View childAt = getChildAt(i6);
                WindowManager.LayoutParams layoutParams = (WindowManager.LayoutParams) childAt.getLayoutParams();
                this.x.set(i2, i3, i4, i5);
                Gravity.apply(layoutParams.gravity, childAt.getMeasuredWidth(), childAt.getMeasuredHeight(), this.x, layoutParams.x, layoutParams.y, this.y);
                Rect rect = this.y;
                childAt.layout(rect.left, rect.top, rect.right, rect.bottom);
            }
        }

        public void onMeasure(int i2, int i3) {
            for (int i4 = 0; i4 < getChildCount(); i4++) {
                getChildAt(i4).measure(View.MeasureSpec.makeMeasureSpec(View.MeasureSpec.getSize(i2), Integer.MIN_VALUE), View.MeasureSpec.makeMeasureSpec(View.MeasureSpec.getSize(i3), Integer.MIN_VALUE));
            }
            super.onMeasure(i2, i3);
        }
    }

    public static class d extends ContextWrapper {
        public final f a;

        /* renamed from: b  reason: collision with root package name */
        public WindowManager f1763b;

        public d(Context context, f fVar) {
            super(context);
            this.a = fVar;
        }

        @Override // android.content.Context, android.content.ContextWrapper
        public Object getSystemService(String str) {
            if (!"window".equals(str)) {
                return super.getSystemService(str);
            }
            if (this.f1763b == null) {
                f fVar = this.a;
                if (fVar != null) {
                    this.f1763b = (WindowManager) Proxy.newProxyInstance(WindowManager.class.getClassLoader(), new Class[]{WindowManager.class}, fVar);
                } else {
                    throw null;
                }
            }
            return this.f1763b;
        }
    }

    public static class e {
        public g.a.b.c.d a;

        /* renamed from: b  reason: collision with root package name */
        public f f1764b;
        public b c;
    }

    public static class f implements InvocationHandler {
        public final WindowManager a;

        /* renamed from: b  reason: collision with root package name */
        public b f1765b;

        public f(WindowManager windowManager, b bVar) {
            this.a = windowManager;
            this.f1765b = bVar;
        }

        /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
        @Override // java.lang.reflect.InvocationHandler
        public Object invoke(Object obj, Method method, Object[] objArr) {
            char c;
            String name = method.getName();
            switch (name.hashCode()) {
                case -1148522778:
                    if (name.equals("addView")) {
                        c = 0;
                        break;
                    }
                    c = 65535;
                    break;
                case 542766184:
                    if (name.equals("removeViewImmediate")) {
                        c = 2;
                        break;
                    }
                    c = 65535;
                    break;
                case 931413976:
                    if (name.equals("updateViewLayout")) {
                        c = 3;
                        break;
                    }
                    c = 65535;
                    break;
                case 1098630473:
                    if (name.equals("removeView")) {
                        c = 1;
                        break;
                    }
                    c = 65535;
                    break;
                default:
                    c = 65535;
                    break;
            }
            if (c == 0) {
                b bVar = this.f1765b;
                if (bVar == null) {
                    Log.w("PlatformViewsController", "Embedded view called addView while detached from presentation");
                } else {
                    bVar.addView((View) objArr[0], (WindowManager.LayoutParams) objArr[1]);
                }
                return null;
            } else if (c == 1) {
                b bVar2 = this.f1765b;
                if (bVar2 == null) {
                    Log.w("PlatformViewsController", "Embedded view called removeView while detached from presentation");
                } else {
                    bVar2.removeView((View) objArr[0]);
                }
                return null;
            } else if (c == 2) {
                if (this.f1765b == null) {
                    Log.w("PlatformViewsController", "Embedded view called removeViewImmediate while detached from presentation");
                } else {
                    View view = (View) objArr[0];
                    view.clearAnimation();
                    this.f1765b.removeView(view);
                }
                return null;
            } else if (c != 3) {
                try {
                    return method.invoke(this.a, objArr);
                } catch (InvocationTargetException e2) {
                    throw e2.getCause();
                }
            } else {
                b bVar3 = this.f1765b;
                if (bVar3 == null) {
                    Log.w("PlatformViewsController", "Embedded view called updateViewLayout while detached from presentation");
                } else {
                    bVar3.updateViewLayout((View) objArr[0], (WindowManager.LayoutParams) objArr[1]);
                }
                return null;
            }
        }
    }

    public SingleViewPresentation(Context context, Display display, g.a.b.c.e eVar, g.a.b.c.b bVar, int i2, Object obj, View.OnFocusChangeListener onFocusChangeListener) {
        super(new c(context), display);
        this.viewFactory = eVar;
        this.accessibilityEventsDelegate = bVar;
        this.viewId = i2;
        this.createParams = obj;
        this.focusChangeListener = onFocusChangeListener;
        this.state = new e();
        getWindow().setFlags(8, 8);
    }

    public e detachState() {
        this.container.removeAllViews();
        this.rootView.removeAllViews();
        return this.state;
    }

    public g.a.b.c.d getView() {
        g.a.b.c.d dVar = this.state.a;
        if (dVar == null) {
            return null;
        }
        return dVar;
    }

    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        getWindow().setBackgroundDrawable(new ColorDrawable(0));
        e eVar = this.state;
        if (eVar.c == null) {
            eVar.c = new b(getContext());
        }
        if (this.state.f1764b == null) {
            e eVar2 = this.state;
            eVar2.f1764b = new f((WindowManager) getContext().getSystemService("window"), eVar2.c);
        }
        this.container = new FrameLayout(getContext());
        d dVar = new d(getContext(), this.state.f1764b);
        e eVar3 = this.state;
        if (eVar3.a == null) {
            eVar3.a = this.viewFactory.a(dVar, this.viewId, this.createParams);
        }
        View view = this.state.a.getView();
        this.container.addView(view);
        a aVar = new a(getContext(), this.accessibilityEventsDelegate, view);
        this.rootView = aVar;
        aVar.addView(this.container);
        this.rootView.addView(this.state.c);
        view.setOnFocusChangeListener(this.focusChangeListener);
        this.rootView.setFocusableInTouchMode(true);
        if (this.startFocused) {
            view.requestFocus();
        } else {
            this.rootView.requestFocus();
        }
        setContentView(this.rootView);
    }

    public static class c extends ContextWrapper {
        public final InputMethodManager a;

        public c(Context context) {
            super(context);
            this.a = (InputMethodManager) context.getSystemService("input_method");
        }

        public Context createDisplayContext(Display display) {
            return new c(super.createDisplayContext(display), this.a);
        }

        @Override // android.content.Context, android.content.ContextWrapper
        public Object getSystemService(String str) {
            if ("input_method".equals(str)) {
                return this.a;
            }
            return super.getSystemService(str);
        }

        public c(Context context, InputMethodManager inputMethodManager) {
            super(context);
            this.a = inputMethodManager == null ? (InputMethodManager) context.getSystemService("input_method") : inputMethodManager;
        }
    }

    public SingleViewPresentation(Context context, Display display, g.a.b.c.b bVar, e eVar, View.OnFocusChangeListener onFocusChangeListener, boolean z) {
        super(new c(context), display);
        this.accessibilityEventsDelegate = bVar;
        this.viewFactory = null;
        this.state = eVar;
        this.focusChangeListener = onFocusChangeListener;
        getWindow().setFlags(8, 8);
        this.startFocused = z;
    }
}
