package javax.xml.validation;

import b.b.a.a.a;
import java.io.BufferedReader;
import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.PrintStream;
import java.io.UnsupportedEncodingException;
import java.net.URL;
import java.util.ArrayList;
import java.util.Enumeration;
import java.util.Iterator;
import java.util.NoSuchElementException;
import java.util.Properties;
import org.apache.xerces.impl.xs.SchemaSymbols;
import org.apache.xmlbeans.impl.common.JarHelper;
import org.apache.xmlbeans.impl.common.NameUtil;
import org.apache.xmlbeans.impl.piccolo.util.FactoryServiceFinder;

public final class SchemaFactoryFinder {
    public static final int DEFAULT_LINE_LENGTH = 80;
    public static final Class SERVICE_CLASS;
    public static final String SERVICE_ID;
    public static final String W3C_XML_SCHEMA10_NS_URI = "http://www.w3.org/XML/XMLSchema/v1.0";
    public static final String W3C_XML_SCHEMA11_NS_URI = "http://www.w3.org/XML/XMLSchema/v1.1";
    public static Properties cacheProps = new Properties();
    public static /* synthetic */ Class class$javax$xml$validation$SchemaFactory = null;
    public static boolean debug = false;
    public static boolean firstTime = true;
    public final ClassLoader classLoader;

    public static abstract class SingleIterator implements Iterator {
        public boolean seen;

        public SingleIterator() {
            this.seen = false;
        }

        public final boolean hasNext() {
            return !this.seen;
        }

        @Override // java.util.Iterator
        public final Object next() {
            if (!this.seen) {
                this.seen = true;
                return value();
            }
            throw new NoSuchElementException();
        }

        public final void remove() {
            throw new UnsupportedOperationException();
        }

        public abstract Object value();
    }

    static {
        boolean z = true;
        try {
            String systemProperty = SecuritySupport.getSystemProperty("jaxp.debug");
            if (systemProperty == null || SchemaSymbols.ATTVAL_FALSE.equals(systemProperty)) {
                z = false;
            }
            debug = z;
        } catch (Exception unused) {
            debug = false;
        }
        Class cls = class$javax$xml$validation$SchemaFactory;
        if (cls == null) {
            cls = class$("javax.xml.validation.SchemaFactory");
            class$javax$xml$validation$SchemaFactory = cls;
        }
        SERVICE_CLASS = cls;
        StringBuffer a = a.a(FactoryServiceFinder.SERVICE);
        a.append(SERVICE_CLASS.getName());
        SERVICE_ID = a.toString();
    }

    public SchemaFactoryFinder(ClassLoader classLoader2) {
        this.classLoader = classLoader2;
        if (debug) {
            debugDisplayClassLoader();
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:26:0x00b5 A[Catch:{ Exception -> 0x011c }] */
    /* JADX WARNING: Removed duplicated region for block: B:43:0x00fa  */
    private SchemaFactory _newFactory(String str) {
        String str2;
        SchemaFactory createInstance;
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append(SERVICE_CLASS.getName());
        stringBuffer.append(":");
        stringBuffer.append(str);
        String stringBuffer2 = stringBuffer.toString();
        try {
            if (debug) {
                StringBuffer stringBuffer3 = new StringBuffer();
                stringBuffer3.append("Looking up system property '");
                stringBuffer3.append(stringBuffer2);
                stringBuffer3.append("'");
                debugPrintln(stringBuffer3.toString());
            }
            String systemProperty = SecuritySupport.getSystemProperty(stringBuffer2);
            if (systemProperty == null || systemProperty.length() <= 0) {
                if (debug) {
                    debugPrintln("The property is undefined.");
                }
                StringBuffer a = a.a(SecuritySupport.getSystemProperty("java.home"));
                a.append(File.separator);
                a.append("lib");
                String a2 = a.a(a, File.separator, "jaxp.properties");
                try {
                    if (firstTime) {
                        synchronized (cacheProps) {
                            if (firstTime) {
                                File file = new File(a2);
                                firstTime = false;
                                if (SecuritySupport.doesFileExist(file)) {
                                    if (debug) {
                                        StringBuffer stringBuffer4 = new StringBuffer();
                                        stringBuffer4.append("Read properties file ");
                                        stringBuffer4.append(file);
                                        debugPrintln(stringBuffer4.toString());
                                    }
                                    cacheProps.load(SecuritySupport.getFileInputStream(file));
                                }
                            }
                        }
                    }
                    String property = cacheProps.getProperty(stringBuffer2);
                    if (debug) {
                        StringBuffer stringBuffer5 = new StringBuffer();
                        stringBuffer5.append("found ");
                        stringBuffer5.append(property);
                        stringBuffer5.append(" in $java.home/jaxp.properties");
                        debugPrintln(stringBuffer5.toString());
                    }
                    if (!(property == null || (createInstance = createInstance(property)) == null)) {
                        return createInstance;
                    }
                } catch (Exception e2) {
                    if (debug) {
                        e2.printStackTrace();
                    }
                }
                Iterator createServiceFileIterator = createServiceFileIterator();
                while (createServiceFileIterator.hasNext()) {
                    URL url = (URL) createServiceFileIterator.next();
                    if (debug) {
                        StringBuffer stringBuffer6 = new StringBuffer();
                        stringBuffer6.append("looking into ");
                        stringBuffer6.append(url);
                        debugPrintln(stringBuffer6.toString());
                    }
                    try {
                        SchemaFactory loadFromServicesFile = loadFromServicesFile(str, url.toExternalForm(), SecuritySupport.getURLInputStream(url));
                        if (loadFromServicesFile != null) {
                            return loadFromServicesFile;
                        }
                    } catch (IOException e3) {
                        if (debug) {
                            StringBuffer stringBuffer7 = new StringBuffer();
                            stringBuffer7.append("failed to read ");
                            stringBuffer7.append(url);
                            debugPrintln(stringBuffer7.toString());
                            e3.printStackTrace();
                        }
                    }
                }
                if (str.equals("http://www.w3.org/2001/XMLSchema") || str.equals(W3C_XML_SCHEMA10_NS_URI)) {
                    if (debug) {
                        debugPrintln("attempting to use the platform default XML Schema 1.0 validator");
                    }
                    str2 = "org.apache.xerces.jaxp.validation.XMLSchemaFactory";
                } else if (str.equals(W3C_XML_SCHEMA11_NS_URI)) {
                    if (debug) {
                        debugPrintln("attempting to use the platform default XML Schema 1.1 validator");
                    }
                    str2 = "org.apache.xerces.jaxp.validation.XMLSchema11Factory";
                } else if (!debug) {
                    return null;
                } else {
                    debugPrintln("all things were tried, but none was found. bailing out.");
                    return null;
                }
                return createInstance(str2);
            }
            if (debug) {
                StringBuffer stringBuffer8 = new StringBuffer();
                stringBuffer8.append("The value is '");
                stringBuffer8.append(systemProperty);
                stringBuffer8.append("'");
                debugPrintln(stringBuffer8.toString());
            }
            SchemaFactory createInstance2 = createInstance(systemProperty);
            if (createInstance2 != null) {
                return createInstance2;
            }
            StringBuffer a3 = a.a(SecuritySupport.getSystemProperty("java.home"));
            a3.append(File.separator);
            a3.append("lib");
            String a22 = a.a(a3, File.separator, "jaxp.properties");
            if (firstTime) {
            }
            String property2 = cacheProps.getProperty(stringBuffer2);
            if (debug) {
            }
            return createInstance;
        } catch (VirtualMachineError e4) {
            throw e4;
        } catch (ThreadDeath e5) {
            throw e5;
        } catch (Throwable th) {
            if (debug) {
                StringBuffer stringBuffer9 = new StringBuffer();
                stringBuffer9.append("failed to look up system property '");
                stringBuffer9.append(stringBuffer2);
                stringBuffer9.append("'");
                debugPrintln(stringBuffer9.toString());
                th.printStackTrace();
            }
        }
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e2) {
            throw new NoClassDefFoundError(e2.getMessage());
        }
    }

    private Iterator createServiceFileIterator() {
        ClassLoader classLoader2 = this.classLoader;
        if (classLoader2 == null) {
            return new SingleIterator() {
                /* class javax.xml.validation.SchemaFactoryFinder.AnonymousClass1 */
                public static /* synthetic */ Class class$javax$xml$validation$SchemaFactoryFinder;

                public static /* synthetic */ Class class$(String str) {
                    try {
                        return Class.forName(str);
                    } catch (ClassNotFoundException e2) {
                        throw new NoClassDefFoundError(e2.getMessage());
                    }
                }

                @Override // javax.xml.validation.SchemaFactoryFinder.SingleIterator
                public Object value() {
                    Class cls = class$javax$xml$validation$SchemaFactoryFinder;
                    if (cls == null) {
                        cls = class$("javax.xml.validation.SchemaFactoryFinder");
                        class$javax$xml$validation$SchemaFactoryFinder = cls;
                    }
                    return SecuritySupport.getResourceAsURL(cls.getClassLoader(), SchemaFactoryFinder.SERVICE_ID);
                }
            };
        }
        try {
            final Enumeration resources = SecuritySupport.getResources(classLoader2, SERVICE_ID);
            if (debug && !resources.hasMoreElements()) {
                StringBuffer stringBuffer = new StringBuffer();
                stringBuffer.append("no ");
                stringBuffer.append(SERVICE_ID);
                stringBuffer.append(" file was found");
                debugPrintln(stringBuffer.toString());
            }
            return new Iterator() {
                /* class javax.xml.validation.SchemaFactoryFinder.AnonymousClass2 */

                public boolean hasNext() {
                    return resources.hasMoreElements();
                }

                @Override // java.util.Iterator
                public Object next() {
                    return resources.nextElement();
                }

                public void remove() {
                    throw new UnsupportedOperationException();
                }
            };
        } catch (IOException e2) {
            if (debug) {
                StringBuffer a = a.a("failed to enumerate resources ");
                a.append(SERVICE_ID);
                debugPrintln(a.toString());
                e2.printStackTrace();
            }
            return new ArrayList().iterator();
        }
    }

    private void debugDisplayClassLoader() {
        String str;
        StringBuffer stringBuffer;
        try {
            if (this.classLoader == SecuritySupport.getContextClassLoader()) {
                StringBuffer stringBuffer2 = new StringBuffer();
                stringBuffer2.append("using thread context class loader (");
                stringBuffer2.append(this.classLoader);
                stringBuffer2.append(") for search");
                debugPrintln(stringBuffer2.toString());
                return;
            }
        } catch (VirtualMachineError e2) {
            throw e2;
        } catch (ThreadDeath e3) {
            throw e3;
        } catch (Throwable unused) {
        }
        if (this.classLoader == ClassLoader.getSystemClassLoader()) {
            stringBuffer = new StringBuffer();
            str = "using system class loader (";
        } else {
            stringBuffer = new StringBuffer();
            str = "using class loader (";
        }
        stringBuffer.append(str);
        stringBuffer.append(this.classLoader);
        stringBuffer.append(") for search");
        debugPrintln(stringBuffer.toString());
    }

    public static void debugPrintln(String str) {
        if (debug) {
            PrintStream printStream = System.err;
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append("JAXP: ");
            stringBuffer.append(str);
            printStream.println(stringBuffer.toString());
        }
    }

    /* JADX WARNING: Can't wrap try/catch for region: R(3:9|10|(5:12|(1:14)|15|(1:27)(3:17|18|(2:26|20)(1:29))|25)(0)) */
    /* JADX WARNING: Code restructure failed: missing block: B:28:0x0032, code lost:
        continue;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:21:0x005c */
    /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x0032 */
    /* JADX WARNING: Removed duplicated region for block: B:9:0x0032 A[LOOP:0: B:9:0x0032->B:25:0x0032, LOOP_START, SYNTHETIC, Splitter:B:9:0x0032] */
    private SchemaFactory loadFromServicesFile(String str, String str2, InputStream inputStream) {
        BufferedReader bufferedReader;
        if (debug) {
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append("Reading ");
            stringBuffer.append(str2);
            debugPrintln(stringBuffer.toString());
        }
        try {
            bufferedReader = new BufferedReader(new InputStreamReader(inputStream, "UTF-8"), 80);
        } catch (UnsupportedEncodingException unused) {
            bufferedReader = new BufferedReader(new InputStreamReader(inputStream), 80);
        }
        SchemaFactory schemaFactory = null;
        while (true) {
            String readLine = bufferedReader.readLine();
            if (readLine != null) {
                int indexOf = readLine.indexOf(35);
                if (indexOf != -1) {
                    readLine = readLine.substring(0, indexOf);
                }
                String trim = readLine.trim();
                if (trim.length() != 0) {
                    SchemaFactory createInstance = createInstance(trim);
                    if (createInstance.isSchemaLanguageSupported(str)) {
                        schemaFactory = createInstance;
                        break;
                    }
                }
            }
        }
        try {
            bufferedReader.close();
        } catch (IOException unused2) {
        }
        return schemaFactory;
    }

    public static String which(Class cls) {
        return which(cls.getName(), cls.getClassLoader());
    }

    public static String which(String str, ClassLoader classLoader2) {
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append(str.replace(NameUtil.PERIOD, JarHelper.SEP));
        stringBuffer.append(".class");
        String stringBuffer2 = stringBuffer.toString();
        if (classLoader2 == null) {
            classLoader2 = ClassLoader.getSystemClassLoader();
        }
        URL resourceAsURL = SecuritySupport.getResourceAsURL(classLoader2, stringBuffer2);
        if (resourceAsURL != null) {
            return resourceAsURL.toString();
        }
        return null;
    }

    public SchemaFactory createInstance(String str) {
        try {
            if (debug) {
                StringBuffer stringBuffer = new StringBuffer();
                stringBuffer.append("instanciating ");
                stringBuffer.append(str);
                debugPrintln(stringBuffer.toString());
            }
            Class<?> loadClass = this.classLoader != null ? this.classLoader.loadClass(str) : Class.forName(str);
            if (debug) {
                StringBuffer stringBuffer2 = new StringBuffer();
                stringBuffer2.append("loaded it from ");
                stringBuffer2.append(which(loadClass));
                debugPrintln(stringBuffer2.toString());
            }
            Object newInstance = loadClass.newInstance();
            if (newInstance instanceof SchemaFactory) {
                return (SchemaFactory) newInstance;
            }
            if (!debug) {
                return null;
            }
            StringBuffer stringBuffer3 = new StringBuffer();
            stringBuffer3.append(str);
            stringBuffer3.append(" is not assignable to ");
            stringBuffer3.append(SERVICE_CLASS.getName());
            debugPrintln(stringBuffer3.toString());
            return null;
        } catch (VirtualMachineError e2) {
            throw e2;
        } catch (ThreadDeath e3) {
            throw e3;
        } catch (Throwable th) {
            StringBuffer stringBuffer4 = new StringBuffer();
            stringBuffer4.append("failed to instanciate ");
            stringBuffer4.append(str);
            debugPrintln(stringBuffer4.toString());
            if (!debug) {
                return null;
            }
            th.printStackTrace();
            return null;
        }
    }

    public SchemaFactory newFactory(String str) {
        String str2;
        if (str != null) {
            SchemaFactory _newFactory = _newFactory(str);
            if (debug) {
                StringBuffer stringBuffer = new StringBuffer();
                if (_newFactory != null) {
                    stringBuffer.append("factory '");
                    stringBuffer.append(_newFactory.getClass().getName());
                    str2 = "' was found for ";
                } else {
                    str2 = "unable to find a factory for ";
                }
                stringBuffer.append(str2);
                stringBuffer.append(str);
                debugPrintln(stringBuffer.toString());
            }
            return _newFactory;
        }
        throw null;
    }
}
