package javax.xml.xpath;

import java.io.PrintStream;
import java.io.PrintWriter;

public class XPathException extends Exception {
    public static final long serialVersionUID = -1837080260374986980L;
    public final Throwable cause;

    public XPathException(String str) {
        super(str);
        if (str != null) {
            this.cause = null;
            return;
        }
        throw new NullPointerException("message can't be null");
    }

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    public XPathException(Throwable th) {
        super(th == null ? null : th.toString());
        this.cause = th;
        if (th == null) {
            throw new NullPointerException("cause can't be null");
        }
    }

    public Throwable getCause() {
        return this.cause;
    }

    public void printStackTrace() {
        printStackTrace(System.err);
    }

    @Override // java.lang.Throwable
    public void printStackTrace(PrintStream printStream) {
        if (getCause() != null) {
            getCause().printStackTrace(printStream);
            printStream.println("--------------- linked to ------------------");
        }
        super.printStackTrace(printStream);
    }

    @Override // java.lang.Throwable
    public void printStackTrace(PrintWriter printWriter) {
        if (getCause() != null) {
            getCause().printStackTrace(printWriter);
            printWriter.println("--------------- linked to ------------------");
        }
        super.printStackTrace(printWriter);
    }
}
