package org.apache.lucene.analysis;

import h.g;
import i.a.b.g.d;
import i.a.b.g.e;
import i.a.b.g.f;
import i.a.b.g.h;
import i.a.b.g.l;
import org.apache.lucene.analysis.tokenattributes.CharTermAttribute;
import org.apache.lucene.analysis.tokenattributes.PositionIncrementAttribute;
import org.apache.lucene.analysis.tokenattributes.TermToBytesRefAttribute;
import org.apache.lucene.analysis.tokenattributes.TypeAttribute;

public final class NumericTokenStream extends TokenStream {
    public final NumericTermAttribute D;
    public final TypeAttribute F;
    public final PositionIncrementAttribute G;
    public int H;
    public final int I;

    public static final class NumericAttributeFactory extends h.a {

        /* renamed from: b  reason: collision with root package name */
        public final h.a f1772b;

        public NumericAttributeFactory(h.a aVar) {
            this.f1772b = aVar;
        }

        @Override // i.a.b.g.h.a
        public e a(Class<? extends d> cls) {
            if (!CharTermAttribute.class.isAssignableFrom(cls)) {
                return this.f1772b.a(cls);
            }
            throw new IllegalArgumentException("NumericTokenStream does not support CharTermAttribute.");
        }
    }

    public interface NumericTermAttribute extends d {
        void a(long j, int i2, int i3, int i4);

        int b();

        void e(int i2);
    }

    public NumericTokenStream() {
        this(h.a.a, 4);
    }

    @Override // org.apache.lucene.analysis.TokenStream
    public boolean g() {
        if (this.H != 0) {
            b();
            int b2 = this.D.b();
            this.F.setType(b2 == 0 ? "fullPrecNumeric" : "lowerPrecNumeric");
            this.G.b(b2 == 0 ? 1 : 0);
            if (b2 < this.H) {
                return true;
            }
            return false;
        }
        throw new IllegalStateException("call set???Value() before usage");
    }

    @Override // org.apache.lucene.analysis.TokenStream
    public void h() {
        if (this.H != 0) {
            this.D.e(-this.I);
            return;
        }
        throw new IllegalStateException("call set???Value() before usage");
    }

    public NumericTokenStream(h.a aVar, int i2) {
        super(new NumericAttributeFactory(aVar));
        this.D = (NumericTermAttribute) a(NumericTermAttribute.class);
        this.F = (TypeAttribute) a(TypeAttribute.class);
        this.G = (PositionIncrementAttribute) a(PositionIncrementAttribute.class);
        this.H = 0;
        if (i2 >= 1) {
            this.I = i2;
            this.D.e(-i2);
            return;
        }
        throw new IllegalArgumentException("precisionStep must be >=1");
    }

    public static final class NumericTermAttributeImpl extends e implements NumericTermAttribute, TermToBytesRefAttribute {
        public int A = 0;
        public l C = new l(l.A);
        public long x = 0;
        public int y = 0;
        public int z = 0;

        @Override // org.apache.lucene.analysis.NumericTokenStream.NumericTermAttribute
        public void a(long j, int i2, int i3, int i4) {
            this.x = j;
            this.y = i2;
            this.A = i3;
            this.z = i4;
        }

        @Override // org.apache.lucene.analysis.NumericTokenStream.NumericTermAttribute
        public int b() {
            int i2 = this.z + this.A;
            this.z = i2;
            return i2;
        }

        @Override // org.apache.lucene.analysis.tokenattributes.TermToBytesRefAttribute
        public int e() {
            if (this.y == 64) {
                long j = this.x;
                int i2 = this.z;
                l lVar = this.C;
                g.a(j, i2, lVar);
                return lVar.hashCode();
            }
            int i3 = (int) this.x;
            int i4 = this.z;
            l lVar2 = this.C;
            g.a(i3, i4, lVar2);
            return lVar2.hashCode();
        }

        @Override // org.apache.lucene.analysis.tokenattributes.TermToBytesRefAttribute
        public l k() {
            return this.C;
        }

        @Override // i.a.b.g.e
        public void m() {
        }

        @Override // i.a.b.g.e
        public void a(f fVar) {
            e();
            i.a.b.g.g gVar = (i.a.b.g.g) fVar;
            gVar.a(TermToBytesRefAttribute.class, "bytes", l.d(this.C));
            gVar.a(NumericTermAttribute.class, "shift", Integer.valueOf(this.z));
            gVar.a(NumericTermAttribute.class, "rawValue", Long.valueOf(this.x & (~((1 << this.z) - 1))));
            gVar.a(NumericTermAttribute.class, "valueSize", Integer.valueOf(this.y));
        }

        @Override // org.apache.lucene.analysis.NumericTokenStream.NumericTermAttribute
        public void e(int i2) {
            this.z = i2;
        }

        @Override // i.a.b.g.e
        public void a(e eVar) {
            ((NumericTermAttribute) eVar).a(this.x, this.y, this.A, this.z);
        }
    }
}
