package org.apache.lucene.analysis.cjk;

import org.apache.lucene.analysis.TokenFilter;
import org.apache.lucene.analysis.tokenattributes.CharTermAttribute;
import org.apache.lucene.analysis.util.StemmerUtil;

public final class CJKWidthFilter extends TokenFilter {
    public static final char[] G = {12539, 12530, 12449, 12451, 12453, 12455, 12457, 12515, 12517, 12519, 12483, 12540, 12450, 12452, 12454, 12456, 12458, 12459, 12461, 12463, 12465, 12467, 12469, 12471, 12473, 12475, 12477, 12479, 12481, 12484, 12486, 12488, 12490, 12491, 12492, 12493, 12494, 12495, 12498, 12501, 12504, 12507, 12510, 12511, 12512, 12513, 12514, 12516, 12518, 12520, 12521, 12522, 12523, 12524, 12525, 12527, 12531, 12441, 12442};
    public static final byte[] H = {78, 0, 0, 0, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 0, 1, 0, 1, 0, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 0, 0, 1, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 8, 8, 8, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1};
    public static final byte[] I = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 2, 0, 0, 2, 0, 0, 2, 0, 0, 2, 0, 0, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0};
    public CharTermAttribute F;

    /* JADX WARNING: Removed duplicated region for block: B:31:0x006c  */
    @Override // org.apache.lucene.analysis.TokenStream
    public boolean g() {
        boolean z;
        if (!this.D.g()) {
            return false;
        }
        char[] f2 = this.F.f();
        int length = this.F.length();
        int i2 = 0;
        while (i2 < length) {
            char c = f2[i2];
            if (c >= 65281 && c <= 65374) {
                f2[i2] = (char) (f2[i2] - 65248);
            } else if (c >= 65381 && c <= 65439) {
                if ((c == 65438 || c == 65439) && i2 > 0) {
                    int i3 = i2 - 1;
                    char c2 = f2[i3];
                    if (c2 >= 12454 && c2 <= 12541) {
                        f2[i3] = (char) (f2[i3] + (c == 65439 ? I[c2 - 12454] : H[c2 - 12454]));
                        if (f2[i3] != c2) {
                            z = true;
                            if (z) {
                                length = StemmerUtil.a(f2, i2, length);
                                i2--;
                            }
                        }
                    }
                    z = false;
                    if (z) {
                    }
                }
                f2[i2] = G[c - 65381];
            }
            i2++;
        }
        this.F.setLength(length);
        return true;
    }
}
