package org.apache.lucene.analysis.compound.hyphenation;

import b.b.a.a.a;
import java.util.ArrayList;
import javax.xml.parsers.SAXParserFactory;
import org.apache.poi.ss.util.SheetUtil;
import org.apache.xmlbeans.impl.common.NameUtil;
import org.xml.sax.Attributes;
import org.xml.sax.InputSource;
import org.xml.sax.XMLReader;
import org.xml.sax.helpers.DefaultHandler;

public class PatternParser extends DefaultHandler {
    public XMLReader a;

    /* renamed from: b  reason: collision with root package name */
    public int f1780b;
    public StringBuilder c = new StringBuilder();

    /* renamed from: d  reason: collision with root package name */
    public ArrayList<Object> f1781d;

    /* renamed from: e  reason: collision with root package name */
    public char f1782e;

    public PatternParser() {
        try {
            SAXParserFactory newInstance = SAXParserFactory.newInstance();
            newInstance.setNamespaceAware(true);
            XMLReader xMLReader = newInstance.newSAXParser().getXMLReader();
            this.a = xMLReader;
            xMLReader.setContentHandler(this);
            this.a.setErrorHandler(this);
            this.a.setEntityResolver(this);
            this.f1782e = NameUtil.HYPHEN;
        } catch (Exception e2) {
            StringBuilder b2 = a.b("Couldn't create XMLReader: ");
            b2.append(e2.getMessage());
            throw new RuntimeException(b2.toString());
        }
    }

    public static String b(String str) {
        StringBuilder sb = new StringBuilder();
        int length = str.length();
        for (int i2 = 0; i2 < length; i2++) {
            if (!Character.isDigit(str.charAt(i2))) {
                sb.append(str.charAt(i2));
            }
        }
        return sb.toString();
    }

    public String a(StringBuilder sb) {
        boolean z = true;
        int i2 = 0;
        boolean z2 = false;
        while (i2 < sb.length() && Character.isWhitespace(sb.charAt(i2))) {
            i2++;
            z2 = true;
        }
        if (z2) {
            for (int i3 = i2; i3 < sb.length(); i3++) {
                sb.setCharAt(i3 - i2, sb.charAt(i3));
            }
            sb.setLength(sb.length() - i2);
            if (this.c.length() > 0) {
                String sb2 = this.c.toString();
                this.c.setLength(0);
                return sb2;
            }
        }
        int i4 = 0;
        while (true) {
            if (i4 >= sb.length()) {
                z = false;
                break;
            } else if (Character.isWhitespace(sb.charAt(i4))) {
                break;
            } else {
                i4++;
            }
        }
        this.c.append(sb.toString().substring(0, i4));
        for (int i5 = i4; i5 < sb.length(); i5++) {
            sb.setCharAt(i5 - i4, sb.charAt(i5));
        }
        sb.setLength(sb.length() - i4);
        if (z) {
            String sb3 = this.c.toString();
            this.c.setLength(0);
            return sb3;
        }
        this.c.append((CharSequence) sb);
        return null;
    }

    @Override // org.xml.sax.helpers.DefaultHandler, org.xml.sax.ContentHandler
    public void characters(char[] cArr, int i2, int i3) {
        StringBuilder sb = new StringBuilder(i3);
        sb.append(cArr, i2, i3);
        String a2 = a(sb);
        while (a2 != null) {
            int i4 = this.f1780b;
            if (i4 == 1) {
                throw null;
            } else if (i4 == 2) {
                this.f1781d.add(a2);
                ArrayList<Object> b2 = b(this.f1781d);
                this.f1781d = b2;
                a(b2);
                ArrayList arrayList = (ArrayList) this.f1781d.clone();
                throw null;
            } else if (i4 != 3) {
                a2 = a(sb);
            } else {
                b(a2);
                a(a2);
                throw null;
            }
        }
    }

    @Override // org.xml.sax.helpers.DefaultHandler, org.xml.sax.ContentHandler
    public void endElement(String str, String str2, String str3) {
        if (this.c.length() > 0) {
            String sb = this.c.toString();
            int i2 = this.f1780b;
            if (i2 == 1) {
                throw null;
            } else if (i2 == 2) {
                this.f1781d.add(sb);
                ArrayList<Object> b2 = b(this.f1781d);
                this.f1781d = b2;
                a(b2);
                ArrayList arrayList = (ArrayList) this.f1781d.clone();
                throw null;
            } else if (i2 == 3) {
                b(sb);
                a(sb);
                throw null;
            } else if (i2 != 4) {
                this.c.setLength(0);
            }
        }
        if (this.f1780b == 4) {
            this.f1780b = 2;
        } else {
            this.f1780b = 0;
        }
    }

    @Override // org.xml.sax.helpers.DefaultHandler, org.xml.sax.EntityResolver
    public InputSource resolveEntity(String str, String str2) {
        if ((str2 == null || !str2.matches("(?i).*\\bhyphenation.dtd\\b.*")) && !"hyphenation-info".equals(str)) {
            return null;
        }
        return new InputSource(PatternParser.class.getResource("hyphenation.dtd").toExternalForm());
    }

    @Override // org.xml.sax.helpers.DefaultHandler, org.xml.sax.ContentHandler
    public void startElement(String str, String str2, String str3, Attributes attributes) {
        if (str2.equals("hyphen-char")) {
            String value = attributes.getValue("value");
            if (value != null && value.length() == 1) {
                this.f1782e = value.charAt(0);
            }
        } else if (str2.equals("classes")) {
            this.f1780b = 1;
        } else if (str2.equals("patterns")) {
            this.f1780b = 3;
        } else if (str2.equals("exceptions")) {
            this.f1780b = 2;
            this.f1781d = new ArrayList<>();
        } else if (str2.equals("hyphen")) {
            if (this.c.length() > 0) {
                this.f1781d.add(this.c.toString());
            }
            this.f1781d.add(new Hyphen(attributes.getValue("pre"), attributes.getValue("no"), attributes.getValue("post")));
            this.f1780b = 4;
        }
        this.c.setLength(0);
    }

    public ArrayList<Object> b(ArrayList<?> arrayList) {
        ArrayList<Object> arrayList2 = new ArrayList<>();
        for (int i2 = 0; i2 < arrayList.size(); i2++) {
            Object obj = arrayList.get(i2);
            if (obj instanceof String) {
                String str = (String) obj;
                StringBuilder sb = new StringBuilder();
                for (int i3 = 0; i3 < str.length(); i3++) {
                    char charAt = str.charAt(i3);
                    if (charAt != this.f1782e) {
                        sb.append(charAt);
                    } else {
                        arrayList2.add(sb.toString());
                        sb.setLength(0);
                        arrayList2.add(new Hyphen(new String(new char[]{this.f1782e}), null, null));
                    }
                }
                if (sb.length() > 0) {
                    arrayList2.add(sb.toString());
                }
            } else {
                arrayList2.add(obj);
            }
        }
        return arrayList2;
    }

    public String a(ArrayList<?> arrayList) {
        StringBuilder sb = new StringBuilder();
        for (int i2 = 0; i2 < arrayList.size(); i2++) {
            Object obj = arrayList.get(i2);
            if (obj instanceof String) {
                sb.append((String) obj);
            } else {
                String str = ((Hyphen) obj).f1779b;
                if (str != null) {
                    sb.append(str);
                }
            }
        }
        return sb.toString();
    }

    public static String a(String str) {
        StringBuilder sb = new StringBuilder();
        String b2 = a.b(str, "a");
        int length = b2.length();
        int i2 = 0;
        while (i2 < length) {
            char charAt = b2.charAt(i2);
            if (Character.isDigit(charAt)) {
                sb.append(charAt);
                i2++;
            } else {
                sb.append(SheetUtil.defaultChar);
            }
            i2++;
        }
        return sb.toString();
    }
}
