package org.apache.lucene.analysis.id;

import org.apache.lucene.analysis.TokenFilter;
import org.apache.lucene.analysis.tokenattributes.CharTermAttribute;
import org.apache.lucene.analysis.tokenattributes.KeywordAttribute;
import org.apache.lucene.analysis.util.StemmerUtil;

public final class IndonesianStemFilter extends TokenFilter {
    public final CharTermAttribute F;
    public final KeywordAttribute G;
    public final IndonesianStemmer H;
    public final boolean I;

    /* JADX WARNING: Removed duplicated region for block: B:85:0x022b  */
    /* JADX WARNING: Removed duplicated region for block: B:93:0x0240  */
    @Override // org.apache.lucene.analysis.TokenStream
    public boolean g() {
        int i2;
        int i3;
        if (!this.D.g()) {
            return false;
        }
        if (!this.G.c()) {
            IndonesianStemmer indonesianStemmer = this.H;
            char[] f2 = this.F.f();
            int length = this.F.length();
            boolean z = this.I;
            indonesianStemmer.f1816b = 0;
            indonesianStemmer.a = 0;
            for (int i4 = 0; i4 < length; i4++) {
                if (indonesianStemmer.a(f2[i4])) {
                    indonesianStemmer.a++;
                }
            }
            if (indonesianStemmer.a > 2 && (StemmerUtil.a(f2, length, "kah") || StemmerUtil.a(f2, length, "lah") || StemmerUtil.a(f2, length, "pun"))) {
                indonesianStemmer.a--;
                length -= 3;
            }
            if (indonesianStemmer.a > 2) {
                if (StemmerUtil.a(f2, length, "ku") || StemmerUtil.a(f2, length, "mu")) {
                    indonesianStemmer.a--;
                    length -= 2;
                } else if (StemmerUtil.a(f2, length, "nya")) {
                    indonesianStemmer.a--;
                    length -= 3;
                }
            }
            if (z) {
                if (indonesianStemmer.a > 2) {
                    if (StemmerUtil.b(f2, length, "meng")) {
                        indonesianStemmer.f1816b |= 8;
                        indonesianStemmer.a--;
                        i2 = StemmerUtil.a(f2, 0, length, 4);
                    } else if (StemmerUtil.b(f2, length, "meny") && length > 4 && indonesianStemmer.a(f2[4])) {
                        indonesianStemmer.f1816b |= 8;
                        f2[3] = 's';
                        indonesianStemmer.a--;
                        i2 = StemmerUtil.a(f2, 0, length, 3);
                    } else if (StemmerUtil.b(f2, length, "men")) {
                        indonesianStemmer.f1816b |= 8;
                        indonesianStemmer.a--;
                        i2 = StemmerUtil.a(f2, 0, length, 3);
                    } else if (StemmerUtil.b(f2, length, "mem")) {
                        indonesianStemmer.f1816b |= 8;
                        indonesianStemmer.a--;
                        i2 = StemmerUtil.a(f2, 0, length, 3);
                    } else if (StemmerUtil.b(f2, length, "me")) {
                        indonesianStemmer.f1816b |= 8;
                        indonesianStemmer.a--;
                        i2 = StemmerUtil.a(f2, 0, length, 2);
                    } else if (StemmerUtil.b(f2, length, "peng")) {
                        indonesianStemmer.f1816b |= 2;
                        indonesianStemmer.a--;
                        i2 = StemmerUtil.a(f2, 0, length, 4);
                    } else if (StemmerUtil.b(f2, length, "peny") && length > 4 && indonesianStemmer.a(f2[4])) {
                        indonesianStemmer.f1816b |= 2;
                        f2[3] = 's';
                        indonesianStemmer.a--;
                        i2 = StemmerUtil.a(f2, 0, length, 3);
                    } else if (StemmerUtil.b(f2, length, "peny")) {
                        indonesianStemmer.f1816b |= 2;
                        indonesianStemmer.a--;
                        i2 = StemmerUtil.a(f2, 0, length, 4);
                    } else if (StemmerUtil.b(f2, length, "pen") && length > 3 && indonesianStemmer.a(f2[3])) {
                        indonesianStemmer.f1816b |= 2;
                        f2[2] = 't';
                        indonesianStemmer.a--;
                        i2 = StemmerUtil.a(f2, 0, length, 2);
                    } else if (StemmerUtil.b(f2, length, "pen")) {
                        indonesianStemmer.f1816b |= 2;
                        indonesianStemmer.a--;
                        i2 = StemmerUtil.a(f2, 0, length, 3);
                    } else if (StemmerUtil.b(f2, length, "pem")) {
                        indonesianStemmer.f1816b |= 2;
                        indonesianStemmer.a--;
                        i2 = StemmerUtil.a(f2, 0, length, 3);
                    } else if (StemmerUtil.b(f2, length, "di")) {
                        indonesianStemmer.f1816b |= 4;
                        indonesianStemmer.a--;
                        i2 = StemmerUtil.a(f2, 0, length, 2);
                    } else if (StemmerUtil.b(f2, length, "ter")) {
                        indonesianStemmer.f1816b |= 16;
                        indonesianStemmer.a--;
                        i2 = StemmerUtil.a(f2, 0, length, 3);
                    } else if (StemmerUtil.b(f2, length, "ke")) {
                        indonesianStemmer.f1816b |= 1;
                        indonesianStemmer.a--;
                        i2 = StemmerUtil.a(f2, 0, length, 2);
                    }
                    if (length == i2) {
                        length = indonesianStemmer.a > 2 ? indonesianStemmer.b(f2, i2) : i2;
                        if (i2 != length && indonesianStemmer.a > 2) {
                            i3 = indonesianStemmer.a(f2, length);
                        }
                    } else {
                        if (indonesianStemmer.a > 2) {
                            i2 = indonesianStemmer.a(f2, i2);
                        }
                        length = i2;
                        if (indonesianStemmer.a > 2) {
                            i3 = indonesianStemmer.b(f2, length);
                        }
                    }
                    length = i3;
                }
                i2 = length;
                if (length == i2) {
                }
                length = i3;
            }
            this.F.setLength(length);
        }
        return true;
    }
}
