package org.apache.lucene.analysis.in;

import java.lang.Character;
import java.util.BitSet;
import java.util.IdentityHashMap;

public class IndicNormalizer {
    public static final IdentityHashMap<Character.UnicodeBlock, ScriptData> a;

    /* renamed from: b  reason: collision with root package name */
    public static final int[][] f1817b = {new int[]{5, 62, 69, 17, a(Character.UnicodeBlock.DEVANAGARI) | a(Character.UnicodeBlock.GUJARATI)}, new int[]{5, 62, 70, 18, a(Character.UnicodeBlock.DEVANAGARI)}, new int[]{5, 62, 71, 19, a(Character.UnicodeBlock.DEVANAGARI) | a(Character.UnicodeBlock.GUJARATI)}, new int[]{5, 62, 72, 20, a(Character.UnicodeBlock.DEVANAGARI) | a(Character.UnicodeBlock.GUJARATI)}, new int[]{5, 62, -1, 6, (((a(Character.UnicodeBlock.DEVANAGARI) | a(Character.UnicodeBlock.BENGALI)) | a(Character.UnicodeBlock.GURMUKHI)) | a(Character.UnicodeBlock.GUJARATI)) | a(Character.UnicodeBlock.ORIYA)}, new int[]{5, 69, -1, 114, a(Character.UnicodeBlock.DEVANAGARI)}, new int[]{5, 69, -1, 13, a(Character.UnicodeBlock.GUJARATI)}, new int[]{5, 70, -1, 4, a(Character.UnicodeBlock.DEVANAGARI)}, new int[]{5, 71, -1, 15, a(Character.UnicodeBlock.GUJARATI)}, new int[]{5, 72, -1, 16, a(Character.UnicodeBlock.GURMUKHI) | a(Character.UnicodeBlock.GUJARATI)}, new int[]{5, 73, -1, 17, a(Character.UnicodeBlock.DEVANAGARI) | a(Character.UnicodeBlock.GUJARATI)}, new int[]{5, 74, -1, 18, a(Character.UnicodeBlock.DEVANAGARI)}, new int[]{5, 75, -1, 19, a(Character.UnicodeBlock.DEVANAGARI) | a(Character.UnicodeBlock.GUJARATI)}, new int[]{5, 76, -1, 20, (a(Character.UnicodeBlock.DEVANAGARI) | a(Character.UnicodeBlock.GURMUKHI)) | a(Character.UnicodeBlock.GUJARATI)}, new int[]{6, 69, -1, 17, a(Character.UnicodeBlock.DEVANAGARI) | a(Character.UnicodeBlock.GUJARATI)}, new int[]{6, 70, -1, 18, a(Character.UnicodeBlock.DEVANAGARI)}, new int[]{6, 71, -1, 19, a(Character.UnicodeBlock.DEVANAGARI) | a(Character.UnicodeBlock.GUJARATI)}, new int[]{6, 72, -1, 20, a(Character.UnicodeBlock.DEVANAGARI) | a(Character.UnicodeBlock.GUJARATI)}, new int[]{7, 87, -1, 8, a(Character.UnicodeBlock.MALAYALAM)}, new int[]{9, 65, -1, 10, a(Character.UnicodeBlock.DEVANAGARI)}, new int[]{9, 87, -1, 10, a(Character.UnicodeBlock.TAMIL) | a(Character.UnicodeBlock.MALAYALAM)}, new int[]{14, 70, -1, 16, a(Character.UnicodeBlock.MALAYALAM)}, new int[]{15, 69, -1, 13, a(Character.UnicodeBlock.DEVANAGARI)}, new int[]{15, 70, -1, 14, a(Character.UnicodeBlock.DEVANAGARI)}, new int[]{15, 71, -1, 16, a(Character.UnicodeBlock.DEVANAGARI)}, new int[]{15, 87, -1, 16, a(Character.UnicodeBlock.ORIYA)}, new int[]{18, 62, -1, 19, a(Character.UnicodeBlock.MALAYALAM)}, new int[]{18, 76, -1, 20, a(Character.UnicodeBlock.TELUGU) | a(Character.UnicodeBlock.KANNADA)}, new int[]{18, 85, -1, 19, a(Character.UnicodeBlock.TELUGU)}, new int[]{18, 87, -1, 20, a(Character.UnicodeBlock.TAMIL) | a(Character.UnicodeBlock.MALAYALAM)}, new int[]{19, 87, -1, 20, a(Character.UnicodeBlock.ORIYA)}, new int[]{21, 60, -1, 88, a(Character.UnicodeBlock.DEVANAGARI)}, new int[]{22, 60, -1, 89, a(Character.UnicodeBlock.DEVANAGARI) | a(Character.UnicodeBlock.GURMUKHI)}, new int[]{23, 60, -1, 90, a(Character.UnicodeBlock.DEVANAGARI) | a(Character.UnicodeBlock.GURMUKHI)}, new int[]{28, 60, -1, 91, a(Character.UnicodeBlock.DEVANAGARI) | a(Character.UnicodeBlock.GURMUKHI)}, new int[]{33, 60, -1, 92, (a(Character.UnicodeBlock.DEVANAGARI) | a(Character.UnicodeBlock.BENGALI)) | a(Character.UnicodeBlock.ORIYA)}, new int[]{34, 60, -1, 93, (a(Character.UnicodeBlock.DEVANAGARI) | a(Character.UnicodeBlock.BENGALI)) | a(Character.UnicodeBlock.ORIYA)}, new int[]{35, 77, 255, 122, a(Character.UnicodeBlock.MALAYALAM)}, new int[]{36, 77, 255, 78, a(Character.UnicodeBlock.BENGALI)}, new int[]{40, 60, -1, 41, a(Character.UnicodeBlock.DEVANAGARI)}, new int[]{40, 77, 255, 123, a(Character.UnicodeBlock.MALAYALAM)}, new int[]{43, 60, -1, 94, a(Character.UnicodeBlock.DEVANAGARI) | a(Character.UnicodeBlock.GURMUKHI)}, new int[]{47, 60, -1, 95, a(Character.UnicodeBlock.DEVANAGARI) | a(Character.UnicodeBlock.BENGALI)}, new int[]{44, 65, 65, 11, a(Character.UnicodeBlock.TELUGU)}, new int[]{48, 60, -1, 49, a(Character.UnicodeBlock.DEVANAGARI)}, new int[]{48, 77, 255, 124, a(Character.UnicodeBlock.MALAYALAM)}, new int[]{50, 77, 255, 125, a(Character.UnicodeBlock.MALAYALAM)}, new int[]{51, 60, -1, 52, a(Character.UnicodeBlock.DEVANAGARI)}, new int[]{51, 77, 255, 126, a(Character.UnicodeBlock.MALAYALAM)}, new int[]{53, 65, -1, 46, a(Character.UnicodeBlock.TELUGU)}, new int[]{62, 69, -1, 73, a(Character.UnicodeBlock.DEVANAGARI) | a(Character.UnicodeBlock.GUJARATI)}, new int[]{62, 70, -1, 74, a(Character.UnicodeBlock.DEVANAGARI)}, new int[]{62, 71, -1, 75, a(Character.UnicodeBlock.DEVANAGARI) | a(Character.UnicodeBlock.GUJARATI)}, new int[]{62, 72, -1, 76, a(Character.UnicodeBlock.DEVANAGARI) | a(Character.UnicodeBlock.GUJARATI)}, new int[]{63, 85, -1, 64, a(Character.UnicodeBlock.KANNADA)}, new int[]{65, 65, -1, 66, a(Character.UnicodeBlock.GURMUKHI)}, new int[]{70, 62, -1, 74, a(Character.UnicodeBlock.TAMIL) | a(Character.UnicodeBlock.MALAYALAM)}, new int[]{70, 66, 85, 75, a(Character.UnicodeBlock.KANNADA)}, new int[]{70, 66, -1, 74, a(Character.UnicodeBlock.KANNADA)}, new int[]{70, 70, -1, 72, a(Character.UnicodeBlock.MALAYALAM)}, new int[]{70, 85, -1, 71, a(Character.UnicodeBlock.TELUGU) | a(Character.UnicodeBlock.KANNADA)}, new int[]{70, 86, -1, 72, a(Character.UnicodeBlock.TELUGU) | a(Character.UnicodeBlock.KANNADA)}, new int[]{70, 87, -1, 76, a(Character.UnicodeBlock.TAMIL) | a(Character.UnicodeBlock.MALAYALAM)}, new int[]{71, 62, -1, 75, ((a(Character.UnicodeBlock.BENGALI) | a(Character.UnicodeBlock.ORIYA)) | a(Character.UnicodeBlock.TAMIL)) | a(Character.UnicodeBlock.MALAYALAM)}, new int[]{71, 87, -1, 76, a(Character.UnicodeBlock.BENGALI) | a(Character.UnicodeBlock.ORIYA)}, new int[]{74, 85, -1, 75, a(Character.UnicodeBlock.KANNADA)}, new int[]{114, 63, -1, 7, a(Character.UnicodeBlock.GURMUKHI)}, new int[]{114, 64, -1, 8, a(Character.UnicodeBlock.GURMUKHI)}, new int[]{114, 71, -1, 15, a(Character.UnicodeBlock.GURMUKHI)}, new int[]{115, 65, -1, 9, a(Character.UnicodeBlock.GURMUKHI)}, new int[]{115, 66, -1, 10, a(Character.UnicodeBlock.GURMUKHI)}, new int[]{115, 75, -1, 19, a(Character.UnicodeBlock.GURMUKHI)}};

    public static class ScriptData {
        public final int a;

        /* renamed from: b  reason: collision with root package name */
        public final int f1818b;
        public BitSet c;

        public ScriptData(int i2, int i3) {
            this.a = i2;
            this.f1818b = i3;
        }
    }

    static {
        IdentityHashMap<Character.UnicodeBlock, ScriptData> identityHashMap = new IdentityHashMap<>(9);
        a = identityHashMap;
        identityHashMap.put(Character.UnicodeBlock.DEVANAGARI, new ScriptData(1, 2304));
        a.put(Character.UnicodeBlock.BENGALI, new ScriptData(2, 2432));
        a.put(Character.UnicodeBlock.GURMUKHI, new ScriptData(4, 2560));
        a.put(Character.UnicodeBlock.GUJARATI, new ScriptData(8, 2688));
        a.put(Character.UnicodeBlock.ORIYA, new ScriptData(16, 2816));
        a.put(Character.UnicodeBlock.TAMIL, new ScriptData(32, 2944));
        a.put(Character.UnicodeBlock.TELUGU, new ScriptData(64, 3072));
        a.put(Character.UnicodeBlock.KANNADA, new ScriptData(128, 3200));
        a.put(Character.UnicodeBlock.MALAYALAM, new ScriptData(256, 3328));
        for (ScriptData scriptData : a.values()) {
            scriptData.c = new BitSet(127);
            int i2 = 0;
            while (true) {
                int[][] iArr = f1817b;
                if (i2 < iArr.length) {
                    int i3 = iArr[i2][0];
                    if ((iArr[i2][4] & scriptData.a) != 0) {
                        scriptData.c.set(i3);
                    }
                    i2++;
                }
            }
        }
    }

    public static int a(Character.UnicodeBlock unicodeBlock) {
        return a.get(unicodeBlock).a;
    }
}
