package org.apache.lucene.analysis.pt;

import b.b.a.a.a;
import i.a.b.g.b1;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.LineNumberReader;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.HashMap;
import java.util.Map;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import org.apache.lucene.analysis.util.CharArraySet;
import org.apache.lucene.analysis.util.StemmerUtil;
import org.apache.poi.xssf.usermodel.XSSFDataValidationConstraint;

public abstract class RSLPStemmerBase {
    public static final Pattern a = Pattern.compile("^\\{\\s*\"([^\"]*)\",\\s*([0-9]+),\\s*(0|1),\\s*\\{(.*)\\},\\s*$");

    /* renamed from: b  reason: collision with root package name */
    public static final Pattern f1830b = Pattern.compile("^\\{\\s*\"([^\"]*)\",\\s*([0-9]+)\\s*\\}\\s*(,|(\\}\\s*;))$");
    public static final Pattern c = Pattern.compile("^\\{\\s*\"([^\"]*)\",\\s*([0-9]+),\\s*\"([^\"]*)\"\\}\\s*(,|(\\}\\s*;))$");

    /* renamed from: d  reason: collision with root package name */
    public static final Pattern f1831d = Pattern.compile("^\\{\\s*\"([^\"]*)\",\\s*([0-9]+),\\s*\"([^\"]*)\",\\s*\\{(.*)\\}\\s*\\}\\s*(,|(\\}\\s*;))$");

    public static class Rule {
        public final char[] a;

        /* renamed from: b  reason: collision with root package name */
        public final char[] f1832b;
        public final int c;

        public Rule(String str, int i2, String str2) {
            this.a = str.toCharArray();
            this.f1832b = str2.toCharArray();
            this.c = i2;
        }

        public boolean a(char[] cArr, int i2) {
            char[] cArr2 = this.a;
            return i2 - cArr2.length >= this.c && StemmerUtil.a(cArr, i2, cArr2);
        }
    }

    public static class RuleWithSetExceptions extends Rule {

        /* renamed from: d  reason: collision with root package name */
        public final CharArraySet f1833d;

        public RuleWithSetExceptions(String str, int i2, String str2, String[] strArr) {
            super(str, i2, str2);
            for (int i3 = 0; i3 < strArr.length; i3++) {
                if (!strArr[i3].endsWith(str)) {
                    StringBuilder b2 = a.b("useless exception '");
                    b2.append(strArr[i3]);
                    b2.append("' does not end with '");
                    b2.append(str);
                    b2.append("'");
                    throw new RuntimeException(b2.toString());
                }
            }
            this.f1833d = new CharArraySet(b1.LUCENE_CURRENT, (Collection<?>) Arrays.asList(strArr), false);
        }

        @Override // org.apache.lucene.analysis.pt.RSLPStemmerBase.Rule
        public boolean a(char[] cArr, int i2) {
            if (!super.a(cArr, i2) || this.f1833d.x.a(cArr, 0, i2)) {
                return false;
            }
            return true;
        }
    }

    public static class RuleWithSuffixExceptions extends Rule {

        /* renamed from: d  reason: collision with root package name */
        public final char[][] f1834d;

        public RuleWithSuffixExceptions(String str, int i2, String str2, String[] strArr) {
            super(str, i2, str2);
            for (int i3 = 0; i3 < strArr.length; i3++) {
                if (!strArr[i3].endsWith(str)) {
                    StringBuilder b2 = a.b("warning: useless exception '");
                    b2.append(strArr[i3]);
                    b2.append("' does not end with '");
                    b2.append(str);
                    b2.append("'");
                    throw new RuntimeException(b2.toString());
                }
            }
            this.f1834d = new char[strArr.length][];
            for (int i4 = 0; i4 < strArr.length; i4++) {
                this.f1834d[i4] = strArr[i4].toCharArray();
            }
        }

        @Override // org.apache.lucene.analysis.pt.RSLPStemmerBase.Rule
        public boolean a(char[] cArr, int i2) {
            if (!super.a(cArr, i2)) {
                return false;
            }
            int i3 = 0;
            while (true) {
                char[][] cArr2 = this.f1834d;
                if (i3 >= cArr2.length) {
                    return true;
                }
                if (StemmerUtil.a(cArr, i2, cArr2[i3])) {
                    return false;
                }
                i3++;
            }
        }
    }

    public static class Step {
        public final String a;

        /* renamed from: b  reason: collision with root package name */
        public final Rule[] f1835b;
        public final int c;

        /* renamed from: d  reason: collision with root package name */
        public final char[][] f1836d;

        public Step(String str, Rule[] ruleArr, int i2, String[] strArr) {
            this.a = str;
            this.f1835b = ruleArr;
            if (i2 == 0) {
                i2 = Integer.MAX_VALUE;
                for (Rule rule : ruleArr) {
                    i2 = Math.min(i2, rule.c + rule.a.length);
                }
            }
            this.c = i2;
            if (strArr == null || strArr.length == 0) {
                this.f1836d = null;
                return;
            }
            this.f1836d = new char[strArr.length][];
            for (int i3 = 0; i3 < strArr.length; i3++) {
                this.f1836d[i3] = strArr[i3].toCharArray();
            }
        }

        public int a(char[] cArr, int i2) {
            boolean z;
            if (i2 < this.c) {
                return i2;
            }
            if (this.f1836d != null) {
                int i3 = 0;
                while (true) {
                    char[][] cArr2 = this.f1836d;
                    if (i3 >= cArr2.length) {
                        z = false;
                        break;
                    } else if (StemmerUtil.a(cArr, i2, cArr2[i3])) {
                        z = true;
                        break;
                    } else {
                        i3++;
                    }
                }
                if (!z) {
                    return i2;
                }
            }
            int i4 = 0;
            while (true) {
                Rule[] ruleArr = this.f1835b;
                if (i4 >= ruleArr.length) {
                    return i2;
                }
                if (ruleArr[i4].a(cArr, i2)) {
                    Rule rule = this.f1835b[i4];
                    char[] cArr3 = rule.f1832b;
                    if (cArr3.length > 0) {
                        System.arraycopy(cArr3, 0, cArr, i2 - rule.a.length, cArr3.length);
                    }
                    return (i2 - rule.a.length) + rule.f1832b.length;
                }
                i4++;
            }
        }
    }

    public static Map<String, Step> a(Class<? extends RSLPStemmerBase> cls, String str) {
        try {
            LineNumberReader lineNumberReader = new LineNumberReader(new InputStreamReader(cls.getResourceAsStream(str), "UTF-8"));
            HashMap hashMap = new HashMap();
            while (true) {
                String a2 = a(lineNumberReader);
                if (a2 != null) {
                    Step a3 = a(lineNumberReader, a2);
                    hashMap.put(a3.a, a3);
                } else {
                    lineNumberReader.close();
                    return hashMap;
                }
            }
        } catch (IOException e2) {
            throw new RuntimeException(e2);
        }
    }

    public static Step a(LineNumberReader lineNumberReader, String str) {
        Rule[] ruleArr;
        Matcher matcher = a.matcher(str);
        if (matcher.find()) {
            String group = matcher.group(1);
            int parseInt = Integer.parseInt(matcher.group(2));
            int parseInt2 = Integer.parseInt(matcher.group(3));
            String[] a2 = a(matcher.group(4));
            ArrayList arrayList = new ArrayList();
            while (true) {
                String a3 = a(lineNumberReader);
                if (a3 == null) {
                    ruleArr = null;
                    break;
                }
                Matcher matcher2 = f1830b.matcher(a3);
                if (matcher2.matches()) {
                    arrayList.add(new Rule(matcher2.group(1), Integer.parseInt(matcher2.group(2)), ""));
                } else {
                    Matcher matcher3 = c.matcher(a3);
                    if (matcher3.matches()) {
                        arrayList.add(new Rule(matcher3.group(1), Integer.parseInt(matcher3.group(2)), matcher3.group(3)));
                    } else {
                        Matcher matcher4 = f1831d.matcher(a3);
                        if (!matcher4.matches()) {
                            StringBuilder b2 = a.b("Illegal Step rule specified at line ");
                            b2.append(lineNumberReader.getLineNumber());
                            throw new RuntimeException(b2.toString());
                        } else if (parseInt2 == 0) {
                            arrayList.add(new RuleWithSuffixExceptions(matcher4.group(1), Integer.parseInt(matcher4.group(2)), matcher4.group(3), a(matcher4.group(4))));
                        } else {
                            arrayList.add(new RuleWithSetExceptions(matcher4.group(1), Integer.parseInt(matcher4.group(2)), matcher4.group(3), a(matcher4.group(4))));
                        }
                    }
                }
                if (a3.endsWith(";")) {
                    ruleArr = (Rule[]) arrayList.toArray(new Rule[arrayList.size()]);
                    break;
                }
            }
            return new Step(group, ruleArr, parseInt, a2);
        }
        StringBuilder b3 = a.b("Illegal Step header specified at line ");
        b3.append(lineNumberReader.getLineNumber());
        throw new RuntimeException(b3.toString());
    }

    public static String[] a(String str) {
        if (str.length() == 0) {
            return null;
        }
        String[] split = str.split(XSSFDataValidationConstraint.LIST_SEPARATOR);
        for (int i2 = 0; i2 < split.length; i2++) {
            String trim = split[i2].trim();
            split[i2] = trim.substring(1, trim.length() - 1);
        }
        return split;
    }

    public static String a(LineNumberReader lineNumberReader) {
        String readLine;
        while (true) {
            readLine = lineNumberReader.readLine();
            if (readLine == null) {
                break;
            }
            readLine = readLine.trim();
            if (readLine.length() > 0 && readLine.charAt(0) != '#') {
                break;
            }
        }
        return readLine;
    }
}
