package org.apache.lucene.analysis.shingle;

import i.a.b.g.h;
import java.util.Iterator;
import java.util.LinkedList;
import org.apache.lucene.analysis.TokenFilter;
import org.apache.lucene.analysis.TokenStream;
import org.apache.lucene.analysis.tokenattributes.CharTermAttribute;
import org.apache.lucene.analysis.tokenattributes.OffsetAttribute;
import org.apache.lucene.analysis.tokenattributes.PositionIncrementAttribute;
import org.apache.lucene.analysis.tokenattributes.PositionLengthAttribute;
import org.apache.lucene.analysis.tokenattributes.TypeAttribute;

public final class ShingleFilter extends TokenFilter {
    public LinkedList<InputWindowToken> F = new LinkedList<>();
    public CircularSequence G;
    public StringBuilder H = new StringBuilder();
    public String I = "shingle";
    public String J = " ";
    public char[] K = "_".toCharArray();
    public boolean M = true;
    public boolean O = false;
    public int P;
    public int Q;
    public int U;
    public h V;
    public boolean W = false;
    public boolean Y = false;
    public boolean Z = true;
    public h.b a0;
    public final CharTermAttribute b0 = ((CharTermAttribute) a(CharTermAttribute.class));
    public final OffsetAttribute c0 = ((OffsetAttribute) a(OffsetAttribute.class));
    public final PositionIncrementAttribute d0 = ((PositionIncrementAttribute) a(PositionIncrementAttribute.class));
    public final PositionLengthAttribute e0 = ((PositionLengthAttribute) a(PositionLengthAttribute.class));
    public final TypeAttribute f0 = ((TypeAttribute) a(TypeAttribute.class));
    public boolean g0;

    public class CircularSequence {
        public int a;

        /* renamed from: b  reason: collision with root package name */
        public int f1837b;
        public int c;

        public CircularSequence() {
            int i2;
            if (ShingleFilter.this.M) {
                i2 = 1;
            } else {
                i2 = ShingleFilter.this.Q;
            }
            this.c = i2;
            b();
        }

        public void a() {
            int i2 = this.a;
            this.f1837b = i2;
            if (i2 == 1) {
                this.a = ShingleFilter.this.Q;
            } else if (i2 == ShingleFilter.this.P) {
                b();
            } else {
                this.a = i2 + 1;
            }
        }

        public void b() {
            int i2 = this.c;
            this.a = i2;
            this.f1837b = i2;
        }
    }

    public class InputWindowToken {
        public final h a;

        /* renamed from: b  reason: collision with root package name */
        public final CharTermAttribute f1839b;
        public final OffsetAttribute c;

        /* renamed from: d  reason: collision with root package name */
        public boolean f1840d = false;

        public InputWindowToken(ShingleFilter shingleFilter, h hVar) {
            this.a = hVar;
            this.f1839b = (CharTermAttribute) hVar.b(CharTermAttribute.class);
            this.c = (OffsetAttribute) hVar.b(OffsetAttribute.class);
        }
    }

    public ShingleFilter(TokenStream tokenStream, int i2, int i3) {
        super(tokenStream);
        if (i3 >= 2) {
            this.P = i3;
            a(i2);
            return;
        }
        throw new IllegalArgumentException("Max shingle size must be >= 2");
    }

    public void a(int i2) {
        if (i2 < 2) {
            throw new IllegalArgumentException("Min shingle size must be >= 2");
        } else if (i2 <= this.P) {
            this.Q = i2;
            this.G = new CircularSequence();
        } else {
            throw new IllegalArgumentException("Min shingle size must be <= max shingle size");
        }
    }

    @Override // org.apache.lucene.analysis.TokenStream, org.apache.lucene.analysis.TokenFilter
    public void f() {
        if (!this.g0) {
            super.f();
        } else {
            a(this.a0);
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:18:0x0045, code lost:
        if (r0.a(r4) == null) goto L_0x0059;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:19:0x0047, code lost:
        r0.F.add(r4);
     */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x003f  */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x008e  */
    /* JADX WARNING: Removed duplicated region for block: B:61:0x0059 A[EDGE_INSN: B:61:0x0059->B:23:0x0059 ?: BREAK  , SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:70:? A[RETURN, SYNTHETIC] */
    @Override // org.apache.lucene.analysis.TokenStream
    public boolean g() {
        int i2;
        InputWindowToken inputWindowToken;
        ShingleFilter shingleFilter;
        InputWindowToken a;
        CircularSequence circularSequence = this.G;
        InputWindowToken inputWindowToken2 = null;
        if (!(circularSequence.a == circularSequence.c)) {
            int size = this.F.size();
            CircularSequence circularSequence2 = this.G;
            if (size >= circularSequence2.a) {
                i2 = circularSequence2.f1837b;
                if (this.F.size() < this.G.a) {
                    return false;
                }
                Iterator<InputWindowToken> it = this.F.iterator();
                boolean z = true;
                int i3 = 1;
                while (it.hasNext() && i2 < this.G.a) {
                    inputWindowToken2 = it.next();
                    if (i2 < i3) {
                        if (i2 > 0) {
                            this.H.append(this.J);
                        }
                        this.H.append(inputWindowToken2.f1839b.f(), 0, inputWindowToken2.f1839b.length());
                        i2++;
                    }
                    if (!z || !inputWindowToken2.f1840d) {
                        z = false;
                    } else {
                        CircularSequence circularSequence3 = this.G;
                        if (i3 == circularSequence3.a) {
                            circularSequence3.a();
                        }
                    }
                    i3++;
                }
                if (z || i2 != this.G.a) {
                    return false;
                }
                this.F.getFirst().a.a(this);
                this.d0.b(!this.Y ? 1 : 0);
                this.b0.g().a(this.H);
                if (this.G.a > 1) {
                    this.f0.setType(this.I);
                    this.Z = false;
                }
                OffsetAttribute offsetAttribute = this.c0;
                offsetAttribute.a(offsetAttribute.d(), inputWindowToken2.c.i());
                this.e0.a(i2);
                this.Y = true;
                this.G.a();
                return true;
            }
        }
        if (this.F.size() > 0) {
            inputWindowToken = this.F.removeFirst();
            shingleFilter = this;
            while (true) {
                if (shingleFilter.F.size() < shingleFilter.P) {
                    if (inputWindowToken == null) {
                        a = shingleFilter.a((InputWindowToken) null);
                        if (a == null) {
                            break;
                        }
                        shingleFilter.F.add(a);
                    } else {
                        break;
                    }
                } else {
                    break;
                }
            }
            if (shingleFilter.O && shingleFilter.Z && shingleFilter.G.c > 1 && shingleFilter.F.size() < shingleFilter.Q) {
                shingleFilter.G.c = 1;
            }
            shingleFilter.G.b();
            shingleFilter.Y = false;
            this.H.setLength(0);
            i2 = 0;
            if (this.F.size() < this.G.a) {
            }
        } else {
            shingleFilter = this;
        }
        inputWindowToken = null;
        while (true) {
            if (shingleFilter.F.size() < shingleFilter.P) {
            }
            shingleFilter.F.add(a);
        }
        shingleFilter.G.c = 1;
        shingleFilter.G.b();
        shingleFilter.Y = false;
        this.H.setLength(0);
        i2 = 0;
        if (this.F.size() < this.G.a) {
        }
    }

    @Override // org.apache.lucene.analysis.TokenStream, org.apache.lucene.analysis.TokenFilter
    public void h() {
        this.D.h();
        this.G.b();
        this.F.clear();
        this.V = null;
        this.W = false;
        this.U = 0;
        this.Y = false;
        this.Z = true;
        this.g0 = false;
        this.a0 = null;
        if (this.O && !this.M) {
            this.G.c = this.Q;
        }
    }

    public final InputWindowToken a(InputWindowToken inputWindowToken) {
        if (this.U > 0) {
            if (inputWindowToken == null) {
                inputWindowToken = new InputWindowToken(this, this.V.c());
            } else {
                this.V.a(inputWindowToken.a);
            }
            OffsetAttribute offsetAttribute = inputWindowToken.c;
            offsetAttribute.a(offsetAttribute.d(), inputWindowToken.c.d());
            CharTermAttribute charTermAttribute = inputWindowToken.f1839b;
            char[] cArr = this.K;
            charTermAttribute.a(cArr, 0, cArr.length);
            inputWindowToken.f1840d = true;
            this.U--;
        } else if (this.W) {
            if (inputWindowToken == null) {
                inputWindowToken = new InputWindowToken(this, this.V.c());
            } else {
                this.V.a(inputWindowToken.a);
            }
            this.W = false;
            inputWindowToken.f1840d = false;
        } else if (this.g0) {
            return null;
        } else {
            if (this.D.g()) {
                if (inputWindowToken == null) {
                    inputWindowToken = new InputWindowToken(this, c());
                } else {
                    a(inputWindowToken.a);
                }
                if (this.d0.a() > 1) {
                    this.U = Math.min(this.d0.a() - 1, this.P - 1);
                    h hVar = this.V;
                    if (hVar == null) {
                        this.V = c();
                    } else {
                        a(hVar);
                    }
                    this.W = true;
                    inputWindowToken.c.a(this.c0.d(), this.c0.d());
                    CharTermAttribute charTermAttribute2 = inputWindowToken.f1839b;
                    char[] cArr2 = this.K;
                    charTermAttribute2.a(cArr2, 0, cArr2.length);
                    inputWindowToken.f1840d = true;
                    this.U--;
                } else {
                    inputWindowToken.f1840d = false;
                }
            } else {
                this.g0 = true;
                this.D.f();
                this.a0 = a();
                int min = Math.min(this.d0.a(), this.P - 1);
                this.U = min;
                if (min <= 0) {
                    return null;
                }
                h hVar2 = new h(this.A);
                this.V = hVar2;
                hVar2.a(CharTermAttribute.class);
                ((OffsetAttribute) this.V.a(OffsetAttribute.class)).a(this.c0.i(), this.c0.i());
                return a(inputWindowToken);
            }
        }
        return inputWindowToken;
    }
}
