package org.apache.lucene.analysis.util;

import i.a.b.g.t0;
import java.util.Arrays;
import java.util.Collections;
import java.util.LinkedHashMap;
import java.util.Locale;
import java.util.Map;
import java.util.ServiceConfigurationError;
import org.apache.lucene.analysis.util.AbstractAnalysisFactory;

public final class AnalysisSPILoader<S extends AbstractAnalysisFactory> {
    public volatile Map<String, Class<? extends S>> a = Collections.emptyMap();

    /* renamed from: b  reason: collision with root package name */
    public final Class<S> f1920b;
    public final String[] c;

    public AnalysisSPILoader(Class<S> cls, String[] strArr) {
        ClassLoader contextClassLoader = Thread.currentThread().getContextClassLoader();
        this.f1920b = cls;
        this.c = strArr;
        ClassLoader classLoader = cls.getClassLoader();
        if (classLoader != null && !t0.a(classLoader, contextClassLoader)) {
            a(classLoader);
        }
        a(contextClassLoader);
    }

    public synchronized void a(ClassLoader classLoader) {
        LinkedHashMap linkedHashMap = new LinkedHashMap(this.a);
        t0 t0Var = new t0(this.f1920b, classLoader);
        while (t0Var.hasNext()) {
            Class next = t0Var.next();
            String simpleName = next.getSimpleName();
            String str = null;
            String[] strArr = this.c;
            int length = strArr.length;
            int i2 = 0;
            while (true) {
                if (i2 >= length) {
                    break;
                }
                String str2 = strArr[i2];
                if (simpleName.endsWith(str2)) {
                    str = simpleName.substring(0, simpleName.length() - str2.length()).toLowerCase(Locale.ROOT);
                    break;
                }
                i2++;
            }
            if (str == null) {
                throw new ServiceConfigurationError("The class name " + next.getName() + " has wrong suffix, allowed are: " + Arrays.toString(this.c));
            } else if (!linkedHashMap.containsKey(str)) {
                linkedHashMap.put(str, next);
            }
        }
        this.a = Collections.unmodifiableMap(linkedHashMap);
    }
}
