package org.apache.lucene.analysis.util;

import i.a.b.g.b1;
import java.io.Reader;

public abstract class CharacterUtils {
    public static final Java4CharacterUtils a = new Java4CharacterUtils();

    /* renamed from: b  reason: collision with root package name */
    public static final Java5CharacterUtils f1921b = new Java5CharacterUtils();

    public static final class CharacterBuffer {
        public final char[] a;

        /* renamed from: b  reason: collision with root package name */
        public int f1922b;
        public char c;

        public CharacterBuffer(char[] cArr, int i2, int i3) {
            this.a = cArr;
            this.f1922b = i3;
        }
    }

    public static final class Java4CharacterUtils extends CharacterUtils {
        @Override // org.apache.lucene.analysis.util.CharacterUtils
        public int a(CharSequence charSequence, int i2) {
            return charSequence.charAt(i2);
        }

        @Override // org.apache.lucene.analysis.util.CharacterUtils
        public int a(char[] cArr, int i2, int i3) {
            if (i2 < i3) {
                return cArr[i2];
            }
            throw new IndexOutOfBoundsException("offset must be less than limit");
        }

        @Override // org.apache.lucene.analysis.util.CharacterUtils
        public boolean a(CharacterBuffer characterBuffer, Reader reader, int i2) {
            if (i2 >= 1) {
                char[] cArr = characterBuffer.a;
                if (i2 <= cArr.length) {
                    int a = CharacterUtils.a(reader, cArr, 0, i2);
                    characterBuffer.f1922b = a;
                    characterBuffer.c = 0;
                    if (a == i2) {
                        return true;
                    }
                    return false;
                }
            }
            throw new IllegalArgumentException("numChars must be >= 1 and <= the buffer size");
        }
    }

    public static final class Java5CharacterUtils extends CharacterUtils {
        @Override // org.apache.lucene.analysis.util.CharacterUtils
        public int a(CharSequence charSequence, int i2) {
            return Character.codePointAt(charSequence, i2);
        }

        @Override // org.apache.lucene.analysis.util.CharacterUtils
        public int a(char[] cArr, int i2, int i3) {
            return Character.codePointAt(cArr, i2, i3);
        }

        @Override // org.apache.lucene.analysis.util.CharacterUtils
        public boolean a(CharacterBuffer characterBuffer, Reader reader, int i2) {
            int i3;
            if (i2 >= 2) {
                char[] cArr = characterBuffer.a;
                if (i2 <= cArr.length) {
                    char c = characterBuffer.c;
                    boolean z = false;
                    if (c != 0) {
                        cArr[0] = c;
                        characterBuffer.c = 0;
                        i3 = 1;
                    } else {
                        i3 = 0;
                    }
                    int a = CharacterUtils.a(reader, cArr, i3, i2 - i3) + i3;
                    characterBuffer.f1922b = a;
                    if (a == i2) {
                        z = true;
                    }
                    int i4 = characterBuffer.f1922b;
                    if (i4 >= i2 && Character.isHighSurrogate(cArr[i4 - 1])) {
                        int i5 = characterBuffer.f1922b - 1;
                        characterBuffer.f1922b = i5;
                        characterBuffer.c = cArr[i5];
                    }
                    return z;
                }
            }
            throw new IllegalArgumentException("numChars must be >= 2 and <= the buffer size");
        }
    }

    public static CharacterUtils a(b1 b1Var) {
        return b1Var.a(b1.LUCENE_31) ? f1921b : a;
    }

    public abstract int a(CharSequence charSequence, int i2);

    public abstract int a(char[] cArr, int i2, int i3);

    public abstract boolean a(CharacterBuffer characterBuffer, Reader reader, int i2);

    public final void b(char[] cArr, int i2, int i3) {
        while (i2 < i3) {
            i2 += Character.toChars(Character.toLowerCase(a(cArr, i2, i3)), cArr, i2);
        }
    }

    public static CharacterBuffer a(int i2) {
        if (i2 >= 2) {
            return new CharacterBuffer(new char[i2], 0, 0);
        }
        throw new IllegalArgumentException("buffersize must be >= 2");
    }

    public static int a(Reader reader, char[] cArr, int i2, int i3) {
        int i4 = 0;
        while (i4 < i3) {
            int read = reader.read(cArr, i2 + i4, i3 - i4);
            if (read == -1) {
                break;
            }
            i4 += read;
        }
        return i4;
    }
}
