package org.apache.lucene.codecs;

import i.a.b.c.a;
import i.a.b.c.b0;
import i.a.b.c.k0;
import i.a.b.c.l0;
import i.a.b.c.n0;
import i.a.b.c.n3;
import i.a.b.c.o3;
import i.a.b.c.t1;
import i.a.b.g.j;
import i.a.b.g.l;
import java.io.Closeable;
import java.util.Comparator;
import java.util.Iterator;

public abstract class TermVectorsWriter implements Closeable {
    public static final /* synthetic */ boolean $assertionsDisabled = false;

    public abstract void abort();

    public final void addAllDocVectors(n0 n0Var, t1 t1Var) {
        if (n0Var == null) {
            startDocument(0);
            finishDocument();
            return;
        }
        int size = n0Var.size();
        if (size == -1) {
            Iterator<String> it = n0Var.iterator();
            int i2 = 0;
            while (it.hasNext()) {
                it.next();
                i2++;
            }
            size = i2;
        }
        startDocument(size);
        Iterator<String> it2 = n0Var.iterator();
        o3 o3Var = null;
        b0 b0Var = null;
        while (it2.hasNext()) {
            String next = it2.next();
            k0 a = t1Var.f1043b.a(next);
            n3 terms = n0Var.terms(next);
            if (terms != null) {
                boolean hasPositions = terms.hasPositions();
                boolean hasOffsets = terms.hasOffsets();
                boolean hasPayloads = terms.hasPayloads();
                int size2 = (int) terms.size();
                if (size2 == -1) {
                    o3Var = terms.iterator(o3Var);
                    size2 = 0;
                    while (o3Var.next() != null) {
                        size2++;
                    }
                }
                startField(a, size2, hasPositions, hasOffsets, hasPayloads);
                o3Var = terms.iterator(o3Var);
                while (o3Var.next() != null) {
                    int i3 = (int) o3Var.totalTermFreq();
                    startTerm(o3Var.term(), i3);
                    if (hasPositions || hasOffsets) {
                        b0Var = o3Var.docsAndPositions(null, b0Var);
                        b0Var.nextDoc();
                        for (int i4 = 0; i4 < i3; i4++) {
                            addPosition(b0Var.nextPosition(), b0Var.startOffset(), b0Var.endOffset(), b0Var.getPayload());
                        }
                    }
                    finishTerm();
                }
                finishField();
            }
        }
        finishDocument();
    }

    public abstract void addPosition(int i2, int i3, int i4, l lVar);

    /* JADX WARNING: Removed duplicated region for block: B:17:0x0041  */
    /* JADX WARNING: Removed duplicated region for block: B:18:0x0043  */
    public void addProx(int i2, i.a.b.f.l lVar, i.a.b.f.l lVar2) {
        l lVar3;
        int i3;
        l lVar4 = null;
        int i4 = 0;
        int i5 = 0;
        int i6 = 0;
        while (i4 < i2) {
            int i7 = -1;
            if (lVar == null) {
                lVar3 = lVar4;
                i5 = -1;
            } else {
                int readVInt = lVar.readVInt();
                i5 += readVInt >>> 1;
                if ((readVInt & 1) != 0) {
                    int readVInt2 = lVar.readVInt();
                    if (lVar4 == null) {
                        lVar4 = new l(l.A);
                        lVar4.x = new byte[readVInt2];
                    } else if (lVar4.x.length < readVInt2) {
                        lVar4.a(readVInt2);
                    }
                    lVar.readBytes(lVar4.x, 0, readVInt2);
                    lVar4.z = readVInt2;
                    lVar3 = lVar4;
                    if (lVar2 != null) {
                        i3 = -1;
                    } else {
                        i7 = lVar2.readVInt() + i6;
                        i6 = lVar2.readVInt() + i7;
                        i3 = i6;
                    }
                    addPosition(i5, i7, i3, lVar4);
                    i4++;
                    lVar4 = lVar3;
                } else {
                    lVar3 = lVar4;
                }
            }
            lVar4 = null;
            if (lVar2 != null) {
            }
            addPosition(i5, i7, i3, lVar4);
            i4++;
            lVar4 = lVar3;
        }
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public abstract void close();

    public abstract void finish(l0 l0Var, int i2);

    public void finishDocument() {
    }

    public void finishField() {
    }

    public void finishTerm() {
    }

    public abstract Comparator<l> getComparator();

    public int merge(t1 t1Var) {
        int i2 = 0;
        for (int i3 = 0; i3 < t1Var.c.size(); i3++) {
            a aVar = t1Var.c.get(i3);
            int e2 = aVar.e();
            j k = aVar.k();
            for (int i4 = 0; i4 < e2; i4++) {
                if (k == null || k.get(i4)) {
                    addAllDocVectors(aVar.b(i4), t1Var);
                    i2++;
                    t1Var.f1046f.a(300.0d);
                }
            }
        }
        finish(t1Var.f1043b, i2);
        return i2;
    }

    public abstract void startDocument(int i2);

    public abstract void startField(k0 k0Var, int i2, boolean z, boolean z2, boolean z3);

    public abstract void startTerm(l lVar, int i2);
}
