package org.apache.lucene.codecs.compressing;

import b.b.a.a.a;
import i.a.b.b.b;
import i.a.b.b.f;
import i.a.b.c.a1;
import i.a.b.c.f3;
import i.a.b.c.k0;
import i.a.b.c.l0;
import i.a.b.c.q;
import i.a.b.c.q2;
import i.a.b.f.e;
import i.a.b.f.m;
import i.a.b.f.n;
import i.a.b.f.t;
import i.a.b.f.u;
import i.a.b.g.c;
import i.a.b.g.g1.x0;
import i.a.b.g.l;
import i.a.b.g.x;
import java.io.EOFException;
import java.util.Arrays;
import org.apache.lucene.codecs.CodecUtil;
import org.apache.lucene.codecs.StoredFieldsReader;

public final class CompressingStoredFieldsReader extends StoredFieldsReader {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public static final int BUFFER_REUSE_THRESHOLD = 32768;
    public static final byte[] SKIP_BUFFER = new byte[1024];
    public final l bytes;
    public final int chunkSize;
    public boolean closed;
    public final CompressionMode compressionMode;
    public final Decompressor decompressor;
    public final l0 fieldInfos;
    public final u fieldsStream;
    public final CompressingStoredFieldsIndexReader indexReader;
    public final int numDocs;
    public final int packedIntsVersion;
    public final int version;

    /* renamed from: org.apache.lucene.codecs.compressing.CompressingStoredFieldsReader$2  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass2 {
        public static final /* synthetic */ int[] $SwitchMap$org$apache$lucene$index$StoredFieldVisitor$Status;

        /* JADX WARNING: Can't wrap try/catch for region: R(8:0|(2:1|2)|3|5|6|7|8|10) */
        /* JADX WARNING: Code restructure failed: missing block: B:11:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0016 */
        static {
            int[] iArr = new int[f3.a.values().length];
            $SwitchMap$org$apache$lucene$index$StoredFieldVisitor$Status = iArr;
            try {
                f3.a aVar = f3.a.YES;
                iArr[0] = 1;
            } catch (NoSuchFieldError unused) {
            }
            int[] iArr2 = $SwitchMap$org$apache$lucene$index$StoredFieldVisitor$Status;
            f3.a aVar2 = f3.a.NO;
            iArr2[1] = 2;
            int[] iArr3 = $SwitchMap$org$apache$lucene$index$StoredFieldVisitor$Status;
            f3.a aVar3 = f3.a.STOP;
            iArr3[2] = 3;
        }
    }

    public final class ChunkIterator {
        public static final /* synthetic */ boolean $assertionsDisabled = false;
        public l bytes;
        public int chunkDocs;
        public int docBase;
        public int[] lengths;
        public int[] numStoredFields;
        public l spare;

        public int chunkSize() {
            int i2 = 0;
            for (int i3 = 0; i3 < this.chunkDocs; i3++) {
                i2 += this.lengths[i3];
            }
            return i2;
        }

        public void copyCompressedData(m mVar) {
            mVar.a(CompressingStoredFieldsReader.this.fieldsStream, (this.docBase + this.chunkDocs == CompressingStoredFieldsReader.this.numDocs ? CompressingStoredFieldsReader.this.fieldsStream.length() : CompressingStoredFieldsReader.this.indexReader.getStartPointer(this.docBase + this.chunkDocs)) - CompressingStoredFieldsReader.this.fieldsStream.getFilePointer());
        }

        public void decompress() {
            int chunkSize = chunkSize();
            if (CompressingStoredFieldsReader.this.version < 1 || chunkSize < CompressingStoredFieldsReader.this.chunkSize * 2) {
                CompressingStoredFieldsReader.this.decompressor.decompress(CompressingStoredFieldsReader.this.fieldsStream, chunkSize, 0, chunkSize, this.bytes);
            } else {
                l lVar = this.bytes;
                int i2 = 0;
                lVar.z = 0;
                lVar.y = 0;
                while (i2 < chunkSize) {
                    int min = Math.min(chunkSize - i2, CompressingStoredFieldsReader.this.chunkSize);
                    CompressingStoredFieldsReader.this.decompressor.decompress(CompressingStoredFieldsReader.this.fieldsStream, min, 0, min, this.spare);
                    l lVar2 = this.bytes;
                    lVar2.x = c.a(lVar2.x, lVar2.z + this.spare.z);
                    l lVar3 = this.spare;
                    byte[] bArr = lVar3.x;
                    int i3 = lVar3.y;
                    l lVar4 = this.bytes;
                    System.arraycopy(bArr, i3, lVar4.x, lVar4.z, lVar3.z);
                    this.bytes.z += this.spare.z;
                    i2 += min;
                }
            }
            if (this.bytes.z != chunkSize) {
                StringBuilder b2 = a.b("Corrupted: expected chunk size = ");
                b2.append(chunkSize());
                b2.append(", got ");
                b2.append(this.bytes.z);
                b2.append(" (resource=");
                b2.append(CompressingStoredFieldsReader.this.fieldsStream);
                b2.append(")");
                throw new q(b2.toString());
            }
        }

        public void next(int i2) {
            CompressingStoredFieldsReader.this.fieldsStream.seek(CompressingStoredFieldsReader.this.indexReader.getStartPointer(i2));
            int readVInt = CompressingStoredFieldsReader.this.fieldsStream.readVInt();
            int readVInt2 = CompressingStoredFieldsReader.this.fieldsStream.readVInt();
            if (readVInt < this.docBase + this.chunkDocs || readVInt + readVInt2 > CompressingStoredFieldsReader.this.numDocs) {
                StringBuilder b2 = a.b("Corrupted: current docBase=");
                b2.append(this.docBase);
                b2.append(", current numDocs=");
                b2.append(this.chunkDocs);
                b2.append(", new docBase=");
                b2.append(readVInt);
                b2.append(", new numDocs=");
                b2.append(readVInt2);
                b2.append(" (resource=");
                b2.append(CompressingStoredFieldsReader.this.fieldsStream);
                b2.append(")");
                throw new q(b2.toString());
            }
            this.docBase = readVInt;
            this.chunkDocs = readVInt2;
            if (readVInt2 > this.numStoredFields.length) {
                int a = c.a(readVInt2, 4);
                this.numStoredFields = new int[a];
                this.lengths = new int[a];
            }
            if (readVInt2 == 1) {
                this.numStoredFields[0] = CompressingStoredFieldsReader.this.fieldsStream.readVInt();
                this.lengths[0] = CompressingStoredFieldsReader.this.fieldsStream.readVInt();
                return;
            }
            int readVInt3 = CompressingStoredFieldsReader.this.fieldsStream.readVInt();
            if (readVInt3 == 0) {
                Arrays.fill(this.numStoredFields, 0, readVInt2, CompressingStoredFieldsReader.this.fieldsStream.readVInt());
            } else if (readVInt3 <= 31) {
                x0.k a2 = x0.a(CompressingStoredFieldsReader.this.fieldsStream, x0.d.PACKED, CompressingStoredFieldsReader.this.packedIntsVersion, readVInt2, readVInt3, 1);
                for (int i3 = 0; i3 < readVInt2; i3++) {
                    this.numStoredFields[i3] = (int) ((x0.l) a2).a();
                }
            } else {
                StringBuilder a3 = a.a("bitsPerStoredFields=", readVInt3, " (resource=");
                a3.append(CompressingStoredFieldsReader.this.fieldsStream);
                a3.append(")");
                throw new q(a3.toString());
            }
            int readVInt4 = CompressingStoredFieldsReader.this.fieldsStream.readVInt();
            if (readVInt4 == 0) {
                Arrays.fill(this.lengths, 0, readVInt2, CompressingStoredFieldsReader.this.fieldsStream.readVInt());
            } else if (readVInt4 <= 31) {
                x0.k a4 = x0.a(CompressingStoredFieldsReader.this.fieldsStream, x0.d.PACKED, CompressingStoredFieldsReader.this.packedIntsVersion, readVInt2, readVInt4, 1);
                for (int i4 = 0; i4 < readVInt2; i4++) {
                    this.lengths[i4] = (int) ((x0.l) a4).a();
                }
            } else {
                throw new q(a.c("bitsPerLength=", readVInt4));
            }
        }

        public ChunkIterator() {
            this.docBase = -1;
            this.bytes = new l(l.A);
            this.spare = new l(l.A);
            this.numStoredFields = new int[1];
            this.lengths = new int[1];
        }
    }

    public CompressingStoredFieldsReader(CompressingStoredFieldsReader compressingStoredFieldsReader) {
        this.version = compressingStoredFieldsReader.version;
        this.fieldInfos = compressingStoredFieldsReader.fieldInfos;
        this.fieldsStream = compressingStoredFieldsReader.fieldsStream.clone();
        this.indexReader = compressingStoredFieldsReader.indexReader.clone();
        this.chunkSize = compressingStoredFieldsReader.chunkSize;
        this.packedIntsVersion = compressingStoredFieldsReader.packedIntsVersion;
        this.compressionMode = compressingStoredFieldsReader.compressionMode;
        this.decompressor = compressingStoredFieldsReader.decompressor.clone();
        this.numDocs = compressingStoredFieldsReader.numDocs;
        this.bytes = new l(compressingStoredFieldsReader.bytes.x.length);
        this.closed = false;
    }

    private void ensureOpen() {
        if (this.closed) {
            throw new i.a.b.f.a("this FieldsReader is closed");
        }
    }

    public static void readField(i.a.b.f.l lVar, f3 f3Var, k0 k0Var, int i2) {
        int i3 = CompressingStoredFieldsWriter.TYPE_MASK & i2;
        if (i3 == 0) {
            int readVInt = lVar.readVInt();
            byte[] bArr = new byte[readVInt];
            lVar.readBytes(bArr, 0, readVInt);
            f3Var.a(k0Var, new String(bArr, x.a));
        } else if (i3 == 1) {
            int readVInt2 = lVar.readVInt();
            byte[] bArr2 = new byte[readVInt2];
            lVar.readBytes(bArr2, 0, readVInt2);
            i.a.b.b.a aVar = ((b) f3Var).a;
            aVar.x.add(new f(k0Var.a, bArr2));
        } else if (i3 == 2) {
            int readInt = lVar.readInt();
            i.a.b.b.a aVar2 = ((b) f3Var).a;
            aVar2.x.add(new f(k0Var.a, readInt));
        } else if (i3 == 3) {
            float intBitsToFloat = Float.intBitsToFloat(lVar.readInt());
            i.a.b.b.a aVar3 = ((b) f3Var).a;
            aVar3.x.add(new f(k0Var.a, intBitsToFloat));
        } else if (i3 == 4) {
            long readLong = lVar.readLong();
            i.a.b.b.a aVar4 = ((b) f3Var).a;
            aVar4.x.add(new f(k0Var.a, readLong));
        } else if (i3 == 5) {
            double longBitsToDouble = Double.longBitsToDouble(lVar.readLong());
            i.a.b.b.a aVar5 = ((b) f3Var).a;
            aVar5.x.add(new f(k0Var.a, longBitsToDouble));
        } else {
            StringBuilder b2 = a.b("Unknown type flag: ");
            b2.append(Integer.toHexString(i2));
            throw new AssertionError(b2.toString());
        }
    }

    public static void skipBytes(i.a.b.f.l lVar, long j) {
        long j2 = 0;
        while (j2 < j) {
            int min = (int) Math.min(j - j2, (long) SKIP_BUFFER.length);
            lVar.readBytes(SKIP_BUFFER, 0, min);
            j2 += (long) min;
        }
    }

    public static void skipField(i.a.b.f.l lVar, int i2) {
        int i3 = CompressingStoredFieldsWriter.TYPE_MASK & i2;
        if (i3 == 0 || i3 == 1) {
            skipBytes(lVar, (long) lVar.readVInt());
        } else if (i3 == 2 || i3 == 3) {
            lVar.readInt();
        } else if (i3 == 4 || i3 == 5) {
            lVar.readLong();
        } else {
            StringBuilder b2 = a.b("Unknown type flag: ");
            b2.append(Integer.toHexString(i2));
            throw new AssertionError(b2.toString());
        }
    }

    public ChunkIterator chunkIterator(int i2) {
        ensureOpen();
        this.fieldsStream.seek(this.indexReader.getStartPointer(i2));
        return new ChunkIterator();
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        if (!this.closed) {
            x.a(this.fieldsStream);
            this.closed = true;
        }
    }

    public int getChunkSize() {
        return this.chunkSize;
    }

    public CompressionMode getCompressionMode() {
        return this.compressionMode;
    }

    public int getVersion() {
        return this.version;
    }

    @Override // org.apache.lucene.codecs.StoredFieldsReader
    public long ramBytesUsed() {
        return this.indexReader.ramBytesUsed();
    }

    /* JADX WARNING: Removed duplicated region for block: B:47:0x012a  */
    @Override // org.apache.lucene.codecs.StoredFieldsReader
    public void visitDocument(int i2, f3 f3Var) {
        int i3;
        int i4;
        final int i5;
        int i6;
        int i7;
        i.a.b.f.l lVar;
        int i8;
        l lVar2;
        int i9;
        int i10;
        this.fieldsStream.seek(this.indexReader.getStartPointer(i2));
        int readVInt = this.fieldsStream.readVInt();
        int readVInt2 = this.fieldsStream.readVInt();
        if (i2 < readVInt || i2 >= (i3 = readVInt + readVInt2) || i3 > this.numDocs) {
            StringBuilder a = a.a("Corrupted: docID=", i2, ", docBase=", readVInt, ", chunkDocs=");
            a.append(readVInt2);
            a.append(", numDocs=");
            a.append(this.numDocs);
            a.append(" (resource=");
            a.append(this.fieldsStream);
            a.append(")");
            throw new q(a.toString());
        }
        if (readVInt2 == 1) {
            i7 = this.fieldsStream.readVInt();
            i6 = this.fieldsStream.readVInt();
            i5 = i6;
            i4 = 0;
        } else {
            int readVInt3 = this.fieldsStream.readVInt();
            if (readVInt3 == 0) {
                i9 = this.fieldsStream.readVInt();
            } else if (readVInt3 <= 31) {
                long filePointer = this.fieldsStream.getFilePointer();
                int i11 = (int) x0.a(this.fieldsStream, x0.d.PACKED, this.packedIntsVersion, readVInt2, readVInt3).get(i2 - readVInt);
                this.fieldsStream.seek(x0.d.PACKED.a(this.packedIntsVersion, readVInt2, readVInt3) + filePointer);
                i9 = i11;
            } else {
                StringBuilder a2 = a.a("bitsPerStoredFields=", readVInt3, " (resource=");
                a2.append(this.fieldsStream);
                a2.append(")");
                throw new q(a2.toString());
            }
            int readVInt4 = this.fieldsStream.readVInt();
            if (readVInt4 == 0) {
                int readVInt5 = this.fieldsStream.readVInt();
                i4 = (i2 - readVInt) * readVInt5;
                i5 = readVInt5;
                i7 = i9;
                i6 = readVInt2 * readVInt5;
            } else if (readVInt3 <= 31) {
                x0.k a3 = x0.a(this.fieldsStream, x0.d.PACKED, this.packedIntsVersion, readVInt2, readVInt4, 1);
                int i12 = 0;
                int i13 = 0;
                while (true) {
                    i10 = i2 - readVInt;
                    if (i13 >= i10) {
                        break;
                    }
                    i12 = (int) (((long) i12) + ((x0.l) a3).a());
                    i13++;
                }
                x0.l lVar3 = (x0.l) a3;
                int a4 = (int) lVar3.a();
                int i14 = i12 + a4;
                for (int i15 = i10 + 1; i15 < readVInt2; i15++) {
                    i14 = (int) (((long) i14) + lVar3.a());
                }
                i6 = i14;
                i5 = a4;
                i4 = i12;
                i7 = i9;
            } else {
                StringBuilder a5 = a.a("bitsPerLength=", readVInt4, " (resource=");
                a5.append(this.fieldsStream);
                a5.append(")");
                throw new q(a5.toString());
            }
        }
        if ((i5 == 0) != (i7 == 0)) {
            StringBuilder a6 = a.a("length=", i5, ", numStoredFields=", i7, " (resource=");
            a6.append(this.fieldsStream);
            a6.append(")");
            throw new q(a6.toString());
        } else if (i7 != 0) {
            if (this.version >= 1) {
                int i16 = this.chunkSize;
                if (i6 >= i16 * 2) {
                    this.decompressor.decompress(this.fieldsStream, i16, i4, Math.min(i5, i16 - i4), this.bytes);
                    lVar = new i.a.b.f.l() {
                        /* class org.apache.lucene.codecs.compressing.CompressingStoredFieldsReader.AnonymousClass1 */
                        public static final /* synthetic */ boolean $assertionsDisabled = false;
                        public int decompressed = CompressingStoredFieldsReader.this.bytes.z;

                        public void fillBuffer() {
                            int i2 = this.decompressed;
                            int i3 = i5;
                            if (i2 != i3) {
                                int min = Math.min(i3 - i2, CompressingStoredFieldsReader.this.chunkSize);
                                CompressingStoredFieldsReader.this.decompressor.decompress(CompressingStoredFieldsReader.this.fieldsStream, min, 0, min, CompressingStoredFieldsReader.this.bytes);
                                this.decompressed += min;
                                return;
                            }
                            throw new EOFException();
                        }

                        @Override // i.a.b.f.l
                        public byte readByte() {
                            if (CompressingStoredFieldsReader.this.bytes.z == 0) {
                                fillBuffer();
                            }
                            l lVar = CompressingStoredFieldsReader.this.bytes;
                            lVar.z--;
                            byte[] bArr = CompressingStoredFieldsReader.this.bytes.x;
                            l lVar2 = CompressingStoredFieldsReader.this.bytes;
                            int i2 = lVar2.y;
                            lVar2.y = i2 + 1;
                            return bArr[i2];
                        }

                        @Override // i.a.b.f.l
                        public void readBytes(byte[] bArr, int i2, int i3) {
                            while (i3 > CompressingStoredFieldsReader.this.bytes.z) {
                                System.arraycopy(CompressingStoredFieldsReader.this.bytes.x, CompressingStoredFieldsReader.this.bytes.y, bArr, i2, CompressingStoredFieldsReader.this.bytes.z);
                                i3 -= CompressingStoredFieldsReader.this.bytes.z;
                                i2 += CompressingStoredFieldsReader.this.bytes.z;
                                fillBuffer();
                            }
                            System.arraycopy(CompressingStoredFieldsReader.this.bytes.x, CompressingStoredFieldsReader.this.bytes.y, bArr, i2, i3);
                            CompressingStoredFieldsReader.this.bytes.y += i3;
                            CompressingStoredFieldsReader.this.bytes.z -= i3;
                        }
                    };
                    for (i8 = 0; i8 < i7; i8++) {
                        long readVLong = lVar.readVLong();
                        k0 a7 = this.fieldInfos.a((int) (readVLong >>> CompressingStoredFieldsWriter.TYPE_BITS));
                        int i17 = (int) (readVLong & ((long) CompressingStoredFieldsWriter.TYPE_MASK));
                        int ordinal = f3Var.a(a7).ordinal();
                        if (ordinal == 0) {
                            readField(lVar, f3Var, a7, i17);
                        } else if (ordinal == 1) {
                            skipField(lVar, i17);
                        } else if (ordinal == 2) {
                            return;
                        }
                    }
                }
            }
            if (i6 <= 32768) {
                lVar2 = this.bytes;
            } else {
                lVar2 = new l(l.A);
            }
            this.decompressor.decompress(this.fieldsStream, i6, i4, i5, lVar2);
            lVar = new e(lVar2.x, lVar2.y, lVar2.z);
            while (i8 < i7) {
            }
        }
    }

    @Override // org.apache.lucene.codecs.StoredFieldsReader, org.apache.lucene.codecs.StoredFieldsReader, java.lang.Object
    public StoredFieldsReader clone() {
        ensureOpen();
        return new CompressingStoredFieldsReader(this);
    }

    public CompressingStoredFieldsReader(n nVar, q2 q2Var, String str, l0 l0Var, t tVar, String str2, CompressionMode compressionMode2) {
        Throwable th;
        this.compressionMode = compressionMode2;
        String str3 = q2Var.a;
        this.fieldInfos = l0Var;
        this.numDocs = q2Var.b();
        u uVar = null;
        try {
            u c = nVar.c(a1.a(str3, str, "fdx"), tVar);
            try {
                this.version = CodecUtil.checkHeader(c, str2 + "Index", 0, 1);
                this.indexReader = new CompressingStoredFieldsIndexReader(c, q2Var);
                c.close();
                this.fieldsStream = nVar.c(a1.a(str3, str, "fdt"), tVar);
                int checkHeader = CodecUtil.checkHeader(this.fieldsStream, str2 + "Data", 0, 1);
                if (this.version == checkHeader) {
                    if (this.version >= 1) {
                        this.chunkSize = this.fieldsStream.readVInt();
                    } else {
                        this.chunkSize = -1;
                    }
                    this.packedIntsVersion = this.fieldsStream.readVInt();
                    this.decompressor = compressionMode2.newDecompressor();
                    this.bytes = new l(l.A);
                    return;
                }
                throw new q("Version mismatch between stored fields index and data: " + this.version + " != " + checkHeader);
            } catch (Throwable th2) {
                th = th2;
                uVar = c;
                x.b(this, uVar);
                throw th;
            }
        } catch (Throwable th3) {
            th = th3;
            x.b(this, uVar);
            throw th;
        }
    }
}
