package org.apache.lucene.codecs.compressing;

import i.a.b.c.a1;
import i.a.b.c.b0;
import i.a.b.c.c0;
import i.a.b.c.k0;
import i.a.b.c.l0;
import i.a.b.c.n0;
import i.a.b.c.n3;
import i.a.b.c.o3;
import i.a.b.c.q;
import i.a.b.c.q2;
import i.a.b.f.a;
import i.a.b.f.e;
import i.a.b.f.n;
import i.a.b.f.t;
import i.a.b.f.u;
import i.a.b.g.c;
import i.a.b.g.f0;
import i.a.b.g.g1.g;
import i.a.b.g.g1.x0;
import i.a.b.g.j;
import i.a.b.g.l;
import i.a.b.g.x;
import java.io.Closeable;
import java.util.Comparator;
import java.util.Iterator;
import java.util.NoSuchElementException;
import org.apache.lucene.codecs.CodecUtil;
import org.apache.lucene.codecs.TermVectorsReader;

public final class CompressingTermVectorsReader extends TermVectorsReader implements Closeable {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public final int chunkSize;
    public boolean closed;
    public final CompressionMode compressionMode;
    public final Decompressor decompressor;
    public final l0 fieldInfos;
    public final CompressingStoredFieldsIndexReader indexReader;
    public final int numDocs;
    public final int packedIntsVersion;
    public final g reader;
    public final u vectorsStream;

    public static class TVDocsEnum extends b0 {
        public int basePayloadOffset;
        public int doc = -1;

        /* renamed from: i  reason: collision with root package name */
        public int f1930i;
        public int[] lengths;
        public j liveDocs;
        public final l payload = new l(l.A);
        public int[] payloadIndex;
        public int positionIndex;
        public int[] positions;
        public int[] startOffsets;
        public int termFreq;

        private void checkDoc() {
            int i2 = this.doc;
            if (i2 == Integer.MAX_VALUE) {
                throw new IllegalStateException("DocsEnum exhausted");
            } else if (i2 == -1) {
                throw new IllegalStateException("DocsEnum not started");
            }
        }

        private void checkPosition() {
            checkDoc();
            int i2 = this.f1930i;
            if (i2 < 0) {
                throw new IllegalStateException("Position enum not started");
            } else if (i2 >= this.termFreq) {
                throw new IllegalStateException("Read past last position");
            }
        }

        @Override // i.a.b.e.r
        public int advance(int i2) {
            return slowAdvance(i2);
        }

        @Override // i.a.b.e.r
        public long cost() {
            return 1;
        }

        @Override // i.a.b.e.r
        public int docID() {
            return this.doc;
        }

        @Override // i.a.b.c.b0
        public int endOffset() {
            checkPosition();
            int[] iArr = this.startOffsets;
            if (iArr == null) {
                return -1;
            }
            int i2 = this.positionIndex;
            int i3 = this.f1930i;
            return iArr[i2 + i3] + this.lengths[i2 + i3];
        }

        @Override // i.a.b.c.c0
        public int freq() {
            checkDoc();
            return this.termFreq;
        }

        @Override // i.a.b.c.b0
        public l getPayload() {
            checkPosition();
            if (this.payloadIndex == null) {
                return null;
            }
            l lVar = this.payload;
            if (lVar.z == 0) {
                return null;
            }
            return lVar;
        }

        @Override // i.a.b.e.r
        public int nextDoc() {
            j jVar;
            if (this.doc != -1 || ((jVar = this.liveDocs) != null && !jVar.get(0))) {
                this.doc = Integer.MAX_VALUE;
                return Integer.MAX_VALUE;
            }
            this.doc = 0;
            return 0;
        }

        @Override // i.a.b.c.b0
        public int nextPosition() {
            if (this.doc == 0) {
                int i2 = this.f1930i;
                if (i2 < this.termFreq - 1) {
                    int i3 = i2 + 1;
                    this.f1930i = i3;
                    int[] iArr = this.payloadIndex;
                    if (iArr != null) {
                        l lVar = this.payload;
                        int i4 = this.basePayloadOffset;
                        int i5 = this.positionIndex;
                        lVar.y = i4 + iArr[i5 + i3];
                        lVar.z = iArr[(i5 + i3) + 1] - iArr[i5 + i3];
                    }
                    int[] iArr2 = this.positions;
                    if (iArr2 == null) {
                        return -1;
                    }
                    return iArr2[this.positionIndex + this.f1930i];
                }
                throw new IllegalStateException("Read past last position");
            }
            throw new IllegalStateException();
        }

        public void reset(j jVar, int i2, int i3, int[] iArr, int[] iArr2, int[] iArr3, l lVar, int[] iArr4) {
            this.liveDocs = jVar;
            this.termFreq = i2;
            this.positionIndex = i3;
            this.positions = iArr;
            this.startOffsets = iArr2;
            this.lengths = iArr3;
            this.basePayloadOffset = lVar.y;
            l lVar2 = this.payload;
            lVar2.x = lVar.x;
            lVar2.z = 0;
            lVar2.y = 0;
            this.payloadIndex = iArr4;
            this.f1930i = -1;
            this.doc = -1;
        }

        @Override // i.a.b.c.b0
        public int startOffset() {
            checkPosition();
            int[] iArr = this.startOffsets;
            if (iArr == null) {
                return -1;
            }
            return iArr[this.positionIndex + this.f1930i];
        }
    }

    public class TVFields extends n0 {
        public static final /* synthetic */ boolean $assertionsDisabled = false;
        public final int[] fieldFlags;
        public final int[] fieldLengths;
        public final int[] fieldNumOffs;
        public final int[] fieldNums;
        public final int[][] lengths;
        public final int[] numTerms;
        public final l payloadBytes;
        public final int[][] payloadIndex;
        public final int[][] positionIndex;
        public final int[][] positions;
        public final int[][] prefixLengths;
        public final int[][] startOffsets;
        public final l suffixBytes;
        public final int[][] suffixLengths;
        public final int[][] termFreqs;

        public TVFields(int[] iArr, int[] iArr2, int[] iArr3, int[] iArr4, int[] iArr5, int[][] iArr6, int[][] iArr7, int[][] iArr8, int[][] iArr9, int[][] iArr10, int[][] iArr11, int[][] iArr12, l lVar, int[][] iArr13, l lVar2) {
            this.fieldNums = iArr;
            this.fieldFlags = iArr2;
            this.fieldNumOffs = iArr3;
            this.numTerms = iArr4;
            this.fieldLengths = iArr5;
            this.prefixLengths = iArr6;
            this.suffixLengths = iArr7;
            this.termFreqs = iArr8;
            this.positionIndex = iArr9;
            this.positions = iArr10;
            this.startOffsets = iArr11;
            this.lengths = iArr12;
            this.payloadBytes = lVar;
            this.payloadIndex = iArr13;
            this.suffixBytes = lVar2;
        }

        @Override // i.a.b.c.n0, java.lang.Iterable
        public Iterator<String> iterator() {
            return new Iterator<String>() {
                /* class org.apache.lucene.codecs.compressing.CompressingTermVectorsReader.TVFields.AnonymousClass1 */

                /* renamed from: i  reason: collision with root package name */
                public int f1931i = 0;

                public boolean hasNext() {
                    return this.f1931i < TVFields.this.fieldNumOffs.length;
                }

                public void remove() {
                    throw new UnsupportedOperationException();
                }

                @Override // java.util.Iterator
                public String next() {
                    if (hasNext()) {
                        int[] iArr = TVFields.this.fieldNums;
                        int[] iArr2 = TVFields.this.fieldNumOffs;
                        int i2 = this.f1931i;
                        this.f1931i = i2 + 1;
                        return CompressingTermVectorsReader.this.fieldInfos.a(iArr[iArr2[i2]]).a;
                    }
                    throw new NoSuchElementException();
                }
            };
        }

        @Override // i.a.b.c.n0
        public int size() {
            return this.fieldNumOffs.length;
        }

        @Override // i.a.b.c.n0
        public n3 terms(String str) {
            int i2;
            k0 k0Var = CompressingTermVectorsReader.this.fieldInfos.H.get(str);
            if (k0Var == null) {
                return null;
            }
            int i3 = 0;
            int i4 = 0;
            while (true) {
                int[] iArr = this.fieldNumOffs;
                i2 = -1;
                if (i4 >= iArr.length) {
                    i4 = -1;
                    break;
                } else if (this.fieldNums[iArr[i4]] == k0Var.f949b) {
                    break;
                } else {
                    i4++;
                }
            }
            if (i4 == -1 || this.numTerms[i4] == 0) {
                return null;
            }
            int i5 = 0;
            while (true) {
                if (i3 < this.fieldNumOffs.length) {
                    if (i3 >= i4) {
                        i2 = this.fieldLengths[i3];
                        break;
                    }
                    i5 += this.fieldLengths[i3];
                    i3++;
                } else {
                    break;
                }
            }
            CompressingTermVectorsReader compressingTermVectorsReader = CompressingTermVectorsReader.this;
            int i6 = this.numTerms[i4];
            int i7 = this.fieldFlags[i4];
            int[] iArr2 = this.prefixLengths[i4];
            int[] iArr3 = this.suffixLengths[i4];
            int[] iArr4 = this.termFreqs[i4];
            int[] iArr5 = this.positionIndex[i4];
            int[] iArr6 = this.positions[i4];
            int[] iArr7 = this.startOffsets[i4];
            int[] iArr8 = this.lengths[i4];
            int[] iArr9 = this.payloadIndex[i4];
            l lVar = this.payloadBytes;
            l lVar2 = this.suffixBytes;
            return new TVTerms(i6, i7, iArr2, iArr3, iArr4, iArr5, iArr6, iArr7, iArr8, iArr9, lVar, new l(lVar2.x, lVar2.y + i5, i2));
        }
    }

    public class TVTerms extends n3 {
        public final int flags;
        public final int[] lengths;
        public final int numTerms;
        public final l payloadBytes;
        public final int[] payloadIndex;
        public final int[] positionIndex;
        public final int[] positions;
        public final int[] prefixLengths;
        public final int[] startOffsets;
        public final int[] suffixLengths;
        public final l termBytes;
        public final int[] termFreqs;

        public TVTerms(int i2, int i3, int[] iArr, int[] iArr2, int[] iArr3, int[] iArr4, int[] iArr5, int[] iArr6, int[] iArr7, int[] iArr8, l lVar, l lVar2) {
            this.numTerms = i2;
            this.flags = i3;
            this.prefixLengths = iArr;
            this.suffixLengths = iArr2;
            this.termFreqs = iArr3;
            this.positionIndex = iArr4;
            this.positions = iArr5;
            this.startOffsets = iArr6;
            this.lengths = iArr7;
            this.payloadIndex = iArr8;
            this.payloadBytes = lVar;
            this.termBytes = lVar2;
        }

        @Override // i.a.b.c.n3
        public Comparator<l> getComparator() {
            return l.C;
        }

        @Override // i.a.b.c.n3
        public int getDocCount() {
            return 1;
        }

        @Override // i.a.b.c.n3
        public long getSumDocFreq() {
            return (long) this.numTerms;
        }

        @Override // i.a.b.c.n3
        public long getSumTotalTermFreq() {
            return -1;
        }

        @Override // i.a.b.c.n3
        public boolean hasFreqs() {
            return true;
        }

        @Override // i.a.b.c.n3
        public boolean hasOffsets() {
            return (this.flags & 2) != 0;
        }

        @Override // i.a.b.c.n3
        public boolean hasPayloads() {
            return (this.flags & 4) != 0;
        }

        @Override // i.a.b.c.n3
        public boolean hasPositions() {
            return (this.flags & 1) != 0;
        }

        @Override // i.a.b.c.n3
        public o3 iterator(o3 o3Var) {
            TVTermsEnum tVTermsEnum;
            if (o3Var == null || !(o3Var instanceof TVTermsEnum)) {
                tVTermsEnum = new TVTermsEnum();
            } else {
                tVTermsEnum = (TVTermsEnum) o3Var;
            }
            int i2 = this.numTerms;
            int i3 = this.flags;
            int[] iArr = this.prefixLengths;
            int[] iArr2 = this.suffixLengths;
            int[] iArr3 = this.termFreqs;
            int[] iArr4 = this.positionIndex;
            int[] iArr5 = this.positions;
            int[] iArr6 = this.startOffsets;
            int[] iArr7 = this.lengths;
            int[] iArr8 = this.payloadIndex;
            l lVar = this.payloadBytes;
            l lVar2 = this.termBytes;
            tVTermsEnum.reset(i2, i3, iArr, iArr2, iArr3, iArr4, iArr5, iArr6, iArr7, iArr8, lVar, new e(lVar2.x, lVar2.y, lVar2.z));
            return tVTermsEnum;
        }

        @Override // i.a.b.c.n3
        public long size() {
            return (long) this.numTerms;
        }
    }

    public static class TVTermsEnum extends o3 {
        public static final /* synthetic */ boolean $assertionsDisabled = false;
        public e in;
        public int[] lengths;
        public int numTerms;
        public int ord;
        public int[] payloadIndex;
        public l payloads;
        public int[] positionIndex;
        public int[] positions;
        public int[] prefixLengths;
        public int[] startOffsets;
        public int startPos;
        public int[] suffixLengths;
        public final l term;
        public int[] termFreqs;

        @Override // i.a.b.c.o3
        public int docFreq() {
            return 1;
        }

        @Override // i.a.b.c.o3
        public final c0 docs(j jVar, c0 c0Var, int i2) {
            TVDocsEnum tVDocsEnum;
            if (c0Var == null || !(c0Var instanceof TVDocsEnum)) {
                tVDocsEnum = new TVDocsEnum();
            } else {
                tVDocsEnum = (TVDocsEnum) c0Var;
            }
            int[] iArr = this.termFreqs;
            int i3 = this.ord;
            tVDocsEnum.reset(jVar, iArr[i3], this.positionIndex[i3], this.positions, this.startOffsets, this.lengths, this.payloads, this.payloadIndex);
            return tVDocsEnum;
        }

        @Override // i.a.b.c.o3
        public b0 docsAndPositions(j jVar, b0 b0Var, int i2) {
            if (this.positions == null && this.startOffsets == null) {
                return null;
            }
            return (b0) docs(jVar, b0Var, i2);
        }

        @Override // i.a.b.g.n
        public Comparator<l> getComparator() {
            return l.C;
        }

        @Override // i.a.b.g.n
        public l next() {
            int i2 = this.ord;
            if (i2 == this.numTerms - 1) {
                return null;
            }
            int i3 = i2 + 1;
            this.ord = i3;
            l lVar = this.term;
            lVar.y = 0;
            int i4 = this.prefixLengths[i3] + this.suffixLengths[i3];
            lVar.z = i4;
            byte[] bArr = lVar.x;
            if (i4 > bArr.length) {
                lVar.x = c.a(bArr, i4);
            }
            e eVar = this.in;
            byte[] bArr2 = this.term.x;
            int[] iArr = this.prefixLengths;
            int i5 = this.ord;
            eVar.readBytes(bArr2, iArr[i5], this.suffixLengths[i5]);
            return this.term;
        }

        @Override // i.a.b.c.o3
        public long ord() {
            throw new UnsupportedOperationException();
        }

        public void reset(int i2, int i3, int[] iArr, int[] iArr2, int[] iArr3, int[] iArr4, int[] iArr5, int[] iArr6, int[] iArr7, int[] iArr8, l lVar, e eVar) {
            this.numTerms = i2;
            this.prefixLengths = iArr;
            this.suffixLengths = iArr2;
            this.termFreqs = iArr3;
            this.positionIndex = iArr4;
            this.positions = iArr5;
            this.startOffsets = iArr6;
            this.lengths = iArr7;
            this.payloadIndex = iArr8;
            this.payloads = lVar;
            this.in = eVar;
            this.startPos = eVar.y;
            reset();
        }

        @Override // i.a.b.c.o3
        public o3.c seekCeil(l lVar) {
            int b2;
            int i2 = this.ord;
            if (i2 < this.numTerms && i2 >= 0) {
                int b3 = term().compareTo(lVar);
                if (b3 == 0) {
                    return o3.c.FOUND;
                }
                if (b3 > 0) {
                    reset();
                }
            }
            do {
                l next = next();
                if (next == null) {
                    return o3.c.END;
                }
                b2 = next.compareTo(lVar);
                if (b2 > 0) {
                    return o3.c.NOT_FOUND;
                }
            } while (b2 != 0);
            return o3.c.FOUND;
        }

        @Override // i.a.b.c.o3
        public void seekExact(long j) {
            throw new UnsupportedOperationException();
        }

        @Override // i.a.b.c.o3
        public l term() {
            return this.term;
        }

        @Override // i.a.b.c.o3
        public long totalTermFreq() {
            return (long) this.termFreqs[this.ord];
        }

        public TVTermsEnum() {
            this.term = new l(16);
        }

        public void reset() {
            this.term.z = 0;
            this.in.y = this.startPos;
            this.ord = -1;
        }
    }

    public CompressingTermVectorsReader(CompressingTermVectorsReader compressingTermVectorsReader) {
        this.fieldInfos = compressingTermVectorsReader.fieldInfos;
        this.vectorsStream = compressingTermVectorsReader.vectorsStream.clone();
        this.indexReader = compressingTermVectorsReader.indexReader.clone();
        this.packedIntsVersion = compressingTermVectorsReader.packedIntsVersion;
        this.compressionMode = compressingTermVectorsReader.compressionMode;
        this.decompressor = compressingTermVectorsReader.decompressor.clone();
        this.chunkSize = compressingTermVectorsReader.chunkSize;
        this.numDocs = compressingTermVectorsReader.numDocs;
        this.reader = new g(this.vectorsStream, this.packedIntsVersion, 64, 0);
        this.closed = false;
    }

    private void ensureOpen() {
        if (this.closed) {
            throw new a("this FieldsReader is closed");
        }
    }

    private int[][] positionIndex(int i2, int i3, x0.i iVar, int[] iArr) {
        int[][] iArr2 = new int[i3][];
        int i4 = 0;
        for (int i5 = 0; i5 < i2; i5++) {
            i4 += (int) iVar.get(i5);
        }
        for (int i6 = 0; i6 < i3; i6++) {
            int i7 = (int) iVar.get(i2 + i6);
            iArr2[i6] = new int[(i7 + 1)];
            int i8 = 0;
            while (i8 < i7) {
                int i9 = i8 + 1;
                iArr2[i6][i9] = iArr2[i6][i8] + iArr[i4 + i8];
                i8 = i9;
            }
            i4 += i7;
        }
        return iArr2;
    }

    private int[][] readPositions(int i2, int i3, x0.i iVar, x0.i iVar2, int[] iArr, int i4, int i5, int[][] iArr2) {
        int i6 = i2;
        int i7 = i3;
        int[][] iArr3 = new int[i7][];
        long j = (long) i5;
        this.reader.a(this.vectorsStream, j);
        int i8 = 0;
        int i9 = 0;
        for (int i10 = 0; i10 < i6; i10++) {
            int i11 = (int) iVar.get(i10);
            int i12 = (int) iVar2.get(i10);
            if ((i11 & i4) != 0) {
                for (int i13 = 0; i13 < i12; i13++) {
                    i8 += iArr[i9 + i13];
                }
            }
            i9 += i12;
        }
        this.reader.a((long) i8);
        int i14 = 0;
        while (i14 < i7) {
            int i15 = i6 + i14;
            int i16 = (int) iVar.get(i15);
            int i17 = (int) iVar2.get(i15);
            if ((i16 & i4) != 0) {
                int i18 = iArr2[i14][i17];
                int[] iArr4 = new int[i18];
                iArr3[i14] = iArr4;
                int i19 = 0;
                while (i19 < i18) {
                    f0 a = this.reader.a(i18 - i19);
                    int i20 = 0;
                    while (i20 < a.z) {
                        iArr4[i19] = (int) a.x[a.y + i20];
                        i20++;
                        i19++;
                    }
                }
            }
            i14++;
            i6 = i2;
            i7 = i3;
        }
        g gVar = this.reader;
        gVar.a(j - gVar.f1485i);
        return iArr3;
    }

    public static int sum(int[] iArr) {
        int i2 = 0;
        for (int i3 : iArr) {
            i2 += i3;
        }
        return i2;
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        if (!this.closed) {
            x.a(this.vectorsStream);
            this.closed = true;
        }
    }

    @Override // org.apache.lucene.codecs.TermVectorsReader
    public n0 get(int i2) {
        int i3;
        int i4;
        int i5;
        int i6;
        x0.f fVar;
        int i7;
        int[] iArr;
        int[] iArr2;
        x0.i iVar;
        x0.i iVar2;
        int i8;
        int[][] iArr3;
        int i9;
        int[][] iArr4;
        int[][] iArr5;
        x0.i iVar3;
        CompressingTermVectorsReader compressingTermVectorsReader;
        int i10;
        x0.i iVar4;
        int i11;
        int i12;
        int i13;
        int i14;
        int[][] iArr6;
        x0.i iVar5;
        int i15;
        CompressingTermVectorsReader compressingTermVectorsReader2 = this;
        ensureOpen();
        compressingTermVectorsReader2.vectorsStream.seek(compressingTermVectorsReader2.indexReader.getStartPointer(i2));
        int readVInt = compressingTermVectorsReader2.vectorsStream.readVInt();
        int readVInt2 = compressingTermVectorsReader2.vectorsStream.readVInt();
        if (i2 < readVInt || i2 >= (i3 = readVInt + readVInt2) || i3 > compressingTermVectorsReader2.numDocs) {
            StringBuilder a = b.b.a.a.a.a("docBase=", readVInt, ",chunkDocs=", readVInt2, ",doc=");
            a.append(i2);
            a.append(" (resource=");
            a.append(this.vectorsStream);
            a.append(")");
            throw new q(a.toString());
        }
        if (readVInt2 == 1) {
            i6 = compressingTermVectorsReader2.vectorsStream.readVInt();
            i5 = i6;
            i4 = 0;
        } else {
            compressingTermVectorsReader2.reader.a(compressingTermVectorsReader2.vectorsStream, (long) readVInt2);
            int i16 = 0;
            while (readVInt < i2) {
                i16 = (int) (compressingTermVectorsReader2.reader.a() + ((long) i16));
                readVInt++;
            }
            int a2 = (int) compressingTermVectorsReader2.reader.a();
            int i17 = i16 + a2;
            for (int i18 = i2 + 1; i18 < i3; i18++) {
                i17 = (int) (compressingTermVectorsReader2.reader.a() + ((long) i17));
            }
            i6 = a2;
            i4 = i16;
            i5 = i17;
        }
        if (i6 == 0) {
            return null;
        }
        int readByte = compressingTermVectorsReader2.vectorsStream.readByte() & 255;
        int i19 = readByte & 31;
        int i20 = readByte >>> 5;
        if (i20 == 7) {
            i20 += compressingTermVectorsReader2.vectorsStream.readVInt();
        }
        int i21 = i20 + 1;
        x0.k a3 = x0.a(compressingTermVectorsReader2.vectorsStream, x0.d.PACKED, compressingTermVectorsReader2.packedIntsVersion, i21, i19, 1);
        int[] iArr7 = new int[i21];
        for (int i22 = 0; i22 < i21; i22++) {
            iArr7[i22] = (int) ((x0.l) a3).a();
        }
        int[] iArr8 = new int[i6];
        x0.i a4 = x0.a((i.a.b.f.l) compressingTermVectorsReader2.vectorsStream, x0.d.PACKED, compressingTermVectorsReader2.packedIntsVersion, i5, x0.a((long) (i21 - 1)));
        int readVInt3 = compressingTermVectorsReader2.vectorsStream.readVInt();
        if (readVInt3 == 0) {
            x0.i a5 = x0.a((i.a.b.f.l) compressingTermVectorsReader2.vectorsStream, x0.d.PACKED, compressingTermVectorsReader2.packedIntsVersion, i21, CompressingTermVectorsWriter.FLAGS_BITS);
            x0.f b2 = x0.b(i5, CompressingTermVectorsWriter.FLAGS_BITS, 0.0f);
            for (int i23 = 0; i23 < i5; i23++) {
                b2.a(i23, (long) ((int) a5.get((int) a4.get(i23))));
            }
            fVar = b2;
        } else if (readVInt3 == 1) {
            fVar = x0.a((i.a.b.f.l) compressingTermVectorsReader2.vectorsStream, x0.d.PACKED, compressingTermVectorsReader2.packedIntsVersion, i5, CompressingTermVectorsWriter.FLAGS_BITS);
        } else {
            throw new AssertionError();
        }
        for (int i24 = 0; i24 < i6; i24++) {
            iArr8[i24] = (int) a4.get(i4 + i24);
        }
        x0.i a6 = x0.a((i.a.b.f.l) compressingTermVectorsReader2.vectorsStream, x0.d.PACKED, compressingTermVectorsReader2.packedIntsVersion, i5, compressingTermVectorsReader2.vectorsStream.readVInt());
        int i25 = 0;
        for (int i26 = 0; i26 < i5; i26++) {
            i25 = (int) (a6.get(i26) + ((long) i25));
        }
        int[] iArr9 = new int[i6];
        int[][] iArr10 = new int[i6][];
        int[][] iArr11 = new int[i6][];
        long j = (long) i25;
        compressingTermVectorsReader2.reader.a(compressingTermVectorsReader2.vectorsStream, j);
        int i27 = 0;
        for (int i28 = 0; i28 < i4; i28++) {
            i27 = (int) (a6.get(i28) + ((long) i27));
        }
        compressingTermVectorsReader2.reader.a((long) i27);
        int i29 = 0;
        while (i29 < i6) {
            int i30 = (int) a6.get(i4 + i29);
            int[] iArr12 = new int[i30];
            iArr10[i29] = iArr12;
            int i31 = 0;
            while (i31 < i30) {
                int i32 = 0;
                for (f0 a7 = compressingTermVectorsReader2.reader.a(i30 - i31); i32 < a7.z; a7 = a7) {
                    iArr12[i31] = (int) a7.x[a7.y + i32];
                    i32++;
                    i31++;
                    i25 = i25;
                    i6 = i6;
                }
                i21 = i21;
                fVar = fVar;
                i30 = i30;
            }
            i29++;
            iArr10 = iArr10;
        }
        x0.i iVar6 = fVar;
        g gVar = compressingTermVectorsReader2.reader;
        gVar.a(j - gVar.f1485i);
        compressingTermVectorsReader2.reader.a(compressingTermVectorsReader2.vectorsStream, j);
        int i33 = 0;
        for (int i34 = 0; i34 < i4; i34++) {
            for (int i35 = 0; ((long) i35) < a6.get(i34); i35++) {
                i33 = (int) (compressingTermVectorsReader2.reader.a() + ((long) i33));
            }
        }
        int i36 = 0;
        int i37 = 0;
        while (i36 < i6) {
            int i38 = (int) a6.get(i4 + i36);
            int[] iArr13 = new int[i38];
            iArr11[i36] = iArr13;
            int i39 = 0;
            while (i39 < i38) {
                f0 a8 = compressingTermVectorsReader2.reader.a(i38 - i39);
                int i40 = 0;
                while (i40 < a8.z) {
                    iArr13[i39] = (int) a8.x[a8.y + i40];
                    i40++;
                    i38 = i38;
                    i39++;
                }
                compressingTermVectorsReader2 = this;
                j = j;
            }
            iArr9[i36] = sum(iArr11[i36]);
            i37 += iArr9[i36];
            i36++;
            compressingTermVectorsReader2 = this;
        }
        int i41 = i4 + i6;
        int i42 = i33 + i37;
        for (int i43 = i41; i43 < i5; i43++) {
            for (int i44 = 0; ((long) i44) < a6.get(i43); i44++) {
                i42 = (int) (this.reader.a() + ((long) i42));
            }
        }
        int i45 = i25;
        int[] iArr14 = new int[i45];
        this.reader.a(this.vectorsStream, j);
        int i46 = 0;
        while (i46 < i45) {
            f0 a9 = this.reader.a(i45 - i46);
            int i47 = 0;
            while (i47 < a9.z) {
                iArr14[i46] = ((int) a9.x[a9.y + i47]) + 1;
                i47++;
                i45 = i45;
                i46++;
                i37 = i37;
                i41 = i41;
            }
        }
        int i48 = 0;
        int i49 = 0;
        int i50 = 0;
        int i51 = 0;
        int i52 = 0;
        while (i48 < i5) {
            int i53 = (int) iVar6.get(i48);
            int i54 = i49;
            int i55 = (int) a6.get(i48);
            int i56 = 0;
            while (i56 < i55) {
                int i57 = i54 + 1;
                int i58 = iArr14[i54];
                if ((i53 & 1) != 0) {
                    i51 += i58;
                }
                if ((i53 & 2) != 0) {
                    i52 += i58;
                }
                if ((i53 & 4) != 0) {
                    i50 += i58;
                }
                i56++;
                i54 = i57;
            }
            i48++;
            i49 = i54;
            iVar6 = iVar6;
        }
        int[][] positionIndex = positionIndex(i4, i6, a6, iArr14);
        if (i51 > 0) {
            iVar = iVar6;
            iArr2 = iArr14;
            iArr = iArr9;
            iVar2 = a6;
            i7 = i33;
            i8 = i6;
            iArr3 = readPositions(i4, i6, iVar6, a6, iArr14, 1, i51, positionIndex);
        } else {
            iVar = iVar6;
            iArr2 = iArr14;
            iArr = iArr9;
            iVar2 = a6;
            i7 = i33;
            i8 = i6;
            iArr3 = new int[i8][];
        }
        if (i52 > 0) {
            float[] fArr = new float[i21];
            for (int i59 = 0; i59 < i21; i59++) {
                fArr[i59] = Float.intBitsToFloat(this.vectorsStream.readInt());
            }
            iArr4 = readPositions(i4, i8, iVar, iVar2, iArr2, 2, i52, positionIndex);
            int[][] readPositions = readPositions(i4, i8, iVar, iVar2, iArr2, 2, i52, positionIndex);
            int i60 = 0;
            while (i60 < i8) {
                int[] iArr15 = iArr4[i60];
                int[] iArr16 = iArr3[i60];
                if (!(iArr15 == null || iArr16 == null)) {
                    float f2 = fArr[iArr8[i60]];
                    for (int i61 = 0; i61 < iArr4[i60].length; i61++) {
                        iArr15[i61] = iArr15[i61] + ((int) (((float) iArr16[i61]) * f2));
                    }
                }
                if (iArr15 != null) {
                    int[] iArr17 = iArr10[i60];
                    int[] iArr18 = iArr11[i60];
                    int[] iArr19 = readPositions[i60];
                    i14 = i42;
                    iVar5 = iVar2;
                    int i62 = (int) iVar5.get(i4 + i60);
                    int i63 = 0;
                    while (i63 < i62) {
                        int i64 = iArr17[i63] + iArr18[i63];
                        int[] iArr20 = readPositions[i60];
                        int i65 = positionIndex[i60][i63];
                        iArr20[i65] = iArr20[i65] + i64;
                        int i66 = positionIndex[i60][i63] + 1;
                        while (true) {
                            i15 = i63 + 1;
                            if (i66 >= positionIndex[i60][i15]) {
                                break;
                            }
                            iArr15[i66] = iArr15[i66] + iArr15[i66 - 1];
                            iArr19[i66] = iArr19[i66] + i64;
                            i66++;
                            readPositions = readPositions;
                        }
                        i63 = i15;
                        readPositions = readPositions;
                    }
                    iArr6 = readPositions;
                } else {
                    iArr6 = readPositions;
                    i14 = i42;
                    iVar5 = iVar2;
                }
                i60++;
                i42 = i14;
                iVar2 = iVar5;
                readPositions = iArr6;
            }
            iArr5 = readPositions;
            i9 = i42;
            iVar3 = iVar2;
        } else {
            i9 = i42;
            iVar3 = iVar2;
            iArr5 = new int[i8][];
            iArr4 = iArr5;
        }
        if (i51 > 0) {
            for (int i67 = 0; i67 < i8; i67++) {
                int[] iArr21 = iArr3[i67];
                int[] iArr22 = positionIndex[i67];
                if (iArr21 != null) {
                    int i68 = (int) iVar3.get(i4 + i67);
                    int i69 = 0;
                    while (i69 < i68) {
                        int i70 = iArr22[i69];
                        while (true) {
                            i70++;
                            i13 = i69 + 1;
                            if (i70 >= iArr22[i13]) {
                                break;
                            }
                            iArr21[i70] = iArr21[i70] + iArr21[i70 - 1];
                        }
                        i69 = i13;
                    }
                }
            }
        }
        int[][] iArr23 = new int[i8][];
        if (i50 > 0) {
            CompressingTermVectorsReader compressingTermVectorsReader3 = this;
            compressingTermVectorsReader3.reader.a(compressingTermVectorsReader3.vectorsStream, (long) i50);
            int i71 = 0;
            i11 = 0;
            int i72 = 0;
            while (i71 < i4) {
                int i73 = (int) iVar.get(i71);
                int i74 = (int) iVar3.get(i71);
                if ((i73 & 4) != 0) {
                    for (int i75 = 0; i75 < i74; i75++) {
                        int i76 = iArr2[i72 + i75];
                        for (int i77 = 0; i77 < i76; i77++) {
                            i11 += (int) compressingTermVectorsReader3.reader.a();
                        }
                    }
                }
                i72 += i74;
                i71++;
                iVar = iVar;
            }
            iVar4 = iVar;
            int i78 = 0;
            i10 = 0;
            while (i78 < i8) {
                int i79 = i4 + i78;
                int i80 = (int) iVar4.get(i79);
                int i81 = (int) iVar3.get(i79);
                if ((i80 & 4) != 0) {
                    iArr23[i78] = new int[(positionIndex[i78][i81] + 1)];
                    int i82 = 0;
                    iArr23[i78][0] = i10;
                    int i83 = 0;
                    int i84 = 0;
                    while (i83 < i81) {
                        for (int i85 = iArr2[i72 + i83]; i82 < i85; i85 = i85) {
                            i10 += (int) compressingTermVectorsReader3.reader.a();
                            i84++;
                            iArr23[i78][i84] = i10;
                            i82++;
                            compressingTermVectorsReader3 = this;
                        }
                        i83++;
                        i82 = 0;
                        compressingTermVectorsReader3 = this;
                    }
                }
                i72 += i81;
                i78++;
                compressingTermVectorsReader3 = this;
            }
            i12 = i11 + i10;
            int i86 = i41;
            while (i86 < i5) {
                int i87 = (int) iVar4.get(i86);
                int i88 = i12;
                int i89 = i11;
                int i90 = (int) iVar3.get(i86);
                if ((i87 & 4) != 0) {
                    for (int i91 = 0; i91 < i90; i91++) {
                        int i92 = 0;
                        for (int i93 = iArr2[i72 + i91]; i92 < i93; i93 = i93) {
                            i92++;
                            i88 = (int) (this.reader.a() + ((long) i88));
                            i10 = i10;
                            i89 = i89;
                        }
                    }
                }
                i12 = i88;
                i72 += i90;
                i86++;
                i10 = i10;
                i11 = i89;
            }
            compressingTermVectorsReader = this;
        } else {
            compressingTermVectorsReader = this;
            iVar4 = iVar;
            i12 = 0;
            i11 = 0;
            i10 = 0;
        }
        l lVar = new l(l.A);
        compressingTermVectorsReader.decompressor.decompress(compressingTermVectorsReader.vectorsStream, i9 + i12, i7 + i11, i37 + i10, lVar);
        lVar.z = i37;
        l lVar2 = new l(lVar.x, lVar.y + i37, i10);
        int[] iArr24 = new int[i8];
        for (int i94 = 0; i94 < i8; i94++) {
            iArr24[i94] = (int) iVar4.get(i4 + i94);
        }
        int[] iArr25 = new int[i8];
        for (int i95 = 0; i95 < i8; i95++) {
            iArr25[i95] = (int) iVar3.get(i4 + i95);
        }
        int[][] iArr26 = new int[i8][];
        int i96 = 0;
        for (int i97 = 0; i97 < i4; i97++) {
            i96 = (int) (iVar3.get(i97) + ((long) i96));
        }
        for (int i98 = 0; i98 < i8; i98++) {
            int i99 = (int) iVar3.get(i4 + i98);
            iArr26[i98] = new int[i99];
            int i100 = 0;
            while (i100 < i99) {
                iArr26[i98][i100] = iArr2[i96];
                i100++;
                i96++;
            }
        }
        return new TVFields(iArr7, iArr24, iArr8, iArr25, iArr, iArr10, iArr11, iArr26, positionIndex, iArr3, iArr4, iArr5, lVar2, iArr23, lVar);
    }

    public int getChunkSize() {
        return this.chunkSize;
    }

    public CompressionMode getCompressionMode() {
        return this.compressionMode;
    }

    public CompressingStoredFieldsIndexReader getIndex() {
        return this.indexReader;
    }

    public int getPackedIntsVersion() {
        return this.packedIntsVersion;
    }

    public u getVectorsStream() {
        return this.vectorsStream;
    }

    @Override // org.apache.lucene.codecs.TermVectorsReader
    public long ramBytesUsed() {
        return this.indexReader.ramBytesUsed();
    }

    @Override // org.apache.lucene.codecs.TermVectorsReader, org.apache.lucene.codecs.TermVectorsReader, java.lang.Object
    public TermVectorsReader clone() {
        return new CompressingTermVectorsReader(this);
    }

    public CompressingTermVectorsReader(n nVar, q2 q2Var, String str, l0 l0Var, t tVar, String str2, CompressionMode compressionMode2) {
        Throwable th;
        this.compressionMode = compressionMode2;
        String str3 = q2Var.a;
        this.fieldInfos = l0Var;
        this.numDocs = q2Var.b();
        u uVar = null;
        try {
            u c = nVar.c(a1.a(str3, str, "tvx"), tVar);
            try {
                CodecUtil.checkHeader(c, str2 + "Index", 0, 0);
                this.indexReader = new CompressingStoredFieldsIndexReader(c, q2Var);
                c.close();
                this.vectorsStream = nVar.c(a1.a(str3, str, "tvd"), tVar);
                CodecUtil.checkHeader(this.vectorsStream, str2 + "Data", 0, 0);
                this.packedIntsVersion = this.vectorsStream.readVInt();
                this.chunkSize = this.vectorsStream.readVInt();
                this.decompressor = compressionMode2.newDecompressor();
                this.reader = new g(this.vectorsStream, this.packedIntsVersion, 64, 0);
            } catch (Throwable th2) {
                th = th2;
                uVar = c;
                x.b(this, uVar);
                throw th;
            }
        } catch (Throwable th3) {
            th = th3;
            x.b(this, uVar);
            throw th;
        }
    }
}
