package org.apache.lucene.codecs.lucene45;

import b.b.a.a.a;
import i.a.b.c.a1;
import i.a.b.c.b0;
import i.a.b.c.b3;
import i.a.b.c.c0;
import i.a.b.c.e;
import i.a.b.c.e2;
import i.a.b.c.k0;
import i.a.b.c.l0;
import i.a.b.c.o3;
import i.a.b.c.q;
import i.a.b.c.u2;
import i.a.b.c.x2;
import i.a.b.c.y2;
import i.a.b.f.u;
import i.a.b.g.e0;
import i.a.b.g.g1.f;
import i.a.b.g.g1.r0;
import i.a.b.g.g1.x0;
import i.a.b.g.j;
import i.a.b.g.l;
import i.a.b.g.o0;
import i.a.b.g.x;
import java.io.Closeable;
import java.io.IOException;
import java.util.Comparator;
import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.atomic.AtomicLong;
import org.apache.lucene.codecs.CodecUtil;
import org.apache.lucene.codecs.DocValuesProducer;

public class Lucene45DocValuesProducer extends DocValuesProducer implements Closeable {
    public final Map<Integer, r0> addressInstances = new HashMap();
    public final Map<Integer, BinaryEntry> binaries;
    public final u data;
    public final int maxDoc;
    public final Map<Integer, NumericEntry> numerics;
    public final Map<Integer, r0> ordIndexInstances = new HashMap();
    public final Map<Integer, NumericEntry> ordIndexes;
    public final Map<Integer, NumericEntry> ords;
    public final AtomicLong ramBytesUsed;
    public final Map<Integer, SortedSetEntry> sortedSets;
    public final int version;

    /* renamed from: org.apache.lucene.codecs.lucene45.Lucene45DocValuesProducer$8  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass8 {
        public static final /* synthetic */ int[] $SwitchMap$org$apache$lucene$index$FieldInfo$DocValuesType;

        /* JADX WARNING: Can't wrap try/catch for region: R(8:0|1|2|3|4|5|6|(3:7|8|10)) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x000f */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x0016 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x001c */
        static {
            int[] iArr = new int[k0.a.values().length];
            $SwitchMap$org$apache$lucene$index$FieldInfo$DocValuesType = iArr;
            k0.a aVar = k0.a.SORTED_SET;
            iArr[3] = 1;
            int[] iArr2 = $SwitchMap$org$apache$lucene$index$FieldInfo$DocValuesType;
            k0.a aVar2 = k0.a.SORTED;
            iArr2[2] = 2;
            int[] iArr3 = $SwitchMap$org$apache$lucene$index$FieldInfo$DocValuesType;
            k0.a aVar3 = k0.a.BINARY;
            iArr3[1] = 3;
            try {
                int[] iArr4 = $SwitchMap$org$apache$lucene$index$FieldInfo$DocValuesType;
                k0.a aVar4 = k0.a.NUMERIC;
                iArr4[0] = 4;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    public static class BinaryEntry {
        public long addressInterval;
        public long addressesOffset;
        public int blockSize;
        public long count;
        public int format;
        public int maxLength;
        public int minLength;
        public long missingOffset;
        public long offset;
        public int packedIntsVersion;

        public BinaryEntry() {
        }
    }

    public static abstract class LongBinaryDocValues extends e {
        @Override // i.a.b.c.e
        public final void get(int i2, l lVar) {
            get((long) i2, lVar);
        }

        public abstract void get(long j, l lVar);
    }

    public static class NumericEntry {
        public int blockSize;
        public long count;
        public int format;
        public long gcd;
        public long minValue;
        public long missingOffset;
        public long offset;
        public int packedIntsVersion;
        public long[] table;

        public NumericEntry() {
        }
    }

    public static class SortedSetEntry {
        public int format;

        public SortedSetEntry() {
        }
    }

    public Lucene45DocValuesProducer(u2 u2Var, String str, String str2, String str3, String str4) {
        u c = u2Var.a.c(a1.a(u2Var.f1058b.a, u2Var.f1061f, str4), u2Var.f1059d);
        this.maxDoc = u2Var.f1058b.b();
        try {
            this.version = CodecUtil.checkHeader(c, str3, 0, 1);
            this.numerics = new HashMap();
            this.ords = new HashMap();
            this.ordIndexes = new HashMap();
            this.binaries = new HashMap();
            this.sortedSets = new HashMap();
            readFields(c, u2Var.c);
            x.a(c);
            try {
                u c2 = u2Var.a.c(a1.a(u2Var.f1058b.a, u2Var.f1061f, str2), u2Var.f1059d);
                this.data = c2;
                if (this.version == CodecUtil.checkHeader(c2, str, 0, 1)) {
                    this.ramBytesUsed = new AtomicLong(o0.b((Class<?>) Lucene45DocValuesProducer.class));
                    return;
                }
                throw new q("Format versions mismatch");
            } catch (Throwable th) {
                x.b(this.data);
                throw th;
            }
        } catch (Throwable th2) {
            x.b(c);
            throw th2;
        }
    }

    private e getCompressedBinary(k0 k0Var, BinaryEntry binaryEntry) {
        u clone = this.data.clone();
        return new CompressedBinaryDocValues(binaryEntry, getIntervalInstance(clone, k0Var, binaryEntry), clone);
    }

    private e getFixedBinary(k0 k0Var, final BinaryEntry binaryEntry) {
        final u clone = this.data.clone();
        return new LongBinaryDocValues() {
            /* class org.apache.lucene.codecs.lucene45.Lucene45DocValuesProducer.AnonymousClass3 */

            @Override // org.apache.lucene.codecs.lucene45.Lucene45DocValuesProducer.LongBinaryDocValues
            public void get(long j, l lVar) {
                BinaryEntry binaryEntry = binaryEntry;
                try {
                    clone.seek((j * ((long) binaryEntry.maxLength)) + binaryEntry.offset);
                    int i2 = binaryEntry.maxLength;
                    byte[] bArr = new byte[i2];
                    clone.readBytes(bArr, 0, i2);
                    lVar.x = bArr;
                    lVar.y = 0;
                    lVar.z = i2;
                } catch (IOException e2) {
                    throw new RuntimeException(e2);
                }
            }
        };
    }

    private j getMissingBits(final long j) {
        if (j == -1) {
            return new j.a(this.maxDoc);
        }
        final u clone = this.data.clone();
        return new j() {
            /* class org.apache.lucene.codecs.lucene45.Lucene45DocValuesProducer.AnonymousClass7 */

            @Override // i.a.b.g.j
            public boolean get(int i2) {
                try {
                    clone.seek(j + ((long) (i2 >> 3)));
                    return ((1 << (i2 & 7)) & clone.readByte()) != 0;
                } catch (IOException e2) {
                    throw new RuntimeException(e2);
                }
            }

            public int length() {
                return Lucene45DocValuesProducer.this.maxDoc;
            }
        };
    }

    private e getVariableBinary(k0 k0Var, final BinaryEntry binaryEntry) {
        final u clone = this.data.clone();
        final r0 addressInstance = getAddressInstance(clone, k0Var, binaryEntry);
        return new LongBinaryDocValues() {
            /* class org.apache.lucene.codecs.lucene45.Lucene45DocValuesProducer.AnonymousClass4 */

            @Override // org.apache.lucene.codecs.lucene45.Lucene45DocValuesProducer.LongBinaryDocValues
            public void get(long j, l lVar) {
                long j2 = binaryEntry.offset;
                long j3 = 0;
                if (j != 0) {
                    j3 = addressInstance.get(j - 1);
                }
                long j4 = j2 + j3;
                int i2 = (int) ((addressInstance.get(j) + binaryEntry.offset) - j4);
                try {
                    clone.seek(j4);
                    byte[] bArr = new byte[i2];
                    clone.readBytes(bArr, 0, i2);
                    lVar.x = bArr;
                    lVar.y = 0;
                    lVar.z = i2;
                } catch (IOException e2) {
                    throw new RuntimeException(e2);
                }
            }
        };
    }

    public static BinaryEntry readBinaryEntry(u uVar) {
        BinaryEntry binaryEntry = new BinaryEntry();
        binaryEntry.format = uVar.readVInt();
        binaryEntry.missingOffset = uVar.readLong();
        binaryEntry.minLength = uVar.readVInt();
        binaryEntry.maxLength = uVar.readVInt();
        binaryEntry.count = uVar.readVLong();
        binaryEntry.offset = uVar.readLong();
        int i2 = binaryEntry.format;
        if (i2 != 0) {
            if (i2 == 1) {
                binaryEntry.addressesOffset = uVar.readLong();
                binaryEntry.packedIntsVersion = uVar.readVInt();
                binaryEntry.blockSize = uVar.readVInt();
            } else if (i2 == 2) {
                binaryEntry.addressInterval = (long) uVar.readVInt();
                binaryEntry.addressesOffset = uVar.readLong();
                binaryEntry.packedIntsVersion = uVar.readVInt();
                binaryEntry.blockSize = uVar.readVInt();
            } else {
                StringBuilder b2 = a.b("Unknown format: ");
                b2.append(binaryEntry.format);
                b2.append(", input=");
                b2.append(uVar);
                throw new q(b2.toString());
            }
        }
        return binaryEntry;
    }

    private void readFields(u uVar, l0 l0Var) {
        int readVInt = uVar.readVInt();
        while (readVInt != -1) {
            byte readByte = uVar.readByte();
            if (readByte == 0) {
                this.numerics.put(Integer.valueOf(readVInt), readNumericEntry(uVar));
            } else if (readByte == 1) {
                this.binaries.put(Integer.valueOf(readVInt), readBinaryEntry(uVar));
            } else if (readByte == 2) {
                readSortedField(readVInt, uVar, l0Var);
            } else if (readByte == 3) {
                SortedSetEntry readSortedSetEntry = readSortedSetEntry(uVar);
                this.sortedSets.put(Integer.valueOf(readVInt), readSortedSetEntry);
                int i2 = readSortedSetEntry.format;
                if (i2 == 0) {
                    readSortedSetFieldWithAddresses(readVInt, uVar, l0Var);
                } else if (i2 != 1) {
                    throw new AssertionError();
                } else if (uVar.readVInt() != readVInt) {
                    throw new q("sortedset entry for field: " + readVInt + " is corrupt (resource=" + uVar + ")");
                } else if (uVar.readByte() == 2) {
                    readSortedField(readVInt, uVar, l0Var);
                } else {
                    throw new q("sortedset entry for field: " + readVInt + " is corrupt (resource=" + uVar + ")");
                }
            } else {
                throw new q("invalid type: " + ((int) readByte) + ", resource=" + uVar);
            }
            readVInt = uVar.readVInt();
        }
    }

    public static NumericEntry readNumericEntry(u uVar) {
        NumericEntry numericEntry = new NumericEntry();
        numericEntry.format = uVar.readVInt();
        numericEntry.missingOffset = uVar.readLong();
        numericEntry.packedIntsVersion = uVar.readVInt();
        numericEntry.offset = uVar.readLong();
        numericEntry.count = uVar.readVLong();
        numericEntry.blockSize = uVar.readVInt();
        int i2 = numericEntry.format;
        if (i2 != 0) {
            if (i2 == 1) {
                numericEntry.minValue = uVar.readLong();
                numericEntry.gcd = uVar.readLong();
            } else if (i2 != 2) {
                StringBuilder b2 = a.b("Unknown format: ");
                b2.append(numericEntry.format);
                b2.append(", input=");
                b2.append(uVar);
                throw new q(b2.toString());
            } else if (numericEntry.count <= 2147483647L) {
                int readVInt = uVar.readVInt();
                if (readVInt <= 256) {
                    numericEntry.table = new long[readVInt];
                    for (int i3 = 0; i3 < readVInt; i3++) {
                        numericEntry.table[i3] = uVar.readLong();
                    }
                } else {
                    throw new q("TABLE_COMPRESSED cannot have more than 256 distinct values, input=" + uVar);
                }
            } else {
                throw new q("Cannot use TABLE_COMPRESSED with more than MAX_VALUE values, input=" + uVar);
            }
        }
        return numericEntry;
    }

    private void readSortedField(int i2, u uVar, l0 l0Var) {
        if (uVar.readVInt() != i2) {
            throw new q("sorted entry for field: " + i2 + " is corrupt (resource=" + uVar + ")");
        } else if (uVar.readByte() == 1) {
            this.binaries.put(Integer.valueOf(i2), readBinaryEntry(uVar));
            if (uVar.readVInt() != i2) {
                throw new q("sorted entry for field: " + i2 + " is corrupt (resource=" + uVar + ")");
            } else if (uVar.readByte() == 0) {
                this.ords.put(Integer.valueOf(i2), readNumericEntry(uVar));
            } else {
                throw new q("sorted entry for field: " + i2 + " is corrupt (resource=" + uVar + ")");
            }
        } else {
            throw new q("sorted entry for field: " + i2 + " is corrupt (resource=" + uVar + ")");
        }
    }

    private void readSortedSetFieldWithAddresses(int i2, u uVar, l0 l0Var) {
        if (uVar.readVInt() != i2) {
            throw new q("sortedset entry for field: " + i2 + " is corrupt (resource=" + uVar + ")");
        } else if (uVar.readByte() == 1) {
            this.binaries.put(Integer.valueOf(i2), readBinaryEntry(uVar));
            if (uVar.readVInt() != i2) {
                throw new q("sortedset entry for field: " + i2 + " is corrupt (resource=" + uVar + ")");
            } else if (uVar.readByte() == 0) {
                this.ords.put(Integer.valueOf(i2), readNumericEntry(uVar));
                if (uVar.readVInt() != i2) {
                    throw new q("sortedset entry for field: " + i2 + " is corrupt (resource=" + uVar + ")");
                } else if (uVar.readByte() == 0) {
                    this.ordIndexes.put(Integer.valueOf(i2), readNumericEntry(uVar));
                } else {
                    throw new q("sortedset entry for field: " + i2 + " is corrupt (resource=" + uVar + ")");
                }
            } else {
                throw new q("sortedset entry for field: " + i2 + " is corrupt (resource=" + uVar + ")");
            }
        } else {
            throw new q("sortedset entry for field: " + i2 + " is corrupt (resource=" + uVar + ")");
        }
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable
    public void close() {
        this.data.close();
    }

    public r0 getAddressInstance(u uVar, k0 k0Var, BinaryEntry binaryEntry) {
        r0 r0Var;
        synchronized (this.addressInstances) {
            r0Var = this.addressInstances.get(Integer.valueOf(k0Var.f949b));
            if (r0Var == null) {
                uVar.seek(binaryEntry.addressesOffset);
                r0Var = new r0(uVar, binaryEntry.packedIntsVersion, binaryEntry.blockSize, binaryEntry.count, false);
                this.addressInstances.put(Integer.valueOf(k0Var.f949b), r0Var);
                this.ramBytesUsed.addAndGet(r0Var.a() + 4);
            }
        }
        return r0Var;
    }

    @Override // org.apache.lucene.codecs.DocValuesProducer
    public e getBinary(k0 k0Var) {
        BinaryEntry binaryEntry = this.binaries.get(Integer.valueOf(k0Var.f949b));
        int i2 = binaryEntry.format;
        if (i2 == 0) {
            return getFixedBinary(k0Var, binaryEntry);
        }
        if (i2 == 1) {
            return getVariableBinary(k0Var, binaryEntry);
        }
        if (i2 == 2) {
            return getCompressedBinary(k0Var, binaryEntry);
        }
        throw new AssertionError();
    }

    @Override // org.apache.lucene.codecs.DocValuesProducer
    public j getDocsWithField(k0 k0Var) {
        int ordinal = k0Var.f950d.ordinal();
        if (ordinal == 0) {
            return getMissingBits(this.numerics.get(Integer.valueOf(k0Var.f949b)).missingOffset);
        }
        if (ordinal == 1) {
            return getMissingBits(this.binaries.get(Integer.valueOf(k0Var.f949b)).missingOffset);
        }
        if (ordinal == 2) {
            return new DocValuesProducer.SortedDocsWithField(getSorted(k0Var), this.maxDoc);
        }
        if (ordinal == 3) {
            return new DocValuesProducer.SortedSetDocsWithField(getSortedSet(k0Var), this.maxDoc);
        }
        throw new AssertionError();
    }

    public r0 getIntervalInstance(u uVar, k0 k0Var, BinaryEntry binaryEntry) {
        r0 r0Var;
        long j;
        long j2 = binaryEntry.addressInterval;
        synchronized (this.addressInstances) {
            r0Var = this.addressInstances.get(Integer.valueOf(k0Var.f949b));
            if (r0Var == null) {
                uVar.seek(binaryEntry.addressesOffset);
                if (binaryEntry.count % j2 == 0) {
                    j = binaryEntry.count / j2;
                } else {
                    j = 1 + (binaryEntry.count / j2);
                }
                r0Var = new r0(uVar, binaryEntry.packedIntsVersion, binaryEntry.blockSize, j, false);
                this.addressInstances.put(Integer.valueOf(k0Var.f949b), r0Var);
                this.ramBytesUsed.addAndGet(r0Var.a() + 4);
            }
        }
        return r0Var;
    }

    @Override // org.apache.lucene.codecs.DocValuesProducer
    public e2 getNumeric(k0 k0Var) {
        return getNumeric(this.numerics.get(Integer.valueOf(k0Var.f949b)));
    }

    public r0 getOrdIndexInstance(u uVar, k0 k0Var, NumericEntry numericEntry) {
        r0 r0Var;
        synchronized (this.ordIndexInstances) {
            r0Var = this.ordIndexInstances.get(Integer.valueOf(k0Var.f949b));
            if (r0Var == null) {
                uVar.seek(numericEntry.offset);
                r0Var = new r0(uVar, numericEntry.packedIntsVersion, numericEntry.blockSize, numericEntry.count, false);
                this.ordIndexInstances.put(Integer.valueOf(k0Var.f949b), r0Var);
                this.ramBytesUsed.addAndGet(r0Var.a() + 4);
            }
        }
        return r0Var;
    }

    @Override // org.apache.lucene.codecs.DocValuesProducer
    public y2 getSorted(k0 k0Var) {
        final int i2 = (int) this.binaries.get(Integer.valueOf(k0Var.f949b)).count;
        final e binary = getBinary(k0Var);
        NumericEntry numericEntry = this.ords.get(Integer.valueOf(k0Var.f949b));
        u clone = this.data.clone();
        clone.seek(numericEntry.offset);
        final f fVar = new f(clone, numericEntry.packedIntsVersion, numericEntry.blockSize, numericEntry.count, true);
        return new y2() {
            /* class org.apache.lucene.codecs.lucene45.Lucene45DocValuesProducer.AnonymousClass5 */

            @Override // i.a.b.c.y2
            public int getOrd(int i2) {
                return (int) fVar.get(i2);
            }

            @Override // i.a.b.c.y2
            public int getValueCount() {
                return i2;
            }

            @Override // i.a.b.c.y2
            public void lookupOrd(int i2, l lVar) {
                binary.get(i2, lVar);
            }

            @Override // i.a.b.c.y2
            public int lookupTerm(l lVar) {
                e eVar = binary;
                if (eVar instanceof CompressedBinaryDocValues) {
                    return (int) ((CompressedBinaryDocValues) eVar).lookupTerm(lVar);
                }
                return super.lookupTerm(lVar);
            }

            @Override // i.a.b.c.y2
            public o3 termsEnum() {
                e eVar = binary;
                if (eVar instanceof CompressedBinaryDocValues) {
                    return ((CompressedBinaryDocValues) eVar).getTermsEnum();
                }
                return super.termsEnum();
            }
        };
    }

    @Override // org.apache.lucene.codecs.DocValuesProducer
    public b3 getSortedSet(k0 k0Var) {
        int i2 = this.sortedSets.get(Integer.valueOf(k0Var.f949b)).format;
        if (i2 == 1) {
            return new x2(getSorted(k0Var));
        }
        if (i2 == 0) {
            u clone = this.data.clone();
            final long j = this.binaries.get(Integer.valueOf(k0Var.f949b)).count;
            final LongBinaryDocValues longBinaryDocValues = (LongBinaryDocValues) getBinary(k0Var);
            final e0 numeric = getNumeric(this.ords.get(Integer.valueOf(k0Var.f949b)));
            final r0 ordIndexInstance = getOrdIndexInstance(clone, k0Var, this.ordIndexes.get(Integer.valueOf(k0Var.f949b)));
            return new b3() {
                /* class org.apache.lucene.codecs.lucene45.Lucene45DocValuesProducer.AnonymousClass6 */
                public long endOffset;
                public long offset;

                @Override // i.a.b.c.b3
                public long getValueCount() {
                    return j;
                }

                @Override // i.a.b.c.b3
                public void lookupOrd(long j, l lVar) {
                    longBinaryDocValues.get(j, lVar);
                }

                @Override // i.a.b.c.b3
                public long lookupTerm(l lVar) {
                    LongBinaryDocValues longBinaryDocValues = longBinaryDocValues;
                    if (longBinaryDocValues instanceof CompressedBinaryDocValues) {
                        return ((CompressedBinaryDocValues) longBinaryDocValues).lookupTerm(lVar);
                    }
                    return super.lookupTerm(lVar);
                }

                @Override // i.a.b.c.b3
                public long nextOrd() {
                    long j = this.offset;
                    if (j == this.endOffset) {
                        return -1;
                    }
                    long j2 = numeric.get(j);
                    this.offset++;
                    return j2;
                }

                @Override // i.a.b.c.b3
                public void setDocument(int i2) {
                    this.offset = i2 == 0 ? 0 : ordIndexInstance.get(i2 - 1);
                    this.endOffset = ordIndexInstance.get(i2);
                }

                @Override // i.a.b.c.b3
                public o3 termsEnum() {
                    LongBinaryDocValues longBinaryDocValues = longBinaryDocValues;
                    if (longBinaryDocValues instanceof CompressedBinaryDocValues) {
                        return ((CompressedBinaryDocValues) longBinaryDocValues).getTermsEnum();
                    }
                    return super.termsEnum();
                }
            };
        }
        throw new AssertionError();
    }

    @Override // org.apache.lucene.codecs.DocValuesProducer
    public long ramBytesUsed() {
        return this.ramBytesUsed.get();
    }

    public SortedSetEntry readSortedSetEntry(u uVar) {
        SortedSetEntry sortedSetEntry = new SortedSetEntry();
        if (this.version >= 1) {
            sortedSetEntry.format = uVar.readVInt();
        } else {
            sortedSetEntry.format = 0;
        }
        int i2 = sortedSetEntry.format;
        if (i2 == 1 || i2 == 0) {
            return sortedSetEntry;
        }
        StringBuilder b2 = a.b("Unknown format: ");
        b2.append(sortedSetEntry.format);
        b2.append(", input=");
        b2.append(uVar);
        throw new q(b2.toString());
    }

    public static class CompressedBinaryDocValues extends LongBinaryDocValues {
        public final r0 addresses;
        public final BinaryEntry bytes;
        public final u data;
        public final long interval;
        public final long numIndexValues;
        public final long numValues;
        public final o3 termsEnum;

        public CompressedBinaryDocValues(BinaryEntry binaryEntry, r0 r0Var, u uVar) {
            this.bytes = binaryEntry;
            this.interval = binaryEntry.addressInterval;
            this.addresses = r0Var;
            this.data = uVar;
            this.numValues = binaryEntry.count;
            this.numIndexValues = r0Var.c;
            this.termsEnum = getTermsEnum(uVar);
        }

        @Override // org.apache.lucene.codecs.lucene45.Lucene45DocValuesProducer.LongBinaryDocValues
        public void get(long j, l lVar) {
            try {
                this.termsEnum.seekExact(j);
                l term = this.termsEnum.term();
                lVar.x = term.x;
                lVar.y = term.y;
                lVar.z = term.z;
            } catch (IOException e2) {
                throw new RuntimeException(e2);
            }
        }

        public o3 getTermsEnum() {
            try {
                return getTermsEnum(this.data.clone());
            } catch (IOException e2) {
                throw new RuntimeException(e2);
            }
        }

        public long lookupTerm(l lVar) {
            long ord;
            try {
                o3.c seekCeil = this.termsEnum.seekCeil(lVar);
                if (seekCeil == o3.c.END) {
                    ord = this.numValues;
                } else if (seekCeil == o3.c.FOUND) {
                    return this.termsEnum.ord();
                } else {
                    ord = this.termsEnum.ord();
                }
                return (-ord) - 1;
            } catch (IOException e2) {
                throw new RuntimeException(e2);
            }
        }

        private o3 getTermsEnum(final u uVar) {
            uVar.seek(this.bytes.offset);
            return new o3() {
                /* class org.apache.lucene.codecs.lucene45.Lucene45DocValuesProducer.CompressedBinaryDocValues.AnonymousClass1 */
                public long currentOrd = -1;
                public final l term;
                public final l termBuffer;

                {
                    int i2 = CompressedBinaryDocValues.this.bytes.maxLength;
                    this.termBuffer = new l(i2 < 0 ? 0 : i2);
                    this.term = new l(l.A);
                }

                private l doNext() {
                    long j = this.currentOrd + 1;
                    this.currentOrd = j;
                    if (j >= CompressedBinaryDocValues.this.numValues) {
                        return null;
                    }
                    int readVInt = uVar.readVInt();
                    int readVInt2 = uVar.readVInt();
                    uVar.readBytes(this.termBuffer.x, readVInt, readVInt2);
                    l lVar = this.termBuffer;
                    lVar.z = readVInt + readVInt2;
                    return lVar;
                }

                private void doSeek(long j) {
                    long j2 = CompressedBinaryDocValues.this.interval;
                    long j3 = j / j2;
                    long j4 = this.currentOrd;
                    if (j < j4 || j3 != j4 / j2) {
                        CompressedBinaryDocValues compressedBinaryDocValues = CompressedBinaryDocValues.this;
                        this.currentOrd = (j - (j % compressedBinaryDocValues.interval)) - 1;
                        uVar.seek(compressedBinaryDocValues.addresses.get(j3) + compressedBinaryDocValues.bytes.offset);
                    }
                    while (this.currentOrd < j) {
                        doNext();
                    }
                }

                private void setTerm() {
                    l lVar = this.term;
                    l lVar2 = this.termBuffer;
                    lVar.x = new byte[lVar2.z];
                    lVar.y = 0;
                    lVar.c(lVar2);
                }

                @Override // i.a.b.c.o3
                public int docFreq() {
                    throw new UnsupportedOperationException();
                }

                @Override // i.a.b.c.o3
                public c0 docs(j jVar, c0 c0Var, int i2) {
                    throw new UnsupportedOperationException();
                }

                @Override // i.a.b.c.o3
                public b0 docsAndPositions(j jVar, b0 b0Var, int i2) {
                    throw new UnsupportedOperationException();
                }

                @Override // i.a.b.g.n
                public Comparator<l> getComparator() {
                    return l.C;
                }

                @Override // i.a.b.g.n
                public l next() {
                    if (doNext() == null) {
                        return null;
                    }
                    setTerm();
                    return this.term;
                }

                @Override // i.a.b.c.o3
                public long ord() {
                    return this.currentOrd;
                }

                @Override // i.a.b.c.o3
                public o3.c seekCeil(l lVar) {
                    long j;
                    long j2 = CompressedBinaryDocValues.this.numIndexValues - 1;
                    long j3 = 0;
                    while (j3 <= j2) {
                        long j4 = (j3 + j2) >>> 1;
                        doSeek(CompressedBinaryDocValues.this.interval * j4);
                        int b2 = this.termBuffer.compareTo(lVar);
                        if (b2 < 0) {
                            j3 = j4 + 1;
                        } else if (b2 > 0) {
                            j2 = j4 - 1;
                        } else {
                            setTerm();
                            return o3.c.FOUND;
                        }
                    }
                    CompressedBinaryDocValues compressedBinaryDocValues = CompressedBinaryDocValues.this;
                    if (compressedBinaryDocValues.numIndexValues == 0) {
                        return o3.c.END;
                    }
                    long j5 = j3 - 1;
                    if (j5 < 0) {
                        j = -1;
                    } else {
                        j = compressedBinaryDocValues.interval * j5;
                    }
                    doSeek(j);
                    while (doNext() != null) {
                        int b3 = this.termBuffer.compareTo(lVar);
                        if (b3 == 0) {
                            setTerm();
                            return o3.c.FOUND;
                        } else if (b3 > 0) {
                            setTerm();
                            return o3.c.NOT_FOUND;
                        }
                    }
                    return o3.c.END;
                }

                @Override // i.a.b.c.o3
                public void seekExact(long j) {
                    doSeek(j);
                    setTerm();
                }

                @Override // i.a.b.c.o3
                public l term() {
                    return this.term;
                }

                @Override // i.a.b.c.o3
                public long totalTermFreq() {
                    return -1;
                }
            };
        }
    }

    public e0 getNumeric(NumericEntry numericEntry) {
        u clone = this.data.clone();
        clone.seek(numericEntry.offset);
        int i2 = numericEntry.format;
        if (i2 == 0) {
            return new f(clone, numericEntry.packedIntsVersion, numericEntry.blockSize, numericEntry.count, true);
        }
        if (i2 == 1) {
            final long j = numericEntry.minValue;
            final long j2 = numericEntry.gcd;
            final f fVar = new f(clone, numericEntry.packedIntsVersion, numericEntry.blockSize, numericEntry.count, true);
            return new e0() {
                /* class org.apache.lucene.codecs.lucene45.Lucene45DocValuesProducer.AnonymousClass1 */

                @Override // i.a.b.g.e0
                public long get(long j) {
                    return (fVar.get(j) * j2) + j;
                }
            };
        } else if (i2 == 2) {
            final long[] jArr = numericEntry.table;
            final x0.i a = x0.a(clone, x0.d.PACKED, numericEntry.packedIntsVersion, (int) numericEntry.count, x0.a((long) (jArr.length - 1)));
            return new e0() {
                /* class org.apache.lucene.codecs.lucene45.Lucene45DocValuesProducer.AnonymousClass2 */

                @Override // i.a.b.g.e0
                public long get(long j) {
                    return jArr[(int) a.get((int) j)];
                }
            };
        } else {
            throw new AssertionError();
        }
    }
}
