package org.apache.poi;

import b.b.a.a.a;
import java.util.Iterator;
import org.apache.poi.openxml4j.exceptions.InvalidFormatException;
import org.apache.poi.openxml4j.opc.PackagePart;
import org.apache.poi.openxml4j.opc.PackageRelationship;
import org.apache.poi.util.POILogFactory;
import org.apache.poi.util.POILogger;

public abstract class POIXMLFactory {
    public static final POILogger LOGGER = POILogFactory.getLogger(POIXMLFactory.class);
    public static final Class<?>[] ORPHAN_PART = {PackagePart.class};
    public static final Class<?>[] PARENT_PART = {POIXMLDocumentPart.class, PackagePart.class};

    public abstract POIXMLDocumentPart createDocumentPart(Class<? extends POIXMLDocumentPart> cls, Class<?>[] clsArr, Object[] objArr);

    /* JADX WARNING: Code restructure failed: missing block: B:11:0x0035, code lost:
        return createDocumentPart(r0, org.apache.poi.POIXMLFactory.ORPHAN_PART, new java.lang.Object[]{r8});
     */
    /* JADX WARNING: Code restructure failed: missing block: B:13:0x003b, code lost:
        throw new org.apache.poi.POIXMLException(r7);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:8:0x0029, code lost:
        r7 = move-exception;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x002b */
    public POIXMLDocumentPart createDocumentPart(POIXMLDocumentPart pOIXMLDocumentPart, PackagePart packagePart) {
        PackageRelationship packageRelationship = getPackageRelationship(pOIXMLDocumentPart, packagePart);
        POIXMLRelation descriptor = getDescriptor(packageRelationship.getRelationshipType());
        if (descriptor == null || descriptor.getRelationClass() == null) {
            POILogger pOILogger = LOGGER;
            StringBuilder b2 = a.b("using default POIXMLDocumentPart for ");
            b2.append(packageRelationship.getRelationshipType());
            pOILogger.log(1, b2.toString());
            return new POIXMLDocumentPart(pOIXMLDocumentPart, packagePart);
        }
        Class<? extends POIXMLDocumentPart> relationClass = descriptor.getRelationClass();
        return createDocumentPart(relationClass, PARENT_PART, new Object[]{pOIXMLDocumentPart, packagePart});
    }

    public abstract POIXMLRelation getDescriptor(String str);

    public PackageRelationship getPackageRelationship(POIXMLDocumentPart pOIXMLDocumentPart, PackagePart packagePart) {
        try {
            String name = packagePart.getPartName().getName();
            Iterator<PackageRelationship> it = pOIXMLDocumentPart.getPackagePart().getRelationships().iterator();
            while (it.hasNext()) {
                PackageRelationship next = it.next();
                if (next.getTargetURI().toASCIIString().equalsIgnoreCase(name)) {
                    return next;
                }
            }
            throw new POIXMLException("package part isn't a child of the parent document.");
        } catch (InvalidFormatException e2) {
            throw new POIXMLException("error while determining package relations", e2);
        }
    }

    public POIXMLDocumentPart newDocumentPart(POIXMLRelation pOIXMLRelation) {
        try {
            return createDocumentPart(pOIXMLRelation.getRelationClass(), null, null);
        } catch (Exception e2) {
            throw new POIXMLException(e2);
        }
    }
}
