package org.apache.poi.hpsf;

import java.io.InputStream;
import org.apache.poi.hpsf.wellknown.SectionIDMap;
import org.apache.poi.poifs.filesystem.DirectoryEntry;
import org.apache.poi.poifs.filesystem.DocumentEntry;
import org.apache.poi.poifs.filesystem.DocumentInputStream;
import org.apache.poi.util.LittleEndianInputStream;

public class PropertySetFactory {
    /* JADX WARNING: Removed duplicated region for block: B:14:0x001e  */
    public static PropertySet create(DirectoryEntry directoryEntry, String str) {
        Throwable th;
        DocumentInputStream documentInputStream = null;
        try {
            DocumentInputStream documentInputStream2 = new DocumentInputStream((DocumentEntry) directoryEntry.getEntry(str));
            try {
                PropertySet create = create(documentInputStream2);
                documentInputStream2.close();
                return create;
            } catch (MarkUnsupportedException unused) {
                documentInputStream2.close();
                return null;
            } catch (Throwable th2) {
                th = th2;
                documentInputStream = documentInputStream2;
                if (documentInputStream != null) {
                    documentInputStream.close();
                }
                throw th;
            }
        } catch (Throwable th3) {
            th = th3;
            if (documentInputStream != null) {
            }
            throw th;
        }
    }

    public static DocumentSummaryInformation newDocumentSummaryInformation() {
        return new DocumentSummaryInformation();
    }

    public static SummaryInformation newSummaryInformation() {
        return new SummaryInformation();
    }

    public static PropertySet create(InputStream inputStream) {
        inputStream.mark(45);
        LittleEndianInputStream littleEndianInputStream = new LittleEndianInputStream(inputStream);
        int readUShort = littleEndianInputStream.readUShort();
        int readUShort2 = littleEndianInputStream.readUShort();
        littleEndianInputStream.readUInt();
        byte[] bArr = new byte[16];
        littleEndianInputStream.readFully(bArr);
        int readUInt = (int) littleEndianInputStream.readUInt();
        if (readUShort == 65534 && readUShort2 == 0 && readUInt >= 0) {
            if (readUInt > 0) {
                littleEndianInputStream.readFully(bArr);
            }
            inputStream.reset();
            ClassID classID = new ClassID(bArr, 0);
            if (readUInt > 0) {
                if (PropertySet.matchesSummary(classID, SectionIDMap.SUMMARY_INFORMATION_ID)) {
                    return new SummaryInformation(inputStream);
                }
            }
            if (readUInt <= 0 || !PropertySet.matchesSummary(classID, SectionIDMap.DOCUMENT_SUMMARY_INFORMATION_ID)) {
                return new PropertySet(inputStream);
            }
            return new DocumentSummaryInformation(inputStream);
        }
        throw new NoPropertySetStreamException();
    }
}
