package org.apache.poi.hslf.usermodel;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import org.apache.poi.hslf.model.textproperties.TextProp;
import org.apache.poi.hslf.record.Slide;
import org.apache.poi.sl.usermodel.MasterSheet;

public final class HSLFTitleMaster extends HSLFMasterSheet {
    public final List<List<HSLFTextParagraph>> _paragraphs = new ArrayList();

    public HSLFTitleMaster(Slide slide, int i2) {
        super(slide, i2);
        for (List<HSLFTextParagraph> list : HSLFTextParagraph.findTextParagraphs(getPPDrawing(), this)) {
            if (!this._paragraphs.contains(list)) {
                this._paragraphs.add(list);
            }
        }
    }

    @Override // org.apache.poi.hslf.usermodel.HSLFMasterSheet
    public TextProp getStyleAttribute(int i2, int i3, String str, boolean z) {
        HSLFMasterSheet masterSheet = getMasterSheet();
        if (masterSheet == null) {
            return null;
        }
        return masterSheet.getStyleAttribute(i2, i3, str, z);
    }

    @Override // org.apache.poi.hslf.usermodel.HSLFSheet
    public List<List<HSLFTextParagraph>> getTextParagraphs() {
        return this._paragraphs;
    }

    /* JADX WARN: Type inference failed for: r1v0, types: [org.apache.poi.hslf.usermodel.HSLFSlideShow] */
    /* JADX WARNING: Unknown variable types count: 1 */
    @Override // org.apache.poi.sl.usermodel.Sheet, org.apache.poi.hslf.usermodel.HSLFSheet, org.apache.poi.hslf.usermodel.HSLFSheet
    public HSLFMasterSheet getMasterSheet() {
        int masterID = ((Slide) getSheetContainer()).getSlideAtom().getMasterID();
        Iterator<? extends MasterSheet<HSLFShape, HSLFTextParagraph>> it = getSlideShow().getSlideMasters().iterator();
        while (it.hasNext()) {
            HSLFSlideMaster hSLFSlideMaster = (HSLFSlideMaster) it.next();
            if (masterID == hSLFSlideMaster._getSheetNumber()) {
                return hSLFSlideMaster;
            }
        }
        return null;
    }
}
