package org.apache.poi.hsmf.extractor;

import java.io.File;
import java.io.InputStream;
import java.text.SimpleDateFormat;
import java.util.Locale;
import org.apache.poi.POIOLE2TextExtractor;
import org.apache.poi.hsmf.MAPIMessage;
import org.apache.poi.hsmf.datatypes.AttachmentChunks;
import org.apache.poi.hsmf.datatypes.StringChunk;
import org.apache.poi.hsmf.exceptions.ChunkNotFoundException;
import org.apache.poi.poifs.filesystem.DirectoryNode;
import org.apache.poi.poifs.filesystem.NPOIFSFileSystem;
import org.apache.poi.ss.formula.ptg.GreaterThanPtg;
import org.apache.poi.util.LocaleUtil;
import org.apache.poi.util.StringUtil;

public class OutlookTextExtactor extends POIOLE2TextExtractor {
    public OutlookTextExtactor(MAPIMessage mAPIMessage) {
        super(mAPIMessage);
    }

    /* JADX WARNING: Removed duplicated region for block: B:16:0x0031  */
    /* JADX WARNING: Removed duplicated region for block: B:18:0x0036  */
    public static void main(String[] strArr) {
        Throwable th;
        NPOIFSFileSystem nPOIFSFileSystem;
        for (String str : strArr) {
            OutlookTextExtactor outlookTextExtactor = null;
            try {
                nPOIFSFileSystem = new NPOIFSFileSystem(new File(str));
                try {
                    OutlookTextExtactor outlookTextExtactor2 = new OutlookTextExtactor(nPOIFSFileSystem);
                    try {
                        System.out.println(outlookTextExtactor2.getText());
                        outlookTextExtactor2.close();
                        nPOIFSFileSystem.close();
                    } catch (Throwable th2) {
                        th = th2;
                        outlookTextExtactor = outlookTextExtactor2;
                        if (outlookTextExtactor != null) {
                            outlookTextExtactor.close();
                        }
                        if (nPOIFSFileSystem != null) {
                            nPOIFSFileSystem.close();
                        }
                        throw th;
                    }
                } catch (Throwable th3) {
                    th = th3;
                    if (outlookTextExtactor != null) {
                    }
                    if (nPOIFSFileSystem != null) {
                    }
                    throw th;
                }
            } catch (Throwable th4) {
                th = th4;
                nPOIFSFileSystem = null;
                if (outlookTextExtactor != null) {
                }
                if (nPOIFSFileSystem != null) {
                }
                throw th;
            }
        }
    }

    public MAPIMessage getMAPIMessage() {
        return (MAPIMessage) this.document;
    }

    /* JADX WARNING: Can't wrap try/catch for region: R(24:0|1|2|(2:5|6)|7|9|10|11|(2:13|14)|15|17|18|19|20|21|22|(1:(2:24|(2:50|26)(1:27))(0))|(2:28|29)|30|(6:33|(1:35)|(1:37)(1:38)|39|(2:43|51)|44)|45|46|47|49) */
    /* JADX WARNING: Can't wrap try/catch for region: R(25:0|1|2|(2:5|6)|7|9|10|11|13|14|15|17|18|19|20|21|22|(1:(2:24|(2:50|26)(1:27))(0))|(2:28|29)|30|(6:33|(1:35)|(1:37)(1:38)|39|(2:43|51)|44)|45|46|47|49) */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:19:0x0056 */
    /* JADX WARNING: Missing exception handler attribute for start block: B:21:0x008a */
    /* JADX WARNING: Missing exception handler attribute for start block: B:28:0x00c3 */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x0092 A[Catch:{ ChunkNotFoundException -> 0x00c3 }] */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x00e5  */
    @Override // org.apache.poi.POITextExtractor
    public String getText() {
        StringUtil.StringsIterator stringsIterator;
        String str;
        MAPIMessage mAPIMessage = (MAPIMessage) this.document;
        StringBuffer stringBuffer = new StringBuffer();
        mAPIMessage.guess7BitEncoding();
        try {
            stringsIterator = new StringUtil.StringsIterator(mAPIMessage.getRecipientEmailAddressList());
        } catch (ChunkNotFoundException unused) {
            stringsIterator = new StringUtil.StringsIterator(new String[0]);
        }
        try {
            stringBuffer.append("From: " + mAPIMessage.getDisplayFrom() + "\n");
        } catch (ChunkNotFoundException unused2) {
        }
        try {
            handleEmails(stringBuffer, "To", mAPIMessage.getDisplayTo(), stringsIterator);
        } catch (ChunkNotFoundException unused3) {
        }
        try {
            handleEmails(stringBuffer, "CC", mAPIMessage.getDisplayCC(), stringsIterator);
        } catch (ChunkNotFoundException unused4) {
        }
        handleEmails(stringBuffer, "BCC", mAPIMessage.getDisplayBCC(), stringsIterator);
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("E, d MMM yyyy HH:mm:ss Z", Locale.ROOT);
        simpleDateFormat.setTimeZone(LocaleUtil.getUserTimeZone());
        stringBuffer.append("Date: " + simpleDateFormat.format(mAPIMessage.getMessageDate().getTime()) + "\n");
        String[] headers = mAPIMessage.getHeaders();
        int length = headers.length;
        int i2 = 0;
        while (true) {
            if (i2 < length) {
                String str2 = headers[i2];
                if (StringUtil.startsWithIgnoreCase(str2, "date:")) {
                    stringBuffer.append("Date:" + str2.substring(str2.indexOf(58) + 1) + "\n");
                    break;
                }
                i2++;
            }
        }
        try {
            stringBuffer.append("Subject: " + mAPIMessage.getSubject() + "\n");
        } catch (ChunkNotFoundException unused5) {
        }
        AttachmentChunks[] attachmentFiles = mAPIMessage.getAttachmentFiles();
        for (AttachmentChunks attachmentChunks : attachmentFiles) {
            StringChunk attachLongFileName = attachmentChunks.getAttachLongFileName();
            if (attachLongFileName == null) {
                attachLongFileName = attachmentChunks.getAttachFileName();
            }
            if (attachLongFileName == null) {
                str = null;
            } else {
                str = attachLongFileName.getValue();
            }
            if (!(attachmentChunks.getAttachMimeTag() == null || attachmentChunks.getAttachMimeTag().getValue() == null)) {
                str = attachmentChunks.getAttachMimeTag().getValue() + " = " + str;
            }
            stringBuffer.append("Attachment: " + str + "\n");
        }
        try {
            stringBuffer.append("\n" + mAPIMessage.getTextBody() + "\n");
        } catch (ChunkNotFoundException unused6) {
        }
        return stringBuffer.toString();
    }

    public void handleEmails(StringBuffer stringBuffer, String str, String str2, StringUtil.StringsIterator stringsIterator) {
        if (!(str2 == null || str2.length() == 0)) {
            String[] split = str2.split(";\\s*");
            stringBuffer.append(str + ": ");
            boolean z = true;
            for (String str3 : split) {
                if (z) {
                    z = false;
                } else {
                    stringBuffer.append("; ");
                }
                stringBuffer.append(str3);
                if (stringsIterator.hasNext()) {
                    String next = stringsIterator.next();
                    if (!next.equals(str3)) {
                        stringBuffer.append(" <" + next + GreaterThanPtg.GREATERTHAN);
                    }
                }
            }
            stringBuffer.append("\n");
        }
    }

    public OutlookTextExtactor(DirectoryNode directoryNode) {
        this(new MAPIMessage(directoryNode));
    }

    public OutlookTextExtactor(NPOIFSFileSystem nPOIFSFileSystem) {
        this(new MAPIMessage(nPOIFSFileSystem));
    }

    public OutlookTextExtactor(InputStream inputStream) {
        this(new MAPIMessage(inputStream));
    }
}
