package org.apache.poi.hssf.converter;

import java.io.File;
import java.io.FileInputStream;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.hssf.util.HSSFColor;
import org.apache.poi.ss.usermodel.BorderStyle;
import org.apache.poi.ss.usermodel.HorizontalAlignment;
import org.apache.poi.ss.util.CellRangeAddress;
import org.apache.poi.ss.util.SheetUtil;
import org.apache.poi.util.IOUtils;

public class AbstractExcelUtils {
    public static final String EMPTY = "";
    public static final short EXCEL_COLUMN_WIDTH_FACTOR = 256;
    public static final int UNIT_OFFSET_LENGTH = 7;

    /* renamed from: org.apache.poi.hssf.converter.AbstractExcelUtils$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$ss$usermodel$BorderStyle;
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$ss$usermodel$HorizontalAlignment;

        /* JADX WARNING: Can't wrap try/catch for region: R(39:0|(2:1|2)|3|(2:5|6)|7|(2:9|10)|11|(2:13|14)|15|(2:17|18)|19|(2:21|22)|23|(2:25|26)|27|29|30|31|32|33|34|35|36|37|38|39|41|42|43|44|45|46|47|48|49|50|51|52|(3:53|54|56)) */
        /* JADX WARNING: Can't wrap try/catch for region: R(41:0|(2:1|2)|3|(2:5|6)|7|9|10|11|(2:13|14)|15|(2:17|18)|19|(2:21|22)|23|25|26|27|29|30|31|32|33|34|35|36|37|38|39|41|42|43|44|45|46|47|48|49|50|51|52|(3:53|54|56)) */
        /* JADX WARNING: Can't wrap try/catch for region: R(43:0|(2:1|2)|3|5|6|7|9|10|11|(2:13|14)|15|(2:17|18)|19|21|22|23|25|26|27|29|30|31|32|33|34|35|36|37|38|39|41|42|43|44|45|46|47|48|49|50|51|52|(3:53|54|56)) */
        /* JADX WARNING: Can't wrap try/catch for region: R(45:0|(2:1|2)|3|5|6|7|9|10|11|(2:13|14)|15|(2:17|18)|19|21|22|23|25|26|27|29|30|31|32|33|34|35|36|37|38|39|41|42|43|44|45|46|47|48|49|50|51|52|53|54|56) */
        /* JADX WARNING: Can't wrap try/catch for region: R(47:0|1|2|3|5|6|7|9|10|11|(2:13|14)|15|17|18|19|21|22|23|25|26|27|29|30|31|32|33|34|35|36|37|38|39|41|42|43|44|45|46|47|48|49|50|51|52|53|54|56) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:31:0x004b */
        /* JADX WARNING: Missing exception handler attribute for start block: B:33:0x0051 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:35:0x0057 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:37:0x005d */
        /* JADX WARNING: Missing exception handler attribute for start block: B:43:0x0070 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:45:0x0076 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:47:0x007c */
        /* JADX WARNING: Missing exception handler attribute for start block: B:49:0x0082 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:51:0x0088 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:53:0x008e */
        static {
            int[] iArr = new int[BorderStyle.values().length];
            $SwitchMap$org$apache$poi$ss$usermodel$BorderStyle = iArr;
            try {
                BorderStyle borderStyle = BorderStyle.NONE;
                iArr[0] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                int[] iArr2 = $SwitchMap$org$apache$poi$ss$usermodel$BorderStyle;
                BorderStyle borderStyle2 = BorderStyle.DASH_DOT;
                iArr2[9] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            try {
                int[] iArr3 = $SwitchMap$org$apache$poi$ss$usermodel$BorderStyle;
                BorderStyle borderStyle3 = BorderStyle.DASH_DOT_DOT;
                iArr3[11] = 3;
            } catch (NoSuchFieldError unused3) {
            }
            try {
                int[] iArr4 = $SwitchMap$org$apache$poi$ss$usermodel$BorderStyle;
                BorderStyle borderStyle4 = BorderStyle.DOTTED;
                iArr4[4] = 4;
            } catch (NoSuchFieldError unused4) {
            }
            try {
                int[] iArr5 = $SwitchMap$org$apache$poi$ss$usermodel$BorderStyle;
                BorderStyle borderStyle5 = BorderStyle.HAIR;
                iArr5[7] = 5;
            } catch (NoSuchFieldError unused5) {
            }
            try {
                int[] iArr6 = $SwitchMap$org$apache$poi$ss$usermodel$BorderStyle;
                BorderStyle borderStyle6 = BorderStyle.MEDIUM_DASH_DOT;
                iArr6[10] = 6;
            } catch (NoSuchFieldError unused6) {
            }
            try {
                int[] iArr7 = $SwitchMap$org$apache$poi$ss$usermodel$BorderStyle;
                BorderStyle borderStyle7 = BorderStyle.MEDIUM_DASH_DOT_DOT;
                iArr7[12] = 7;
            } catch (NoSuchFieldError unused7) {
            }
            int[] iArr8 = $SwitchMap$org$apache$poi$ss$usermodel$BorderStyle;
            BorderStyle borderStyle8 = BorderStyle.SLANTED_DASH_DOT;
            iArr8[13] = 8;
            int[] iArr9 = $SwitchMap$org$apache$poi$ss$usermodel$BorderStyle;
            BorderStyle borderStyle9 = BorderStyle.DASHED;
            iArr9[3] = 9;
            int[] iArr10 = $SwitchMap$org$apache$poi$ss$usermodel$BorderStyle;
            BorderStyle borderStyle10 = BorderStyle.MEDIUM_DASHED;
            iArr10[8] = 10;
            int[] iArr11 = $SwitchMap$org$apache$poi$ss$usermodel$BorderStyle;
            BorderStyle borderStyle11 = BorderStyle.DOUBLE;
            iArr11[6] = 11;
            try {
                int[] iArr12 = $SwitchMap$org$apache$poi$ss$usermodel$BorderStyle;
                BorderStyle borderStyle12 = BorderStyle.THICK;
                iArr12[5] = 12;
            } catch (NoSuchFieldError unused8) {
            }
            int[] iArr13 = new int[HorizontalAlignment.values().length];
            $SwitchMap$org$apache$poi$ss$usermodel$HorizontalAlignment = iArr13;
            HorizontalAlignment horizontalAlignment = HorizontalAlignment.CENTER;
            iArr13[2] = 1;
            int[] iArr14 = $SwitchMap$org$apache$poi$ss$usermodel$HorizontalAlignment;
            HorizontalAlignment horizontalAlignment2 = HorizontalAlignment.CENTER_SELECTION;
            iArr14[6] = 2;
            int[] iArr15 = $SwitchMap$org$apache$poi$ss$usermodel$HorizontalAlignment;
            HorizontalAlignment horizontalAlignment3 = HorizontalAlignment.FILL;
            iArr15[4] = 3;
            int[] iArr16 = $SwitchMap$org$apache$poi$ss$usermodel$HorizontalAlignment;
            HorizontalAlignment horizontalAlignment4 = HorizontalAlignment.GENERAL;
            iArr16[0] = 4;
            int[] iArr17 = $SwitchMap$org$apache$poi$ss$usermodel$HorizontalAlignment;
            HorizontalAlignment horizontalAlignment5 = HorizontalAlignment.JUSTIFY;
            iArr17[5] = 5;
            int[] iArr18 = $SwitchMap$org$apache$poi$ss$usermodel$HorizontalAlignment;
            HorizontalAlignment horizontalAlignment6 = HorizontalAlignment.LEFT;
            iArr18[1] = 6;
            try {
                int[] iArr19 = $SwitchMap$org$apache$poi$ss$usermodel$HorizontalAlignment;
                HorizontalAlignment horizontalAlignment7 = HorizontalAlignment.RIGHT;
                iArr19[3] = 7;
            } catch (NoSuchFieldError unused9) {
            }
        }
    }

    public static String getAlign(short s) {
        return getAlign(HorizontalAlignment.forInt(s));
    }

    public static String getBorderStyle(BorderStyle borderStyle) {
        int ordinal = borderStyle.ordinal();
        if (ordinal == 0) {
            return "none";
        }
        if (ordinal != 3) {
            if (ordinal != 4) {
                switch (ordinal) {
                    case 6:
                        return "double";
                    case 7:
                    case 9:
                    case 10:
                    case 11:
                    case 12:
                    case 13:
                        break;
                    case 8:
                        break;
                    default:
                        return "solid";
                }
            }
            return "dotted";
        }
        return "dashed";
    }

    public static String getBorderWidth(BorderStyle borderStyle) {
        int ordinal = borderStyle.ordinal();
        if (ordinal != 5) {
            return (ordinal == 8 || ordinal == 10 || ordinal == 12) ? "2pt" : "thin";
        }
        return "thick";
    }

    public static String getColor(HSSFColor hSSFColor) {
        StringBuilder sb = new StringBuilder(7);
        sb.append('#');
        short[] triplet = hSSFColor.getTriplet();
        for (short s : triplet) {
            if (s < 10) {
                sb.append(SheetUtil.defaultChar);
            }
            sb.append(Integer.toHexString(s));
        }
        String sb2 = sb.toString();
        if (sb2.equals("#ffffff")) {
            return "white";
        }
        if (sb2.equals("#c0c0c0")) {
            return "silver";
        }
        if (sb2.equals("#808080")) {
            return "gray";
        }
        return sb2.equals("#000000") ? "black" : sb2;
    }

    public static int getColumnWidthInPx(int i2) {
        return Math.round(((float) (i2 % 256)) / 36.57143f) + ((i2 / 256) * 7);
    }

    public static CellRangeAddress getMergedRange(CellRangeAddress[][] cellRangeAddressArr, int i2, int i3) {
        CellRangeAddress[] cellRangeAddressArr2 = i2 < cellRangeAddressArr.length ? cellRangeAddressArr[i2] : null;
        if (cellRangeAddressArr2 == null || i3 >= cellRangeAddressArr2.length) {
            return null;
        }
        return cellRangeAddressArr2[i3];
    }

    public static boolean isEmpty(String str) {
        return str == null || str.length() == 0;
    }

    public static boolean isNotEmpty(String str) {
        return !isEmpty(str);
    }

    public static HSSFWorkbook loadXls(File file) {
        FileInputStream fileInputStream = new FileInputStream(file);
        try {
            return new HSSFWorkbook(fileInputStream);
        } finally {
            IOUtils.closeQuietly(fileInputStream);
        }
    }

    public static String getAlign(HorizontalAlignment horizontalAlignment) {
        int ordinal = horizontalAlignment.ordinal();
        if (ordinal == 1) {
            return "left";
        }
        if (ordinal == 2) {
            return "center";
        }
        if (ordinal == 3) {
            return "right";
        }
        if (ordinal != 5) {
            return ordinal != 6 ? "" : "center";
        }
        return "justify";
    }
}
