package org.apache.poi.hssf.converter;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.PrintStream;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.Map;
import javax.xml.transform.OutputKeys;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.dom.DOMSource;
import javax.xml.transform.stream.StreamResult;
import org.apache.poi.hpsf.SummaryInformation;
import org.apache.poi.hssf.usermodel.HSSFCell;
import org.apache.poi.hssf.usermodel.HSSFCellStyle;
import org.apache.poi.hssf.usermodel.HSSFFont;
import org.apache.poi.hssf.usermodel.HSSFRichTextString;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.hssf.util.HSSFColor;
import org.apache.poi.hwpf.converter.AbstractWordConverter;
import org.apache.poi.hwpf.converter.HtmlDocumentFacade;
import org.apache.poi.ss.formula.eval.ErrorEval;
import org.apache.poi.ss.usermodel.BorderStyle;
import org.apache.poi.ss.usermodel.CellType;
import org.apache.poi.ss.util.CellRangeAddress;
import org.apache.poi.util.POILogFactory;
import org.apache.poi.util.POILogger;
import org.apache.poi.util.XMLHelper;
import org.apache.xmlbeans.impl.jam.xml.JamXmlElements;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.Node;

public class ExcelToHtmlConverter extends AbstractExcelConverter {
    public static final POILogger logger = POILogFactory.getLogger(ExcelToHtmlConverter.class);
    public String cssClassContainerCell = null;
    public String cssClassContainerDiv = null;
    public String cssClassPrefixCell = "c";
    public String cssClassPrefixDiv = "d";
    public String cssClassPrefixRow = "r";
    public String cssClassPrefixTable = "t";
    public Map<Short, String> excelStyleToClass = new LinkedHashMap();
    public final HtmlDocumentFacade htmlDocumentFacade;
    public boolean useDivsToSpan = false;

    /* renamed from: org.apache.poi.hssf.converter.ExcelToHtmlConverter$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$ss$usermodel$CellType;

        /* JADX WARNING: Can't wrap try/catch for region: R(16:0|1|2|3|4|5|7|8|9|11|12|13|14|15|16|18) */
        /* JADX WARNING: Code restructure failed: missing block: B:19:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:13:0x0025 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:15:0x002b */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x000f */
        static {
            int[] iArr = new int[CellType.values().length];
            $SwitchMap$org$apache$poi$ss$usermodel$CellType = iArr;
            CellType cellType = CellType.STRING;
            iArr[2] = 1;
            try {
                int[] iArr2 = $SwitchMap$org$apache$poi$ss$usermodel$CellType;
                CellType cellType2 = CellType.NUMERIC;
                iArr2[1] = 2;
            } catch (NoSuchFieldError unused) {
            }
            try {
                int[] iArr3 = $SwitchMap$org$apache$poi$ss$usermodel$CellType;
                CellType cellType3 = CellType.BOOLEAN;
                iArr3[5] = 3;
            } catch (NoSuchFieldError unused2) {
            }
            int[] iArr4 = $SwitchMap$org$apache$poi$ss$usermodel$CellType;
            CellType cellType4 = CellType.ERROR;
            iArr4[6] = 4;
            int[] iArr5 = $SwitchMap$org$apache$poi$ss$usermodel$CellType;
            CellType cellType5 = CellType.FORMULA;
            iArr5[3] = 5;
            int[] iArr6 = $SwitchMap$org$apache$poi$ss$usermodel$CellType;
            CellType cellType6 = CellType.BLANK;
            iArr6[4] = 6;
        }
    }

    public ExcelToHtmlConverter(Document document) {
        this.htmlDocumentFacade = new HtmlDocumentFacade(document);
    }

    private void buildStyle_border(HSSFWorkbook hSSFWorkbook, StringBuilder sb, String str, BorderStyle borderStyle, short s) {
        if (borderStyle != BorderStyle.NONE) {
            StringBuilder sb2 = new StringBuilder();
            sb2.append(AbstractExcelUtils.getBorderWidth(borderStyle));
            sb2.append(' ');
            sb2.append(AbstractExcelUtils.getBorderStyle(borderStyle));
            HSSFColor color = hSSFWorkbook.getCustomPalette().getColor(s);
            if (color != null) {
                sb2.append(' ');
                sb2.append(AbstractExcelUtils.getColor(color));
            }
            sb.append("border-" + str + ":" + ((Object) sb2) + ";");
        }
    }

    public static void main(String[] strArr) {
        if (strArr.length < 2) {
            System.err.println("Usage: ExcelToHtmlConverter <inputFile.xls> <saveTo.html>");
            return;
        }
        PrintStream printStream = System.out;
        StringBuilder b2 = a.b("Converting ");
        b2.append(strArr[0]);
        printStream.println(b2.toString());
        PrintStream printStream2 = System.out;
        StringBuilder b3 = a.b("Saving output to ");
        b3.append(strArr[1]);
        printStream2.println(b3.toString());
        DOMSource dOMSource = new DOMSource(process(new File(strArr[0])));
        StreamResult streamResult = new StreamResult(new File(strArr[1]));
        Transformer newTransformer = TransformerFactory.newInstance().newTransformer();
        newTransformer.setOutputProperty(OutputKeys.ENCODING, "UTF-8");
        newTransformer.setOutputProperty(OutputKeys.INDENT, "no");
        newTransformer.setOutputProperty("method", "html");
        newTransformer.transform(dOMSource, streamResult);
    }

    public static Document process(File file) {
        HSSFWorkbook loadXls = AbstractExcelUtils.loadXls(file);
        try {
            return process(loadXls);
        } finally {
            loadXls.close();
        }
    }

    public String buildStyle(HSSFWorkbook hSSFWorkbook, HSSFCellStyle hSSFCellStyle) {
        StringBuilder b2 = a.b("white-space:pre-wrap;");
        ExcelToHtmlUtils.appendAlign(b2, hSSFCellStyle.getAlignment());
        short fillPattern = hSSFCellStyle.getFillPattern();
        if (fillPattern != 0) {
            if (fillPattern != 1) {
                HSSFColor fillBackgroundColorColor = hSSFCellStyle.getFillBackgroundColorColor();
                if (fillBackgroundColorColor != null) {
                    String color = AbstractExcelUtils.getColor(fillBackgroundColorColor);
                    b2.append("background-color:" + color + ";");
                }
            } else {
                HSSFColor fillForegroundColorColor = hSSFCellStyle.getFillForegroundColorColor();
                if (fillForegroundColorColor != null) {
                    String color2 = AbstractExcelUtils.getColor(fillForegroundColorColor);
                    b2.append("background-color:" + color2 + ";");
                }
            }
        }
        buildStyle_border(hSSFWorkbook, b2, "top", hSSFCellStyle.getBorderTopEnum(), hSSFCellStyle.getTopBorderColor());
        buildStyle_border(hSSFWorkbook, b2, "right", hSSFCellStyle.getBorderRightEnum(), hSSFCellStyle.getRightBorderColor());
        buildStyle_border(hSSFWorkbook, b2, "bottom", hSSFCellStyle.getBorderBottomEnum(), hSSFCellStyle.getBottomBorderColor());
        buildStyle_border(hSSFWorkbook, b2, "left", hSSFCellStyle.getBorderLeftEnum(), hSSFCellStyle.getLeftBorderColor());
        buildStyle_font(hSSFWorkbook, b2, hSSFCellStyle.getFont(hSSFWorkbook));
        return b2.toString();
    }

    public void buildStyle_font(HSSFWorkbook hSSFWorkbook, StringBuilder sb, HSSFFont hSSFFont) {
        if (hSSFFont.getBold()) {
            sb.append("font-weight:bold;");
        }
        HSSFColor color = hSSFWorkbook.getCustomPalette().getColor(hSSFFont.getColor());
        if (color != null) {
            StringBuilder b2 = a.b("color: ");
            b2.append(AbstractExcelUtils.getColor(color));
            b2.append("; ");
            sb.append(b2.toString());
        }
        if (hSSFFont.getFontHeightInPoints() != 0) {
            StringBuilder b3 = a.b("font-size:");
            b3.append((int) hSSFFont.getFontHeightInPoints());
            b3.append("pt;");
            sb.append(b3.toString());
        }
        if (hSSFFont.getItalic()) {
            sb.append("font-style:italic;");
        }
    }

    public String getCssClassPrefixCell() {
        return this.cssClassPrefixCell;
    }

    public String getCssClassPrefixDiv() {
        return this.cssClassPrefixDiv;
    }

    public String getCssClassPrefixRow() {
        return this.cssClassPrefixRow;
    }

    public String getCssClassPrefixTable() {
        return this.cssClassPrefixTable;
    }

    @Override // org.apache.poi.hssf.converter.AbstractExcelConverter
    public Document getDocument() {
        return this.htmlDocumentFacade.getDocument();
    }

    public String getStyleClassName(HSSFWorkbook hSSFWorkbook, HSSFCellStyle hSSFCellStyle) {
        Short valueOf = Short.valueOf(hSSFCellStyle.getIndex());
        String str = this.excelStyleToClass.get(valueOf);
        if (str != null) {
            return str;
        }
        String orCreateCssClass = this.htmlDocumentFacade.getOrCreateCssClass(this.cssClassPrefixCell, buildStyle(hSSFWorkbook, hSSFCellStyle));
        this.excelStyleToClass.put(valueOf, orCreateCssClass);
        return orCreateCssClass;
    }

    public boolean isUseDivsToSpan() {
        return this.useDivsToSpan;
    }

    public boolean processCell(HSSFCell hSSFCell, Element element, int i2, int i3, float f2) {
        String str;
        HSSFCellStyle cellStyle = hSSFCell.getCellStyle();
        String str2 = "";
        switch (hSSFCell.getCellTypeEnum().ordinal()) {
            case 1:
                str2 = this._formatter.formatCellValue(hSSFCell);
                break;
            case 2:
                str2 = hSSFCell.getRichStringCellValue().getString();
                break;
            case 3:
                int ordinal = hSSFCell.getCachedFormulaResultTypeEnum().ordinal();
                if (ordinal == 1) {
                    str = this._formatter.formatRawCellContents(hSSFCell.getNumericCellValue(), cellStyle.getDataFormat(), cellStyle.getDataFormatString());
                } else if (ordinal == 2) {
                    HSSFRichTextString richStringCellValue = hSSFCell.getRichStringCellValue();
                    if (richStringCellValue != null && richStringCellValue.length() > 0) {
                        str = richStringCellValue.toString();
                    }
                } else if (ordinal == 5) {
                    str = String.valueOf(hSSFCell.getBooleanCellValue());
                } else if (ordinal != 6) {
                    POILogger pOILogger = logger;
                    StringBuilder b2 = a.b("Unexpected cell cachedFormulaResultType (");
                    b2.append(hSSFCell.getCachedFormulaResultTypeEnum());
                    b2.append(")");
                    pOILogger.log(5, b2.toString());
                    break;
                } else {
                    str = ErrorEval.getText(hSSFCell.getErrorCellValue());
                }
                str2 = str;
                break;
            case 4:
                break;
            case 5:
                str2 = String.valueOf(hSSFCell.getBooleanCellValue());
                break;
            case 6:
                str2 = ErrorEval.getText(hSSFCell.getErrorCellValue());
                break;
            default:
                POILogger pOILogger2 = logger;
                StringBuilder b3 = a.b("Unexpected cell type (");
                b3.append(hSSFCell.getCellTypeEnum());
                b3.append(")");
                pOILogger2.log(5, b3.toString());
                return true;
        }
        boolean isEmpty = AbstractExcelUtils.isEmpty(str2);
        boolean z = !isEmpty && isUseDivsToSpan() && !cellStyle.getWrapText();
        if (cellStyle.getIndex() != 0) {
            String styleClassName = getStyleClassName(hSSFCell.getRow().getSheet().getWorkbook(), cellStyle);
            if (z) {
                StringBuilder d2 = a.d(styleClassName, " ");
                d2.append(this.cssClassContainerCell);
                element.setAttribute(JamXmlElements.CLASS, d2.toString());
            } else {
                element.setAttribute(JamXmlElements.CLASS, styleClassName);
            }
            if (isEmpty) {
                str2 = " ";
            }
        }
        if (isOutputLeadingSpacesAsNonBreaking() && str2.startsWith(" ")) {
            StringBuilder sb = new StringBuilder();
            int i4 = 0;
            while (i4 < str2.length() && str2.charAt(i4) == ' ') {
                sb.append(AbstractWordConverter.UNICODECHAR_NO_BREAK_SPACE);
                i4++;
            }
            if (str2.length() != sb.length()) {
                sb.append(str2.substring(sb.length()));
            }
            str2 = sb.toString();
        }
        Node createText = this.htmlDocumentFacade.createText(str2);
        if (z) {
            Element createBlock = this.htmlDocumentFacade.createBlock();
            createBlock.setAttribute(JamXmlElements.CLASS, this.cssClassContainerDiv);
            Element createBlock2 = this.htmlDocumentFacade.createBlock();
            StringBuilder a = a.a("position:absolute;min-width:", i2, "px;");
            if (i3 != Integer.MAX_VALUE) {
                a.append("max-width:");
                a.append(i3);
                a.append("px;");
            }
            a.append("overflow:hidden;max-height:");
            a.append(f2);
            a.append("pt;white-space:nowrap;");
            ExcelToHtmlUtils.appendAlign(a, cellStyle.getAlignment());
            this.htmlDocumentFacade.addStyleClass(createBlock, this.cssClassPrefixDiv, a.toString());
            createBlock2.appendChild(createText);
            createBlock.appendChild(createBlock2);
            element.appendChild(createBlock);
        } else {
            element.appendChild(createText);
        }
        if (!AbstractExcelUtils.isEmpty(str2) || cellStyle.getIndex() != 0) {
            return false;
        }
        return true;
    }

    public void processColumnHeaders(HSSFSheet hSSFSheet, int i2, Element element) {
        Element createTableHeader = this.htmlDocumentFacade.createTableHeader();
        element.appendChild(createTableHeader);
        Element createTableRow = this.htmlDocumentFacade.createTableRow();
        if (isOutputRowNumbers()) {
            createTableRow.appendChild(this.htmlDocumentFacade.createTableHeaderCell());
        }
        for (int i3 = 0; i3 < i2; i3++) {
            if (isOutputHiddenColumns() || !hSSFSheet.isColumnHidden(i3)) {
                Element createTableHeaderCell = this.htmlDocumentFacade.createTableHeaderCell();
                createTableHeaderCell.appendChild(this.htmlDocumentFacade.createText(getColumnName(i3)));
                createTableRow.appendChild(createTableHeaderCell);
            }
        }
        createTableHeader.appendChild(createTableRow);
    }

    public void processColumnWidths(HSSFSheet hSSFSheet, int i2, Element element) {
        Node createTableColumnGroup = this.htmlDocumentFacade.createTableColumnGroup();
        if (isOutputRowNumbers()) {
            createTableColumnGroup.appendChild(this.htmlDocumentFacade.createTableColumn());
        }
        for (int i3 = 0; i3 < i2; i3++) {
            if (isOutputHiddenColumns() || !hSSFSheet.isColumnHidden(i3)) {
                Element createTableColumn = this.htmlDocumentFacade.createTableColumn();
                createTableColumn.setAttribute("width", String.valueOf(AbstractExcelConverter.getColumnWidth(hSSFSheet, i3)));
                createTableColumnGroup.appendChild(createTableColumn);
            }
        }
        element.appendChild(createTableColumnGroup);
    }

    public void processDocumentInformation(SummaryInformation summaryInformation) {
        if (AbstractExcelUtils.isNotEmpty(summaryInformation.getTitle())) {
            this.htmlDocumentFacade.setTitle(summaryInformation.getTitle());
        }
        if (AbstractExcelUtils.isNotEmpty(summaryInformation.getAuthor())) {
            this.htmlDocumentFacade.addAuthor(summaryInformation.getAuthor());
        }
        if (AbstractExcelUtils.isNotEmpty(summaryInformation.getKeywords())) {
            this.htmlDocumentFacade.addKeywords(summaryInformation.getKeywords());
        }
        if (AbstractExcelUtils.isNotEmpty(summaryInformation.getComments())) {
            this.htmlDocumentFacade.addDescription(summaryInformation.getComments());
        }
    }

    public int processRow(CellRangeAddress[][] cellRangeAddressArr, HSSFRow hSSFRow, Element element) {
        int i2;
        Element element2;
        boolean z;
        ExcelToHtmlConverter excelToHtmlConverter = this;
        HSSFSheet sheet = hSSFRow.getSheet();
        short lastCellNum = hSSFRow.getLastCellNum();
        if (lastCellNum <= 0) {
            return 0;
        }
        ArrayList arrayList = new ArrayList(lastCellNum);
        if (isOutputRowNumbers()) {
            Element createTableHeaderCell = excelToHtmlConverter.htmlDocumentFacade.createTableHeaderCell();
            excelToHtmlConverter.processRowNumber(hSSFRow, createTableHeaderCell);
            arrayList.add(createTableHeaderCell);
        }
        int i3 = 0;
        int i4 = 0;
        while (true) {
            boolean z2 = true;
            if (i3 >= lastCellNum) {
                return i4 + 1;
            }
            if (isOutputHiddenColumns() || !sheet.isColumnHidden(i3)) {
                CellRangeAddress mergedRange = AbstractExcelUtils.getMergedRange(cellRangeAddressArr, hSSFRow.getRowNum(), i3);
                if (mergedRange == null || (mergedRange.getFirstColumn() == i3 && mergedRange.getFirstRow() == hSSFRow.getRowNum())) {
                    HSSFCell cell = hSSFRow.getCell(i3);
                    if (isUseDivsToSpan()) {
                        int columnWidth = AbstractExcelConverter.getColumnWidth(sheet, i3);
                        int i5 = i3 + 1;
                        while (true) {
                            if (i5 >= lastCellNum) {
                                z = false;
                                break;
                            }
                            if (isOutputHiddenColumns() || !sheet.isColumnHidden(i5)) {
                                if (hSSFRow.getCell(i5) != null && !excelToHtmlConverter.isTextEmpty(hSSFRow.getCell(i5))) {
                                    z = true;
                                    break;
                                }
                                columnWidth = AbstractExcelConverter.getColumnWidth(sheet, i5) + columnWidth;
                            }
                            i5++;
                        }
                        i2 = !z ? Integer.MAX_VALUE : columnWidth;
                    } else {
                        i2 = 0;
                    }
                    Element createTableCell = excelToHtmlConverter.htmlDocumentFacade.createTableCell();
                    if (mergedRange != null) {
                        if (mergedRange.getFirstColumn() != mergedRange.getLastColumn()) {
                            createTableCell.setAttribute("colspan", String.valueOf((mergedRange.getLastColumn() - mergedRange.getFirstColumn()) + 1));
                        }
                        if (mergedRange.getFirstRow() != mergedRange.getLastRow()) {
                            createTableCell.setAttribute("rowspan", String.valueOf((mergedRange.getLastRow() - mergedRange.getFirstRow()) + 1));
                        }
                    }
                    if (cell != null) {
                        element2 = createTableCell;
                        z2 = processCell(cell, createTableCell, AbstractExcelConverter.getColumnWidth(sheet, i3), i2, ((float) hSSFRow.getHeight()) / 20.0f);
                    } else {
                        element2 = createTableCell;
                    }
                    if (z2) {
                        arrayList.add(element2);
                    } else {
                        Iterator it = arrayList.iterator();
                        while (it.hasNext()) {
                            element.appendChild((Element) it.next());
                        }
                        arrayList.clear();
                        element.appendChild(element2);
                        i4 = i3;
                    }
                }
            }
            i3++;
            excelToHtmlConverter = this;
        }
    }

    public void processRowNumber(HSSFRow hSSFRow, Element element) {
        element.setAttribute(JamXmlElements.CLASS, "rownumber");
        element.appendChild(this.htmlDocumentFacade.createText(getRowName(hSSFRow)));
    }

    public void processSheet(HSSFSheet hSSFSheet) {
        processSheetHeader(this.htmlDocumentFacade.getBody(), hSSFSheet);
        int physicalNumberOfRows = hSSFSheet.getPhysicalNumberOfRows();
        if (physicalNumberOfRows > 0) {
            Element createTable = this.htmlDocumentFacade.createTable();
            this.htmlDocumentFacade.addStyleClass(createTable, this.cssClassPrefixTable, "border-collapse:collapse;border-spacing:0;");
            Node createTableBody = this.htmlDocumentFacade.createTableBody();
            CellRangeAddress[][] buildMergedRangesMap = ExcelToHtmlUtils.buildMergedRangesMap(hSSFSheet);
            ArrayList arrayList = new ArrayList(physicalNumberOfRows);
            int i2 = 1;
            for (int firstRowNum = hSSFSheet.getFirstRowNum(); firstRowNum <= hSSFSheet.getLastRowNum(); firstRowNum++) {
                HSSFRow row = hSSFSheet.getRow(firstRowNum);
                if (row != null && (isOutputHiddenRows() || !row.getZeroHeight())) {
                    Element createTableRow = this.htmlDocumentFacade.createTableRow();
                    HtmlDocumentFacade htmlDocumentFacade2 = this.htmlDocumentFacade;
                    String str = this.cssClassPrefixRow;
                    StringBuilder b2 = a.b("height:");
                    b2.append(((float) row.getHeight()) / 20.0f);
                    b2.append("pt;");
                    htmlDocumentFacade2.addStyleClass(createTableRow, str, b2.toString());
                    int processRow = processRow(buildMergedRangesMap, row, createTableRow);
                    if (processRow == 0) {
                        arrayList.add(createTableRow);
                    } else {
                        if (!arrayList.isEmpty()) {
                            Iterator it = arrayList.iterator();
                            while (it.hasNext()) {
                                createTableBody.appendChild((Element) it.next());
                            }
                            arrayList.clear();
                        }
                        createTableBody.appendChild(createTableRow);
                    }
                    i2 = Math.max(i2, processRow);
                }
            }
            processColumnWidths(hSSFSheet, i2, createTable);
            if (isOutputColumnHeaders()) {
                processColumnHeaders(hSSFSheet, i2, createTable);
            }
            createTable.appendChild(createTableBody);
            this.htmlDocumentFacade.getBody().appendChild(createTable);
        }
    }

    public void processSheetHeader(Element element, HSSFSheet hSSFSheet) {
        Element createHeader2 = this.htmlDocumentFacade.createHeader2();
        createHeader2.appendChild(this.htmlDocumentFacade.createText(hSSFSheet.getSheetName()));
        element.appendChild(createHeader2);
    }

    public void processWorkbook(HSSFWorkbook hSSFWorkbook) {
        SummaryInformation summaryInformation = hSSFWorkbook.getSummaryInformation();
        if (summaryInformation != null) {
            processDocumentInformation(summaryInformation);
        }
        if (isUseDivsToSpan()) {
            this.cssClassContainerCell = this.htmlDocumentFacade.getOrCreateCssClass(this.cssClassPrefixCell, "padding:0;margin:0;align:left;vertical-align:top;");
            this.cssClassContainerDiv = this.htmlDocumentFacade.getOrCreateCssClass(this.cssClassPrefixDiv, "position:relative;");
        }
        for (int i2 = 0; i2 < hSSFWorkbook.getNumberOfSheets(); i2++) {
            processSheet(hSSFWorkbook.getSheetAt(i2));
        }
        this.htmlDocumentFacade.updateStylesheet();
    }

    public void setCssClassPrefixCell(String str) {
        this.cssClassPrefixCell = str;
    }

    public void setCssClassPrefixDiv(String str) {
        this.cssClassPrefixDiv = str;
    }

    public void setCssClassPrefixRow(String str) {
        this.cssClassPrefixRow = str;
    }

    public void setCssClassPrefixTable(String str) {
        this.cssClassPrefixTable = str;
    }

    public void setUseDivsToSpan(boolean z) {
        this.useDivsToSpan = z;
    }

    public static Document process(InputStream inputStream) {
        HSSFWorkbook hSSFWorkbook = new HSSFWorkbook(inputStream);
        try {
            return process(hSSFWorkbook);
        } finally {
            hSSFWorkbook.close();
        }
    }

    public static Document process(HSSFWorkbook hSSFWorkbook) {
        ExcelToHtmlConverter excelToHtmlConverter = new ExcelToHtmlConverter(XMLHelper.getDocumentBuilderFactory().newDocumentBuilder().newDocument());
        excelToHtmlConverter.processWorkbook(hSSFWorkbook);
        return excelToHtmlConverter.getDocument();
    }

    public ExcelToHtmlConverter(HtmlDocumentFacade htmlDocumentFacade2) {
        this.htmlDocumentFacade = htmlDocumentFacade2;
    }
}
