package org.apache.poi.hssf.dev;

import java.io.File;
import java.io.InputStream;
import org.apache.poi.hssf.eventusermodel.HSSFEventFactory;
import org.apache.poi.hssf.eventusermodel.HSSFListener;
import org.apache.poi.hssf.eventusermodel.HSSFRequest;
import org.apache.poi.hssf.record.Record;
import org.apache.poi.poifs.filesystem.NPOIFSFileSystem;

public class EFBiffViewer {
    public String file;

    public static void main(String[] strArr) {
        if (strArr.length != 1 || strArr[0].equals("--help")) {
            System.out.println("EFBiffViewer");
            System.out.println("Outputs biffview of records based on HSSFEventFactory");
            System.out.println("usage: java org.apache.poi.hssf.dev.EBBiffViewer filename");
            return;
        }
        EFBiffViewer eFBiffViewer = new EFBiffViewer();
        eFBiffViewer.setFile(strArr[0]);
        eFBiffViewer.run();
    }

    /* JADX INFO: finally extract failed */
    public void run() {
        NPOIFSFileSystem nPOIFSFileSystem = new NPOIFSFileSystem(new File(this.file), true);
        try {
            InputStream pOIFSInputStream = BiffViewer.getPOIFSInputStream(nPOIFSFileSystem);
            try {
                HSSFRequest hSSFRequest = new HSSFRequest();
                hSSFRequest.addListenerForAllRecords(new HSSFListener() {
                    /* class org.apache.poi.hssf.dev.EFBiffViewer.AnonymousClass1 */

                    @Override // org.apache.poi.hssf.eventusermodel.HSSFListener
                    public void processRecord(Record record) {
                        System.out.println(record);
                    }
                });
                new HSSFEventFactory().processEvents(hSSFRequest, pOIFSInputStream);
                pOIFSInputStream.close();
            } catch (Throwable th) {
                pOIFSInputStream.close();
                throw th;
            }
        } finally {
            nPOIFSFileSystem.close();
        }
    }

    public void setFile(String str) {
        this.file = str;
    }
}
