package org.apache.poi.hssf.extractor;

import b.b.a.a.a;
import java.io.File;
import java.io.FileInputStream;
import java.io.InputStream;
import java.io.PrintStream;
import java.util.Locale;
import org.apache.poi.POIOLE2TextExtractor;
import org.apache.poi.hssf.usermodel.HSSFCell;
import org.apache.poi.hssf.usermodel.HSSFCellStyle;
import org.apache.poi.hssf.usermodel.HSSFComment;
import org.apache.poi.hssf.usermodel.HSSFDataFormatter;
import org.apache.poi.hssf.usermodel.HSSFRichTextString;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.poifs.filesystem.DirectoryNode;
import org.apache.poi.poifs.filesystem.POIFSFileSystem;
import org.apache.poi.ss.formula.eval.ErrorEval;
import org.apache.poi.ss.usermodel.CellType;
import org.apache.poi.ss.usermodel.HeaderFooter;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.xssf.usermodel.XSSFCell;

public class ExcelExtractor extends POIOLE2TextExtractor implements org.apache.poi.ss.extractor.ExcelExtractor {
    public final HSSFDataFormatter _formatter;
    public boolean _includeBlankCells;
    public boolean _includeCellComments;
    public boolean _includeHeadersFooters;
    public boolean _includeSheetNames;
    public boolean _shouldEvaluateFormulas;
    public final HSSFWorkbook _wb;

    /* renamed from: org.apache.poi.hssf.extractor.ExcelExtractor$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$ss$usermodel$CellType;

        /* JADX WARNING: Can't wrap try/catch for region: R(13:0|1|2|3|4|5|7|8|9|10|11|12|14) */
        /* JADX WARNING: Code restructure failed: missing block: B:15:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x0025 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x000f */
        /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x001d */
        static {
            int[] iArr = new int[CellType.values().length];
            $SwitchMap$org$apache$poi$ss$usermodel$CellType = iArr;
            CellType cellType = CellType.STRING;
            iArr[2] = 1;
            try {
                int[] iArr2 = $SwitchMap$org$apache$poi$ss$usermodel$CellType;
                CellType cellType2 = CellType.NUMERIC;
                iArr2[1] = 2;
            } catch (NoSuchFieldError unused) {
            }
            int[] iArr3 = $SwitchMap$org$apache$poi$ss$usermodel$CellType;
            CellType cellType3 = CellType.BOOLEAN;
            iArr3[5] = 3;
            int[] iArr4 = $SwitchMap$org$apache$poi$ss$usermodel$CellType;
            CellType cellType4 = CellType.ERROR;
            iArr4[6] = 4;
            int[] iArr5 = $SwitchMap$org$apache$poi$ss$usermodel$CellType;
            CellType cellType5 = CellType.FORMULA;
            iArr5[3] = 5;
        }
    }

    public static final class CommandArgs {
        public final boolean _evaluateFormulas;
        public final boolean _headersFooters;
        public final File _inputFile;
        public final boolean _requestHelp;
        public final boolean _showBlankCells;
        public final boolean _showCellComments;
        public final boolean _showSheetNames;

        public CommandArgs(String[] strArr) {
            int i2;
            int length = strArr.length;
            boolean z = false;
            File file = null;
            int i3 = 0;
            boolean z2 = true;
            boolean z3 = true;
            boolean z4 = false;
            boolean z5 = false;
            boolean z6 = true;
            while (true) {
                if (i3 >= length) {
                    break;
                }
                String str = strArr[i3];
                if ("-help".equalsIgnoreCase(str)) {
                    z = true;
                    break;
                }
                if ("-i".equals(str)) {
                    i2 = i3 + 1;
                    if (i2 < length) {
                        String str2 = strArr[i2];
                        if (file == null) {
                            file = new File(str2);
                            if (!file.exists()) {
                                throw new CommandParseException(a.b("Specified input file '", str2, "' does not exist"));
                            } else if (file.isDirectory()) {
                                throw new CommandParseException(a.b("Specified input file '", str2, "' is a directory"));
                            }
                        } else {
                            throw new CommandParseException("Only one input file can be supplied");
                        }
                    } else {
                        throw new CommandParseException("Expected filename after '-i'");
                    }
                } else if ("--show-sheet-names".equals(str)) {
                    i2 = i3 + 1;
                    z2 = parseBoolArg(strArr, i2);
                } else if ("--evaluate-formulas".equals(str)) {
                    i2 = i3 + 1;
                    z3 = parseBoolArg(strArr, i2);
                } else if ("--show-comments".equals(str)) {
                    i2 = i3 + 1;
                    z4 = parseBoolArg(strArr, i2);
                } else if ("--show-blanks".equals(str)) {
                    i2 = i3 + 1;
                    z5 = parseBoolArg(strArr, i2);
                } else if ("--headers-footers".equals(str)) {
                    i2 = i3 + 1;
                    z6 = parseBoolArg(strArr, i2);
                } else {
                    throw new CommandParseException(a.b("Invalid argument '", str, "'"));
                }
                i3 = i2 + 1;
            }
            this._requestHelp = z;
            this._inputFile = file;
            this._showSheetNames = z2;
            this._evaluateFormulas = z3;
            this._showCellComments = z4;
            this._showBlankCells = z5;
            this._headersFooters = z6;
        }

        public static boolean parseBoolArg(String[] strArr, int i2) {
            if (i2 < strArr.length) {
                String upperCase = strArr[i2].toUpperCase(Locale.ROOT);
                if ("Y".equals(upperCase) || "YES".equals(upperCase) || "ON".equals(upperCase) || XSSFCell.TRUE.equals(upperCase)) {
                    return true;
                }
                if ("N".equals(upperCase) || "NO".equals(upperCase) || "OFF".equals(upperCase) || XSSFCell.FALSE.equals(upperCase)) {
                    return false;
                }
                StringBuilder b2 = a.b("Invalid value '");
                b2.append(strArr[i2]);
                b2.append("' for '");
                throw new CommandParseException(a.a(b2, strArr[i2 - 1], "'. Expected 'Y' or 'N'"));
            }
            throw new CommandParseException(a.a(a.b("Expected value after '"), strArr[i2 - 1], "'"));
        }

        public File getInputFile() {
            return this._inputFile;
        }

        public boolean isRequestHelp() {
            return this._requestHelp;
        }

        public boolean shouldEvaluateFormulas() {
            return this._evaluateFormulas;
        }

        public boolean shouldIncludeHeadersFooters() {
            return this._headersFooters;
        }

        public boolean shouldShowBlankCells() {
            return this._showBlankCells;
        }

        public boolean shouldShowCellComments() {
            return this._showCellComments;
        }

        public boolean shouldShowSheetNames() {
            return this._showSheetNames;
        }
    }

    public static final class CommandParseException extends Exception {
        public CommandParseException(String str) {
            super(str);
        }
    }

    public ExcelExtractor(HSSFWorkbook hSSFWorkbook) {
        super(hSSFWorkbook);
        this._includeSheetNames = true;
        this._shouldEvaluateFormulas = true;
        this._includeCellComments = false;
        this._includeBlankCells = false;
        this._includeHeadersFooters = true;
        this._wb = hSSFWorkbook;
        this._formatter = new HSSFDataFormatter();
    }

    public static String _extractHeaderFooter(HeaderFooter headerFooter) {
        StringBuffer stringBuffer = new StringBuffer();
        if (headerFooter.getLeft() != null) {
            stringBuffer.append(headerFooter.getLeft());
        }
        if (headerFooter.getCenter() != null) {
            if (stringBuffer.length() > 0) {
                stringBuffer.append("\t");
            }
            stringBuffer.append(headerFooter.getCenter());
        }
        if (headerFooter.getRight() != null) {
            if (stringBuffer.length() > 0) {
                stringBuffer.append("\t");
            }
            stringBuffer.append(headerFooter.getRight());
        }
        if (stringBuffer.length() > 0) {
            stringBuffer.append("\n");
        }
        return stringBuffer.toString();
    }

    public static void main(String[] strArr) {
        InputStream inputStream;
        try {
            CommandArgs commandArgs = new CommandArgs(strArr);
            if (commandArgs.isRequestHelp()) {
                printUsageMessage(System.out);
                return;
            }
            if (commandArgs.getInputFile() == null) {
                inputStream = System.in;
            } else {
                inputStream = new FileInputStream(commandArgs.getInputFile());
            }
            HSSFWorkbook hSSFWorkbook = new HSSFWorkbook(inputStream);
            inputStream.close();
            ExcelExtractor excelExtractor = new ExcelExtractor(hSSFWorkbook);
            excelExtractor.setIncludeSheetNames(commandArgs.shouldShowSheetNames());
            excelExtractor.setFormulasNotResults(true ^ commandArgs.shouldEvaluateFormulas());
            excelExtractor.setIncludeCellComments(commandArgs.shouldShowCellComments());
            excelExtractor.setIncludeBlankCells(commandArgs.shouldShowBlankCells());
            excelExtractor.setIncludeHeadersFooters(commandArgs.shouldIncludeHeadersFooters());
            System.out.println(excelExtractor.getText());
            excelExtractor.close();
            hSSFWorkbook.close();
        } catch (CommandParseException e2) {
            System.err.println(e2.getMessage());
            printUsageMessage(System.err);
            System.exit(1);
        }
    }

    public static void printUsageMessage(PrintStream printStream) {
        printStream.println("Use:");
        printStream.println("    " + ExcelExtractor.class.getName() + " [<flag> <value> [<flag> <value> [...]]] [-i <filename.xls>]");
        printStream.println("       -i <filename.xls> specifies input file (default is to use stdin)");
        printStream.println("       Flags can be set on or off by using the values 'Y' or 'N'.");
        printStream.println("       Following are available flags and their default values:");
        printStream.println("       --show-sheet-names  Y");
        printStream.println("       --evaluate-formulas Y");
        printStream.println("       --show-comments     N");
        printStream.println("       --show-blanks       Y");
        printStream.println("       --headers-footers   Y");
    }

    @Override // org.apache.poi.ss.extractor.ExcelExtractor, org.apache.poi.POITextExtractor
    public String getText() {
        boolean z;
        String sheetName;
        StringBuffer stringBuffer = new StringBuffer();
        this._wb.setMissingCellPolicy(Row.MissingCellPolicy.RETURN_BLANK_AS_NULL);
        for (int i2 = 0; i2 < this._wb.getNumberOfSheets(); i2++) {
            HSSFSheet sheetAt = this._wb.getSheetAt(i2);
            if (sheetAt != null) {
                if (this._includeSheetNames && (sheetName = this._wb.getSheetName(i2)) != null) {
                    stringBuffer.append(sheetName);
                    stringBuffer.append("\n");
                }
                if (this._includeHeadersFooters) {
                    stringBuffer.append(_extractHeaderFooter(sheetAt.getHeader()));
                }
                int lastRowNum = sheetAt.getLastRowNum();
                for (int firstRowNum = sheetAt.getFirstRowNum(); firstRowNum <= lastRowNum; firstRowNum++) {
                    HSSFRow row = sheetAt.getRow(firstRowNum);
                    if (row != null) {
                        int firstCellNum = row.getFirstCellNum();
                        short lastCellNum = row.getLastCellNum();
                        if (this._includeBlankCells) {
                            firstCellNum = 0;
                        }
                        while (firstCellNum < lastCellNum) {
                            HSSFCell cell = row.getCell(firstCellNum);
                            if (cell == null) {
                                z = this._includeBlankCells;
                            } else {
                                int ordinal = cell.getCellTypeEnum().ordinal();
                                if (ordinal == 1) {
                                    stringBuffer.append(this._formatter.formatCellValue(cell));
                                } else if (ordinal == 2) {
                                    stringBuffer.append(cell.getRichStringCellValue().getString());
                                } else if (ordinal != 3) {
                                    if (ordinal == 5) {
                                        stringBuffer.append(cell.getBooleanCellValue());
                                    } else if (ordinal == 6) {
                                        stringBuffer.append(ErrorEval.getText(cell.getErrorCellValue()));
                                    } else {
                                        StringBuilder b2 = a.b("Unexpected cell type (");
                                        b2.append(cell.getCellTypeEnum());
                                        b2.append(")");
                                        throw new RuntimeException(b2.toString());
                                    }
                                } else if (!this._shouldEvaluateFormulas) {
                                    stringBuffer.append(cell.getCellFormula());
                                } else {
                                    int ordinal2 = cell.getCachedFormulaResultTypeEnum().ordinal();
                                    if (ordinal2 == 1) {
                                        HSSFCellStyle cellStyle = cell.getCellStyle();
                                        stringBuffer.append(this._formatter.formatRawCellContents(cell.getNumericCellValue(), cellStyle.getDataFormat(), cellStyle.getDataFormatString()));
                                    } else if (ordinal2 == 2) {
                                        HSSFRichTextString richStringCellValue = cell.getRichStringCellValue();
                                        if (richStringCellValue != null && richStringCellValue.length() > 0) {
                                            stringBuffer.append(richStringCellValue);
                                        }
                                    } else if (ordinal2 == 5) {
                                        stringBuffer.append(cell.getBooleanCellValue());
                                    } else if (ordinal2 == 6) {
                                        stringBuffer.append(ErrorEval.getText(cell.getErrorCellValue()));
                                    } else {
                                        StringBuilder b3 = a.b("Unexpected cell cached formula result type: ");
                                        b3.append(cell.getCachedFormulaResultTypeEnum());
                                        throw new IllegalStateException(b3.toString());
                                    }
                                }
                                HSSFComment cellComment = cell.getCellComment();
                                if (this._includeCellComments && cellComment != null) {
                                    String replace = cellComment.getString().getString().replace('\n', ' ');
                                    StringBuilder b4 = a.b(" Comment by ");
                                    b4.append(cellComment.getAuthor());
                                    b4.append(": ");
                                    b4.append(replace);
                                    stringBuffer.append(b4.toString());
                                }
                                z = true;
                            }
                            if (z && firstCellNum < lastCellNum - 1) {
                                stringBuffer.append("\t");
                            }
                            firstCellNum++;
                        }
                        stringBuffer.append("\n");
                    }
                }
                if (this._includeHeadersFooters) {
                    stringBuffer.append(_extractHeaderFooter(sheetAt.getFooter()));
                }
            }
        }
        return stringBuffer.toString();
    }

    @Override // org.apache.poi.ss.extractor.ExcelExtractor
    public void setFormulasNotResults(boolean z) {
        this._shouldEvaluateFormulas = !z;
    }

    public void setIncludeBlankCells(boolean z) {
        this._includeBlankCells = z;
    }

    @Override // org.apache.poi.ss.extractor.ExcelExtractor
    public void setIncludeCellComments(boolean z) {
        this._includeCellComments = z;
    }

    @Override // org.apache.poi.ss.extractor.ExcelExtractor
    public void setIncludeHeadersFooters(boolean z) {
        this._includeHeadersFooters = z;
    }

    @Override // org.apache.poi.ss.extractor.ExcelExtractor
    public void setIncludeSheetNames(boolean z) {
        this._includeSheetNames = z;
    }

    public ExcelExtractor(POIFSFileSystem pOIFSFileSystem) {
        this(pOIFSFileSystem.getRoot());
    }

    public ExcelExtractor(DirectoryNode directoryNode) {
        this(new HSSFWorkbook(directoryNode, true));
    }
}
