package org.apache.poi.hssf.record;

import b.b.a.a.a;
import org.apache.poi.ss.usermodel.FormulaError;
import org.apache.poi.util.HexDump;
import org.apache.poi.util.LittleEndianOutput;
import org.apache.poi.util.RecordFormatException;

public final class BoolErrRecord extends CellRecord implements Cloneable {
    public static final short sid = 517;
    public boolean _isError;
    public int _value;

    /* renamed from: org.apache.poi.hssf.record.BoolErrRecord$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$ss$usermodel$FormulaError;

        /* JADX WARNING: Can't wrap try/catch for region: R(14:0|1|2|3|4|5|6|7|8|9|10|11|12|(3:13|14|16)) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x002a */
        /* JADX WARNING: Missing exception handler attribute for start block: B:13:0x0031 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x000e */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x0015 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x001c */
        /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x0023 */
        static {
            int[] iArr = new int[FormulaError.values().length];
            $SwitchMap$org$apache$poi$ss$usermodel$FormulaError = iArr;
            FormulaError formulaError = FormulaError.NULL;
            iArr[1] = 1;
            int[] iArr2 = $SwitchMap$org$apache$poi$ss$usermodel$FormulaError;
            FormulaError formulaError2 = FormulaError.DIV0;
            iArr2[2] = 2;
            int[] iArr3 = $SwitchMap$org$apache$poi$ss$usermodel$FormulaError;
            FormulaError formulaError3 = FormulaError.VALUE;
            iArr3[3] = 3;
            int[] iArr4 = $SwitchMap$org$apache$poi$ss$usermodel$FormulaError;
            FormulaError formulaError4 = FormulaError.REF;
            iArr4[4] = 4;
            int[] iArr5 = $SwitchMap$org$apache$poi$ss$usermodel$FormulaError;
            FormulaError formulaError5 = FormulaError.NAME;
            iArr5[5] = 5;
            int[] iArr6 = $SwitchMap$org$apache$poi$ss$usermodel$FormulaError;
            FormulaError formulaError6 = FormulaError.NUM;
            iArr6[6] = 6;
            try {
                int[] iArr7 = $SwitchMap$org$apache$poi$ss$usermodel$FormulaError;
                FormulaError formulaError7 = FormulaError.NA;
                iArr7[7] = 7;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    public BoolErrRecord() {
    }

    @Override // org.apache.poi.hssf.record.CellRecord
    public void appendValueText(StringBuilder sb) {
        if (isBoolean()) {
            sb.append("  .boolVal = ");
            sb.append(getBooleanValue());
            return;
        }
        sb.append("  .errCode = ");
        sb.append(FormulaError.forInt(getErrorValue()).getString());
        sb.append(" (");
        sb.append(HexDump.byteToHex(getErrorValue()));
        sb.append(")");
    }

    public boolean getBooleanValue() {
        return this._value != 0;
    }

    public byte getErrorValue() {
        return (byte) this._value;
    }

    @Override // org.apache.poi.hssf.record.CellRecord
    public String getRecordName() {
        return "BOOLERR";
    }

    @Override // org.apache.poi.hssf.record.Record
    public short getSid() {
        return 517;
    }

    @Override // org.apache.poi.hssf.record.CellRecord
    public int getValueDataSize() {
        return 2;
    }

    public boolean isBoolean() {
        return !this._isError;
    }

    public boolean isError() {
        return this._isError;
    }

    @Override // org.apache.poi.hssf.record.CellRecord
    public void serializeValue(LittleEndianOutput littleEndianOutput) {
        littleEndianOutput.writeByte(this._value);
        littleEndianOutput.writeByte(this._isError ? 1 : 0);
    }

    public void setValue(boolean z) {
        this._value = z ? 1 : 0;
        this._isError = false;
    }

    public BoolErrRecord(RecordInputStream recordInputStream) {
        super(recordInputStream);
        int remaining = recordInputStream.remaining();
        if (remaining == 2) {
            this._value = recordInputStream.readByte();
        } else if (remaining == 3) {
            this._value = recordInputStream.readUShort();
        } else {
            StringBuilder b2 = a.b("Unexpected size (");
            b2.append(recordInputStream.remaining());
            b2.append(") for BOOLERR record.");
            throw new RecordFormatException(b2.toString());
        }
        int readUByte = recordInputStream.readUByte();
        if (readUByte == 0) {
            this._isError = false;
        } else if (readUByte == 1) {
            this._isError = true;
        } else {
            throw new RecordFormatException(a.b("Unexpected isError flag (", readUByte, ") for BOOLERR record."));
        }
    }

    @Override // org.apache.poi.hssf.record.Record, java.lang.Object
    public BoolErrRecord clone() {
        BoolErrRecord boolErrRecord = new BoolErrRecord();
        copyBaseFields(boolErrRecord);
        boolErrRecord._value = this._value;
        boolErrRecord._isError = this._isError;
        return boolErrRecord;
    }

    public void setValue(byte b2) {
        setValue(FormulaError.forInt(b2));
    }

    public void setValue(FormulaError formulaError) {
        switch (formulaError.ordinal()) {
            case 1:
            case 2:
            case 3:
            case 4:
            case 5:
            case 6:
            case 7:
                this._value = formulaError.getCode();
                this._isError = true;
                return;
            default:
                StringBuilder b2 = a.b("Error Value can only be 0,7,15,23,29,36 or 42. It cannot be ");
                b2.append((int) formulaError.getCode());
                b2.append(" (");
                b2.append(formulaError);
                b2.append(")");
                throw new IllegalArgumentException(b2.toString());
        }
    }
}
