package org.apache.poi.hssf.record;

import b.b.a.a.a;
import org.apache.poi.util.HexDump;
import org.apache.poi.util.POILogFactory;
import org.apache.poi.util.POILogger;
import org.apache.poi.util.RecordFormatException;

public final class OldLabelRecord extends OldCellRecord {
    public static final short biff2_sid = 4;
    public static final short biff345_sid = 516;
    public static final POILogger logger = POILogFactory.getLogger(OldLabelRecord.class);
    public CodepageRecord codepage;
    public short field_4_string_len;
    public final byte[] field_5_bytes;

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    public OldLabelRecord(RecordInputStream recordInputStream) {
        super(recordInputStream, recordInputStream.getSid() == 4);
        if (isBiff2()) {
            this.field_4_string_len = (short) recordInputStream.readUByte();
        } else {
            this.field_4_string_len = recordInputStream.readShort();
        }
        int i2 = this.field_4_string_len;
        byte[] bArr = new byte[i2];
        this.field_5_bytes = bArr;
        recordInputStream.read(bArr, 0, i2);
        if (recordInputStream.remaining() > 0) {
            POILogger pOILogger = logger;
            StringBuilder b2 = a.b("LabelRecord data remains: ");
            b2.append(recordInputStream.remaining());
            b2.append(" : ");
            b2.append(HexDump.toHex(recordInputStream.readRemainder()));
            pOILogger.log(3, b2.toString());
        }
    }

    @Override // org.apache.poi.hssf.record.OldCellRecord
    public void appendValueText(StringBuilder sb) {
        sb.append("    .string_len= ");
        sb.append(HexDump.shortToHex(this.field_4_string_len));
        sb.append("\n");
        sb.append("    .value       = ");
        sb.append(getValue());
        sb.append("\n");
    }

    @Override // org.apache.poi.hssf.record.OldCellRecord
    public String getRecordName() {
        return "OLD LABEL";
    }

    public int getRecordSize() {
        throw new RecordFormatException("Old Label Records are supported READ ONLY");
    }

    public short getStringLength() {
        return this.field_4_string_len;
    }

    public String getValue() {
        return OldStringRecord.getString(this.field_5_bytes, this.codepage);
    }

    public int serialize(int i2, byte[] bArr) {
        throw new RecordFormatException("Old Label Records are supported READ ONLY");
    }

    public void setCodePage(CodepageRecord codepageRecord) {
        this.codepage = codepageRecord;
    }
}
