package org.apache.poi.hwmf.draw;

import b.b.a.a.a;
import java.awt.BasicStroke;
import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.Paint;
import java.awt.Rectangle;
import java.awt.Shape;
import java.awt.TexturePaint;
import java.awt.font.TextAttribute;
import java.awt.geom.AffineTransform;
import java.awt.geom.Rectangle2D;
import java.awt.image.BufferedImage;
import java.nio.charset.Charset;
import java.text.AttributedString;
import java.util.ArrayList;
import java.util.LinkedList;
import java.util.List;
import java.util.ListIterator;
import java.util.NoSuchElementException;
import org.apache.poi.hwmf.record.HwmfBrushStyle;
import org.apache.poi.hwmf.record.HwmfFont;
import org.apache.poi.hwmf.record.HwmfHatchStyle;
import org.apache.poi.hwmf.record.HwmfMapMode;
import org.apache.poi.hwmf.record.HwmfMisc;
import org.apache.poi.hwmf.record.HwmfObjectTableEntry;
import org.apache.poi.hwmf.record.HwmfPenStyle;
import org.apache.poi.sl.draw.DrawFactory;
import org.apache.poi.ss.formula.functions.NumericFunction;
import org.apache.poi.util.LocaleUtil;

public class HwmfGraphics {
    public static final Charset DEFAULT_CHARSET = LocaleUtil.CHARSET_1252;
    public final Rectangle2D bbox;
    public final Graphics2D graphicsCtx;
    public final AffineTransform initialAT;
    public List<HwmfObjectTableEntry> objectTable = new ArrayList();
    public HwmfDrawProperties prop = new HwmfDrawProperties();
    public final List<HwmfDrawProperties> propStack = new LinkedList();

    /* renamed from: org.apache.poi.hwmf.draw.HwmfGraphics$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$hwmf$record$HwmfBrushStyle;
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$hwmf$record$HwmfMapMode;

        /* JADX WARNING: Can't wrap try/catch for region: R(39:0|(2:1|2)|3|(2:5|6)|7|(2:9|10)|11|13|14|15|17|18|19|20|21|22|23|25|26|27|29|30|31|32|(2:33|34)|35|37|38|39|40|41|42|43|44|45|46|47|48|(3:49|50|52)) */
        /* JADX WARNING: Can't wrap try/catch for region: R(40:0|(2:1|2)|3|(2:5|6)|7|9|10|11|13|14|15|17|18|19|20|21|22|23|25|26|27|29|30|31|32|(2:33|34)|35|37|38|39|40|41|42|43|44|45|46|47|48|(3:49|50|52)) */
        /* JADX WARNING: Can't wrap try/catch for region: R(41:0|(2:1|2)|3|(2:5|6)|7|9|10|11|13|14|15|17|18|19|20|21|22|23|25|26|27|29|30|31|32|33|34|35|37|38|39|40|41|42|43|44|45|46|47|48|(3:49|50|52)) */
        /* JADX WARNING: Can't wrap try/catch for region: R(42:0|(2:1|2)|3|5|6|7|9|10|11|13|14|15|17|18|19|20|21|22|23|25|26|27|29|30|31|32|33|34|35|37|38|39|40|41|42|43|44|45|46|47|48|(3:49|50|52)) */
        /* JADX WARNING: Can't wrap try/catch for region: R(43:0|1|2|3|5|6|7|9|10|11|13|14|15|17|18|19|20|21|22|23|25|26|27|29|30|31|32|33|34|35|37|38|39|40|41|42|43|44|45|46|47|48|(3:49|50|52)) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:19:0x002c */
        /* JADX WARNING: Missing exception handler attribute for start block: B:21:0x0032 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:31:0x004e */
        /* JADX WARNING: Missing exception handler attribute for start block: B:33:0x0054 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:39:0x0062 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:41:0x0068 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:43:0x006e */
        /* JADX WARNING: Missing exception handler attribute for start block: B:45:0x0074 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:47:0x007a */
        /* JADX WARNING: Missing exception handler attribute for start block: B:49:0x0080 */
        static {
            int[] iArr = new int[HwmfMapMode.values().length];
            $SwitchMap$org$apache$poi$hwmf$record$HwmfMapMode = iArr;
            try {
                HwmfMapMode hwmfMapMode = HwmfMapMode.MM_ANISOTROPIC;
                iArr[7] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                int[] iArr2 = $SwitchMap$org$apache$poi$hwmf$record$HwmfMapMode;
                HwmfMapMode hwmfMapMode2 = HwmfMapMode.MM_ISOTROPIC;
                iArr2[6] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            try {
                int[] iArr3 = $SwitchMap$org$apache$poi$hwmf$record$HwmfMapMode;
                HwmfMapMode hwmfMapMode3 = HwmfMapMode.MM_LOMETRIC;
                iArr3[1] = 3;
            } catch (NoSuchFieldError unused3) {
            }
            try {
                int[] iArr4 = $SwitchMap$org$apache$poi$hwmf$record$HwmfMapMode;
                HwmfMapMode hwmfMapMode4 = HwmfMapMode.MM_HIMETRIC;
                iArr4[2] = 4;
            } catch (NoSuchFieldError unused4) {
            }
            int[] iArr5 = $SwitchMap$org$apache$poi$hwmf$record$HwmfMapMode;
            HwmfMapMode hwmfMapMode5 = HwmfMapMode.MM_LOENGLISH;
            iArr5[3] = 5;
            int[] iArr6 = $SwitchMap$org$apache$poi$hwmf$record$HwmfMapMode;
            HwmfMapMode hwmfMapMode6 = HwmfMapMode.MM_HIENGLISH;
            iArr6[4] = 6;
            int[] iArr7 = $SwitchMap$org$apache$poi$hwmf$record$HwmfMapMode;
            HwmfMapMode hwmfMapMode7 = HwmfMapMode.MM_TWIPS;
            iArr7[5] = 7;
            try {
                int[] iArr8 = $SwitchMap$org$apache$poi$hwmf$record$HwmfMapMode;
                HwmfMapMode hwmfMapMode8 = HwmfMapMode.MM_TEXT;
                iArr8[0] = 8;
            } catch (NoSuchFieldError unused5) {
            }
            int[] iArr9 = new int[HwmfBrushStyle.values().length];
            $SwitchMap$org$apache$poi$hwmf$record$HwmfBrushStyle = iArr9;
            HwmfBrushStyle hwmfBrushStyle = HwmfBrushStyle.BS_INDEXED;
            iArr9[4] = 1;
            int[] iArr10 = $SwitchMap$org$apache$poi$hwmf$record$HwmfBrushStyle;
            HwmfBrushStyle hwmfBrushStyle2 = HwmfBrushStyle.BS_PATTERN8X8;
            iArr10[7] = 2;
            try {
                int[] iArr11 = $SwitchMap$org$apache$poi$hwmf$record$HwmfBrushStyle;
                HwmfBrushStyle hwmfBrushStyle3 = HwmfBrushStyle.BS_DIBPATTERN8X8;
                iArr11[8] = 3;
            } catch (NoSuchFieldError unused6) {
            }
            int[] iArr12 = $SwitchMap$org$apache$poi$hwmf$record$HwmfBrushStyle;
            HwmfBrushStyle hwmfBrushStyle4 = HwmfBrushStyle.BS_MONOPATTERN;
            iArr12[9] = 4;
            int[] iArr13 = $SwitchMap$org$apache$poi$hwmf$record$HwmfBrushStyle;
            HwmfBrushStyle hwmfBrushStyle5 = HwmfBrushStyle.BS_NULL;
            iArr13[1] = 5;
            int[] iArr14 = $SwitchMap$org$apache$poi$hwmf$record$HwmfBrushStyle;
            HwmfBrushStyle hwmfBrushStyle6 = HwmfBrushStyle.BS_PATTERN;
            iArr14[3] = 6;
            int[] iArr15 = $SwitchMap$org$apache$poi$hwmf$record$HwmfBrushStyle;
            HwmfBrushStyle hwmfBrushStyle7 = HwmfBrushStyle.BS_DIBPATTERN;
            iArr15[5] = 7;
            int[] iArr16 = $SwitchMap$org$apache$poi$hwmf$record$HwmfBrushStyle;
            HwmfBrushStyle hwmfBrushStyle8 = HwmfBrushStyle.BS_DIBPATTERNPT;
            iArr16[6] = 8;
            int[] iArr17 = $SwitchMap$org$apache$poi$hwmf$record$HwmfBrushStyle;
            HwmfBrushStyle hwmfBrushStyle9 = HwmfBrushStyle.BS_SOLID;
            iArr17[0] = 9;
            try {
                int[] iArr18 = $SwitchMap$org$apache$poi$hwmf$record$HwmfBrushStyle;
                HwmfBrushStyle hwmfBrushStyle10 = HwmfBrushStyle.BS_HATCHED;
                iArr18[2] = 10;
            } catch (NoSuchFieldError unused7) {
            }
        }
    }

    public HwmfGraphics(Graphics2D graphics2D, Rectangle2D rectangle2D) {
        this.graphicsCtx = graphics2D;
        this.bbox = (Rectangle2D) rectangle2D.clone();
        this.initialAT = graphics2D.getTransform();
        DrawFactory.getInstance(graphics2D).fixFonts(graphics2D);
    }

    private void addAttributes(AttributedString attributedString, HwmfFont hwmfFont) {
        attributedString.addAttribute(TextAttribute.FAMILY, DrawFactory.getInstance(this.graphicsCtx).getFontManager(this.graphicsCtx).getMappedFont(this.graphicsCtx, hwmfFont).getTypeface());
        attributedString.addAttribute(TextAttribute.SIZE, Double.valueOf(getFontHeight(hwmfFont)));
        attributedString.addAttribute(TextAttribute.STRIKETHROUGH, Boolean.valueOf(hwmfFont.isStrikeOut()));
        if (hwmfFont.isUnderline()) {
            attributedString.addAttribute(TextAttribute.UNDERLINE, TextAttribute.UNDERLINE_ON);
        }
        if (hwmfFont.isItalic()) {
            attributedString.addAttribute(TextAttribute.POSTURE, TextAttribute.POSTURE_OBLIQUE);
        }
        attributedString.addAttribute(TextAttribute.WEIGHT, Integer.valueOf(hwmfFont.getWeight()));
    }

    private double getFontHeight(HwmfFont hwmfFont) {
        double height = (double) hwmfFont.getHeight();
        if (height == NumericFunction.LOG_10_TO_BASE_e) {
            return 12.0d;
        }
        return height < NumericFunction.LOG_10_TO_BASE_e ? -height : (height * 3.0d) / 4.0d;
    }

    public void addObjectTableEntry(HwmfObjectTableEntry hwmfObjectTableEntry) {
        ListIterator<HwmfObjectTableEntry> listIterator = this.objectTable.listIterator();
        while (listIterator.hasNext()) {
            if (listIterator.next() == null) {
                listIterator.set(hwmfObjectTableEntry);
                return;
            }
        }
        this.objectTable.add(hwmfObjectTableEntry);
    }

    public void applyObjectTableEntry(int i2) {
        HwmfObjectTableEntry hwmfObjectTableEntry = this.objectTable.get(i2);
        if (hwmfObjectTableEntry != null) {
            hwmfObjectTableEntry.applyObject(this);
            return;
        }
        throw new NoSuchElementException(a.b("WMF reference exception - object table entry on index ", i2, " was deleted before."));
    }

    public void draw(Shape shape) {
        HwmfPenStyle.HwmfLineDash lineDash = this.prop.getPenStyle().getLineDash();
        if (lineDash != HwmfPenStyle.HwmfLineDash.NULL) {
            BasicStroke stroke = getStroke();
            if (!(this.prop.getBkMode() != HwmfMisc.WmfSetBkMode.HwmfBkMode.OPAQUE || lineDash == HwmfPenStyle.HwmfLineDash.SOLID || lineDash == HwmfPenStyle.HwmfLineDash.INSIDEFRAME)) {
                this.graphicsCtx.setStroke(new BasicStroke(stroke.getLineWidth()));
                this.graphicsCtx.setColor(this.prop.getBackgroundColor().getColor());
                this.graphicsCtx.draw(shape);
            }
            this.graphicsCtx.setStroke(stroke);
            this.graphicsCtx.setColor(this.prop.getPenColor().getColor());
            this.graphicsCtx.draw(shape);
        }
    }

    public void drawString(byte[] bArr, Rectangle2D rectangle2D) {
        drawString(bArr, rectangle2D, null);
    }

    public void fill(Shape shape) {
        if (this.prop.getBrushStyle() != HwmfBrushStyle.BS_NULL) {
            this.graphicsCtx.setPaint(getFill());
            this.graphicsCtx.fill(shape);
        }
        draw(shape);
    }

    public Paint getFill() {
        int ordinal = this.prop.getBrushStyle().ordinal();
        if (ordinal == 0) {
            return getSolidFill();
        }
        if (ordinal == 2) {
            return getHatchedFill();
        }
        if (ordinal == 3 || ordinal == 5 || ordinal == 6) {
            return getPatternPaint();
        }
        return null;
    }

    public Paint getHatchedFill() {
        BufferedImage bufferedImage = new BufferedImage(7, 7, 6);
        Graphics2D createGraphics = bufferedImage.createGraphics();
        createGraphics.setColor(this.prop.getBkMode() == HwmfMisc.WmfSetBkMode.HwmfBkMode.TRANSPARENT ? new Color(0, true) : this.prop.getBackgroundColor().getColor());
        createGraphics.fillRect(0, 0, 7, 7);
        createGraphics.setColor(this.prop.getBrushColor().getColor());
        HwmfHatchStyle brushHatch = this.prop.getBrushHatch();
        if (brushHatch == HwmfHatchStyle.HS_HORIZONTAL || brushHatch == HwmfHatchStyle.HS_CROSS) {
            createGraphics.drawLine(0, 3, 7, 3);
        }
        if (brushHatch == HwmfHatchStyle.HS_VERTICAL || brushHatch == HwmfHatchStyle.HS_CROSS) {
            createGraphics.drawLine(3, 0, 3, 7);
        }
        if (brushHatch == HwmfHatchStyle.HS_FDIAGONAL || brushHatch == HwmfHatchStyle.HS_DIAGCROSS) {
            createGraphics.drawLine(0, 0, 7, 7);
        }
        if (brushHatch == HwmfHatchStyle.HS_BDIAGONAL || brushHatch == HwmfHatchStyle.HS_DIAGCROSS) {
            createGraphics.drawLine(0, 7, 7, 0);
        }
        createGraphics.dispose();
        return new TexturePaint(bufferedImage, new Rectangle(0, 0, 7, 7));
    }

    public Paint getPatternPaint() {
        BufferedImage brushBitmap = this.prop.getBrushBitmap();
        if (brushBitmap == null) {
            return null;
        }
        return new TexturePaint(brushBitmap, new Rectangle(0, 0, brushBitmap.getWidth(), brushBitmap.getHeight()));
    }

    public HwmfDrawProperties getProperties() {
        return this.prop;
    }

    public Paint getSolidFill() {
        return this.prop.getBrushColor().getColor();
    }

    public BasicStroke getStroke() {
        float penWidth = (float) this.prop.getPenWidth();
        float f2 = penWidth == 0.0f ? 1.0f : penWidth;
        HwmfPenStyle penStyle = this.prop.getPenStyle();
        int i2 = penStyle.getLineCap().awtFlag;
        int i3 = penStyle.getLineJoin().awtFlag;
        float penMiterLimit = (float) this.prop.getPenMiterLimit();
        float[] fArr = penStyle.getLineDash().dashes;
        return new BasicStroke(f2, i2, i3, penMiterLimit, fArr, (!penStyle.isAlternateDash() || fArr == null || fArr.length <= 1) ? 0.0f : fArr[0]);
    }

    public void restoreProperties(int i2) {
        if (i2 != 0) {
            if (i2 < 0) {
                int indexOf = this.propStack.indexOf(this.prop);
                if (indexOf == -1) {
                    indexOf = this.propStack.size();
                }
                i2 += indexOf;
            }
            if (i2 == -1) {
                i2 = this.propStack.size() - 1;
            }
            this.prop = this.propStack.get(i2);
        }
    }

    public void saveProperties() {
        this.propStack.add(this.prop);
        this.prop = new HwmfDrawProperties(this.prop);
    }

    public void unsetObjectTableEntry(int i2) {
        this.objectTable.set(i2, null);
    }

    public void updateWindowMapMode() {
        Rectangle2D window = this.prop.getWindow();
        HwmfMapMode mapMode = this.prop.getMapMode();
        this.graphicsCtx.setTransform(this.initialAT);
        switch (mapMode.ordinal()) {
            case 0:
                return;
            case 1:
            case 2:
            case 3:
            case 4:
            case 5:
                this.graphicsCtx.transform(this.graphicsCtx.getDeviceConfiguration().getNormalizingTransform());
                Graphics2D graphics2D = this.graphicsCtx;
                int i2 = mapMode.scale;
                graphics2D.scale(1.0d / ((double) i2), -1.0d / ((double) i2));
                this.graphicsCtx.translate(-window.getX(), -window.getY());
                return;
            case 6:
                this.graphicsCtx.scale(this.bbox.getWidth() / window.getWidth(), this.bbox.getWidth() / window.getWidth());
                this.graphicsCtx.translate(-window.getX(), -window.getY());
                return;
            default:
                this.graphicsCtx.scale(this.bbox.getWidth() / window.getWidth(), this.bbox.getHeight() / window.getHeight());
                this.graphicsCtx.translate(-window.getX(), -window.getY());
                return;
        }
    }

    public void drawString(byte[] bArr, Rectangle2D rectangle2D, int[] iArr) {
        int[] iArr2 = iArr;
        HwmfFont font = this.prop.getFont();
        if (font != null && bArr != null && bArr.length != 0) {
            double fontHeight = getFontHeight(font);
            double d2 = fontHeight / 1.8d;
            Charset charset = font.getCharset().getCharset() == null ? DEFAULT_CHARSET : font.getCharset().getCharset();
            String str = new String(bArr, charset);
            AttributedString attributedString = new AttributedString(str);
            if (iArr2 == null || iArr2.length == 0) {
                addAttributes(attributedString, font);
            } else {
                if (str.length() != bArr.length) {
                    int[] iArr3 = new int[str.codePointCount(0, str.length())];
                    int i2 = 0;
                    int i3 = 0;
                    while (i2 < str.length()) {
                        iArr3[i2] = iArr2[i3];
                        int codePointAt = str.codePointAt(i2);
                        i3 += new String(new int[]{codePointAt}, 0, 1).getBytes(charset).length;
                        i2 += Character.charCount(codePointAt);
                        iArr3 = iArr3;
                    }
                    iArr2 = iArr3;
                }
                for (int i4 = 0; i4 < iArr2.length; i4++) {
                    addAttributes(attributedString, font);
                    if (i4 < iArr2.length - 1) {
                        attributedString.addAttribute(TextAttribute.TRACKING, Double.valueOf((((double) iArr2[i4]) - d2) / fontHeight), i4 + 1, i4 + 2);
                    }
                }
            }
            double radians = Math.toRadians(((double) (-font.getEscapement())) / 10.0d);
            AffineTransform transform = this.graphicsCtx.getTransform();
            try {
                this.graphicsCtx.translate(rectangle2D.getX(), rectangle2D.getY() + fontHeight);
                this.graphicsCtx.rotate(radians);
                if (this.prop.getBkMode() == HwmfMisc.WmfSetBkMode.HwmfBkMode.OPAQUE) {
                    this.graphicsCtx.setBackground(this.prop.getBackgroundColor().getColor());
                    this.graphicsCtx.fill(new Rectangle2D.Double((double) NumericFunction.LOG_10_TO_BASE_e, (double) NumericFunction.LOG_10_TO_BASE_e, rectangle2D.getWidth(), rectangle2D.getHeight()));
                }
                this.graphicsCtx.setColor(this.prop.getTextColor().getColor());
                this.graphicsCtx.drawString(attributedString.getIterator(), 0, 0);
            } finally {
                this.graphicsCtx.setTransform(transform);
            }
        }
    }
}
