package org.apache.poi.hwmf.record;

import b.b.a.a.a;
import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.image.BufferedImage;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;
import javax.imageio.ImageIO;
import org.apache.poi.util.IOUtils;
import org.apache.poi.util.LittleEndian;
import org.apache.poi.util.LittleEndianInputStream;
import org.apache.poi.util.POILogFactory;
import org.apache.poi.util.POILogger;
import org.apache.poi.util.RecordFormatException;

public class HwmfBitmapDib {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public static final int BMP_HEADER_SIZE = 14;
    public static final int MAX_RECORD_LENGTH = 10000000;
    public static final POILogger logger = POILogFactory.getLogger(HwmfBitmapDib.class);
    public int colorMaskB = 0;
    public int colorMaskG = 0;
    public int colorMaskR = 0;
    public Color[] colorTable;
    public BitCount headerBitCount;
    public long headerColorImportant = -1;
    public long headerColorUsed = -1;
    public Compression headerCompression;
    public int headerHeight;
    public long headerImageSize = -1;
    public int headerPlanes;
    public int headerSize;
    public int headerWidth;
    public int headerXPelsPerMeter = -1;
    public int headerYPelsPerMeter = -1;
    public byte[] imageData;
    public int introSize;

    /* renamed from: org.apache.poi.hwmf.record.HwmfBitmapDib$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$hwmf$record$HwmfBitmapDib$BitCount;
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$hwmf$record$HwmfBitmapDib$Compression;

        /* JADX WARNING: Can't wrap try/catch for region: R(24:0|1|2|3|(2:5|6)|7|9|10|11|13|14|15|(2:17|18)|19|21|22|23|24|25|27|28|29|30|32) */
        /* JADX WARNING: Can't wrap try/catch for region: R(25:0|1|2|3|(2:5|6)|7|9|10|11|13|14|15|17|18|19|21|22|23|24|25|27|28|29|30|32) */
        /* JADX WARNING: Code restructure failed: missing block: B:33:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:23:0x0032 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:29:0x0046 */
        static {
            int[] iArr = new int[BitCount.values().length];
            $SwitchMap$org$apache$poi$hwmf$record$HwmfBitmapDib$BitCount = iArr;
            try {
                BitCount bitCount = BitCount.BI_BITCOUNT_0;
                iArr[0] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                int[] iArr2 = $SwitchMap$org$apache$poi$hwmf$record$HwmfBitmapDib$BitCount;
                BitCount bitCount2 = BitCount.BI_BITCOUNT_1;
                iArr2[1] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            try {
                int[] iArr3 = $SwitchMap$org$apache$poi$hwmf$record$HwmfBitmapDib$BitCount;
                BitCount bitCount3 = BitCount.BI_BITCOUNT_2;
                iArr3[2] = 3;
            } catch (NoSuchFieldError unused3) {
            }
            try {
                int[] iArr4 = $SwitchMap$org$apache$poi$hwmf$record$HwmfBitmapDib$BitCount;
                BitCount bitCount4 = BitCount.BI_BITCOUNT_3;
                iArr4[3] = 4;
            } catch (NoSuchFieldError unused4) {
            }
            try {
                int[] iArr5 = $SwitchMap$org$apache$poi$hwmf$record$HwmfBitmapDib$BitCount;
                BitCount bitCount5 = BitCount.BI_BITCOUNT_4;
                iArr5[4] = 5;
            } catch (NoSuchFieldError unused5) {
            }
            int[] iArr6 = $SwitchMap$org$apache$poi$hwmf$record$HwmfBitmapDib$BitCount;
            BitCount bitCount6 = BitCount.BI_BITCOUNT_5;
            iArr6[5] = 6;
            int[] iArr7 = $SwitchMap$org$apache$poi$hwmf$record$HwmfBitmapDib$BitCount;
            BitCount bitCount7 = BitCount.BI_BITCOUNT_6;
            iArr7[6] = 7;
            int[] iArr8 = new int[Compression.values().length];
            $SwitchMap$org$apache$poi$hwmf$record$HwmfBitmapDib$Compression = iArr8;
            Compression compression = Compression.BI_RGB;
            iArr8[0] = 1;
            int[] iArr9 = $SwitchMap$org$apache$poi$hwmf$record$HwmfBitmapDib$Compression;
            Compression compression2 = Compression.BI_BITFIELDS;
            iArr9[3] = 2;
        }
    }

    public enum BitCount {
        BI_BITCOUNT_0(0),
        BI_BITCOUNT_1(1),
        BI_BITCOUNT_2(4),
        BI_BITCOUNT_3(8),
        BI_BITCOUNT_4(16),
        BI_BITCOUNT_5(24),
        BI_BITCOUNT_6(32);
        
        public int flag;

        /* access modifiers changed from: public */
        BitCount(int i2) {
            this.flag = i2;
        }

        public static BitCount valueOf(int i2) {
            BitCount[] values = values();
            for (BitCount bitCount : values) {
                if (bitCount.flag == i2) {
                    return bitCount;
                }
            }
            return null;
        }
    }

    public enum Compression {
        BI_RGB(0),
        BI_RLE8(1),
        BI_RLE4(2),
        BI_BITFIELDS(3),
        BI_JPEG(4),
        BI_PNG(5),
        BI_CMYK(11),
        BI_CMYKRLE8(12),
        BI_CMYKRLE4(13);
        
        public int flag;

        /* access modifiers changed from: public */
        Compression(int i2) {
            this.flag = i2;
        }

        public static Compression valueOf(int i2) {
            Compression[] values = values();
            for (Compression compression : values) {
                if (compression.flag == i2) {
                    return compression;
                }
            }
            return null;
        }
    }

    private byte[] getBMPData() {
        byte[] bArr = this.imageData;
        if (bArr != null) {
            int max = ((int) Math.max((long) bArr.length, ((long) this.introSize) + this.headerImageSize)) + 14;
            byte[] safelyAllocate = IOUtils.safelyAllocate((long) max, MAX_RECORD_LENGTH);
            safelyAllocate[0] = 66;
            safelyAllocate[1] = 77;
            LittleEndian.putInt(safelyAllocate, 2, max);
            LittleEndian.putInt(safelyAllocate, 6, 0);
            LittleEndian.putInt(safelyAllocate, 10, this.introSize + 14);
            byte[] bArr2 = this.imageData;
            System.arraycopy(bArr2, 0, safelyAllocate, 14, bArr2.length);
            return safelyAllocate;
        }
        throw new RecordFormatException("bitmap not initialized ... need to call init() before");
    }

    public InputStream getBMPStream() {
        return new ByteArrayInputStream(getBMPData());
    }

    public BufferedImage getImage() {
        try {
            return ImageIO.read(getBMPStream());
        } catch (IOException unused) {
            logger.log(7, "invalid bitmap data - returning black opaque image");
            BufferedImage bufferedImage = new BufferedImage(this.headerWidth, this.headerHeight, 2);
            Graphics2D createGraphics = bufferedImage.createGraphics();
            createGraphics.setPaint(Color.black);
            createGraphics.fillRect(0, 0, this.headerWidth, this.headerHeight);
            createGraphics.dispose();
            return bufferedImage;
        }
    }

    public int init(LittleEndianInputStream littleEndianInputStream, int i2) {
        littleEndianInputStream.mark(10000);
        int readHeader = readHeader(littleEndianInputStream);
        this.introSize = readHeader;
        int readColors = readColors(littleEndianInputStream) + readHeader;
        this.introSize = readColors;
        long j = this.headerImageSize;
        if (j >= ((long) this.headerSize)) {
            i2 = (int) Math.min(((long) readColors) + j, (long) i2);
        }
        littleEndianInputStream.reset();
        this.imageData = IOUtils.toByteArray(littleEndianInputStream, i2);
        return i2;
    }

    public int readColors(LittleEndianInputStream littleEndianInputStream) {
        switch (this.headerBitCount.ordinal()) {
            case 1:
                long j = this.headerColorUsed;
                long j2 = 2;
                if (j != 0) {
                    j2 = Math.min(j, 2L);
                }
                return readRGBQuad(littleEndianInputStream, (int) j2);
            case 2:
                long j3 = this.headerColorUsed;
                long j4 = 16;
                if (j3 != 0) {
                    j4 = Math.min(j3, 16L);
                }
                return readRGBQuad(littleEndianInputStream, (int) j4);
            case 3:
                long j5 = this.headerColorUsed;
                long j6 = 256;
                if (j5 != 0) {
                    j6 = Math.min(j5, 256L);
                }
                return readRGBQuad(littleEndianInputStream, (int) j6);
            case 4:
                int ordinal = this.headerCompression.ordinal();
                if (ordinal == 0) {
                    this.colorMaskB = 31;
                    this.colorMaskG = 992;
                    this.colorMaskR = 31744;
                    return 0;
                } else if (ordinal == 3) {
                    this.colorMaskB = littleEndianInputStream.readInt();
                    this.colorMaskG = littleEndianInputStream.readInt();
                    this.colorMaskR = littleEndianInputStream.readInt();
                    return 12;
                } else {
                    StringBuilder b2 = a.b("Invalid compression option (");
                    b2.append(this.headerCompression);
                    b2.append(") for bitcount (");
                    b2.append(this.headerBitCount);
                    b2.append(").");
                    throw new IOException(b2.toString());
                }
            case 5:
            case 6:
                int ordinal2 = this.headerCompression.ordinal();
                if (ordinal2 == 0) {
                    this.colorMaskR = 255;
                    this.colorMaskG = 255;
                    this.colorMaskB = 255;
                    return 0;
                } else if (ordinal2 == 3) {
                    this.colorMaskB = littleEndianInputStream.readInt();
                    this.colorMaskG = littleEndianInputStream.readInt();
                    this.colorMaskR = littleEndianInputStream.readInt();
                    return 12;
                } else {
                    StringBuilder b3 = a.b("Invalid compression option (");
                    b3.append(this.headerCompression);
                    b3.append(") for bitcount (");
                    b3.append(this.headerBitCount);
                    b3.append(").");
                    throw new IOException(b3.toString());
                }
            default:
                return 0;
        }
    }

    public int readHeader(LittleEndianInputStream littleEndianInputStream) {
        int readInt = littleEndianInputStream.readInt();
        this.headerSize = readInt;
        if (readInt == 12) {
            this.headerWidth = littleEndianInputStream.readUShort();
            this.headerHeight = littleEndianInputStream.readUShort();
            this.headerPlanes = littleEndianInputStream.readUShort();
            this.headerBitCount = BitCount.valueOf(littleEndianInputStream.readUShort());
            return 12;
        }
        this.headerWidth = littleEndianInputStream.readInt();
        this.headerHeight = littleEndianInputStream.readInt();
        this.headerPlanes = littleEndianInputStream.readUShort();
        this.headerBitCount = BitCount.valueOf(littleEndianInputStream.readUShort());
        this.headerCompression = Compression.valueOf((int) littleEndianInputStream.readUInt());
        this.headerImageSize = littleEndianInputStream.readUInt();
        this.headerXPelsPerMeter = littleEndianInputStream.readInt();
        this.headerYPelsPerMeter = littleEndianInputStream.readInt();
        this.headerColorUsed = littleEndianInputStream.readUInt();
        this.headerColorImportant = littleEndianInputStream.readUInt();
        return 40;
    }

    public int readRGBQuad(LittleEndianInputStream littleEndianInputStream, int i2) {
        this.colorTable = new Color[i2];
        int i3 = 0;
        for (int i4 = 0; i4 < i2; i4++) {
            int readUByte = littleEndianInputStream.readUByte();
            int readUByte2 = littleEndianInputStream.readUByte();
            int readUByte3 = littleEndianInputStream.readUByte();
            littleEndianInputStream.readUByte();
            this.colorTable[i4] = new Color(readUByte3, readUByte2, readUByte);
            i3 += 4;
        }
        return i3;
    }
}
