package org.apache.poi.hwmf.record;

import java.awt.Rectangle;
import java.awt.Shape;
import java.awt.geom.Arc2D;
import java.awt.geom.Area;
import java.awt.geom.Ellipse2D;
import java.awt.geom.Line2D;
import java.awt.geom.Path2D;
import java.awt.geom.Point2D;
import java.awt.geom.Rectangle2D;
import java.awt.geom.RoundRectangle2D;
import java.util.ArrayList;
import java.util.List;
import org.apache.poi.hwmf.draw.HwmfGraphics;
import org.apache.poi.ss.formula.functions.NumericFunction;
import org.apache.poi.util.LittleEndianInputStream;

public class HwmfDraw {

    /* renamed from: org.apache.poi.hwmf.record.HwmfDraw$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$hwmf$record$HwmfRecordType;

        /* JADX WARNING: Can't wrap try/catch for region: R(8:0|1|2|3|4|5|6|8) */
        /* JADX WARNING: Code restructure failed: missing block: B:9:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x000f */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x0016 */
        static {
            int[] iArr = new int[HwmfRecordType.values().length];
            $SwitchMap$org$apache$poi$hwmf$record$HwmfRecordType = iArr;
            HwmfRecordType hwmfRecordType = HwmfRecordType.arc;
            iArr[2] = 1;
            int[] iArr2 = $SwitchMap$org$apache$poi$hwmf$record$HwmfRecordType;
            HwmfRecordType hwmfRecordType2 = HwmfRecordType.chord;
            iArr2[4] = 2;
            int[] iArr3 = $SwitchMap$org$apache$poi$hwmf$record$HwmfRecordType;
            HwmfRecordType hwmfRecordType3 = HwmfRecordType.pie;
            iArr3[32] = 3;
        }
    }

    public static class WmfArc implements HwmfRecord {
        public int bottomRect;
        public int leftRect;
        public int rightRect;
        public int topRect;
        public int xEndArc;
        public int xStartArc;
        public int yEndArc;
        public int yStartArc;

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public void draw(HwmfGraphics hwmfGraphics) {
            int i2;
            int min = Math.min(this.leftRect, this.rightRect);
            int min2 = Math.min(this.topRect, this.bottomRect);
            int abs = Math.abs((this.leftRect - this.rightRect) - 1);
            double abs2 = (double) Math.abs((this.topRect - this.bottomRect) - 1);
            double d2 = abs2 / 2.0d;
            double d3 = (double) abs;
            double d4 = d3 / 2.0d;
            double degrees = Math.toDegrees(Math.atan2(-(((double) this.yStartArc) - (((double) this.topRect) + d2)), ((double) this.xStartArc) - (((double) this.leftRect) + d4)));
            double degrees2 = Math.toDegrees(Math.atan2(-(((double) this.yEndArc) - (((double) this.topRect) + d2)), ((double) this.xEndArc) - (((double) this.leftRect) + d4))) - degrees;
            boolean z = false;
            double d5 = degrees2 + ((double) (degrees2 > NumericFunction.LOG_10_TO_BASE_e ? 0 : 360));
            if (degrees < NumericFunction.LOG_10_TO_BASE_e) {
                degrees += 360.0d;
            }
            int ordinal = getRecordType().ordinal();
            if (ordinal == 4) {
                z = true;
                i2 = 1;
            } else if (ordinal != 32) {
                i2 = 0;
            } else {
                z = true;
                i2 = 2;
            }
            Arc2D.Double r6 = new Arc2D.Double((double) min, (double) min2, d3, abs2, degrees, d5, i2);
            if (z) {
                hwmfGraphics.fill(r6);
            } else {
                hwmfGraphics.draw(r6);
            }
        }

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public HwmfRecordType getRecordType() {
            return HwmfRecordType.arc;
        }

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public int init(LittleEndianInputStream littleEndianInputStream, long j, int i2) {
            this.yEndArc = littleEndianInputStream.readShort();
            this.xEndArc = littleEndianInputStream.readShort();
            this.yStartArc = littleEndianInputStream.readShort();
            this.xStartArc = littleEndianInputStream.readShort();
            this.bottomRect = littleEndianInputStream.readShort();
            this.rightRect = littleEndianInputStream.readShort();
            this.topRect = littleEndianInputStream.readShort();
            this.leftRect = littleEndianInputStream.readShort();
            return 16;
        }
    }

    public static class WmfChord extends WmfArc {
        @Override // org.apache.poi.hwmf.record.HwmfDraw.WmfArc, org.apache.poi.hwmf.record.HwmfRecord
        public HwmfRecordType getRecordType() {
            return HwmfRecordType.chord;
        }
    }

    public static class WmfEllipse implements HwmfRecord {
        public int bottomRect;
        public int leftRect;
        public int rightRect;
        public int topRect;

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public void draw(HwmfGraphics hwmfGraphics) {
            hwmfGraphics.fill(new Ellipse2D.Double((double) Math.min(this.leftRect, this.rightRect), (double) Math.min(this.topRect, this.bottomRect), (double) Math.abs((this.leftRect - this.rightRect) - 1), (double) Math.abs((this.topRect - this.bottomRect) - 1)));
        }

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public HwmfRecordType getRecordType() {
            return HwmfRecordType.ellipse;
        }

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public int init(LittleEndianInputStream littleEndianInputStream, long j, int i2) {
            this.bottomRect = littleEndianInputStream.readShort();
            this.rightRect = littleEndianInputStream.readShort();
            this.topRect = littleEndianInputStream.readShort();
            this.leftRect = littleEndianInputStream.readShort();
            return 8;
        }
    }

    public static class WmfFrameRegion implements HwmfRecord {
        public int brushIndex;
        public int height;
        public int regionIndex;
        public int width;

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public void draw(HwmfGraphics hwmfGraphics) {
            hwmfGraphics.applyObjectTableEntry(this.brushIndex);
            hwmfGraphics.applyObjectTableEntry(this.regionIndex);
            Rectangle bounds = hwmfGraphics.getProperties().getRegion().getBounds();
            Area area = new Area(new Rectangle2D.Double(bounds.getX() - ((double) this.width), bounds.getY() - ((double) this.height), bounds.getWidth() + ((double) (this.width * 2)), bounds.getHeight() + ((double) (this.height * 2))));
            area.subtract(new Area(bounds));
            hwmfGraphics.fill(area);
        }

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public HwmfRecordType getRecordType() {
            return HwmfRecordType.frameRegion;
        }

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public int init(LittleEndianInputStream littleEndianInputStream, long j, int i2) {
            this.regionIndex = littleEndianInputStream.readUShort();
            this.brushIndex = littleEndianInputStream.readUShort();
            this.height = littleEndianInputStream.readShort();
            this.width = littleEndianInputStream.readShort();
            return 8;
        }
    }

    public static class WmfLineTo implements HwmfRecord {
        public int x;
        public int y;

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public void draw(HwmfGraphics hwmfGraphics) {
            Point2D location = hwmfGraphics.getProperties().getLocation();
            hwmfGraphics.draw(new Line2D.Double(location.getX(), location.getY(), (double) this.x, (double) this.y));
            hwmfGraphics.getProperties().setLocation((double) this.x, (double) this.y);
        }

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public HwmfRecordType getRecordType() {
            return HwmfRecordType.lineTo;
        }

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public int init(LittleEndianInputStream littleEndianInputStream, long j, int i2) {
            this.y = littleEndianInputStream.readShort();
            this.x = littleEndianInputStream.readShort();
            return 4;
        }
    }

    public static class WmfMoveTo implements HwmfRecord {
        public int x;
        public int y;

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public void draw(HwmfGraphics hwmfGraphics) {
            hwmfGraphics.getProperties().setLocation((double) this.x, (double) this.y);
        }

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public HwmfRecordType getRecordType() {
            return HwmfRecordType.moveTo;
        }

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public int init(LittleEndianInputStream littleEndianInputStream, long j, int i2) {
            this.y = littleEndianInputStream.readShort();
            this.x = littleEndianInputStream.readShort();
            return 4;
        }
    }

    public static class WmfPie extends WmfArc {
        @Override // org.apache.poi.hwmf.record.HwmfDraw.WmfArc, org.apache.poi.hwmf.record.HwmfRecord
        public HwmfRecordType getRecordType() {
            return HwmfRecordType.pie;
        }
    }

    public static class WmfPolyPolygon implements HwmfRecord {
        public List<Path2D> polyList = new ArrayList();

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public void draw(HwmfGraphics hwmfGraphics) {
            if (!this.polyList.isEmpty()) {
                int windingRule = HwmfDraw.getWindingRule(hwmfGraphics);
                Shape shape = null;
                for (Path2D path2D : this.polyList) {
                    Path2D path2D2 = (Path2D) path2D.clone();
                    path2D2.setWindingRule(windingRule);
                    Shape area = new Area(path2D2);
                    if (shape == null) {
                        shape = area;
                    } else {
                        shape.exclusiveOr(area);
                    }
                }
                hwmfGraphics.fill(shape);
            }
        }

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public HwmfRecordType getRecordType() {
            return HwmfRecordType.polyPolygon;
        }

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public int init(LittleEndianInputStream littleEndianInputStream, long j, int i2) {
            int readUShort = littleEndianInputStream.readUShort();
            int[] iArr = new int[readUShort];
            int i3 = 2;
            for (int i4 = 0; i4 < readUShort; i4++) {
                iArr[i4] = littleEndianInputStream.readUShort();
                i3 += 2;
            }
            for (int i5 = 0; i5 < readUShort; i5++) {
                int i6 = iArr[i5];
                Path2D path2D = new Path2D.Double();
                for (int i7 = 0; i7 < i6; i7++) {
                    short readShort = littleEndianInputStream.readShort();
                    short readShort2 = littleEndianInputStream.readShort();
                    i3 += 4;
                    if (i7 == 0) {
                        path2D.moveTo((double) readShort, (double) readShort2);
                    } else {
                        path2D.lineTo((double) readShort, (double) readShort2);
                    }
                }
                path2D.closePath();
                this.polyList.add(path2D);
            }
            return i3;
        }
    }

    public static class WmfPolygon implements HwmfRecord {
        public Path2D poly = new Path2D.Double();

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public void draw(HwmfGraphics hwmfGraphics) {
            Path2D path2D = (Path2D) getShape().clone();
            path2D.setWindingRule(HwmfDraw.getWindingRule(hwmfGraphics));
            hwmfGraphics.fill(path2D);
        }

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public HwmfRecordType getRecordType() {
            return HwmfRecordType.polygon;
        }

        public Path2D getShape() {
            return (Path2D) this.poly.clone();
        }

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public int init(LittleEndianInputStream littleEndianInputStream, long j, int i2) {
            short readShort = littleEndianInputStream.readShort();
            for (int i3 = 0; i3 < readShort; i3++) {
                short readShort2 = littleEndianInputStream.readShort();
                short readShort3 = littleEndianInputStream.readShort();
                if (i3 == 0) {
                    this.poly.moveTo((double) readShort2, (double) readShort3);
                } else {
                    this.poly.lineTo((double) readShort2, (double) readShort3);
                }
            }
            return (readShort * 4) + 2;
        }
    }

    public static class WmfPolyline extends WmfPolygon {
        @Override // org.apache.poi.hwmf.record.HwmfDraw.WmfPolygon, org.apache.poi.hwmf.record.HwmfRecord
        public void draw(HwmfGraphics hwmfGraphics) {
            Path2D path2D = (Path2D) getShape().clone();
            path2D.setWindingRule(HwmfDraw.getWindingRule(hwmfGraphics));
            hwmfGraphics.draw(path2D);
        }

        @Override // org.apache.poi.hwmf.record.HwmfDraw.WmfPolygon, org.apache.poi.hwmf.record.HwmfRecord
        public HwmfRecordType getRecordType() {
            return HwmfRecordType.polyline;
        }
    }

    public static class WmfRectangle implements HwmfRecord {
        public int bottomRect;
        public int leftRect;
        public int rightRect;
        public int topRect;

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public void draw(HwmfGraphics hwmfGraphics) {
            hwmfGraphics.fill(new Rectangle2D.Double((double) Math.min(this.leftRect, this.rightRect), (double) Math.min(this.topRect, this.bottomRect), (double) Math.abs((this.leftRect - this.rightRect) - 1), (double) Math.abs((this.topRect - this.bottomRect) - 1)));
        }

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public HwmfRecordType getRecordType() {
            return HwmfRecordType.frameRegion;
        }

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public int init(LittleEndianInputStream littleEndianInputStream, long j, int i2) {
            this.bottomRect = littleEndianInputStream.readShort();
            this.rightRect = littleEndianInputStream.readShort();
            this.topRect = littleEndianInputStream.readShort();
            this.leftRect = littleEndianInputStream.readShort();
            return 8;
        }
    }

    public static class WmfRoundRect implements HwmfRecord {
        public int bottomRect;
        public int height;
        public int leftRect;
        public int rightRect;
        public int topRect;
        public int width;

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public void draw(HwmfGraphics hwmfGraphics) {
            hwmfGraphics.fill(new RoundRectangle2D.Double((double) Math.min(this.leftRect, this.rightRect), (double) Math.min(this.topRect, this.bottomRect), (double) Math.abs((this.leftRect - this.rightRect) - 1), (double) Math.abs((this.topRect - this.bottomRect) - 1), (double) this.width, (double) this.height));
        }

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public HwmfRecordType getRecordType() {
            return HwmfRecordType.roundRect;
        }

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public int init(LittleEndianInputStream littleEndianInputStream, long j, int i2) {
            this.height = littleEndianInputStream.readShort();
            this.width = littleEndianInputStream.readShort();
            this.bottomRect = littleEndianInputStream.readShort();
            this.rightRect = littleEndianInputStream.readShort();
            this.topRect = littleEndianInputStream.readShort();
            this.leftRect = littleEndianInputStream.readShort();
            return 12;
        }
    }

    public static class WmfSelectObject implements HwmfRecord {
        public int objectIndex;

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public void draw(HwmfGraphics hwmfGraphics) {
            hwmfGraphics.applyObjectTableEntry(this.objectIndex);
        }

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public HwmfRecordType getRecordType() {
            return HwmfRecordType.selectObject;
        }

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public int init(LittleEndianInputStream littleEndianInputStream, long j, int i2) {
            this.objectIndex = littleEndianInputStream.readUShort();
            return 2;
        }
    }

    public static class WmfSetPixel implements HwmfRecord {
        public HwmfColorRef colorRef;
        public int x;
        public int y;

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public void draw(HwmfGraphics hwmfGraphics) {
            hwmfGraphics.fill(new Rectangle2D.Double((double) this.x, (double) this.y, 1.0d, 1.0d));
        }

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public HwmfRecordType getRecordType() {
            return HwmfRecordType.setPixel;
        }

        @Override // org.apache.poi.hwmf.record.HwmfRecord
        public int init(LittleEndianInputStream littleEndianInputStream, long j, int i2) {
            HwmfColorRef hwmfColorRef = new HwmfColorRef();
            this.colorRef = hwmfColorRef;
            int init = hwmfColorRef.init(littleEndianInputStream);
            this.y = littleEndianInputStream.readShort();
            this.x = littleEndianInputStream.readShort();
            return init + 4;
        }
    }

    public static int getWindingRule(HwmfGraphics hwmfGraphics) {
        return hwmfGraphics.getProperties().getPolyfillMode().awtFlag;
    }
}
