package org.apache.poi.poifs.filesystem;

import java.io.ByteArrayOutputStream;
import java.io.OutputStream;
import org.apache.poi.util.LittleEndian;
import org.apache.poi.util.LittleEndianOutputStream;
import org.apache.poi.util.StringUtil;

public class Ole10Native {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    public static final String ISO1 = "ISO-8859-1";
    public static final String OLE10_NATIVE = "\u0001Ole10Native";
    public String command;
    public byte[] dataBuffer;
    public String fileName;
    public short flags1 = 2;
    public short flags2 = 0;
    public short flags3 = 0;
    public String label;
    public EncodingMode mode;
    public int totalSize;
    public short unknown1 = 3;

    /* renamed from: org.apache.poi.poifs.filesystem.Ole10Native$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$poifs$filesystem$Ole10Native$EncodingMode;

        /* JADX WARNING: Can't wrap try/catch for region: R(8:0|1|2|3|4|5|6|8) */
        /* JADX WARNING: Code restructure failed: missing block: B:9:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x000f */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x0016 */
        static {
            int[] iArr = new int[EncodingMode.values().length];
            $SwitchMap$org$apache$poi$poifs$filesystem$Ole10Native$EncodingMode = iArr;
            EncodingMode encodingMode = EncodingMode.parsed;
            iArr[0] = 1;
            int[] iArr2 = $SwitchMap$org$apache$poi$poifs$filesystem$Ole10Native$EncodingMode;
            EncodingMode encodingMode2 = EncodingMode.compact;
            iArr2[2] = 2;
            int[] iArr3 = $SwitchMap$org$apache$poi$poifs$filesystem$Ole10Native$EncodingMode;
            EncodingMode encodingMode3 = EncodingMode.unparsed;
            iArr3[1] = 3;
        }
    }

    public enum EncodingMode {
        parsed,
        unparsed,
        compact
    }

    public Ole10Native(String str, String str2, String str3, byte[] bArr) {
        setLabel(str);
        setFileName(str2);
        setCommand(str3);
        setDataBuffer(bArr);
        this.mode = EncodingMode.parsed;
    }

    public static Ole10Native createFromEmbeddedOleObject(POIFSFileSystem pOIFSFileSystem) {
        return createFromEmbeddedOleObject(pOIFSFileSystem.getRoot());
    }

    public static int getStringLength(byte[] bArr, int i2) {
        int i3 = 0;
        while (true) {
            int i4 = i3 + i2;
            if (i4 < bArr.length && bArr[i4] != 0) {
                i3++;
            }
        }
        return i3 + 1;
    }

    public String getCommand() {
        return this.command;
    }

    public byte[] getDataBuffer() {
        return this.dataBuffer;
    }

    public int getDataSize() {
        return this.dataBuffer.length;
    }

    public String getFileName() {
        return this.fileName;
    }

    public short getFlags1() {
        return this.flags1;
    }

    public short getFlags2() {
        return this.flags2;
    }

    public short getFlags3() {
        return this.flags3;
    }

    public String getLabel() {
        return this.label;
    }

    public int getTotalSize() {
        return this.totalSize;
    }

    public short getUnknown1() {
        return this.unknown1;
    }

    public void setCommand(String str) {
        this.command = str;
    }

    public void setDataBuffer(byte[] bArr) {
        this.dataBuffer = (byte[]) bArr.clone();
    }

    public void setFileName(String str) {
        this.fileName = str;
    }

    public void setFlags1(short s) {
        this.flags1 = s;
    }

    public void setFlags2(short s) {
        this.flags2 = s;
    }

    public void setFlags3(short s) {
        this.flags3 = s;
    }

    public void setLabel(String str) {
        this.label = str;
    }

    public void setUnknown1(short s) {
        this.unknown1 = s;
    }

    public void writeOut(OutputStream outputStream) {
        LittleEndianOutputStream littleEndianOutputStream = new LittleEndianOutputStream(outputStream);
        int ordinal = this.mode.ordinal();
        if (ordinal == 0) {
            ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
            LittleEndianOutputStream littleEndianOutputStream2 = new LittleEndianOutputStream(byteArrayOutputStream);
            littleEndianOutputStream2.writeShort(getFlags1());
            littleEndianOutputStream2.write(getLabel().getBytes(ISO1));
            littleEndianOutputStream2.write(0);
            littleEndianOutputStream2.write(getFileName().getBytes(ISO1));
            littleEndianOutputStream2.write(0);
            littleEndianOutputStream2.writeShort(getFlags2());
            littleEndianOutputStream2.writeShort(getUnknown1());
            littleEndianOutputStream2.writeInt(getCommand().length() + 1);
            littleEndianOutputStream2.write(getCommand().getBytes(ISO1));
            littleEndianOutputStream2.write(0);
            littleEndianOutputStream2.writeInt(getDataSize());
            littleEndianOutputStream2.write(getDataBuffer());
            littleEndianOutputStream2.writeShort(getFlags3());
            littleEndianOutputStream2.close();
            littleEndianOutputStream.writeInt(byteArrayOutputStream.size());
            byteArrayOutputStream.writeTo(outputStream);
        } else if (ordinal != 2) {
            littleEndianOutputStream.writeInt(getDataSize());
            outputStream.write(getDataBuffer());
        } else {
            littleEndianOutputStream.writeInt(getDataSize() + 2);
            littleEndianOutputStream.writeShort(getFlags1());
            outputStream.write(getDataBuffer());
        }
    }

    public static Ole10Native createFromEmbeddedOleObject(DirectoryNode directoryNode) {
        DocumentEntry documentEntry = (DocumentEntry) directoryNode.getEntry(OLE10_NATIVE);
        byte[] bArr = new byte[documentEntry.getSize()];
        directoryNode.createDocumentInputStream(documentEntry).read(bArr);
        return new Ole10Native(bArr, 0);
    }

    public Ole10Native(byte[] bArr, int i2) {
        int i3;
        if (bArr.length >= i2 + 2) {
            this.totalSize = LittleEndian.getInt(bArr, i2);
            int i4 = i2 + 4;
            this.mode = EncodingMode.unparsed;
            if (LittleEndian.getShort(bArr, i4) == 2) {
                if (Character.isISOControl(bArr[i4 + 2])) {
                    this.mode = EncodingMode.compact;
                } else {
                    this.mode = EncodingMode.parsed;
                }
            }
            int ordinal = this.mode.ordinal();
            if (ordinal == 0) {
                this.flags1 = LittleEndian.getShort(bArr, i4);
                int i5 = i4 + 2;
                int stringLength = getStringLength(bArr, i5);
                this.label = StringUtil.getFromCompressedUnicode(bArr, i5, stringLength - 1);
                int i6 = i5 + stringLength;
                int stringLength2 = getStringLength(bArr, i6);
                this.fileName = StringUtil.getFromCompressedUnicode(bArr, i6, stringLength2 - 1);
                int i7 = i6 + stringLength2;
                this.flags2 = LittleEndian.getShort(bArr, i7);
                int i8 = i7 + 2;
                this.unknown1 = LittleEndian.getShort(bArr, i8);
                int i9 = i8 + 2;
                int i10 = LittleEndian.getInt(bArr, i9);
                int i11 = i9 + 4;
                this.command = StringUtil.getFromCompressedUnicode(bArr, i11, i10 - 1);
                int i12 = i11 + i10;
                if (this.totalSize >= i12) {
                    i3 = LittleEndian.getInt(bArr, i12);
                    i4 = i12 + 4;
                    if (i3 < 0 || this.totalSize - (i4 - 4) < i3) {
                        throw new Ole10NativeException("Invalid Ole10Native");
                    }
                } else {
                    throw new Ole10NativeException("Invalid Ole10Native");
                }
            } else if (ordinal != 2) {
                i3 = this.totalSize;
            } else {
                this.flags1 = LittleEndian.getShort(bArr, i4);
                i4 += 2;
                i3 = this.totalSize - 2;
            }
            if (((long) i3) + ((long) i4) <= ((long) bArr.length)) {
                byte[] bArr2 = new byte[i3];
                this.dataBuffer = bArr2;
                System.arraycopy(bArr, i4, bArr2, 0, i3);
                return;
            }
            throw new Ole10NativeException("Invalid Ole10Native: declared data length > available data");
        }
        throw new Ole10NativeException("data is too small");
    }
}
