package org.apache.poi.poifs.filesystem;

import java.io.File;
import java.io.FileOutputStream;
import java.io.InputStream;
import org.apache.poi.poifs.dev.POIFSViewable;
import org.apache.poi.util.CloseIgnoringInputStream;

public class POIFSFileSystem extends NPOIFSFileSystem implements POIFSViewable {
    public POIFSFileSystem() {
    }

    /* JADX INFO: finally extract failed */
    public static POIFSFileSystem create(File file) {
        POIFSFileSystem pOIFSFileSystem = new POIFSFileSystem();
        try {
            FileOutputStream fileOutputStream = new FileOutputStream(file);
            try {
                pOIFSFileSystem.writeFilesystem(fileOutputStream);
                fileOutputStream.close();
                pOIFSFileSystem.close();
                return new POIFSFileSystem(file, false);
            } catch (Throwable th) {
                fileOutputStream.close();
                throw th;
            }
        } catch (Throwable th2) {
            pOIFSFileSystem.close();
            throw th2;
        }
    }

    public static InputStream createNonClosingInputStream(InputStream inputStream) {
        return new CloseIgnoringInputStream(inputStream);
    }

    public static void main(String[] strArr) {
        OPOIFSFileSystem.main(strArr);
    }

    public POIFSFileSystem(InputStream inputStream) {
        super(inputStream);
    }

    public POIFSFileSystem(File file, boolean z) {
        super(file, z);
    }

    public POIFSFileSystem(File file) {
        super(file);
    }
}
