package org.apache.poi.sl.draw;

import b.b.a.a.a;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Insets;
import java.awt.RenderingHints;
import java.awt.Shape;
import java.awt.geom.AffineTransform;
import java.awt.geom.Rectangle2D;
import java.awt.image.AffineTransformOp;
import java.awt.image.BufferedImage;
import java.awt.image.ImageObserver;
import java.awt.image.RescaleOp;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.Iterator;
import javax.imageio.ImageIO;
import javax.imageio.ImageReadParam;
import javax.imageio.ImageReader;
import javax.imageio.ImageTypeSpecifier;
import javax.imageio.stream.ImageInputStream;
import javax.imageio.stream.MemoryCacheImageInputStream;
import org.apache.poi.ss.formula.functions.NumericFunction;
import org.apache.poi.util.POILogFactory;
import org.apache.poi.util.POILogger;
import org.apache.xerces.util.SecurityManager;

public class BitmapImageRenderer implements ImageRenderer {
    public static final POILogger LOG = POILogFactory.getLogger(ImageRenderer.class);
    public BufferedImage img;

    public static int findTruncatedBlackBox(BufferedImage bufferedImage, int i2, int i3) {
        for (int i4 = i3 - 1; i4 > 0; i4--) {
            int i5 = i2 - 1;
            while (i5 > 0) {
                if (bufferedImage.getRGB(i5, i4) != -16777216) {
                    return i4 + 1;
                }
                i5 -= i2 / 10;
            }
        }
        return 0;
    }

    /* JADX INFO: finally extract failed */
    public static BufferedImage readImage(InputStream inputStream, String str) {
        Throwable th;
        int findTruncatedBlackBox;
        int findTruncatedBlackBox2;
        if (inputStream.markSupported()) {
            inputStream.mark(inputStream.available());
        }
        ImageInputStream memoryCacheImageInputStream = new MemoryCacheImageInputStream(inputStream);
        try {
            ImageInputStream memoryCacheImageInputStream2 = new MemoryCacheImageInputStream(inputStream);
            try {
                memoryCacheImageInputStream2.mark();
                Iterator imageReaders = ImageIO.getImageReaders(memoryCacheImageInputStream2);
                BufferedImage bufferedImage = null;
                IOException iOException = null;
                while (bufferedImage == null && imageReaders.hasNext()) {
                    ImageReader imageReader = (ImageReader) imageReaders.next();
                    ImageReadParam defaultReadParam = imageReader.getDefaultReadParam();
                    int i2 = 0;
                    BufferedImage bufferedImage2 = bufferedImage;
                    IOException e2 = iOException;
                    ImageInputStream imageInputStream = memoryCacheImageInputStream2;
                    while (bufferedImage2 == null && i2 < 3) {
                        try {
                            imageInputStream.reset();
                        } catch (IOException e3) {
                            e2 = e3;
                            if (!inputStream.markSupported()) {
                                break;
                            }
                            inputStream.reset();
                            inputStream.mark(inputStream.available());
                            imageInputStream.close();
                            imageInputStream = new MemoryCacheImageInputStream(inputStream);
                        } catch (Throwable th2) {
                            th = th2;
                            memoryCacheImageInputStream = imageInputStream;
                            memoryCacheImageInputStream.close();
                            throw th;
                        }
                        imageInputStream.mark();
                        if (i2 == 0) {
                            imageReader.setInput(imageInputStream, false, true);
                            bufferedImage2 = imageReader.read(0, defaultReadParam);
                        } else if (i2 == 1) {
                            Iterator imageTypes = imageReader.getImageTypes(0);
                            while (true) {
                                if (!imageTypes.hasNext()) {
                                    break;
                                }
                                ImageTypeSpecifier imageTypeSpecifier = (ImageTypeSpecifier) imageTypes.next();
                                if (imageTypeSpecifier.getBufferedImageType() == 10) {
                                    defaultReadParam.setDestinationType(imageTypeSpecifier);
                                    break;
                                }
                            }
                            imageReader.setInput(imageInputStream, false, true);
                            bufferedImage2 = imageReader.read(0, defaultReadParam);
                        } else if (i2 == 2) {
                            try {
                                imageReader.setInput(imageInputStream, false, true);
                                int height = imageReader.getHeight(0);
                                int width = imageReader.getWidth(0);
                                Iterator imageTypes2 = imageReader.getImageTypes(0);
                                if (imageTypes2.hasNext()) {
                                    bufferedImage2 = ((ImageTypeSpecifier) imageTypes2.next()).createBufferedImage(width, height);
                                    defaultReadParam.setDestination(bufferedImage2);
                                    try {
                                        imageReader.read(0, defaultReadParam);
                                        if (bufferedImage2.getType() != 2 && (findTruncatedBlackBox2 = findTruncatedBlackBox(bufferedImage2, width, height)) < height) {
                                            BufferedImage bufferedImage3 = new BufferedImage(width, height, 2);
                                            Graphics2D createGraphics = bufferedImage3.createGraphics();
                                            createGraphics.clipRect(0, 0, width, findTruncatedBlackBox2);
                                            createGraphics.drawImage(bufferedImage2, 0, 0, (ImageObserver) null);
                                            createGraphics.dispose();
                                            bufferedImage2.flush();
                                            bufferedImage2 = bufferedImage3;
                                        }
                                    } catch (Throwable th3) {
                                        if (bufferedImage2.getType() != 2 && (findTruncatedBlackBox = findTruncatedBlackBox(bufferedImage2, width, height)) < height) {
                                            Graphics2D createGraphics2 = new BufferedImage(width, height, 2).createGraphics();
                                            createGraphics2.clipRect(0, 0, width, findTruncatedBlackBox);
                                            createGraphics2.drawImage(bufferedImage2, 0, 0, (ImageObserver) null);
                                            createGraphics2.dispose();
                                            bufferedImage2.flush();
                                        }
                                        throw th3;
                                    }
                                } else {
                                    e2 = new IOException("unable to load even a truncated version of the image.");
                                    i2++;
                                }
                            } catch (IOException e4) {
                                e2 = e4;
                                if (i2 < 2) {
                                }
                            } catch (RuntimeException e5) {
                                if (i2 < 2) {
                                    StringBuilder sb = new StringBuilder();
                                    sb.append("ImageIO runtime exception - ");
                                    sb.append(i2 == 0 ? "normal" : "fallback");
                                    e2 = new IOException(sb.toString(), e5);
                                }
                            }
                        }
                        e2 = null;
                        i2++;
                    }
                    imageReader.dispose();
                    iOException = e2;
                    bufferedImage = bufferedImage2;
                    memoryCacheImageInputStream2 = imageInputStream;
                }
                memoryCacheImageInputStream2.close();
                if (bufferedImage == null) {
                    if (iOException == null) {
                        LOG.log(5, a.b("Content-type: ", str, " is not support. Image ignored."));
                        return null;
                    }
                    throw iOException;
                } else if (bufferedImage.getType() == 2) {
                    return bufferedImage;
                } else {
                    BufferedImage bufferedImage4 = new BufferedImage(bufferedImage.getWidth(), bufferedImage.getHeight(), 2);
                    Graphics graphics = bufferedImage4.getGraphics();
                    graphics.drawImage(bufferedImage, 0, 0, (ImageObserver) null);
                    graphics.dispose();
                    return bufferedImage4;
                }
            } catch (Throwable th4) {
                th = th4;
                memoryCacheImageInputStream = memoryCacheImageInputStream2;
                memoryCacheImageInputStream.close();
                throw th;
            }
        } catch (Throwable th5) {
            th = th5;
            memoryCacheImageInputStream.close();
            throw th;
        }
    }

    @Override // org.apache.poi.sl.draw.ImageRenderer
    public boolean drawImage(Graphics2D graphics2D, Rectangle2D rectangle2D) {
        return drawImage(graphics2D, rectangle2D, null);
    }

    @Override // org.apache.poi.sl.draw.ImageRenderer
    public Dimension getDimension() {
        return this.img == null ? new Dimension(0, 0) : new Dimension(this.img.getWidth(), this.img.getHeight());
    }

    @Override // org.apache.poi.sl.draw.ImageRenderer
    public BufferedImage getImage() {
        return this.img;
    }

    @Override // org.apache.poi.sl.draw.ImageRenderer
    public void loadImage(InputStream inputStream, String str) {
        this.img = readImage(inputStream, str);
    }

    @Override // org.apache.poi.sl.draw.ImageRenderer
    public void setAlpha(double d2) {
        if (this.img != null) {
            Dimension dimension = getDimension();
            BufferedImage bufferedImage = new BufferedImage((int) dimension.getWidth(), (int) dimension.getHeight(), 2);
            Graphics2D createGraphics = bufferedImage.createGraphics();
            createGraphics.drawImage(this.img, new RescaleOp(new float[]{1.0f, 1.0f, 1.0f, (float) d2}, new float[]{0.0f, 0.0f, 0.0f, 0.0f}, (RenderingHints) null), 0, 0);
            createGraphics.dispose();
            this.img = bufferedImage;
        }
    }

    @Override // org.apache.poi.sl.draw.ImageRenderer
    public boolean drawImage(Graphics2D graphics2D, Rectangle2D rectangle2D, Insets insets) {
        Insets insets2;
        boolean z = false;
        if (this.img == null) {
            return false;
        }
        if (insets == null) {
            insets2 = new Insets(0, 0, 0, 0);
        } else {
            insets2 = insets;
            z = true;
        }
        int width = this.img.getWidth();
        int height = this.img.getHeight();
        double d2 = (double) width;
        double width2 = rectangle2D.getWidth() / ((((double) ((SecurityManager.DEFAULT_ENTITY_EXPANSION_LIMIT - insets2.left) - insets2.right)) / 100000.0d) * d2);
        double d3 = (double) height;
        double height2 = rectangle2D.getHeight() / ((((double) ((SecurityManager.DEFAULT_ENTITY_EXPANSION_LIMIT - insets2.top) - insets2.bottom)) / 100000.0d) * d3);
        AffineTransform affineTransform = new AffineTransform(width2, (double) NumericFunction.LOG_10_TO_BASE_e, (double) NumericFunction.LOG_10_TO_BASE_e, height2, rectangle2D.getX() - (((d2 * width2) * ((double) insets2.left)) / 100000.0d), rectangle2D.getY() - (((d3 * height2) * ((double) insets2.top)) / 100000.0d));
        Shape clip = graphics2D.getClip();
        if (z) {
            graphics2D.clip(rectangle2D.getBounds2D());
        }
        graphics2D.drawRenderedImage(this.img, affineTransform);
        graphics2D.setClip(clip);
        return true;
    }

    @Override // org.apache.poi.sl.draw.ImageRenderer
    public BufferedImage getImage(Dimension dimension) {
        double width = (double) this.img.getWidth();
        double height = (double) this.img.getHeight();
        BufferedImage bufferedImage = new BufferedImage((int) width, (int) height, 2);
        double width2 = dimension.getWidth();
        double height2 = dimension.getHeight();
        AffineTransform affineTransform = new AffineTransform();
        affineTransform.scale(width2 / width, height2 / height);
        new AffineTransformOp(affineTransform, 2).filter(this.img, bufferedImage);
        return bufferedImage;
    }

    @Override // org.apache.poi.sl.draw.ImageRenderer
    public void loadImage(byte[] bArr, String str) {
        this.img = readImage(new ByteArrayInputStream(bArr), str);
    }
}
