package org.apache.poi.sl.draw;

import java.awt.BasicStroke;
import java.awt.Graphics2D;
import java.awt.geom.AffineTransform;
import java.awt.geom.Rectangle2D;
import java.util.Locale;
import org.apache.poi.sl.usermodel.PlaceableShape;
import org.apache.poi.sl.usermodel.Shape;
import org.apache.poi.sl.usermodel.StrokeStyle;
import org.apache.poi.ss.formula.functions.NumericFunction;

public class DrawShape implements Drawable {
    public final Shape<?, ?> shape;

    /* renamed from: org.apache.poi.sl.draw.DrawShape$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$sl$usermodel$StrokeStyle$LineCap;

        /* JADX WARNING: Can't wrap try/catch for region: R(8:0|(2:1|2)|3|5|6|7|8|10) */
        /* JADX WARNING: Code restructure failed: missing block: B:11:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0016 */
        static {
            int[] iArr = new int[StrokeStyle.LineCap.values().length];
            $SwitchMap$org$apache$poi$sl$usermodel$StrokeStyle$LineCap = iArr;
            try {
                StrokeStyle.LineCap lineCap = StrokeStyle.LineCap.ROUND;
                iArr[0] = 1;
            } catch (NoSuchFieldError unused) {
            }
            int[] iArr2 = $SwitchMap$org$apache$poi$sl$usermodel$StrokeStyle$LineCap;
            StrokeStyle.LineCap lineCap2 = StrokeStyle.LineCap.SQUARE;
            iArr2[1] = 2;
            int[] iArr3 = $SwitchMap$org$apache$poi$sl$usermodel$StrokeStyle$LineCap;
            StrokeStyle.LineCap lineCap3 = StrokeStyle.LineCap.FLAT;
            iArr3[2] = 3;
        }
    }

    public DrawShape(Shape<?, ?> shape2) {
        this.shape = shape2;
    }

    public static Rectangle2D getAnchor(Graphics2D graphics2D, PlaceableShape<?, ?> placeableShape) {
        return getAnchor(graphics2D, placeableShape.getAnchor());
    }

    public static BasicStroke getStroke(StrokeStyle strokeStyle) {
        float lineWidth = (float) strokeStyle.getLineWidth();
        float f2 = lineWidth == 0.0f ? 0.25f : lineWidth;
        StrokeStyle.LineDash lineDash = strokeStyle.getLineDash();
        if (lineDash == null) {
            lineDash = StrokeStyle.LineDash.SOLID;
        }
        int[] iArr = lineDash.pattern;
        float[] fArr = null;
        if (iArr != null) {
            fArr = new float[iArr.length];
            for (int i2 = 0; i2 < iArr.length; i2++) {
                fArr[i2] = Math.max(1.0f, f2) * ((float) iArr[i2]);
            }
        }
        StrokeStyle.LineCap lineCap = strokeStyle.getLineCap();
        if (lineCap == null) {
            lineCap = StrokeStyle.LineCap.FLAT;
        }
        int ordinal = lineCap.ordinal();
        return new BasicStroke(f2, ordinal != 0 ? ordinal != 1 ? 0 : 2 : 1, 1, f2, fArr, 0.0f);
    }

    public static boolean isHSLF(Shape<?, ?> shape2) {
        return shape2.getClass().getCanonicalName().toLowerCase(Locale.ROOT).contains("hslf");
    }

    public static double safeScale(double d2, double d3) {
        if (d2 == NumericFunction.LOG_10_TO_BASE_e || d3 == NumericFunction.LOG_10_TO_BASE_e) {
            return 1.0d;
        }
        return d2 / d3;
    }

    @Override // org.apache.poi.sl.draw.Drawable
    public void applyTransform(Graphics2D graphics2D) {
        boolean z;
        char[] cArr;
        Rectangle2D rectangle2D;
        PlaceableShape placeableShape;
        AffineTransform affineTransform;
        Graphics2D graphics2D2;
        double d2;
        double d3;
        double d4;
        AffineTransform affineTransform2;
        Graphics2D graphics2D3 = graphics2D;
        Shape<?, ?> shape2 = this.shape;
        if (shape2 instanceof PlaceableShape) {
            PlaceableShape placeableShape2 = (PlaceableShape) shape2;
            boolean isHSLF = isHSLF(shape2);
            AffineTransform affineTransform3 = (AffineTransform) graphics2D3.getRenderingHint(Drawable.GROUP_TRANSFORM);
            if (affineTransform3 == null) {
                affineTransform3 = new AffineTransform();
            }
            Rectangle2D bounds2D = affineTransform3.createTransformedShape(placeableShape2.getAnchor()).getBounds2D();
            char[] cArr2 = new char[3];
            if (isHSLF) {
                // fill-array-data instruction
                cArr2[0] = 'h';
                cArr2[1] = 'v';
                cArr2[2] = 'r';
            } else {
                // fill-array-data instruction
                cArr2[0] = 'r';
                cArr2[1] = 'h';
                cArr2[2] = 'v';
            }
            int length = cArr2.length;
            int i2 = 0;
            while (i2 < length) {
                char c = cArr2[i2];
                if (c != 'h') {
                    if (c == 'r') {
                        cArr = cArr2;
                        double rotation = placeableShape2.getRotation();
                        if (rotation != NumericFunction.LOG_10_TO_BASE_e) {
                            double centerX = bounds2D.getCenterX();
                            double centerY = bounds2D.getCenterY();
                            double d5 = rotation % 360.0d;
                            if (d5 < NumericFunction.LOG_10_TO_BASE_e) {
                                d5 += 360.0d;
                            }
                            int i3 = ((((int) d5) + 45) / 90) % 4;
                            if (i3 == 1 || i3 == 3) {
                                if (isHSLF) {
                                    affineTransform2 = new AffineTransform(affineTransform3);
                                    d2 = d5;
                                } else {
                                    affineTransform2 = new AffineTransform();
                                    affineTransform2.translate(centerX, centerY);
                                    d2 = d5;
                                    affineTransform2.rotate(1.5707963267948966d);
                                    affineTransform2.translate(-centerX, -centerY);
                                    affineTransform2.concatenate(affineTransform3);
                                }
                                affineTransform2.translate(centerX, centerY);
                                affineTransform2.rotate(1.5707963267948966d);
                                affineTransform2.translate(-centerX, -centerY);
                                Rectangle2D bounds2D2 = affineTransform2.createTransformedShape(placeableShape2.getAnchor()).getBounds2D();
                                d3 = safeScale(bounds2D.getWidth(), bounds2D2.getWidth());
                                d4 = safeScale(bounds2D.getHeight(), bounds2D2.getHeight());
                                graphics2D2 = graphics2D;
                            } else {
                                graphics2D2 = graphics2D3;
                                d2 = d5;
                                d4 = 1.0d;
                                d3 = 1.0d;
                                i3 = 0;
                            }
                            graphics2D2.translate(centerX, centerY);
                            affineTransform = affineTransform3;
                            rectangle2D = bounds2D;
                            double d6 = ((double) i3) * 90.0d;
                            double d7 = d2 - d6;
                            z = isHSLF;
                            placeableShape = placeableShape2;
                            double radians = Math.toRadians(d7);
                            if (radians != NumericFunction.LOG_10_TO_BASE_e) {
                                graphics2D2.rotate(radians);
                            }
                            graphics2D2.scale(d3, d4);
                            double radians2 = Math.toRadians(d6);
                            if (radians2 != NumericFunction.LOG_10_TO_BASE_e) {
                                graphics2D2.rotate(radians2);
                            }
                            graphics2D2.translate(-centerX, -centerY);
                        }
                    } else if (c != 'v') {
                        throw new RuntimeException("unexpected transform code " + c);
                    } else if (placeableShape2.getFlipVertical()) {
                        cArr = cArr2;
                        graphics2D3.translate(bounds2D.getX(), bounds2D.getY() + bounds2D.getHeight());
                        graphics2D3.scale(1.0d, -1.0d);
                        graphics2D3.translate(-bounds2D.getX(), -bounds2D.getY());
                    } else {
                        cArr = cArr2;
                    }
                    graphics2D2 = graphics2D3;
                    z = isHSLF;
                    placeableShape = placeableShape2;
                    affineTransform = affineTransform3;
                    rectangle2D = bounds2D;
                } else {
                    graphics2D2 = graphics2D3;
                    z = isHSLF;
                    placeableShape = placeableShape2;
                    affineTransform = affineTransform3;
                    rectangle2D = bounds2D;
                    cArr = cArr2;
                    if (placeableShape.getFlipHorizontal()) {
                        graphics2D2.translate(rectangle2D.getX() + rectangle2D.getWidth(), rectangle2D.getY());
                        graphics2D2.scale(-1.0d, 1.0d);
                        graphics2D2.translate(-rectangle2D.getX(), -rectangle2D.getY());
                    }
                }
                i2++;
                graphics2D3 = graphics2D2;
                affineTransform3 = affineTransform;
                placeableShape2 = placeableShape;
                bounds2D = rectangle2D;
                cArr2 = cArr;
                isHSLF = z;
            }
        }
    }

    @Override // org.apache.poi.sl.draw.Drawable
    public void draw(Graphics2D graphics2D) {
    }

    @Override // org.apache.poi.sl.draw.Drawable
    public void drawContent(Graphics2D graphics2D) {
    }

    public Shape<?, ?> getShape() {
        return this.shape;
    }

    public static Rectangle2D getAnchor(Graphics2D graphics2D, Rectangle2D rectangle2D) {
        AffineTransform affineTransform;
        return (graphics2D == null || (affineTransform = (AffineTransform) graphics2D.getRenderingHint(Drawable.GROUP_TRANSFORM)) == null || affineTransform.isIdentity()) ? rectangle2D : affineTransform.createTransformedShape(rectangle2D).getBounds2D();
    }
}
