package org.apache.poi.sl.draw;

import java.awt.Graphics2D;
import java.awt.geom.AffineTransform;
import java.awt.geom.Rectangle2D;
import java.awt.image.BufferedImage;
import java.util.Iterator;
import org.apache.poi.sl.usermodel.Insets2D;
import org.apache.poi.sl.usermodel.PlaceableShape;
import org.apache.poi.sl.usermodel.ShapeContainer;
import org.apache.poi.sl.usermodel.TextParagraph;
import org.apache.poi.sl.usermodel.TextRun;
import org.apache.poi.sl.usermodel.TextShape;
import org.apache.poi.sl.usermodel.VerticalAlignment;
import org.apache.poi.ss.formula.functions.NumericFunction;

public class DrawTextShape extends DrawSimpleShape {

    /* renamed from: org.apache.poi.sl.draw.DrawTextShape$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$sl$usermodel$VerticalAlignment;

        /* JADX WARNING: Can't wrap try/catch for region: R(8:0|1|2|3|4|5|6|8) */
        /* JADX WARNING: Code restructure failed: missing block: B:9:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x000f */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x0016 */
        static {
            int[] iArr = new int[VerticalAlignment.values().length];
            $SwitchMap$org$apache$poi$sl$usermodel$VerticalAlignment = iArr;
            VerticalAlignment verticalAlignment = VerticalAlignment.TOP;
            iArr[0] = 1;
            int[] iArr2 = $SwitchMap$org$apache$poi$sl$usermodel$VerticalAlignment;
            VerticalAlignment verticalAlignment2 = VerticalAlignment.BOTTOM;
            iArr2[2] = 2;
            int[] iArr3 = $SwitchMap$org$apache$poi$sl$usermodel$VerticalAlignment;
            VerticalAlignment verticalAlignment3 = VerticalAlignment.MIDDLE;
            iArr3[1] = 3;
        }
    }

    public DrawTextShape(TextShape<?, ?> textShape) {
        super(textShape);
    }

    /* JADX WARNING: Removed duplicated region for block: B:27:0x00da  */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x00e0  */
    @Override // org.apache.poi.sl.draw.DrawShape, org.apache.poi.sl.draw.Drawable
    public void drawContent(Graphics2D graphics2D) {
        double d2;
        double d3;
        TextShape.TextDirection textDirection;
        double d4;
        DrawFactory.getInstance(graphics2D).fixFonts(graphics2D);
        TextShape<?, ? extends TextParagraph<?, ?, ? extends TextRun>> shape = getShape();
        Rectangle2D anchor = DrawShape.getAnchor(graphics2D, shape);
        Insets2D insets = shape.getInsets();
        double x = anchor.getX() + insets.left;
        double y = anchor.getY();
        AffineTransform transform = graphics2D.getTransform();
        boolean flipVertical = shape.getFlipVertical();
        boolean flipHorizontal = shape.getFlipHorizontal();
        ShapeContainer<?, ? extends TextParagraph<?, ?, ? extends TextRun>> parent = shape.getParent();
        while (parent instanceof PlaceableShape) {
            PlaceableShape placeableShape = (PlaceableShape) parent;
            flipVertical ^= placeableShape.getFlipVertical();
            flipHorizontal ^= placeableShape.getFlipHorizontal();
            parent = placeableShape.getParent();
        }
        if (flipVertical ^ flipHorizontal) {
            double x2 = anchor.getX();
            double y2 = anchor.getY();
            graphics2D.translate(anchor.getWidth() + x2, y2);
            d2 = x;
            graphics2D.scale(-1.0d, 1.0d);
            graphics2D.translate(-x2, -y2);
        } else {
            d2 = x;
        }
        Double textRotation = shape.getTextRotation();
        if (!(textRotation == null || textRotation.doubleValue() == NumericFunction.LOG_10_TO_BASE_e)) {
            double centerX = anchor.getCenterX();
            double centerY = anchor.getCenterY();
            graphics2D.translate(centerX, centerY);
            graphics2D.rotate(Math.toRadians(textRotation.doubleValue()));
            graphics2D.translate(-centerX, -centerY);
        }
        int ordinal = shape.getVerticalAlignment().ordinal();
        if (ordinal == 1) {
            double height = anchor.getHeight() - getTextHeight(graphics2D);
            double d5 = insets.top;
            d4 = (((height - d5) - insets.bottom) / 2.0d) + d5;
        } else if (ordinal != 2) {
            d3 = y + insets.top;
            textDirection = shape.getTextDirection();
            if (textDirection == TextShape.TextDirection.VERTICAL || textDirection == TextShape.TextDirection.VERTICAL_270) {
                double d6 = textDirection != TextShape.TextDirection.VERTICAL ? 90.0d : 270.0d;
                double centerX2 = anchor.getCenterX();
                double centerY2 = anchor.getCenterY();
                graphics2D.translate(centerX2, centerY2);
                graphics2D.rotate(Math.toRadians(d6));
                graphics2D.translate(-centerX2, -centerY2);
                double width = (anchor.getWidth() - anchor.getHeight()) / 2.0d;
                graphics2D.translate(width, -width);
            }
            drawParagraphs(graphics2D, d2, d3);
            graphics2D.setTransform(transform);
        } else {
            d4 = (anchor.getHeight() - getTextHeight(graphics2D)) - insets.bottom;
        }
        d3 = d4 + y;
        textDirection = shape.getTextDirection();
        if (textDirection != TextShape.TextDirection.VERTICAL) {
        }
        double centerX22 = anchor.getCenterX();
        double centerY22 = anchor.getCenterY();
        graphics2D.translate(centerX22, centerY22);
        graphics2D.rotate(Math.toRadians(d6));
        graphics2D.translate(-centerX22, -centerY22);
        double width2 = (anchor.getWidth() - anchor.getHeight()) / 2.0d;
        graphics2D.translate(width2, -width2);
        drawParagraphs(graphics2D, d2, d3);
        graphics2D.setTransform(transform);
    }

    /* JADX WARNING: Removed duplicated region for block: B:28:0x0096  */
    public double drawParagraphs(Graphics2D graphics2D, double d2, double d3) {
        double d4;
        double doubleValue;
        DrawFactory instance = DrawFactory.getInstance(graphics2D);
        Iterator<T> it = getShape().iterator();
        int i2 = 1;
        double d5 = d3;
        int i3 = 0;
        boolean z = true;
        while (it.hasNext()) {
            T next = it.next();
            DrawTextParagraph drawable = instance.getDrawable((TextParagraph<?, ?, ?>) next);
            TextParagraph.BulletStyle bulletStyle = next.getBulletStyle();
            if (bulletStyle == null || bulletStyle.getAutoNumberingScheme() == null) {
                i3 = -1;
            } else {
                Integer autoNumberingStartAt = bulletStyle.getAutoNumberingStartAt();
                if (autoNumberingStartAt == null) {
                    autoNumberingStartAt = Integer.valueOf(i2);
                }
                if (autoNumberingStartAt.intValue() > i3) {
                    i3 = autoNumberingStartAt.intValue();
                }
            }
            drawable.setAutoNumberingIdx(i3);
            drawable.breakText(graphics2D);
            if (z) {
                d4 = (double) drawable.getFirstLineLeading();
            } else {
                Double spaceBefore = next.getSpaceBefore();
                if (spaceBefore == null) {
                    spaceBefore = Double.valueOf((double) NumericFunction.LOG_10_TO_BASE_e);
                }
                if (spaceBefore.doubleValue() > NumericFunction.LOG_10_TO_BASE_e) {
                    doubleValue = d5 + (spaceBefore.doubleValue() * 0.01d * ((double) drawable.getFirstLineHeight()));
                    drawable.setPosition(d2, doubleValue);
                    drawable.draw(graphics2D);
                    double y = drawable.getY() + doubleValue;
                    if (it.hasNext()) {
                        Double spaceAfter = next.getSpaceAfter();
                        if (spaceAfter == null) {
                            spaceAfter = Double.valueOf((double) NumericFunction.LOG_10_TO_BASE_e);
                        }
                        if (spaceAfter.doubleValue() > NumericFunction.LOG_10_TO_BASE_e) {
                            d5 = (spaceAfter.doubleValue() * 0.01d * ((double) drawable.getLastLineHeight())) + y;
                            i3++;
                            i2 = 1;
                            z = false;
                        } else {
                            y += -spaceAfter.doubleValue();
                        }
                    }
                    d5 = y;
                    i3++;
                    i2 = 1;
                    z = false;
                } else {
                    d4 = -spaceBefore.doubleValue();
                }
            }
            doubleValue = d5 + d4;
            drawable.setPosition(d2, doubleValue);
            drawable.draw(graphics2D);
            double y2 = drawable.getY() + doubleValue;
            if (it.hasNext()) {
            }
            d5 = y2;
            i3++;
            i2 = 1;
            z = false;
        }
        return d5 - d3;
    }

    public double getTextHeight() {
        return getTextHeight(null);
    }

    public double getTextHeight(Graphics2D graphics2D) {
        Graphics2D createGraphics = new BufferedImage(1, 1, 1).createGraphics();
        if (graphics2D != null) {
            createGraphics.addRenderingHints(graphics2D.getRenderingHints());
            createGraphics.setTransform(graphics2D.getTransform());
        }
        DrawFactory.getInstance(createGraphics).fixFonts(createGraphics);
        return drawParagraphs(createGraphics, NumericFunction.LOG_10_TO_BASE_e, NumericFunction.LOG_10_TO_BASE_e);
    }

    @Override // org.apache.poi.sl.draw.DrawShape, org.apache.poi.sl.draw.DrawSimpleShape, org.apache.poi.sl.draw.DrawSimpleShape
    public TextShape<?, ? extends TextParagraph<?, ?, ? extends TextRun>> getShape() {
        return (TextShape) this.shape;
    }
}
