package org.apache.poi.sl.draw.geom;

import b.b.a.a.a;
import java.io.InputStream;
import java.util.LinkedHashMap;
import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Unmarshaller;
import javax.xml.stream.EventFilter;
import javax.xml.stream.XMLEventReader;
import javax.xml.stream.XMLInputFactory;
import javax.xml.stream.XMLStreamReader;
import javax.xml.stream.events.StartElement;
import javax.xml.stream.events.XMLEvent;
import org.apache.poi.sl.draw.binding.CTCustomGeometry2D;
import org.apache.poi.util.POILogFactory;
import org.apache.poi.util.POILogger;
import org.apache.poi.util.StaxHelper;

public class PresetGeometries extends LinkedHashMap<String, CustomGeometry> {
    public static final String BINDING_PACKAGE = "org.apache.poi.sl.draw.binding";
    public static final POILogger LOG = POILogFactory.getLogger(PresetGeometries.class);
    public static PresetGeometries _inst;

    public static CustomGeometry convertCustomGeometry(XMLStreamReader xMLStreamReader) {
        try {
            return new CustomGeometry((CTCustomGeometry2D) JAXBContext.newInstance(BINDING_PACKAGE).createUnmarshaller().unmarshal(xMLStreamReader, CTCustomGeometry2D.class).getValue());
        } catch (JAXBException e2) {
            LOG.log(7, "Unable to parse single custom geometry", e2);
            return null;
        }
    }

    /* JADX INFO: finally extract failed */
    public static synchronized PresetGeometries getInstance() {
        PresetGeometries presetGeometries;
        synchronized (PresetGeometries.class) {
            if (_inst == null) {
                PresetGeometries presetGeometries2 = new PresetGeometries();
                try {
                    InputStream resourceAsStream = PresetGeometries.class.getResourceAsStream("presetShapeDefinitions.xml");
                    try {
                        presetGeometries2.init(resourceAsStream);
                        resourceAsStream.close();
                        _inst = presetGeometries2;
                    } catch (Throwable th) {
                        resourceAsStream.close();
                        throw th;
                    }
                } catch (Exception e2) {
                    throw new RuntimeException(e2);
                }
            }
            presetGeometries = _inst;
        }
        return presetGeometries;
    }

    public void init(InputStream inputStream) {
        AnonymousClass1 r0 = new EventFilter() {
            /* class org.apache.poi.sl.draw.geom.PresetGeometries.AnonymousClass1 */

            @Override // javax.xml.stream.EventFilter
            public boolean accept(XMLEvent xMLEvent) {
                return xMLEvent.isStartElement();
            }
        };
        XMLInputFactory newXMLInputFactory = StaxHelper.newXMLInputFactory();
        XMLEventReader createXMLEventReader = newXMLInputFactory.createXMLEventReader(inputStream);
        XMLEventReader createFilteredReader = newXMLInputFactory.createFilteredReader(createXMLEventReader, r0);
        createFilteredReader.nextEvent();
        Unmarshaller createUnmarshaller = JAXBContext.newInstance(BINDING_PACKAGE).createUnmarshaller();
        while (createFilteredReader.peek() != null) {
            String localPart = ((StartElement) createFilteredReader.peek()).getName().getLocalPart();
            CTCustomGeometry2D cTCustomGeometry2D = (CTCustomGeometry2D) createUnmarshaller.unmarshal(createXMLEventReader, CTCustomGeometry2D.class).getValue();
            if (containsKey(localPart)) {
                LOG.log(5, a.b("Duplicate definition of ", localPart));
            }
            put(localPart, new CustomGeometry(cTCustomGeometry2D));
        }
    }
}
