package org.apache.poi.ss.format;

import java.util.Formatter;
import java.util.Locale;
import org.apache.poi.ss.formula.functions.NumericFunction;
import org.apache.poi.ss.util.SheetUtil;
import org.apache.poi.util.LocaleUtil;

public class CellGeneralFormatter extends CellFormatter {
    public CellGeneralFormatter() {
        this(LocaleUtil.getUserLocale());
    }

    /* JADX WARNING: Removed duplicated region for block: B:21:0x0053  */
    /* JADX WARNING: Removed duplicated region for block: B:41:? A[RETURN, SYNTHETIC] */
    @Override // org.apache.poi.ss.format.CellFormatter
    public void formatValue(StringBuffer stringBuffer, Object obj) {
        boolean z;
        String str;
        Formatter formatter;
        int i2;
        if (obj instanceof Number) {
            double doubleValue = ((Number) obj).doubleValue();
            if (doubleValue == NumericFunction.LOG_10_TO_BASE_e) {
                stringBuffer.append(SheetUtil.defaultChar);
                return;
            }
            double log10 = Math.log10(Math.abs(doubleValue));
            if (log10 > 10.0d || log10 < -9.0d) {
                str = "%1.5E";
            } else if (((double) ((long) doubleValue)) != doubleValue) {
                str = "%1.9f";
            } else {
                str = "%1.0f";
                z = false;
                formatter = new Formatter(stringBuffer, this.locale);
                formatter.format(this.locale, str, obj);
                if (!z) {
                    if (str.endsWith("E")) {
                        i2 = stringBuffer.lastIndexOf("E");
                    } else {
                        i2 = stringBuffer.length();
                    }
                    int i3 = i2 - 1;
                    while (stringBuffer.charAt(i3) == '0') {
                        stringBuffer.deleteCharAt(i3);
                        i3--;
                    }
                    if (stringBuffer.charAt(i3) == '.') {
                        stringBuffer.deleteCharAt(i3);
                        return;
                    }
                    return;
                }
                return;
            }
            z = true;
            formatter = new Formatter(stringBuffer, this.locale);
            try {
                formatter.format(this.locale, str, obj);
                if (!z) {
                }
            } finally {
                formatter.close();
            }
        } else if (obj instanceof Boolean) {
            stringBuffer.append(obj.toString().toUpperCase(Locale.ROOT));
        } else {
            stringBuffer.append(obj);
        }
    }

    @Override // org.apache.poi.ss.format.CellFormatter
    public void simpleValue(StringBuffer stringBuffer, Object obj) {
        formatValue(stringBuffer, obj);
    }

    public CellGeneralFormatter(Locale locale) {
        super(locale, "General");
    }
}
