package org.apache.poi.ss.formula;

import b.b.a.a.a;
import java.util.Map;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.CellType;
import org.apache.poi.ss.usermodel.CellValue;
import org.apache.poi.ss.usermodel.FormulaEvaluator;
import org.apache.poi.ss.usermodel.RichTextString;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Workbook;

public abstract class BaseFormulaEvaluator implements FormulaEvaluator, WorkbookEvaluatorProvider {
    public final WorkbookEvaluator _bookEvaluator;

    /* renamed from: org.apache.poi.ss.formula.BaseFormulaEvaluator$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$ss$usermodel$CellType;

        /* JADX WARNING: Can't wrap try/catch for region: R(15:0|(2:1|2)|3|5|6|7|8|9|11|12|13|14|15|16|18) */
        /* JADX WARNING: Code restructure failed: missing block: B:19:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:13:0x0025 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:15:0x002b */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0017 */
        static {
            int[] iArr = new int[CellType.values().length];
            $SwitchMap$org$apache$poi$ss$usermodel$CellType = iArr;
            try {
                CellType cellType = CellType.BOOLEAN;
                iArr[5] = 1;
            } catch (NoSuchFieldError unused) {
            }
            int[] iArr2 = $SwitchMap$org$apache$poi$ss$usermodel$CellType;
            CellType cellType2 = CellType.ERROR;
            iArr2[6] = 2;
            int[] iArr3 = $SwitchMap$org$apache$poi$ss$usermodel$CellType;
            CellType cellType3 = CellType.FORMULA;
            iArr3[3] = 3;
            int[] iArr4 = $SwitchMap$org$apache$poi$ss$usermodel$CellType;
            CellType cellType4 = CellType.NUMERIC;
            iArr4[1] = 4;
            int[] iArr5 = $SwitchMap$org$apache$poi$ss$usermodel$CellType;
            CellType cellType5 = CellType.STRING;
            iArr5[2] = 5;
            int[] iArr6 = $SwitchMap$org$apache$poi$ss$usermodel$CellType;
            CellType cellType6 = CellType.BLANK;
            iArr6[4] = 6;
        }
    }

    public BaseFormulaEvaluator(WorkbookEvaluator workbookEvaluator) {
        this._bookEvaluator = workbookEvaluator;
    }

    public static void evaluateAllFormulaCells(Workbook workbook) {
        evaluateAllFormulaCells(workbook, workbook.getCreationHelper().createFormulaEvaluator());
    }

    public static void setCellType(Cell cell, CellValue cellValue) {
        CellType cellTypeEnum = cellValue.getCellTypeEnum();
        switch (cellTypeEnum.ordinal()) {
            case 1:
            case 2:
            case 5:
            case 6:
                cell.setCellType(cellTypeEnum);
                return;
            case 3:
                throw new IllegalArgumentException("This should never happen. Formulas should have already been evaluated.");
            case 4:
                throw new IllegalArgumentException("This should never happen. Blanks eventually get translated to zero.");
            default:
                throw new IllegalStateException("Unexpected cell value type (" + cellTypeEnum + ")");
        }
    }

    public static void setupEnvironment(String[] strArr, BaseFormulaEvaluator[] baseFormulaEvaluatorArr) {
        int length = baseFormulaEvaluatorArr.length;
        WorkbookEvaluator[] workbookEvaluatorArr = new WorkbookEvaluator[length];
        for (int i2 = 0; i2 < length; i2++) {
            workbookEvaluatorArr[i2] = baseFormulaEvaluatorArr[i2]._bookEvaluator;
        }
        CollaboratingWorkbooksEnvironment.setup(strArr, workbookEvaluatorArr);
    }

    @Override // org.apache.poi.ss.formula.WorkbookEvaluatorProvider
    public WorkbookEvaluator _getWorkbookEvaluator() {
        return this._bookEvaluator;
    }

    @Override // org.apache.poi.ss.usermodel.FormulaEvaluator
    public void clearAllCachedResultValues() {
        this._bookEvaluator.clearAllCachedResultValues();
    }

    public abstract RichTextString createRichTextString(String str);

    @Override // org.apache.poi.ss.usermodel.FormulaEvaluator
    public CellValue evaluate(Cell cell) {
        if (cell == null) {
            return null;
        }
        switch (cell.getCellTypeEnum().ordinal()) {
            case 1:
                return new CellValue(cell.getNumericCellValue());
            case 2:
                return new CellValue(cell.getRichStringCellValue().getString());
            case 3:
                return evaluateFormulaCellValue(cell);
            case 4:
                return null;
            case 5:
                return CellValue.valueOf(cell.getBooleanCellValue());
            case 6:
                return CellValue.getError(cell.getErrorCellValue());
            default:
                StringBuilder b2 = a.b("Bad cell type (");
                b2.append(cell.getCellTypeEnum());
                b2.append(")");
                throw new IllegalStateException(b2.toString());
        }
    }

    @Override // org.apache.poi.ss.usermodel.FormulaEvaluator
    public int evaluateFormulaCell(Cell cell) {
        return evaluateFormulaCellEnum(cell).getCode();
    }

    @Override // org.apache.poi.ss.usermodel.FormulaEvaluator
    public CellType evaluateFormulaCellEnum(Cell cell) {
        if (cell == null || cell.getCellTypeEnum() != CellType.FORMULA) {
            return CellType._NONE;
        }
        CellValue evaluateFormulaCellValue = evaluateFormulaCellValue(cell);
        setCellValue(cell, evaluateFormulaCellValue);
        return evaluateFormulaCellValue.getCellTypeEnum();
    }

    public abstract CellValue evaluateFormulaCellValue(Cell cell);

    @Override // org.apache.poi.ss.usermodel.FormulaEvaluator
    public Cell evaluateInCell(Cell cell) {
        if (cell == null) {
            return null;
        }
        if (cell.getCellTypeEnum() == CellType.FORMULA) {
            CellValue evaluateFormulaCellValue = evaluateFormulaCellValue(cell);
            setCellValue(cell, evaluateFormulaCellValue);
            setCellType(cell, evaluateFormulaCellValue);
        }
        return cell;
    }

    public void setCellValue(Cell cell, CellValue cellValue) {
        CellType cellTypeEnum = cellValue.getCellTypeEnum();
        int ordinal = cellTypeEnum.ordinal();
        if (ordinal == 1) {
            cell.setCellValue(cellValue.getNumberValue());
        } else if (ordinal == 2) {
            cell.setCellValue(createRichTextString(cellValue.getStringValue()));
        } else if (ordinal == 5) {
            cell.setCellValue(cellValue.getBooleanValue());
        } else if (ordinal == 6) {
            cell.setCellErrorValue(cellValue.getErrorValue());
        } else {
            throw new IllegalStateException("Unexpected cell value type (" + cellTypeEnum + ")");
        }
    }

    @Override // org.apache.poi.ss.usermodel.FormulaEvaluator
    public void setDebugEvaluationOutputForNextEval(boolean z) {
        this._bookEvaluator.setDebugEvaluationOutputForNextEval(z);
    }

    @Override // org.apache.poi.ss.usermodel.FormulaEvaluator
    public void setIgnoreMissingWorkbooks(boolean z) {
        this._bookEvaluator.setIgnoreMissingWorkbooks(z);
    }

    @Override // org.apache.poi.ss.usermodel.FormulaEvaluator
    public void setupReferencedWorkbooks(Map<String, FormulaEvaluator> map) {
        CollaboratingWorkbooksEnvironment.setupFormulaEvaluator(map);
    }

    public static void evaluateAllFormulaCells(Workbook workbook, FormulaEvaluator formulaEvaluator) {
        for (int i2 = 0; i2 < workbook.getNumberOfSheets(); i2++) {
            for (Row<Cell> row : workbook.getSheetAt(i2)) {
                for (Cell cell : row) {
                    if (cell.getCellTypeEnum() == CellType.FORMULA) {
                        formulaEvaluator.evaluateFormulaCellEnum(cell);
                    }
                }
            }
        }
    }
}
