package org.apache.poi.ss.formula.constant;

import b.b.a.a.a;
import org.apache.poi.ss.usermodel.FormulaError;
import org.apache.poi.util.POILogFactory;
import org.apache.poi.util.POILogger;

public class ErrorConstant {
    public static final ErrorConstant DIV_0 = new ErrorConstant(FormulaError.DIV0.getCode());
    public static final ErrorConstant NA = new ErrorConstant(FormulaError.NA.getCode());
    public static final ErrorConstant NAME = new ErrorConstant(FormulaError.NAME.getCode());
    public static final ErrorConstant NULL = new ErrorConstant(FormulaError.NULL.getCode());
    public static final ErrorConstant NUM = new ErrorConstant(FormulaError.NUM.getCode());
    public static final ErrorConstant REF = new ErrorConstant(FormulaError.REF.getCode());
    public static final ErrorConstant VALUE = new ErrorConstant(FormulaError.VALUE.getCode());
    public static final POILogger logger = POILogFactory.getLogger(ErrorConstant.class);
    public final int _errorCode;

    /* renamed from: org.apache.poi.ss.formula.constant.ErrorConstant$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$ss$usermodel$FormulaError;

        /* JADX WARNING: Can't wrap try/catch for region: R(14:0|1|2|3|4|5|6|7|8|9|10|11|12|(3:13|14|16)) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x002a */
        /* JADX WARNING: Missing exception handler attribute for start block: B:13:0x0031 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x000e */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x0015 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x001c */
        /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x0023 */
        static {
            int[] iArr = new int[FormulaError.values().length];
            $SwitchMap$org$apache$poi$ss$usermodel$FormulaError = iArr;
            FormulaError formulaError = FormulaError.NULL;
            iArr[1] = 1;
            int[] iArr2 = $SwitchMap$org$apache$poi$ss$usermodel$FormulaError;
            FormulaError formulaError2 = FormulaError.DIV0;
            iArr2[2] = 2;
            int[] iArr3 = $SwitchMap$org$apache$poi$ss$usermodel$FormulaError;
            FormulaError formulaError3 = FormulaError.VALUE;
            iArr3[3] = 3;
            int[] iArr4 = $SwitchMap$org$apache$poi$ss$usermodel$FormulaError;
            FormulaError formulaError4 = FormulaError.REF;
            iArr4[4] = 4;
            int[] iArr5 = $SwitchMap$org$apache$poi$ss$usermodel$FormulaError;
            FormulaError formulaError5 = FormulaError.NAME;
            iArr5[5] = 5;
            int[] iArr6 = $SwitchMap$org$apache$poi$ss$usermodel$FormulaError;
            FormulaError formulaError6 = FormulaError.NUM;
            iArr6[6] = 6;
            try {
                int[] iArr7 = $SwitchMap$org$apache$poi$ss$usermodel$FormulaError;
                FormulaError formulaError7 = FormulaError.NA;
                iArr7[7] = 7;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    public ErrorConstant(int i2) {
        this._errorCode = i2;
    }

    public static ErrorConstant valueOf(int i2) {
        if (FormulaError.isValidCode(i2)) {
            switch (FormulaError.forInt(i2).ordinal()) {
                case 1:
                    return NULL;
                case 2:
                    return DIV_0;
                case 3:
                    return VALUE;
                case 4:
                    return REF;
                case 5:
                    return NAME;
                case 6:
                    return NUM;
                case 7:
                    return NA;
            }
        }
        logger.log(5, a.b("Warning - unexpected error code (", i2, ")"));
        return new ErrorConstant(i2);
    }

    public int getErrorCode() {
        return this._errorCode;
    }

    public String getText() {
        if (FormulaError.isValidCode(this._errorCode)) {
            return FormulaError.forInt(this._errorCode).getString();
        }
        return a.a(a.b("unknown error code ("), this._errorCode, ")");
    }

    public String toString() {
        StringBuffer stringBuffer = new StringBuffer(64);
        stringBuffer.append(ErrorConstant.class.getName());
        stringBuffer.append(" [");
        stringBuffer.append(getText());
        stringBuffer.append("]");
        return stringBuffer.toString();
    }
}
