package org.apache.poi.ss.formula.functions;

import org.apache.poi.ss.formula.SheetNameFormatter;
import org.apache.poi.ss.formula.eval.ErrorEval;
import org.apache.poi.ss.formula.eval.EvaluationException;
import org.apache.poi.ss.formula.eval.MissingArgEval;
import org.apache.poi.ss.formula.eval.OperandResolver;
import org.apache.poi.ss.formula.eval.StringEval;
import org.apache.poi.ss.formula.eval.ValueEval;
import org.apache.poi.ss.util.CellReference;

public class Address implements Function {
    public static final int REF_ABSOLUTE = 1;
    public static final int REF_RELATIVE = 4;
    public static final int REF_ROW_ABSOLUTE_COLUMN_RELATIVE = 2;
    public static final int REF_ROW_RELATIVE_RELATIVE_ABSOLUTE = 3;

    /* JADX WARNING: Removed duplicated region for block: B:27:0x0048 A[Catch:{ EvaluationException -> 0x0081 }] */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x0068 A[Catch:{ EvaluationException -> 0x0081 }] */
    @Override // org.apache.poi.ss.formula.functions.Function
    public ValueEval evaluate(ValueEval[] valueEvalArr, int i2, int i3) {
        boolean z;
        String str;
        if (valueEvalArr.length < 2 || valueEvalArr.length > 5) {
            return ErrorEval.VALUE_INVALID;
        }
        boolean z2 = false;
        try {
            int singleOperandEvaluate = (int) NumericFunction.singleOperandEvaluate(valueEvalArr[0], i2, i3);
            int singleOperandEvaluate2 = (int) NumericFunction.singleOperandEvaluate(valueEvalArr[1], i2, i3);
            int singleOperandEvaluate3 = (valueEvalArr.length <= 2 || valueEvalArr[2] == MissingArgEval.instance) ? 1 : (int) NumericFunction.singleOperandEvaluate(valueEvalArr[2], i2, i3);
            if (singleOperandEvaluate3 != 1) {
                if (singleOperandEvaluate3 == 2) {
                    z2 = true;
                } else if (singleOperandEvaluate3 != 3) {
                    if (singleOperandEvaluate3 != 4) {
                        throw new EvaluationException(ErrorEval.VALUE_INVALID);
                    }
                }
                z = false;
                str = null;
                if (valueEvalArr.length == 5) {
                    ValueEval singleValue = OperandResolver.getSingleValue(valueEvalArr[4], i2, i3);
                    if (singleValue != MissingArgEval.instance) {
                        str = OperandResolver.coerceValueToString(singleValue);
                    }
                }
                CellReference cellReference = new CellReference(singleOperandEvaluate - 1, singleOperandEvaluate2 - 1, z2, z);
                StringBuffer stringBuffer = new StringBuffer(32);
                if (str != null) {
                    SheetNameFormatter.appendFormat(stringBuffer, str);
                    stringBuffer.append('!');
                }
                stringBuffer.append(cellReference.formatAsString());
                return new StringEval(stringBuffer.toString());
            }
            z2 = true;
            z = true;
            str = null;
            if (valueEvalArr.length == 5) {
            }
            CellReference cellReference2 = new CellReference(singleOperandEvaluate - 1, singleOperandEvaluate2 - 1, z2, z);
            StringBuffer stringBuffer2 = new StringBuffer(32);
            if (str != null) {
            }
            stringBuffer2.append(cellReference2.formatAsString());
            return new StringEval(stringBuffer2.toString());
        } catch (EvaluationException e2) {
            return e2.getErrorEval();
        }
    }
}
