package org.apache.poi.ss.formula.functions;

import b.b.a.a.a;
import org.apache.poi.ss.formula.eval.AreaEval;
import org.apache.poi.ss.formula.eval.BlankEval;
import org.apache.poi.ss.formula.eval.ErrorEval;
import org.apache.poi.ss.formula.eval.EvaluationException;
import org.apache.poi.ss.formula.eval.NotImplementedException;
import org.apache.poi.ss.formula.eval.NumericValueEval;
import org.apache.poi.ss.formula.eval.OperandResolver;
import org.apache.poi.ss.formula.eval.StringEval;
import org.apache.poi.ss.formula.eval.StringValueEval;
import org.apache.poi.ss.formula.eval.ValueEval;
import org.apache.poi.ss.formula.ptg.GreaterThanPtg;
import org.apache.poi.ss.formula.ptg.LessThanPtg;
import org.apache.poi.ss.util.NumberComparer;

public final class DStarRunner implements Function3Arg {
    public final DStarAlgorithmEnum algoType;

    /* renamed from: org.apache.poi.ss.formula.functions.DStarRunner$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$ss$formula$functions$DStarRunner$DStarAlgorithmEnum;
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$ss$formula$functions$DStarRunner$operator;

        /* JADX WARNING: Can't wrap try/catch for region: R(18:0|(2:1|2)|3|(2:5|6)|7|9|10|11|13|14|15|16|17|19|20|21|22|24) */
        /* JADX WARNING: Can't wrap try/catch for region: R(20:0|1|2|3|5|6|7|9|10|11|13|14|15|16|17|19|20|21|22|24) */
        /* JADX WARNING: Code restructure failed: missing block: B:25:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:15:0x0024 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:21:0x0038 */
        static {
            int[] iArr = new int[operator.values().length];
            $SwitchMap$org$apache$poi$ss$formula$functions$DStarRunner$operator = iArr;
            try {
                operator operator = operator.largerThan;
                iArr[0] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                int[] iArr2 = $SwitchMap$org$apache$poi$ss$formula$functions$DStarRunner$operator;
                operator operator2 = operator.largerEqualThan;
                iArr2[1] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            try {
                int[] iArr3 = $SwitchMap$org$apache$poi$ss$formula$functions$DStarRunner$operator;
                operator operator3 = operator.smallerThan;
                iArr3[2] = 3;
            } catch (NoSuchFieldError unused3) {
            }
            int[] iArr4 = $SwitchMap$org$apache$poi$ss$formula$functions$DStarRunner$operator;
            operator operator4 = operator.smallerEqualThan;
            iArr4[3] = 4;
            int[] iArr5 = $SwitchMap$org$apache$poi$ss$formula$functions$DStarRunner$operator;
            operator operator5 = operator.equal;
            iArr5[4] = 5;
            int[] iArr6 = new int[DStarAlgorithmEnum.values().length];
            $SwitchMap$org$apache$poi$ss$formula$functions$DStarRunner$DStarAlgorithmEnum = iArr6;
            DStarAlgorithmEnum dStarAlgorithmEnum = DStarAlgorithmEnum.DGET;
            iArr6[0] = 1;
            int[] iArr7 = $SwitchMap$org$apache$poi$ss$formula$functions$DStarRunner$DStarAlgorithmEnum;
            DStarAlgorithmEnum dStarAlgorithmEnum2 = DStarAlgorithmEnum.DMIN;
            iArr7[1] = 2;
        }
    }

    public enum DStarAlgorithmEnum {
        DGET,
        DMIN
    }

    public enum operator {
        largerThan,
        largerEqualThan,
        smallerThan,
        smallerEqualThan,
        equal
    }

    public DStarRunner(DStarAlgorithmEnum dStarAlgorithmEnum) {
        this.algoType = dStarAlgorithmEnum;
    }

    public static boolean fullfillsConditions(AreaEval areaEval, int i2, AreaEval areaEval2) {
        int height = areaEval2.getHeight();
        int i3 = 1;
        while (true) {
            boolean z = false;
            if (i3 >= height) {
                return false;
            }
            int width = areaEval2.getWidth();
            int i4 = 0;
            while (true) {
                if (i4 >= width) {
                    z = true;
                    break;
                }
                ValueEval resolveReference = resolveReference(areaEval2, i3, i4);
                if (!(resolveReference instanceof BlankEval)) {
                    ValueEval resolveReference2 = resolveReference(areaEval2, 0, i4);
                    if (resolveReference2 instanceof StringValueEval) {
                        if (getColumnForName(resolveReference2, areaEval) != -1) {
                            if (!testNormalCondition(resolveReference(areaEval, i2, getColumnForName(resolveReference2, areaEval)), resolveReference)) {
                                break;
                            }
                        } else if (OperandResolver.coerceValueToString(resolveReference).isEmpty()) {
                            throw new EvaluationException(ErrorEval.VALUE_INVALID);
                        } else {
                            throw new NotImplementedException("D* function with formula conditions");
                        }
                    } else {
                        throw new EvaluationException(ErrorEval.VALUE_INVALID);
                    }
                }
                i4++;
            }
            if (z) {
                return true;
            }
            i3++;
        }
    }

    public static int getColumnForName(ValueEval valueEval, AreaEval areaEval) {
        return getColumnForString(areaEval, OperandResolver.coerceValueToString(valueEval));
    }

    public static int getColumnForString(AreaEval areaEval, String str) {
        int width = areaEval.getWidth();
        for (int i2 = 0; i2 < width; i2++) {
            ValueEval resolveReference = resolveReference(areaEval, 0, i2);
            if (!(resolveReference instanceof BlankEval) && !(resolveReference instanceof ErrorEval) && str.equals(OperandResolver.coerceValueToString(resolveReference))) {
                return i2;
            }
        }
        return -1;
    }

    public static Double getNumberFromValueEval(ValueEval valueEval) {
        if (valueEval instanceof NumericValueEval) {
            return Double.valueOf(((NumericValueEval) valueEval).getNumberValue());
        }
        if (valueEval instanceof StringValueEval) {
            try {
                return Double.valueOf(Double.parseDouble(((StringValueEval) valueEval).getStringValue()));
            } catch (NumberFormatException unused) {
            }
        }
        return null;
    }

    public static ValueEval resolveReference(AreaEval areaEval, int i2, int i3) {
        try {
            return OperandResolver.getSingleValue(areaEval.getValue(i2, i3), areaEval.getFirstRow() + i2, areaEval.getFirstColumn() + i3);
        } catch (EvaluationException e2) {
            return e2.getErrorEval();
        }
    }

    /* JADX WARNING: Can't wrap try/catch for region: R(2:27|28) */
    /* JADX WARNING: Code restructure failed: missing block: B:28:?, code lost:
        java.lang.Double.parseDouble(r6);
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:27:0x0070 */
    public static boolean testNormalCondition(ValueEval valueEval, ValueEval valueEval2) {
        boolean z = false;
        if (valueEval2 instanceof StringEval) {
            String stringValue = ((StringEval) valueEval2).getStringValue();
            if (stringValue.startsWith(LessThanPtg.LESSTHAN)) {
                String substring = stringValue.substring(1);
                if (!substring.startsWith("=")) {
                    return testNumericCondition(valueEval, operator.smallerThan, substring);
                }
                return testNumericCondition(valueEval, operator.smallerEqualThan, substring.substring(1));
            } else if (stringValue.startsWith(GreaterThanPtg.GREATERTHAN)) {
                String substring2 = stringValue.substring(1);
                if (!substring2.startsWith("=")) {
                    return testNumericCondition(valueEval, operator.largerThan, substring2);
                }
                return testNumericCondition(valueEval, operator.largerEqualThan, substring2.substring(1));
            } else {
                String str = "";
                if (stringValue.startsWith("=")) {
                    String substring3 = stringValue.substring(1);
                    if (substring3.isEmpty()) {
                        return valueEval instanceof BlankEval;
                    }
                    Integer.parseInt(substring3);
                    z = true;
                    if (z) {
                        return testNumericCondition(valueEval, operator.equal, substring3);
                    }
                    if (!(valueEval instanceof BlankEval)) {
                        str = OperandResolver.coerceValueToString(valueEval);
                    }
                    return substring3.equals(str);
                } else if (stringValue.isEmpty()) {
                    return valueEval instanceof StringEval;
                } else {
                    if (!(valueEval instanceof BlankEval)) {
                        str = OperandResolver.coerceValueToString(valueEval);
                    }
                    return str.startsWith(stringValue);
                }
            }
        } else if (valueEval2 instanceof NumericValueEval) {
            double numberValue = ((NumericValueEval) valueEval2).getNumberValue();
            Double numberFromValueEval = getNumberFromValueEval(valueEval);
            if (numberFromValueEval != null && numberValue == numberFromValueEval.doubleValue()) {
                return true;
            }
            return false;
        } else if (!(valueEval2 instanceof ErrorEval) || !(valueEval instanceof ErrorEval) || ((ErrorEval) valueEval2).getErrorCode() != ((ErrorEval) valueEval).getErrorCode()) {
            return false;
        } else {
            return true;
        }
    }

    /* JADX WARNING: Can't wrap try/catch for region: R(2:7|8) */
    /* JADX WARNING: Code restructure failed: missing block: B:31:0x0048, code lost:
        throw new org.apache.poi.ss.formula.eval.EvaluationException(org.apache.poi.ss.formula.eval.ErrorEval.VALUE_INVALID);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:8:?, code lost:
        r4 = java.lang.Double.parseDouble(r8);
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0012 */
    public static boolean testNumericCondition(ValueEval valueEval, operator operator2, String str) {
        if (!(valueEval instanceof NumericValueEval)) {
            return false;
        }
        double numberValue = ((NumericValueEval) valueEval).getNumberValue();
        double d2 = (double) Integer.parseInt(str);
        int compare = NumberComparer.compare(numberValue, d2);
        int ordinal = operator2.ordinal();
        if (ordinal != 0) {
            if (ordinal != 1) {
                if (ordinal != 2) {
                    if (ordinal != 3) {
                        if (ordinal == 4 && compare == 0) {
                            return true;
                        }
                        return false;
                    } else if (compare <= 0) {
                        return true;
                    } else {
                        return false;
                    }
                } else if (compare < 0) {
                    return true;
                } else {
                    return false;
                }
            } else if (compare >= 0) {
                return true;
            } else {
                return false;
            }
        } else if (compare > 0) {
            return true;
        } else {
            return false;
        }
    }

    @Override // org.apache.poi.ss.formula.functions.Function
    public final ValueEval evaluate(ValueEval[] valueEvalArr, int i2, int i3) {
        if (valueEvalArr.length == 3) {
            return evaluate(i2, i3, valueEvalArr[0], valueEvalArr[1], valueEvalArr[2]);
        }
        return ErrorEval.VALUE_INVALID;
    }

    @Override // org.apache.poi.ss.formula.functions.Function3Arg
    public ValueEval evaluate(int i2, int i3, ValueEval valueEval, ValueEval valueEval2, ValueEval valueEval3) {
        IDStarAlgorithm iDStarAlgorithm;
        if (!(valueEval instanceof AreaEval) || !(valueEval3 instanceof AreaEval)) {
            return ErrorEval.VALUE_INVALID;
        }
        AreaEval areaEval = (AreaEval) valueEval;
        AreaEval areaEval2 = (AreaEval) valueEval3;
        try {
            try {
                int columnForName = getColumnForName(OperandResolver.getSingleValue(valueEval2, i2, i3), areaEval);
                if (columnForName == -1) {
                    return ErrorEval.VALUE_INVALID;
                }
                int ordinal = this.algoType.ordinal();
                if (ordinal == 0) {
                    iDStarAlgorithm = new DGet();
                } else if (ordinal == 1) {
                    iDStarAlgorithm = new DMin();
                } else {
                    StringBuilder b2 = a.b("Unexpected algorithm type ");
                    b2.append(this.algoType);
                    b2.append(" encountered.");
                    throw new IllegalStateException(b2.toString());
                }
                int height = areaEval.getHeight();
                for (int i4 = 1; i4 < height; i4++) {
                    try {
                        if (fullfillsConditions(areaEval, i4, areaEval2) && !iDStarAlgorithm.processMatch(resolveReference(areaEval, i4, columnForName))) {
                            break;
                        }
                    } catch (EvaluationException unused) {
                        return ErrorEval.VALUE_INVALID;
                    }
                }
                return iDStarAlgorithm.getResult();
            } catch (EvaluationException unused2) {
                return ErrorEval.VALUE_INVALID;
            }
        } catch (EvaluationException e2) {
            return e2.getErrorEval();
        }
    }
}
