package org.apache.poi.ss.formula.ptg;

import b.b.a.a.a;
import org.apache.poi.ss.usermodel.FormulaError;
import org.apache.poi.util.LittleEndianInput;
import org.apache.poi.util.LittleEndianOutput;

public final class ErrPtg extends ScalarConstantPtg {
    public static final ErrPtg DIV_ZERO = new ErrPtg(FormulaError.DIV0.getCode());
    public static final ErrPtg NAME_INVALID = new ErrPtg(FormulaError.NAME.getCode());
    public static final ErrPtg NULL_INTERSECTION = new ErrPtg(FormulaError.NULL.getCode());
    public static final ErrPtg NUM_ERROR = new ErrPtg(FormulaError.NUM.getCode());
    public static final ErrPtg N_A = new ErrPtg(FormulaError.NA.getCode());
    public static final ErrPtg REF_INVALID = new ErrPtg(FormulaError.REF.getCode());
    public static final int SIZE = 2;
    public static final ErrPtg VALUE_INVALID = new ErrPtg(FormulaError.VALUE.getCode());
    public static final short sid = 28;
    public final int field_1_error_code;

    /* renamed from: org.apache.poi.ss.formula.ptg.ErrPtg$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$ss$usermodel$FormulaError;

        /* JADX WARNING: Can't wrap try/catch for region: R(17:0|(2:1|2)|3|(2:5|6)|7|(2:9|10)|11|13|14|15|17|18|19|20|21|22|24) */
        /* JADX WARNING: Can't wrap try/catch for region: R(18:0|1|2|3|(2:5|6)|7|(2:9|10)|11|13|14|15|17|18|19|20|21|22|24) */
        /* JADX WARNING: Code restructure failed: missing block: B:25:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:19:0x002c */
        /* JADX WARNING: Missing exception handler attribute for start block: B:21:0x0032 */
        static {
            int[] iArr = new int[FormulaError.values().length];
            $SwitchMap$org$apache$poi$ss$usermodel$FormulaError = iArr;
            try {
                FormulaError formulaError = FormulaError.DIV0;
                iArr[2] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                int[] iArr2 = $SwitchMap$org$apache$poi$ss$usermodel$FormulaError;
                FormulaError formulaError2 = FormulaError.NA;
                iArr2[7] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            try {
                int[] iArr3 = $SwitchMap$org$apache$poi$ss$usermodel$FormulaError;
                FormulaError formulaError3 = FormulaError.NAME;
                iArr3[5] = 3;
            } catch (NoSuchFieldError unused3) {
            }
            try {
                int[] iArr4 = $SwitchMap$org$apache$poi$ss$usermodel$FormulaError;
                FormulaError formulaError4 = FormulaError.NULL;
                iArr4[1] = 4;
            } catch (NoSuchFieldError unused4) {
            }
            int[] iArr5 = $SwitchMap$org$apache$poi$ss$usermodel$FormulaError;
            FormulaError formulaError5 = FormulaError.NUM;
            iArr5[6] = 5;
            int[] iArr6 = $SwitchMap$org$apache$poi$ss$usermodel$FormulaError;
            FormulaError formulaError6 = FormulaError.REF;
            iArr6[4] = 6;
            int[] iArr7 = $SwitchMap$org$apache$poi$ss$usermodel$FormulaError;
            FormulaError formulaError7 = FormulaError.VALUE;
            iArr7[3] = 7;
        }
    }

    public ErrPtg(int i2) {
        if (FormulaError.isValidCode(i2)) {
            this.field_1_error_code = i2;
            return;
        }
        throw new IllegalArgumentException(a.b("Invalid error code (", i2, ")"));
    }

    public static ErrPtg read(LittleEndianInput littleEndianInput) {
        return valueOf(littleEndianInput.readByte());
    }

    public static ErrPtg valueOf(int i2) {
        switch (FormulaError.forInt(i2).ordinal()) {
            case 1:
                return NULL_INTERSECTION;
            case 2:
                return DIV_ZERO;
            case 3:
                return VALUE_INVALID;
            case 4:
                return REF_INVALID;
            case 5:
                return NAME_INVALID;
            case 6:
                return NUM_ERROR;
            case 7:
                return N_A;
            default:
                throw new RuntimeException(a.b("Unexpected error code (", i2, ")"));
        }
    }

    public int getErrorCode() {
        return this.field_1_error_code;
    }

    @Override // org.apache.poi.ss.formula.ptg.Ptg
    public int getSize() {
        return 2;
    }

    @Override // org.apache.poi.ss.formula.ptg.Ptg
    public String toFormulaString() {
        return FormulaError.forInt(this.field_1_error_code).getString();
    }

    @Override // org.apache.poi.ss.formula.ptg.Ptg
    public void write(LittleEndianOutput littleEndianOutput) {
        littleEndianOutput.writeByte(getPtgClass() + 28);
        littleEndianOutput.writeByte(this.field_1_error_code);
    }
}
