package org.apache.poi.ss.usermodel;

import b.b.a.a.a;
import org.apache.poi.ss.formula.eval.ErrorEval;
import org.apache.poi.ss.formula.functions.NumericFunction;
import org.apache.poi.ss.formula.ptg.GreaterThanPtg;
import org.apache.poi.ss.formula.ptg.StringPtg;
import org.apache.poi.util.Removal;
import org.apache.poi.xssf.usermodel.XSSFCell;

public final class CellValue {
    public static final CellValue FALSE = new CellValue(CellType.BOOLEAN, NumericFunction.LOG_10_TO_BASE_e, false, null, 0);
    public static final CellValue TRUE = new CellValue(CellType.BOOLEAN, NumericFunction.LOG_10_TO_BASE_e, true, null, 0);
    public final boolean _booleanValue;
    public final CellType _cellType;
    public final int _errorCode;
    public final double _numberValue;
    public final String _textValue;

    /* renamed from: org.apache.poi.ss.usermodel.CellValue$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$ss$usermodel$CellType;

        /* JADX WARNING: Can't wrap try/catch for region: R(8:0|1|2|3|4|5|6|(3:7|8|10)) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x000e */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x0015 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x001d */
        static {
            int[] iArr = new int[CellType.values().length];
            $SwitchMap$org$apache$poi$ss$usermodel$CellType = iArr;
            CellType cellType = CellType.NUMERIC;
            iArr[1] = 1;
            int[] iArr2 = $SwitchMap$org$apache$poi$ss$usermodel$CellType;
            CellType cellType2 = CellType.STRING;
            iArr2[2] = 2;
            int[] iArr3 = $SwitchMap$org$apache$poi$ss$usermodel$CellType;
            CellType cellType3 = CellType.BOOLEAN;
            iArr3[5] = 3;
            try {
                int[] iArr4 = $SwitchMap$org$apache$poi$ss$usermodel$CellType;
                CellType cellType4 = CellType.ERROR;
                iArr4[6] = 4;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    public CellValue(CellType cellType, double d2, boolean z, String str, int i2) {
        this._cellType = cellType;
        this._numberValue = d2;
        this._booleanValue = z;
        this._textValue = str;
        this._errorCode = i2;
    }

    public static CellValue getError(int i2) {
        return new CellValue(CellType.ERROR, NumericFunction.LOG_10_TO_BASE_e, false, null, i2);
    }

    public static CellValue valueOf(boolean z) {
        return z ? TRUE : FALSE;
    }

    public String formatAsString() {
        int ordinal = this._cellType.ordinal();
        if (ordinal == 1) {
            return String.valueOf(this._numberValue);
        }
        if (ordinal == 2) {
            return StringPtg.FORMULA_DELIMITER + this._textValue + StringPtg.FORMULA_DELIMITER;
        } else if (ordinal == 5) {
            return this._booleanValue ? XSSFCell.TRUE : XSSFCell.FALSE;
        } else {
            if (ordinal == 6) {
                return ErrorEval.getText(this._errorCode);
            }
            StringBuilder b2 = a.b("<error unexpected cell type ");
            b2.append(this._cellType);
            b2.append(GreaterThanPtg.GREATERTHAN);
            return b2.toString();
        }
    }

    public boolean getBooleanValue() {
        return this._booleanValue;
    }

    @Deprecated
    public int getCellType() {
        return this._cellType.getCode();
    }

    @Removal(version = "4.2")
    public CellType getCellTypeEnum() {
        return this._cellType;
    }

    public byte getErrorValue() {
        return (byte) this._errorCode;
    }

    public double getNumberValue() {
        return this._numberValue;
    }

    public String getStringValue() {
        return this._textValue;
    }

    public String toString() {
        StringBuffer stringBuffer = new StringBuffer(64);
        stringBuffer.append(CellValue.class.getName());
        stringBuffer.append(" [");
        stringBuffer.append(formatAsString());
        stringBuffer.append("]");
        return stringBuffer.toString();
    }

    public CellValue(double d2) {
        this(CellType.NUMERIC, d2, false, null, 0);
    }

    public CellValue(String str) {
        this(CellType.STRING, NumericFunction.LOG_10_TO_BASE_e, false, str, 0);
    }
}
