package org.apache.poi.ss.usermodel;

import java.util.Iterator;
import org.apache.poi.ss.formula.ConditionalFormattingEvaluator;
import org.apache.poi.ss.formula.EvaluationConditionalFormatRule;

public class ExcelNumberFormat {
    public final String format;
    public final int idx;

    public ExcelNumberFormat(int i2, String str) {
        this.idx = i2;
        this.format = str;
    }

    public static ExcelNumberFormat from(CellStyle cellStyle) {
        if (cellStyle == null) {
            return null;
        }
        return new ExcelNumberFormat(cellStyle.getDataFormat(), cellStyle.getDataFormatString());
    }

    public String getFormat() {
        return this.format;
    }

    public int getIdx() {
        return this.idx;
    }

    /* JADX WARNING: Removed duplicated region for block: B:7:0x0014  */
    public static ExcelNumberFormat from(Cell cell, ConditionalFormattingEvaluator conditionalFormattingEvaluator) {
        ExcelNumberFormat excelNumberFormat = null;
        if (cell == null) {
            return null;
        }
        if (conditionalFormattingEvaluator != null) {
            Iterator<EvaluationConditionalFormatRule> it = conditionalFormattingEvaluator.getConditionalFormattingForCell(cell).iterator();
            while (it.hasNext() && (excelNumberFormat = it.next().getNumberFormat()) == null) {
                while (it.hasNext()) {
                    while (it.hasNext()) {
                    }
                }
            }
        }
        return excelNumberFormat == null ? from(cell.getCellStyle()) : excelNumberFormat;
    }
}
