package org.apache.poi.ss.util;

import java.util.HashMap;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;
import org.apache.poi.ss.SpreadsheetVersion;
import org.apache.poi.ss.usermodel.BorderExtent;
import org.apache.poi.ss.usermodel.BorderStyle;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.ss.usermodel.Workbook;

public final class PropertyTemplate {
    public Map<CellAddress, Map<String, Object>> _propertyTemplate;

    /* renamed from: org.apache.poi.ss.util.PropertyTemplate$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$ss$usermodel$BorderExtent;

        /* JADX WARNING: Can't wrap try/catch for region: R(40:0|1|2|3|5|6|7|9|10|11|13|14|15|(2:17|18)|19|21|22|23|25|26|27|29|30|31|(2:33|34)|35|37|38|39|41|42|43|45|46|47|49|50|51|52|54) */
        /* JADX WARNING: Code restructure failed: missing block: B:55:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:51:0x0069 */
        static {
            int[] iArr = new int[BorderExtent.values().length];
            $SwitchMap$org$apache$poi$ss$usermodel$BorderExtent = iArr;
            try {
                BorderExtent borderExtent = BorderExtent.NONE;
                iArr[0] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                int[] iArr2 = $SwitchMap$org$apache$poi$ss$usermodel$BorderExtent;
                BorderExtent borderExtent2 = BorderExtent.ALL;
                iArr2[1] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            try {
                int[] iArr3 = $SwitchMap$org$apache$poi$ss$usermodel$BorderExtent;
                BorderExtent borderExtent3 = BorderExtent.INSIDE;
                iArr3[2] = 3;
            } catch (NoSuchFieldError unused3) {
            }
            try {
                int[] iArr4 = $SwitchMap$org$apache$poi$ss$usermodel$BorderExtent;
                BorderExtent borderExtent4 = BorderExtent.OUTSIDE;
                iArr4[3] = 4;
            } catch (NoSuchFieldError unused4) {
            }
            try {
                int[] iArr5 = $SwitchMap$org$apache$poi$ss$usermodel$BorderExtent;
                BorderExtent borderExtent5 = BorderExtent.TOP;
                iArr5[4] = 5;
            } catch (NoSuchFieldError unused5) {
            }
            try {
                int[] iArr6 = $SwitchMap$org$apache$poi$ss$usermodel$BorderExtent;
                BorderExtent borderExtent6 = BorderExtent.BOTTOM;
                iArr6[5] = 6;
            } catch (NoSuchFieldError unused6) {
            }
            try {
                int[] iArr7 = $SwitchMap$org$apache$poi$ss$usermodel$BorderExtent;
                BorderExtent borderExtent7 = BorderExtent.LEFT;
                iArr7[6] = 7;
            } catch (NoSuchFieldError unused7) {
            }
            try {
                int[] iArr8 = $SwitchMap$org$apache$poi$ss$usermodel$BorderExtent;
                BorderExtent borderExtent8 = BorderExtent.RIGHT;
                iArr8[7] = 8;
            } catch (NoSuchFieldError unused8) {
            }
            try {
                int[] iArr9 = $SwitchMap$org$apache$poi$ss$usermodel$BorderExtent;
                BorderExtent borderExtent9 = BorderExtent.HORIZONTAL;
                iArr9[8] = 9;
            } catch (NoSuchFieldError unused9) {
            }
            try {
                int[] iArr10 = $SwitchMap$org$apache$poi$ss$usermodel$BorderExtent;
                BorderExtent borderExtent10 = BorderExtent.INSIDE_HORIZONTAL;
                iArr10[9] = 10;
            } catch (NoSuchFieldError unused10) {
            }
            try {
                int[] iArr11 = $SwitchMap$org$apache$poi$ss$usermodel$BorderExtent;
                BorderExtent borderExtent11 = BorderExtent.OUTSIDE_HORIZONTAL;
                iArr11[10] = 11;
            } catch (NoSuchFieldError unused11) {
            }
            try {
                int[] iArr12 = $SwitchMap$org$apache$poi$ss$usermodel$BorderExtent;
                BorderExtent borderExtent12 = BorderExtent.VERTICAL;
                iArr12[11] = 12;
            } catch (NoSuchFieldError unused12) {
            }
            int[] iArr13 = $SwitchMap$org$apache$poi$ss$usermodel$BorderExtent;
            BorderExtent borderExtent13 = BorderExtent.INSIDE_VERTICAL;
            iArr13[12] = 13;
            int[] iArr14 = $SwitchMap$org$apache$poi$ss$usermodel$BorderExtent;
            BorderExtent borderExtent14 = BorderExtent.OUTSIDE_VERTICAL;
            iArr14[13] = 14;
        }
    }

    public PropertyTemplate() {
        this._propertyTemplate = new HashMap();
    }

    private void addProperty(int i2, int i3, String str, short s) {
        addProperty(i2, i3, str, Short.valueOf(s));
    }

    public static Map<String, Object> cloneCellProperties(Map<String, Object> map) {
        HashMap hashMap = new HashMap();
        for (Map.Entry<String, Object> entry : map.entrySet()) {
            hashMap.put(entry.getKey(), entry.getValue());
        }
        return hashMap;
    }

    private void drawBottomBorder(CellRangeAddress cellRangeAddress, BorderStyle borderStyle) {
        int lastRow = cellRangeAddress.getLastRow();
        int lastColumn = cellRangeAddress.getLastColumn();
        for (int firstColumn = cellRangeAddress.getFirstColumn(); firstColumn <= lastColumn; firstColumn++) {
            addProperty(lastRow, firstColumn, CellUtil.BORDER_BOTTOM, borderStyle);
            if (borderStyle == BorderStyle.NONE && lastRow < SpreadsheetVersion.EXCEL2007.getMaxRows() - 1) {
                addProperty(lastRow + 1, firstColumn, CellUtil.BORDER_TOP, borderStyle);
            }
        }
    }

    private void drawBottomBorderColor(CellRangeAddress cellRangeAddress, short s) {
        int lastRow = cellRangeAddress.getLastRow();
        int lastColumn = cellRangeAddress.getLastColumn();
        for (int firstColumn = cellRangeAddress.getFirstColumn(); firstColumn <= lastColumn; firstColumn++) {
            if (getBorderStyle(lastRow, firstColumn, CellUtil.BORDER_BOTTOM) == BorderStyle.NONE) {
                drawBottomBorder(new CellRangeAddress(lastRow, lastRow, firstColumn, firstColumn), BorderStyle.THIN);
            }
            addProperty(lastRow, firstColumn, CellUtil.BOTTOM_BORDER_COLOR, s);
        }
    }

    private void drawHorizontalBorderColors(CellRangeAddress cellRangeAddress, short s, BorderExtent borderExtent) {
        int ordinal = borderExtent.ordinal();
        if (ordinal == 1 || ordinal == 2) {
            int firstRow = cellRangeAddress.getFirstRow();
            int lastRow = cellRangeAddress.getLastRow();
            int firstColumn = cellRangeAddress.getFirstColumn();
            int lastColumn = cellRangeAddress.getLastColumn();
            for (int i2 = firstRow; i2 <= lastRow; i2++) {
                CellRangeAddress cellRangeAddress2 = new CellRangeAddress(i2, i2, firstColumn, lastColumn);
                if (borderExtent == BorderExtent.ALL || i2 > firstRow) {
                    drawTopBorderColor(cellRangeAddress2, s);
                }
                if (borderExtent == BorderExtent.ALL || i2 < lastRow) {
                    drawBottomBorderColor(cellRangeAddress2, s);
                }
            }
            return;
        }
        throw new IllegalArgumentException("Unsupported PropertyTemplate.Extent, valid Extents are ALL and INSIDE");
    }

    private void drawHorizontalBorders(CellRangeAddress cellRangeAddress, BorderStyle borderStyle, BorderExtent borderExtent) {
        int ordinal = borderExtent.ordinal();
        if (ordinal == 1 || ordinal == 2) {
            int firstRow = cellRangeAddress.getFirstRow();
            int lastRow = cellRangeAddress.getLastRow();
            int firstColumn = cellRangeAddress.getFirstColumn();
            int lastColumn = cellRangeAddress.getLastColumn();
            for (int i2 = firstRow; i2 <= lastRow; i2++) {
                CellRangeAddress cellRangeAddress2 = new CellRangeAddress(i2, i2, firstColumn, lastColumn);
                if (borderExtent == BorderExtent.ALL || i2 > firstRow) {
                    drawTopBorder(cellRangeAddress2, borderStyle);
                }
                if (borderExtent == BorderExtent.ALL || i2 < lastRow) {
                    drawBottomBorder(cellRangeAddress2, borderStyle);
                }
            }
            return;
        }
        throw new IllegalArgumentException("Unsupported PropertyTemplate.Extent, valid Extents are ALL and INSIDE");
    }

    private void drawLeftBorder(CellRangeAddress cellRangeAddress, BorderStyle borderStyle) {
        int lastRow = cellRangeAddress.getLastRow();
        int firstColumn = cellRangeAddress.getFirstColumn();
        for (int firstRow = cellRangeAddress.getFirstRow(); firstRow <= lastRow; firstRow++) {
            addProperty(firstRow, firstColumn, CellUtil.BORDER_LEFT, borderStyle);
            if (borderStyle == BorderStyle.NONE && firstColumn > 0) {
                addProperty(firstRow, firstColumn - 1, CellUtil.BORDER_RIGHT, borderStyle);
            }
        }
    }

    private void drawLeftBorderColor(CellRangeAddress cellRangeAddress, short s) {
        int lastRow = cellRangeAddress.getLastRow();
        int firstColumn = cellRangeAddress.getFirstColumn();
        for (int firstRow = cellRangeAddress.getFirstRow(); firstRow <= lastRow; firstRow++) {
            if (getBorderStyle(firstRow, firstColumn, CellUtil.BORDER_LEFT) == BorderStyle.NONE) {
                drawLeftBorder(new CellRangeAddress(firstRow, firstRow, firstColumn, firstColumn), BorderStyle.THIN);
            }
            addProperty(firstRow, firstColumn, CellUtil.LEFT_BORDER_COLOR, s);
        }
    }

    private void drawOutsideBorderColors(CellRangeAddress cellRangeAddress, short s, BorderExtent borderExtent) {
        int ordinal = borderExtent.ordinal();
        if (ordinal == 1 || ordinal == 8 || ordinal == 11) {
            if (borderExtent == BorderExtent.ALL || borderExtent == BorderExtent.HORIZONTAL) {
                drawTopBorderColor(cellRangeAddress, s);
                drawBottomBorderColor(cellRangeAddress, s);
            }
            if (borderExtent == BorderExtent.ALL || borderExtent == BorderExtent.VERTICAL) {
                drawLeftBorderColor(cellRangeAddress, s);
                drawRightBorderColor(cellRangeAddress, s);
                return;
            }
            return;
        }
        throw new IllegalArgumentException("Unsupported PropertyTemplate.Extent, valid Extents are ALL, HORIZONTAL, and VERTICAL");
    }

    private void drawOutsideBorders(CellRangeAddress cellRangeAddress, BorderStyle borderStyle, BorderExtent borderExtent) {
        int ordinal = borderExtent.ordinal();
        if (ordinal == 1 || ordinal == 8 || ordinal == 11) {
            if (borderExtent == BorderExtent.ALL || borderExtent == BorderExtent.HORIZONTAL) {
                drawTopBorder(cellRangeAddress, borderStyle);
                drawBottomBorder(cellRangeAddress, borderStyle);
            }
            if (borderExtent == BorderExtent.ALL || borderExtent == BorderExtent.VERTICAL) {
                drawLeftBorder(cellRangeAddress, borderStyle);
                drawRightBorder(cellRangeAddress, borderStyle);
                return;
            }
            return;
        }
        throw new IllegalArgumentException("Unsupported PropertyTemplate.Extent, valid Extents are ALL, HORIZONTAL, and VERTICAL");
    }

    private void drawRightBorder(CellRangeAddress cellRangeAddress, BorderStyle borderStyle) {
        int lastRow = cellRangeAddress.getLastRow();
        int lastColumn = cellRangeAddress.getLastColumn();
        for (int firstRow = cellRangeAddress.getFirstRow(); firstRow <= lastRow; firstRow++) {
            addProperty(firstRow, lastColumn, CellUtil.BORDER_RIGHT, borderStyle);
            if (borderStyle == BorderStyle.NONE && lastColumn < SpreadsheetVersion.EXCEL2007.getMaxColumns() - 1) {
                addProperty(firstRow, lastColumn + 1, CellUtil.BORDER_LEFT, borderStyle);
            }
        }
    }

    private void drawRightBorderColor(CellRangeAddress cellRangeAddress, short s) {
        int lastRow = cellRangeAddress.getLastRow();
        int lastColumn = cellRangeAddress.getLastColumn();
        for (int firstRow = cellRangeAddress.getFirstRow(); firstRow <= lastRow; firstRow++) {
            if (getBorderStyle(firstRow, lastColumn, CellUtil.BORDER_RIGHT) == BorderStyle.NONE) {
                drawRightBorder(new CellRangeAddress(firstRow, firstRow, lastColumn, lastColumn), BorderStyle.THIN);
            }
            addProperty(firstRow, lastColumn, CellUtil.RIGHT_BORDER_COLOR, s);
        }
    }

    private void drawTopBorder(CellRangeAddress cellRangeAddress, BorderStyle borderStyle) {
        int firstRow = cellRangeAddress.getFirstRow();
        int lastColumn = cellRangeAddress.getLastColumn();
        for (int firstColumn = cellRangeAddress.getFirstColumn(); firstColumn <= lastColumn; firstColumn++) {
            addProperty(firstRow, firstColumn, CellUtil.BORDER_TOP, borderStyle);
            if (borderStyle == BorderStyle.NONE && firstRow > 0) {
                addProperty(firstRow - 1, firstColumn, CellUtil.BORDER_BOTTOM, borderStyle);
            }
        }
    }

    private void drawTopBorderColor(CellRangeAddress cellRangeAddress, short s) {
        int firstRow = cellRangeAddress.getFirstRow();
        int lastColumn = cellRangeAddress.getLastColumn();
        for (int firstColumn = cellRangeAddress.getFirstColumn(); firstColumn <= lastColumn; firstColumn++) {
            if (getBorderStyle(firstRow, firstColumn, CellUtil.BORDER_TOP) == BorderStyle.NONE) {
                drawTopBorder(new CellRangeAddress(firstRow, firstRow, firstColumn, firstColumn), BorderStyle.THIN);
            }
            addProperty(firstRow, firstColumn, CellUtil.TOP_BORDER_COLOR, s);
        }
    }

    private void drawVerticalBorderColors(CellRangeAddress cellRangeAddress, short s, BorderExtent borderExtent) {
        int ordinal = borderExtent.ordinal();
        if (ordinal == 1 || ordinal == 2) {
            int firstRow = cellRangeAddress.getFirstRow();
            int lastRow = cellRangeAddress.getLastRow();
            int firstColumn = cellRangeAddress.getFirstColumn();
            int lastColumn = cellRangeAddress.getLastColumn();
            for (int i2 = firstColumn; i2 <= lastColumn; i2++) {
                CellRangeAddress cellRangeAddress2 = new CellRangeAddress(firstRow, lastRow, i2, i2);
                if (borderExtent == BorderExtent.ALL || i2 > firstColumn) {
                    drawLeftBorderColor(cellRangeAddress2, s);
                }
                if (borderExtent == BorderExtent.ALL || i2 < lastColumn) {
                    drawRightBorderColor(cellRangeAddress2, s);
                }
            }
            return;
        }
        throw new IllegalArgumentException("Unsupported PropertyTemplate.Extent, valid Extents are ALL and INSIDE");
    }

    private void drawVerticalBorders(CellRangeAddress cellRangeAddress, BorderStyle borderStyle, BorderExtent borderExtent) {
        int ordinal = borderExtent.ordinal();
        if (ordinal == 1 || ordinal == 2) {
            int firstRow = cellRangeAddress.getFirstRow();
            int lastRow = cellRangeAddress.getLastRow();
            int firstColumn = cellRangeAddress.getFirstColumn();
            int lastColumn = cellRangeAddress.getLastColumn();
            for (int i2 = firstColumn; i2 <= lastColumn; i2++) {
                CellRangeAddress cellRangeAddress2 = new CellRangeAddress(firstRow, lastRow, i2, i2);
                if (borderExtent == BorderExtent.ALL || i2 > firstColumn) {
                    drawLeftBorder(cellRangeAddress2, borderStyle);
                }
                if (borderExtent == BorderExtent.ALL || i2 < lastColumn) {
                    drawRightBorder(cellRangeAddress2, borderStyle);
                }
            }
            return;
        }
        throw new IllegalArgumentException("Unsupported PropertyTemplate.Extent, valid Extents are ALL and INSIDE");
    }

    public static short getShort(Object obj) {
        if (obj instanceof Short) {
            return ((Short) obj).shortValue();
        }
        return 0;
    }

    private Map<CellAddress, Map<String, Object>> getTemplate() {
        return this._propertyTemplate;
    }

    private void removeBorderColors(CellRangeAddress cellRangeAddress) {
        HashSet hashSet = new HashSet();
        hashSet.add(CellUtil.TOP_BORDER_COLOR);
        hashSet.add(CellUtil.BOTTOM_BORDER_COLOR);
        hashSet.add(CellUtil.LEFT_BORDER_COLOR);
        hashSet.add(CellUtil.RIGHT_BORDER_COLOR);
        for (int firstRow = cellRangeAddress.getFirstRow(); firstRow <= cellRangeAddress.getLastRow(); firstRow++) {
            for (int firstColumn = cellRangeAddress.getFirstColumn(); firstColumn <= cellRangeAddress.getLastColumn(); firstColumn++) {
                removeProperties(firstRow, firstColumn, hashSet);
            }
        }
    }

    private void removeBorders(CellRangeAddress cellRangeAddress) {
        HashSet hashSet = new HashSet();
        hashSet.add(CellUtil.BORDER_TOP);
        hashSet.add(CellUtil.BORDER_BOTTOM);
        hashSet.add(CellUtil.BORDER_LEFT);
        hashSet.add(CellUtil.BORDER_RIGHT);
        for (int firstRow = cellRangeAddress.getFirstRow(); firstRow <= cellRangeAddress.getLastRow(); firstRow++) {
            for (int firstColumn = cellRangeAddress.getFirstColumn(); firstColumn <= cellRangeAddress.getLastColumn(); firstColumn++) {
                removeProperties(firstRow, firstColumn, hashSet);
            }
        }
        removeBorderColors(cellRangeAddress);
    }

    private void removeProperties(int i2, int i3, Set<String> set) {
        CellAddress cellAddress = new CellAddress(i2, i3);
        Map<String, Object> map = this._propertyTemplate.get(cellAddress);
        if (map != null) {
            map.keySet().removeAll(set);
            if (map.isEmpty()) {
                this._propertyTemplate.remove(cellAddress);
            } else {
                this._propertyTemplate.put(cellAddress, map);
            }
        }
    }

    public void applyBorders(Sheet sheet) {
        Workbook workbook = sheet.getWorkbook();
        for (Map.Entry<CellAddress, Map<String, Object>> entry : this._propertyTemplate.entrySet()) {
            CellAddress key = entry.getKey();
            if (key.getRow() < workbook.getSpreadsheetVersion().getMaxRows() && key.getColumn() < workbook.getSpreadsheetVersion().getMaxColumns()) {
                CellUtil.setCellStyleProperties(CellUtil.getCell(CellUtil.getRow(key.getRow(), sheet), key.getColumn()), entry.getValue());
            }
        }
    }

    public void drawBorderColors(CellRangeAddress cellRangeAddress, short s, BorderExtent borderExtent) {
        switch (borderExtent.ordinal()) {
            case 0:
                removeBorderColors(cellRangeAddress);
                return;
            case 1:
                drawHorizontalBorderColors(cellRangeAddress, s, BorderExtent.ALL);
                drawVerticalBorderColors(cellRangeAddress, s, BorderExtent.ALL);
                return;
            case 2:
                drawHorizontalBorderColors(cellRangeAddress, s, BorderExtent.INSIDE);
                drawVerticalBorderColors(cellRangeAddress, s, BorderExtent.INSIDE);
                return;
            case 3:
                drawOutsideBorderColors(cellRangeAddress, s, BorderExtent.ALL);
                return;
            case 4:
                drawTopBorderColor(cellRangeAddress, s);
                return;
            case 5:
                drawBottomBorderColor(cellRangeAddress, s);
                return;
            case 6:
                drawLeftBorderColor(cellRangeAddress, s);
                return;
            case 7:
                drawRightBorderColor(cellRangeAddress, s);
                return;
            case 8:
                drawHorizontalBorderColors(cellRangeAddress, s, BorderExtent.ALL);
                return;
            case 9:
                drawHorizontalBorderColors(cellRangeAddress, s, BorderExtent.INSIDE);
                return;
            case 10:
                drawOutsideBorderColors(cellRangeAddress, s, BorderExtent.HORIZONTAL);
                return;
            case 11:
                drawVerticalBorderColors(cellRangeAddress, s, BorderExtent.ALL);
                return;
            case 12:
                drawVerticalBorderColors(cellRangeAddress, s, BorderExtent.INSIDE);
                return;
            case 13:
                drawOutsideBorderColors(cellRangeAddress, s, BorderExtent.VERTICAL);
                return;
            default:
                return;
        }
    }

    public void drawBorders(CellRangeAddress cellRangeAddress, BorderStyle borderStyle, BorderExtent borderExtent) {
        switch (borderExtent.ordinal()) {
            case 0:
                removeBorders(cellRangeAddress);
                return;
            case 1:
                drawHorizontalBorders(cellRangeAddress, borderStyle, BorderExtent.ALL);
                drawVerticalBorders(cellRangeAddress, borderStyle, BorderExtent.ALL);
                return;
            case 2:
                drawHorizontalBorders(cellRangeAddress, borderStyle, BorderExtent.INSIDE);
                drawVerticalBorders(cellRangeAddress, borderStyle, BorderExtent.INSIDE);
                return;
            case 3:
                drawOutsideBorders(cellRangeAddress, borderStyle, BorderExtent.ALL);
                return;
            case 4:
                drawTopBorder(cellRangeAddress, borderStyle);
                return;
            case 5:
                drawBottomBorder(cellRangeAddress, borderStyle);
                return;
            case 6:
                drawLeftBorder(cellRangeAddress, borderStyle);
                return;
            case 7:
                drawRightBorder(cellRangeAddress, borderStyle);
                return;
            case 8:
                drawHorizontalBorders(cellRangeAddress, borderStyle, BorderExtent.ALL);
                return;
            case 9:
                drawHorizontalBorders(cellRangeAddress, borderStyle, BorderExtent.INSIDE);
                return;
            case 10:
                drawOutsideBorders(cellRangeAddress, borderStyle, BorderExtent.HORIZONTAL);
                return;
            case 11:
                drawVerticalBorders(cellRangeAddress, borderStyle, BorderExtent.ALL);
                return;
            case 12:
                drawVerticalBorders(cellRangeAddress, borderStyle, BorderExtent.INSIDE);
                return;
            case 13:
                drawOutsideBorders(cellRangeAddress, borderStyle, BorderExtent.VERTICAL);
                return;
            default:
                return;
        }
    }

    public BorderStyle getBorderStyle(CellAddress cellAddress, String str) {
        BorderStyle borderStyle = BorderStyle.NONE;
        Map<String, Object> map = this._propertyTemplate.get(cellAddress);
        if (map == null) {
            return borderStyle;
        }
        Object obj = map.get(str);
        return obj instanceof BorderStyle ? (BorderStyle) obj : borderStyle;
    }

    public int getNumBorderColors(CellAddress cellAddress) {
        Map<String, Object> map = this._propertyTemplate.get(cellAddress);
        int i2 = 0;
        if (map == null) {
            return 0;
        }
        for (String str : map.keySet()) {
            if (str.equals(CellUtil.TOP_BORDER_COLOR)) {
                i2++;
            }
            if (str.equals(CellUtil.BOTTOM_BORDER_COLOR)) {
                i2++;
            }
            if (str.equals(CellUtil.LEFT_BORDER_COLOR)) {
                i2++;
            }
            if (str.equals(CellUtil.RIGHT_BORDER_COLOR)) {
                i2++;
            }
        }
        return i2;
    }

    public int getNumBorders(CellAddress cellAddress) {
        Map<String, Object> map = this._propertyTemplate.get(cellAddress);
        int i2 = 0;
        if (map == null) {
            return 0;
        }
        for (String str : map.keySet()) {
            if (str.equals(CellUtil.BORDER_TOP)) {
                i2++;
            }
            if (str.equals(CellUtil.BORDER_BOTTOM)) {
                i2++;
            }
            if (str.equals(CellUtil.BORDER_LEFT)) {
                i2++;
            }
            if (str.equals(CellUtil.BORDER_RIGHT)) {
                i2++;
            }
        }
        return i2;
    }

    public short getTemplateProperty(CellAddress cellAddress, String str) {
        Object obj;
        Map<String, Object> map = this._propertyTemplate.get(cellAddress);
        if (map == null || (obj = map.get(str)) == null) {
            return 0;
        }
        return getShort(obj);
    }

    private void addProperty(int i2, int i3, String str, Object obj) {
        CellAddress cellAddress = new CellAddress(i2, i3);
        Map<String, Object> map = this._propertyTemplate.get(cellAddress);
        if (map == null) {
            map = new HashMap<>();
        }
        map.put(str, obj);
        this._propertyTemplate.put(cellAddress, map);
    }

    public PropertyTemplate(PropertyTemplate propertyTemplate) {
        this();
        for (Map.Entry<CellAddress, Map<String, Object>> entry : propertyTemplate.getTemplate().entrySet()) {
            this._propertyTemplate.put(new CellAddress(entry.getKey()), cloneCellProperties(entry.getValue()));
        }
    }

    public short getTemplateProperty(int i2, int i3, String str) {
        return getTemplateProperty(new CellAddress(i2, i3), str);
    }

    public BorderStyle getBorderStyle(int i2, int i3, String str) {
        return getBorderStyle(new CellAddress(i2, i3), str);
    }

    public int getNumBorderColors(int i2, int i3) {
        return getNumBorderColors(new CellAddress(i2, i3));
    }

    public int getNumBorders(int i2, int i3) {
        return getNumBorders(new CellAddress(i2, i3));
    }

    public void drawBorders(CellRangeAddress cellRangeAddress, BorderStyle borderStyle, short s, BorderExtent borderExtent) {
        drawBorders(cellRangeAddress, borderStyle, borderExtent);
        if (borderStyle != BorderStyle.NONE) {
            drawBorderColors(cellRangeAddress, s, borderExtent);
        }
    }
}
