package org.apache.poi.xdgf.usermodel.section.geometry;

import b.e.a.a.c.a.a.a;
import b.e.a.a.c.a.a.p;
import java.awt.geom.AffineTransform;
import java.awt.geom.Ellipse2D;
import java.awt.geom.Path2D;
import org.apache.poi.POIXMLException;
import org.apache.poi.xdgf.usermodel.XDGFCell;
import org.apache.poi.xdgf.usermodel.XDGFShape;

public class Ellipse implements GeometryRow {
    public Ellipse _master = null;
    public Double a = null;

    /* renamed from: b  reason: collision with root package name */
    public Double f1938b = null;
    public Double c = null;

    /* renamed from: d  reason: collision with root package name */
    public Double f1939d = null;
    public Boolean deleted = null;
    public Double x = null;
    public Double y = null;

    public Ellipse(p pVar) {
        if (pVar.isSetDel()) {
            this.deleted = Boolean.valueOf(pVar.getDel());
        }
        a[] a2 = pVar.a();
        for (a aVar : a2) {
            String n = aVar.getN();
            if (n.equals("X")) {
                this.x = XDGFCell.parseDoubleValue(aVar);
            } else if (n.equals("Y")) {
                this.y = XDGFCell.parseDoubleValue(aVar);
            } else if (n.equals("A")) {
                this.a = XDGFCell.parseDoubleValue(aVar);
            } else if (n.equals("B")) {
                this.f1938b = XDGFCell.parseDoubleValue(aVar);
            } else if (n.equals("C")) {
                this.c = XDGFCell.parseDoubleValue(aVar);
            } else if (n.equals("D")) {
                this.f1939d = XDGFCell.parseDoubleValue(aVar);
            } else {
                throw new POIXMLException(b.b.a.a.a.b("Invalid cell '", n, "' in Ellipse row"));
            }
        }
    }

    @Override // org.apache.poi.xdgf.usermodel.section.geometry.GeometryRow
    public void addToPath(Path2D.Double r1, XDGFShape xDGFShape) {
        throw new POIXMLException("Ellipse elements cannot be part of a path");
    }

    public Double getA() {
        Double d2 = this.a;
        return d2 == null ? this._master.a : d2;
    }

    public Double getB() {
        Double d2 = this.f1938b;
        return d2 == null ? this._master.f1938b : d2;
    }

    public Double getC() {
        Double d2 = this.c;
        return d2 == null ? this._master.c : d2;
    }

    public Double getD() {
        Double d2 = this.f1939d;
        return d2 == null ? this._master.f1939d : d2;
    }

    public boolean getDel() {
        Boolean bool = this.deleted;
        if (bool != null) {
            return bool.booleanValue();
        }
        Ellipse ellipse = this._master;
        if (ellipse != null) {
            return ellipse.getDel();
        }
        return false;
    }

    public Path2D.Double getPath() {
        if (getDel()) {
            return null;
        }
        double doubleValue = getX().doubleValue();
        double doubleValue2 = getY().doubleValue();
        double doubleValue3 = getA().doubleValue();
        double doubleValue4 = getB().doubleValue();
        double doubleValue5 = getC().doubleValue();
        double doubleValue6 = getD().doubleValue();
        double hypot = Math.hypot(doubleValue3 - doubleValue, doubleValue4 - doubleValue2);
        double hypot2 = Math.hypot(doubleValue5 - doubleValue, doubleValue6 - doubleValue2);
        double acos = ((Math.acos((doubleValue - doubleValue3) / hypot) * (doubleValue2 > doubleValue4 ? 1.0d : -1.0d)) + 6.283185307179586d) % 6.283185307179586d;
        Path2D.Double r8 = new Path2D.Double(new Ellipse2D.Double(doubleValue - hypot, doubleValue2 - hypot2, hypot * 2.0d, hypot2 * 2.0d));
        AffineTransform affineTransform = new AffineTransform();
        affineTransform.rotate(acos, doubleValue, doubleValue2);
        r8.transform(affineTransform);
        return r8;
    }

    public Double getX() {
        Double d2 = this.x;
        return d2 == null ? this._master.x : d2;
    }

    public Double getY() {
        Double d2 = this.y;
        return d2 == null ? this._master.y : d2;
    }

    @Override // org.apache.poi.xdgf.usermodel.section.geometry.GeometryRow
    public void setupMaster(GeometryRow geometryRow) {
        this._master = (Ellipse) geometryRow;
    }
}
