package org.apache.poi.xdgf.usermodel.section.geometry;

import b.e.a.a.c.a.a.a;
import b.e.a.a.c.a.a.p;
import java.awt.geom.Path2D;
import org.apache.poi.POIXMLException;
import org.apache.poi.xdgf.usermodel.XDGFCell;
import org.apache.poi.xdgf.usermodel.XDGFShape;

public class InfiniteLine implements GeometryRow {
    public InfiniteLine _master = null;
    public Double a = null;

    /* renamed from: b  reason: collision with root package name */
    public Double f1942b = null;
    public Boolean deleted = null;
    public Double x = null;
    public Double y = null;

    public InfiniteLine(p pVar) {
        if (pVar.isSetDel()) {
            this.deleted = Boolean.valueOf(pVar.getDel());
        }
        a[] a2 = pVar.a();
        for (a aVar : a2) {
            String n = aVar.getN();
            if (n.equals("X")) {
                this.x = XDGFCell.parseDoubleValue(aVar);
            } else if (n.equals("Y")) {
                this.y = XDGFCell.parseDoubleValue(aVar);
            } else if (n.equals("A")) {
                this.a = XDGFCell.parseDoubleValue(aVar);
            } else if (n.equals("B")) {
                this.f1942b = XDGFCell.parseDoubleValue(aVar);
            } else {
                throw new POIXMLException(b.b.a.a.a.b("Invalid cell '", n, "' in InfiniteLine row"));
            }
        }
    }

    @Override // org.apache.poi.xdgf.usermodel.section.geometry.GeometryRow
    public void addToPath(Path2D.Double r1, XDGFShape xDGFShape) {
        if (!getDel()) {
            throw new POIXMLException("InfiniteLine elements cannot be part of a path");
        }
    }

    public Double getA() {
        Double d2 = this.a;
        return d2 == null ? this._master.a : d2;
    }

    public Double getB() {
        Double d2 = this.f1942b;
        return d2 == null ? this._master.f1942b : d2;
    }

    public boolean getDel() {
        Boolean bool = this.deleted;
        if (bool != null) {
            return bool.booleanValue();
        }
        InfiniteLine infiniteLine = this._master;
        if (infiniteLine != null) {
            return infiniteLine.getDel();
        }
        return false;
    }

    public Path2D.Double getPath() {
        Path2D.Double r0 = new Path2D.Double();
        double doubleValue = getX().doubleValue();
        double doubleValue2 = getY().doubleValue();
        double doubleValue3 = getA().doubleValue();
        double doubleValue4 = getB().doubleValue();
        if (doubleValue == doubleValue3) {
            r0.moveTo(doubleValue, -100000.0d);
            r0.lineTo(doubleValue, 100000.0d);
        } else if (doubleValue2 == doubleValue4) {
            r0.moveTo(-100000.0d, doubleValue2);
            r0.lineTo(100000.0d, doubleValue2);
        } else {
            double d2 = (doubleValue4 - doubleValue2) / (doubleValue3 - doubleValue);
            double d3 = doubleValue2 - (doubleValue * d2);
            r0.moveTo(100000.0d, (d2 * 100000.0d) + d3);
            r0.lineTo(100000.0d, (100000.0d - d3) / d2);
        }
        return r0;
    }

    public Double getX() {
        Double d2 = this.x;
        return d2 == null ? this._master.x : d2;
    }

    public Double getY() {
        Double d2 = this.y;
        return d2 == null ? this._master.y : d2;
    }

    @Override // org.apache.poi.xdgf.usermodel.section.geometry.GeometryRow
    public void setupMaster(GeometryRow geometryRow) {
        this._master = (InfiniteLine) geometryRow;
    }
}
