package org.apache.poi.xslf.usermodel;

import java.io.ByteArrayInputStream;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.openxml4j.opc.OPCPackage;
import org.apache.poi.openxml4j.opc.PackagePartName;
import org.apache.poi.openxml4j.opc.PackagingURIHelper;
import org.apache.poi.sl.usermodel.Shape;
import org.apache.poi.util.Internal;
import org.openxmlformats.schemas.presentationml.x2006.main.CTGroupShape;

@Internal
public class XSLFMetroShape {
    /* JADX WARNING: Removed duplicated region for block: B:11:0x0038  */
    public static Shape<?, ?> parseShape(byte[] bArr) {
        Throwable th;
        PackagePartName createPartName = PackagingURIHelper.createPartName("/drs/shapexml.xml");
        OPCPackage oPCPackage = null;
        try {
            OPCPackage open = OPCPackage.open(new ByteArrayInputStream(bArr));
            try {
                XSLFShape xSLFShape = new XSLFGroupShape(CTGroupShape.Factory.parse(open.getPart(createPartName).getInputStream(), POIXMLTypeLoader.DEFAULT_XML_OPTIONS), null).getShapes().get(0);
                open.close();
                return xSLFShape;
            } catch (Throwable th2) {
                th = th2;
                oPCPackage = open;
                if (oPCPackage != null) {
                    oPCPackage.close();
                }
                throw th;
            }
        } catch (Throwable th3) {
            th = th3;
            if (oPCPackage != null) {
            }
            throw th;
        }
    }
}
