package org.apache.poi.xslf.usermodel;

import java.awt.Dimension;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import org.apache.poi.POIXMLDocumentPart;
import org.apache.poi.POIXMLException;
import org.apache.poi.openxml4j.opc.PackagePart;
import org.apache.poi.sl.image.ImageHeaderBitmap;
import org.apache.poi.sl.image.ImageHeaderEMF;
import org.apache.poi.sl.image.ImageHeaderPICT;
import org.apache.poi.sl.image.ImageHeaderWMF;
import org.apache.poi.sl.usermodel.PictureData;
import org.apache.poi.util.IOUtils;
import org.apache.poi.util.LittleEndian;
import org.apache.poi.util.Units;

public final class XSLFPictureData extends POIXMLDocumentPart implements PictureData {
    public Long checksum = null;
    public int index = -1;
    public Dimension origSize = null;

    /* renamed from: org.apache.poi.xslf.usermodel.XSLFPictureData$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$sl$usermodel$PictureData$PictureType;

        /* JADX WARNING: Can't wrap try/catch for region: R(29:0|1|2|3|(2:5|6)|7|(2:9|10)|11|13|14|15|(2:17|18)|19|21|22|23|25|26|27|28|29|30|31|32|33|34|35|36|38) */
        /* JADX WARNING: Can't wrap try/catch for region: R(31:0|1|2|3|(2:5|6)|7|9|10|11|13|14|15|17|18|19|21|22|23|25|26|27|28|29|30|31|32|33|34|35|36|38) */
        /* JADX WARNING: Code restructure failed: missing block: B:39:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:27:0x0039 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:29:0x0041 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:31:0x0049 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:33:0x0051 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:35:0x0059 */
        static {
            int[] iArr = new int[PictureData.PictureType.values().length];
            $SwitchMap$org$apache$poi$sl$usermodel$PictureData$PictureType = iArr;
            try {
                PictureData.PictureType pictureType = PictureData.PictureType.EMF;
                iArr[0] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                int[] iArr2 = $SwitchMap$org$apache$poi$sl$usermodel$PictureData$PictureType;
                PictureData.PictureType pictureType2 = PictureData.PictureType.WMF;
                iArr2[1] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            try {
                int[] iArr3 = $SwitchMap$org$apache$poi$sl$usermodel$PictureData$PictureType;
                PictureData.PictureType pictureType3 = PictureData.PictureType.PICT;
                iArr3[2] = 3;
            } catch (NoSuchFieldError unused3) {
            }
            try {
                int[] iArr4 = $SwitchMap$org$apache$poi$sl$usermodel$PictureData$PictureType;
                PictureData.PictureType pictureType4 = PictureData.PictureType.JPEG;
                iArr4[3] = 4;
            } catch (NoSuchFieldError unused4) {
            }
            try {
                int[] iArr5 = $SwitchMap$org$apache$poi$sl$usermodel$PictureData$PictureType;
                PictureData.PictureType pictureType5 = PictureData.PictureType.PNG;
                iArr5[4] = 5;
            } catch (NoSuchFieldError unused5) {
            }
            try {
                int[] iArr6 = $SwitchMap$org$apache$poi$sl$usermodel$PictureData$PictureType;
                PictureData.PictureType pictureType6 = PictureData.PictureType.DIB;
                iArr6[5] = 6;
            } catch (NoSuchFieldError unused6) {
            }
            int[] iArr7 = $SwitchMap$org$apache$poi$sl$usermodel$PictureData$PictureType;
            PictureData.PictureType pictureType7 = PictureData.PictureType.GIF;
            iArr7[6] = 7;
            int[] iArr8 = $SwitchMap$org$apache$poi$sl$usermodel$PictureData$PictureType;
            PictureData.PictureType pictureType8 = PictureData.PictureType.EPS;
            iArr8[8] = 8;
            int[] iArr9 = $SwitchMap$org$apache$poi$sl$usermodel$PictureData$PictureType;
            PictureData.PictureType pictureType9 = PictureData.PictureType.BMP;
            iArr9[9] = 9;
            int[] iArr10 = $SwitchMap$org$apache$poi$sl$usermodel$PictureData$PictureType;
            PictureData.PictureType pictureType10 = PictureData.PictureType.WPG;
            iArr10[10] = 10;
            int[] iArr11 = $SwitchMap$org$apache$poi$sl$usermodel$PictureData$PictureType;
            PictureData.PictureType pictureType11 = PictureData.PictureType.WDP;
            iArr11[11] = 11;
            int[] iArr12 = $SwitchMap$org$apache$poi$sl$usermodel$PictureData$PictureType;
            PictureData.PictureType pictureType12 = PictureData.PictureType.TIFF;
            iArr12[7] = 12;
        }
    }

    public XSLFPictureData() {
    }

    public static XSLFRelation getRelationForType(PictureData.PictureType pictureType) {
        switch (pictureType.ordinal()) {
            case 0:
                return XSLFRelation.IMAGE_EMF;
            case 1:
                return XSLFRelation.IMAGE_WMF;
            case 2:
                return XSLFRelation.IMAGE_PICT;
            case 3:
                return XSLFRelation.IMAGE_JPEG;
            case 4:
                return XSLFRelation.IMAGE_PNG;
            case 5:
                return XSLFRelation.IMAGE_DIB;
            case 6:
                return XSLFRelation.IMAGE_GIF;
            case 7:
                return XSLFRelation.IMAGE_TIFF;
            case 8:
                return XSLFRelation.IMAGE_EPS;
            case 9:
                return XSLFRelation.IMAGE_BMP;
            case 10:
                return XSLFRelation.IMAGE_WPG;
            case 11:
                return XSLFRelation.IMAGE_WDP;
            default:
                return null;
        }
    }

    public void cacheProperties() {
        if (this.origSize == null || this.checksum == null) {
            byte[] data = getData();
            this.checksum = Long.valueOf(IOUtils.calculateChecksum(data));
            PictureData.PictureType type = getType();
            if (type == null) {
                this.origSize = new Dimension(1, 1);
                return;
            }
            int ordinal = type.ordinal();
            if (ordinal == 0) {
                this.origSize = new ImageHeaderEMF(data, 0).getSize();
            } else if (ordinal == 1) {
                this.origSize = new ImageHeaderWMF(data, 0).getSize();
            } else if (ordinal != 2) {
                this.origSize = new ImageHeaderBitmap(data, 0).getSize();
            } else {
                this.origSize = new ImageHeaderPICT(data, 0).getSize();
            }
        }
    }

    @Override // org.apache.poi.sl.usermodel.PictureData
    public byte[] getChecksum() {
        cacheProperties();
        byte[] bArr = new byte[8];
        LittleEndian.putLong(bArr, 0, this.checksum.longValue());
        return bArr;
    }

    @Override // org.apache.poi.sl.usermodel.PictureData
    public String getContentType() {
        return getPackagePart().getContentType();
    }

    @Override // org.apache.poi.sl.usermodel.PictureData
    public byte[] getData() {
        try {
            return IOUtils.toByteArray(getInputStream());
        } catch (IOException e2) {
            throw new POIXMLException(e2);
        }
    }

    public String getFileName() {
        String name = getPackagePart().getPartName().getName();
        return name.substring(name.lastIndexOf(47) + 1);
    }

    @Override // org.apache.poi.sl.usermodel.PictureData
    public Dimension getImageDimension() {
        cacheProperties();
        return this.origSize;
    }

    @Override // org.apache.poi.sl.usermodel.PictureData
    public Dimension getImageDimensionInPixels() {
        Dimension imageDimension = getImageDimension();
        return new Dimension(Units.pointsToPixel(imageDimension.getWidth()), Units.pointsToPixel(imageDimension.getHeight()));
    }

    public int getIndex() {
        return this.index;
    }

    public InputStream getInputStream() {
        return getPackagePart().getInputStream();
    }

    @Override // org.apache.poi.sl.usermodel.PictureData
    public PictureData.PictureType getType() {
        String contentType = getContentType();
        if (XSLFRelation.IMAGE_EMF.getContentType().equals(contentType)) {
            return PictureData.PictureType.EMF;
        }
        if (XSLFRelation.IMAGE_WMF.getContentType().equals(contentType)) {
            return PictureData.PictureType.WMF;
        }
        if (XSLFRelation.IMAGE_PICT.getContentType().equals(contentType)) {
            return PictureData.PictureType.PICT;
        }
        if (XSLFRelation.IMAGE_JPEG.getContentType().equals(contentType)) {
            return PictureData.PictureType.JPEG;
        }
        if (XSLFRelation.IMAGE_PNG.getContentType().equals(contentType)) {
            return PictureData.PictureType.PNG;
        }
        if (XSLFRelation.IMAGE_DIB.getContentType().equals(contentType)) {
            return PictureData.PictureType.DIB;
        }
        if (XSLFRelation.IMAGE_GIF.getContentType().equals(contentType)) {
            return PictureData.PictureType.GIF;
        }
        if (XSLFRelation.IMAGE_EPS.getContentType().equals(contentType)) {
            return PictureData.PictureType.EPS;
        }
        if (XSLFRelation.IMAGE_BMP.getContentType().equals(contentType)) {
            return PictureData.PictureType.BMP;
        }
        if (XSLFRelation.IMAGE_WPG.getContentType().equals(contentType)) {
            return PictureData.PictureType.WPG;
        }
        if (XSLFRelation.IMAGE_WDP.getContentType().equals(contentType)) {
            return PictureData.PictureType.WDP;
        }
        if (XSLFRelation.IMAGE_TIFF.getContentType().equals(contentType)) {
            return PictureData.PictureType.TIFF;
        }
        return null;
    }

    @Override // org.apache.poi.POIXMLDocumentPart
    public void prepareForCommit() {
    }

    @Override // org.apache.poi.sl.usermodel.PictureData
    public void setData(byte[] bArr) {
        OutputStream outputStream = getPackagePart().getOutputStream();
        outputStream.write(bArr);
        outputStream.close();
        this.checksum = Long.valueOf(IOUtils.calculateChecksum(bArr));
        this.origSize = null;
    }

    public void setIndex(int i2) {
        this.index = i2;
    }

    public String suggestFileExtension() {
        return getPackagePart().getPartName().getExtension();
    }

    public XSLFPictureData(PackagePart packagePart) {
        super(packagePart);
    }
}
