package org.apache.poi.xslf.usermodel;

import b.b.a.a.a;
import org.apache.poi.java.awt.Color;
import org.apache.poi.openxml4j.exceptions.OpenXML4JRuntimeException;
import org.apache.poi.sl.draw.DrawPaint;
import org.apache.poi.sl.usermodel.PaintStyle;
import org.apache.poi.sl.usermodel.Sheet;
import org.apache.poi.sl.usermodel.TextRun;
import org.apache.poi.ss.formula.functions.NumericFunction;
import org.apache.poi.xslf.model.CharacterPropertyFetcher;
import org.apache.poi.xslf.usermodel.XSLFPropertiesDelegate;
import org.apache.xmlbeans.XmlObject;
import org.apache.xmlbeans.impl.jam.internal.JamPrinter;
import org.openxmlformats.schemas.drawingml.x2006.main.CTHyperlink;
import org.openxmlformats.schemas.drawingml.x2006.main.CTRegularTextRun;
import org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor;
import org.openxmlformats.schemas.drawingml.x2006.main.CTShapeStyle;
import org.openxmlformats.schemas.drawingml.x2006.main.CTSolidColorFillProperties;
import org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties;
import org.openxmlformats.schemas.drawingml.x2006.main.CTTextField;
import org.openxmlformats.schemas.drawingml.x2006.main.CTTextFont;
import org.openxmlformats.schemas.drawingml.x2006.main.CTTextLineBreak;
import org.openxmlformats.schemas.drawingml.x2006.main.CTTextNormalAutofit;
import org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraphProperties;
import org.openxmlformats.schemas.drawingml.x2006.main.STTextStrikeType;
import org.openxmlformats.schemas.drawingml.x2006.main.STTextUnderlineType;

public class XSLFTextRun implements TextRun {
    public final XSLFTextParagraph _p;
    public final XmlObject _r;

    /* renamed from: org.apache.poi.xslf.usermodel.XSLFTextRun$13  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass13 {
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$sl$usermodel$TextRun$TextCap;

        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x000f */
        static {
            int[] iArr = new int[TextRun.TextCap.values().length];
            $SwitchMap$org$apache$poi$sl$usermodel$TextRun$TextCap = iArr;
            TextRun.TextCap textCap = TextRun.TextCap.ALL;
            iArr[2] = 1;
            try {
                int[] iArr2 = $SwitchMap$org$apache$poi$sl$usermodel$TextRun$TextCap;
                TextRun.TextCap textCap2 = TextRun.TextCap.SMALL;
                iArr2[1] = 2;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    public XSLFTextRun(XmlObject xmlObject, XSLFTextParagraph xSLFTextParagraph) {
        this._r = xmlObject;
        this._p = xSLFTextParagraph;
        if (!(xmlObject instanceof CTRegularTextRun) && !(xmlObject instanceof CTTextLineBreak) && !(xmlObject instanceof CTTextField)) {
            StringBuilder b2 = a.b("unsupported text run of type ");
            b2.append(xmlObject.getClass());
            throw new OpenXML4JRuntimeException(b2.toString());
        }
    }

    /* JADX WARN: Type inference failed for: r0v1, types: [org.apache.poi.xslf.usermodel.XSLFShape, org.apache.poi.xslf.usermodel.XSLFTextShape] */
    /* JADX WARN: Type inference failed for: r1v0, types: [org.apache.poi.xslf.usermodel.XSLFSheet] */
    /* JADX WARN: Type inference failed for: r0v5, types: [org.apache.poi.xslf.usermodel.XMLSlideShow] */
    /* JADX WARNING: Unknown variable types count: 3 */
    private boolean fetchCharacterProperty(CharacterPropertyFetcher<?> characterPropertyFetcher) {
        CTTextParagraphProperties defaultParagraphStyle;
        ?? parentShape = this._p.getParentShape();
        ?? sheet = parentShape.getSheet();
        CTTextCharacterProperties rPr = getRPr(false);
        if ((rPr != null && characterPropertyFetcher.fetch(rPr)) || parentShape.fetchShapeProperty(characterPropertyFetcher)) {
            return true;
        }
        if (parentShape.getCTPlaceholder() == null && (defaultParagraphStyle = sheet.getSlideShow().getDefaultParagraphStyle(this._p.getIndentLevel())) != null && characterPropertyFetcher.fetch(defaultParagraphStyle)) {
            return true;
        }
        CTTextParagraphProperties defaultMasterStyle = this._p.getDefaultMasterStyle();
        if (defaultMasterStyle == null || !characterPropertyFetcher.fetch(defaultMasterStyle)) {
            return false;
        }
        return true;
    }

    public void copy(XSLFTextRun xSLFTextRun) {
        String fontFamily = xSLFTextRun.getFontFamily();
        if (fontFamily != null && !fontFamily.equals(getFontFamily())) {
            setFontFamily(fontFamily);
        }
        PaintStyle fontColor = xSLFTextRun.getFontColor();
        if (fontColor != null && !fontColor.equals(getFontColor())) {
            setFontColor(fontColor);
        }
        double doubleValue = xSLFTextRun.getFontSize().doubleValue();
        if (doubleValue != getFontSize().doubleValue()) {
            setFontSize(Double.valueOf(doubleValue));
        }
        boolean isBold = xSLFTextRun.isBold();
        if (isBold != isBold()) {
            setBold(isBold);
        }
        boolean isItalic = xSLFTextRun.isItalic();
        if (isItalic != isItalic()) {
            setItalic(isItalic);
        }
        boolean isUnderlined = xSLFTextRun.isUnderlined();
        if (isUnderlined != isUnderlined()) {
            setUnderlined(isUnderlined);
        }
        boolean isStrikethrough = xSLFTextRun.isStrikethrough();
        if (isStrikethrough != isStrikethrough()) {
            setStrikethrough(isStrikethrough);
        }
    }

    public double getCharacterSpacing() {
        AnonymousClass3 r0 = new CharacterPropertyFetcher<Double>(this._p.getIndentLevel()) {
            /* class org.apache.poi.xslf.usermodel.XSLFTextRun.AnonymousClass3 */

            @Override // org.apache.poi.xslf.model.CharacterPropertyFetcher
            public boolean fetch(CTTextCharacterProperties cTTextCharacterProperties) {
                if (cTTextCharacterProperties == null || !cTTextCharacterProperties.isSetSpc()) {
                    return false;
                }
                setValue(Double.valueOf(((double) cTTextCharacterProperties.getSpc()) * 0.01d));
                return true;
            }
        };
        fetchCharacterProperty(r0);
        return r0.getValue() == null ? NumericFunction.LOG_10_TO_BASE_e : ((Double) r0.getValue()).doubleValue();
    }

    @Override // org.apache.poi.sl.usermodel.TextRun
    public TextRun.FieldType getFieldType() {
        XmlObject xmlObject = this._r;
        if (!(xmlObject instanceof CTTextField) || !"slidenum".equals(((CTTextField) xmlObject).getType())) {
            return null;
        }
        return TextRun.FieldType.SLIDE_NUMBER;
    }

    /* JADX WARN: Type inference failed for: r0v1, types: [org.apache.poi.xslf.usermodel.XSLFShape, org.apache.poi.xslf.usermodel.XSLFTextShape] */
    /* JADX WARNING: Unknown variable types count: 1 */
    @Override // org.apache.poi.sl.usermodel.TextRun
    public PaintStyle getFontColor() {
        final boolean z = getParentParagraph().getParentShape().getPlaceholder() != null;
        AnonymousClass1 r1 = new CharacterPropertyFetcher<PaintStyle>(this._p.getIndentLevel()) {
            /* class org.apache.poi.xslf.usermodel.XSLFTextRun.AnonymousClass1 */

            /* JADX WARN: Type inference failed for: r1v2, types: [org.apache.poi.xslf.usermodel.XSLFShape, org.apache.poi.xslf.usermodel.XSLFTextShape] */
            /* JADX WARN: Type inference failed for: r1v3, types: [org.apache.poi.POIXMLDocumentPart, org.apache.poi.xslf.usermodel.XSLFSheet] */
            /* JADX WARNING: Unknown variable types count: 2 */
            @Override // org.apache.poi.xslf.model.CharacterPropertyFetcher
            public boolean fetch(CTTextCharacterProperties cTTextCharacterProperties) {
                if (cTTextCharacterProperties == null) {
                    return false;
                }
                ?? parentShape = XSLFTextRun.this._p.getParentShape();
                CTShapeStyle spStyle = parentShape.getSpStyle();
                CTSchemeColor cTSchemeColor = null;
                if (!(spStyle == null || spStyle.getFontRef() == null)) {
                    cTSchemeColor = spStyle.getFontRef().getSchemeClr();
                }
                XSLFPropertiesDelegate.XSLFFillProperties fillDelegate = XSLFPropertiesDelegate.getFillDelegate(cTTextCharacterProperties);
                ?? sheet = parentShape.getSheet();
                PaintStyle selectPaint = XSLFShape.selectPaint(fillDelegate, cTSchemeColor, sheet.getPackagePart(), sheet.getTheme(), z);
                if (selectPaint == null) {
                    return false;
                }
                setValue(selectPaint);
                return true;
            }
        };
        fetchCharacterProperty(r1);
        return (PaintStyle) r1.getValue();
    }

    /* JADX WARN: Type inference failed for: r0v1, types: [org.apache.poi.xslf.usermodel.XSLFShape, org.apache.poi.xslf.usermodel.XSLFTextShape] */
    /* JADX WARN: Type inference failed for: r0v2, types: [org.apache.poi.xslf.usermodel.XSLFSheet] */
    /* JADX WARNING: Unknown variable types count: 2 */
    @Override // org.apache.poi.sl.usermodel.TextRun
    public String getFontFamily() {
        final XSLFTheme theme = this._p.getParentShape().getSheet().getTheme();
        AnonymousClass4 r1 = new CharacterPropertyFetcher<String>(this._p.getIndentLevel()) {
            /* class org.apache.poi.xslf.usermodel.XSLFTextRun.AnonymousClass4 */

            @Override // org.apache.poi.xslf.model.CharacterPropertyFetcher
            public boolean fetch(CTTextCharacterProperties cTTextCharacterProperties) {
                CTTextFont latin;
                if (cTTextCharacterProperties == null || (latin = cTTextCharacterProperties.getLatin()) == null) {
                    return false;
                }
                String typeface = latin.getTypeface();
                if ("+mj-lt".equals(typeface)) {
                    typeface = theme.getMajorFont();
                } else if ("+mn-lt".equals(typeface)) {
                    typeface = theme.getMinorFont();
                }
                setValue(typeface);
                return true;
            }
        };
        fetchCharacterProperty(r1);
        return (String) r1.getValue();
    }

    /* JADX WARN: Type inference failed for: r0v1, types: [org.apache.poi.xslf.usermodel.XSLFTextShape] */
    /* JADX WARNING: Unknown variable types count: 1 */
    @Override // org.apache.poi.sl.usermodel.TextRun
    public Double getFontSize() {
        CTTextNormalAutofit normAutofit = getParentParagraph().getParentShape().getTextBodyPr().getNormAutofit();
        double fontScale = normAutofit != null ? ((double) normAutofit.getFontScale()) / 100000.0d : 1.0d;
        AnonymousClass2 r2 = new CharacterPropertyFetcher<Double>(this._p.getIndentLevel()) {
            /* class org.apache.poi.xslf.usermodel.XSLFTextRun.AnonymousClass2 */

            @Override // org.apache.poi.xslf.model.CharacterPropertyFetcher
            public boolean fetch(CTTextCharacterProperties cTTextCharacterProperties) {
                if (cTTextCharacterProperties == null || !cTTextCharacterProperties.isSetSz()) {
                    return false;
                }
                setValue(Double.valueOf(((double) cTTextCharacterProperties.getSz()) * 0.01d));
                return true;
            }
        };
        fetchCharacterProperty(r2);
        if (r2.getValue() == null) {
            return null;
        }
        return Double.valueOf(((Double) r2.getValue()).doubleValue() * fontScale);
    }

    public XSLFTextParagraph getParentParagraph() {
        return this._p;
    }

    @Override // org.apache.poi.sl.usermodel.TextRun
    public byte getPitchAndFamily() {
        AnonymousClass5 r0 = new CharacterPropertyFetcher<Byte>(this._p.getIndentLevel()) {
            /* class org.apache.poi.xslf.usermodel.XSLFTextRun.AnonymousClass5 */

            @Override // org.apache.poi.xslf.model.CharacterPropertyFetcher
            public boolean fetch(CTTextCharacterProperties cTTextCharacterProperties) {
                CTTextFont latin;
                if (cTTextCharacterProperties == null || (latin = cTTextCharacterProperties.getLatin()) == null) {
                    return false;
                }
                setValue(Byte.valueOf(latin.getPitchFamily()));
                return true;
            }
        };
        fetchCharacterProperty(r0);
        if (r0.getValue() == null) {
            return 0;
        }
        return ((Byte) r0.getValue()).byteValue();
    }

    public CTTextCharacterProperties getRPr(boolean z) {
        XmlObject xmlObject = this._r;
        if (xmlObject instanceof CTTextField) {
            CTTextField cTTextField = (CTTextField) xmlObject;
            if (cTTextField.isSetRPr()) {
                return cTTextField.getRPr();
            }
            if (z) {
                return cTTextField.addNewRPr();
            }
            return null;
        } else if (xmlObject instanceof CTTextLineBreak) {
            CTTextLineBreak cTTextLineBreak = (CTTextLineBreak) xmlObject;
            if (cTTextLineBreak.isSetRPr()) {
                return cTTextLineBreak.getRPr();
            }
            if (z) {
                return cTTextLineBreak.addNewRPr();
            }
            return null;
        } else {
            CTRegularTextRun cTRegularTextRun = (CTRegularTextRun) xmlObject;
            if (cTRegularTextRun.isSetRPr()) {
                return cTRegularTextRun.getRPr();
            }
            if (z) {
                return cTRegularTextRun.addNewRPr();
            }
            return null;
        }
    }

    @Override // org.apache.poi.sl.usermodel.TextRun
    public String getRawText() {
        XmlObject xmlObject = this._r;
        if (xmlObject instanceof CTTextField) {
            return ((CTTextField) xmlObject).getT();
        }
        if (xmlObject instanceof CTTextLineBreak) {
            return "\n";
        }
        return ((CTRegularTextRun) xmlObject).getT();
    }

    /* JADX WARN: Type inference failed for: r1v4, types: [org.apache.poi.xslf.usermodel.XSLFShape, org.apache.poi.xslf.usermodel.XSLFTextShape] */
    /* JADX WARNING: Unknown variable types count: 1 */
    public String getRenderableText() {
        XmlObject xmlObject = this._r;
        if (xmlObject instanceof CTTextField) {
            CTTextField cTTextField = (CTTextField) xmlObject;
            Sheet<XSLFShape, XSLFTextParagraph> sheet = this._p.getParentShape().getSheet();
            if (!"slidenum".equals(cTTextField.getType()) || !(sheet instanceof XSLFSlide)) {
                return cTTextField.getT();
            }
            return Integer.toString(((XSLFSlide) sheet).getSlideNumber());
        } else if (xmlObject instanceof CTTextLineBreak) {
            return "\n";
        } else {
            String t = ((CTRegularTextRun) xmlObject).getT();
            TextRun.TextCap textCap = getTextCap();
            StringBuffer stringBuffer = new StringBuffer();
            for (int i2 = 0; i2 < t.length(); i2++) {
                char charAt = t.charAt(i2);
                if (charAt == '\t') {
                    stringBuffer.append(JamPrinter.INDENT);
                } else {
                    int ordinal = textCap.ordinal();
                    if (ordinal == 1) {
                        stringBuffer.append(Character.toLowerCase(charAt));
                    } else if (ordinal != 2) {
                        stringBuffer.append(charAt);
                    } else {
                        stringBuffer.append(Character.toUpperCase(charAt));
                    }
                }
            }
            return stringBuffer.toString();
        }
    }

    @Override // org.apache.poi.sl.usermodel.TextRun
    public TextRun.TextCap getTextCap() {
        AnonymousClass9 r0 = new CharacterPropertyFetcher<TextRun.TextCap>(this._p.getIndentLevel()) {
            /* class org.apache.poi.xslf.usermodel.XSLFTextRun.AnonymousClass9 */

            @Override // org.apache.poi.xslf.model.CharacterPropertyFetcher
            public boolean fetch(CTTextCharacterProperties cTTextCharacterProperties) {
                if (cTTextCharacterProperties == null || !cTTextCharacterProperties.isSetCap()) {
                    return false;
                }
                setValue(TextRun.TextCap.values()[cTTextCharacterProperties.getCap().intValue() - 1]);
                return true;
            }
        };
        fetchCharacterProperty(r0);
        return r0.getValue() == null ? TextRun.TextCap.NONE : (TextRun.TextCap) r0.getValue();
    }

    public XmlObject getXmlObject() {
        return this._r;
    }

    @Override // org.apache.poi.sl.usermodel.TextRun
    public boolean isBold() {
        AnonymousClass10 r0 = new CharacterPropertyFetcher<Boolean>(this._p.getIndentLevel()) {
            /* class org.apache.poi.xslf.usermodel.XSLFTextRun.AnonymousClass10 */

            @Override // org.apache.poi.xslf.model.CharacterPropertyFetcher
            public boolean fetch(CTTextCharacterProperties cTTextCharacterProperties) {
                if (cTTextCharacterProperties == null || !cTTextCharacterProperties.isSetB()) {
                    return false;
                }
                setValue(Boolean.valueOf(cTTextCharacterProperties.getB()));
                return true;
            }
        };
        fetchCharacterProperty(r0);
        if (r0.getValue() == null) {
            return false;
        }
        return ((Boolean) r0.getValue()).booleanValue();
    }

    @Override // org.apache.poi.sl.usermodel.TextRun
    public boolean isItalic() {
        AnonymousClass11 r0 = new CharacterPropertyFetcher<Boolean>(this._p.getIndentLevel()) {
            /* class org.apache.poi.xslf.usermodel.XSLFTextRun.AnonymousClass11 */

            @Override // org.apache.poi.xslf.model.CharacterPropertyFetcher
            public boolean fetch(CTTextCharacterProperties cTTextCharacterProperties) {
                if (cTTextCharacterProperties == null || !cTTextCharacterProperties.isSetI()) {
                    return false;
                }
                setValue(Boolean.valueOf(cTTextCharacterProperties.getI()));
                return true;
            }
        };
        fetchCharacterProperty(r0);
        if (r0.getValue() == null) {
            return false;
        }
        return ((Boolean) r0.getValue()).booleanValue();
    }

    @Override // org.apache.poi.sl.usermodel.TextRun
    public boolean isStrikethrough() {
        AnonymousClass6 r0 = new CharacterPropertyFetcher<Boolean>(this._p.getIndentLevel()) {
            /* class org.apache.poi.xslf.usermodel.XSLFTextRun.AnonymousClass6 */

            @Override // org.apache.poi.xslf.model.CharacterPropertyFetcher
            public boolean fetch(CTTextCharacterProperties cTTextCharacterProperties) {
                boolean z = false;
                if (cTTextCharacterProperties == null || !cTTextCharacterProperties.isSetStrike()) {
                    return false;
                }
                if (cTTextCharacterProperties.getStrike() != STTextStrikeType.NO_STRIKE) {
                    z = true;
                }
                setValue(Boolean.valueOf(z));
                return true;
            }
        };
        fetchCharacterProperty(r0);
        if (r0.getValue() == null) {
            return false;
        }
        return ((Boolean) r0.getValue()).booleanValue();
    }

    @Override // org.apache.poi.sl.usermodel.TextRun
    public boolean isSubscript() {
        AnonymousClass8 r0 = new CharacterPropertyFetcher<Boolean>(this._p.getIndentLevel()) {
            /* class org.apache.poi.xslf.usermodel.XSLFTextRun.AnonymousClass8 */

            @Override // org.apache.poi.xslf.model.CharacterPropertyFetcher
            public boolean fetch(CTTextCharacterProperties cTTextCharacterProperties) {
                boolean z = false;
                if (cTTextCharacterProperties == null || !cTTextCharacterProperties.isSetBaseline()) {
                    return false;
                }
                if (cTTextCharacterProperties.getBaseline() < 0) {
                    z = true;
                }
                setValue(Boolean.valueOf(z));
                return true;
            }
        };
        fetchCharacterProperty(r0);
        if (r0.getValue() == null) {
            return false;
        }
        return ((Boolean) r0.getValue()).booleanValue();
    }

    @Override // org.apache.poi.sl.usermodel.TextRun
    public boolean isSuperscript() {
        AnonymousClass7 r0 = new CharacterPropertyFetcher<Boolean>(this._p.getIndentLevel()) {
            /* class org.apache.poi.xslf.usermodel.XSLFTextRun.AnonymousClass7 */

            @Override // org.apache.poi.xslf.model.CharacterPropertyFetcher
            public boolean fetch(CTTextCharacterProperties cTTextCharacterProperties) {
                boolean z = false;
                if (cTTextCharacterProperties == null || !cTTextCharacterProperties.isSetBaseline()) {
                    return false;
                }
                if (cTTextCharacterProperties.getBaseline() > 0) {
                    z = true;
                }
                setValue(Boolean.valueOf(z));
                return true;
            }
        };
        fetchCharacterProperty(r0);
        if (r0.getValue() == null) {
            return false;
        }
        return ((Boolean) r0.getValue()).booleanValue();
    }

    @Override // org.apache.poi.sl.usermodel.TextRun
    public boolean isUnderlined() {
        AnonymousClass12 r0 = new CharacterPropertyFetcher<Boolean>(this._p.getIndentLevel()) {
            /* class org.apache.poi.xslf.usermodel.XSLFTextRun.AnonymousClass12 */

            @Override // org.apache.poi.xslf.model.CharacterPropertyFetcher
            public boolean fetch(CTTextCharacterProperties cTTextCharacterProperties) {
                boolean z = false;
                if (cTTextCharacterProperties == null || !cTTextCharacterProperties.isSetU()) {
                    return false;
                }
                if (cTTextCharacterProperties.getU() != STTextUnderlineType.NONE) {
                    z = true;
                }
                setValue(Boolean.valueOf(z));
                return true;
            }
        };
        fetchCharacterProperty(r0);
        if (r0.getValue() == null) {
            return false;
        }
        return ((Boolean) r0.getValue()).booleanValue();
    }

    public void setBaselineOffset(double d2) {
        getRPr(true).setBaseline(((int) d2) * 1000);
    }

    @Override // org.apache.poi.sl.usermodel.TextRun
    public void setBold(boolean z) {
        getRPr(true).setB(z);
    }

    public void setCharacterSpacing(double d2) {
        CTTextCharacterProperties rPr = getRPr(true);
        if (d2 != NumericFunction.LOG_10_TO_BASE_e) {
            rPr.setSpc((int) (d2 * 100.0d));
        } else if (rPr.isSetSpc()) {
            rPr.unsetSpc();
        }
    }

    public void setFontColor(Color color) {
        setFontColor(DrawPaint.createSolidPaint(color));
    }

    @Override // org.apache.poi.sl.usermodel.TextRun
    public void setFontFamily(String str) {
        setFontFamily(str, (byte) -1, (byte) -1, false);
    }

    @Override // org.apache.poi.sl.usermodel.TextRun
    public void setFontSize(Double d2) {
        CTTextCharacterProperties rPr = getRPr(true);
        if (d2 == null) {
            if (rPr.isSetSz()) {
                rPr.unsetSz();
            }
        } else if (d2.doubleValue() >= 1.0d) {
            rPr.setSz((int) (d2.doubleValue() * 100.0d));
        } else {
            throw new IllegalArgumentException("Minimum font size is 1pt but was " + d2);
        }
    }

    @Override // org.apache.poi.sl.usermodel.TextRun
    public void setItalic(boolean z) {
        getRPr(true).setI(z);
    }

    @Override // org.apache.poi.sl.usermodel.TextRun
    public void setStrikethrough(boolean z) {
        getRPr(true).setStrike(z ? STTextStrikeType.SNG_STRIKE : STTextStrikeType.NO_STRIKE);
    }

    public void setSubscript(boolean z) {
        setBaselineOffset(z ? -25.0d : NumericFunction.LOG_10_TO_BASE_e);
    }

    public void setSuperscript(boolean z) {
        setBaselineOffset(z ? 30.0d : NumericFunction.LOG_10_TO_BASE_e);
    }

    @Override // org.apache.poi.sl.usermodel.TextRun
    public void setText(String str) {
        XmlObject xmlObject = this._r;
        if (xmlObject instanceof CTTextField) {
            ((CTTextField) xmlObject).setT(str);
        } else if (!(xmlObject instanceof CTTextLineBreak)) {
            ((CTRegularTextRun) xmlObject).setT(str);
        }
    }

    @Override // org.apache.poi.sl.usermodel.TextRun
    public void setUnderlined(boolean z) {
        getRPr(true).setU(z ? STTextUnderlineType.SNG : STTextUnderlineType.NONE);
    }

    public String toString() {
        StringBuilder b2 = a.b("[");
        b2.append(getClass());
        b2.append("]");
        b2.append(getRawText());
        return b2.toString();
    }

    /* JADX WARN: Type inference failed for: r2v1, types: [org.apache.poi.xslf.usermodel.XSLFShape, org.apache.poi.xslf.usermodel.XSLFTextShape] */
    /* JADX WARN: Type inference failed for: r2v2, types: [org.apache.poi.xslf.usermodel.XSLFSheet] */
    /* JADX WARNING: Unknown variable types count: 2 */
    @Override // org.apache.poi.sl.usermodel.TextRun
    public XSLFHyperlink createHyperlink() {
        XSLFHyperlink hyperlink = getHyperlink();
        if (hyperlink != null) {
            return hyperlink;
        }
        return new XSLFHyperlink(getRPr(true).addNewHlinkClick(), this._p.getParentShape().getSheet());
    }

    /* JADX WARN: Type inference failed for: r2v1, types: [org.apache.poi.xslf.usermodel.XSLFShape, org.apache.poi.xslf.usermodel.XSLFTextShape] */
    /* JADX WARN: Type inference failed for: r2v2, types: [org.apache.poi.xslf.usermodel.XSLFSheet] */
    /* JADX WARNING: Unknown variable types count: 2 */
    @Override // org.apache.poi.sl.usermodel.TextRun
    public XSLFHyperlink getHyperlink() {
        CTHyperlink hlinkClick;
        CTTextCharacterProperties rPr = getRPr(false);
        if (rPr == null || (hlinkClick = rPr.getHlinkClick()) == null) {
            return null;
        }
        return new XSLFHyperlink(hlinkClick, this._p.getParentShape().getSheet());
    }

    /* JADX WARN: Type inference failed for: r2v1, types: [org.apache.poi.xslf.usermodel.XSLFShape, org.apache.poi.xslf.usermodel.XSLFTextShape] */
    /* JADX WARN: Type inference failed for: r2v2, types: [org.apache.poi.xslf.usermodel.XSLFSheet] */
    /* JADX WARNING: Unknown variable types count: 2 */
    @Override // org.apache.poi.sl.usermodel.TextRun
    public void setFontColor(PaintStyle paintStyle) {
        if (paintStyle instanceof PaintStyle.SolidPaint) {
            Color applyColorTransform = DrawPaint.applyColorTransform(((PaintStyle.SolidPaint) paintStyle).getSolidColor());
            CTTextCharacterProperties rPr = getRPr(true);
            CTSolidColorFillProperties solidFill = rPr.isSetSolidFill() ? rPr.getSolidFill() : rPr.addNewSolidFill();
            new XSLFColor(solidFill, getParentParagraph().getParentShape().getSheet().getTheme(), solidFill.getSchemeClr()).setColor(applyColorTransform);
            return;
        }
        throw new IllegalArgumentException("Currently only SolidPaint is supported!");
    }

    public void setFontFamily(String str, byte b2, byte b3, boolean z) {
        CTTextCharacterProperties rPr = getRPr(true);
        if (str == null) {
            if (rPr.isSetLatin()) {
                rPr.unsetLatin();
            }
            if (rPr.isSetCs()) {
                rPr.unsetCs();
            }
            if (rPr.isSetSym()) {
                rPr.unsetSym();
            }
        } else if (z) {
            (rPr.isSetSym() ? rPr.getSym() : rPr.addNewSym()).setTypeface(str);
        } else {
            CTTextFont latin = rPr.isSetLatin() ? rPr.getLatin() : rPr.addNewLatin();
            latin.setTypeface(str);
            if (b2 != -1) {
                latin.setCharset(b2);
            }
            if (b3 != -1) {
                latin.setPitchFamily(b3);
            }
        }
    }
}
