package org.apache.poi.xssf.binary;

import java.io.InputStream;
import java.util.ArrayList;
import java.util.List;
import org.apache.poi.openxml4j.opc.OPCPackage;
import org.apache.poi.openxml4j.opc.PackagePart;
import org.apache.poi.util.Internal;
import org.apache.poi.util.LittleEndian;

@Internal
public class XSSFBSharedStringsTable {
    public int count;
    public List<String> strings = new ArrayList();
    public int uniqueCount;

    /* renamed from: org.apache.poi.xssf.binary.XSSFBSharedStringsTable$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$xssf$binary$XSSFBRecordType;

        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0010 */
        static {
            int[] iArr = new int[XSSFBRecordType.values().length];
            $SwitchMap$org$apache$poi$xssf$binary$XSSFBRecordType = iArr;
            XSSFBRecordType xSSFBRecordType = XSSFBRecordType.BrtSstItem;
            iArr[35] = 1;
            try {
                int[] iArr2 = $SwitchMap$org$apache$poi$xssf$binary$XSSFBRecordType;
                XSSFBRecordType xSSFBRecordType2 = XSSFBRecordType.BrtBeginSst;
                iArr2[36] = 2;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    public class SSTBinaryReader extends XSSFBParser {
        public SSTBinaryReader(InputStream inputStream) {
            super(inputStream);
        }

        @Override // org.apache.poi.xssf.binary.XSSFBParser
        public void handleRecord(int i2, byte[] bArr) {
            int ordinal = XSSFBRecordType.lookup(i2).ordinal();
            if (ordinal == 35) {
                XSSFBSharedStringsTable.this.strings.add(XSSFBRichStr.build(bArr, 0).getString());
            } else if (ordinal == 36) {
                XSSFBSharedStringsTable.this.count = XSSFBUtils.castToInt(LittleEndian.getUInt(bArr, 0));
                XSSFBSharedStringsTable.this.uniqueCount = XSSFBUtils.castToInt(LittleEndian.getUInt(bArr, 4));
            }
        }
    }

    public XSSFBSharedStringsTable(OPCPackage oPCPackage) {
        ArrayList<PackagePart> partsByContentType = oPCPackage.getPartsByContentType(XSSFBRelation.SHARED_STRINGS_BINARY.getContentType());
        if (partsByContentType.size() > 0) {
            readFrom(partsByContentType.get(0).getInputStream());
        }
    }

    private void readFrom(InputStream inputStream) {
        new SSTBinaryReader(inputStream).parse();
    }

    public int getCount() {
        return this.count;
    }

    public String getEntryAt(int i2) {
        return this.strings.get(i2);
    }

    public List<String> getItems() {
        ArrayList arrayList = new ArrayList(this.strings.size());
        arrayList.addAll(this.strings);
        return arrayList;
    }

    public int getUniqueCount() {
        return this.uniqueCount;
    }

    public XSSFBSharedStringsTable(PackagePart packagePart) {
        readFrom(packagePart.getInputStream());
    }
}
