package org.apache.poi.xssf.binary;

import b.b.a.a.a;
import java.io.InputStream;
import java.util.Queue;
import org.apache.poi.ss.usermodel.BuiltinFormats;
import org.apache.poi.ss.usermodel.DataFormatter;
import org.apache.poi.ss.util.CellAddress;
import org.apache.poi.util.Internal;
import org.apache.poi.util.LittleEndian;
import org.apache.poi.xssf.eventusermodel.XSSFSheetXMLHandler;
import org.apache.poi.xssf.usermodel.XSSFCell;
import org.apache.poi.xssf.usermodel.XSSFComment;
import org.apache.poi.xssf.usermodel.XSSFRichTextString;

@Internal
public class XSSFBSheetHandler extends XSSFBParser {
    public static final int CHECK_ALL_ROWS = -1;
    public final XSSFBCellHeader cellBuffer = new XSSFBCellHeader();
    public final XSSFBCommentsTable comments;
    public int currentRow = 0;
    public final DataFormatter dataFormatter;
    public final boolean formulasNotResults;
    public final XSSFSheetXMLHandler.SheetContentsHandler handler;
    public XSSFBCellRange hyperlinkCellRange = null;
    public int lastEndedRow = -1;
    public int lastStartedRow = -1;
    public byte[] rkBuffer = new byte[8];
    public final XSSFBSharedStringsTable stringsTable;
    public final XSSFBStylesTable styles;
    public StringBuilder xlWideStringBuffer = new StringBuilder();

    /* renamed from: org.apache.poi.xssf.binary.XSSFBSheetHandler$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$xssf$binary$XSSFBRecordType;

        /* JADX WARNING: Can't wrap try/catch for region: R(32:0|1|2|3|(2:5|6)|7|9|10|11|13|14|15|16|17|18|19|(2:21|22)|23|25|26|27|28|29|31|32|33|34|35|36|37|38|40) */
        /* JADX WARNING: Can't wrap try/catch for region: R(33:0|1|2|3|(2:5|6)|7|9|10|11|13|14|15|16|17|18|19|21|22|23|25|26|27|28|29|31|32|33|34|35|36|37|38|40) */
        /* JADX WARNING: Code restructure failed: missing block: B:41:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:15:0x0027 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:17:0x002d */
        /* JADX WARNING: Missing exception handler attribute for start block: B:27:0x0043 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:33:0x0053 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:35:0x0059 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:37:0x0063 */
        static {
            int[] iArr = new int[XSSFBRecordType.values().length];
            $SwitchMap$org$apache$poi$xssf$binary$XSSFBRecordType = iArr;
            try {
                XSSFBRecordType xSSFBRecordType = XSSFBRecordType.BrtRowHdr;
                iArr[11] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                int[] iArr2 = $SwitchMap$org$apache$poi$xssf$binary$XSSFBRecordType;
                XSSFBRecordType xSSFBRecordType2 = XSSFBRecordType.BrtCellIsst;
                iArr2[6] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            try {
                int[] iArr3 = $SwitchMap$org$apache$poi$xssf$binary$XSSFBRecordType;
                XSSFBRecordType xSSFBRecordType3 = XSSFBRecordType.BrtCellSt;
                iArr3[5] = 3;
            } catch (NoSuchFieldError unused3) {
            }
            int[] iArr4 = $SwitchMap$org$apache$poi$xssf$binary$XSSFBRecordType;
            XSSFBRecordType xSSFBRecordType4 = XSSFBRecordType.BrtCellRk;
            iArr4[1] = 4;
            int[] iArr5 = $SwitchMap$org$apache$poi$xssf$binary$XSSFBRecordType;
            XSSFBRecordType xSSFBRecordType5 = XSSFBRecordType.BrtCellReal;
            iArr5[4] = 5;
            try {
                int[] iArr6 = $SwitchMap$org$apache$poi$xssf$binary$XSSFBRecordType;
                XSSFBRecordType xSSFBRecordType6 = XSSFBRecordType.BrtCellBool;
                iArr6[3] = 6;
            } catch (NoSuchFieldError unused4) {
            }
            try {
                int[] iArr7 = $SwitchMap$org$apache$poi$xssf$binary$XSSFBRecordType;
                XSSFBRecordType xSSFBRecordType7 = XSSFBRecordType.BrtCellError;
                iArr7[2] = 7;
            } catch (NoSuchFieldError unused5) {
            }
            int[] iArr8 = $SwitchMap$org$apache$poi$xssf$binary$XSSFBRecordType;
            XSSFBRecordType xSSFBRecordType8 = XSSFBRecordType.BrtCellBlank;
            iArr8[0] = 8;
            int[] iArr9 = $SwitchMap$org$apache$poi$xssf$binary$XSSFBRecordType;
            XSSFBRecordType xSSFBRecordType9 = XSSFBRecordType.BrtFmlaString;
            iArr9[7] = 9;
            int[] iArr10 = $SwitchMap$org$apache$poi$xssf$binary$XSSFBRecordType;
            XSSFBRecordType xSSFBRecordType10 = XSSFBRecordType.BrtFmlaNum;
            iArr10[8] = 10;
            int[] iArr11 = $SwitchMap$org$apache$poi$xssf$binary$XSSFBRecordType;
            XSSFBRecordType xSSFBRecordType11 = XSSFBRecordType.BrtFmlaError;
            iArr11[10] = 11;
            int[] iArr12 = $SwitchMap$org$apache$poi$xssf$binary$XSSFBRecordType;
            XSSFBRecordType xSSFBRecordType12 = XSSFBRecordType.BrtEndSheetData;
            iArr12[18] = 12;
            int[] iArr13 = $SwitchMap$org$apache$poi$xssf$binary$XSSFBRecordType;
            XSSFBRecordType xSSFBRecordType13 = XSSFBRecordType.BrtBeginHeaderFooter;
            iArr13[20] = 13;
        }
    }

    public interface SheetContentsHandler extends XSSFSheetXMLHandler.SheetContentsHandler {
        void hyperlinkCell(String str, String str2, String str3, String str4, XSSFComment xSSFComment);
    }

    public XSSFBSheetHandler(InputStream inputStream, XSSFBStylesTable xSSFBStylesTable, XSSFBCommentsTable xSSFBCommentsTable, XSSFBSharedStringsTable xSSFBSharedStringsTable, XSSFSheetXMLHandler.SheetContentsHandler sheetContentsHandler, DataFormatter dataFormatter2, boolean z) {
        super(inputStream);
        this.styles = xSSFBStylesTable;
        this.comments = xSSFBCommentsTable;
        this.stringsTable = xSSFBSharedStringsTable;
        this.handler = sheetContentsHandler;
        this.dataFormatter = dataFormatter2;
        this.formulasNotResults = z;
    }

    private void beforeCellValue(byte[] bArr) {
        XSSFBCellHeader.parse(bArr, 0, this.currentRow, this.cellBuffer);
        checkMissedComments(this.currentRow, this.cellBuffer.getColNum());
    }

    private void checkMissedComments(int i2, int i3) {
        XSSFBCommentsTable xSSFBCommentsTable = this.comments;
        if (xSSFBCommentsTable != null) {
            Queue<CellAddress> addresses = xSSFBCommentsTable.getAddresses();
            while (addresses.size() > 0) {
                CellAddress peek = addresses.peek();
                if (peek.getRow() == i2 && peek.getColumn() < i3) {
                    CellAddress remove = addresses.remove();
                    dumpEmptyCellComment(remove, this.comments.get(remove));
                } else if (peek.getRow() == i2 && peek.getColumn() == i3) {
                    addresses.remove();
                    return;
                } else if ((peek.getRow() == i2 && peek.getColumn() > i3) || peek.getRow() > i2) {
                    return;
                }
            }
        }
    }

    private void dumpEmptyCellComment(CellAddress cellAddress, XSSFBComment xSSFBComment) {
        this.handler.cell(cellAddress.formatAsString(), null, xSSFBComment);
    }

    private void endRow(int i2) {
        if (this.lastEndedRow != i2) {
            this.handler.endRow(i2);
            this.lastEndedRow = i2;
        }
    }

    private String formatVal(double d2, int i2) {
        String numberFormatString = this.styles.getNumberFormatString(i2);
        short numberFormatIndex = this.styles.getNumberFormatIndex(i2);
        if (numberFormatString == null) {
            numberFormatString = BuiltinFormats.getBuiltinFormat(0);
            numberFormatIndex = 0;
        }
        return this.dataFormatter.formatRawCellContents(d2, numberFormatIndex, numberFormatString);
    }

    private void handleBoolean(byte[] bArr) {
        beforeCellValue(bArr);
        handleCellValue(bArr[XSSFBCellHeader.length] == 1 ? XSSFCell.TRUE : XSSFCell.FALSE);
    }

    private void handleBrtCellIsst(byte[] bArr) {
        beforeCellValue(bArr);
        handleCellValue(new XSSFRichTextString(this.stringsTable.getEntryAt(XSSFBUtils.castToInt(LittleEndian.getUInt(bArr, XSSFBCellHeader.length)))).getString());
    }

    private void handleCellError(byte[] bArr) {
        beforeCellValue(bArr);
        handleCellValue("ERROR");
    }

    private void handleCellReal(byte[] bArr) {
        beforeCellValue(bArr);
        handleCellValue(formatVal(LittleEndian.getDouble(bArr, XSSFBCellHeader.length), this.cellBuffer.getStyleIdx()));
    }

    private void handleCellRk(byte[] bArr) {
        beforeCellValue(bArr);
        handleCellValue(formatVal(rkNumber(bArr, XSSFBCellHeader.length), this.cellBuffer.getStyleIdx()));
    }

    private void handleCellSt(byte[] bArr) {
        beforeCellValue(bArr);
        this.xlWideStringBuffer.setLength(0);
        XSSFBUtils.readXLWideString(bArr, XSSFBCellHeader.length, this.xlWideStringBuffer);
        handleCellValue(this.xlWideStringBuffer.toString());
    }

    private void handleCellValue(String str) {
        CellAddress cellAddress = new CellAddress(this.currentRow, this.cellBuffer.getColNum());
        XSSFBCommentsTable xSSFBCommentsTable = this.comments;
        this.handler.cell(cellAddress.formatAsString(), str, xSSFBCommentsTable != null ? xSSFBCommentsTable.get(cellAddress) : null);
    }

    private void handleFmlaError(byte[] bArr) {
        beforeCellValue(bArr);
        handleCellValue("ERROR");
    }

    private void handleFmlaNum(byte[] bArr) {
        beforeCellValue(bArr);
        handleCellValue(formatVal(LittleEndian.getDouble(bArr, XSSFBCellHeader.length), this.cellBuffer.getStyleIdx()));
    }

    private void handleFmlaString(byte[] bArr) {
        beforeCellValue(bArr);
        this.xlWideStringBuffer.setLength(0);
        XSSFBUtils.readXLWideString(bArr, XSSFBCellHeader.length, this.xlWideStringBuffer);
        handleCellValue(this.xlWideStringBuffer.toString());
    }

    private void handleHeaderFooter(byte[] bArr) {
        XSSFBHeaderFooters parse = XSSFBHeaderFooters.parse(bArr);
        outputHeaderFooter(parse.getHeader());
        outputHeaderFooter(parse.getFooter());
        outputHeaderFooter(parse.getHeaderEven());
        outputHeaderFooter(parse.getFooterEven());
        outputHeaderFooter(parse.getHeaderFirst());
        outputHeaderFooter(parse.getFooterFirst());
    }

    private void outputHeaderFooter(XSSFBHeaderFooter xSSFBHeaderFooter) {
        String string = xSSFBHeaderFooter.getString();
        if (string != null && string.trim().length() > 0) {
            this.handler.headerFooter(string, xSSFBHeaderFooter.isHeader(), xSSFBHeaderFooter.getHeaderFooterTypeLabel());
        }
    }

    private double rkNumber(byte[] bArr, int i2) {
        double d2;
        byte b2 = bArr[i2];
        Integer.toString(b2, 2);
        boolean z = false;
        boolean z2 = (b2 & 1) == 1;
        if (((b2 >> 1) & 1) == 0) {
            z = true;
        }
        this.rkBuffer[4] = (byte) (((byte) (b2 & -2)) & -3);
        for (int i3 = 1; i3 < 4; i3++) {
            this.rkBuffer[i3 + 4] = bArr[i2 + i3];
        }
        if (z) {
            d2 = LittleEndian.getDouble(this.rkBuffer);
        } else {
            d2 = (double) LittleEndian.getInt(this.rkBuffer);
        }
        return z2 ? d2 / 100.0d : d2;
    }

    private void startRow(int i2) {
        int i3 = this.lastStartedRow;
        if (i2 != i3) {
            if (i3 != this.lastEndedRow) {
                endRow(i3);
            }
            this.handler.startRow(i2);
            this.lastStartedRow = i2;
        }
    }

    @Override // org.apache.poi.xssf.binary.XSSFBParser
    public void handleRecord(int i2, byte[] bArr) {
        int ordinal = XSSFBRecordType.lookup(i2).ordinal();
        if (ordinal == 10) {
            handleFmlaError(bArr);
        } else if (ordinal == 11) {
            int castToInt = XSSFBUtils.castToInt(LittleEndian.getUInt(bArr, 0));
            if (castToInt <= 1048576) {
                this.currentRow = castToInt;
                checkMissedComments(castToInt);
                startRow(this.currentRow);
                return;
            }
            throw new XSSFBParseException(a.c("Row number beyond allowable range: ", castToInt));
        } else if (ordinal == 18) {
            checkMissedComments(-1);
            endRow(this.lastStartedRow);
        } else if (ordinal != 20) {
            switch (ordinal) {
                case 0:
                    beforeCellValue(bArr);
                    return;
                case 1:
                    handleCellRk(bArr);
                    return;
                case 2:
                    handleCellError(bArr);
                    return;
                case 3:
                    handleBoolean(bArr);
                    return;
                case 4:
                    handleCellReal(bArr);
                    return;
                case 5:
                    handleCellSt(bArr);
                    return;
                case 6:
                    handleBrtCellIsst(bArr);
                    return;
                case 7:
                    handleFmlaString(bArr);
                    return;
                case 8:
                    handleFmlaNum(bArr);
                    return;
                default:
                    return;
            }
        } else {
            handleHeaderFooter(bArr);
        }
    }

    private void checkMissedComments(int i2) {
        XSSFBCommentsTable xSSFBCommentsTable = this.comments;
        if (xSSFBCommentsTable != null) {
            Queue<CellAddress> addresses = xSSFBCommentsTable.getAddresses();
            int i3 = -1;
            while (addresses.size() > 0) {
                CellAddress peek = addresses.peek();
                if (i2 == -1 || peek.getRow() < i2) {
                    CellAddress remove = addresses.remove();
                    if (remove.getRow() != i3) {
                        startRow(remove.getRow());
                    }
                    dumpEmptyCellComment(remove, this.comments.get(remove));
                    i3 = remove.getRow();
                } else {
                    return;
                }
            }
        }
    }
}
