package org.apache.poi.xssf.binary;

import java.io.InputStream;
import java.util.ArrayList;
import java.util.List;
import java.util.SortedMap;
import java.util.TreeMap;
import org.apache.poi.POIXMLException;
import org.apache.poi.ss.usermodel.BuiltinFormats;
import org.apache.poi.util.Internal;

@Internal
public class XSSFBStylesTable extends XSSFBParser {
    public boolean inCellXFS = false;
    public boolean inFmts = false;
    public final SortedMap<Short, String> numberFormats = new TreeMap();
    public final List<Short> styleIds = new ArrayList();

    /* renamed from: org.apache.poi.xssf.binary.XSSFBStylesTable$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$xssf$binary$XSSFBRecordType;

        /* JADX WARNING: Can't wrap try/catch for region: R(14:0|1|2|3|4|5|6|7|8|9|10|11|12|14) */
        /* JADX WARNING: Code restructure failed: missing block: B:15:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x0034 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0010 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x0019 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0022 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x002b */
        static {
            int[] iArr = new int[XSSFBRecordType.values().length];
            $SwitchMap$org$apache$poi$xssf$binary$XSSFBRecordType = iArr;
            XSSFBRecordType xSSFBRecordType = XSSFBRecordType.BrtBeginCellXFs;
            iArr[31] = 1;
            int[] iArr2 = $SwitchMap$org$apache$poi$xssf$binary$XSSFBRecordType;
            XSSFBRecordType xSSFBRecordType2 = XSSFBRecordType.BrtEndCellXFs;
            iArr2[32] = 2;
            int[] iArr3 = $SwitchMap$org$apache$poi$xssf$binary$XSSFBRecordType;
            XSSFBRecordType xSSFBRecordType3 = XSSFBRecordType.BrtXf;
            iArr3[27] = 3;
            int[] iArr4 = $SwitchMap$org$apache$poi$xssf$binary$XSSFBRecordType;
            XSSFBRecordType xSSFBRecordType4 = XSSFBRecordType.BrtBeginFmts;
            iArr4[29] = 4;
            int[] iArr5 = $SwitchMap$org$apache$poi$xssf$binary$XSSFBRecordType;
            XSSFBRecordType xSSFBRecordType5 = XSSFBRecordType.BrtEndFmts;
            iArr5[30] = 5;
            int[] iArr6 = $SwitchMap$org$apache$poi$xssf$binary$XSSFBRecordType;
            XSSFBRecordType xSSFBRecordType6 = XSSFBRecordType.BrtFmt;
            iArr6[28] = 6;
        }
    }

    public XSSFBStylesTable(InputStream inputStream) {
        super(inputStream);
        parse();
    }

    private void handleBrtXFInCellXF(byte[] bArr) {
        this.styleIds.add(Short.valueOf((short) (bArr[2] & 255)));
    }

    private void handleFormat(byte[] bArr) {
        int i2 = bArr[0] & 255;
        if (i2 <= 32767) {
            StringBuilder sb = new StringBuilder();
            XSSFBUtils.readXLWideString(bArr, 2, sb);
            this.numberFormats.put(Short.valueOf((short) i2), sb.toString());
            return;
        }
        throw new POIXMLException("Format id must be a short");
    }

    public short getNumberFormatIndex(int i2) {
        return this.styleIds.get(i2).shortValue();
    }

    public String getNumberFormatString(int i2) {
        short numberFormatIndex = getNumberFormatIndex(i2);
        if (this.numberFormats.containsKey(Short.valueOf(numberFormatIndex))) {
            return this.numberFormats.get(Short.valueOf(numberFormatIndex));
        }
        return BuiltinFormats.getBuiltinFormat(numberFormatIndex);
    }

    @Override // org.apache.poi.xssf.binary.XSSFBParser
    public void handleRecord(int i2, byte[] bArr) {
        switch (XSSFBRecordType.lookup(i2).ordinal()) {
            case 27:
                if (this.inCellXFS) {
                    handleBrtXFInCellXF(bArr);
                    return;
                }
                return;
            case 28:
                if (this.inFmts) {
                    handleFormat(bArr);
                    return;
                }
                return;
            case 29:
                this.inFmts = true;
                return;
            case 30:
                this.inFmts = false;
                return;
            case 31:
                this.inCellXFS = true;
                return;
            case 32:
                this.inCellXFS = false;
                return;
            default:
                return;
        }
    }
}
