package org.apache.poi.xssf.extractor;

import b.b.a.a.a;
import java.io.IOException;
import java.io.OutputStream;
import java.text.SimpleDateFormat;
import java.util.Collections;
import java.util.Comparator;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import java.util.Vector;
import javax.xml.transform.OutputKeys;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.dom.DOMSource;
import javax.xml.transform.stream.StreamResult;
import javax.xml.validation.SchemaFactory;
import org.apache.poi.openxml4j.opc.internal.ZipHelper;
import org.apache.poi.ss.usermodel.CellType;
import org.apache.poi.ss.usermodel.DateUtil;
import org.apache.poi.util.DocumentHelper;
import org.apache.poi.util.LocaleUtil;
import org.apache.poi.util.POILogFactory;
import org.apache.poi.util.POILogger;
import org.apache.poi.xssf.usermodel.XSSFCell;
import org.apache.poi.xssf.usermodel.XSSFMap;
import org.apache.poi.xssf.usermodel.XSSFRow;
import org.apache.poi.xssf.usermodel.XSSFSheet;
import org.apache.poi.xssf.usermodel.XSSFTable;
import org.apache.poi.xssf.usermodel.helpers.XSSFSingleXmlCell;
import org.apache.poi.xssf.usermodel.helpers.XSSFXmlColumnPr;
import org.apache.xmlbeans.impl.jam.xml.JamXmlElements;
import org.w3c.dom.Attr;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.NamedNodeMap;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

public class XSSFExportToXml implements Comparator<String> {
    public static final POILogger LOG = POILogFactory.getLogger(XSSFExportToXml.class);
    public XSSFMap map;

    /* renamed from: org.apache.poi.xssf.extractor.XSSFExportToXml$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$ss$usermodel$CellType;

        /* JADX WARNING: Can't wrap try/catch for region: R(12:0|(2:1|2)|3|(2:5|6)|7|9|10|11|12|13|14|16) */
        /* JADX WARNING: Code restructure failed: missing block: B:17:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x001e */
        /* JADX WARNING: Missing exception handler attribute for start block: B:13:0x0025 */
        static {
            int[] iArr = new int[CellType.values().length];
            $SwitchMap$org$apache$poi$ss$usermodel$CellType = iArr;
            try {
                CellType cellType = CellType.STRING;
                iArr[2] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                int[] iArr2 = $SwitchMap$org$apache$poi$ss$usermodel$CellType;
                CellType cellType2 = CellType.BOOLEAN;
                iArr2[5] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            int[] iArr3 = $SwitchMap$org$apache$poi$ss$usermodel$CellType;
            CellType cellType3 = CellType.ERROR;
            iArr3[6] = 3;
            int[] iArr4 = $SwitchMap$org$apache$poi$ss$usermodel$CellType;
            CellType cellType4 = CellType.FORMULA;
            iArr4[3] = 4;
            int[] iArr5 = $SwitchMap$org$apache$poi$ss$usermodel$CellType;
            CellType cellType5 = CellType.NUMERIC;
            iArr5[1] = 5;
        }
    }

    public XSSFExportToXml(XSSFMap xSSFMap) {
        this.map = xSSFMap;
    }

    private Node createAttribute(Document document, Node node, String str) {
        String substring = str.substring(1);
        NamedNodeMap attributes = node.getAttributes();
        Node namedItem = attributes.getNamedItem(substring);
        if (namedItem != null) {
            return namedItem;
        }
        Attr createAttributeNS = document.createAttributeNS("", substring);
        attributes.setNamedItem(createAttributeNS);
        return createAttributeNS;
    }

    private Node createElement(Document document, Node node, String str) {
        Element element;
        if (isNamespaceDeclared()) {
            element = document.createElementNS(getNamespace(), str);
        } else {
            element = document.createElementNS("", str);
        }
        node.appendChild(element);
        return element;
    }

    private Node getComplexTypeForElement(String str, Node node, Node node2) {
        String complexTypeNameFromChildren = getComplexTypeNameFromChildren(node2, removeNamespace(str));
        if (!"".equals(complexTypeNameFromChildren)) {
            return getComplexTypeNodeFromSchemaChildren(node, null, complexTypeNameFromChildren);
        }
        return null;
    }

    private String getComplexTypeNameFromChildren(Node node, String str) {
        Node namedItem;
        if (node == null) {
            return "";
        }
        NodeList childNodes = node.getChildNodes();
        for (int i2 = 0; i2 < childNodes.getLength(); i2++) {
            Node item = childNodes.item(i2);
            if ((item instanceof Element) && item.getLocalName().equals("element") && getNameOrRefElement(item).getNodeValue().equals(str) && (namedItem = item.getAttributes().getNamedItem(JamXmlElements.TYPE)) != null) {
                return namedItem.getNodeValue();
            }
        }
        return "";
    }

    private Node getComplexTypeNodeFromSchemaChildren(Node node, Node node2, String str) {
        Node item;
        NodeList childNodes = node.getChildNodes();
        for (int i2 = 0; i2 < childNodes.getLength(); i2++) {
            Node item2 = childNodes.item(i2);
            if ((item2 instanceof Element) && item2.getLocalName().equals("complexType") && getNameOrRefElement(item2).getNodeValue().equals(str)) {
                NodeList childNodes2 = item2.getChildNodes();
                int i3 = 0;
                while (true) {
                    if (i3 >= childNodes2.getLength()) {
                        break;
                    }
                    item = childNodes2.item(i3);
                    if (!(item instanceof Element) || (!item.getLocalName().equals("sequence") && !item.getLocalName().equals("all"))) {
                        i3++;
                    }
                }
                node2 = item;
                if (node2 != null) {
                    break;
                }
            }
        }
        return node2;
    }

    private String getFormattedDate(XSSFCell xSSFCell) {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd", Locale.ROOT);
        simpleDateFormat.setTimeZone(LocaleUtil.getUserTimeZone());
        return simpleDateFormat.format(xSSFCell.getDateCellValue());
    }

    private Node getNameOrRefElement(Node node) {
        Node namedItem = node.getAttributes().getNamedItem("name");
        if (namedItem != null) {
            return namedItem;
        }
        return node.getAttributes().getNamedItem("ref");
    }

    private String getNamespace() {
        return this.map.getCTSchema().getNamespace();
    }

    private Node getNodeByXPath(String str, Node node, Document document, boolean z) {
        String[] split = str.split(ZipHelper.FORWARD_SLASH);
        for (int i2 = 2; i2 < split.length; i2++) {
            String removeNamespace = removeNamespace(split[i2]);
            if (!removeNamespace.startsWith("@")) {
                NodeList childNodes = node.getChildNodes();
                Node node2 = null;
                if (!z || i2 != split.length - 1) {
                    node2 = selectNode(removeNamespace, childNodes);
                }
                if (node2 == null) {
                    node2 = createElement(document, node, removeNamespace);
                }
                node = node2;
            } else {
                node = createAttribute(document, node, removeNamespace);
            }
        }
        return node;
    }

    private int indexOfElementInComplexType(String str, Node node) {
        if (node == null) {
            return -1;
        }
        NodeList childNodes = node.getChildNodes();
        for (int i2 = 0; i2 < childNodes.getLength(); i2++) {
            Node item = childNodes.item(i2);
            if ((item instanceof Element) && item.getLocalName().equals("element") && getNameOrRefElement(item).getNodeValue().equals(removeNamespace(str))) {
                return i2;
            }
        }
        return -1;
    }

    private boolean isNamespaceDeclared() {
        String namespace = getNamespace();
        return namespace != null && !namespace.equals("");
    }

    private boolean isValid(Document document) {
        try {
            SchemaFactory.newInstance("http://www.w3.org/2001/XMLSchema").newSchema(new DOMSource(this.map.getSchema())).newValidator().validate(new DOMSource(document));
            return true;
        } catch (IOException e2) {
            LOG.log(7, "document is not valid", e2);
            return false;
        }
    }

    private void mapCellOnNode(XSSFCell xSSFCell, Node node) {
        int ordinal = xSSFCell.getCellTypeEnum().ordinal();
        String str = "";
        if (ordinal != 1) {
            if (ordinal == 2) {
                str = xSSFCell.getStringCellValue();
            } else if (ordinal != 3) {
                if (ordinal == 5) {
                    StringBuilder b2 = a.b(str);
                    b2.append(xSSFCell.getBooleanCellValue());
                    str = b2.toString();
                } else if (ordinal == 6) {
                    str = xSSFCell.getErrorCellString();
                }
            } else if (xSSFCell.getCachedFormulaResultTypeEnum() == CellType.STRING) {
                str = xSSFCell.getStringCellValue();
            } else if (DateUtil.isCellDateFormatted(xSSFCell)) {
                str = getFormattedDate(xSSFCell);
            } else {
                StringBuilder b3 = a.b(str);
                b3.append(xSSFCell.getNumericCellValue());
                str = b3.toString();
            }
        } else if (DateUtil.isCellDateFormatted(xSSFCell)) {
            str = getFormattedDate(xSSFCell);
        } else {
            StringBuilder b4 = a.b(str);
            b4.append(xSSFCell.getRawValue());
            str = b4.toString();
        }
        if (node instanceof Element) {
            ((Element) node).setTextContent(str);
        } else {
            node.setNodeValue(str);
        }
    }

    private String removeNamespace(String str) {
        return str.matches(".*:.*") ? str.split(":")[1] : str;
    }

    private Node selectNode(String str, NodeList nodeList) {
        for (int i2 = 0; i2 < nodeList.getLength(); i2++) {
            Node item = nodeList.item(i2);
            if (item.getNodeName().equals(str)) {
                return item;
            }
        }
        return null;
    }

    public void exportToXML(OutputStream outputStream, boolean z) {
        exportToXML(outputStream, "UTF-8", z);
    }

    public int compare(String str, String str2) {
        Node schema = this.map.getSchema();
        String[] split = str.split(ZipHelper.FORWARD_SLASH);
        String[] split2 = str2.split(ZipHelper.FORWARD_SLASH);
        int length = split.length < split2.length ? split.length : split2.length;
        Node node = schema;
        for (int i2 = 1; i2 < length; i2++) {
            String str3 = split[i2];
            String str4 = split2[i2];
            if (str3.equals(str4)) {
                node = getComplexTypeForElement(str3, schema, node);
            } else {
                int indexOfElementInComplexType = indexOfElementInComplexType(str3, node);
                int indexOfElementInComplexType2 = indexOfElementInComplexType(str4, node);
                if (!(indexOfElementInComplexType == -1 || indexOfElementInComplexType2 == -1)) {
                    if (indexOfElementInComplexType < indexOfElementInComplexType2) {
                        return -1;
                    }
                    if (indexOfElementInComplexType > indexOfElementInComplexType2) {
                        return 1;
                    }
                }
            }
        }
        return 0;
    }

    public void exportToXML(OutputStream outputStream, String str, boolean z) {
        Element element;
        List<XSSFXmlColumnPr> list;
        XSSFCell referencedCell;
        List<XSSFSingleXmlCell> relatedSingleXMLCell = this.map.getRelatedSingleXMLCell();
        List<XSSFTable> relatedTables = this.map.getRelatedTables();
        String rootElement = this.map.getCtMap().getRootElement();
        Document createDocument = DocumentHelper.createDocument();
        if (isNamespaceDeclared()) {
            element = createDocument.createElementNS(getNamespace(), rootElement);
        } else {
            element = createDocument.createElementNS("", rootElement);
        }
        createDocument.appendChild(element);
        Vector vector = new Vector();
        HashMap hashMap = new HashMap();
        HashMap hashMap2 = new HashMap();
        for (XSSFSingleXmlCell xSSFSingleXmlCell : relatedSingleXMLCell) {
            vector.add(xSSFSingleXmlCell.getXpath());
            hashMap.put(xSSFSingleXmlCell.getXpath(), xSSFSingleXmlCell);
        }
        for (XSSFTable xSSFTable : relatedTables) {
            String commonXpath = xSSFTable.getCommonXpath();
            vector.add(commonXpath);
            hashMap2.put(commonXpath, xSSFTable);
        }
        Collections.sort(vector, this);
        Iterator it = vector.iterator();
        while (true) {
            boolean z2 = true;
            if (!it.hasNext()) {
                break;
            }
            String str2 = (String) it.next();
            XSSFSingleXmlCell xSSFSingleXmlCell2 = (XSSFSingleXmlCell) hashMap.get(str2);
            XSSFTable xSSFTable2 = (XSSFTable) hashMap2.get(str2);
            if (!str2.matches(".*\\[.*")) {
                if (!(xSSFSingleXmlCell2 == null || (referencedCell = xSSFSingleXmlCell2.getReferencedCell()) == null)) {
                    Node nodeByXPath = getNodeByXPath(str2, createDocument.getFirstChild(), createDocument, false);
                    mapCellOnNode(referencedCell, nodeByXPath);
                    if ("".equals(nodeByXPath.getTextContent()) && nodeByXPath.getParentNode() != null) {
                        nodeByXPath.getParentNode().removeChild(nodeByXPath);
                    }
                }
                if (xSSFTable2 != null) {
                    List<XSSFXmlColumnPr> xmlColumnPrs = xSSFTable2.getXmlColumnPrs();
                    XSSFSheet xSSFSheet = xSSFTable2.getXSSFSheet();
                    int row = xSSFTable2.getStartCellReference().getRow() + 1;
                    int row2 = xSSFTable2.getEndCellReference().getRow();
                    while (row <= row2) {
                        XSSFRow row3 = xSSFSheet.getRow(row);
                        Node nodeByXPath2 = getNodeByXPath(xSSFTable2.getCommonXpath(), createDocument.getFirstChild(), createDocument, z2);
                        short col = xSSFTable2.getStartCellReference().getCol();
                        int i2 = col;
                        while (i2 <= xSSFTable2.getEndCellReference().getCol()) {
                            XSSFCell cell = row3.getCell(i2);
                            if (cell != null) {
                                list = xmlColumnPrs;
                                mapCellOnNode(cell, getNodeByXPath(xmlColumnPrs.get(i2 - col).getLocalXPath(), nodeByXPath2, createDocument, false));
                            } else {
                                list = xmlColumnPrs;
                            }
                            i2++;
                            it = it;
                            xmlColumnPrs = list;
                        }
                        row++;
                        xmlColumnPrs = xmlColumnPrs;
                        z2 = true;
                    }
                }
            }
            it = it;
        }
        if (z ? isValid(createDocument) : true) {
            Transformer newTransformer = TransformerFactory.newInstance().newTransformer();
            newTransformer.setOutputProperty(OutputKeys.OMIT_XML_DECLARATION, "yes");
            newTransformer.setOutputProperty(OutputKeys.INDENT, "yes");
            newTransformer.setOutputProperty(OutputKeys.ENCODING, str);
            newTransformer.transform(new DOMSource(createDocument), new StreamResult(outputStream));
        }
    }
}
