package org.apache.poi.xssf.extractor;

import b.b.a.a.a;
import java.io.StringReader;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Arrays;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Set;
import javax.xml.xpath.XPath;
import javax.xml.xpath.XPathConstants;
import javax.xml.xpath.XPathFactory;
import org.apache.poi.javax.xml.namespace.NamespaceContext;
import org.apache.poi.ss.formula.ptg.UnaryMinusPtg;
import org.apache.poi.ss.usermodel.DateUtil;
import org.apache.poi.ss.util.CellReference;
import org.apache.poi.util.DocumentHelper;
import org.apache.poi.util.LocaleUtil;
import org.apache.poi.util.POILogFactory;
import org.apache.poi.util.POILogger;
import org.apache.poi.xssf.usermodel.XSSFCell;
import org.apache.poi.xssf.usermodel.XSSFMap;
import org.apache.poi.xssf.usermodel.XSSFRow;
import org.apache.poi.xssf.usermodel.XSSFTable;
import org.apache.poi.xssf.usermodel.helpers.XSSFSingleXmlCell;
import org.apache.poi.xssf.usermodel.helpers.XSSFXmlColumnPr;
import org.apache.xmlbeans.impl.common.Sax2Dom;
import org.openxmlformats.schemas.spreadsheetml.x2006.main.STXmlDataType;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.NamedNodeMap;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;
import org.xml.sax.InputSource;

public class XSSFImportFromXML {
    public static final POILogger logger = POILogFactory.getLogger(XSSFImportFromXML.class);
    public final XSSFMap _map;

    /* renamed from: org.apache.poi.xssf.extractor.XSSFImportFromXML$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$xssf$extractor$XSSFImportFromXML$DataType;

        /* JADX WARNING: Can't wrap try/catch for region: R(12:0|(2:1|2)|3|(2:5|6)|7|9|10|11|12|13|14|16) */
        /* JADX WARNING: Code restructure failed: missing block: B:17:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x001d */
        /* JADX WARNING: Missing exception handler attribute for start block: B:13:0x0024 */
        static {
            int[] iArr = new int[DataType.values().length];
            $SwitchMap$org$apache$poi$xssf$extractor$XSSFImportFromXML$DataType = iArr;
            try {
                DataType dataType = DataType.BOOLEAN;
                iArr[0] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                int[] iArr2 = $SwitchMap$org$apache$poi$xssf$extractor$XSSFImportFromXML$DataType;
                DataType dataType2 = DataType.DOUBLE;
                iArr2[1] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            int[] iArr3 = $SwitchMap$org$apache$poi$xssf$extractor$XSSFImportFromXML$DataType;
            DataType dataType3 = DataType.INTEGER;
            iArr3[2] = 3;
            int[] iArr4 = $SwitchMap$org$apache$poi$xssf$extractor$XSSFImportFromXML$DataType;
            DataType dataType4 = DataType.DATE;
            iArr4[4] = 4;
            int[] iArr5 = $SwitchMap$org$apache$poi$xssf$extractor$XSSFImportFromXML$DataType;
            DataType dataType5 = DataType.STRING;
            iArr5[3] = 5;
        }
    }

    public enum DataType {
        BOOLEAN(STXmlDataType.BOOLEAN),
        DOUBLE(STXmlDataType.DOUBLE),
        INTEGER(STXmlDataType.INT, STXmlDataType.UNSIGNED_INT, STXmlDataType.INTEGER),
        STRING(STXmlDataType.STRING),
        DATE(STXmlDataType.DATE);
        
        public Set<STXmlDataType.Enum> xmlDataTypes;

        /* access modifiers changed from: public */
        DataType(STXmlDataType.Enum... enumArr) {
            this.xmlDataTypes = new HashSet(Arrays.asList(enumArr));
        }

        public static DataType getDataType(STXmlDataType.Enum r5) {
            DataType[] values = values();
            for (DataType dataType : values) {
                if (dataType.xmlDataTypes.contains(r5)) {
                    return dataType;
                }
            }
            return null;
        }
    }

    public static final class DefaultNamespaceContext implements NamespaceContext {
        public final Element _docElem;

        public DefaultNamespaceContext(Document document) {
            this._docElem = document.getDocumentElement();
        }

        private String getNamespaceForPrefix(String str) {
            if (str.equals("xml")) {
                return "http://www.w3.org/XML/1998/namespace";
            }
            Node node = this._docElem;
            while (node != null) {
                short nodeType = node.getNodeType();
                if (nodeType == 1) {
                    String nodeName = node.getNodeName();
                    if (nodeName.startsWith(str + ":")) {
                        return node.getNamespaceURI();
                    }
                    NamedNodeMap attributes = node.getAttributes();
                    for (int i2 = 0; i2 < attributes.getLength(); i2++) {
                        Node item = attributes.item(i2);
                        String nodeName2 = item.getNodeName();
                        boolean startsWith = nodeName2.startsWith(Sax2Dom.XMLNS_STRING);
                        if (startsWith || nodeName2.equals("xmlns")) {
                            if ((startsWith ? nodeName2.substring(nodeName2.indexOf(58) + 1) : "").equals(str)) {
                                return item.getNodeValue();
                            }
                        }
                    }
                    node = node.getParentNode();
                } else if (nodeType != 5) {
                    return null;
                }
            }
            return null;
        }

        @Override // org.apache.poi.javax.xml.namespace.NamespaceContext
        public String getNamespaceURI(String str) {
            return getNamespaceForPrefix(str);
        }

        @Override // org.apache.poi.javax.xml.namespace.NamespaceContext
        public String getPrefix(String str) {
            return null;
        }

        @Override // org.apache.poi.javax.xml.namespace.NamespaceContext
        public Iterator<?> getPrefixes(String str) {
            return null;
        }
    }

    public XSSFImportFromXML(XSSFMap xSSFMap) {
        this._map = xSSFMap;
    }

    private void setCellValue(String str, XSSFCell xSSFCell, STXmlDataType.Enum r11) {
        DataType dataType = DataType.getDataType(r11);
        try {
            if (!str.isEmpty()) {
                if (dataType != null) {
                    int ordinal = dataType.ordinal();
                    if (ordinal == 0) {
                        xSSFCell.setCellValue(Boolean.parseBoolean(str));
                        return;
                    } else if (ordinal == 1) {
                        xSSFCell.setCellValue(Double.parseDouble(str));
                        return;
                    } else if (ordinal == 2) {
                        xSSFCell.setCellValue((double) Integer.parseInt(str));
                        return;
                    } else if (ordinal != 4) {
                        xSSFCell.setCellValue(str.trim());
                        return;
                    } else {
                        xSSFCell.setCellValue(new SimpleDateFormat("yyyy-MM-dd", LocaleUtil.getUserLocale()).parse(str));
                        if (!DateUtil.isValidExcelDate(xSSFCell.getNumericCellValue())) {
                            xSSFCell.setCellValue(str);
                            return;
                        }
                        return;
                    }
                }
            }
            xSSFCell.setCellValue((String) null);
        } catch (IllegalArgumentException unused) {
            throw new IllegalArgumentException(String.format(LocaleUtil.getUserLocale(), "Unable to format value '%s' as %s for cell %s", str, dataType, new CellReference(xSSFCell).formatAsString()));
        } catch (ParseException unused2) {
            throw new IllegalArgumentException(String.format(LocaleUtil.getUserLocale(), "Unable to format value '%s' as %s for cell %s", str, dataType, new CellReference(xSSFCell).formatAsString()));
        }
    }

    public void importFromXML(String str) {
        String str2;
        String str3;
        Iterator<XSSFSingleXmlCell> it;
        Document document;
        Document parse = DocumentHelper.newDocumentBuilder().parse(new InputSource(new StringReader(str.trim())));
        List<XSSFSingleXmlCell> relatedSingleXMLCell = this._map.getRelatedSingleXMLCell();
        List<XSSFTable> relatedTables = this._map.getRelatedTables();
        XPath newXPath = XPathFactory.newInstance().newXPath();
        newXPath.setNamespaceContext(new DefaultNamespaceContext(parse));
        Iterator<XSSFSingleXmlCell> it2 = relatedSingleXMLCell.iterator();
        while (true) {
            boolean hasNext = it2.hasNext();
            str2 = " in sheet ";
            str3 = UnaryMinusPtg.MINUS;
            if (!hasNext) {
                break;
            }
            XSSFSingleXmlCell next = it2.next();
            STXmlDataType.Enum xmlDataType = next.getXmlDataType();
            String xpath = next.getXpath();
            Node node = (Node) newXPath.evaluate(xpath, parse, XPathConstants.NODE);
            if (node != null) {
                String textContent = node.getTextContent();
                it = it2;
                document = parse;
                logger.log(1, a.b("Extracting with xpath ", xpath, " : value is '", textContent, "'"));
                XSSFCell referencedCell = next.getReferencedCell();
                POILogger pOILogger = logger;
                StringBuilder d2 = a.d("Setting '", textContent, "' to cell ");
                d2.append(referencedCell.getColumnIndex());
                d2.append(str3);
                d2.append(referencedCell.getRowIndex());
                d2.append(str2);
                d2.append(referencedCell.getSheet().getSheetName());
                pOILogger.log(1, d2.toString());
                setCellValue(textContent, referencedCell, xmlDataType);
            } else {
                document = parse;
                it = it2;
            }
            it2 = it;
            parse = document;
        }
        Document document2 = parse;
        Iterator<XSSFTable> it3 = relatedTables.iterator();
        while (it3.hasNext()) {
            XSSFTable next2 = it3.next();
            Document document3 = document2;
            NodeList nodeList = (NodeList) newXPath.evaluate(next2.getCommonXpath(), document3, XPathConstants.NODESET);
            int row = next2.getStartCellReference().getRow() + 1;
            int col = next2.getStartCellReference().getCol() - 1;
            int i2 = 0;
            while (i2 < nodeList.getLength()) {
                Node cloneNode = nodeList.item(i2).cloneNode(true);
                Iterator<XSSFXmlColumnPr> it4 = next2.getXmlColumnPrs().iterator();
                while (it4.hasNext()) {
                    XSSFXmlColumnPr next3 = it4.next();
                    int i3 = row + i2;
                    int id = ((int) next3.getId()) + col;
                    String localXPath = next3.getLocalXPath();
                    String substring = localXPath.substring(localXPath.substring(1).indexOf(47) + 2);
                    String str4 = (String) newXPath.evaluate(substring, cloneNode, XPathConstants.STRING);
                    logger.log(1, a.b("Extracting with xpath ", substring, " : value is '", str4, "'"));
                    XSSFRow row2 = next2.getXSSFSheet().getRow(i3);
                    if (row2 == null) {
                        row2 = next2.getXSSFSheet().createRow(i3);
                    }
                    XSSFCell cell = row2.getCell(id);
                    if (cell == null) {
                        cell = row2.createCell(id);
                    }
                    POILogger pOILogger2 = logger;
                    StringBuilder d3 = a.d("Setting '", str4, "' to cell ");
                    d3.append(cell.getColumnIndex());
                    d3.append(str3);
                    d3.append(cell.getRowIndex());
                    d3.append(str2);
                    d3.append(next2.getXSSFSheet().getSheetName());
                    pOILogger2.log(1, d3.toString());
                    setCellValue(str4, cell, next3.getXmlDataType());
                    str2 = str2;
                    str3 = str3;
                    newXPath = newXPath;
                    it4 = it4;
                    row = row;
                    document3 = document3;
                    cloneNode = cloneNode;
                    next2 = next2;
                }
                i2++;
                nodeList = nodeList;
                newXPath = newXPath;
                document3 = document3;
            }
            it3 = it3;
            document2 = document3;
        }
    }
}
