package org.apache.poi.xssf.model;

import java.io.IOException;
import java.io.OutputStream;
import org.apache.poi.POIXMLDocumentPart;
import org.apache.poi.POIXMLTypeLoader;
import org.apache.poi.openxml4j.opc.PackagePart;
import org.apache.poi.xssf.usermodel.IndexedColorMap;
import org.apache.poi.xssf.usermodel.XSSFColor;
import org.apache.xmlbeans.XmlException;
import org.openxmlformats.schemas.drawingml.x2006.main.CTColor;
import org.openxmlformats.schemas.drawingml.x2006.main.CTColorScheme;
import org.openxmlformats.schemas.drawingml.x2006.main.ThemeDocument;

public class ThemesTable extends POIXMLDocumentPart {
    public IndexedColorMap colorMap;
    public ThemeDocument theme;

    /* renamed from: org.apache.poi.xssf.model.ThemesTable$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$xssf$model$ThemesTable$ThemeElement;

        /* JADX WARNING: Can't wrap try/catch for region: R(31:0|1|2|3|(2:5|6)|7|(2:9|10)|11|13|14|15|(2:17|18)|19|21|22|23|(2:25|26)|27|29|30|31|(2:33|34)|35|37|38|39|41|42|43|44|46) */
        /* JADX WARNING: Code restructure failed: missing block: B:47:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:43:0x0059 */
        static {
            int[] iArr = new int[ThemeElement.values().length];
            $SwitchMap$org$apache$poi$xssf$model$ThemesTable$ThemeElement = iArr;
            try {
                ThemeElement themeElement = ThemeElement.LT1;
                iArr[0] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                int[] iArr2 = $SwitchMap$org$apache$poi$xssf$model$ThemesTable$ThemeElement;
                ThemeElement themeElement2 = ThemeElement.DK1;
                iArr2[1] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            try {
                int[] iArr3 = $SwitchMap$org$apache$poi$xssf$model$ThemesTable$ThemeElement;
                ThemeElement themeElement3 = ThemeElement.LT2;
                iArr3[2] = 3;
            } catch (NoSuchFieldError unused3) {
            }
            try {
                int[] iArr4 = $SwitchMap$org$apache$poi$xssf$model$ThemesTable$ThemeElement;
                ThemeElement themeElement4 = ThemeElement.DK2;
                iArr4[3] = 4;
            } catch (NoSuchFieldError unused4) {
            }
            try {
                int[] iArr5 = $SwitchMap$org$apache$poi$xssf$model$ThemesTable$ThemeElement;
                ThemeElement themeElement5 = ThemeElement.ACCENT1;
                iArr5[4] = 5;
            } catch (NoSuchFieldError unused5) {
            }
            try {
                int[] iArr6 = $SwitchMap$org$apache$poi$xssf$model$ThemesTable$ThemeElement;
                ThemeElement themeElement6 = ThemeElement.ACCENT2;
                iArr6[5] = 6;
            } catch (NoSuchFieldError unused6) {
            }
            try {
                int[] iArr7 = $SwitchMap$org$apache$poi$xssf$model$ThemesTable$ThemeElement;
                ThemeElement themeElement7 = ThemeElement.ACCENT3;
                iArr7[6] = 7;
            } catch (NoSuchFieldError unused7) {
            }
            try {
                int[] iArr8 = $SwitchMap$org$apache$poi$xssf$model$ThemesTable$ThemeElement;
                ThemeElement themeElement8 = ThemeElement.ACCENT4;
                iArr8[7] = 8;
            } catch (NoSuchFieldError unused8) {
            }
            try {
                int[] iArr9 = $SwitchMap$org$apache$poi$xssf$model$ThemesTable$ThemeElement;
                ThemeElement themeElement9 = ThemeElement.ACCENT5;
                iArr9[8] = 9;
            } catch (NoSuchFieldError unused9) {
            }
            try {
                int[] iArr10 = $SwitchMap$org$apache$poi$xssf$model$ThemesTable$ThemeElement;
                ThemeElement themeElement10 = ThemeElement.ACCENT6;
                iArr10[9] = 10;
            } catch (NoSuchFieldError unused10) {
            }
            int[] iArr11 = $SwitchMap$org$apache$poi$xssf$model$ThemesTable$ThemeElement;
            ThemeElement themeElement11 = ThemeElement.HLINK;
            iArr11[10] = 11;
            int[] iArr12 = $SwitchMap$org$apache$poi$xssf$model$ThemesTable$ThemeElement;
            ThemeElement themeElement12 = ThemeElement.FOLHLINK;
            iArr12[11] = 12;
        }
    }

    public enum ThemeElement {
        LT1(0, "Lt1"),
        DK1(1, "Dk1"),
        LT2(2, "Lt2"),
        DK2(3, "Dk2"),
        ACCENT1(4, "Accent1"),
        ACCENT2(5, "Accent2"),
        ACCENT3(6, "Accent3"),
        ACCENT4(7, "Accent4"),
        ACCENT5(8, "Accent5"),
        ACCENT6(9, "Accent6"),
        HLINK(10, "Hlink"),
        FOLHLINK(11, "FolHlink"),
        UNKNOWN(-1, null);
        
        public final int idx;
        public final String name;

        /* access modifiers changed from: public */
        ThemeElement(int i2, String str) {
            this.idx = i2;
            this.name = str;
        }

        public static ThemeElement byId(int i2) {
            if (i2 >= values().length || i2 < 0) {
                return UNKNOWN;
            }
            return values()[i2];
        }
    }

    public ThemesTable() {
        ThemeDocument newInstance = ThemeDocument.Factory.newInstance();
        this.theme = newInstance;
        newInstance.addNewTheme().addNewThemeElements();
    }

    @Override // org.apache.poi.POIXMLDocumentPart
    public void commit() {
        OutputStream outputStream = getPackagePart().getOutputStream();
        writeTo(outputStream);
        outputStream.close();
    }

    public XSSFColor getThemeColor(int i2) {
        CTColor cTColor;
        byte[] bArr;
        CTColorScheme clrScheme = this.theme.getTheme().getThemeElements().getClrScheme();
        switch (ThemeElement.byId(i2).ordinal()) {
            case 0:
                cTColor = clrScheme.getLt1();
                break;
            case 1:
                cTColor = clrScheme.getDk1();
                break;
            case 2:
                cTColor = clrScheme.getLt2();
                break;
            case 3:
                cTColor = clrScheme.getDk2();
                break;
            case 4:
                cTColor = clrScheme.getAccent1();
                break;
            case 5:
                cTColor = clrScheme.getAccent2();
                break;
            case 6:
                cTColor = clrScheme.getAccent3();
                break;
            case 7:
                cTColor = clrScheme.getAccent4();
                break;
            case 8:
                cTColor = clrScheme.getAccent5();
                break;
            case 9:
                cTColor = clrScheme.getAccent6();
                break;
            case 10:
                cTColor = clrScheme.getHlink();
                break;
            case 11:
                cTColor = clrScheme.getFolHlink();
                break;
            default:
                return null;
        }
        if (cTColor.isSetSrgbClr()) {
            bArr = cTColor.getSrgbClr().getVal();
        } else if (!cTColor.isSetSysClr()) {
            return null;
        } else {
            bArr = cTColor.getSysClr().getLastClr();
        }
        return new XSSFColor(bArr, this.colorMap);
    }

    public void inheritFromThemeAsRequired(XSSFColor xSSFColor) {
        if (xSSFColor != null && xSSFColor.getCTColor().isSetTheme()) {
            xSSFColor.getCTColor().setRgb(getThemeColor(xSSFColor.getTheme()).getCTColor().getRgb());
        }
    }

    public void setColorMap(IndexedColorMap indexedColorMap) {
        this.colorMap = indexedColorMap;
    }

    public void writeTo(OutputStream outputStream) {
        this.theme.save(outputStream, POIXMLTypeLoader.DEFAULT_XML_OPTIONS);
    }

    public ThemesTable(PackagePart packagePart) {
        super(packagePart);
        try {
            this.theme = ThemeDocument.Factory.parse(packagePart.getInputStream(), POIXMLTypeLoader.DEFAULT_XML_OPTIONS);
        } catch (XmlException e2) {
            throw new IOException(e2.getLocalizedMessage(), e2);
        }
    }

    public ThemesTable(ThemeDocument themeDocument) {
        this.theme = themeDocument;
    }
}
