package org.apache.poi.xssf.streaming;

import b.b.a.a.a;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import org.apache.poi.Version;
import org.apache.poi.ss.SpreadsheetVersion;
import org.apache.poi.ss.formula.eval.ErrorEval;
import org.apache.poi.ss.formula.functions.NumericFunction;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.CellStyle;
import org.apache.poi.ss.usermodel.CellType;
import org.apache.poi.ss.usermodel.Comment;
import org.apache.poi.ss.usermodel.DateUtil;
import org.apache.poi.ss.usermodel.FormulaError;
import org.apache.poi.ss.usermodel.Hyperlink;
import org.apache.poi.ss.usermodel.RichTextString;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.util.CellAddress;
import org.apache.poi.ss.util.CellRangeAddress;
import org.apache.poi.ss.util.CellReference;
import org.apache.poi.util.LocaleUtil;
import org.apache.poi.util.NotImplemented;
import org.apache.poi.util.POILogFactory;
import org.apache.poi.util.POILogger;
import org.apache.poi.util.Removal;
import org.apache.poi.xssf.usermodel.XSSFCell;
import org.apache.poi.xssf.usermodel.XSSFHyperlink;
import org.apache.poi.xssf.usermodel.XSSFRichTextString;

public class SXSSFCell implements Cell {
    public static final POILogger logger = POILogFactory.getLogger(SXSSFCell.class);
    public Property _firstProperty;
    public final SXSSFRow _row;
    public CellStyle _style;
    public Value _value;

    /* renamed from: org.apache.poi.xssf.streaming.SXSSFCell$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$ss$usermodel$CellType;

        /* JADX WARNING: Can't wrap try/catch for region: R(14:0|(2:1|2)|3|5|6|7|8|9|10|11|12|13|14|16) */
        /* JADX WARNING: Can't wrap try/catch for region: R(15:0|1|2|3|5|6|7|8|9|10|11|12|13|14|16) */
        /* JADX WARNING: Code restructure failed: missing block: B:17:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x0023 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:13:0x002a */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0017 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x001d */
        static {
            int[] iArr = new int[CellType.values().length];
            $SwitchMap$org$apache$poi$ss$usermodel$CellType = iArr;
            try {
                CellType cellType = CellType.BLANK;
                iArr[4] = 1;
            } catch (NoSuchFieldError unused) {
            }
            int[] iArr2 = $SwitchMap$org$apache$poi$ss$usermodel$CellType;
            CellType cellType2 = CellType.FORMULA;
            iArr2[3] = 2;
            int[] iArr3 = $SwitchMap$org$apache$poi$ss$usermodel$CellType;
            CellType cellType3 = CellType.NUMERIC;
            iArr3[1] = 3;
            int[] iArr4 = $SwitchMap$org$apache$poi$ss$usermodel$CellType;
            CellType cellType4 = CellType.STRING;
            iArr4[2] = 4;
            int[] iArr5 = $SwitchMap$org$apache$poi$ss$usermodel$CellType;
            CellType cellType5 = CellType.BOOLEAN;
            iArr5[5] = 5;
            int[] iArr6 = $SwitchMap$org$apache$poi$ss$usermodel$CellType;
            CellType cellType6 = CellType.ERROR;
            iArr6[6] = 6;
        }
    }

    public static class BlankValue implements Value {
        @Override // org.apache.poi.xssf.streaming.SXSSFCell.Value
        public CellType getType() {
            return CellType.BLANK;
        }
    }

    public static class BooleanFormulaValue extends FormulaValue {
        public boolean _preEvaluatedValue;

        @Override // org.apache.poi.xssf.streaming.SXSSFCell.FormulaValue
        public CellType getFormulaType() {
            return CellType.BOOLEAN;
        }

        public boolean getPreEvaluatedValue() {
            return this._preEvaluatedValue;
        }

        public void setPreEvaluatedValue(boolean z) {
            this._preEvaluatedValue = z;
        }
    }

    public static class BooleanValue implements Value {
        public boolean _value;

        @Override // org.apache.poi.xssf.streaming.SXSSFCell.Value
        public CellType getType() {
            return CellType.BOOLEAN;
        }

        public boolean getValue() {
            return this._value;
        }

        public void setValue(boolean z) {
            this._value = z;
        }
    }

    public static class CommentProperty extends Property {
        public CommentProperty(Object obj) {
            super(obj);
        }

        @Override // org.apache.poi.xssf.streaming.SXSSFCell.Property
        public int getType() {
            return 1;
        }
    }

    public static class ErrorFormulaValue extends FormulaValue {
        public byte _preEvaluatedValue;

        @Override // org.apache.poi.xssf.streaming.SXSSFCell.FormulaValue
        public CellType getFormulaType() {
            return CellType.ERROR;
        }

        public byte getPreEvaluatedValue() {
            return this._preEvaluatedValue;
        }

        public void setPreEvaluatedValue(byte b2) {
            this._preEvaluatedValue = b2;
        }
    }

    public static class ErrorValue implements Value {
        public byte _value;

        @Override // org.apache.poi.xssf.streaming.SXSSFCell.Value
        public CellType getType() {
            return CellType.ERROR;
        }

        public byte getValue() {
            return this._value;
        }

        public void setValue(byte b2) {
            this._value = b2;
        }
    }

    public static abstract class FormulaValue implements Value {
        public String _value;

        public abstract CellType getFormulaType();

        @Override // org.apache.poi.xssf.streaming.SXSSFCell.Value
        public CellType getType() {
            return CellType.FORMULA;
        }

        public String getValue() {
            return this._value;
        }

        public void setValue(String str) {
            this._value = str;
        }
    }

    public static class HyperlinkProperty extends Property {
        public HyperlinkProperty(Object obj) {
            super(obj);
        }

        @Override // org.apache.poi.xssf.streaming.SXSSFCell.Property
        public int getType() {
            return 2;
        }
    }

    public static class NumericFormulaValue extends FormulaValue {
        public double _preEvaluatedValue;

        @Override // org.apache.poi.xssf.streaming.SXSSFCell.FormulaValue
        public CellType getFormulaType() {
            return CellType.NUMERIC;
        }

        public double getPreEvaluatedValue() {
            return this._preEvaluatedValue;
        }

        public void setPreEvaluatedValue(double d2) {
            this._preEvaluatedValue = d2;
        }
    }

    public static class NumericValue implements Value {
        public double _value;

        @Override // org.apache.poi.xssf.streaming.SXSSFCell.Value
        public CellType getType() {
            return CellType.NUMERIC;
        }

        public double getValue() {
            return this._value;
        }

        public void setValue(double d2) {
            this._value = d2;
        }
    }

    public static class PlainStringValue extends StringValue {
        public String _value;

        public String getValue() {
            return this._value;
        }

        @Override // org.apache.poi.xssf.streaming.SXSSFCell.StringValue
        public boolean isRichText() {
            return false;
        }

        public void setValue(String str) {
            this._value = str;
        }
    }

    public static abstract class Property {
        public static final int COMMENT = 1;
        public static final int HYPERLINK = 2;
        public Property _next;
        public Object _value;

        public Property(Object obj) {
            this._value = obj;
        }

        public abstract int getType();

        public Object getValue() {
            return this._value;
        }

        public void setValue(Object obj) {
            this._value = obj;
        }
    }

    public static class RichTextValue extends StringValue {
        public RichTextString _value;

        @Override // org.apache.poi.xssf.streaming.SXSSFCell.Value, org.apache.poi.xssf.streaming.SXSSFCell.StringValue
        public CellType getType() {
            return CellType.STRING;
        }

        public RichTextString getValue() {
            return this._value;
        }

        @Override // org.apache.poi.xssf.streaming.SXSSFCell.StringValue
        public boolean isRichText() {
            return true;
        }

        public void setValue(RichTextString richTextString) {
            this._value = richTextString;
        }
    }

    public static class StringFormulaValue extends FormulaValue {
        public String _preEvaluatedValue;

        @Override // org.apache.poi.xssf.streaming.SXSSFCell.FormulaValue
        public CellType getFormulaType() {
            return CellType.STRING;
        }

        public String getPreEvaluatedValue() {
            return this._preEvaluatedValue;
        }

        public void setPreEvaluatedValue(String str) {
            this._preEvaluatedValue = str;
        }
    }

    public static abstract class StringValue implements Value {
        @Override // org.apache.poi.xssf.streaming.SXSSFCell.Value
        public CellType getType() {
            return CellType.STRING;
        }

        public abstract boolean isRichText();
    }

    public interface Value {
        CellType getType();
    }

    @Removal(version = Version.VERSION_STRING)
    @Deprecated
    public SXSSFCell(SXSSFRow sXSSFRow, int i2) {
        this(sXSSFRow, CellType.forInt(i2));
    }

    private boolean convertCellValueToBoolean() {
        CellType cellTypeEnum = getCellTypeEnum();
        if (cellTypeEnum == CellType.FORMULA) {
            cellTypeEnum = getCachedFormulaResultTypeEnum();
        }
        int ordinal = cellTypeEnum.ordinal();
        if (ordinal != 1) {
            if (ordinal == 2) {
                return Boolean.parseBoolean(getStringCellValue());
            }
            if (ordinal != 4) {
                if (ordinal == 5) {
                    return getBooleanCellValue();
                }
                if (ordinal != 6) {
                    throw new RuntimeException("Unexpected cell type (" + cellTypeEnum + ")");
                }
            }
            return false;
        } else if (getNumericCellValue() != NumericFunction.LOG_10_TO_BASE_e) {
            return true;
        } else {
            return false;
        }
    }

    private String convertCellValueToString() {
        return convertCellValueToString(getCellTypeEnum());
    }

    public static RuntimeException typeMismatch(CellType cellType, CellType cellType2, boolean z) {
        StringBuilder sb = new StringBuilder();
        sb.append("Cannot get a ");
        sb.append(cellType);
        sb.append(" value from a ");
        sb.append(cellType2);
        sb.append(" ");
        return new IllegalStateException(a.a(sb, z ? "formula " : "", "cell"));
    }

    @NotImplemented
    public CellType computeTypeFromFormula(String str) {
        return CellType.NUMERIC;
    }

    public void ensureFormulaType(CellType cellType) {
        if (this._value.getType() != CellType.FORMULA || ((FormulaValue) this._value).getFormulaType() != cellType) {
            setFormulaType(cellType);
        }
    }

    public void ensurePlainStringType() {
        if (this._value.getType() != CellType.STRING || ((StringValue) this._value).isRichText()) {
            this._value = new PlainStringValue();
        }
    }

    public void ensureRichTextStringType() {
        if (this._value.getType() != CellType.STRING || !((StringValue) this._value).isRichText()) {
            this._value = new RichTextValue();
        }
    }

    public void ensureType(CellType cellType) {
        if (this._value.getType() != cellType) {
            setType(cellType);
        }
    }

    public void ensureTypeOrFormulaType(CellType cellType) {
        if (this._value.getType() == cellType) {
            if (cellType == CellType.STRING && ((StringValue) this._value).isRichText()) {
                setType(CellType.STRING);
            }
        } else if (this._value.getType() != CellType.FORMULA) {
            setType(cellType);
        } else if (((FormulaValue) this._value).getFormulaType() != cellType) {
            setFormulaType(cellType);
        }
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public CellAddress getAddress() {
        return new CellAddress(this);
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    @NotImplemented
    public CellRangeAddress getArrayFormulaRange() {
        return null;
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public boolean getBooleanCellValue() {
        CellType cellTypeEnum = getCellTypeEnum();
        int ordinal = cellTypeEnum.ordinal();
        if (ordinal == 3) {
            CellType formulaType = ((FormulaValue) this._value).getFormulaType();
            CellType cellType = CellType.BOOLEAN;
            if (formulaType == cellType) {
                return ((BooleanFormulaValue) this._value).getPreEvaluatedValue();
            }
            throw typeMismatch(cellType, CellType.FORMULA, false);
        } else if (ordinal == 4) {
            return false;
        } else {
            if (ordinal == 5) {
                return ((BooleanValue) this._value).getValue();
            }
            throw typeMismatch(CellType.BOOLEAN, cellTypeEnum, false);
        }
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public int getCachedFormulaResultType() {
        return getCachedFormulaResultTypeEnum().getCode();
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public CellType getCachedFormulaResultTypeEnum() {
        if (this._value.getType() == CellType.FORMULA) {
            return ((FormulaValue) this._value).getFormulaType();
        }
        throw new IllegalStateException("Only formula cells have cached results");
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public Comment getCellComment() {
        return (Comment) getPropertyValue(1);
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public String getCellFormula() {
        CellType type = this._value.getType();
        CellType cellType = CellType.FORMULA;
        if (type == cellType) {
            return ((FormulaValue) this._value).getValue();
        }
        throw typeMismatch(cellType, this._value.getType(), false);
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public CellStyle getCellStyle() {
        CellStyle cellStyle = this._style;
        return cellStyle == null ? ((SXSSFWorkbook) getRow().getSheet().getWorkbook()).getCellStyleAt(0) : cellStyle;
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public int getCellType() {
        return getCellTypeEnum().getCode();
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public CellType getCellTypeEnum() {
        return this._value.getType();
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public int getColumnIndex() {
        return this._row.getCellIndex(this);
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public Date getDateCellValue() {
        if (getCellTypeEnum() == CellType.BLANK) {
            return null;
        }
        return DateUtil.getJavaDate(getNumericCellValue(), getSheet().getWorkbook().isDate1904());
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public byte getErrorCellValue() {
        CellType cellTypeEnum = getCellTypeEnum();
        int ordinal = cellTypeEnum.ordinal();
        if (ordinal == 3) {
            CellType formulaType = ((FormulaValue) this._value).getFormulaType();
            CellType cellType = CellType.ERROR;
            if (formulaType == cellType) {
                return ((ErrorFormulaValue) this._value).getPreEvaluatedValue();
            }
            throw typeMismatch(cellType, CellType.FORMULA, false);
        } else if (ordinal == 4) {
            return 0;
        } else {
            if (ordinal == 6) {
                return ((ErrorValue) this._value).getValue();
            }
            throw typeMismatch(CellType.ERROR, cellTypeEnum, false);
        }
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public Hyperlink getHyperlink() {
        return (Hyperlink) getPropertyValue(2);
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public double getNumericCellValue() {
        CellType cellTypeEnum = getCellTypeEnum();
        int ordinal = cellTypeEnum.ordinal();
        if (ordinal == 1) {
            return ((NumericValue) this._value).getValue();
        }
        if (ordinal == 3) {
            CellType formulaType = ((FormulaValue) this._value).getFormulaType();
            CellType cellType = CellType.NUMERIC;
            if (formulaType == cellType) {
                return ((NumericFormulaValue) this._value).getPreEvaluatedValue();
            }
            throw typeMismatch(cellType, CellType.FORMULA, false);
        } else if (ordinal == 4) {
            return NumericFunction.LOG_10_TO_BASE_e;
        } else {
            throw typeMismatch(CellType.NUMERIC, cellTypeEnum, false);
        }
    }

    public Object getPropertyValue(int i2) {
        return getPropertyValue(i2, null);
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public RichTextString getRichStringCellValue() {
        CellType cellTypeEnum = getCellTypeEnum();
        CellType cellTypeEnum2 = getCellTypeEnum();
        CellType cellType = CellType.STRING;
        if (cellTypeEnum2 != cellType) {
            throw typeMismatch(cellType, cellTypeEnum, false);
        } else if (((StringValue) this._value).isRichText()) {
            return ((RichTextValue) this._value).getValue();
        } else {
            return getSheet().getWorkbook().getCreationHelper().createRichTextString(getStringCellValue());
        }
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public Row getRow() {
        return this._row;
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public int getRowIndex() {
        return this._row.getRowNum();
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public String getStringCellValue() {
        CellType cellTypeEnum = getCellTypeEnum();
        int ordinal = cellTypeEnum.ordinal();
        if (ordinal != 2) {
            if (ordinal == 3) {
                CellType formulaType = ((FormulaValue) this._value).getFormulaType();
                CellType cellType = CellType.STRING;
                if (formulaType == cellType) {
                    return ((StringFormulaValue) this._value).getPreEvaluatedValue();
                }
                throw typeMismatch(cellType, CellType.FORMULA, false);
            } else if (ordinal == 4) {
                return "";
            } else {
                throw typeMismatch(CellType.STRING, cellTypeEnum, false);
            }
        } else if (((StringValue) this._value).isRichText()) {
            return ((RichTextValue) this._value).getValue().getString();
        } else {
            return ((PlainStringValue) this._value).getValue();
        }
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    @NotImplemented
    public boolean isPartOfArrayFormulaGroup() {
        return false;
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public void removeCellComment() {
        removeProperty(1);
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public void removeHyperlink() {
        removeProperty(2);
        getSheet()._sh.removeHyperlink(getRowIndex(), getColumnIndex());
    }

    public void removeProperty(int i2) {
        Property property = this._firstProperty;
        Property property2 = null;
        while (property != null && property.getType() != i2) {
            property2 = property;
            property = property._next;
        }
        if (property == null) {
            return;
        }
        if (property2 != null) {
            property2._next = property._next;
        } else {
            this._firstProperty = property._next;
        }
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public void setAsActiveCell() {
        getSheet().setActiveCell(getAddress());
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public void setCellComment(Comment comment) {
        setProperty(1, comment);
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public void setCellErrorValue(byte b2) {
        ensureType(CellType.ERROR);
        if (this._value.getType() == CellType.FORMULA) {
            ((ErrorFormulaValue) this._value).setPreEvaluatedValue(b2);
        } else {
            ((ErrorValue) this._value).setValue(b2);
        }
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public void setCellFormula(String str) {
        if (str == null) {
            setType(CellType.BLANK);
            return;
        }
        ensureFormulaType(computeTypeFromFormula(str));
        ((FormulaValue) this._value).setValue(str);
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public void setCellStyle(CellStyle cellStyle) {
        this._style = cellStyle;
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public void setCellType(int i2) {
        ensureType(CellType.forInt(i2));
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public void setCellValue(double d2) {
        if (Double.isInfinite(d2)) {
            setCellErrorValue(FormulaError.DIV0.getCode());
        } else if (Double.isNaN(d2)) {
            setCellErrorValue(FormulaError.NUM.getCode());
        } else {
            ensureTypeOrFormulaType(CellType.NUMERIC);
            if (this._value.getType() == CellType.FORMULA) {
                ((NumericFormulaValue) this._value).setPreEvaluatedValue(d2);
            } else {
                ((NumericValue) this._value).setValue(d2);
            }
        }
    }

    public void setFormulaType(CellType cellType) {
        Value value = this._value;
        int ordinal = cellType.ordinal();
        if (ordinal == 1) {
            this._value = new NumericFormulaValue();
        } else if (ordinal == 2) {
            this._value = new StringFormulaValue();
        } else if (ordinal == 5) {
            this._value = new BooleanFormulaValue();
        } else if (ordinal == 6) {
            this._value = new ErrorFormulaValue();
        } else {
            throw new IllegalArgumentException("Illegal type " + cellType);
        }
        if (value instanceof FormulaValue) {
            ((FormulaValue) this._value)._value = ((FormulaValue) value)._value;
        }
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public void setHyperlink(Hyperlink hyperlink) {
        if (hyperlink == null) {
            removeHyperlink();
            return;
        }
        setProperty(2, hyperlink);
        XSSFHyperlink xSSFHyperlink = (XSSFHyperlink) hyperlink;
        xSSFHyperlink.setCellReference(new CellReference(getRowIndex(), getColumnIndex()));
        getSheet()._sh.addHyperlink(xSSFHyperlink);
    }

    public void setProperty(int i2, Object obj) {
        Property property;
        Property property2 = this._firstProperty;
        Property property3 = null;
        while (property2 != null && property2.getType() != i2) {
            property3 = property2;
            property2 = property2._next;
        }
        if (property2 != null) {
            property2.setValue(obj);
            return;
        }
        if (i2 == 1) {
            property = new CommentProperty(obj);
        } else if (i2 == 2) {
            property = new HyperlinkProperty(obj);
        } else {
            throw new IllegalArgumentException(a.c("Invalid type: ", i2));
        }
        if (property3 != null) {
            property3._next = property;
        } else {
            this._firstProperty = property;
        }
    }

    public void setType(CellType cellType) {
        switch (cellType.ordinal()) {
            case 1:
                this._value = new NumericValue();
                return;
            case 2:
                PlainStringValue plainStringValue = new PlainStringValue();
                if (this._value != null) {
                    plainStringValue.setValue(convertCellValueToString());
                }
                this._value = plainStringValue;
                return;
            case 3:
                this._value = new NumericFormulaValue();
                return;
            case 4:
                this._value = new BlankValue();
                return;
            case 5:
                BooleanValue booleanValue = new BooleanValue();
                if (this._value != null) {
                    booleanValue.setValue(convertCellValueToBoolean());
                }
                this._value = booleanValue;
                return;
            case 6:
                this._value = new ErrorValue();
                return;
            default:
                throw new IllegalArgumentException("Illegal type " + cellType);
        }
    }

    public String toString() {
        switch (getCellTypeEnum().ordinal()) {
            case 1:
                if (DateUtil.isCellDateFormatted(this)) {
                    SimpleDateFormat simpleDateFormat = new SimpleDateFormat("dd-MMM-yyyy", LocaleUtil.getUserLocale());
                    simpleDateFormat.setTimeZone(LocaleUtil.getUserTimeZone());
                    return simpleDateFormat.format(getDateCellValue());
                }
                return getNumericCellValue() + "";
            case 2:
                return getRichStringCellValue().toString();
            case 3:
                return getCellFormula();
            case 4:
                return "";
            case 5:
                return getBooleanCellValue() ? XSSFCell.TRUE : XSSFCell.FALSE;
            case 6:
                return ErrorEval.getText(getErrorCellValue());
            default:
                StringBuilder b2 = a.b("Unknown Cell Type: ");
                b2.append(getCellTypeEnum());
                return b2.toString();
        }
    }

    public SXSSFCell(SXSSFRow sXSSFRow, CellType cellType) {
        this._row = sXSSFRow;
        setType(cellType);
    }

    public Object getPropertyValue(int i2, String str) {
        Property property = this._firstProperty;
        while (property != null && property.getType() != i2) {
            property = property._next;
        }
        return property == null ? str : property.getValue();
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public SXSSFSheet getSheet() {
        return this._row.getSheet();
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public void setCellType(CellType cellType) {
        ensureType(cellType);
    }

    /* JADX INFO: Can't fix incorrect switch cases order, some code will duplicate */
    private String convertCellValueToString(CellType cellType) {
        switch (cellType.ordinal()) {
            case 1:
                return Double.toString(getNumericCellValue());
            case 2:
                return getStringCellValue();
            case 3:
                Value value = this._value;
                if (value != null) {
                    FormulaValue formulaValue = (FormulaValue) value;
                    if (formulaValue.getFormulaType() != CellType.FORMULA) {
                        return convertCellValueToString(formulaValue.getFormulaType());
                    }
                }
                break;
            case 4:
                break;
            case 5:
                return getBooleanCellValue() ? XSSFCell.TRUE : XSSFCell.FALSE;
            case 6:
                return FormulaError.forInt(getErrorCellValue()).getString();
            default:
                throw new IllegalStateException("Unexpected cell type (" + cellType + ")");
        }
        return "";
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public void setCellValue(Date date) {
        if (date == null) {
            setCellType(CellType.BLANK);
        } else {
            setCellValue(DateUtil.getExcelDate(date, getSheet().getWorkbook().isDate1904()));
        }
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public void setCellValue(Calendar calendar) {
        if (calendar == null) {
            setCellType(CellType.BLANK);
        } else {
            setCellValue(DateUtil.getExcelDate(calendar, getSheet().getWorkbook().isDate1904()));
        }
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public void setCellValue(RichTextString richTextString) {
        XSSFRichTextString xSSFRichTextString = (XSSFRichTextString) richTextString;
        if (xSSFRichTextString == null || xSSFRichTextString.getString() == null) {
            setCellType(CellType.BLANK);
            return;
        }
        ensureRichTextStringType();
        if (xSSFRichTextString.length() <= SpreadsheetVersion.EXCEL2007.getMaxTextLength()) {
            if (xSSFRichTextString.hasFormatting()) {
                logger.log(5, "SXSSF doesn't support Shared Strings, rich text formatting information has be lost");
            }
            ((RichTextValue) this._value).setValue(xSSFRichTextString);
            return;
        }
        throw new IllegalArgumentException("The maximum length of cell contents (text) is 32,767 characters");
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public void setCellValue(String str) {
        if (str != null) {
            ensureTypeOrFormulaType(CellType.STRING);
            if (str.length() > SpreadsheetVersion.EXCEL2007.getMaxTextLength()) {
                throw new IllegalArgumentException("The maximum length of cell contents (text) is 32,767 characters");
            } else if (this._value.getType() == CellType.FORMULA) {
                Value value = this._value;
                if (value instanceof NumericFormulaValue) {
                    ((NumericFormulaValue) value).setPreEvaluatedValue(Double.parseDouble(str));
                } else {
                    ((StringFormulaValue) value).setPreEvaluatedValue(str);
                }
            } else {
                ((PlainStringValue) this._value).setValue(str);
            }
        } else {
            setCellType(CellType.BLANK);
        }
    }

    @Override // org.apache.poi.ss.usermodel.Cell
    public void setCellValue(boolean z) {
        ensureTypeOrFormulaType(CellType.BOOLEAN);
        if (this._value.getType() == CellType.FORMULA) {
            ((BooleanFormulaValue) this._value).setPreEvaluatedValue(z);
        } else {
            ((BooleanValue) this._value).setValue(z);
        }
    }
}
