package org.apache.poi.xssf.streaming;

import b.b.a.a.a;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.OutputStreamWriter;
import java.io.Writer;
import java.util.Iterator;
import org.apache.poi.ss.formula.ptg.GreaterThanPtg;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.CellStyle;
import org.apache.poi.ss.usermodel.CellType;
import org.apache.poi.ss.usermodel.FormulaError;
import org.apache.poi.ss.util.CellReference;
import org.apache.poi.util.POILogFactory;
import org.apache.poi.util.POILogger;
import org.apache.poi.util.TempFile;
import org.apache.poi.xssf.model.SharedStringsTable;
import org.apache.poi.xssf.usermodel.XSSFRichTextString;
import org.openxmlformats.schemas.spreadsheetml.x2006.main.STCellType;

public class SheetDataWriter {
    public static final POILogger logger = POILogFactory.getLogger(SheetDataWriter.class);
    public final File _fd;
    public int _lowestIndexOfFlushedRows;
    public int _numberLastFlushedRow;
    public int _numberOfCellsOfLastFlushedRow;
    public int _numberOfFlushedRows;
    public final Writer _out;
    public int _rownum;
    public SharedStringsTable _sharedStringSource;

    /* renamed from: org.apache.poi.xssf.streaming.SheetDataWriter$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$ss$usermodel$CellType;

        /* JADX WARNING: Can't wrap try/catch for region: R(14:0|(2:1|2)|3|5|6|7|8|9|10|11|12|13|14|16) */
        /* JADX WARNING: Code restructure failed: missing block: B:17:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x0023 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:13:0x002a */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0016 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x001d */
        static {
            int[] iArr = new int[CellType.values().length];
            $SwitchMap$org$apache$poi$ss$usermodel$CellType = iArr;
            try {
                CellType cellType = CellType.NUMERIC;
                iArr[1] = 1;
            } catch (NoSuchFieldError unused) {
            }
            int[] iArr2 = $SwitchMap$org$apache$poi$ss$usermodel$CellType;
            CellType cellType2 = CellType.BLANK;
            iArr2[4] = 2;
            int[] iArr3 = $SwitchMap$org$apache$poi$ss$usermodel$CellType;
            CellType cellType3 = CellType.FORMULA;
            iArr3[3] = 3;
            int[] iArr4 = $SwitchMap$org$apache$poi$ss$usermodel$CellType;
            CellType cellType4 = CellType.STRING;
            iArr4[2] = 4;
            int[] iArr5 = $SwitchMap$org$apache$poi$ss$usermodel$CellType;
            CellType cellType5 = CellType.BOOLEAN;
            iArr5[5] = 5;
            int[] iArr6 = $SwitchMap$org$apache$poi$ss$usermodel$CellType;
            CellType cellType6 = CellType.ERROR;
            iArr6[6] = 6;
        }
    }

    public SheetDataWriter() {
        this._numberLastFlushedRow = -1;
        File createTempFile = createTempFile();
        this._fd = createTempFile;
        this._out = createWriter(createTempFile);
    }

    public void beginRow(int i2, SXSSFRow sXSSFRow) {
        String str;
        Writer writer = this._out;
        StringBuilder b2 = a.b("<row r=\"");
        b2.append(i2 + 1);
        b2.append("\"");
        writer.write(b2.toString());
        if (sXSSFRow.hasCustomHeight()) {
            Writer writer2 = this._out;
            StringBuilder b3 = a.b(" customHeight=\"true\"  ht=\"");
            b3.append(sXSSFRow.getHeightInPoints());
            b3.append("\"");
            writer2.write(b3.toString());
        }
        if (sXSSFRow.getZeroHeight()) {
            this._out.write(" hidden=\"true\"");
        }
        if (sXSSFRow.isFormatted()) {
            Writer writer3 = this._out;
            StringBuilder b4 = a.b(" s=\"");
            b4.append(sXSSFRow.getRowStyleIndex());
            b4.append("\"");
            writer3.write(b4.toString());
            this._out.write(" customFormat=\"1\"");
        }
        if (sXSSFRow.getOutlineLevel() != 0) {
            Writer writer4 = this._out;
            StringBuilder b5 = a.b(" outlineLevel=\"");
            b5.append(sXSSFRow.getOutlineLevel());
            b5.append("\"");
            writer4.write(b5.toString());
        }
        String str2 = "1";
        if (sXSSFRow.getHidden() != null) {
            Writer writer5 = this._out;
            StringBuilder b6 = a.b(" hidden=\"");
            if (sXSSFRow.getHidden().booleanValue()) {
                str = str2;
            } else {
                str = "0";
            }
            b6.append(str);
            b6.append("\"");
            writer5.write(b6.toString());
        }
        if (sXSSFRow.getCollapsed() != null) {
            Writer writer6 = this._out;
            StringBuilder b7 = a.b(" collapsed=\"");
            if (!sXSSFRow.getCollapsed().booleanValue()) {
                str2 = "0";
            }
            b7.append(str2);
            b7.append("\"");
            writer6.write(b7.toString());
        }
        this._out.write(">\n");
        this._rownum = i2;
    }

    public void close() {
        this._out.flush();
        this._out.close();
    }

    public File createTempFile() {
        return TempFile.createTempFile("poi-sxssf-sheet", ".xml");
    }

    public Writer createWriter(File file) {
        FileOutputStream fileOutputStream = new FileOutputStream(file);
        try {
            return new BufferedWriter(new OutputStreamWriter(decorateOutputStream(fileOutputStream), "UTF-8"));
        } catch (IOException e2) {
            fileOutputStream.close();
            throw e2;
        }
    }

    public InputStream decorateInputStream(FileInputStream fileInputStream) {
        return fileInputStream;
    }

    public OutputStream decorateOutputStream(FileOutputStream fileOutputStream) {
        return fileOutputStream;
    }

    public boolean dispose() {
        File file;
        try {
            this._out.close();
            return file.delete();
        } finally {
            this._fd.delete();
        }
    }

    public void endRow() {
        this._out.write("</row>\n");
    }

    public void finalize() {
        if (!this._fd.delete()) {
            POILogger pOILogger = logger;
            StringBuilder b2 = a.b("Can't delete temporary encryption file: ");
            b2.append(this._fd);
            pOILogger.log(7, b2.toString());
        }
        super.finalize();
    }

    public int getLastFlushedRow() {
        return this._numberLastFlushedRow;
    }

    public int getLowestIndexOfFlushedRows() {
        return this._lowestIndexOfFlushedRows;
    }

    public int getNumberOfCellsOfLastFlushedRow() {
        return this._numberOfCellsOfLastFlushedRow;
    }

    public int getNumberOfFlushedRows() {
        return this._numberOfFlushedRows;
    }

    public File getTempFile() {
        return this._fd;
    }

    public InputStream getWorksheetXMLInputStream() {
        FileInputStream fileInputStream = new FileInputStream(getTempFile());
        try {
            return decorateInputStream(fileInputStream);
        } catch (IOException e2) {
            fileInputStream.close();
            throw e2;
        }
    }

    public boolean hasLeadingTrailingSpaces(String str) {
        if (str == null || str.length() <= 0) {
            return false;
        }
        char charAt = str.charAt(0);
        char a = a.a(str, 1);
        if (Character.isWhitespace(charAt) || Character.isWhitespace(a)) {
            return true;
        }
        return false;
    }

    public void outputQuotedString(String str) {
        if (!(str == null || str.length() == 0)) {
            char[] charArray = str.toCharArray();
            int length = str.length();
            int i2 = 0;
            for (int i3 = 0; i3 < length; i3++) {
                char c = charArray[i3];
                if (c == '\t') {
                    if (i3 > i2) {
                        this._out.write(charArray, i2, i3 - i2);
                    }
                    this._out.write("&#x9;");
                } else if (c == '\n' || c == '\r') {
                    if (i3 > i2) {
                        this._out.write(charArray, i2, i3 - i2);
                    }
                    this._out.write("&#xa;");
                } else {
                    if (c == '\"') {
                        if (i3 > i2) {
                            this._out.write(charArray, i2, i3 - i2);
                        }
                        i2 = i3 + 1;
                        this._out.write("&quot;");
                    } else if (c == '&') {
                        if (i3 > i2) {
                            this._out.write(charArray, i2, i3 - i2);
                        }
                        i2 = i3 + 1;
                        this._out.write("&amp;");
                    } else if (c == '<') {
                        if (i3 > i2) {
                            this._out.write(charArray, i2, i3 - i2);
                        }
                        i2 = i3 + 1;
                        this._out.write("&lt;");
                    } else if (c == '>') {
                        if (i3 > i2) {
                            this._out.write(charArray, i2, i3 - i2);
                        }
                        i2 = i3 + 1;
                        this._out.write("&gt;");
                    } else if (c == 160) {
                        if (i3 > i2) {
                            this._out.write(charArray, i2, i3 - i2);
                        }
                        this._out.write("&#xa0;");
                    } else if (c < ' ' || Character.isLowSurrogate(c) || Character.isHighSurrogate(c) || (65534 <= c && c <= 65535)) {
                        if (i3 > i2) {
                            this._out.write(charArray, i2, i3 - i2);
                        }
                        this._out.write(63);
                    } else if (c > 127) {
                        if (i3 > i2) {
                            this._out.write(charArray, i2, i3 - i2);
                        }
                        i2 = i3 + 1;
                        this._out.write("&#");
                        this._out.write(String.valueOf((int) c));
                        this._out.write(";");
                    }
                }
                i2 = i3 + 1;
            }
            if (i2 < length) {
                this._out.write(charArray, i2, length - i2);
            }
        }
    }

    public void writeCell(int i2, Cell cell) {
        if (cell != null) {
            String formatAsString = new CellReference(this._rownum, i2).formatAsString();
            Writer writer = this._out;
            writer.write("<c r=\"" + formatAsString + "\"");
            CellStyle cellStyle = cell.getCellStyle();
            if (cellStyle.getIndex() != 0) {
                Writer writer2 = this._out;
                StringBuilder b2 = a.b(" s=\"");
                b2.append(cellStyle.getIndex() & 65535);
                b2.append("\"");
                writer2.write(b2.toString());
            }
            CellType cellTypeEnum = cell.getCellTypeEnum();
            switch (cellTypeEnum.ordinal()) {
                case 1:
                    this._out.write(" t=\"n\">");
                    Writer writer3 = this._out;
                    StringBuilder b3 = a.b("<v>");
                    b3.append(cell.getNumericCellValue());
                    b3.append("</v>");
                    writer3.write(b3.toString());
                    break;
                case 2:
                    if (this._sharedStringSource == null) {
                        this._out.write(" t=\"inlineStr\">");
                        this._out.write("<is><t");
                        if (hasLeadingTrailingSpaces(cell.getStringCellValue())) {
                            this._out.write(" xml:space=\"preserve\"");
                        }
                        this._out.write(GreaterThanPtg.GREATERTHAN);
                        outputQuotedString(cell.getStringCellValue());
                        this._out.write("</t></is>");
                        break;
                    } else {
                        int addEntry = this._sharedStringSource.addEntry(new XSSFRichTextString(cell.getStringCellValue()).getCTRst());
                        Writer writer4 = this._out;
                        StringBuilder b4 = a.b(" t=\"");
                        b4.append(STCellType.S);
                        b4.append("\">");
                        writer4.write(b4.toString());
                        this._out.write("<v>");
                        this._out.write(String.valueOf(addEntry));
                        this._out.write("</v>");
                        break;
                    }
                case 3:
                    this._out.write(GreaterThanPtg.GREATERTHAN);
                    this._out.write("<f>");
                    outputQuotedString(cell.getCellFormula());
                    this._out.write("</f>");
                    if (cell.getCachedFormulaResultTypeEnum().ordinal() == 1) {
                        double numericCellValue = cell.getNumericCellValue();
                        if (!Double.isNaN(numericCellValue)) {
                            Writer writer5 = this._out;
                            writer5.write("<v>" + numericCellValue + "</v>");
                            break;
                        }
                    }
                    break;
                case 4:
                    this._out.write(GreaterThanPtg.GREATERTHAN);
                    break;
                case 5:
                    this._out.write(" t=\"b\">");
                    Writer writer6 = this._out;
                    StringBuilder b5 = a.b("<v>");
                    b5.append(cell.getBooleanCellValue() ? "1" : "0");
                    b5.append("</v>");
                    writer6.write(b5.toString());
                    break;
                case 6:
                    FormulaError forInt = FormulaError.forInt(cell.getErrorCellValue());
                    this._out.write(" t=\"e\">");
                    Writer writer7 = this._out;
                    StringBuilder b6 = a.b("<v>");
                    b6.append(forInt.getString());
                    b6.append("</v>");
                    writer7.write(b6.toString());
                    break;
                default:
                    throw new IllegalStateException("Invalid cell type: " + cellTypeEnum);
            }
            this._out.write("</c>");
        }
    }

    public void writeRow(int i2, SXSSFRow sXSSFRow) {
        if (this._numberOfFlushedRows == 0) {
            this._lowestIndexOfFlushedRows = i2;
        }
        this._numberLastFlushedRow = Math.max(i2, this._numberLastFlushedRow);
        this._numberOfCellsOfLastFlushedRow = sXSSFRow.getLastCellNum();
        this._numberOfFlushedRows++;
        beginRow(i2, sXSSFRow);
        Iterator<Cell> allCellsIterator = sXSSFRow.allCellsIterator();
        int i3 = 0;
        while (allCellsIterator.hasNext()) {
            writeCell(i3, allCellsIterator.next());
            i3++;
        }
        endRow();
    }

    public SheetDataWriter(SharedStringsTable sharedStringsTable) {
        this();
        this._sharedStringSource = sharedStringsTable;
    }
}
