package org.apache.poi.xssf.usermodel;

import b.b.a.a.a;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import org.apache.poi.hssf.util.HSSFColor;
import org.apache.poi.ss.usermodel.SimpleShape;
import org.apache.poi.ss.usermodel.VerticalAlignment;
import org.apache.poi.util.Internal;
import org.apache.poi.util.Units;
import org.apache.xmlbeans.impl.common.NameUtil;
import org.apache.xmlbeans.impl.piccolo.xml.Piccolo;
import org.openxmlformats.schemas.drawingml.x2006.main.CTNonVisualDrawingProps;
import org.openxmlformats.schemas.drawingml.x2006.main.CTPoint2D;
import org.openxmlformats.schemas.drawingml.x2006.main.CTPositiveSize2D;
import org.openxmlformats.schemas.drawingml.x2006.main.CTPresetGeometry2D;
import org.openxmlformats.schemas.drawingml.x2006.main.CTRegularTextRun;
import org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties;
import org.openxmlformats.schemas.drawingml.x2006.main.CTSolidColorFillProperties;
import org.openxmlformats.schemas.drawingml.x2006.main.CTTextBody;
import org.openxmlformats.schemas.drawingml.x2006.main.CTTextBodyProperties;
import org.openxmlformats.schemas.drawingml.x2006.main.CTTextCharacterProperties;
import org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraph;
import org.openxmlformats.schemas.drawingml.x2006.main.CTTransform2D;
import org.openxmlformats.schemas.drawingml.x2006.main.STShapeType;
import org.openxmlformats.schemas.drawingml.x2006.main.STTextAlignType;
import org.openxmlformats.schemas.drawingml.x2006.main.STTextAnchoringType;
import org.openxmlformats.schemas.drawingml.x2006.main.STTextHorzOverflowType;
import org.openxmlformats.schemas.drawingml.x2006.main.STTextUnderlineType;
import org.openxmlformats.schemas.drawingml.x2006.main.STTextVertOverflowType;
import org.openxmlformats.schemas.drawingml.x2006.main.STTextVerticalType;
import org.openxmlformats.schemas.drawingml.x2006.main.STTextWrappingType;
import org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShape;
import org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShapeNonVisual;
import org.openxmlformats.schemas.spreadsheetml.x2006.main.CTColor;
import org.openxmlformats.schemas.spreadsheetml.x2006.main.CTRElt;
import org.openxmlformats.schemas.spreadsheetml.x2006.main.CTRPrElt;
import org.openxmlformats.schemas.spreadsheetml.x2006.main.STUnderlineValues;

public class XSSFSimpleShape extends XSSFShape implements Iterable<XSSFTextParagraph>, SimpleShape {
    public static int[] _romanAlphaValues = {1000, 900, Piccolo.YYSTACKSIZE, 400, 100, 90, 50, 40, 10, 9, 5, 4, 1};
    public static String[] _romanChars = {"M", "CM", "D", "CD", "C", "XC", "L", "XL", "X", "IX", "V", "IV", "I"};
    public static CTShape prototype;
    public final List<XSSFTextParagraph> _paragraphs = new ArrayList();
    public CTShape ctShape;

    /* renamed from: org.apache.poi.xssf.usermodel.XSSFSimpleShape$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$xssf$usermodel$ListAutoNumber;
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$xssf$usermodel$TextAutofit;

        /* JADX WARNING: Can't wrap try/catch for region: R(51:0|1|2|3|5|6|7|9|10|11|13|14|15|16|17|18|19|21|22|23|25|26|27|(2:29|30)|31|33|34|35|37|38|39|41|42|43|(2:45|46)|47|49|50|51|52|53|55|56|57|(2:59|60)|61|63|64|65|66|68) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:15:0x002a */
        /* JADX WARNING: Missing exception handler attribute for start block: B:17:0x0030 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:51:0x0072 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:65:0x0092 */
        static {
            int[] iArr = new int[TextAutofit.values().length];
            $SwitchMap$org$apache$poi$xssf$usermodel$TextAutofit = iArr;
            try {
                TextAutofit textAutofit = TextAutofit.NONE;
                iArr[0] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                int[] iArr2 = $SwitchMap$org$apache$poi$xssf$usermodel$TextAutofit;
                TextAutofit textAutofit2 = TextAutofit.NORMAL;
                iArr2[1] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            try {
                int[] iArr3 = $SwitchMap$org$apache$poi$xssf$usermodel$TextAutofit;
                TextAutofit textAutofit3 = TextAutofit.SHAPE;
                iArr3[2] = 3;
            } catch (NoSuchFieldError unused3) {
            }
            int[] iArr4 = new int[ListAutoNumber.values().length];
            $SwitchMap$org$apache$poi$xssf$usermodel$ListAutoNumber = iArr4;
            ListAutoNumber listAutoNumber = ListAutoNumber.ALPHA_LC_PARENT_BOTH;
            iArr4[0] = 1;
            int[] iArr5 = $SwitchMap$org$apache$poi$xssf$usermodel$ListAutoNumber;
            ListAutoNumber listAutoNumber2 = ListAutoNumber.ALPHA_LC_PARENT_R;
            iArr5[2] = 2;
            try {
                int[] iArr6 = $SwitchMap$org$apache$poi$xssf$usermodel$ListAutoNumber;
                ListAutoNumber listAutoNumber3 = ListAutoNumber.ALPHA_UC_PARENT_BOTH;
                iArr6[1] = 3;
            } catch (NoSuchFieldError unused4) {
            }
            try {
                int[] iArr7 = $SwitchMap$org$apache$poi$xssf$usermodel$ListAutoNumber;
                ListAutoNumber listAutoNumber4 = ListAutoNumber.ALPHA_UC_PARENT_R;
                iArr7[3] = 4;
            } catch (NoSuchFieldError unused5) {
            }
            try {
                int[] iArr8 = $SwitchMap$org$apache$poi$xssf$usermodel$ListAutoNumber;
                ListAutoNumber listAutoNumber5 = ListAutoNumber.ALPHA_LC_PERIOD;
                iArr8[4] = 5;
            } catch (NoSuchFieldError unused6) {
            }
            try {
                int[] iArr9 = $SwitchMap$org$apache$poi$xssf$usermodel$ListAutoNumber;
                ListAutoNumber listAutoNumber6 = ListAutoNumber.ALPHA_UC_PERIOD;
                iArr9[5] = 6;
            } catch (NoSuchFieldError unused7) {
            }
            try {
                int[] iArr10 = $SwitchMap$org$apache$poi$xssf$usermodel$ListAutoNumber;
                ListAutoNumber listAutoNumber7 = ListAutoNumber.ARABIC_PARENT_BOTH;
                iArr10[6] = 7;
            } catch (NoSuchFieldError unused8) {
            }
            try {
                int[] iArr11 = $SwitchMap$org$apache$poi$xssf$usermodel$ListAutoNumber;
                ListAutoNumber listAutoNumber8 = ListAutoNumber.ARABIC_PARENT_R;
                iArr11[7] = 8;
            } catch (NoSuchFieldError unused9) {
            }
            try {
                int[] iArr12 = $SwitchMap$org$apache$poi$xssf$usermodel$ListAutoNumber;
                ListAutoNumber listAutoNumber9 = ListAutoNumber.ARABIC_PERIOD;
                iArr12[8] = 9;
            } catch (NoSuchFieldError unused10) {
            }
            try {
                int[] iArr13 = $SwitchMap$org$apache$poi$xssf$usermodel$ListAutoNumber;
                ListAutoNumber listAutoNumber10 = ListAutoNumber.ARABIC_PLAIN;
                iArr13[9] = 10;
            } catch (NoSuchFieldError unused11) {
            }
            int[] iArr14 = $SwitchMap$org$apache$poi$xssf$usermodel$ListAutoNumber;
            ListAutoNumber listAutoNumber11 = ListAutoNumber.ROMAN_LC_PARENT_BOTH;
            iArr14[10] = 11;
            try {
                int[] iArr15 = $SwitchMap$org$apache$poi$xssf$usermodel$ListAutoNumber;
                ListAutoNumber listAutoNumber12 = ListAutoNumber.ROMAN_LC_PARENT_R;
                iArr15[12] = 12;
            } catch (NoSuchFieldError unused12) {
            }
            try {
                int[] iArr16 = $SwitchMap$org$apache$poi$xssf$usermodel$ListAutoNumber;
                ListAutoNumber listAutoNumber13 = ListAutoNumber.ROMAN_UC_PARENT_BOTH;
                iArr16[11] = 13;
            } catch (NoSuchFieldError unused13) {
            }
            try {
                int[] iArr17 = $SwitchMap$org$apache$poi$xssf$usermodel$ListAutoNumber;
                ListAutoNumber listAutoNumber14 = ListAutoNumber.ROMAN_UC_PARENT_R;
                iArr17[13] = 14;
            } catch (NoSuchFieldError unused14) {
            }
            int[] iArr18 = $SwitchMap$org$apache$poi$xssf$usermodel$ListAutoNumber;
            ListAutoNumber listAutoNumber15 = ListAutoNumber.ROMAN_LC_PERIOD;
            iArr18[14] = 15;
            try {
                int[] iArr19 = $SwitchMap$org$apache$poi$xssf$usermodel$ListAutoNumber;
                ListAutoNumber listAutoNumber16 = ListAutoNumber.ROMAN_UC_PERIOD;
                iArr19[15] = 16;
            } catch (NoSuchFieldError unused15) {
            }
        }
    }

    public XSSFSimpleShape(XSSFDrawing xSSFDrawing, CTShape cTShape) {
        this.drawing = xSSFDrawing;
        this.ctShape = cTShape;
        CTTextBody txBody = cTShape.getTxBody();
        if (txBody != null) {
            for (int i2 = 0; i2 < txBody.sizeOfPArray(); i2++) {
                this._paragraphs.add(new XSSFTextParagraph(txBody.getPArray(i2), cTShape));
            }
        }
    }

    public static void applyAttributes(CTRPrElt cTRPrElt, CTTextCharacterProperties cTTextCharacterProperties) {
        HSSFColor hSSFColor;
        if (cTRPrElt.sizeOfBArray() > 0) {
            cTTextCharacterProperties.setB(cTRPrElt.getBArray(0).getVal());
        }
        if (cTRPrElt.sizeOfUArray() > 0) {
            STUnderlineValues.Enum val = cTRPrElt.getUArray(0).getVal();
            if (val == STUnderlineValues.SINGLE) {
                cTTextCharacterProperties.setU(STTextUnderlineType.SNG);
            } else if (val == STUnderlineValues.DOUBLE) {
                cTTextCharacterProperties.setU(STTextUnderlineType.DBL);
            } else if (val == STUnderlineValues.NONE) {
                cTTextCharacterProperties.setU(STTextUnderlineType.NONE);
            }
        }
        if (cTRPrElt.sizeOfIArray() > 0) {
            cTTextCharacterProperties.setI(cTRPrElt.getIArray(0).getVal());
        }
        if (cTRPrElt.sizeOfRFontArray() > 0) {
            (cTTextCharacterProperties.isSetLatin() ? cTTextCharacterProperties.getLatin() : cTTextCharacterProperties.addNewLatin()).setTypeface(cTRPrElt.getRFontArray(0).getVal());
        }
        if (cTRPrElt.sizeOfSzArray() > 0) {
            cTTextCharacterProperties.setSz((int) (cTRPrElt.getSzArray(0).getVal() * 100.0d));
        }
        if (cTRPrElt.sizeOfColorArray() > 0) {
            CTSolidColorFillProperties solidFill = cTTextCharacterProperties.isSetSolidFill() ? cTTextCharacterProperties.getSolidFill() : cTTextCharacterProperties.addNewSolidFill();
            CTColor colorArray = cTRPrElt.getColorArray(0);
            if (colorArray.isSetRgb()) {
                (solidFill.isSetSrgbClr() ? solidFill.getSrgbClr() : solidFill.addNewSrgbClr()).setVal(colorArray.getRgb());
            } else if (colorArray.isSetIndexed() && (hSSFColor = HSSFColor.getIndexHash().get(Integer.valueOf((int) colorArray.getIndexed()))) != null) {
                (solidFill.isSetSrgbClr() ? solidFill.getSrgbClr() : solidFill.addNewSrgbClr()).setVal(new byte[]{(byte) hSSFColor.getTriplet()[0], (byte) hSSFColor.getTriplet()[1], (byte) hSSFColor.getTriplet()[2]});
            }
        }
    }

    private String getBulletPrefix(ListAutoNumber listAutoNumber, int i2) {
        StringBuilder sb = new StringBuilder();
        switch (listAutoNumber.ordinal()) {
            case 0:
            case 2:
                if (listAutoNumber == ListAutoNumber.ALPHA_LC_PARENT_BOTH) {
                    sb.append('(');
                }
                sb.append(valueToAlpha(i2).toLowerCase(Locale.ROOT));
                sb.append(')');
                break;
            case 1:
            case 3:
                if (listAutoNumber == ListAutoNumber.ALPHA_UC_PARENT_BOTH) {
                    sb.append('(');
                }
                sb.append(valueToAlpha(i2));
                sb.append(')');
                break;
            case 4:
                sb.append(valueToAlpha(i2).toLowerCase(Locale.ROOT));
                sb.append(NameUtil.PERIOD);
                break;
            case 5:
                sb.append(valueToAlpha(i2));
                sb.append(NameUtil.PERIOD);
                break;
            case 6:
            case 7:
                if (listAutoNumber == ListAutoNumber.ARABIC_PARENT_BOTH) {
                    sb.append('(');
                }
                sb.append(i2);
                sb.append(')');
                break;
            case 8:
                sb.append(i2);
                sb.append(NameUtil.PERIOD);
                break;
            case 9:
                sb.append(i2);
                break;
            case 10:
            case 12:
                if (listAutoNumber == ListAutoNumber.ROMAN_LC_PARENT_BOTH) {
                    sb.append('(');
                }
                sb.append(valueToRoman(i2).toLowerCase(Locale.ROOT));
                sb.append(')');
                break;
            case 11:
            case 13:
                if (listAutoNumber == ListAutoNumber.ROMAN_UC_PARENT_BOTH) {
                    sb.append('(');
                }
                sb.append(valueToRoman(i2));
                sb.append(')');
                break;
            case 14:
                sb.append(valueToRoman(i2).toLowerCase(Locale.ROOT));
                sb.append(NameUtil.PERIOD);
                break;
            case 15:
                sb.append(valueToRoman(i2));
                sb.append(NameUtil.PERIOD);
                break;
            default:
                sb.append((char) 8226);
                break;
        }
        sb.append(" ");
        return sb.toString();
    }

    private int processAutoNumGroup(int i2, int i3, List<Integer> list, StringBuilder sb) {
        XSSFTextParagraph xSSFTextParagraph = this._paragraphs.get(i2);
        int bulletAutoNumberStart = xSSFTextParagraph.getBulletAutoNumberStart();
        ListAutoNumber bulletAutoNumberScheme = xSSFTextParagraph.getBulletAutoNumberScheme();
        if (list.get(i3).intValue() == 0) {
            list.set(i3, Integer.valueOf(bulletAutoNumberStart == 0 ? 1 : bulletAutoNumberStart));
        }
        for (int i4 = 0; i4 < i3; i4++) {
            sb.append('\t');
        }
        if (xSSFTextParagraph.getText().length() > 0) {
            sb.append(getBulletPrefix(bulletAutoNumberScheme, list.get(i3).intValue()));
            sb.append(xSSFTextParagraph.getText());
        }
        while (true) {
            int i5 = i2 + 1;
            XSSFTextParagraph xSSFTextParagraph2 = i5 == this._paragraphs.size() ? null : this._paragraphs.get(i5);
            if (xSSFTextParagraph2 == null || !xSSFTextParagraph2.isBullet() || !xSSFTextParagraph.isBulletAutoNumber()) {
                break;
            } else if (xSSFTextParagraph2.getLevel() <= i3) {
                if (xSSFTextParagraph2.getLevel() < i3) {
                    break;
                }
                ListAutoNumber bulletAutoNumberScheme2 = xSSFTextParagraph2.getBulletAutoNumberScheme();
                int bulletAutoNumberStart2 = xSSFTextParagraph2.getBulletAutoNumberStart();
                if (!(bulletAutoNumberScheme2 == bulletAutoNumberScheme && bulletAutoNumberStart2 == bulletAutoNumberStart)) {
                    break;
                }
                if (sb.length() > 0) {
                    sb.append('\n');
                }
                for (int i6 = 0; i6 < i3; i6++) {
                    sb.append('\t');
                }
                if (xSSFTextParagraph2.getText().length() > 0) {
                    list.set(i3, Integer.valueOf(list.get(i3).intValue() + 1));
                    sb.append(getBulletPrefix(bulletAutoNumberScheme2, list.get(i3).intValue()));
                    sb.append(xSSFTextParagraph2.getText());
                }
                i2 = i5;
            } else {
                if (sb.length() > 0) {
                    sb.append('\n');
                }
                i2 = processAutoNumGroup(i5, xSSFTextParagraph2.getLevel(), list, sb);
            }
        }
        list.set(i3, 0);
        return i2;
    }

    public static CTShape prototype() {
        if (prototype == null) {
            CTShape newInstance = CTShape.Factory.newInstance();
            CTShapeNonVisual addNewNvSpPr = newInstance.addNewNvSpPr();
            CTNonVisualDrawingProps addNewCNvPr = addNewNvSpPr.addNewCNvPr();
            addNewCNvPr.setId(1);
            addNewCNvPr.setName("Shape 1");
            addNewNvSpPr.addNewCNvSpPr();
            CTShapeProperties addNewSpPr = newInstance.addNewSpPr();
            CTTransform2D addNewXfrm = addNewSpPr.addNewXfrm();
            CTPositiveSize2D addNewExt = addNewXfrm.addNewExt();
            addNewExt.setCx(0);
            addNewExt.setCy(0);
            CTPoint2D addNewOff = addNewXfrm.addNewOff();
            addNewOff.setX(0);
            addNewOff.setY(0);
            CTPresetGeometry2D addNewPrstGeom = addNewSpPr.addNewPrstGeom();
            addNewPrstGeom.setPrst(STShapeType.RECT);
            addNewPrstGeom.addNewAvLst();
            CTTextBody addNewTxBody = newInstance.addNewTxBody();
            CTTextBodyProperties addNewBodyPr = addNewTxBody.addNewBodyPr();
            addNewBodyPr.setAnchor(STTextAnchoringType.T);
            addNewBodyPr.setRtlCol(false);
            CTTextParagraph addNewP = addNewTxBody.addNewP();
            addNewP.addNewPPr().setAlgn(STTextAlignType.L);
            CTTextCharacterProperties addNewEndParaRPr = addNewP.addNewEndParaRPr();
            addNewEndParaRPr.setLang("en-US");
            addNewEndParaRPr.setSz(1100);
            addNewEndParaRPr.addNewSolidFill().addNewSrgbClr().setVal(new byte[]{0, 0, 0});
            addNewTxBody.addNewLstStyle();
            prototype = newInstance;
        }
        return prototype;
    }

    private String valueToAlpha(int i2) {
        String str = "";
        while (i2 > 0) {
            int i3 = (i2 - 1) % 26;
            str = ((char) (i3 + 65)) + str;
            i2 = (i2 - i3) / 26;
        }
        return str;
    }

    private String valueToRoman(int i2) {
        StringBuilder sb = new StringBuilder();
        int i3 = 0;
        while (i2 > 0 && i3 < _romanChars.length) {
            while (_romanAlphaValues[i3] <= i2) {
                sb.append(_romanChars[i3]);
                i2 -= _romanAlphaValues[i3];
            }
            i3++;
        }
        return sb.toString();
    }

    public XSSFTextParagraph addNewTextParagraph() {
        XSSFTextParagraph xSSFTextParagraph = new XSSFTextParagraph(this.ctShape.getTxBody().addNewP(), this.ctShape);
        this._paragraphs.add(xSSFTextParagraph);
        return xSSFTextParagraph;
    }

    public void clearText() {
        this._paragraphs.clear();
        this.ctShape.getTxBody().setPArray(null);
    }

    public double getBottomInset() {
        CTTextBodyProperties bodyPr = this.ctShape.getTxBody().getBodyPr();
        if (bodyPr == null || !bodyPr.isSetBIns()) {
            return 3.6d;
        }
        return Units.toPoints((long) bodyPr.getBIns());
    }

    @Internal
    public CTShape getCTShape() {
        return this.ctShape;
    }

    public double getLeftInset() {
        CTTextBodyProperties bodyPr = this.ctShape.getTxBody().getBodyPr();
        if (bodyPr == null || !bodyPr.isSetLIns()) {
            return 3.6d;
        }
        return Units.toPoints((long) bodyPr.getLIns());
    }

    public double getRightInset() {
        CTTextBodyProperties bodyPr = this.ctShape.getTxBody().getBodyPr();
        if (bodyPr == null || !bodyPr.isSetRIns()) {
            return 3.6d;
        }
        return Units.toPoints((long) bodyPr.getRIns());
    }

    @Override // org.apache.poi.ss.usermodel.SimpleShape
    public int getShapeId() {
        return (int) this.ctShape.getNvSpPr().getCNvPr().getId();
    }

    @Override // org.apache.poi.ss.usermodel.Shape
    public String getShapeName() {
        return this.ctShape.getNvSpPr().getCNvPr().getName();
    }

    @Override // org.apache.poi.xssf.usermodel.XSSFShape
    public CTShapeProperties getShapeProperties() {
        return this.ctShape.getSpPr();
    }

    public int getShapeType() {
        return this.ctShape.getSpPr().getPrstGeom().getPrst().intValue();
    }

    public String getText() {
        StringBuilder sb = new StringBuilder();
        ArrayList arrayList = new ArrayList(9);
        for (int i2 = 0; i2 < 9; i2++) {
            arrayList.add(0);
        }
        int i3 = 0;
        while (i3 < this._paragraphs.size()) {
            if (sb.length() > 0) {
                sb.append('\n');
            }
            XSSFTextParagraph xSSFTextParagraph = this._paragraphs.get(i3);
            if (!xSSFTextParagraph.isBullet() || xSSFTextParagraph.getText().length() <= 0) {
                sb.append(xSSFTextParagraph.getText());
                for (int i4 = 0; i4 < 9; i4++) {
                    arrayList.set(i4, 0);
                }
            } else {
                int min = Math.min(xSSFTextParagraph.getLevel(), 8);
                if (xSSFTextParagraph.isBulletAutoNumber()) {
                    i3 = processAutoNumGroup(i3, min, arrayList, sb);
                } else {
                    for (int i5 = 0; i5 < min; i5++) {
                        sb.append('\t');
                    }
                    String bulletCharacter = xSSFTextParagraph.getBulletCharacter();
                    sb.append(bulletCharacter.length() > 0 ? a.b(bulletCharacter, " ") : "- ");
                    sb.append(xSSFTextParagraph.getText());
                }
            }
            i3++;
        }
        return sb.toString();
    }

    public TextAutofit getTextAutofit() {
        CTTextBodyProperties bodyPr = this.ctShape.getTxBody().getBodyPr();
        if (bodyPr != null) {
            if (bodyPr.isSetNoAutofit()) {
                return TextAutofit.NONE;
            }
            if (bodyPr.isSetNormAutofit()) {
                return TextAutofit.NORMAL;
            }
            if (bodyPr.isSetSpAutoFit()) {
                return TextAutofit.SHAPE;
            }
        }
        return TextAutofit.NORMAL;
    }

    public TextDirection getTextDirection() {
        STTextVerticalType.Enum vert;
        CTTextBodyProperties bodyPr = this.ctShape.getTxBody().getBodyPr();
        if (bodyPr == null || (vert = bodyPr.getVert()) == null) {
            return TextDirection.HORIZONTAL;
        }
        return TextDirection.values()[vert.intValue() - 1];
    }

    public TextHorizontalOverflow getTextHorizontalOverflow() {
        CTTextBodyProperties bodyPr = this.ctShape.getTxBody().getBodyPr();
        if (bodyPr == null || !bodyPr.isSetHorzOverflow()) {
            return TextHorizontalOverflow.OVERFLOW;
        }
        return TextHorizontalOverflow.values()[bodyPr.getHorzOverflow().intValue() - 1];
    }

    public List<XSSFTextParagraph> getTextParagraphs() {
        return this._paragraphs;
    }

    public TextVerticalOverflow getTextVerticalOverflow() {
        CTTextBodyProperties bodyPr = this.ctShape.getTxBody().getBodyPr();
        if (bodyPr == null || !bodyPr.isSetVertOverflow()) {
            return TextVerticalOverflow.OVERFLOW;
        }
        return TextVerticalOverflow.values()[bodyPr.getVertOverflow().intValue() - 1];
    }

    public double getTopInset() {
        CTTextBodyProperties bodyPr = this.ctShape.getTxBody().getBodyPr();
        if (bodyPr == null || !bodyPr.isSetTIns()) {
            return 3.6d;
        }
        return Units.toPoints((long) bodyPr.getTIns());
    }

    public VerticalAlignment getVerticalAlignment() {
        CTTextBodyProperties bodyPr = this.ctShape.getTxBody().getBodyPr();
        if (bodyPr == null || !bodyPr.isSetAnchor()) {
            return VerticalAlignment.TOP;
        }
        return VerticalAlignment.values()[bodyPr.getAnchor().intValue() - 1];
    }

    public boolean getWordWrap() {
        CTTextBodyProperties bodyPr = this.ctShape.getTxBody().getBodyPr();
        if (bodyPr == null || !bodyPr.isSetWrap() || bodyPr.getWrap() == STTextWrappingType.SQUARE) {
            return true;
        }
        return false;
    }

    @Override // java.lang.Iterable
    public Iterator<XSSFTextParagraph> iterator() {
        return this._paragraphs.iterator();
    }

    public void setBottomInset(double d2) {
        CTTextBodyProperties bodyPr = this.ctShape.getTxBody().getBodyPr();
        if (bodyPr == null) {
            return;
        }
        if (d2 != -1.0d) {
            bodyPr.setBIns(Units.toEMU(d2));
        } else if (bodyPr.isSetBIns()) {
            bodyPr.unsetBIns();
        }
    }

    public void setLeftInset(double d2) {
        CTTextBodyProperties bodyPr = this.ctShape.getTxBody().getBodyPr();
        if (bodyPr == null) {
            return;
        }
        if (d2 != -1.0d) {
            bodyPr.setLIns(Units.toEMU(d2));
        } else if (bodyPr.isSetLIns()) {
            bodyPr.unsetLIns();
        }
    }

    public void setRightInset(double d2) {
        CTTextBodyProperties bodyPr = this.ctShape.getTxBody().getBodyPr();
        if (bodyPr == null) {
            return;
        }
        if (d2 != -1.0d) {
            bodyPr.setRIns(Units.toEMU(d2));
        } else if (bodyPr.isSetRIns()) {
            bodyPr.unsetRIns();
        }
    }

    public void setShapeType(int i2) {
        this.ctShape.getSpPr().getPrstGeom().setPrst(STShapeType.Enum.forInt(i2));
    }

    public void setText(String str) {
        clearText();
        addNewTextParagraph().addNewTextRun().setText(str);
    }

    public void setTextAutofit(TextAutofit textAutofit) {
        CTTextBodyProperties bodyPr = this.ctShape.getTxBody().getBodyPr();
        if (bodyPr != null) {
            if (bodyPr.isSetSpAutoFit()) {
                bodyPr.unsetSpAutoFit();
            }
            if (bodyPr.isSetNoAutofit()) {
                bodyPr.unsetNoAutofit();
            }
            if (bodyPr.isSetNormAutofit()) {
                bodyPr.unsetNormAutofit();
            }
            int ordinal = textAutofit.ordinal();
            if (ordinal == 0) {
                bodyPr.addNewNoAutofit();
            } else if (ordinal == 1) {
                bodyPr.addNewNormAutofit();
            } else if (ordinal == 2) {
                bodyPr.addNewSpAutoFit();
            }
        }
    }

    public void setTextDirection(TextDirection textDirection) {
        CTTextBodyProperties bodyPr = this.ctShape.getTxBody().getBodyPr();
        if (bodyPr == null) {
            return;
        }
        if (textDirection != null) {
            bodyPr.setVert(STTextVerticalType.Enum.forInt(textDirection.ordinal() + 1));
        } else if (bodyPr.isSetVert()) {
            bodyPr.unsetVert();
        }
    }

    public void setTextHorizontalOverflow(TextHorizontalOverflow textHorizontalOverflow) {
        CTTextBodyProperties bodyPr = this.ctShape.getTxBody().getBodyPr();
        if (bodyPr == null) {
            return;
        }
        if (textHorizontalOverflow != null) {
            bodyPr.setHorzOverflow(STTextHorzOverflowType.Enum.forInt(textHorizontalOverflow.ordinal() + 1));
        } else if (bodyPr.isSetHorzOverflow()) {
            bodyPr.unsetHorzOverflow();
        }
    }

    public void setTextVerticalOverflow(TextVerticalOverflow textVerticalOverflow) {
        CTTextBodyProperties bodyPr = this.ctShape.getTxBody().getBodyPr();
        if (bodyPr == null) {
            return;
        }
        if (textVerticalOverflow != null) {
            bodyPr.setVertOverflow(STTextVertOverflowType.Enum.forInt(textVerticalOverflow.ordinal() + 1));
        } else if (bodyPr.isSetVertOverflow()) {
            bodyPr.unsetVertOverflow();
        }
    }

    public void setTopInset(double d2) {
        CTTextBodyProperties bodyPr = this.ctShape.getTxBody().getBodyPr();
        if (bodyPr == null) {
            return;
        }
        if (d2 != -1.0d) {
            bodyPr.setTIns(Units.toEMU(d2));
        } else if (bodyPr.isSetTIns()) {
            bodyPr.unsetTIns();
        }
    }

    public void setVerticalAlignment(VerticalAlignment verticalAlignment) {
        CTTextBodyProperties bodyPr = this.ctShape.getTxBody().getBodyPr();
        if (bodyPr == null) {
            return;
        }
        if (verticalAlignment != null) {
            bodyPr.setAnchor(STTextAnchoringType.Enum.forInt(verticalAlignment.ordinal() + 1));
        } else if (bodyPr.isSetAnchor()) {
            bodyPr.unsetAnchor();
        }
    }

    public void setWordWrap(boolean z) {
        CTTextBodyProperties bodyPr = this.ctShape.getTxBody().getBodyPr();
        if (bodyPr != null) {
            bodyPr.setWrap(z ? STTextWrappingType.SQUARE : STTextWrappingType.NONE);
        }
    }

    public void setText(XSSFRichTextString xSSFRichTextString) {
        xSSFRichTextString.setStylesTableReference(((XSSFWorkbook) getDrawing().getParent().getParent()).getStylesSource());
        CTTextParagraph newInstance = CTTextParagraph.Factory.newInstance();
        if (xSSFRichTextString.numFormattingRuns() == 0) {
            CTRegularTextRun addNewR = newInstance.addNewR();
            CTTextCharacterProperties addNewRPr = addNewR.addNewRPr();
            addNewRPr.setLang("en-US");
            addNewRPr.setSz(1100);
            addNewR.setT(xSSFRichTextString.getString());
        } else {
            for (int i2 = 0; i2 < xSSFRichTextString.getCTRst().sizeOfRArray(); i2++) {
                CTRElt rArray = xSSFRichTextString.getCTRst().getRArray(i2);
                CTRPrElt rPr = rArray.getRPr();
                if (rPr == null) {
                    rPr = rArray.addNewRPr();
                }
                CTRegularTextRun addNewR2 = newInstance.addNewR();
                CTTextCharacterProperties addNewRPr2 = addNewR2.addNewRPr();
                addNewRPr2.setLang("en-US");
                applyAttributes(rPr, addNewRPr2);
                addNewR2.setT(rArray.getT());
            }
        }
        clearText();
        this.ctShape.getTxBody().setPArray(new CTTextParagraph[]{newInstance});
        this._paragraphs.add(new XSSFTextParagraph(this.ctShape.getTxBody().getPArray(0), this.ctShape));
    }

    public XSSFTextParagraph addNewTextParagraph(String str) {
        XSSFTextParagraph addNewTextParagraph = addNewTextParagraph();
        addNewTextParagraph.addNewTextRun().setText(str);
        return addNewTextParagraph;
    }

    public XSSFTextParagraph addNewTextParagraph(XSSFRichTextString xSSFRichTextString) {
        CTTextParagraph addNewP = this.ctShape.getTxBody().addNewP();
        if (xSSFRichTextString.numFormattingRuns() == 0) {
            CTRegularTextRun addNewR = addNewP.addNewR();
            CTTextCharacterProperties addNewRPr = addNewR.addNewRPr();
            addNewRPr.setLang("en-US");
            addNewRPr.setSz(1100);
            addNewR.setT(xSSFRichTextString.getString());
        } else {
            for (int i2 = 0; i2 < xSSFRichTextString.getCTRst().sizeOfRArray(); i2++) {
                CTRElt rArray = xSSFRichTextString.getCTRst().getRArray(i2);
                CTRPrElt rPr = rArray.getRPr();
                if (rPr == null) {
                    rPr = rArray.addNewRPr();
                }
                CTRegularTextRun addNewR2 = addNewP.addNewR();
                CTTextCharacterProperties addNewRPr2 = addNewR2.addNewRPr();
                addNewRPr2.setLang("en-US");
                applyAttributes(rPr, addNewRPr2);
                addNewR2.setT(rArray.getT());
            }
        }
        XSSFTextParagraph xSSFTextParagraph = new XSSFTextParagraph(addNewP, this.ctShape);
        this._paragraphs.add(xSSFTextParagraph);
        return xSSFTextParagraph;
    }
}
