package org.apache.poi.xssf.usermodel.charts;

import b.b.a.a.a;
import org.apache.poi.ss.usermodel.charts.ChartSeries;
import org.apache.poi.ss.usermodel.charts.TitleType;
import org.apache.poi.ss.util.CellReference;
import org.openxmlformats.schemas.drawingml.x2006.chart.CTSerTx;

public abstract class AbstractXSSFChartSeries implements ChartSeries {
    public CellReference titleRef;
    public TitleType titleType;
    public String titleValue;

    /* renamed from: org.apache.poi.xssf.usermodel.charts.AbstractXSSFChartSeries$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$ss$usermodel$charts$TitleType;

        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x000e */
        static {
            int[] iArr = new int[TitleType.values().length];
            $SwitchMap$org$apache$poi$ss$usermodel$charts$TitleType = iArr;
            TitleType titleType = TitleType.CELL_REFERENCE;
            iArr[1] = 1;
            try {
                int[] iArr2 = $SwitchMap$org$apache$poi$ss$usermodel$charts$TitleType;
                TitleType titleType2 = TitleType.STRING;
                iArr2[0] = 2;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    public CTSerTx getCTSerTx() {
        CTSerTx newInstance = CTSerTx.Factory.newInstance();
        int ordinal = this.titleType.ordinal();
        if (ordinal == 0) {
            newInstance.setV(this.titleValue);
            return newInstance;
        } else if (ordinal == 1) {
            newInstance.addNewStrRef().setF(this.titleRef.formatAsString());
            return newInstance;
        } else {
            StringBuilder b2 = a.b("Unkown title type: ");
            b2.append(this.titleType);
            throw new IllegalStateException(b2.toString());
        }
    }

    @Override // org.apache.poi.ss.usermodel.charts.ChartSeries
    public CellReference getTitleCellReference() {
        if (TitleType.CELL_REFERENCE.equals(this.titleType)) {
            return this.titleRef;
        }
        throw new IllegalStateException("Title type is not CellReference.");
    }

    @Override // org.apache.poi.ss.usermodel.charts.ChartSeries
    public String getTitleString() {
        if (TitleType.STRING.equals(this.titleType)) {
            return this.titleValue;
        }
        throw new IllegalStateException("Title type is not String.");
    }

    @Override // org.apache.poi.ss.usermodel.charts.ChartSeries
    public TitleType getTitleType() {
        return this.titleType;
    }

    public boolean isTitleSet() {
        return this.titleType != null;
    }

    @Override // org.apache.poi.ss.usermodel.charts.ChartSeries
    public void setTitle(CellReference cellReference) {
        this.titleType = TitleType.CELL_REFERENCE;
        this.titleRef = cellReference;
    }

    @Override // org.apache.poi.ss.usermodel.charts.ChartSeries
    public void setTitle(String str) {
        this.titleType = TitleType.STRING;
        this.titleValue = str;
    }
}
