package org.apache.poi.xssf.usermodel.charts;

import org.apache.poi.ss.formula.functions.NumericFunction;
import org.apache.poi.ss.usermodel.charts.AxisCrosses;
import org.apache.poi.ss.usermodel.charts.AxisOrientation;
import org.apache.poi.ss.usermodel.charts.AxisPosition;
import org.apache.poi.ss.usermodel.charts.AxisTickMark;
import org.apache.poi.ss.usermodel.charts.ChartAxis;
import org.apache.poi.xssf.usermodel.XSSFChart;
import org.openxmlformats.schemas.drawingml.x2006.chart.CTAxPos;
import org.openxmlformats.schemas.drawingml.x2006.chart.CTBoolean;
import org.openxmlformats.schemas.drawingml.x2006.chart.CTChartLines;
import org.openxmlformats.schemas.drawingml.x2006.chart.CTCrosses;
import org.openxmlformats.schemas.drawingml.x2006.chart.CTLogBase;
import org.openxmlformats.schemas.drawingml.x2006.chart.CTNumFmt;
import org.openxmlformats.schemas.drawingml.x2006.chart.CTOrientation;
import org.openxmlformats.schemas.drawingml.x2006.chart.CTScaling;
import org.openxmlformats.schemas.drawingml.x2006.chart.CTTickMark;
import org.openxmlformats.schemas.drawingml.x2006.chart.STAxPos;
import org.openxmlformats.schemas.drawingml.x2006.chart.STCrosses;
import org.openxmlformats.schemas.drawingml.x2006.chart.STOrientation;
import org.openxmlformats.schemas.drawingml.x2006.chart.STTickMark;

public abstract class XSSFChartAxis implements ChartAxis {
    public static final double MAX_LOG_BASE = 1000.0d;
    public static final double MIN_LOG_BASE = 2.0d;
    public XSSFChart chart;

    /* renamed from: org.apache.poi.xssf.usermodel.charts.XSSFChartAxis$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$ss$usermodel$charts$AxisCrosses;
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$ss$usermodel$charts$AxisOrientation;
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$ss$usermodel$charts$AxisPosition;
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$ss$usermodel$charts$AxisTickMark;

        /* JADX WARNING: Can't wrap try/catch for region: R(31:0|1|2|3|(2:5|6)|7|(2:9|10)|11|13|14|15|17|18|19|20|21|22|23|24|25|27|28|29|30|(2:31|32)|33|35|36|37|38|40) */
        /* JADX WARNING: Can't wrap try/catch for region: R(32:0|1|2|3|(2:5|6)|7|9|10|11|13|14|15|17|18|19|20|21|22|23|24|25|27|28|29|30|(2:31|32)|33|35|36|37|38|40) */
        /* JADX WARNING: Can't wrap try/catch for region: R(33:0|1|2|3|(2:5|6)|7|9|10|11|13|14|15|17|18|19|20|21|22|23|24|25|27|28|29|30|31|32|33|35|36|37|38|40) */
        /* JADX WARNING: Can't wrap try/catch for region: R(34:0|1|2|3|5|6|7|9|10|11|13|14|15|17|18|19|20|21|22|23|24|25|27|28|29|30|31|32|33|35|36|37|38|40) */
        /* JADX WARNING: Code restructure failed: missing block: B:41:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:19:0x0031 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:21:0x0037 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:23:0x003d */
        /* JADX WARNING: Missing exception handler attribute for start block: B:29:0x0050 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:31:0x0056 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:37:0x0069 */
        static {
            int[] iArr = new int[AxisTickMark.values().length];
            $SwitchMap$org$apache$poi$ss$usermodel$charts$AxisTickMark = iArr;
            try {
                AxisTickMark axisTickMark = AxisTickMark.NONE;
                iArr[0] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                int[] iArr2 = $SwitchMap$org$apache$poi$ss$usermodel$charts$AxisTickMark;
                AxisTickMark axisTickMark2 = AxisTickMark.IN;
                iArr2[2] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            try {
                int[] iArr3 = $SwitchMap$org$apache$poi$ss$usermodel$charts$AxisTickMark;
                AxisTickMark axisTickMark3 = AxisTickMark.OUT;
                iArr3[3] = 3;
            } catch (NoSuchFieldError unused3) {
            }
            try {
                int[] iArr4 = $SwitchMap$org$apache$poi$ss$usermodel$charts$AxisTickMark;
                AxisTickMark axisTickMark4 = AxisTickMark.CROSS;
                iArr4[1] = 4;
            } catch (NoSuchFieldError unused4) {
            }
            int[] iArr5 = new int[AxisPosition.values().length];
            $SwitchMap$org$apache$poi$ss$usermodel$charts$AxisPosition = iArr5;
            AxisPosition axisPosition = AxisPosition.BOTTOM;
            iArr5[0] = 1;
            int[] iArr6 = $SwitchMap$org$apache$poi$ss$usermodel$charts$AxisPosition;
            AxisPosition axisPosition2 = AxisPosition.LEFT;
            iArr6[1] = 2;
            int[] iArr7 = $SwitchMap$org$apache$poi$ss$usermodel$charts$AxisPosition;
            AxisPosition axisPosition3 = AxisPosition.RIGHT;
            iArr7[2] = 3;
            try {
                int[] iArr8 = $SwitchMap$org$apache$poi$ss$usermodel$charts$AxisPosition;
                AxisPosition axisPosition4 = AxisPosition.TOP;
                iArr8[3] = 4;
            } catch (NoSuchFieldError unused5) {
            }
            int[] iArr9 = new int[AxisCrosses.values().length];
            $SwitchMap$org$apache$poi$ss$usermodel$charts$AxisCrosses = iArr9;
            AxisCrosses axisCrosses = AxisCrosses.AUTO_ZERO;
            iArr9[0] = 1;
            int[] iArr10 = $SwitchMap$org$apache$poi$ss$usermodel$charts$AxisCrosses;
            AxisCrosses axisCrosses2 = AxisCrosses.MIN;
            iArr10[1] = 2;
            try {
                int[] iArr11 = $SwitchMap$org$apache$poi$ss$usermodel$charts$AxisCrosses;
                AxisCrosses axisCrosses3 = AxisCrosses.MAX;
                iArr11[2] = 3;
            } catch (NoSuchFieldError unused6) {
            }
            int[] iArr12 = new int[AxisOrientation.values().length];
            $SwitchMap$org$apache$poi$ss$usermodel$charts$AxisOrientation = iArr12;
            AxisOrientation axisOrientation = AxisOrientation.MIN_MAX;
            iArr12[1] = 1;
            int[] iArr13 = $SwitchMap$org$apache$poi$ss$usermodel$charts$AxisOrientation;
            AxisOrientation axisOrientation2 = AxisOrientation.MAX_MIN;
            iArr13[0] = 2;
        }
    }

    public XSSFChartAxis(XSSFChart xSSFChart) {
        this.chart = xSSFChart;
    }

    public static STCrosses.Enum fromAxisCrosses(AxisCrosses axisCrosses) {
        int ordinal = axisCrosses.ordinal();
        if (ordinal == 0) {
            return STCrosses.AUTO_ZERO;
        }
        if (ordinal == 1) {
            return STCrosses.MIN;
        }
        if (ordinal == 2) {
            return STCrosses.MAX;
        }
        throw new IllegalArgumentException();
    }

    public static STOrientation.Enum fromAxisOrientation(AxisOrientation axisOrientation) {
        int ordinal = axisOrientation.ordinal();
        if (ordinal == 0) {
            return STOrientation.MAX_MIN;
        }
        if (ordinal == 1) {
            return STOrientation.MIN_MAX;
        }
        throw new IllegalArgumentException();
    }

    public static STAxPos.Enum fromAxisPosition(AxisPosition axisPosition) {
        int ordinal = axisPosition.ordinal();
        if (ordinal == 0) {
            return STAxPos.B;
        }
        if (ordinal == 1) {
            return STAxPos.L;
        }
        if (ordinal == 2) {
            return STAxPos.R;
        }
        if (ordinal == 3) {
            return STAxPos.T;
        }
        throw new IllegalArgumentException();
    }

    public static STTickMark.Enum fromAxisTickMark(AxisTickMark axisTickMark) {
        int ordinal = axisTickMark.ordinal();
        if (ordinal == 0) {
            return STTickMark.NONE;
        }
        if (ordinal == 1) {
            return STTickMark.CROSS;
        }
        if (ordinal == 2) {
            return STTickMark.IN;
        }
        if (ordinal == 3) {
            return STTickMark.OUT;
        }
        throw new IllegalArgumentException("Unknown AxisTickMark: " + axisTickMark);
    }

    public static AxisCrosses toAxisCrosses(CTCrosses cTCrosses) {
        int intValue = cTCrosses.getVal().intValue();
        if (intValue == 1) {
            return AxisCrosses.AUTO_ZERO;
        }
        if (intValue == 2) {
            return AxisCrosses.MAX;
        }
        if (intValue == 3) {
            return AxisCrosses.MIN;
        }
        throw new IllegalArgumentException();
    }

    public static AxisOrientation toAxisOrientation(CTOrientation cTOrientation) {
        int intValue = cTOrientation.getVal().intValue();
        if (intValue == 1) {
            return AxisOrientation.MAX_MIN;
        }
        if (intValue == 2) {
            return AxisOrientation.MIN_MAX;
        }
        throw new IllegalArgumentException();
    }

    public static AxisPosition toAxisPosition(CTAxPos cTAxPos) {
        int intValue = cTAxPos.getVal().intValue();
        if (intValue == 1) {
            return AxisPosition.BOTTOM;
        }
        if (intValue == 2) {
            return AxisPosition.LEFT;
        }
        if (intValue == 3) {
            return AxisPosition.RIGHT;
        }
        if (intValue != 4) {
            return AxisPosition.BOTTOM;
        }
        return AxisPosition.TOP;
    }

    public static AxisTickMark toAxisTickMark(CTTickMark cTTickMark) {
        int intValue = cTTickMark.getVal().intValue();
        if (intValue == 1) {
            return AxisTickMark.CROSS;
        }
        if (intValue == 2) {
            return AxisTickMark.IN;
        }
        if (intValue == 3) {
            return AxisTickMark.NONE;
        }
        if (intValue != 4) {
            return AxisTickMark.CROSS;
        }
        return AxisTickMark.OUT;
    }

    public abstract CTAxPos getCTAxPos();

    public abstract CTCrosses getCTCrosses();

    public abstract CTNumFmt getCTNumFmt();

    public abstract CTScaling getCTScaling();

    @Override // org.apache.poi.ss.usermodel.charts.ChartAxis
    public AxisCrosses getCrosses() {
        return toAxisCrosses(getCTCrosses());
    }

    public abstract CTBoolean getDelete();

    @Override // org.apache.poi.ss.usermodel.charts.ChartAxis
    public double getLogBase() {
        CTLogBase logBase = getCTScaling().getLogBase();
        return logBase != null ? logBase.getVal() : NumericFunction.LOG_10_TO_BASE_e;
    }

    public abstract CTTickMark getMajorCTTickMark();

    public abstract CTChartLines getMajorGridLines();

    @Override // org.apache.poi.ss.usermodel.charts.ChartAxis
    public AxisTickMark getMajorTickMark() {
        return toAxisTickMark(getMajorCTTickMark());
    }

    @Override // org.apache.poi.ss.usermodel.charts.ChartAxis
    public double getMaximum() {
        CTScaling cTScaling = getCTScaling();
        return cTScaling.isSetMax() ? cTScaling.getMax().getVal() : NumericFunction.LOG_10_TO_BASE_e;
    }

    @Override // org.apache.poi.ss.usermodel.charts.ChartAxis
    public double getMinimum() {
        CTScaling cTScaling = getCTScaling();
        return cTScaling.isSetMin() ? cTScaling.getMin().getVal() : NumericFunction.LOG_10_TO_BASE_e;
    }

    public abstract CTTickMark getMinorCTTickMark();

    @Override // org.apache.poi.ss.usermodel.charts.ChartAxis
    public AxisTickMark getMinorTickMark() {
        return toAxisTickMark(getMinorCTTickMark());
    }

    @Override // org.apache.poi.ss.usermodel.charts.ChartAxis
    public String getNumberFormat() {
        return getCTNumFmt().getFormatCode();
    }

    @Override // org.apache.poi.ss.usermodel.charts.ChartAxis
    public AxisOrientation getOrientation() {
        return toAxisOrientation(getCTScaling().getOrientation());
    }

    @Override // org.apache.poi.ss.usermodel.charts.ChartAxis
    public AxisPosition getPosition() {
        return toAxisPosition(getCTAxPos());
    }

    @Override // org.apache.poi.ss.usermodel.charts.ChartAxis
    public boolean isSetLogBase() {
        return getCTScaling().isSetLogBase();
    }

    @Override // org.apache.poi.ss.usermodel.charts.ChartAxis
    public boolean isSetMaximum() {
        return getCTScaling().isSetMax();
    }

    @Override // org.apache.poi.ss.usermodel.charts.ChartAxis
    public boolean isSetMinimum() {
        return getCTScaling().isSetMin();
    }

    @Override // org.apache.poi.ss.usermodel.charts.ChartAxis
    public boolean isVisible() {
        return !getDelete().getVal();
    }

    @Override // org.apache.poi.ss.usermodel.charts.ChartAxis
    public void setCrosses(AxisCrosses axisCrosses) {
        getCTCrosses().setVal(fromAxisCrosses(axisCrosses));
    }

    @Override // org.apache.poi.ss.usermodel.charts.ChartAxis
    public void setLogBase(double d2) {
        if (d2 < 2.0d || 1000.0d < d2) {
            throw new IllegalArgumentException("Axis log base must be between 2 and 1000 (inclusive), got: " + d2);
        }
        CTScaling cTScaling = getCTScaling();
        if (cTScaling.isSetLogBase()) {
            cTScaling.getLogBase().setVal(d2);
        } else {
            cTScaling.addNewLogBase().setVal(d2);
        }
    }

    @Override // org.apache.poi.ss.usermodel.charts.ChartAxis
    public void setMajorTickMark(AxisTickMark axisTickMark) {
        getMajorCTTickMark().setVal(fromAxisTickMark(axisTickMark));
    }

    @Override // org.apache.poi.ss.usermodel.charts.ChartAxis
    public void setMaximum(double d2) {
        CTScaling cTScaling = getCTScaling();
        if (cTScaling.isSetMax()) {
            cTScaling.getMax().setVal(d2);
        } else {
            cTScaling.addNewMax().setVal(d2);
        }
    }

    @Override // org.apache.poi.ss.usermodel.charts.ChartAxis
    public void setMinimum(double d2) {
        CTScaling cTScaling = getCTScaling();
        if (cTScaling.isSetMin()) {
            cTScaling.getMin().setVal(d2);
        } else {
            cTScaling.addNewMin().setVal(d2);
        }
    }

    @Override // org.apache.poi.ss.usermodel.charts.ChartAxis
    public void setMinorTickMark(AxisTickMark axisTickMark) {
        getMinorCTTickMark().setVal(fromAxisTickMark(axisTickMark));
    }

    @Override // org.apache.poi.ss.usermodel.charts.ChartAxis
    public void setNumberFormat(String str) {
        getCTNumFmt().setFormatCode(str);
        getCTNumFmt().setSourceLinked(true);
    }

    @Override // org.apache.poi.ss.usermodel.charts.ChartAxis
    public void setOrientation(AxisOrientation axisOrientation) {
        CTScaling cTScaling = getCTScaling();
        STOrientation.Enum fromAxisOrientation = fromAxisOrientation(axisOrientation);
        if (cTScaling.isSetOrientation()) {
            cTScaling.getOrientation().setVal(fromAxisOrientation);
        } else {
            getCTScaling().addNewOrientation().setVal(fromAxisOrientation);
        }
    }

    @Override // org.apache.poi.ss.usermodel.charts.ChartAxis
    public void setPosition(AxisPosition axisPosition) {
        getCTAxPos().setVal(fromAxisPosition(axisPosition));
    }

    @Override // org.apache.poi.ss.usermodel.charts.ChartAxis
    public void setVisible(boolean z) {
        getDelete().setVal(!z);
    }
}
