package org.apache.poi.xssf.usermodel.helpers;

import java.util.Arrays;
import java.util.LinkedHashSet;
import java.util.Set;
import org.apache.poi.ss.usermodel.IgnoredErrorType;
import org.openxmlformats.schemas.spreadsheetml.x2006.main.CTIgnoredError;

public class XSSFIgnoredErrorHelper {

    /* renamed from: org.apache.poi.xssf.usermodel.helpers.XSSFIgnoredErrorHelper$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$org$apache$poi$ss$usermodel$IgnoredErrorType;

        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:31:0x0041 */
        static {
            int[] iArr = new int[IgnoredErrorType.values().length];
            $SwitchMap$org$apache$poi$ss$usermodel$IgnoredErrorType = iArr;
            try {
                IgnoredErrorType ignoredErrorType = IgnoredErrorType.CALCULATED_COLUMN;
                iArr[0] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                int[] iArr2 = $SwitchMap$org$apache$poi$ss$usermodel$IgnoredErrorType;
                IgnoredErrorType ignoredErrorType2 = IgnoredErrorType.EMPTY_CELL_REFERENCE;
                iArr2[1] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            try {
                int[] iArr3 = $SwitchMap$org$apache$poi$ss$usermodel$IgnoredErrorType;
                IgnoredErrorType ignoredErrorType3 = IgnoredErrorType.EVALUATION_ERROR;
                iArr3[2] = 3;
            } catch (NoSuchFieldError unused3) {
            }
            try {
                int[] iArr4 = $SwitchMap$org$apache$poi$ss$usermodel$IgnoredErrorType;
                IgnoredErrorType ignoredErrorType4 = IgnoredErrorType.FORMULA;
                iArr4[3] = 4;
            } catch (NoSuchFieldError unused4) {
            }
            try {
                int[] iArr5 = $SwitchMap$org$apache$poi$ss$usermodel$IgnoredErrorType;
                IgnoredErrorType ignoredErrorType5 = IgnoredErrorType.FORMULA_RANGE;
                iArr5[4] = 5;
            } catch (NoSuchFieldError unused5) {
            }
            try {
                int[] iArr6 = $SwitchMap$org$apache$poi$ss$usermodel$IgnoredErrorType;
                IgnoredErrorType ignoredErrorType6 = IgnoredErrorType.LIST_DATA_VALIDATION;
                iArr6[5] = 6;
            } catch (NoSuchFieldError unused6) {
            }
            try {
                int[] iArr7 = $SwitchMap$org$apache$poi$ss$usermodel$IgnoredErrorType;
                IgnoredErrorType ignoredErrorType7 = IgnoredErrorType.NUMBER_STORED_AS_TEXT;
                iArr7[6] = 7;
            } catch (NoSuchFieldError unused7) {
            }
            int[] iArr8 = $SwitchMap$org$apache$poi$ss$usermodel$IgnoredErrorType;
            IgnoredErrorType ignoredErrorType8 = IgnoredErrorType.TWO_DIGIT_TEXT_YEAR;
            iArr8[7] = 8;
            try {
                int[] iArr9 = $SwitchMap$org$apache$poi$ss$usermodel$IgnoredErrorType;
                IgnoredErrorType ignoredErrorType9 = IgnoredErrorType.UNLOCKED_FORMULA;
                iArr9[8] = 9;
            } catch (NoSuchFieldError unused8) {
            }
        }
    }

    public static void addIgnoredErrors(CTIgnoredError cTIgnoredError, String str, IgnoredErrorType... ignoredErrorTypeArr) {
        cTIgnoredError.setSqref(Arrays.asList(str));
        for (IgnoredErrorType ignoredErrorType : ignoredErrorTypeArr) {
            set(ignoredErrorType, cTIgnoredError);
        }
    }

    public static Set<IgnoredErrorType> getErrorTypes(CTIgnoredError cTIgnoredError) {
        LinkedHashSet linkedHashSet = new LinkedHashSet();
        IgnoredErrorType[] values = IgnoredErrorType.values();
        for (IgnoredErrorType ignoredErrorType : values) {
            if (isSet(ignoredErrorType, cTIgnoredError)) {
                linkedHashSet.add(ignoredErrorType);
            }
        }
        return linkedHashSet;
    }

    public static boolean isSet(IgnoredErrorType ignoredErrorType, CTIgnoredError cTIgnoredError) {
        switch (ignoredErrorType.ordinal()) {
            case 0:
                return cTIgnoredError.isSetCalculatedColumn();
            case 1:
                return cTIgnoredError.isSetEmptyCellReference();
            case 2:
                return cTIgnoredError.isSetEvalError();
            case 3:
                return cTIgnoredError.isSetFormula();
            case 4:
                return cTIgnoredError.isSetFormulaRange();
            case 5:
                return cTIgnoredError.isSetListDataValidation();
            case 6:
                return cTIgnoredError.isSetNumberStoredAsText();
            case 7:
                return cTIgnoredError.isSetTwoDigitTextYear();
            case 8:
                return cTIgnoredError.isSetUnlockedFormula();
            default:
                throw new IllegalStateException();
        }
    }

    public static void set(IgnoredErrorType ignoredErrorType, CTIgnoredError cTIgnoredError) {
        switch (ignoredErrorType.ordinal()) {
            case 0:
                cTIgnoredError.setCalculatedColumn(true);
                return;
            case 1:
                cTIgnoredError.setEmptyCellReference(true);
                return;
            case 2:
                cTIgnoredError.setEvalError(true);
                return;
            case 3:
                cTIgnoredError.setFormula(true);
                return;
            case 4:
                cTIgnoredError.setFormulaRange(true);
                return;
            case 5:
                cTIgnoredError.setListDataValidation(true);
                return;
            case 6:
                cTIgnoredError.setNumberStoredAsText(true);
                return;
            case 7:
                cTIgnoredError.setTwoDigitTextYear(true);
                return;
            case 8:
                cTIgnoredError.setUnlockedFormula(true);
                return;
            default:
                throw new IllegalStateException();
        }
    }
}
