package org.apache.xerces.impl.dv.util;

public final class HexBin {
    public static final int BASELENGTH = 128;
    public static final int LOOKUPLENGTH = 16;
    public static final byte[] hexNumberTable = new byte[128];
    public static final char[] lookUpHexAlphabet = new char[16];

    static {
        for (int i2 = 0; i2 < 128; i2++) {
            hexNumberTable[i2] = -1;
        }
        for (int i3 = 57; i3 >= 48; i3--) {
            hexNumberTable[i3] = (byte) (i3 - 48);
        }
        for (int i4 = 70; i4 >= 65; i4--) {
            hexNumberTable[i4] = (byte) ((i4 - 65) + 10);
        }
        for (int i5 = 102; i5 >= 97; i5--) {
            hexNumberTable[i5] = (byte) ((i5 - 97) + 10);
        }
        for (int i6 = 0; i6 < 10; i6++) {
            lookUpHexAlphabet[i6] = (char) (i6 + 48);
        }
        for (int i7 = 10; i7 <= 15; i7++) {
            lookUpHexAlphabet[i7] = (char) ((i7 + 65) - 10);
        }
    }

    public static byte[] decode(String str) {
        if (str == null) {
            return null;
        }
        int length = str.length();
        if (length % 2 != 0) {
            return null;
        }
        char[] charArray = str.toCharArray();
        int i2 = length / 2;
        byte[] bArr = new byte[i2];
        for (int i3 = 0; i3 < i2; i3++) {
            int i4 = i3 * 2;
            char c = charArray[i4];
            byte b2 = c < 128 ? hexNumberTable[c] : -1;
            if (b2 == -1) {
                return null;
            }
            char c2 = charArray[i4 + 1];
            byte b3 = c2 < 128 ? hexNumberTable[c2] : -1;
            if (b3 == -1) {
                return null;
            }
            bArr[i3] = (byte) (b3 | (b2 << 4));
        }
        return bArr;
    }

    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:12:0x0018 */
    /* JADX DEBUG: Multi-variable search result rejected for r7v0, resolved type: byte[] */
    /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: byte */
    /* JADX DEBUG: Multi-variable search result rejected for r3v4, resolved type: int */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r3v1 */
    public static String encode(byte[] bArr) {
        if (bArr == 0) {
            return null;
        }
        int length = bArr.length;
        char[] cArr = new char[(length * 2)];
        for (int i2 = 0; i2 < length; i2++) {
            byte b2 = bArr[i2];
            if (b2 < 0) {
                b2 += 256;
            }
            int i3 = i2 * 2;
            char[] cArr2 = lookUpHexAlphabet;
            cArr[i3] = cArr2[(b2 == true ? 1 : 0) >> 4];
            cArr[i3 + 1] = cArr2[(b2 == true ? 1 : 0) & 15];
        }
        return new String(cArr);
    }
}
