package org.apache.xerces.impl.xs.models;

import b.b.a.a.a;
import java.io.PrintStream;
import java.lang.reflect.Array;
import java.util.HashMap;
import java.util.Vector;
import org.apache.xerces.impl.dtd.models.CMNode;
import org.apache.xerces.impl.dtd.models.CMStateSet;
import org.apache.xerces.impl.xs.SchemaSymbols;
import org.apache.xerces.impl.xs.SubstitutionGroupHandler;
import org.apache.xerces.impl.xs.XMLSchemaException;
import org.apache.xerces.impl.xs.XSConstraints;
import org.apache.xerces.impl.xs.XSElementDecl;
import org.apache.xerces.impl.xs.XSWildcardDecl;
import org.apache.xerces.xni.QName;
import org.apache.xmlbeans.XmlErrorCodes;

public class XSDFACM implements XSCMValidator {
    public static final boolean DEBUG = false;
    public static final boolean DEBUG_VALIDATE_CONTENT = false;
    public static long time;
    public Occurence[] fCountingStates = null;
    public Object[] fElemMap = null;
    public int[] fElemMapId = null;
    public int fElemMapSize = 0;
    public int[] fElemMapType = null;
    public boolean[] fFinalStateFlags = null;
    public CMStateSet[] fFollowList = null;
    public CMNode fHeadNode = null;
    public boolean fIsCompactedForUPA;
    public int fLeafCount = 0;
    public XSCMLeaf[] fLeafList = null;
    public int[] fLeafListType = null;
    public int[][] fTransTable = null;
    public int fTransTableSize = 0;

    public static final class Occurence {
        public final int elemIndex;
        public final int maxOccurs;
        public final int minOccurs;

        public Occurence(XSCMRepeatingLeaf xSCMRepeatingLeaf, int i2) {
            this.minOccurs = xSCMRepeatingLeaf.getMinOccurs();
            this.maxOccurs = xSCMRepeatingLeaf.getMaxOccurs();
            this.elemIndex = i2;
        }

        public String toString() {
            StringBuffer a = a.a("minOccurs=");
            a.append(this.minOccurs);
            a.append(";maxOccurs=");
            int i2 = this.maxOccurs;
            a.append(i2 != -1 ? Integer.toString(i2) : SchemaSymbols.ATTVAL_UNBOUNDED);
            return a.toString();
        }
    }

    public XSDFACM(CMNode cMNode, int i2) {
        this.fLeafCount = i2;
        this.fIsCompactedForUPA = cMNode.isCompactedForUPA();
        buildDFA(cMNode);
    }

    /* JADX WARN: Type inference failed for: r4v4, types: [int[], org.apache.xerces.impl.dtd.models.CMStateSet[], org.apache.xerces.impl.dtd.models.CMNode, org.apache.xerces.impl.xs.models.XSCMLeaf[]] */
    /* JADX WARN: Type inference failed for: r4v6 */
    /* JADX WARN: Type inference failed for: r4v21 */
    /* JADX WARNING: Unknown variable types count: 1 */
    private void buildDFA(CMNode cMNode) {
        int i2;
        int i3;
        int i4 = this.fLeafCount;
        this.fLeafCount = i4 + 1;
        int i5 = -1;
        Occurence[] occurenceArr = null;
        int i6 = 1;
        XSCMBinOp xSCMBinOp = new XSCMBinOp(102, cMNode, new XSCMLeaf(1, null, -1, i4));
        this.fHeadNode = xSCMBinOp;
        int i7 = this.fLeafCount;
        this.fLeafList = new XSCMLeaf[i7];
        this.fLeafListType = new int[i7];
        postTreeBuildInit(xSCMBinOp);
        this.fFollowList = new CMStateSet[this.fLeafCount];
        int i8 = 0;
        while (true) {
            int i9 = this.fLeafCount;
            if (i8 >= i9) {
                break;
            }
            this.fFollowList[i8] = new CMStateSet(i9);
            i8++;
            occurenceArr = occurenceArr;
            i4 = i4;
            i5 = -1;
        }
        calcFollowList(this.fHeadNode);
        int i10 = this.fLeafCount;
        this.fElemMap = new Object[i10];
        this.fElemMapType = new int[i10];
        this.fElemMapId = new int[i10];
        this.fElemMapSize = 0;
        Occurence[] occurenceArr2 = occurenceArr;
        int i11 = 0;
        while (true) {
            i2 = this.fLeafCount;
            if (i11 >= i2) {
                break;
            }
            this.fElemMap[i11] = null;
            int particleId = this.fLeafList[i11].getParticleId();
            int i12 = 0;
            while (i12 < this.fElemMapSize && particleId != this.fElemMapId[i12]) {
                i12++;
            }
            int i13 = this.fElemMapSize;
            if (i12 == i13) {
                XSCMLeaf xSCMLeaf = this.fLeafList[i11];
                this.fElemMap[i13] = xSCMLeaf.getLeaf();
                if (xSCMLeaf instanceof XSCMRepeatingLeaf) {
                    if (occurenceArr2 == null) {
                        occurenceArr2 = new Occurence[this.fLeafCount];
                    }
                    int i14 = this.fElemMapSize;
                    occurenceArr2[i14] = new Occurence((XSCMRepeatingLeaf) xSCMLeaf, i14);
                }
                int[] iArr = this.fElemMapType;
                int i15 = this.fElemMapSize;
                iArr[i15] = this.fLeafListType[i11];
                this.fElemMapId[i15] = particleId;
                this.fElemMapSize = i15 + 1;
            }
            i11++;
            occurenceArr = null;
            i4 = i4;
            i5 = -1;
        }
        int i16 = this.fElemMapSize - 1;
        this.fElemMapSize = i16;
        int[] iArr2 = new int[(i2 + i16)];
        int i17 = 0;
        int i18 = 0;
        Occurence[] occurenceArr3 = occurenceArr;
        while (i17 < this.fElemMapSize) {
            int i19 = this.fElemMapId[i17];
            for (int i20 = 0; i20 < this.fLeafCount; i20++) {
                if (i19 == this.fLeafList[i20].getParticleId()) {
                    iArr2[i18] = i20;
                    i18++;
                }
            }
            iArr2[i18] = -1;
            i17++;
            i18++;
            i4 = i4;
            i5 = -1;
            occurenceArr3 = null;
        }
        int i21 = this.fLeafCount * 4;
        CMStateSet[] cMStateSetArr = new CMStateSet[i21];
        this.fFinalStateFlags = new boolean[i21];
        this.fTransTable = new int[i21][];
        CMStateSet firstPos = this.fHeadNode.firstPos();
        this.fTransTable[0] = makeDefStateList();
        cMStateSetArr[0] = firstPos;
        HashMap hashMap = new HashMap();
        int i22 = 0;
        ?? r4 = occurenceArr3;
        while (i22 < i6) {
            CMStateSet cMStateSet = cMStateSetArr[i22];
            int[] iArr3 = this.fTransTable[i22];
            this.fFinalStateFlags[i22] = cMStateSet.getBit(i4);
            i22++;
            int i23 = i6;
            int i24 = i21;
            CMStateSet[] cMStateSetArr2 = cMStateSetArr;
            int i25 = 0;
            int i26 = 0;
            CMStateSet cMStateSet2 = r4;
            while (i25 < this.fElemMapSize) {
                if (cMStateSet2 == null) {
                    cMStateSet2 = new CMStateSet(this.fLeafCount);
                } else {
                    cMStateSet2.zeroBits();
                }
                CMStateSet cMStateSet3 = cMStateSet2;
                int i27 = i26 + 1;
                int i28 = iArr2[i26];
                i26 = i27;
                int i29 = i28;
                while (i29 != i5) {
                    if (cMStateSet.getBit(i29)) {
                        cMStateSet3.union(this.fFollowList[i29]);
                    }
                    i29 = iArr2[i26];
                    i26++;
                    i4 = i4;
                    i5 = -1;
                }
                if (!cMStateSet3.isEmpty()) {
                    Integer num = (Integer) hashMap.get(cMStateSet3);
                    int intValue = num == null ? i23 : num.intValue();
                    if (intValue == i23) {
                        cMStateSetArr2[i23] = cMStateSet3;
                        this.fTransTable[i23] = makeDefStateList();
                        hashMap.put(cMStateSet3, new Integer(i23));
                        i23++;
                        cMStateSet3 = null;
                    }
                    iArr3[i25] = intValue;
                    if (i23 == i24) {
                        int i30 = (int) (((double) i24) * 1.5d);
                        CMStateSet[] cMStateSetArr3 = new CMStateSet[i30];
                        boolean[] zArr = new boolean[i30];
                        i3 = i4;
                        int[][] iArr4 = new int[i30][];
                        System.arraycopy(cMStateSetArr2, 0, cMStateSetArr3, 0, i24);
                        System.arraycopy(this.fFinalStateFlags, 0, zArr, 0, i24);
                        System.arraycopy(this.fTransTable, 0, iArr4, 0, i24);
                        this.fFinalStateFlags = zArr;
                        this.fTransTable = iArr4;
                        cMStateSetArr2 = cMStateSetArr3;
                        cMStateSet2 = cMStateSet3;
                        i24 = i30;
                        i25++;
                        i4 = i3;
                        i5 = -1;
                    }
                }
                i3 = i4;
                cMStateSet2 = cMStateSet3;
                i25++;
                i4 = i3;
                i5 = -1;
            }
            cMStateSetArr = cMStateSetArr2;
            i6 = i23;
            i21 = i24;
            r4 = 0;
        }
        if (occurenceArr2 != null) {
            this.fCountingStates = new Occurence[i6];
            for (int i31 = 0; i31 < i6; i31++) {
                int[] iArr5 = this.fTransTable[i31];
                int i32 = 0;
                while (true) {
                    if (i32 >= iArr5.length) {
                        break;
                    } else if (i31 == iArr5[i32]) {
                        this.fCountingStates[i31] = occurenceArr2[i32];
                        break;
                    } else {
                        i32++;
                    }
                }
            }
        }
        this.fHeadNode = r4;
        this.fLeafList = r4;
        this.fFollowList = r4;
        this.fLeafListType = r4;
        this.fElemMapId = r4;
    }

    private void calcFollowList(CMNode cMNode) {
        CMNode child;
        if (cMNode.type() == 101) {
            XSCMBinOp xSCMBinOp = (XSCMBinOp) cMNode;
            calcFollowList(xSCMBinOp.getLeft());
            child = xSCMBinOp.getRight();
        } else {
            int i2 = 0;
            if (cMNode.type() == 102) {
                XSCMBinOp xSCMBinOp2 = (XSCMBinOp) cMNode;
                calcFollowList(xSCMBinOp2.getLeft());
                calcFollowList(xSCMBinOp2.getRight());
                CMStateSet lastPos = xSCMBinOp2.getLeft().lastPos();
                CMStateSet firstPos = xSCMBinOp2.getRight().firstPos();
                while (i2 < this.fLeafCount) {
                    if (lastPos.getBit(i2)) {
                        this.fFollowList[i2].union(firstPos);
                    }
                    i2++;
                }
                return;
            } else if (cMNode.type() == 4 || cMNode.type() == 6) {
                calcFollowList(((XSCMUniOp) cMNode).getChild());
                CMStateSet firstPos2 = cMNode.firstPos();
                CMStateSet lastPos2 = cMNode.lastPos();
                while (i2 < this.fLeafCount) {
                    if (lastPos2.getBit(i2)) {
                        this.fFollowList[i2].union(firstPos2);
                    }
                    i2++;
                }
                return;
            } else if (cMNode.type() == 5) {
                child = ((XSCMUniOp) cMNode).getChild();
            } else {
                return;
            }
        }
        calcFollowList(child);
    }

    private void dumpTree(CMNode cMNode, int i2) {
        PrintStream printStream;
        String str;
        int i3;
        CMNode cMNode2;
        String str2;
        PrintStream printStream2;
        for (int i4 = 0; i4 < i2; i4++) {
            System.out.print("   ");
        }
        int type = cMNode.type();
        if (type == 1) {
            PrintStream printStream3 = System.out;
            StringBuffer a = a.a("Leaf: (pos=");
            XSCMLeaf xSCMLeaf = (XSCMLeaf) cMNode;
            a.append(xSCMLeaf.getPosition());
            a.append("), ");
            a.append("(elemIndex=");
            a.append(xSCMLeaf.getLeaf());
            a.append(") ");
            printStream3.print(a.toString());
            if (cMNode.isNullable()) {
                printStream = System.out;
                str = " Nullable ";
            }
            System.out.print("firstPos=");
            System.out.print(cMNode.firstPos().toString());
            System.out.print(" lastPos=");
            System.out.println(cMNode.lastPos().toString());
        } else if (type != 2) {
            if (type == 4 || type == 5 || type == 6) {
                System.out.print("Rep Node ");
                if (cMNode.isNullable()) {
                    System.out.print("Nullable ");
                }
                System.out.print("firstPos=");
                System.out.print(cMNode.firstPos().toString());
                System.out.print(" lastPos=");
                System.out.println(cMNode.lastPos().toString());
                cMNode2 = ((XSCMUniOp) cMNode).getChild();
                i3 = i2 + 1;
            } else if (type == 101 || type == 102) {
                if (type == 101) {
                    printStream2 = System.out;
                    str2 = "Choice Node ";
                } else {
                    printStream2 = System.out;
                    str2 = "Seq Node ";
                }
                printStream2.print(str2);
                if (cMNode.isNullable()) {
                    System.out.print("Nullable ");
                }
                System.out.print("firstPos=");
                System.out.print(cMNode.firstPos().toString());
                System.out.print(" lastPos=");
                System.out.println(cMNode.lastPos().toString());
                XSCMBinOp xSCMBinOp = (XSCMBinOp) cMNode;
                i3 = i2 + 1;
                dumpTree(xSCMBinOp.getLeft(), i3);
                cMNode2 = xSCMBinOp.getRight();
            } else {
                throw new RuntimeException("ImplementationMessages.VAL_NIICM");
            }
            dumpTree(cMNode2, i3);
            return;
        } else {
            printStream = System.out;
            str = "Any Node: ";
        }
        printStream.print(str);
        System.out.print("firstPos=");
        System.out.print(cMNode.firstPos().toString());
        System.out.print(" lastPos=");
        System.out.println(cMNode.lastPos().toString());
    }

    private int[] makeDefStateList() {
        int[] iArr = new int[this.fElemMapSize];
        for (int i2 = 0; i2 < this.fElemMapSize; i2++) {
            iArr[i2] = -1;
        }
        return iArr;
    }

    private void postTreeBuildInit(CMNode cMNode) {
        CMNode cMNode2;
        cMNode.setMaxStates(this.fLeafCount);
        if (cMNode.type() == 2) {
            XSCMLeaf xSCMLeaf = (XSCMLeaf) cMNode;
            int position = xSCMLeaf.getPosition();
            this.fLeafList[position] = xSCMLeaf;
            this.fLeafListType[position] = 2;
            return;
        }
        if (cMNode.type() == 101 || cMNode.type() == 102) {
            XSCMBinOp xSCMBinOp = (XSCMBinOp) cMNode;
            postTreeBuildInit(xSCMBinOp.getLeft());
            cMNode2 = xSCMBinOp.getRight();
        } else if (cMNode.type() == 4 || cMNode.type() == 6 || cMNode.type() == 5) {
            cMNode2 = ((XSCMUniOp) cMNode).getChild();
        } else if (cMNode.type() == 1) {
            XSCMLeaf xSCMLeaf2 = (XSCMLeaf) cMNode;
            int position2 = xSCMLeaf2.getPosition();
            this.fLeafList[position2] = xSCMLeaf2;
            this.fLeafListType[position2] = 1;
            return;
        } else {
            throw new RuntimeException("ImplementationMessages.VAL_NIICM");
        }
        postTreeBuildInit(cMNode2);
    }

    @Override // org.apache.xerces.impl.xs.models.XSCMValidator
    public boolean checkUniqueParticleAttribution(SubstitutionGroupHandler substitutionGroupHandler) {
        short s;
        Occurence occurence;
        int i2 = this.fElemMapSize;
        int[] iArr = new int[2];
        iArr[1] = i2;
        iArr[0] = i2;
        byte[][] bArr = (byte[][]) Array.newInstance(byte.class, iArr);
        int i3 = 0;
        while (true) {
            int[][] iArr2 = this.fTransTable;
            if (i3 < iArr2.length && iArr2[i3] != null) {
                int i4 = 0;
                while (i4 < this.fElemMapSize) {
                    int i5 = i4 + 1;
                    for (int i6 = i5; i6 < this.fElemMapSize; i6++) {
                        int[][] iArr3 = this.fTransTable;
                        if (!(iArr3[i3][i4] == -1 || iArr3[i3][i6] == -1 || bArr[i4][i6] != 0)) {
                            Object[] objArr = this.fElemMap;
                            if (XSConstraints.overlapUPA(objArr[i4], objArr[i6], substitutionGroupHandler)) {
                                Occurence[] occurenceArr = this.fCountingStates;
                                if (!(occurenceArr == null || (occurence = occurenceArr[i3]) == null)) {
                                    if (((this.fTransTable[i3][i4] == i3) ^ (this.fTransTable[i3][i6] == i3)) && occurence.minOccurs == occurence.maxOccurs) {
                                        bArr[i4][i6] = -1;
                                    }
                                }
                                bArr[i4][i6] = 1;
                            } else {
                                bArr[i4][i6] = -1;
                            }
                        }
                    }
                    i4 = i5;
                }
                i3++;
            }
        }
        for (int i7 = 0; i7 < this.fElemMapSize; i7++) {
            for (int i8 = 0; i8 < this.fElemMapSize; i8++) {
                if (bArr[i7][i8] == 1) {
                    throw new XMLSchemaException(XmlErrorCodes.UNIQUE_PARTICLE_ATTRIBUTION, new Object[]{this.fElemMap[i7].toString(), this.fElemMap[i8].toString()});
                }
            }
        }
        for (int i9 = 0; i9 < this.fElemMapSize; i9++) {
            if (this.fElemMapType[i9] == 2 && ((s = ((XSWildcardDecl) this.fElemMap[i9]).fType) == 3 || s == 2)) {
                return true;
            }
        }
        return false;
    }

    @Override // org.apache.xerces.impl.xs.models.XSCMValidator
    public boolean endContentModel(int[] iArr) {
        Occurence occurence;
        int i2 = iArr[0];
        if (!this.fFinalStateFlags[i2]) {
            return false;
        }
        Occurence[] occurenceArr = this.fCountingStates;
        return occurenceArr == null || (occurence = occurenceArr[i2]) == null || iArr[2] >= occurence.minOccurs;
    }

    public Object findMatchingDecl(QName qName, SubstitutionGroupHandler substitutionGroupHandler) {
        for (int i2 = 0; i2 < this.fElemMapSize; i2++) {
            int i3 = this.fElemMapType[i2];
            if (i3 == 1) {
                XSElementDecl matchingElemDecl = substitutionGroupHandler.getMatchingElemDecl(qName, (XSElementDecl) this.fElemMap[i2]);
                if (matchingElemDecl != null) {
                    return matchingElemDecl;
                }
            } else if (i3 == 2 && ((XSWildcardDecl) this.fElemMap[i2]).allowNamespace(qName.uri)) {
                return this.fElemMap[i2];
            }
        }
        return null;
    }

    public Object findMatchingDecl(QName qName, int[] iArr, SubstitutionGroupHandler substitutionGroupHandler, int i2) {
        int i3 = 0;
        int i4 = iArr[0];
        Object obj = null;
        int i5 = 0;
        while (true) {
            i2++;
            if (i2 >= this.fElemMapSize) {
                break;
            }
            i5 = this.fTransTable[i4][i2];
            if (i5 != -1) {
                int i6 = this.fElemMapType[i2];
                if (i6 != 1) {
                    if (i6 == 2 && ((XSWildcardDecl) this.fElemMap[i2]).allowNamespace(qName.uri)) {
                        obj = this.fElemMap[i2];
                        break;
                    }
                } else {
                    obj = substitutionGroupHandler.getMatchingElemDecl(qName, (XSElementDecl) this.fElemMap[i2]);
                    if (obj != null) {
                        break;
                    }
                }
            }
        }
        if (i2 == this.fElemMapSize) {
            iArr[1] = iArr[0];
            iArr[0] = -1;
            return findMatchingDecl(qName, substitutionGroupHandler);
        }
        iArr[0] = i5;
        Occurence occurence = this.fCountingStates[i5];
        if (occurence != null) {
            if (i2 == occurence.elemIndex) {
                i3 = 1;
            }
            iArr[2] = i3;
        }
        return obj;
    }

    @Override // org.apache.xerces.impl.xs.models.XSCMValidator
    public String getTermName(int i2) {
        Object obj = this.fElemMap[i2];
        if (obj != null) {
            return obj.toString();
        }
        return null;
    }

    @Override // org.apache.xerces.impl.xs.models.XSCMValidator
    public boolean isCompactedForUPA() {
        return this.fIsCompactedForUPA;
    }

    public boolean isFinalState(int i2) {
        if (i2 < 0) {
            return false;
        }
        return this.fFinalStateFlags[i2];
    }

    @Override // org.apache.xerces.impl.xs.models.XSCMValidator
    public int[] occurenceInfo(int[] iArr) {
        if (this.fCountingStates == null) {
            return null;
        }
        int i2 = iArr[0];
        if (i2 < 0) {
            i2 = iArr[1];
        }
        Occurence occurence = this.fCountingStates[i2];
        if (occurence == null) {
            return null;
        }
        return new int[]{occurence.minOccurs, occurence.maxOccurs, iArr[2], occurence.elemIndex};
    }

    @Override // org.apache.xerces.impl.xs.models.XSCMValidator
    public Object oneTransition(QName qName, int[] iArr, SubstitutionGroupHandler substitutionGroupHandler) {
        int i2;
        int i3 = iArr[0];
        if (i3 == -1 || i3 == -2) {
            if (i3 == -1) {
                iArr[0] = -2;
            }
            return findMatchingDecl(qName, substitutionGroupHandler);
        }
        Object obj = null;
        int i4 = 0;
        int i5 = 0;
        while (true) {
            i2 = 1;
            if (i4 >= this.fElemMapSize) {
                break;
            }
            i5 = this.fTransTable[i3][i4];
            if (i5 != -1) {
                int i6 = this.fElemMapType[i4];
                if (i6 != 1) {
                    if (i6 == 2 && ((XSWildcardDecl) this.fElemMap[i4]).allowNamespace(qName.uri)) {
                        obj = this.fElemMap[i4];
                        break;
                    }
                } else {
                    obj = substitutionGroupHandler.getMatchingElemDecl(qName, (XSElementDecl) this.fElemMap[i4]);
                    if (obj != null) {
                        break;
                    }
                }
            }
            i4++;
        }
        if (i4 == this.fElemMapSize) {
            iArr[1] = iArr[0];
            iArr[0] = -1;
        } else {
            Occurence[] occurenceArr = this.fCountingStates;
            if (occurenceArr != null) {
                Occurence occurence = occurenceArr[i3];
                if (occurence == null) {
                    Occurence occurence2 = occurenceArr[i5];
                    if (occurence2 != null) {
                        if (i4 != occurence2.elemIndex) {
                            i2 = 0;
                        }
                        iArr[2] = i2;
                    }
                } else if (i3 == i5) {
                    int i7 = iArr[2] + 1;
                    iArr[2] = i7;
                    int i8 = occurence.maxOccurs;
                    if (i7 > i8 && i8 != -1) {
                        return findMatchingDecl(qName, iArr, substitutionGroupHandler, i4);
                    }
                } else if (iArr[2] < occurence.minOccurs) {
                    iArr[1] = iArr[0];
                    iArr[0] = -1;
                } else {
                    Occurence occurence3 = occurenceArr[i5];
                    if (occurence3 != null) {
                        if (i4 != occurence3.elemIndex) {
                            i2 = 0;
                        }
                        iArr[2] = i2;
                    }
                }
            }
            iArr[0] = i5;
            return obj;
        }
        return findMatchingDecl(qName, substitutionGroupHandler);
    }

    @Override // org.apache.xerces.impl.xs.models.XSCMValidator
    public int[] startContentModel() {
        return new int[3];
    }

    @Override // org.apache.xerces.impl.xs.models.XSCMValidator
    public Vector whatCanGoHere(int[] iArr) {
        int i2 = iArr[0];
        if (i2 < 0) {
            i2 = iArr[1];
        }
        Occurence[] occurenceArr = this.fCountingStates;
        Occurence occurence = occurenceArr != null ? occurenceArr[i2] : null;
        int i3 = iArr[2];
        Vector vector = new Vector();
        for (int i4 = 0; i4 < this.fElemMapSize; i4++) {
            int i5 = this.fTransTable[i2][i4];
            if (i5 != -1) {
                if (occurence != null) {
                    if (i2 == i5) {
                        int i6 = occurence.maxOccurs;
                        if (i3 >= i6 && i6 != -1) {
                        }
                    } else if (i3 < occurence.minOccurs) {
                    }
                }
                vector.addElement(this.fElemMap[i4]);
            }
        }
        return vector;
    }
}
