package org.apache.xerces.jaxp.datatype;

import b.b.a.a.a;
import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.Date;
import java.util.GregorianCalendar;
import java.util.Locale;
import java.util.TimeZone;
import javax.xml.datatype.DatatypeConstants;
import javax.xml.datatype.Duration;
import javax.xml.datatype.XMLGregorianCalendar;
import javax.xml.namespace.QName;
import org.apache.poi.ss.util.SheetUtil;
import org.apache.xerces.util.DatatypeMessageFormatter;
import org.apache.xmlbeans.impl.common.NameUtil;

public class XMLGregorianCalendarImpl extends XMLGregorianCalendar implements Serializable, Cloneable {
    public static final BigInteger BILLION_B = BigInteger.valueOf(1000000000);
    public static final int BILLION_I = 1000000000;
    public static final int DAY = 2;
    public static final BigDecimal DECIMAL_ONE = BigDecimal.valueOf(1L);
    public static final BigDecimal DECIMAL_SIXTY = BigDecimal.valueOf(60L);
    public static final BigDecimal DECIMAL_ZERO = BigDecimal.valueOf(0L);
    public static final String[] FIELD_NAME = {"Year", "Month", "Day", "Hour", "Minute", "Second", "Millisecond", "Timezone"};
    public static final BigInteger FOUR = BigInteger.valueOf(4);
    public static final BigInteger FOUR_HUNDRED = BigInteger.valueOf(400);
    public static final int HOUR = 3;
    public static final BigInteger HUNDRED = BigInteger.valueOf(100);
    public static final XMLGregorianCalendar LEAP_YEAR_DEFAULT = createDateTime(400, 1, 1, 0, 0, 0, Integer.MIN_VALUE, Integer.MIN_VALUE);
    public static final int[] MAX_FIELD_VALUE = {Integer.MAX_VALUE, 12, 31, 24, 59, 60, 999, DatatypeConstants.MIN_TIMEZONE_OFFSET};
    public static final int MILLISECOND = 6;
    public static final int MINUTE = 4;
    public static final int[] MIN_FIELD_VALUE = {Integer.MIN_VALUE, 1, 1, 0, 0, 0, 0, DatatypeConstants.MAX_TIMEZONE_OFFSET};
    public static final int MONTH = 1;
    public static final Date PURE_GREGORIAN_CHANGE = new Date(Long.MIN_VALUE);
    public static final int SECOND = 5;
    public static final BigInteger SIXTY = BigInteger.valueOf(60);
    public static final int TIMEZONE = 7;
    public static final BigInteger TWELVE = BigInteger.valueOf(12);
    public static final BigInteger TWENTY_FOUR = BigInteger.valueOf(24);
    public static final int YEAR = 0;
    public static final long serialVersionUID = 3905403108073447394L;
    public int day = Integer.MIN_VALUE;
    public BigInteger eon = null;
    public BigDecimal fractionalSecond = null;
    public int hour = Integer.MIN_VALUE;
    public int minute = Integer.MIN_VALUE;
    public int month = Integer.MIN_VALUE;
    public int orig_day = Integer.MIN_VALUE;
    public BigInteger orig_eon;
    public BigDecimal orig_fracSeconds;
    public int orig_hour = Integer.MIN_VALUE;
    public int orig_minute = Integer.MIN_VALUE;
    public int orig_month = Integer.MIN_VALUE;
    public int orig_second = Integer.MIN_VALUE;
    public int orig_timezone = Integer.MIN_VALUE;
    public int orig_year = Integer.MIN_VALUE;
    public int second = Integer.MIN_VALUE;
    public int timezone = Integer.MIN_VALUE;
    public int year = Integer.MIN_VALUE;

    /* renamed from: org.apache.xerces.jaxp.datatype.XMLGregorianCalendarImpl$1  reason: invalid class name */
    public class AnonymousClass1 {
    }

    public static class DaysInMonth {
        public static final int[] table = {0, 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31};
    }

    public final class Parser {
        public int fidx;
        public final int flen;
        public final String format;
        public final String value;
        public int vidx;
        public final int vlen;

        public Parser(String str, String str2) {
            this.format = str;
            this.value = str2;
            this.flen = str.length();
            this.vlen = str2.length();
        }

        public /* synthetic */ Parser(XMLGregorianCalendarImpl xMLGregorianCalendarImpl, String str, String str2, AnonymousClass1 r4) {
            this(str, str2);
        }

        private BigDecimal parseBigDecimal() {
            int i2 = this.vidx;
            if (peek() == '.') {
                int i3 = this.vidx;
                while (true) {
                    this.vidx = i3 + 1;
                    if (!XMLGregorianCalendarImpl.isDigit(peek())) {
                        return new BigDecimal(this.value.substring(i2, this.vidx));
                    }
                    i3 = this.vidx;
                }
            } else {
                throw new IllegalArgumentException(this.value);
            }
        }

        private int parseInt(int i2, int i3) {
            int i4 = this.vidx;
            while (XMLGregorianCalendarImpl.isDigit(peek())) {
                int i5 = this.vidx;
                if (i5 - i4 >= i3) {
                    break;
                }
                this.vidx = i5 + 1;
            }
            int i6 = this.vidx;
            if (i6 - i4 >= i2) {
                return Integer.parseInt(this.value.substring(i4, i6));
            }
            throw new IllegalArgumentException(this.value);
        }

        private void parseYear() {
            int i2;
            int i3 = this.vidx;
            if (peek() == '-') {
                this.vidx++;
                i2 = 1;
            } else {
                i2 = 0;
            }
            while (XMLGregorianCalendarImpl.isDigit(peek())) {
                this.vidx++;
            }
            int i4 = this.vidx;
            int i5 = (i4 - i3) - i2;
            if (i5 >= 4) {
                String substring = this.value.substring(i3, i4);
                if (i5 < 10) {
                    XMLGregorianCalendarImpl.this.setYear(Integer.parseInt(substring));
                } else {
                    XMLGregorianCalendarImpl.this.setYear(new BigInteger(substring));
                }
            } else {
                throw new IllegalArgumentException(this.value);
            }
        }

        private char peek() {
            int i2 = this.vidx;
            if (i2 == this.vlen) {
                return 65535;
            }
            return this.value.charAt(i2);
        }

        private char read() {
            int i2 = this.vidx;
            if (i2 != this.vlen) {
                String str = this.value;
                this.vidx = i2 + 1;
                return str.charAt(i2);
            }
            throw new IllegalArgumentException(this.value);
        }

        private void skip(char c) {
            if (read() != c) {
                throw new IllegalArgumentException(this.value);
            }
        }

        public void parse() {
            while (true) {
                int i2 = this.fidx;
                if (i2 < this.flen) {
                    String str = this.format;
                    this.fidx = i2 + 1;
                    char charAt = str.charAt(i2);
                    if (charAt != '%') {
                        skip(charAt);
                    } else {
                        String str2 = this.format;
                        int i3 = this.fidx;
                        this.fidx = i3 + 1;
                        char charAt2 = str2.charAt(i3);
                        if (charAt2 == 'D') {
                            XMLGregorianCalendarImpl.this.setDay(parseInt(2, 2));
                        } else if (charAt2 == 'M') {
                            XMLGregorianCalendarImpl.this.setMonth(parseInt(2, 2));
                        } else if (charAt2 == 'Y') {
                            parseYear();
                        } else if (charAt2 == 'h') {
                            XMLGregorianCalendarImpl.this.setHour(parseInt(2, 2));
                        } else if (charAt2 == 'm') {
                            XMLGregorianCalendarImpl.this.setMinute(parseInt(2, 2));
                        } else if (charAt2 == 's') {
                            XMLGregorianCalendarImpl.this.setSecond(parseInt(2, 2));
                            if (peek() == '.') {
                                XMLGregorianCalendarImpl.this.setFractionalSecond(parseBigDecimal());
                            }
                        } else if (charAt2 == 'z') {
                            char peek = peek();
                            int i4 = 1;
                            if (peek == 'Z') {
                                this.vidx++;
                                XMLGregorianCalendarImpl.this.setTimezone(0);
                            } else if (peek == '+' || peek == '-') {
                                this.vidx++;
                                int parseInt = parseInt(2, 2);
                                skip(':');
                                int parseInt2 = parseInt(2, 2);
                                XMLGregorianCalendarImpl xMLGregorianCalendarImpl = XMLGregorianCalendarImpl.this;
                                int i5 = (parseInt * 60) + parseInt2;
                                if (peek != '+') {
                                    i4 = -1;
                                }
                                xMLGregorianCalendarImpl.setTimezone(i5 * i4);
                            }
                        } else {
                            throw new InternalError();
                        }
                    }
                } else if (this.vidx != this.vlen) {
                    throw new IllegalArgumentException(this.value);
                } else {
                    return;
                }
            }
        }
    }

    public XMLGregorianCalendarImpl() {
    }

    public XMLGregorianCalendarImpl(int i2, int i3, int i4, int i5, int i6, int i7, int i8, int i9) {
        setYear(i2);
        setMonth(i3);
        setDay(i4);
        setTime(i5, i6, i7);
        setTimezone(i9);
        setFractionalSecond(i8 != Integer.MIN_VALUE ? BigDecimal.valueOf((long) i8, 3) : null);
        if (isValid()) {
            save();
            return;
        }
        throw new IllegalArgumentException(DatatypeMessageFormatter.formatMessage(null, "InvalidXGCValue-milli", new Object[]{new Integer(i2), new Integer(i3), new Integer(i4), new Integer(i5), new Integer(i6), new Integer(i7), new Integer(i8), new Integer(i9)}));
    }

    public XMLGregorianCalendarImpl(String str) {
        String str2;
        int length = str.length();
        if (str.indexOf(84) != -1) {
            str2 = "%Y-%M-%DT%h:%m:%s%z";
        } else if (length >= 3 && str.charAt(2) == ':') {
            str2 = "%h:%m:%s%z";
        } else if (!str.startsWith("--")) {
            length = str.indexOf(58) != -1 ? length - 6 : length;
            int i2 = 0;
            for (int i3 = 1; i3 < length; i3++) {
                if (str.charAt(i3) == '-') {
                    i2++;
                }
            }
            str2 = i2 == 0 ? "%Y%z" : i2 == 1 ? "%Y-%M%z" : "%Y-%M-%D%z";
        } else if (length >= 3 && str.charAt(2) == '-') {
            str2 = "---%D%z";
        } else if (length == 4 || (length >= 6 && (str.charAt(4) == '+' || (str.charAt(4) == '-' && (str.charAt(5) == '-' || length == 10))))) {
            try {
                new Parser(this, "--%M--%z", str, null).parse();
                if (isValid()) {
                    save();
                    return;
                }
                throw new IllegalArgumentException(DatatypeMessageFormatter.formatMessage(null, "InvalidXGCRepresentation", new Object[]{str}));
            } catch (IllegalArgumentException unused) {
                str2 = "--%M%z";
            }
        } else {
            str2 = "--%M-%D%z";
        }
        new Parser(this, str2, str, null).parse();
        if (isValid()) {
            save();
            return;
        }
        throw new IllegalArgumentException(DatatypeMessageFormatter.formatMessage(null, "InvalidXGCRepresentation", new Object[]{str}));
    }

    public XMLGregorianCalendarImpl(BigInteger bigInteger, int i2, int i3, int i4, int i5, int i6, BigDecimal bigDecimal, int i7) {
        setYear(bigInteger);
        setMonth(i2);
        setDay(i3);
        setTime(i4, i5, i6, bigDecimal);
        setTimezone(i7);
        if (isValid()) {
            save();
        } else {
            throw new IllegalArgumentException(DatatypeMessageFormatter.formatMessage(null, "InvalidXGCValue-fractional", new Object[]{bigInteger, new Integer(i2), new Integer(i3), new Integer(i4), new Integer(i5), new Integer(i6), bigDecimal, new Integer(i7)}));
        }
    }

    public XMLGregorianCalendarImpl(GregorianCalendar gregorianCalendar) {
        int i2 = gregorianCalendar.get(1);
        setYear(gregorianCalendar.get(0) == 0 ? -i2 : i2);
        setMonth(gregorianCalendar.get(2) + 1);
        setDay(gregorianCalendar.get(5));
        setTime(gregorianCalendar.get(11), gregorianCalendar.get(12), gregorianCalendar.get(13), gregorianCalendar.get(14));
        setTimezone((gregorianCalendar.get(16) + gregorianCalendar.get(15)) / 60000);
        save();
    }

    private void checkFieldValueConstraint(int i2, int i3) {
        if ((i3 < MIN_FIELD_VALUE[i2] && i3 != Integer.MIN_VALUE) || i3 > MAX_FIELD_VALUE[i2]) {
            throw new IllegalArgumentException(DatatypeMessageFormatter.formatMessage(null, "InvalidFieldValue", new Object[]{new Integer(i3), FIELD_NAME[i2]}));
        }
    }

    public static int compareField(int i2, int i3) {
        if (i2 == i3) {
            return 0;
        }
        if (i2 == Integer.MIN_VALUE || i3 == Integer.MIN_VALUE) {
            return 2;
        }
        return i2 < i3 ? -1 : 1;
    }

    public static int compareField(BigDecimal bigDecimal, BigDecimal bigDecimal2) {
        if (bigDecimal == bigDecimal2) {
            return 0;
        }
        if (bigDecimal == null) {
            bigDecimal = DECIMAL_ZERO;
        }
        if (bigDecimal2 == null) {
            bigDecimal2 = DECIMAL_ZERO;
        }
        return bigDecimal.compareTo(bigDecimal2);
    }

    public static int compareField(BigInteger bigInteger, BigInteger bigInteger2) {
        if (bigInteger == null) {
            return bigInteger2 == null ? 0 : 2;
        }
        if (bigInteger2 == null) {
            return 2;
        }
        return bigInteger.compareTo(bigInteger2);
    }

    public static XMLGregorianCalendar createDate(int i2, int i3, int i4, int i5) {
        return new XMLGregorianCalendarImpl(i2, i3, i4, Integer.MIN_VALUE, Integer.MIN_VALUE, Integer.MIN_VALUE, Integer.MIN_VALUE, i5);
    }

    public static XMLGregorianCalendar createDateTime(int i2, int i3, int i4, int i5, int i6, int i7) {
        return new XMLGregorianCalendarImpl(i2, i3, i4, i5, i6, i7, Integer.MIN_VALUE, Integer.MIN_VALUE);
    }

    public static XMLGregorianCalendar createDateTime(int i2, int i3, int i4, int i5, int i6, int i7, int i8, int i9) {
        return new XMLGregorianCalendarImpl(i2, i3, i4, i5, i6, i7, i8, i9);
    }

    public static XMLGregorianCalendar createDateTime(BigInteger bigInteger, int i2, int i3, int i4, int i5, int i6, BigDecimal bigDecimal, int i7) {
        return new XMLGregorianCalendarImpl(bigInteger, i2, i3, i4, i5, i6, bigDecimal, i7);
    }

    public static XMLGregorianCalendar createTime(int i2, int i3, int i4, int i5) {
        return new XMLGregorianCalendarImpl(Integer.MIN_VALUE, Integer.MIN_VALUE, Integer.MIN_VALUE, i2, i3, i4, Integer.MIN_VALUE, i5);
    }

    public static XMLGregorianCalendar createTime(int i2, int i3, int i4, int i5, int i6) {
        return new XMLGregorianCalendarImpl(Integer.MIN_VALUE, Integer.MIN_VALUE, Integer.MIN_VALUE, i2, i3, i4, i5, i6);
    }

    public static XMLGregorianCalendar createTime(int i2, int i3, int i4, BigDecimal bigDecimal, int i5) {
        return new XMLGregorianCalendarImpl((BigInteger) null, Integer.MIN_VALUE, Integer.MIN_VALUE, i2, i3, i4, bigDecimal, i5);
    }

    private String format(String str) {
        int i2;
        StringBuffer stringBuffer = new StringBuffer();
        int length = str.length();
        int i3 = 0;
        while (i3 < length) {
            int i4 = i3 + 1;
            char charAt = str.charAt(i3);
            if (charAt != '%') {
                stringBuffer.append(charAt);
                i3 = i4;
            } else {
                i3 = i4 + 1;
                char charAt2 = str.charAt(i4);
                if (charAt2 == 'D') {
                    i2 = getDay();
                } else if (charAt2 == 'M') {
                    i2 = getMonth();
                } else if (charAt2 != 'Y') {
                    if (charAt2 == 'h') {
                        i2 = getHour();
                    } else if (charAt2 == 'm') {
                        i2 = getMinute();
                    } else if (charAt2 == 's') {
                        printNumber(stringBuffer, getSecond(), 2);
                        if (getFractionalSecond() != null) {
                            String xMLGregorianCalendarImpl = toString(getFractionalSecond());
                            stringBuffer.append(xMLGregorianCalendarImpl.substring(1, xMLGregorianCalendarImpl.length()));
                        }
                    } else if (charAt2 == 'z') {
                        int timezone2 = getTimezone();
                        if (timezone2 == 0) {
                            stringBuffer.append('Z');
                        } else if (timezone2 != Integer.MIN_VALUE) {
                            if (timezone2 < 0) {
                                stringBuffer.append(NameUtil.HYPHEN);
                                timezone2 *= -1;
                            } else {
                                stringBuffer.append('+');
                            }
                            printNumber(stringBuffer, timezone2 / 60, 2);
                            stringBuffer.append(':');
                            i2 = timezone2 % 60;
                        }
                    } else {
                        throw new InternalError();
                    }
                } else if (this.eon == null) {
                    int i5 = this.year;
                    if (i5 < 0) {
                        stringBuffer.append(NameUtil.HYPHEN);
                        i5 = -this.year;
                    }
                    printNumber(stringBuffer, i5, 4);
                } else {
                    printNumber(stringBuffer, getEonAndYear(), 4);
                }
                printNumber(stringBuffer, i2, 2);
            }
        }
        return stringBuffer.toString();
    }

    private BigDecimal getSeconds() {
        int i2 = this.second;
        if (i2 == Integer.MIN_VALUE) {
            return DECIMAL_ZERO;
        }
        BigDecimal valueOf = BigDecimal.valueOf((long) i2);
        BigDecimal bigDecimal = this.fractionalSecond;
        return bigDecimal != null ? valueOf.add(bigDecimal) : valueOf;
    }

    public static int internalCompare(XMLGregorianCalendar xMLGregorianCalendar, XMLGregorianCalendar xMLGregorianCalendar2) {
        if (xMLGregorianCalendar.getEon() == xMLGregorianCalendar2.getEon()) {
            int compareField = compareField(xMLGregorianCalendar.getYear(), xMLGregorianCalendar2.getYear());
            if (compareField != 0) {
                return compareField;
            }
        } else {
            int compareField2 = compareField(xMLGregorianCalendar.getEonAndYear(), xMLGregorianCalendar2.getEonAndYear());
            if (compareField2 != 0) {
                return compareField2;
            }
        }
        int compareField3 = compareField(xMLGregorianCalendar.getMonth(), xMLGregorianCalendar2.getMonth());
        if (compareField3 != 0) {
            return compareField3;
        }
        int compareField4 = compareField(xMLGregorianCalendar.getDay(), xMLGregorianCalendar2.getDay());
        if (compareField4 != 0) {
            return compareField4;
        }
        int compareField5 = compareField(xMLGregorianCalendar.getHour(), xMLGregorianCalendar2.getHour());
        if (compareField5 != 0) {
            return compareField5;
        }
        int compareField6 = compareField(xMLGregorianCalendar.getMinute(), xMLGregorianCalendar2.getMinute());
        if (compareField6 != 0) {
            return compareField6;
        }
        int compareField7 = compareField(xMLGregorianCalendar.getSecond(), xMLGregorianCalendar2.getSecond());
        return compareField7 != 0 ? compareField7 : compareField(xMLGregorianCalendar.getFractionalSecond(), xMLGregorianCalendar2.getFractionalSecond());
    }

    public static boolean isDigit(char c) {
        return '0' <= c && c <= '9';
    }

    public static int maximumDayInMonthFor(int i2, int i3) {
        if (i3 != 2) {
            return DaysInMonth.table[i3];
        }
        if (i2 % 400 == 0) {
            return 29;
        }
        if (i2 % 100 == 0 || i2 % 4 != 0) {
            return DaysInMonth.table[2];
        }
        return 29;
    }

    public static int maximumDayInMonthFor(BigInteger bigInteger, int i2) {
        if (i2 != 2) {
            return DaysInMonth.table[i2];
        }
        if (bigInteger.mod(FOUR_HUNDRED).equals(BigInteger.ZERO)) {
            return 29;
        }
        if (bigInteger.mod(HUNDRED).equals(BigInteger.ZERO) || !bigInteger.mod(FOUR).equals(BigInteger.ZERO)) {
            return DaysInMonth.table[i2];
        }
        return 29;
    }

    private XMLGregorianCalendar normalizeToTimezone(XMLGregorianCalendar xMLGregorianCalendar, int i2) {
        XMLGregorianCalendar xMLGregorianCalendar2 = (XMLGregorianCalendar) xMLGregorianCalendar.clone();
        int i3 = -i2;
        boolean z = i3 >= 0;
        if (i3 < 0) {
            i3 = -i3;
        }
        xMLGregorianCalendar2.add(new DurationImpl(z, 0, 0, 0, 0, i3, 0));
        xMLGregorianCalendar2.setTimezone(0);
        return xMLGregorianCalendar2;
    }

    public static XMLGregorianCalendar parse(String str) {
        return new XMLGregorianCalendarImpl(str);
    }

    private void printNumber(StringBuffer stringBuffer, int i2, int i3) {
        String valueOf = String.valueOf(i2);
        for (int length = valueOf.length(); length < i3; length++) {
            stringBuffer.append(SheetUtil.defaultChar);
        }
        stringBuffer.append(valueOf);
    }

    private void printNumber(StringBuffer stringBuffer, BigInteger bigInteger, int i2) {
        String bigInteger2 = bigInteger.toString();
        for (int length = bigInteger2.length(); length < i2; length++) {
            stringBuffer.append(SheetUtil.defaultChar);
        }
        stringBuffer.append(bigInteger2);
    }

    public static BigInteger sanitize(Number number, int i2) {
        if (i2 == 0 || number == null) {
            return BigInteger.ZERO;
        }
        BigInteger bigInteger = (BigInteger) number;
        return i2 < 0 ? bigInteger.negate() : bigInteger;
    }

    private void save() {
        this.orig_eon = this.eon;
        this.orig_year = this.year;
        this.orig_month = this.month;
        this.orig_day = this.day;
        this.orig_hour = this.hour;
        this.orig_minute = this.minute;
        this.orig_second = this.second;
        this.orig_fracSeconds = this.fractionalSecond;
        this.orig_timezone = this.timezone;
    }

    private void setEon(BigInteger bigInteger) {
        if (bigInteger != null && bigInteger.compareTo(BigInteger.ZERO) == 0) {
            bigInteger = null;
        }
        this.eon = bigInteger;
    }

    private String toString(BigDecimal bigDecimal) {
        StringBuffer stringBuffer;
        String bigInteger = bigDecimal.unscaledValue().toString();
        int scale = bigDecimal.scale();
        if (scale == 0) {
            return bigInteger;
        }
        int length = bigInteger.length() - scale;
        if (length == 0) {
            return a.a("0.", bigInteger);
        }
        if (length > 0) {
            stringBuffer = new StringBuffer(bigInteger);
            stringBuffer.insert(length, NameUtil.PERIOD);
        } else {
            StringBuffer stringBuffer2 = new StringBuffer(bigInteger.length() + (3 - length));
            stringBuffer2.append("0.");
            for (int i2 = 0; i2 < (-length); i2++) {
                stringBuffer2.append(SheetUtil.defaultChar);
            }
            stringBuffer2.append(bigInteger);
            stringBuffer = stringBuffer2;
        }
        return stringBuffer.toString();
    }

    private Object writeReplace() {
        return new SerializedXMLGregorianCalendar(toXMLFormat());
    }

    /* JADX WARNING: Removed duplicated region for block: B:36:0x01cf  */
    /* JADX WARNING: Removed duplicated region for block: B:41:0x01fc  */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x0234  */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x024c  */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x0255  */
    /* JADX WARNING: Removed duplicated region for block: B:54:0x0271  */
    /* JADX WARNING: Removed duplicated region for block: B:71:0x01c7 A[SYNTHETIC] */
    @Override // javax.xml.datatype.XMLGregorianCalendar
    public void add(Duration duration) {
        BigDecimal bigDecimal;
        BigInteger bigInteger;
        BigInteger add;
        int i2;
        int i3;
        int i4;
        int i5;
        int i6;
        BigInteger bigInteger2;
        long j;
        boolean[] zArr = {false, false, false, false, false, false};
        int sign = duration.getSign();
        int month2 = getMonth();
        if (month2 == Integer.MIN_VALUE) {
            month2 = MIN_FIELD_VALUE[1];
            zArr[1] = true;
        }
        BigInteger add2 = BigInteger.valueOf((long) month2).add(sanitize(duration.getField(DatatypeConstants.MONTHS), sign));
        setMonth(add2.subtract(BigInteger.ONE).mod(TWELVE).intValue() + 1);
        BigInteger bigInteger3 = new BigDecimal(add2.subtract(BigInteger.ONE)).divide(new BigDecimal(TWELVE), 3).toBigInteger();
        BigInteger eonAndYear = getEonAndYear();
        if (eonAndYear == null) {
            zArr[0] = true;
            eonAndYear = BigInteger.ZERO;
        }
        setYear(eonAndYear.add(sanitize(duration.getField(DatatypeConstants.YEARS), sign)).add(bigInteger3));
        if (getSecond() == Integer.MIN_VALUE) {
            zArr[5] = true;
            bigDecimal = DECIMAL_ZERO;
        } else {
            bigDecimal = getSeconds();
        }
        BigDecimal add3 = bigDecimal.add(DurationImpl.sanitize((BigDecimal) duration.getField(DatatypeConstants.SECONDS), sign));
        BigDecimal bigDecimal2 = new BigDecimal(new BigDecimal(add3.toBigInteger()).divide(DECIMAL_SIXTY, 3).toBigInteger());
        BigDecimal subtract = add3.subtract(bigDecimal2.multiply(DECIMAL_SIXTY));
        BigInteger bigInteger4 = bigDecimal2.toBigInteger();
        setSecond(subtract.intValue());
        BigDecimal subtract2 = subtract.subtract(new BigDecimal(BigInteger.valueOf((long) getSecond())));
        if (subtract2.compareTo(DECIMAL_ZERO) < 0) {
            setFractionalSecond(DECIMAL_ONE.add(subtract2));
            if (getSecond() == 0) {
                setSecond(59);
                bigInteger4 = bigInteger4.subtract(BigInteger.ONE);
            } else {
                setSecond(getSecond() - 1);
            }
        } else {
            setFractionalSecond(subtract2);
        }
        int minute2 = getMinute();
        if (minute2 == Integer.MIN_VALUE) {
            zArr[4] = true;
            minute2 = MIN_FIELD_VALUE[4];
        }
        BigInteger add4 = BigInteger.valueOf((long) minute2).add(sanitize(duration.getField(DatatypeConstants.MINUTES), sign)).add(bigInteger4);
        setMinute(add4.mod(SIXTY).intValue());
        BigInteger bigInteger5 = new BigDecimal(add4).divide(DECIMAL_SIXTY, 3).toBigInteger();
        int hour2 = getHour();
        if (hour2 == Integer.MIN_VALUE) {
            zArr[3] = true;
            hour2 = MIN_FIELD_VALUE[3];
        }
        BigInteger add5 = BigInteger.valueOf((long) hour2).add(sanitize(duration.getField(DatatypeConstants.HOURS), sign)).add(bigInteger5);
        setHour(add5.mod(TWENTY_FOUR).intValue());
        BigInteger bigInteger6 = new BigDecimal(add5).divide(new BigDecimal(TWENTY_FOUR), 3).toBigInteger();
        int day2 = getDay();
        if (day2 == Integer.MIN_VALUE) {
            zArr[2] = true;
            day2 = MIN_FIELD_VALUE[2];
        }
        BigInteger sanitize = sanitize(duration.getField(DatatypeConstants.DAYS), sign);
        int maximumDayInMonthFor = maximumDayInMonthFor(getEonAndYear(), getMonth());
        if (day2 > maximumDayInMonthFor) {
            j = (long) maximumDayInMonthFor;
        } else if (day2 < 1) {
            bigInteger = BigInteger.ONE;
            add = bigInteger.add(sanitize).add(bigInteger6);
            while (true) {
                if (add.compareTo(BigInteger.ONE) < 0) {
                    if (add.compareTo(BigInteger.valueOf((long) maximumDayInMonthFor(getEonAndYear(), getMonth()))) <= 0) {
                        break;
                    }
                    add = add.add(BigInteger.valueOf((long) (-maximumDayInMonthFor(getEonAndYear(), getMonth()))));
                    i2 = 1;
                } else {
                    if (this.month >= 2) {
                        bigInteger2 = getEonAndYear();
                        i6 = getMonth() - 1;
                    } else {
                        bigInteger2 = getEonAndYear().subtract(BigInteger.valueOf(1));
                        i6 = 12;
                    }
                    add = add.add(BigInteger.valueOf((long) maximumDayInMonthFor(bigInteger2, i6)));
                    i2 = -1;
                }
                int month3 = (getMonth() + i2) - 1;
                i3 = month3 % 12;
                if (i3 >= 0) {
                    i5 = i3 + 12 + 1;
                    i4 = BigDecimal.valueOf((long) month3).divide(new BigDecimal(TWELVE), 0).intValue();
                } else {
                    i4 = month3 / 12;
                    i5 = i3 + 1;
                }
                setMonth(i5);
                if (i4 == 0) {
                    setYear(getEonAndYear().add(BigInteger.valueOf((long) i4)));
                }
            }
            setDay(add.intValue());
            for (int i7 = 0; i7 <= 5; i7++) {
                if (zArr[i7]) {
                    if (i7 == 0) {
                        setYear(Integer.MIN_VALUE);
                    } else if (i7 == 1) {
                        setMonth(Integer.MIN_VALUE);
                    } else if (i7 == 2) {
                        setDay(Integer.MIN_VALUE);
                    } else if (i7 == 3) {
                        setHour(Integer.MIN_VALUE);
                    } else if (i7 == 4) {
                        setMinute(Integer.MIN_VALUE);
                    } else if (i7 == 5) {
                        setSecond(Integer.MIN_VALUE);
                        setFractionalSecond(null);
                    }
                }
            }
        } else {
            j = (long) day2;
        }
        bigInteger = BigInteger.valueOf(j);
        add = bigInteger.add(sanitize).add(bigInteger6);
        while (true) {
            if (add.compareTo(BigInteger.ONE) < 0) {
            }
            int month32 = (getMonth() + i2) - 1;
            i3 = month32 % 12;
            if (i3 >= 0) {
            }
            setMonth(i5);
            if (i4 == 0) {
            }
        }
        setDay(add.intValue());
        while (i7 <= 5) {
        }
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public void clear() {
        this.eon = null;
        this.year = Integer.MIN_VALUE;
        this.month = Integer.MIN_VALUE;
        this.day = Integer.MIN_VALUE;
        this.timezone = Integer.MIN_VALUE;
        this.hour = Integer.MIN_VALUE;
        this.minute = Integer.MIN_VALUE;
        this.second = Integer.MIN_VALUE;
        this.fractionalSecond = null;
    }

    @Override // java.lang.Object, javax.xml.datatype.XMLGregorianCalendar
    public Object clone() {
        return new XMLGregorianCalendarImpl(getEonAndYear(), this.month, this.day, this.hour, this.minute, this.second, this.fractionalSecond, this.timezone);
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public int compare(XMLGregorianCalendar xMLGregorianCalendar) {
        if (getTimezone() == xMLGregorianCalendar.getTimezone()) {
            return internalCompare(this, xMLGregorianCalendar);
        }
        if (getTimezone() != Integer.MIN_VALUE && xMLGregorianCalendar.getTimezone() != Integer.MIN_VALUE) {
            return internalCompare((XMLGregorianCalendarImpl) normalize(), (XMLGregorianCalendarImpl) xMLGregorianCalendar.normalize());
        }
        if (getTimezone() != Integer.MIN_VALUE) {
            XMLGregorianCalendarImpl xMLGregorianCalendarImpl = getTimezone() != 0 ? (XMLGregorianCalendarImpl) normalize() : this;
            int internalCompare = internalCompare(xMLGregorianCalendarImpl, normalizeToTimezone(xMLGregorianCalendar, DatatypeConstants.MIN_TIMEZONE_OFFSET));
            if (internalCompare == -1) {
                return internalCompare;
            }
            int internalCompare2 = internalCompare(xMLGregorianCalendarImpl, normalizeToTimezone(xMLGregorianCalendar, DatatypeConstants.MAX_TIMEZONE_OFFSET));
            if (internalCompare2 == 1) {
                return internalCompare2;
            }
            return 2;
        }
        if (xMLGregorianCalendar.getTimezone() != 0) {
            xMLGregorianCalendar = (XMLGregorianCalendarImpl) normalizeToTimezone(xMLGregorianCalendar, xMLGregorianCalendar.getTimezone());
        }
        int internalCompare3 = internalCompare(normalizeToTimezone(this, DatatypeConstants.MAX_TIMEZONE_OFFSET), xMLGregorianCalendar);
        if (internalCompare3 == -1) {
            return internalCompare3;
        }
        int internalCompare4 = internalCompare(normalizeToTimezone(this, DatatypeConstants.MIN_TIMEZONE_OFFSET), xMLGregorianCalendar);
        if (internalCompare4 == 1) {
            return internalCompare4;
        }
        return 2;
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        return (obj instanceof XMLGregorianCalendar) && compare((XMLGregorianCalendar) obj) == 0;
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public int getDay() {
        return this.day;
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public BigInteger getEon() {
        return this.eon;
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public BigInteger getEonAndYear() {
        BigInteger bigInteger;
        int i2 = this.year;
        if (i2 != Integer.MIN_VALUE && (bigInteger = this.eon) != null) {
            return bigInteger.add(BigInteger.valueOf((long) i2));
        }
        int i3 = this.year;
        if (i3 == Integer.MIN_VALUE || this.eon != null) {
            return null;
        }
        return BigInteger.valueOf((long) i3);
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public BigDecimal getFractionalSecond() {
        return this.fractionalSecond;
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public int getHour() {
        return this.hour;
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public int getMillisecond() {
        BigDecimal bigDecimal = this.fractionalSecond;
        if (bigDecimal == null) {
            return Integer.MIN_VALUE;
        }
        return bigDecimal.movePointRight(3).intValue();
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public int getMinute() {
        return this.minute;
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public int getMonth() {
        return this.month;
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public int getSecond() {
        return this.second;
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public TimeZone getTimeZone(int i2) {
        int timezone2 = getTimezone();
        if (timezone2 != Integer.MIN_VALUE) {
            i2 = timezone2;
        }
        if (i2 == Integer.MIN_VALUE) {
            return TimeZone.getDefault();
        }
        char c = i2 < 0 ? NameUtil.HYPHEN : '+';
        if (c == '-') {
            i2 = -i2;
        }
        int i3 = i2 / 60;
        int i4 = i2 - (i3 * 60);
        StringBuffer stringBuffer = new StringBuffer(8);
        stringBuffer.append("GMT");
        stringBuffer.append(c);
        stringBuffer.append(i3);
        if (i4 != 0) {
            if (i4 < 10) {
                stringBuffer.append(SheetUtil.defaultChar);
            }
            stringBuffer.append(i4);
        }
        return TimeZone.getTimeZone(stringBuffer.toString());
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public int getTimezone() {
        return this.timezone;
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public QName getXMLSchemaType() {
        if (this.year != Integer.MIN_VALUE && this.month != Integer.MIN_VALUE && this.day != Integer.MIN_VALUE && this.hour != Integer.MIN_VALUE && this.minute != Integer.MIN_VALUE && this.second != Integer.MIN_VALUE) {
            return DatatypeConstants.DATETIME;
        }
        if (this.year != Integer.MIN_VALUE && this.month != Integer.MIN_VALUE && this.day != Integer.MIN_VALUE && this.hour == Integer.MIN_VALUE && this.minute == Integer.MIN_VALUE && this.second == Integer.MIN_VALUE) {
            return DatatypeConstants.DATE;
        }
        if (this.year == Integer.MIN_VALUE && this.month == Integer.MIN_VALUE && this.day == Integer.MIN_VALUE && this.hour != Integer.MIN_VALUE && this.minute != Integer.MIN_VALUE && this.second != Integer.MIN_VALUE) {
            return DatatypeConstants.TIME;
        }
        if (this.year != Integer.MIN_VALUE && this.month != Integer.MIN_VALUE && this.day == Integer.MIN_VALUE && this.hour == Integer.MIN_VALUE && this.minute == Integer.MIN_VALUE && this.second == Integer.MIN_VALUE) {
            return DatatypeConstants.GYEARMONTH;
        }
        if (this.year == Integer.MIN_VALUE && this.month != Integer.MIN_VALUE && this.day != Integer.MIN_VALUE && this.hour == Integer.MIN_VALUE && this.minute == Integer.MIN_VALUE && this.second == Integer.MIN_VALUE) {
            return DatatypeConstants.GMONTHDAY;
        }
        if (this.year != Integer.MIN_VALUE && this.month == Integer.MIN_VALUE && this.day == Integer.MIN_VALUE && this.hour == Integer.MIN_VALUE && this.minute == Integer.MIN_VALUE && this.second == Integer.MIN_VALUE) {
            return DatatypeConstants.GYEAR;
        }
        if (this.year == Integer.MIN_VALUE && this.month != Integer.MIN_VALUE && this.day == Integer.MIN_VALUE && this.hour == Integer.MIN_VALUE && this.minute == Integer.MIN_VALUE && this.second == Integer.MIN_VALUE) {
            return DatatypeConstants.GMONTH;
        }
        if (this.year == Integer.MIN_VALUE && this.month == Integer.MIN_VALUE && this.day != Integer.MIN_VALUE && this.hour == Integer.MIN_VALUE && this.minute == Integer.MIN_VALUE && this.second == Integer.MIN_VALUE) {
            return DatatypeConstants.GDAY;
        }
        StringBuffer stringBuffer = new StringBuffer();
        a.a(XMLGregorianCalendarImpl.class, stringBuffer, "#getXMLSchemaType() :");
        stringBuffer.append(DatatypeMessageFormatter.formatMessage(null, "InvalidXGCFields", null));
        throw new IllegalStateException(stringBuffer.toString());
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public int getYear() {
        return this.year;
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public int hashCode() {
        int timezone2 = getTimezone();
        if (timezone2 == Integer.MIN_VALUE) {
            timezone2 = 0;
        }
        XMLGregorianCalendar normalizeToTimezone = timezone2 != 0 ? normalizeToTimezone(this, getTimezone()) : this;
        return normalizeToTimezone.getSecond() + normalizeToTimezone.getMinute() + normalizeToTimezone.getHour() + normalizeToTimezone.getDay() + normalizeToTimezone.getMonth() + normalizeToTimezone.getYear();
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public boolean isValid() {
        BigDecimal bigDecimal;
        int i2;
        int i3 = this.month;
        if (!(i3 == Integer.MIN_VALUE || (i2 = this.day) == Integer.MIN_VALUE)) {
            int i4 = this.year;
            if (i4 != Integer.MIN_VALUE) {
                if (this.eon == null) {
                    if (i2 > maximumDayInMonthFor(i4, i3)) {
                        return false;
                    }
                } else if (i2 > maximumDayInMonthFor(getEonAndYear(), this.month)) {
                    return false;
                }
            } else if (i2 > maximumDayInMonthFor(2000, i3)) {
                return false;
            }
        }
        if (this.hour != 24 || (this.minute == 0 && this.second == 0 && ((bigDecimal = this.fractionalSecond) == null || bigDecimal.compareTo(DECIMAL_ZERO) == 0))) {
            return (this.eon == null && this.year == 0) ? false : true;
        }
        return false;
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public XMLGregorianCalendar normalize() {
        XMLGregorianCalendar normalizeToTimezone = normalizeToTimezone(this, this.timezone);
        if (getTimezone() == Integer.MIN_VALUE) {
            normalizeToTimezone.setTimezone(Integer.MIN_VALUE);
        }
        if (getMillisecond() == Integer.MIN_VALUE) {
            normalizeToTimezone.setMillisecond(Integer.MIN_VALUE);
        }
        return normalizeToTimezone;
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public void reset() {
        this.eon = this.orig_eon;
        this.year = this.orig_year;
        this.month = this.orig_month;
        this.day = this.orig_day;
        this.hour = this.orig_hour;
        this.minute = this.orig_minute;
        this.second = this.orig_second;
        this.fractionalSecond = this.orig_fracSeconds;
        this.timezone = this.orig_timezone;
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public void setDay(int i2) {
        checkFieldValueConstraint(2, i2);
        this.day = i2;
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public void setFractionalSecond(BigDecimal bigDecimal) {
        if (bigDecimal == null || (bigDecimal.compareTo(DECIMAL_ZERO) >= 0 && bigDecimal.compareTo(DECIMAL_ONE) <= 0)) {
            this.fractionalSecond = bigDecimal;
        } else {
            throw new IllegalArgumentException(DatatypeMessageFormatter.formatMessage(null, "InvalidFractional", new Object[]{bigDecimal}));
        }
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public void setHour(int i2) {
        checkFieldValueConstraint(3, i2);
        this.hour = i2;
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public void setMillisecond(int i2) {
        BigDecimal bigDecimal;
        if (i2 == Integer.MIN_VALUE) {
            bigDecimal = null;
        } else {
            checkFieldValueConstraint(6, i2);
            bigDecimal = BigDecimal.valueOf((long) i2, 3);
        }
        this.fractionalSecond = bigDecimal;
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public void setMinute(int i2) {
        checkFieldValueConstraint(4, i2);
        this.minute = i2;
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public void setMonth(int i2) {
        checkFieldValueConstraint(1, i2);
        this.month = i2;
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public void setSecond(int i2) {
        checkFieldValueConstraint(5, i2);
        this.second = i2;
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public void setTime(int i2, int i3, int i4) {
        setTime(i2, i3, i4, (BigDecimal) null);
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public void setTime(int i2, int i3, int i4, int i5) {
        setHour(i2);
        setMinute(i3);
        setSecond(i4);
        setMillisecond(i5);
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public void setTime(int i2, int i3, int i4, BigDecimal bigDecimal) {
        setHour(i2);
        setMinute(i3);
        setSecond(i4);
        setFractionalSecond(bigDecimal);
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public void setTimezone(int i2) {
        checkFieldValueConstraint(7, i2);
        this.timezone = i2;
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public void setYear(int i2) {
        if (i2 == Integer.MIN_VALUE) {
            this.year = Integer.MIN_VALUE;
        } else if (Math.abs(i2) < 1000000000) {
            this.year = i2;
        } else {
            BigInteger valueOf = BigInteger.valueOf((long) i2);
            BigInteger remainder = valueOf.remainder(BILLION_B);
            this.year = remainder.intValue();
            setEon(valueOf.subtract(remainder));
            return;
        }
        this.eon = null;
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public void setYear(BigInteger bigInteger) {
        if (bigInteger == null) {
            this.eon = null;
            this.year = Integer.MIN_VALUE;
            return;
        }
        BigInteger remainder = bigInteger.remainder(BILLION_B);
        this.year = remainder.intValue();
        setEon(bigInteger.subtract(remainder));
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public GregorianCalendar toGregorianCalendar() {
        int i2;
        GregorianCalendar gregorianCalendar = new GregorianCalendar(getTimeZone(Integer.MIN_VALUE), Locale.getDefault());
        gregorianCalendar.clear();
        gregorianCalendar.setGregorianChange(PURE_GREGORIAN_CHANGE);
        int i3 = this.year;
        if (i3 != Integer.MIN_VALUE) {
            if (this.eon == null) {
                gregorianCalendar.set(0, i3 < 0 ? 0 : 1);
                i2 = Math.abs(this.year);
            } else {
                BigInteger eonAndYear = getEonAndYear();
                gregorianCalendar.set(0, eonAndYear.signum() == -1 ? 0 : 1);
                i2 = eonAndYear.abs().intValue();
            }
            gregorianCalendar.set(1, i2);
        }
        int i4 = this.month;
        if (i4 != Integer.MIN_VALUE) {
            gregorianCalendar.set(2, i4 - 1);
        }
        int i5 = this.day;
        if (i5 != Integer.MIN_VALUE) {
            gregorianCalendar.set(5, i5);
        }
        int i6 = this.hour;
        if (i6 != Integer.MIN_VALUE) {
            gregorianCalendar.set(11, i6);
        }
        int i7 = this.minute;
        if (i7 != Integer.MIN_VALUE) {
            gregorianCalendar.set(12, i7);
        }
        int i8 = this.second;
        if (i8 != Integer.MIN_VALUE) {
            gregorianCalendar.set(13, i8);
        }
        if (this.fractionalSecond != null) {
            gregorianCalendar.set(14, getMillisecond());
        }
        return gregorianCalendar;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:18:0x0046, code lost:
        if (r6.signum() == -1) goto L_0x0048;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:19:0x0048, code lost:
        r7 = 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:20:0x004a, code lost:
        r7 = 1;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:21:0x004b, code lost:
        r1.set(0, r7);
        r6 = r6.abs().intValue();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:33:0x0079, code lost:
        if (r6.signum() == -1) goto L_0x0048;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:40:0x008f, code lost:
        if (r6 != Integer.MIN_VALUE) goto L_0x0081;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:47:0x00a4, code lost:
        if (r6 != Integer.MIN_VALUE) goto L_0x0097;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:54:0x00ba, code lost:
        if (r6 != Integer.MIN_VALUE) goto L_0x00ad;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:61:0x00d0, code lost:
        if (r6 != Integer.MIN_VALUE) goto L_0x00c3;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:68:0x00e6, code lost:
        if (r6 != Integer.MIN_VALUE) goto L_0x00d9;
     */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x0086  */
    /* JADX WARNING: Removed duplicated region for block: B:44:0x009b  */
    /* JADX WARNING: Removed duplicated region for block: B:51:0x00b1  */
    /* JADX WARNING: Removed duplicated region for block: B:58:0x00c7  */
    /* JADX WARNING: Removed duplicated region for block: B:65:0x00dd  */
    /* JADX WARNING: Removed duplicated region for block: B:71:0x00ef  */
    /* JADX WARNING: Removed duplicated region for block: B:73:0x00f7  */
    @Override // javax.xml.datatype.XMLGregorianCalendar
    public GregorianCalendar toGregorianCalendar(TimeZone timeZone, Locale locale, XMLGregorianCalendar xMLGregorianCalendar) {
        int i2;
        int i3;
        int i4;
        int i5;
        int i6;
        int millisecond;
        int year2;
        BigInteger eonAndYear;
        if (timeZone == null) {
            timeZone = getTimeZone(xMLGregorianCalendar != null ? xMLGregorianCalendar.getTimezone() : Integer.MIN_VALUE);
        }
        if (locale == null) {
            locale = Locale.getDefault();
        }
        GregorianCalendar gregorianCalendar = new GregorianCalendar(timeZone, locale);
        gregorianCalendar.clear();
        gregorianCalendar.setGregorianChange(PURE_GREGORIAN_CHANGE);
        int i7 = this.year;
        if (i7 == Integer.MIN_VALUE) {
            if (!(xMLGregorianCalendar == null || (year2 = xMLGregorianCalendar.getYear()) == Integer.MIN_VALUE)) {
                if (xMLGregorianCalendar.getEon() == null) {
                    gregorianCalendar.set(0, year2 < 0 ? 0 : 1);
                } else {
                    eonAndYear = xMLGregorianCalendar.getEonAndYear();
                }
            }
            i2 = this.month;
            if (i2 == Integer.MIN_VALUE) {
                i2 = xMLGregorianCalendar != null ? xMLGregorianCalendar.getMonth() : Integer.MIN_VALUE;
            }
            gregorianCalendar.set(2, i2 - 1);
            i3 = this.day;
            if (i3 == Integer.MIN_VALUE) {
                i3 = xMLGregorianCalendar != null ? xMLGregorianCalendar.getDay() : Integer.MIN_VALUE;
            }
            gregorianCalendar.set(5, i3);
            i4 = this.hour;
            if (i4 == Integer.MIN_VALUE) {
                i4 = xMLGregorianCalendar != null ? xMLGregorianCalendar.getHour() : Integer.MIN_VALUE;
            }
            gregorianCalendar.set(11, i4);
            i5 = this.minute;
            if (i5 == Integer.MIN_VALUE) {
                i5 = xMLGregorianCalendar != null ? xMLGregorianCalendar.getMinute() : Integer.MIN_VALUE;
            }
            gregorianCalendar.set(12, i5);
            i6 = this.second;
            if (i6 == Integer.MIN_VALUE) {
                i6 = xMLGregorianCalendar != null ? xMLGregorianCalendar.getSecond() : Integer.MIN_VALUE;
            }
            gregorianCalendar.set(13, i6);
            if (this.fractionalSecond == null) {
                millisecond = getMillisecond();
            } else {
                if ((xMLGregorianCalendar != null ? xMLGregorianCalendar.getFractionalSecond() : null) != null) {
                    millisecond = xMLGregorianCalendar.getMillisecond();
                }
                return gregorianCalendar;
            }
            gregorianCalendar.set(14, millisecond);
            return gregorianCalendar;
        } else if (this.eon == null) {
            gregorianCalendar.set(0, i7 < 0 ? 0 : 1);
            year2 = this.year;
        } else {
            eonAndYear = getEonAndYear();
        }
        int i8 = Math.abs(year2);
        gregorianCalendar.set(1, i8);
        i2 = this.month;
        if (i2 == Integer.MIN_VALUE) {
        }
        gregorianCalendar.set(2, i2 - 1);
        i3 = this.day;
        if (i3 == Integer.MIN_VALUE) {
        }
        gregorianCalendar.set(5, i3);
        i4 = this.hour;
        if (i4 == Integer.MIN_VALUE) {
        }
        gregorianCalendar.set(11, i4);
        i5 = this.minute;
        if (i5 == Integer.MIN_VALUE) {
        }
        gregorianCalendar.set(12, i5);
        i6 = this.second;
        if (i6 == Integer.MIN_VALUE) {
        }
        gregorianCalendar.set(13, i6);
        if (this.fractionalSecond == null) {
        }
        gregorianCalendar.set(14, millisecond);
        return gregorianCalendar;
    }

    @Override // javax.xml.datatype.XMLGregorianCalendar
    public String toXMLFormat() {
        QName xMLSchemaType = getXMLSchemaType();
        return format(xMLSchemaType == DatatypeConstants.DATETIME ? "%Y-%M-%DT%h:%m:%s%z" : xMLSchemaType == DatatypeConstants.DATE ? "%Y-%M-%D%z" : xMLSchemaType == DatatypeConstants.TIME ? "%h:%m:%s%z" : xMLSchemaType == DatatypeConstants.GMONTH ? "--%M--%z" : xMLSchemaType == DatatypeConstants.GDAY ? "---%D%z" : xMLSchemaType == DatatypeConstants.GYEAR ? "%Y%z" : xMLSchemaType == DatatypeConstants.GYEARMONTH ? "%Y-%M%z" : xMLSchemaType == DatatypeConstants.GMONTHDAY ? "--%M-%D%z" : null);
    }
}
