package org.apache.xerces.stax.events;

import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;
import javax.xml.namespace.QName;
import javax.xml.stream.Location;
import javax.xml.stream.events.Namespace;

public abstract class ElementImpl extends XMLEventImpl {
    public final QName fName;
    public final List fNamespaces;

    public static final class NoRemoveIterator implements Iterator {
        public final Iterator fWrapped;

        public NoRemoveIterator(Iterator it) {
            this.fWrapped = it;
        }

        public boolean hasNext() {
            return this.fWrapped.hasNext();
        }

        @Override // java.util.Iterator
        public Object next() {
            return this.fWrapped.next();
        }

        public void remove() {
            throw new UnsupportedOperationException("Attributes iterator is read-only.");
        }
    }

    /* JADX INFO: super call moved to the top of the method (can break code semantics) */
    public ElementImpl(QName qName, boolean z, Iterator it, Location location) {
        super(z ? 1 : 2, location);
        this.fName = qName;
        if (it == null || !it.hasNext()) {
            this.fNamespaces = Collections.EMPTY_LIST;
            return;
        }
        this.fNamespaces = new ArrayList();
        do {
            this.fNamespaces.add((Namespace) it.next());
        } while (it.hasNext());
    }

    public static Iterator createImmutableIterator(Iterator it) {
        return new NoRemoveIterator(it);
    }

    public final QName getName() {
        return this.fName;
    }

    public final Iterator getNamespaces() {
        return createImmutableIterator(this.fNamespaces.iterator());
    }
}
