package org.apache.xmlbeans;

import java.io.Serializable;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;
import java.util.ListIterator;

public class XmlSimpleList implements List, Serializable {
    public static final long serialVersionUID = 1;
    public List underlying;

    public XmlSimpleList(List list) {
        this.underlying = list;
    }

    private String stringValue(Object obj) {
        if (obj instanceof SimpleValue) {
            return ((SimpleValue) obj).stringValue();
        }
        return obj.toString();
    }

    @Override // java.util.List, java.util.Collection
    public boolean add(Object obj) {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.List, java.util.Collection
    public boolean addAll(Collection collection) {
        throw new UnsupportedOperationException();
    }

    public void clear() {
        throw new UnsupportedOperationException();
    }

    public boolean contains(Object obj) {
        return this.underlying.contains(obj);
    }

    @Override // java.util.List, java.util.Collection
    public boolean containsAll(Collection collection) {
        return this.underlying.containsAll(collection);
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof XmlSimpleList)) {
            return false;
        }
        List list = ((XmlSimpleList) obj).underlying;
        int size = this.underlying.size();
        if (size != list.size()) {
            return false;
        }
        for (int i2 = 0; i2 < size; i2++) {
            Object obj2 = this.underlying.get(i2);
            Object obj3 = list.get(i2);
            if (obj2 == null) {
                if (obj3 == null) {
                }
            } else if (obj2.equals(obj3)) {
            }
            return false;
        }
        return true;
    }

    @Override // java.util.List
    public Object get(int i2) {
        return this.underlying.get(i2);
    }

    public int hashCode() {
        int size = this.underlying.size();
        int i2 = 0;
        for (int i3 = 0; i3 < size; i3++) {
            i2 = (i2 * 19) + this.underlying.get(i3).hashCode();
        }
        return i2;
    }

    public int indexOf(Object obj) {
        return this.underlying.indexOf(obj);
    }

    public boolean isEmpty() {
        return this.underlying.isEmpty();
    }

    @Override // java.util.List, java.util.Collection, java.lang.Iterable
    public Iterator iterator() {
        return new Iterator() {
            /* class org.apache.xmlbeans.XmlSimpleList.AnonymousClass1 */

            /* renamed from: i  reason: collision with root package name */
            public Iterator f1953i = XmlSimpleList.this.underlying.iterator();

            public boolean hasNext() {
                return this.f1953i.hasNext();
            }

            @Override // java.util.Iterator
            public Object next() {
                return this.f1953i.next();
            }

            public void remove() {
                throw new UnsupportedOperationException();
            }
        };
    }

    public int lastIndexOf(Object obj) {
        return this.underlying.lastIndexOf(obj);
    }

    @Override // java.util.List
    public ListIterator listIterator() {
        return listIterator(0);
    }

    @Override // java.util.List
    public boolean remove(Object obj) {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.List, java.util.Collection
    public boolean removeAll(Collection collection) {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.List, java.util.Collection
    public boolean retainAll(Collection collection) {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.List
    public Object set(int i2, Object obj) {
        throw new UnsupportedOperationException();
    }

    public int size() {
        return this.underlying.size();
    }

    @Override // java.util.List
    public List subList(int i2, int i3) {
        return new XmlSimpleList(this.underlying.subList(i2, i3));
    }

    public Object[] toArray() {
        return this.underlying.toArray();
    }

    public String toString() {
        int size = this.underlying.size();
        if (size == 0) {
            return "";
        }
        String stringValue = stringValue(this.underlying.get(0));
        if (size == 1) {
            return stringValue;
        }
        StringBuffer stringBuffer = new StringBuffer(stringValue);
        for (int i2 = 1; i2 < size; i2++) {
            stringBuffer.append(' ');
            stringBuffer.append(stringValue(this.underlying.get(i2)));
        }
        return stringBuffer.toString();
    }

    @Override // java.util.List
    public void add(int i2, Object obj) {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.List
    public boolean addAll(int i2, Collection collection) {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.List
    public ListIterator listIterator(final int i2) {
        return new ListIterator() {
            /* class org.apache.xmlbeans.XmlSimpleList.AnonymousClass2 */

            /* renamed from: i  reason: collision with root package name */
            public ListIterator f1954i = XmlSimpleList.this.underlying.listIterator(i2);

            @Override // java.util.ListIterator
            public void add(Object obj) {
                throw new UnsupportedOperationException();
            }

            public boolean hasNext() {
                return this.f1954i.hasNext();
            }

            public boolean hasPrevious() {
                return this.f1954i.hasPrevious();
            }

            @Override // java.util.Iterator, java.util.ListIterator
            public Object next() {
                return this.f1954i.next();
            }

            public int nextIndex() {
                return this.f1954i.nextIndex();
            }

            @Override // java.util.ListIterator
            public Object previous() {
                return this.f1954i.previous();
            }

            public int previousIndex() {
                return this.f1954i.previousIndex();
            }

            public void remove() {
                throw new UnsupportedOperationException();
            }

            @Override // java.util.ListIterator
            public void set(Object obj) {
                throw new UnsupportedOperationException();
            }
        };
    }

    @Override // java.util.List
    public Object remove(int i2) {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.List, java.util.Collection
    public Object[] toArray(Object[] objArr) {
        return this.underlying.toArray(objArr);
    }
}
