package org.apache.xmlbeans.impl.piccolo.util;

import b.b.a.a.a;

public final class CharStringConverter {
    public static final float DEFAULT_LOAD = 0.7f;
    public int hashmask;
    public char[][] keys;
    public float loadFactor;
    public int maxEntries;
    public int numEntries;
    public String[] values;

    public CharStringConverter(int i2, float f2) {
        this.numEntries = 0;
        if (i2 < 0) {
            throw new IllegalArgumentException(a.b("Illegal initial capacity: ", i2));
        } else if (f2 < 0.0f || f2 > 1.0f) {
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append("Illegal load factor: ");
            stringBuffer.append(f2);
            throw new IllegalArgumentException(stringBuffer.toString());
        } else {
            int i3 = 16;
            while (i3 < ((int) (((float) i2) / f2))) {
                i3 <<= 1;
            }
            this.hashmask = i3 - 1;
            this.maxEntries = (int) (((float) i3) * f2);
            this.keys = new char[i3][];
            this.values = new String[i3];
            this.loadFactor = f2;
        }
    }

    public static final int hashKey(char[] cArr, int i2, int i3) {
        int i4 = 0;
        for (int i5 = 0; i5 < i3; i5++) {
            i4 = (i4 << 5) + cArr[i2 + i5];
        }
        return i4;
    }

    public static final boolean keysAreEqual(char[] cArr, int i2, int i3, char[] cArr2, int i4, int i5) {
        if (i3 != i5) {
            return false;
        }
        for (int i6 = 0; i6 < i3; i6++) {
            if (cArr[i2 + i6] != cArr2[i4 + i6]) {
                return false;
            }
        }
        return true;
    }

    private void rehash() {
        int length = this.keys.length << 1;
        char[][] cArr = new char[length][];
        String[] strArr = new String[length];
        int i2 = length - 1;
        int i3 = 0;
        while (true) {
            char[][] cArr2 = this.keys;
            if (i3 < cArr2.length) {
                char[] cArr3 = cArr2[i3];
                String str = this.values[i3];
                if (cArr3 != null) {
                    int hashKey = hashKey(cArr3, 0, cArr3.length) & i2;
                    while (true) {
                        char[] cArr4 = cArr[hashKey];
                        if (cArr4 == null || keysAreEqual(cArr4, 0, cArr4.length, cArr3, 0, cArr3.length)) {
                            cArr[hashKey] = cArr3;
                            strArr[hashKey] = str;
                        } else {
                            hashKey = (hashKey - 1) & i2;
                        }
                    }
                    cArr[hashKey] = cArr3;
                    strArr[hashKey] = str;
                }
                i3++;
            } else {
                this.keys = cArr;
                this.values = strArr;
                this.maxEntries = (int) (((float) length) * this.loadFactor);
                this.hashmask = i2;
                return;
            }
        }
    }

    public void clearCache() {
        int i2 = 0;
        while (true) {
            char[][] cArr = this.keys;
            if (i2 < cArr.length) {
                cArr[i2] = null;
                this.values[i2] = null;
                i2++;
            } else {
                this.numEntries = 0;
                return;
            }
        }
    }

    public String convert(char[] cArr) {
        return convert(cArr, 0, cArr.length);
    }

    public int getCacheSize() {
        return this.numEntries;
    }

    /* JADX WARNING: Removed duplicated region for block: B:10:0x0029  */
    /* JADX WARNING: Removed duplicated region for block: B:12:0x002e  */
    public String convert(char[] cArr, int i2, int i3) {
        char[] cArr2;
        if (this.numEntries >= this.maxEntries) {
            rehash();
        }
        int hashKey = hashKey(cArr, i2, i3);
        int i4 = this.hashmask;
        while (true) {
            int i5 = hashKey & i4;
            cArr2 = this.keys[i5];
            if (cArr2 != null && !keysAreEqual(cArr2, 0, cArr2.length, cArr, i2, i3)) {
                hashKey = i5 - 1;
                i4 = this.hashmask;
            } else if (cArr2 == null) {
                return this.values[i5];
            } else {
                char[] cArr3 = new char[i3];
                System.arraycopy(cArr, i2, cArr3, 0, i3);
                String intern = new String(cArr3).intern();
                this.keys[i5] = cArr3;
                this.values[i5] = intern;
                this.numEntries++;
                return intern;
            }
        }
        if (cArr2 == null) {
        }
    }

    public CharStringConverter() {
        this(0, 0.7f);
    }

    public CharStringConverter(int i2) {
        this(i2, 0.7f);
    }
}
