package org.apache.xmlbeans.impl.piccolo.util;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.URL;
import java.util.Enumeration;

public class FactoryServiceFinder {
    public static final String SERVICE = "META-INF/services/";

    public static class FactoryEnumeration implements Enumeration {
        public Enumeration enumValue;
        public Object next = null;

        public FactoryEnumeration(Enumeration enumeration) {
            this.enumValue = enumeration;
            nextElement();
        }

        public boolean hasMoreElements() {
            return this.next != null;
        }

        /* JADX WARNING: Can't wrap try/catch for region: R(5:0|1|2|(1:4)(1:5)|6) */
        /* JADX WARNING: Missing exception handler attribute for start block: B:1:0x0002 */
        /* JADX WARNING: Removed duplicated region for block: B:4:0x000a A[Catch:{ IOException -> 0x0002 }] */
        /* JADX WARNING: Removed duplicated region for block: B:5:0x0027 A[Catch:{ IOException -> 0x0002 }] */
        @Override // java.util.Enumeration
        public Object nextElement() {
            Object obj = this.next;
            if (!this.enumValue.hasMoreElements()) {
                this.next = new BufferedReader(new InputStreamReader(((URL) this.enumValue.nextElement()).openStream())).readLine();
            } else {
                this.next = null;
            }
            return obj;
        }
    }

    public static String findService(String str) {
        ClassLoader systemClassLoader = ClassLoader.getSystemClassLoader();
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append(SERVICE);
        stringBuffer.append(str);
        return new BufferedReader(new InputStreamReader(systemClassLoader.getResourceAsStream(stringBuffer.toString()), "UTF-8")).readLine();
    }

    public static Enumeration findServices(String str) {
        return new FactoryEnumeration(ClassLoader.getSystemClassLoader().getResources(str));
    }
}
