package org.apache.xmlbeans.impl.tool;

import b.b.a.a.a;
import java.io.File;
import java.io.IOException;
import java.io.PrintStream;
import java.net.URI;
import java.net.URISyntaxException;
import java.util.Arrays;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Set;
import org.apache.poi.javax.xml.namespace.QName;
import org.apache.xmlbeans.XmlException;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.impl.xb.xsdschema.FormChoice;
import org.apache.xmlbeans.impl.xb.xsdschema.NamedAttributeGroup;
import org.apache.xmlbeans.impl.xb.xsdschema.NamedGroup;
import org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument;
import org.apache.xmlbeans.impl.xb.xsdschema.TopLevelAttribute;
import org.apache.xmlbeans.impl.xb.xsdschema.TopLevelComplexType;
import org.apache.xmlbeans.impl.xb.xsdschema.TopLevelElement;
import org.apache.xmlbeans.impl.xb.xsdschema.TopLevelSimpleType;

public class FactorImports {
    public static URI commonAncestor(URI uri, URI uri2) {
        String uri3 = uri.toString();
        String uri4 = uri2.toString();
        int length = uri3.length();
        if (uri4.length() < length) {
            length = uri4.length();
        }
        int i2 = 0;
        while (i2 < length && uri3.charAt(i2) == uri4.charAt(i2)) {
            i2++;
        }
        int i3 = i2 - 1;
        if (i3 >= 0) {
            i3 = uri3.lastIndexOf(47, i3);
        }
        if (i3 < 0) {
            return null;
        }
        try {
            return new URI(uri3.substring(0, i3));
        } catch (URISyntaxException unused) {
            return null;
        }
    }

    public static File commonFileFor(String str, String str2, int i2, File file) {
        if (i2 > 0) {
            int lastIndexOf = str.lastIndexOf(46);
            if (lastIndexOf < 0) {
                lastIndexOf = str.length();
            }
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append(str.substring(0, lastIndexOf));
            stringBuffer.append(i2);
            stringBuffer.append(str.substring(lastIndexOf));
            str = stringBuffer.toString();
        }
        return new File(file, str);
    }

    public static boolean isDuplicate(String str, String str2, Set set) {
        if (str == null) {
            return false;
        }
        return set.contains(new QName(str2, str));
    }

    public static boolean isFirstDuplicate(String str, String str2, Set set, Set set2) {
        if (str == null) {
            return false;
        }
        QName qName = new QName(str2, str);
        if (!set2.contains(qName) || !set.contains(qName)) {
            return false;
        }
        set.remove(qName);
        return true;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:100:0x020f, code lost:
        r22 = r3;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:101:0x0211, code lost:
        r1 = java.lang.System.err;
        r2 = b.b.a.a.a.a("Unable to load ");
        r2.append(r22[r4]);
        r2.append(" - ");
        r2.append(r0.getMessage());
        r1.println(r2.toString());
        java.lang.System.exit(1);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:102:0x0235, code lost:
        return;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:103:0x0236, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:104:0x0237, code lost:
        r21 = r1;
        r22 = r3;
        r20 = r6;
        r6 = r5;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:88:0x01f2, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:90:0x01f8, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:93:0x01fe, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:94:0x01ff, code lost:
        r22 = r3;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:95:0x0202, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:96:0x0203, code lost:
        r21 = r1;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:99:0x020e, code lost:
        r0 = e;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Removed duplicated region for block: B:57:0x015a A[Catch:{ XmlException -> 0x01fe, IOException -> 0x020e }] */
    /* JADX WARNING: Removed duplicated region for block: B:63:0x016a A[Catch:{ XmlException -> 0x01fa, IOException -> 0x01f8 }, LOOP:2: B:60:0x0167->B:63:0x016a, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:67:0x0182 A[Catch:{ XmlException -> 0x01fa, IOException -> 0x01f8 }, LOOP:3: B:65:0x017f->B:67:0x0182, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:71:0x019a A[Catch:{ XmlException -> 0x01fa, IOException -> 0x01f8 }, LOOP:4: B:69:0x0197->B:71:0x019a, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:75:0x01b2 A[Catch:{ XmlException -> 0x01fa, IOException -> 0x01f8 }, LOOP:5: B:73:0x01af->B:75:0x01b2, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:79:0x01ca A[Catch:{ XmlException -> 0x01fa, IOException -> 0x01f8 }, LOOP:6: B:77:0x01c7->B:79:0x01ca, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:83:0x01e2 A[Catch:{ XmlException -> 0x01fa, IOException -> 0x01f8 }] */
    /* JADX WARNING: Removed duplicated region for block: B:90:0x01f8 A[ExcHandler: IOException (e java.io.IOException), Splitter:B:60:0x0167] */
    /* JADX WARNING: Removed duplicated region for block: B:99:0x020e A[ExcHandler: IOException (e java.io.IOException), Splitter:B:38:0x010a] */
    public static void main(String[] strArr) {
        HashSet hashSet;
        HashMap hashMap;
        File file;
        File file2;
        HashMap hashMap2;
        String str;
        HashSet hashSet2;
        File file3;
        Iterator it;
        File[] fileArr;
        String str2;
        HashMap hashMap3;
        HashSet hashSet3;
        XmlException e2;
        HashSet hashSet4;
        String targetNamespace;
        TopLevelComplexType[] complexTypeArray;
        TopLevelSimpleType[] simpleTypeArray;
        TopLevelElement[] elementArray;
        TopLevelAttribute[] attributeArray;
        NamedGroup[] groupArray;
        NamedAttributeGroup[] attributeGroupArray;
        int i2;
        String str3 = "warning: ";
        HashSet hashSet5 = new HashSet();
        hashSet5.add("h");
        hashSet5.add("help");
        hashSet5.add("usage");
        hashSet5.add("license");
        hashSet5.add("version");
        String str4 = "out";
        CommandLine commandLine = new CommandLine(strArr, hashSet5, Arrays.asList("import", str4));
        if (commandLine.getOpt("h") == null && commandLine.getOpt("help") == null && commandLine.getOpt("usage") == null && strArr.length >= 1) {
            String[] badOpts = commandLine.getBadOpts();
            if (badOpts.length > 0) {
                for (String str5 : badOpts) {
                    PrintStream printStream = System.out;
                    StringBuffer a = a.a("Unrecognized option: ");
                    a.append(str5);
                    printStream.println(a.toString());
                }
                printUsage();
                System.exit(0);
            } else if (commandLine.getOpt("license") != null) {
                CommandLine.printLicense();
                System.exit(0);
            } else if (commandLine.getOpt("version") != null) {
                CommandLine.printVersion();
                System.exit(0);
            } else {
                String[] args = commandLine.args();
                if (args.length != 1) {
                    System.exit(0);
                    return;
                }
                String opt = commandLine.getOpt("import");
                if (opt == null) {
                    opt = "common.xsd";
                }
                String opt2 = commandLine.getOpt(str4);
                if (opt2 == null) {
                    System.out.println("Using output directory 'out'");
                } else {
                    str4 = opt2;
                }
                File file4 = new File(str4);
                File file5 = new File(args[0]);
                File[] files = commandLine.getFiles();
                HashMap hashMap4 = new HashMap();
                HashSet hashSet6 = new HashSet();
                HashSet hashSet7 = new HashSet();
                HashSet hashSet8 = new HashSet();
                HashSet hashSet9 = new HashSet();
                HashSet hashSet10 = new HashSet();
                HashSet hashSet11 = new HashSet();
                HashSet hashSet12 = new HashSet();
                HashSet hashSet13 = new HashSet();
                HashSet hashSet14 = new HashSet();
                File file6 = file5;
                HashSet hashSet15 = new HashSet();
                String str6 = opt;
                HashSet hashSet16 = new HashSet();
                int i3 = 0;
                while (i3 < files.length) {
                    try {
                        SchemaDocument parse = SchemaDocument.Factory.parse(files[i3]);
                        hashSet4 = hashSet15;
                        hashMap4.put(parse, files[i3]);
                        if (parse.getSchema().sizeOfImportArray() <= 0) {
                            if (parse.getSchema().sizeOfIncludeArray() <= 0) {
                                str2 = str3;
                                hashMap3 = hashMap4;
                                targetNamespace = parse.getSchema().getTargetNamespace();
                                if (targetNamespace == null) {
                                    targetNamespace = "";
                                }
                                fileArr = files;
                                for (TopLevelComplexType topLevelComplexType : parse.getSchema().getComplexTypeArray()) {
                                    try {
                                        noteName(topLevelComplexType.getName(), targetNamespace, hashSet8, hashSet13, hashSet16);
                                    } catch (XmlException e3) {
                                        e2 = e3;
                                        hashSet3 = hashSet4;
                                        PrintStream printStream2 = System.out;
                                        StringBuffer a2 = a.a(str2);
                                        a2.append(fileArr[i3]);
                                        a2.append(" is not a schema file - ");
                                        a2.append(e2.getError().toString());
                                        printStream2.println(a2.toString());
                                        i3++;
                                        hashSet15 = hashSet3;
                                        hashMap4 = hashMap3;
                                        str3 = str2;
                                        files = fileArr;
                                    } catch (IOException e4) {
                                    }
                                }
                                for (TopLevelSimpleType topLevelSimpleType : parse.getSchema().getSimpleTypeArray()) {
                                    noteName(topLevelSimpleType.getName(), targetNamespace, hashSet8, hashSet13, hashSet16);
                                }
                                for (TopLevelElement topLevelElement : parse.getSchema().getElementArray()) {
                                    noteName(topLevelElement.getName(), targetNamespace, hashSet6, hashSet11, hashSet16);
                                }
                                for (TopLevelAttribute topLevelAttribute : parse.getSchema().getAttributeArray()) {
                                    noteName(topLevelAttribute.getName(), targetNamespace, hashSet7, hashSet12, hashSet16);
                                }
                                for (NamedGroup namedGroup : parse.getSchema().getGroupArray()) {
                                    noteName(namedGroup.getName(), targetNamespace, hashSet9, hashSet14, hashSet16);
                                }
                                attributeGroupArray = parse.getSchema().getAttributeGroupArray();
                                i2 = 0;
                                while (i2 < attributeGroupArray.length) {
                                    hashSet3 = hashSet4;
                                    noteName(attributeGroupArray[i2].getName(), targetNamespace, hashSet10, hashSet3, hashSet16);
                                    i2++;
                                    hashSet4 = hashSet3;
                                }
                                hashSet3 = hashSet4;
                                i3++;
                                hashSet15 = hashSet3;
                                hashMap4 = hashMap3;
                                str3 = str2;
                                files = fileArr;
                            }
                        }
                        PrintStream printStream3 = System.out;
                        hashMap3 = hashMap4;
                        StringBuffer stringBuffer = new StringBuffer();
                        stringBuffer.append(str3);
                        str2 = str3;
                        stringBuffer.append(files[i3]);
                        stringBuffer.append(" contains imports or includes that are being ignored.");
                        printStream3.println(stringBuffer.toString());
                        targetNamespace = parse.getSchema().getTargetNamespace();
                        if (targetNamespace == null) {
                        }
                        fileArr = files;
                        while (r6 < complexTypeArray.length) {
                        }
                        while (r5 < simpleTypeArray.length) {
                        }
                        while (r5 < elementArray.length) {
                        }
                        while (r5 < attributeArray.length) {
                        }
                        while (r5 < groupArray.length) {
                        }
                        attributeGroupArray = parse.getSchema().getAttributeGroupArray();
                        i2 = 0;
                        while (i2 < attributeGroupArray.length) {
                        }
                        hashSet3 = hashSet4;
                    } catch (XmlException e5) {
                        e2 = e5;
                        str2 = str3;
                        fileArr = files;
                        hashMap3 = hashMap4;
                        hashSet3 = hashSet4;
                        PrintStream printStream22 = System.out;
                        StringBuffer a22 = a.a(str2);
                        a22.append(fileArr[i3]);
                        a22.append(" is not a schema file - ");
                        a22.append(e2.getError().toString());
                        printStream22.println(a22.toString());
                        i3++;
                        hashSet15 = hashSet3;
                        hashMap4 = hashMap3;
                        str3 = str2;
                        files = fileArr;
                    } catch (IOException e6) {
                    }
                    i3++;
                    hashSet15 = hashSet3;
                    hashMap4 = hashMap3;
                    str3 = str2;
                    files = fileArr;
                }
                HashMap hashMap5 = hashMap4;
                HashSet hashSet17 = hashSet15;
                if (hashMap5.size() == 0) {
                    System.out.println("No schema files found.");
                    System.exit(0);
                    return;
                }
                if (hashSet17.size() + hashSet14.size() + hashSet12.size() + hashSet11.size() + hashSet13.size() == 0) {
                    System.out.println("No duplicate names found.");
                    System.exit(0);
                    return;
                }
                HashMap hashMap6 = new HashMap();
                HashMap hashMap7 = new HashMap();
                int i4 = hashSet16.size() == 1 ? 0 : 1;
                Iterator it2 = hashSet16.iterator();
                while (it2.hasNext()) {
                    String str7 = (String) it2.next();
                    SchemaDocument parse2 = SchemaDocument.Factory.parse("<xs:schema xmlns:xs='http://www.w3.org/2001/XMLSchema'/>");
                    if (str7.length() > 0) {
                        it = it2;
                        parse2.getSchema().setTargetNamespace(str7);
                    } else {
                        it = it2;
                    }
                    parse2.getSchema().setElementFormDefault(FormChoice.QUALIFIED);
                    hashMap6.put(str7, parse2);
                    hashMap7.put(parse2, commonFileFor(str6, str7, i4, file4));
                    i4++;
                    hashSet10 = hashSet10;
                    str6 = str6;
                    it2 = it;
                }
                HashSet hashSet18 = hashSet10;
                File file7 = file4;
                Iterator it3 = hashMap5.keySet().iterator();
                while (it3.hasNext()) {
                    SchemaDocument schemaDocument = (SchemaDocument) it3.next();
                    String targetNamespace2 = schemaDocument.getSchema().getTargetNamespace();
                    if (targetNamespace2 == null) {
                        targetNamespace2 = "";
                    }
                    SchemaDocument schemaDocument2 = (SchemaDocument) hashMap6.get(targetNamespace2);
                    TopLevelComplexType[] complexTypeArray2 = schemaDocument.getSchema().getComplexTypeArray();
                    int length = complexTypeArray2.length - 1;
                    boolean z = false;
                    while (length >= 0) {
                        if (!isDuplicate(complexTypeArray2[length].getName(), targetNamespace2, hashSet13)) {
                            file3 = file7;
                        } else {
                            if (isFirstDuplicate(complexTypeArray2[length].getName(), targetNamespace2, hashSet8, hashSet13)) {
                                file3 = file7;
                                schemaDocument2.getSchema().addNewComplexType().set(complexTypeArray2[length]);
                            } else {
                                file3 = file7;
                            }
                            schemaDocument.getSchema().removeComplexType(length);
                            z = true;
                        }
                        length--;
                        file7 = file3;
                        hashMap7 = hashMap7;
                    }
                    TopLevelSimpleType[] simpleTypeArray2 = schemaDocument.getSchema().getSimpleTypeArray();
                    for (int i5 = 0; i5 < simpleTypeArray2.length; i5++) {
                        if (isDuplicate(simpleTypeArray2[i5].getName(), targetNamespace2, hashSet13)) {
                            if (isFirstDuplicate(simpleTypeArray2[i5].getName(), targetNamespace2, hashSet8, hashSet13)) {
                                schemaDocument2.getSchema().addNewSimpleType().set(simpleTypeArray2[i5]);
                            }
                            schemaDocument.getSchema().removeSimpleType(i5);
                            z = true;
                        }
                    }
                    TopLevelElement[] elementArray2 = schemaDocument.getSchema().getElementArray();
                    for (int i6 = 0; i6 < elementArray2.length; i6++) {
                        if (isDuplicate(elementArray2[i6].getName(), targetNamespace2, hashSet11)) {
                            if (isFirstDuplicate(elementArray2[i6].getName(), targetNamespace2, hashSet6, hashSet11)) {
                                schemaDocument2.getSchema().addNewElement().set(elementArray2[i6]);
                            }
                            schemaDocument.getSchema().removeElement(i6);
                            z = true;
                        }
                    }
                    TopLevelAttribute[] attributeArray2 = schemaDocument.getSchema().getAttributeArray();
                    for (int i7 = 0; i7 < attributeArray2.length; i7++) {
                        if (isDuplicate(attributeArray2[i7].getName(), targetNamespace2, hashSet12)) {
                            if (isFirstDuplicate(attributeArray2[i7].getName(), targetNamespace2, hashSet7, hashSet12)) {
                                schemaDocument2.getSchema().addNewElement().set(attributeArray2[i7]);
                            }
                            schemaDocument.getSchema().removeElement(i7);
                            z = true;
                        }
                    }
                    NamedGroup[] groupArray2 = schemaDocument.getSchema().getGroupArray();
                    for (int i8 = 0; i8 < groupArray2.length; i8++) {
                        if (isDuplicate(groupArray2[i8].getName(), targetNamespace2, hashSet14)) {
                            if (isFirstDuplicate(groupArray2[i8].getName(), targetNamespace2, hashSet9, hashSet14)) {
                                schemaDocument2.getSchema().addNewElement().set(groupArray2[i8]);
                            }
                            schemaDocument.getSchema().removeElement(i8);
                            z = true;
                        }
                    }
                    NamedAttributeGroup[] attributeGroupArray2 = schemaDocument.getSchema().getAttributeGroupArray();
                    int i9 = 0;
                    while (i9 < attributeGroupArray2.length) {
                        if (!isDuplicate(attributeGroupArray2[i9].getName(), targetNamespace2, hashSet17)) {
                            hashSet2 = hashSet18;
                            str = targetNamespace2;
                        } else {
                            hashSet2 = hashSet18;
                            if (isFirstDuplicate(attributeGroupArray2[i9].getName(), targetNamespace2, hashSet2, hashSet17)) {
                                str = targetNamespace2;
                                schemaDocument2.getSchema().addNewElement().set(attributeGroupArray2[i9]);
                            } else {
                                str = targetNamespace2;
                            }
                            schemaDocument.getSchema().removeElement(i9);
                            z = true;
                        }
                        i9++;
                        targetNamespace2 = str;
                        hashSet18 = hashSet2;
                    }
                    if (z) {
                        hashMap2 = hashMap5;
                        file = file6;
                        file2 = file7;
                        hashSet = hashSet17;
                        hashMap = hashMap7;
                        schemaDocument.getSchema().addNewInclude().setSchemaLocation(relativeURIFor(outputFileFor((File) hashMap2.get(schemaDocument), file, file2), (File) hashMap.get(schemaDocument2)));
                    } else {
                        file = file6;
                        hashSet = hashSet17;
                        hashMap2 = hashMap5;
                        file2 = file7;
                        hashMap = hashMap7;
                    }
                    hashMap5 = hashMap2;
                    file6 = file;
                    hashMap7 = hashMap;
                    hashSet18 = hashSet18;
                    it3 = it3;
                    hashMap6 = hashMap6;
                    hashSet17 = hashSet;
                    file7 = file2;
                }
                if (file7.isDirectory() || file7.mkdirs()) {
                    for (SchemaDocument schemaDocument3 : hashMap5.keySet()) {
                        File file8 = (File) hashMap5.get(schemaDocument3);
                        File outputFileFor = outputFileFor(file8, file6, file7);
                        if (outputFileFor == null) {
                            PrintStream printStream4 = System.out;
                            StringBuffer stringBuffer2 = new StringBuffer();
                            stringBuffer2.append("Cannot copy ");
                            stringBuffer2.append(file8);
                            printStream4.println(stringBuffer2.toString());
                        } else {
                            schemaDocument3.save(outputFileFor, new XmlOptions().setSavePrettyPrint().setSaveAggresiveNamespaces());
                        }
                    }
                    for (SchemaDocument schemaDocument4 : hashMap7.keySet()) {
                        schemaDocument4.save((File) hashMap7.get(schemaDocument4), new XmlOptions().setSavePrettyPrint().setSaveAggresiveNamespaces());
                    }
                    return;
                }
                PrintStream printStream5 = System.err;
                StringBuffer stringBuffer3 = new StringBuffer();
                stringBuffer3.append("Unable to makedir ");
                stringBuffer3.append(file7);
                printStream5.println(stringBuffer3.toString());
                System.exit(1);
            }
        } else {
            printUsage();
            System.exit(0);
        }
    }

    public static void noteName(String str, String str2, Set set, Set set2, Set set3) {
        if (str != null) {
            QName qName = new QName(str2, str);
            if (set.contains(qName)) {
                set2.add(qName);
                set3.add(str2);
                return;
            }
            set.add(qName);
        }
    }

    public static File outputFileFor(File file, File file2, File file3) {
        URI relativize = file2.getAbsoluteFile().toURI().relativize(file.getAbsoluteFile().toURI());
        if (!relativize.isAbsolute()) {
            return new File(CodeGenUtil.resolve(file3.toURI(), relativize));
        }
        PrintStream printStream = System.out;
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append("Cannot relativize ");
        stringBuffer.append(file);
        printStream.println(stringBuffer.toString());
        return null;
    }

    public static void printUsage() {
        System.out.println("Refactors a directory of XSD files to remove name conflicts.");
        System.out.println("Usage: sfactor [-import common.xsd] [-out outputdir] inputdir");
        System.out.println("    -import common.xsd - The XSD file to contain redundant ");
        System.out.println("                         definitions for importing.");
        System.out.println("    -out outputdir - The directory into which to place XSD ");
        System.out.println("                     files resulting from refactoring, ");
        System.out.println("                     plus a commonly imported common.xsd.");
        System.out.println("    inputdir - The directory containing the XSD files with");
        System.out.println("               redundant definitions.");
        System.out.println("    -license - Print license information.");
        System.out.println();
    }

    public static String relativeURIFor(File file, File file2) {
        int indexOf;
        URI uri = file.getAbsoluteFile().toURI();
        URI uri2 = file2.getAbsoluteFile().toURI();
        URI commonAncestor = commonAncestor(uri, uri2);
        if (commonAncestor == null) {
            return uri2.toString();
        }
        URI relativize = commonAncestor.relativize(uri);
        URI relativize2 = commonAncestor.relativize(uri2);
        if (relativize.isAbsolute() || relativize2.isAbsolute()) {
            return uri2.toString();
        }
        String uri3 = relativize.toString();
        int i2 = 0;
        String str = "";
        while (i2 < uri3.length() && (indexOf = uri3.indexOf(47, i2)) >= 0) {
            str = a.a(str, "../");
            i2 = indexOf + 1;
        }
        StringBuffer a = a.a(str);
        a.append(relativize2.toString());
        return a.toString();
    }
}
