package org.apache.xmlbeans.impl.xb.xsdschema;

import b.b.a.a.a;
import java.io.File;
import java.io.InputStream;
import java.io.Reader;
import java.net.URL;
import org.apache.poi.javax.xml.stream.XMLStreamReader;
import org.apache.xmlbeans.SchemaType;
import org.apache.xmlbeans.XmlBeans;
import org.apache.xmlbeans.XmlOptions;
import org.apache.xmlbeans.impl.xb.xsdschema.DerivationControl;
import org.apache.xmlbeans.xml.stream.XMLInputStream;
import org.w3c.dom.Node;

public interface TypeDerivationControl extends DerivationControl {
    public static final DerivationControl.Enum EXTENSION = DerivationControl.EXTENSION;
    public static final int INT_EXTENSION = 2;
    public static final int INT_LIST = 4;
    public static final int INT_RESTRICTION = 3;
    public static final int INT_UNION = 5;
    public static final DerivationControl.Enum LIST = DerivationControl.LIST;
    public static final DerivationControl.Enum RESTRICTION = DerivationControl.RESTRICTION;
    public static final DerivationControl.Enum UNION = DerivationControl.UNION;
    public static final SchemaType type;

    /* renamed from: org.apache.xmlbeans.impl.xb.xsdschema.TypeDerivationControl$1  reason: invalid class name */
    public /* synthetic */ class AnonymousClass1 {
        public static /* synthetic */ Class class$org$apache$xmlbeans$impl$xb$xsdschema$TypeDerivationControl;

        public static /* synthetic */ Class class$(String str) {
            try {
                return Class.forName(str);
            } catch (ClassNotFoundException e2) {
                throw a.a(e2);
            }
        }
    }

    public static final class Factory {
        public static TypeDerivationControl newInstance() {
            return (TypeDerivationControl) XmlBeans.getContextTypeLoader().newInstance(TypeDerivationControl.type, null);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream) {
            return XmlBeans.getContextTypeLoader().newValidatingXMLInputStream(xMLInputStream, TypeDerivationControl.type, null);
        }

        public static TypeDerivationControl newValue(Object obj) {
            return (TypeDerivationControl) TypeDerivationControl.type.newValue(obj);
        }

        public static TypeDerivationControl parse(String str) {
            return (TypeDerivationControl) XmlBeans.getContextTypeLoader().parse(str, TypeDerivationControl.type, (XmlOptions) null);
        }

        public static TypeDerivationControl newInstance(XmlOptions xmlOptions) {
            return (TypeDerivationControl) XmlBeans.getContextTypeLoader().newInstance(TypeDerivationControl.type, xmlOptions);
        }

        public static XMLInputStream newValidatingXMLInputStream(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return XmlBeans.getContextTypeLoader().newValidatingXMLInputStream(xMLInputStream, TypeDerivationControl.type, xmlOptions);
        }

        public static TypeDerivationControl parse(String str, XmlOptions xmlOptions) {
            return (TypeDerivationControl) XmlBeans.getContextTypeLoader().parse(str, TypeDerivationControl.type, xmlOptions);
        }

        public static TypeDerivationControl parse(File file) {
            return (TypeDerivationControl) XmlBeans.getContextTypeLoader().parse(file, TypeDerivationControl.type, (XmlOptions) null);
        }

        public static TypeDerivationControl parse(File file, XmlOptions xmlOptions) {
            return (TypeDerivationControl) XmlBeans.getContextTypeLoader().parse(file, TypeDerivationControl.type, xmlOptions);
        }

        public static TypeDerivationControl parse(URL url) {
            return (TypeDerivationControl) XmlBeans.getContextTypeLoader().parse(url, TypeDerivationControl.type, (XmlOptions) null);
        }

        public static TypeDerivationControl parse(URL url, XmlOptions xmlOptions) {
            return (TypeDerivationControl) XmlBeans.getContextTypeLoader().parse(url, TypeDerivationControl.type, xmlOptions);
        }

        public static TypeDerivationControl parse(InputStream inputStream) {
            return (TypeDerivationControl) XmlBeans.getContextTypeLoader().parse(inputStream, TypeDerivationControl.type, (XmlOptions) null);
        }

        public static TypeDerivationControl parse(InputStream inputStream, XmlOptions xmlOptions) {
            return (TypeDerivationControl) XmlBeans.getContextTypeLoader().parse(inputStream, TypeDerivationControl.type, xmlOptions);
        }

        public static TypeDerivationControl parse(Reader reader) {
            return (TypeDerivationControl) XmlBeans.getContextTypeLoader().parse(reader, TypeDerivationControl.type, (XmlOptions) null);
        }

        public static TypeDerivationControl parse(Reader reader, XmlOptions xmlOptions) {
            return (TypeDerivationControl) XmlBeans.getContextTypeLoader().parse(reader, TypeDerivationControl.type, xmlOptions);
        }

        public static TypeDerivationControl parse(XMLStreamReader xMLStreamReader) {
            return (TypeDerivationControl) XmlBeans.getContextTypeLoader().parse(xMLStreamReader, TypeDerivationControl.type, (XmlOptions) null);
        }

        public static TypeDerivationControl parse(XMLStreamReader xMLStreamReader, XmlOptions xmlOptions) {
            return (TypeDerivationControl) XmlBeans.getContextTypeLoader().parse(xMLStreamReader, TypeDerivationControl.type, xmlOptions);
        }

        public static TypeDerivationControl parse(Node node) {
            return (TypeDerivationControl) XmlBeans.getContextTypeLoader().parse(node, TypeDerivationControl.type, (XmlOptions) null);
        }

        public static TypeDerivationControl parse(Node node, XmlOptions xmlOptions) {
            return (TypeDerivationControl) XmlBeans.getContextTypeLoader().parse(node, TypeDerivationControl.type, xmlOptions);
        }

        public static TypeDerivationControl parse(XMLInputStream xMLInputStream) {
            return (TypeDerivationControl) XmlBeans.getContextTypeLoader().parse(xMLInputStream, TypeDerivationControl.type, (XmlOptions) null);
        }

        public static TypeDerivationControl parse(XMLInputStream xMLInputStream, XmlOptions xmlOptions) {
            return (TypeDerivationControl) XmlBeans.getContextTypeLoader().parse(xMLInputStream, TypeDerivationControl.type, xmlOptions);
        }
    }

    static {
        Class cls = AnonymousClass1.class$org$apache$xmlbeans$impl$xb$xsdschema$TypeDerivationControl;
        if (cls == null) {
            cls = AnonymousClass1.class$("org.apache.xmlbeans.impl.xb.xsdschema.TypeDerivationControl");
            AnonymousClass1.class$org$apache$xmlbeans$impl$xb$xsdschema$TypeDerivationControl = cls;
        }
        type = (SchemaType) a.a(cls, "schemaorg_apache_xmlbeans.system.sXMLSCHEMA", "typederivationcontrol3239type");
    }
}
